﻿#
# Structure for table "sys_log"
#

CREATE TABLE `sys_log` (
  `id` bigint(20) unsigned NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `user_no` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '操作人',
  `real_name` varchar(50) NOT NULL COMMENT '真实姓名',
  `ip` varchar(255) DEFAULT '' COMMENT 'IP地址',
  `operation` varchar(255) DEFAULT '' COMMENT '用户操作',
  `method` varchar(255) DEFAULT '' COMMENT '请求方法',
  `path` varchar(255) DEFAULT '' COMMENT '请求路径',
  `content` varchar(5000) DEFAULT '' COMMENT '请求参数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='后台操作日志表';

#
# Data for table "sys_log"
#


#
# Structure for table "sys_menu"
#

CREATE TABLE `sys_menu` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `parent_id` bigint(20) unsigned NOT NULL COMMENT '父ID',
  `menu_name` varchar(50) NOT NULL COMMENT '菜单名称',
  `menu_url` varchar(255) NOT NULL COMMENT '菜单路径',
  `menu_icon` varchar(255) DEFAULT NULL COMMENT '菜单图标',
  `target_name` varchar(50) DEFAULT NULL COMMENT '目标名称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=522 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='菜单信息';

#
# Data for table "sys_menu"
#

INSERT INTO `sys_menu` VALUES (1,'2018-02-06 14:42:49','2018-02-06 17:18:59',1,100,0,'订单管理','','','',''),(2,'2018-02-06 14:48:19','2018-02-06 17:21:48',1,100,1,'订单管理','','','',''),(3,'2018-02-06 14:48:29','2018-02-07 09:50:50',1,100,2,'订单列表','/course/orderInfo/list','','course-orderInfo',''),(8,'2018-02-06 15:11:28','2018-02-06 17:19:12',1,80,0,'讲师管理','','','',''),(10,'2018-02-06 15:12:06','2018-04-26 11:11:40',1,10,8,'讲师分润','/user/lecturerProfit/list','','user-lecturerProfit',''),(11,'2018-02-06 15:13:50','2018-02-06 17:23:08',1,100,8,'讲师管理','','','',''),(13,'2018-02-06 17:19:25','2018-02-06 17:19:25',1,70,0,'学员管理','','','',NULL),(14,'2018-02-06 17:19:37','2018-02-06 17:19:37',1,90,0,'课程管理','','','',''),(16,'2018-02-06 17:19:56','2018-02-06 17:19:56',1,95,0,'首页管理','','','',''),(17,'2018-02-06 17:20:01','2018-02-06 17:20:01',1,1,0,'系统管理','','','',NULL),(27,'2018-02-06 17:23:45','2018-03-26 10:32:43',1,1000,11,'讲师列表','/user/lecturer/list','','user-lecturer',''),(28,'2018-02-06 17:24:35','2018-04-26 11:11:51',1,90,10,'分润记录','/user/lecturerProfit/list','','user-lecturerProfit',''),(30,'2018-02-06 17:26:51','2018-02-07 09:50:58',1,100,13,'学员管理','','','',''),(33,'2018-02-06 17:27:22','2018-02-26 10:41:43',1,70,30,'学员列表','/user/userExt/list','','user-userExt',''),(38,'2018-02-06 17:28:55','2018-02-27 12:16:50',1,1000,14,'课程管理','/course/course/list','','course-course',''),(39,'2018-02-06 17:29:07','2018-02-06 17:31:29',1,90,14,'分类管理','','','',''),(52,'2018-02-06 17:36:38','2018-02-06 17:36:38',1,100,17,'权限管理','','','',''),(56,'2018-02-06 17:37:12','2018-02-24 16:27:07',1,5,52,'角色管理','/admin/sysRole/list','','admin-sysRole',''),(57,'2018-02-06 17:37:17','2018-02-24 16:26:58',1,10,52,'用户管理','/admin/sysUser/list','','admin-sysUser',''),(63,'2018-02-06 17:40:59','2018-02-06 17:44:49',1,1,56,'删除','/admin/sysRole/delete','','admin-sysMenu',''),(64,'2018-02-06 17:41:11','2018-02-06 17:44:46',1,9,56,'修改','/admin/sysRole/edit','','',''),(65,'2018-02-06 17:41:20','2018-02-06 17:44:43',1,10,56,'添加','/admin/sysRole/add','','',''),(68,'2018-02-06 17:42:14','2018-02-06 17:42:30',1,10,56,'菜单设置','/admin/sysMenuRole/set','','admin-sysMenu',''),(69,'2018-02-06 17:43:09','2018-02-06 17:43:09',1,7,57,'删除','/admin/sysUser/delete','','sysUser-set',''),(70,'2018-02-06 17:43:23','2018-02-06 17:43:23',1,90,57,'修改','/admin/sysUser/edit','','sysUser-set',''),(71,'2018-02-06 17:43:32','2018-02-06 17:43:32',1,100,57,'添加','/admin/sysUser/add','','sysUser-set',''),(76,'2018-02-06 17:56:49','2018-03-13 15:32:53',1,1000,38,'课程列表','/course/course/list','','course-course',''),(79,'2018-02-06 17:57:42','2018-05-17 09:52:33',1,100,39,'课程分类','/course/courseCategory/list','','course-courseCategory',''),(81,'2018-02-07 09:55:36','2018-02-07 09:55:36',1,70,33,'查看','/user/userExt/view','','user-userExt',''),(82,'2018-02-07 09:56:48','2018-02-07 09:56:48',1,70,33,'修改','/user/userExt/edit','','user-userExt',''),(85,'2018-02-07 10:00:52','2018-02-24 17:54:08',1,1000,3,'备注','/course/orderInfo/edit','','course-orderInfo',''),(96,'2018-02-07 10:12:31','2018-03-23 11:21:59',1,100,38,'课程审核列表','/course/courseAudit/list','','course-courseAudit',''),(100,'2018-02-07 10:17:49','2018-02-27 20:01:02',1,1000,79,'添加','/course/courseCategory/add','','course-courseCategory',''),(103,'2018-02-07 10:19:49','2018-02-07 10:19:49',1,1000,79,'修改','/course/courseCategory/edit','','course-courseCategory',''),(105,'2018-02-07 10:20:35','2018-02-07 10:20:35',1,100,79,'删除','/course/courseCategory/delete','','course-courseCategory',''),(114,'2018-02-23 11:43:21','2018-02-23 11:43:21',1,10,57,'设置角色','/admin/sysRoleUser/set','','sysUser-set',''),(121,'2018-02-27 11:23:33','2018-02-27 11:23:33',1,100,96,'查看','/course/courseAudit/view','','course-courseAudit',''),(122,'2018-02-27 11:24:09','2018-02-27 11:24:09',1,1000,96,'审核','/course/courseAudit/isAudit','','course-courseAudit',''),(124,'2018-02-27 11:25:04','2018-02-27 11:25:04',1,1000,96,'修改','/course/courseAudit/edit','','course-courseAudit',''),(148,'2018-03-05 09:41:29','2018-03-27 11:26:36',1,800,11,'讲师审核列表','/user/lecturerAudit/list','','user-lecturerAudit',''),(154,'2018-03-07 12:32:26','2018-03-07 12:32:26',1,300,148,'修改','/user/lecturerAudit/edit','','user-lecturerAudit',''),(175,'2018-03-07 15:02:29','2018-04-27 15:23:17',1,40,301,'PC端设置','/course/adv/list?platShow=0','','course-adv',''),(176,'2018-03-07 15:03:26','2018-04-27 14:54:19',1,100,175,'添加','/course/adv/add','','course-adv',''),(178,'2018-03-07 15:09:02','2018-04-27 14:54:16',1,90,175,'修改','/course/adv/edit','','course-adv',''),(180,'2018-03-07 15:09:36','2018-04-27 14:54:13',1,70,175,'删除','/course/adv/delete','','course-adv',''),(210,'2018-03-09 17:51:18','2018-03-31 16:20:21',1,70,33,'删除','/user/userExt/update','','user-userExt',''),(211,'2018-03-10 12:08:28','2018-03-10 12:08:28',1,100,3,'订单查看','/course/orderInfo/view','','course-orderInfo',''),(268,'2018-03-27 17:45:46','2018-03-27 17:45:46',1,100,96,'更改状态','/course/courseAudit/updateByStatusId','','course-courseAudit',''),(277,'2018-04-03 21:03:48','2018-04-03 21:03:48',1,70,33,'更新状态','/user/userExt/updateStatusId','','user-userExt',''),(291,'2018-04-10 15:32:48','2018-04-27 14:54:10',1,40,175,'更改状态','/course/adv/updateStatusId','','course-adv',''),(293,'2018-04-13 09:59:47','2018-04-13 09:59:47',1,9,28,'导出报表','/user/lecturerProfit/export','','user-lecturerProfit',''),(299,'2018-04-27 14:26:08','2018-05-18 17:05:43',1,40,16,'专区管理','/course/zone/list','','course-zone',''),(300,'2018-04-27 14:27:52','2018-05-18 17:05:48',1,40,299,'PC端设置','/course/zone/list?zoneLocation=0','','course-zone',''),(301,'2018-04-27 14:36:31','2018-04-27 14:36:31',1,40,16,'首页轮播','','','',''),(303,'2018-04-28 09:48:21','2018-04-28 15:29:55',1,100,300,'添加','/course/zone/add','','course-zone',''),(305,'2018-04-28 09:50:22','2018-04-28 15:29:29',1,90,300,'修改','/course/zone/edit','','course-zone',''),(307,'2018-04-28 09:52:03','2018-04-28 15:29:33',1,40,300,'更新状态','/course/zone/status','','',''),(308,'2018-04-28 15:31:04','2018-05-03 18:02:28',1,50,300,'专区课程','/course/zoneCourse/list','','course-zone',''),(312,'2018-05-03 16:25:33','2018-05-03 16:25:33',1,60,300,'查看','/course/zone/view','','course-zone',''),(326,'2018-06-14 18:16:10','2018-06-14 18:16:10',1,1,52,'菜单管理','/admin/sysMenu/list','','admin-sysMenu',''),(327,'2018-06-21 18:07:20','2018-06-21 18:07:20',1,1,17,'日志查看','','','',''),(328,'2018-06-21 18:07:29','2018-06-21 18:07:29',1,1,327,'支付日志','/course/orderPay/list','','course-orderPay',''),(329,'2018-06-21 18:07:37','2018-06-21 18:07:37',1,1,327,'操作日志','/admin/sysLog/list','','admin-sysLog',''),(332,'2018-06-25 17:44:27','2018-06-25 17:44:27',1,100,148,'是否审核','/user/lecturerAudit/isAudit','','user-lecturerAudit',''),(336,'2018-06-26 15:21:14','2018-06-26 15:21:14',1,8,28,'标记成功','/user/lecturerProfit/audit','','user-lecturerProfit',''),(337,'2018-06-26 15:22:09','2018-06-26 15:22:09',1,85,28,'审核','/user/lecturerProfit/edit','','user-lecturerProfit',''),(339,'2018-06-28 11:22:03','2018-06-28 11:22:03',1,100,79,'查看','/course/courseCategory/view','','course-courseCategory',''),(341,'2018-07-03 11:39:11','2018-07-03 11:39:11',1,1,17,'平台管理','','','',''),(342,'2018-07-03 11:39:23','2018-07-03 11:39:23',1,1,341,'应用管理','/user/platform/list','','user-platform',''),(343,'2018-11-06 18:43:30','2018-11-06 18:43:30',1,30,16,'站点管理','/course/zone/list','','course-zone',''),(344,'2018-11-06 18:43:54','2018-11-06 18:43:54',1,100,343,'头部导航','/system/navBar/list','','system-navBar',''),(345,'2018-11-06 18:44:17','2018-11-06 18:44:17',1,99,343,'底部导航','/system/websiteNav/list','','system-websiteNav',''),(346,'2018-11-06 18:44:36','2018-11-06 18:44:36',1,97,343,'友情链接','/system/websiteLink/list','','system-websiteLink',''),(347,'2018-11-06 18:45:18','2018-11-06 18:45:18',1,95,344,'更新状态','/system/navBar/updateStatusId','','',''),(348,'2018-11-06 18:45:58','2018-11-06 18:45:58',1,95,344,'修改','/system/navBar/edit','','',''),(350,'2018-11-06 18:46:38','2018-11-06 18:46:38',1,95,344,'添加','/system/navBar/add','','',''),(353,'2018-11-06 18:47:48','2018-11-06 18:47:48',1,95,345,'更新状态','/system/websiteNav/updateStatusId','','',''),(355,'2018-11-06 18:48:13','2018-11-06 18:48:13',1,95,345,'添加','/system/websiteNav/add','','',''),(356,'2018-11-06 18:48:30','2018-11-06 18:48:30',1,100,345,'修改文章','/system/websiteNavArticle/edit','','system-websiteNav',''),(357,'2018-11-06 18:49:09','2018-11-06 18:49:09',1,95,345,'删除','/system/websiteNav/delete','','',''),(358,'2018-11-06 18:49:23','2018-11-06 18:49:23',1,95,345,'修改','/system/websiteNav/edit','','',''),(359,'2018-11-06 18:49:46','2018-11-06 18:49:46',1,95,345,'查看','/system/websiteNav/view','','',''),(360,'2018-11-06 18:50:22','2018-11-06 18:50:22',1,95,346,'更新状态','/system/websiteLink/updateStatusId','','',''),(361,'2018-11-06 18:50:47','2018-11-06 18:50:47',1,95,346,'删除','/system/websiteLink/delete','','',''),(362,'2018-11-06 18:51:04','2018-11-06 18:51:04',1,95,346,'修改','/system/websiteLink/edit','','',''),(366,'2018-11-07 09:32:48','2018-11-07 09:32:48',1,100,345,'添加文章','/system/websiteNavArticle/add','','system-websiteNav',''),(369,'2018-11-07 09:37:21','2018-11-07 09:37:21',1,97,346,'添加','/system/websiteLink/add','','',''),(371,'2018-11-07 16:51:40','2018-11-07 16:51:40',1,100,344,'删除','/system/navBar/delete','','',''),(372,'2018-11-08 11:19:54','2018-11-08 11:19:54',1,800,148,'添加','/user/lecturerAudit/add','','',''),(402,'2018-11-16 10:49:32','2018-11-16 10:49:32',1,1000,27,'设置分成','/user/lecturer/proportion','','course-courseCategory',''),(404,'2018-11-16 10:50:14','2018-11-16 10:50:14',1,100,27,'更新状态','/user/lecturer/updateByStatusId','','course-courseCategory',''),(406,'2018-11-16 16:46:55','2018-11-16 16:46:55',1,1000,76,'设置','/course/course/edit','','',''),(408,'2018-12-20 16:16:07','2018-12-20 16:16:07',1,10,76,'查看','/course/course/view','','course-course',''),(409,'2018-12-20 16:19:57','2018-12-20 16:19:57',1,10,76,'讲师查看','/user/lecturer/get','','course-course',''),(410,'2018-12-20 16:30:48','2018-12-20 16:30:48',1,100,3,'课程查看','/course/course/view','','course-orderInfo',''),(411,'2018-12-20 16:34:52','2018-12-20 16:34:52',1,100,3,'讲师查看','/user/lecturer/get','','course-orderInfo',''),(412,'2018-12-20 16:36:45','2018-12-20 16:36:45',1,100,3,'用户查看','/user/userExt/get','','course-orderInfo',''),(413,'2018-12-20 16:57:45','2018-12-20 16:57:45',1,100,300,'删除','/course/zone/delete','','course-zone',''),(416,'2018-12-20 17:18:05','2018-12-20 17:18:05',1,100,96,'讲师查看','/user/lecturer/get','','course-courseAudit',''),(417,'2018-12-20 17:21:57','2018-12-20 17:21:57',1,100,27,'查看','/user/lecturer/view','','user-lecturer',''),(418,'2018-12-20 17:23:27','2018-12-20 17:23:27',1,8,148,'查看','/user/lecturerAudit/view','','user-lecturerAudit',''),(419,'2018-12-20 17:26:51','2018-12-20 17:26:51',1,90,28,'打款','/user/lecturerProfit/isStatus','','user-lecturerProfit',''),(421,'2018-12-20 17:34:06','2018-12-20 17:34:06',1,70,33,'学习记录','/course/courseUserStudyLog/list','','user-userExt',''),(422,'2018-12-20 17:56:08','2018-12-20 17:56:08',1,1,57,'身份登录','/admin/sysUser/proportion','','admin-sysUser',''),(423,'2018-12-20 18:04:05','2018-12-20 18:04:05',1,10,342,'添加','/user/platform/add','','user-platform',''),(425,'2018-12-20 18:05:00','2018-12-20 18:05:00',1,1,342,'查看','/user/platform/view','','user-platform',''),(426,'2018-12-20 18:05:31','2018-12-20 18:05:31',1,10,342,'修改','/user/platform/edit','','user-platform',''),(428,'2018-12-20 18:06:19','2018-12-20 18:06:19',1,1,342,'删除','/user/platform/delete','','user-platform',''),(432,'2018-12-24 11:57:36','2018-12-24 11:57:36',1,10,57,'站点设置','/system/website/set','','system-website',''),(434,'2018-12-24 11:59:20','2018-12-24 11:59:20',1,10,57,'系统设置','/system/sys/set','','system-sys',''),(436,'2018-12-24 17:29:36','2018-12-24 17:29:36',1,10,326,'添加','/admin/sysMenu/add','','admin-sysMenu',''),(438,'2018-12-24 17:34:08','2018-12-24 17:34:08',1,10,326,'修改','/admin/sysMenu/edit','','admin-sysMenu',''),(439,'2018-12-24 17:34:37','2018-12-24 17:34:37',1,1,326,'删除','/admin/sysMenu/delete','','admin-sysMenu',''),(440,'2018-12-24 17:35:07','2018-12-24 17:35:07',1,1,326,'添加下级菜单','/admin/sysMenu/save/sub','','admin-sysMenu',''),(442,'2018-12-26 11:31:44','2018-12-26 11:31:44',1,1000,27,'修改','/user/lecturer/edit','','user-lecturer',''),(473,'2018-12-28 17:02:08','2018-12-28 17:02:08',1,100,3,'更新','/course/orderInfo/update','','course-orderInfo',''),(474,'2018-12-28 17:02:25','2018-12-28 17:02:25',1,100,3,'报表导出','/course/orderInfo/export','','course-orderInfo',''),(475,'2018-12-28 17:04:48','2018-12-28 17:04:48',1,40,175,'保存','/course/adv/save','','course-advInfo',''),(476,'2018-12-28 17:05:03','2018-12-28 17:05:03',1,40,175,'更新','/course/adv/update','','course-adv',''),(477,'2018-12-28 17:05:25','2018-12-28 17:05:25',1,40,300,'保存','/course/zone/save','','course-zone',''),(478,'2018-12-28 17:05:45','2018-12-28 17:05:45',1,40,300,'更新','/course/zone/update','','zone-zone',''),(479,'2018-12-28 17:06:38','2018-12-28 17:06:38',1,1,342,'更新','/user/platform/update','','user-platform',''),(480,'2018-12-28 17:06:52','2018-12-28 17:06:52',1,1,342,'保存','/user/platform/save','','user-platform',''),(481,'2018-12-28 17:07:12','2018-12-28 17:07:12',1,1,326,'更新','/admin/sysMenu/update','','admin-sysMenu',''),(482,'2018-12-28 17:07:58','2018-12-28 17:07:58',1,1,326,'保存','/admin/sysMenu/save','','admin-sysMenu',''),(483,'2018-12-28 17:08:33','2018-12-28 17:08:33',1,1,56,'菜单保存','/admin/sysMenuRole/save','','sysUser-save',''),(484,'2018-12-28 17:08:46','2018-12-28 17:08:46',1,1,56,'保存','/admin/sysRole/save','','admin-sysRole',''),(485,'2018-12-28 17:09:00','2018-12-28 17:09:00',1,1,56,'更新','/admin/sysRole/update','','admin-sysRole',''),(486,'2018-12-28 17:12:07','2018-12-28 17:12:07',1,10,57,'设置角色保存','/admin/sysRoleUser/save','','sysUser-save',''),(487,'2018-12-28 17:12:25','2018-12-28 17:12:25',1,10,57,'站点设置保存','/system/website/updateWebsite','','system-website',''),(488,'2018-12-28 17:12:40','2018-12-28 17:12:40',1,10,57,'系统设置保存','/system/sys/updateSys','','system-sys',''),(489,'2018-12-28 17:12:53','2018-12-28 17:12:53',1,1,57,'更新','/admin/sysUser/update','','admin-sysUser',''),(490,'2018-12-28 17:13:12','2018-12-28 17:13:12',1,100,57,'选择用户','/user/user/sysUserList','','sysUser-set',''),(491,'2018-12-28 17:13:26','2018-12-28 17:13:26',1,1,57,'保存','/admin/sysUser/save','','admin-sysUser',''),(492,'2018-12-28 17:14:17','2018-12-28 17:14:17',1,1000,27,'更新','/user/lecturer/update','','user-lecturer',''),(493,'2018-12-28 17:14:39','2018-12-28 17:14:39',1,800,148,'保存','/user/lecturerAudit/save','','user-lecturerAudit',''),(494,'2018-12-28 17:14:51','2018-12-28 17:14:51',1,100,148,'更新','/user/lecturerAudit/update','','user-lecturerAudit',''),(495,'2018-12-28 17:15:02','2018-12-28 17:15:02',1,800,148,'审核','/user/lecturerAudit/audit','','user-lecturerAudit',''),(496,'2018-12-28 17:15:32','2018-12-28 17:15:32',1,80,28,'修改状态','/user/lecturerProfit/audit','','user-lecturerProfit',''),(497,'2018-12-28 17:15:46','2018-12-28 17:15:46',1,90,28,'更新','/user/lecturerProfit/list','','user-lecturerProfit',''),(498,'2018-12-28 17:16:10','2018-12-28 17:16:10',1,1000,76,'更新','/course/course/update','','course-course',''),(499,'2018-12-28 17:16:36','2018-12-28 17:16:36',1,100,96,'更新','/course/courseAudit/update','','course-courseAudit',''),(500,'2018-12-28 17:16:57','2018-12-28 17:16:57',1,100,96,'审核更新','/course/courseAudit/audit','','course-courseAudit',''),(501,'2018-12-28 17:17:29','2018-12-28 17:17:29',1,90,79,'更新','/course/courseCategory/update','','course-courseCategory',''),(502,'2018-12-28 17:17:36','2018-12-28 17:17:36',1,90,79,'保存','/course/courseCategory/save','','course-courseCategory',''),(503,'2018-12-28 17:18:06','2018-12-28 17:18:06',1,95,344,'保存','/system/navBar/save','','system-navBar',''),(504,'2018-12-28 17:18:15','2018-12-28 17:18:15',1,95,344,'更新','/system/navBar/update','','system-navBar',''),(505,'2018-12-28 17:18:48','2018-12-28 17:18:48',1,99,345,'保存','/system/websiteNav/save','','system-websiteNav',''),(506,'2018-12-28 17:19:13','2018-12-28 17:19:13',1,95,345,'更新','/system/websiteNav/update','','system-websiteNav',''),(507,'2018-12-28 17:19:34','2018-12-28 17:19:34',1,96,345,'文章保存','/system/websiteNavArticle/save','','system-websiteNav',''),(508,'2018-12-28 17:19:45','2018-12-28 17:19:45',1,95,345,'文章更新','/system/websiteNavArticle/update','','system-websiteNav',''),(509,'2018-12-28 17:20:07','2018-12-28 17:20:07',1,97,346,'保存','/system/websiteLink/save','','system-websiteLink',''),(510,'2018-12-28 17:20:16','2018-12-28 17:20:16',1,95,346,'更新','/system/websiteLink/update','','system-websiteLink',''),(511,'2018-12-28 17:21:18','2018-12-28 17:21:18',1,50,300,'专区课程删除','/course/zoneCourse/delete','','course-zone',''),(512,'2018-12-28 17:21:54','2018-12-28 17:21:54',1,40,300,'专区课程查看','/course/zoneCourse/view','','course-zone',''),(513,'2018-12-28 17:22:24','2018-12-28 17:22:24',1,40,300,'专区课程修改','/course/zoneCourse/edit','','course-zone',''),(514,'2018-12-28 17:22:39','2018-12-28 17:22:39',1,40,300,'专区课程更新','/course/zoneCourse/update','','course-zone',''),(515,'2018-12-28 17:23:04','2018-12-28 17:23:04',1,40,300,'专区课程添加','/course/zoneCourse/courseList','','course-zone',''),(516,'2018-12-28 17:23:33','2018-12-28 17:23:33',1,40,300,'专区查看课程','/course/course/view','','course-zone',''),(517,'2018-12-28 17:23:51','2018-12-28 17:23:51',1,40,300,'专区课程保存','/course/zoneCourse/save','','course-zone',''),(518,'2018-12-28 18:00:38','2018-12-28 18:00:38',1,40,300,'专区课程更新状态','/course/zoneCourse/status','','course-zone',''),(519,'2018-12-28 18:14:31','2018-12-28 18:14:31',1,1000,79,'添加子级','/course/courseCategory/add2','','course-courseCategory',''),(520,'2018-12-28 18:18:16','2018-12-28 18:18:16',1,800,148,'验证手机号码','/user/lecturerAudit/checkUserAndLecturer','','user-lecturerAudit','');

#
# Structure for table "sys_menu_role"
#

CREATE TABLE `sys_menu_role` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `menu_id` bigint(20) unsigned NOT NULL COMMENT '菜单ID',
  `role_id` bigint(20) unsigned NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41640 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='菜单角色关联表';

#
# Data for table "sys_menu_role"
#

INSERT INTO `sys_menu_role` VALUES (41379,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,1,3),(41380,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,2,3),(41381,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,3,3),(41382,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,85,3),(41383,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,412,3),(41384,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,411,3),(41385,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,410,3),(41386,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,211,3),(41387,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,16,3),(41388,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,301,3),(41389,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,175,3),(41390,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,176,3),(41391,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,178,3),(41392,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,299,3),(41393,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,300,3),(41394,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,303,3),(41395,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,305,3),(41396,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,312,3),(41397,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,308,3),(41398,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,516,3),(41399,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,515,3),(41400,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,513,3),(41401,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,512,3),(41402,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,343,3),(41403,'2018-12-29 11:44:01','2018-12-29 11:44:01',1,1,344,3),(41404,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,350,3),(41405,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,348,3),(41406,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,345,3),(41407,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,366,3),(41408,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,356,3),(41409,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,359,3),(41410,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,358,3),(41411,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,355,3),(41412,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,346,3),(41413,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,369,3),(41414,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,362,3),(41415,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,14,3),(41416,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,38,3),(41417,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,76,3),(41418,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,406,3),(41419,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,409,3),(41420,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,408,3),(41421,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,96,3),(41422,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,124,3),(41423,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,122,3),(41424,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,416,3),(41425,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,121,3),(41426,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,39,3),(41427,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,79,3),(41428,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,519,3),(41429,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,103,3),(41430,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,100,3),(41431,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,339,3),(41432,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,8,3),(41433,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,11,3),(41434,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,27,3),(41435,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,442,3),(41436,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,402,3),(41437,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,417,3),(41438,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,148,3),(41439,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,520,3),(41440,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,495,3),(41441,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,372,3),(41442,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,154,3),(41443,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,418,3),(41444,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,10,3),(41445,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,28,3),(41446,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,419,3),(41447,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,13,3),(41448,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,30,3),(41449,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,33,3),(41450,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,421,3),(41451,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,82,3),(41452,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,81,3),(41453,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,17,3),(41454,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,52,3),(41455,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,57,3),(41456,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,490,3),(41457,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,71,3),(41458,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,70,3),(41459,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,434,3),(41460,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,432,3),(41461,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,114,3),(41462,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,56,3),(41463,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,68,3),(41464,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,65,3),(41465,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,64,3),(41466,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,326,3),(41467,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,438,3),(41468,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,436,3),(41469,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,341,3),(41470,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,342,3),(41471,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,426,3),(41472,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,423,3),(41473,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,425,3),(41474,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,327,3),(41475,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,329,3),(41476,'2018-12-29 11:44:02','2018-12-29 11:44:02',1,1,328,3),(41477,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,1,1),(41478,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,2,1),(41479,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,3,1),(41480,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,85,1),(41481,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,474,1),(41482,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,473,1),(41483,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,412,1),(41484,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,411,1),(41485,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,410,1),(41486,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,211,1),(41487,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,16,1),(41488,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,301,1),(41489,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,175,1),(41490,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,176,1),(41491,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,178,1),(41492,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,180,1),(41493,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,476,1),(41494,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,475,1),(41495,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,291,1),(41496,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,299,1),(41497,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,300,1),(41498,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,413,1),(41499,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,303,1),(41500,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,305,1),(41501,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,312,1),(41502,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,511,1),(41503,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,308,1),(41504,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,518,1),(41505,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,517,1),(41506,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,516,1),(41507,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,515,1),(41508,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,514,1),(41509,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,513,1),(41510,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,512,1),(41511,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,478,1),(41512,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,477,1),(41513,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,307,1),(41514,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,343,1),(41515,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,344,1),(41516,'2019-01-17 14:39:11','2019-01-17 14:39:11',1,1,371,1),(41517,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,504,1),(41518,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,503,1),(41519,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,350,1),(41520,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,348,1),(41521,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,347,1),(41522,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,345,1),(41523,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,366,1),(41524,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,356,1),(41525,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,505,1),(41526,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,507,1),(41527,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,508,1),(41528,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,506,1),(41529,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,359,1),(41530,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,358,1),(41531,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,357,1),(41532,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,355,1),(41533,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,353,1),(41534,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,346,1),(41535,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,509,1),(41536,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,369,1),(41537,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,510,1),(41538,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,362,1),(41539,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,361,1),(41540,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,360,1),(41541,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,14,1),(41542,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,38,1),(41543,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,76,1),(41544,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,498,1),(41545,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,406,1),(41546,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,409,1),(41547,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,408,1),(41548,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,96,1),(41549,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,124,1),(41550,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,122,1),(41551,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,500,1),(41552,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,499,1),(41553,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,416,1),(41554,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,268,1),(41555,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,121,1),(41556,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,39,1),(41557,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,79,1),(41558,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,519,1),(41559,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,103,1),(41560,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,100,1),(41561,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,339,1),(41562,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,105,1),(41563,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,502,1),(41564,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,501,1),(41565,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,8,1),(41566,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,11,1),(41567,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,27,1),(41568,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,492,1),(41569,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,442,1),(41570,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,402,1),(41571,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,417,1),(41572,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,404,1),(41573,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,148,1),(41574,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,520,1),(41575,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,495,1),(41576,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,493,1),(41577,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,372,1),(41578,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,154,1),(41579,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,494,1),(41580,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,332,1),(41581,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,418,1),(41582,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,10,1),(41583,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,28,1),(41584,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,497,1),(41585,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,419,1),(41586,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,337,1),(41587,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,496,1),(41588,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,293,1),(41589,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,336,1),(41590,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,13,1),(41591,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,30,1),(41592,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,33,1),(41593,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,421,1),(41594,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,277,1),(41595,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,210,1),(41596,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,82,1),(41597,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,81,1),(41598,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,17,1),(41599,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,52,1),(41600,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,57,1),(41601,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,490,1),(41602,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,71,1),(41603,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,70,1),(41604,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,488,1),(41605,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,487,1),(41606,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,486,1),(41607,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,434,1),(41608,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,432,1),(41609,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,114,1),(41610,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,69,1),(41611,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,491,1),(41612,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,489,1),(41613,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,422,1),(41614,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,56,1),(41615,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,68,1),(41616,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,65,1),(41617,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,64,1),(41618,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,485,1),(41619,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,484,1),(41620,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,483,1),(41621,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,63,1),(41622,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,326,1),(41623,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,438,1),(41624,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,436,1),(41625,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,482,1),(41626,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,481,1),(41627,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,440,1),(41628,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,439,1),(41629,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,341,1),(41630,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,342,1),(41631,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,426,1),(41632,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,423,1),(41633,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,480,1),(41634,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,479,1),(41635,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,428,1),(41636,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,425,1),(41637,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,327,1),(41638,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,329,1),(41639,'2019-01-17 14:39:12','2019-01-17 14:39:12',1,1,328,1);

#
# Structure for table "sys_role"
#

CREATE TABLE `sys_role` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `role_name` varchar(50) NOT NULL COMMENT '名称',
  `remark` varchar(255) NOT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='角色信息';

#
# Data for table "sys_role"
#

INSERT INTO `sys_role` VALUES (1,'2018-02-06 15:47:52','2018-03-30 15:12:07',1,1,'超级管理员','管理后台全部权限'),(3,'2018-12-28 18:23:38','2018-12-28 18:23:38',1,1,'测试人员','该用户仅有查看功能');

#
# Structure for table "sys_role_user"
#

CREATE TABLE `sys_role_user` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `role_id` bigint(20) unsigned NOT NULL COMMENT '角色ID',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='角色用户关联表';

#
# Data for table "sys_role_user"
#

INSERT INTO `sys_role_user` VALUES (10,'2018-02-26 11:38:58','2018-02-26 11:38:58',1,1,1,1),(11,'2018-02-26 11:38:58','2018-02-26 11:38:58',1,1,2,1),(12,'2018-02-26 11:38:58','2018-02-26 11:38:58',1,1,3,1),(13,'2018-02-26 15:12:37','2018-02-26 15:12:37',1,1,1,8),(14,'2018-02-26 15:12:37','2018-02-26 15:12:37',1,1,2,8),(15,'2018-02-26 15:12:37','2018-02-26 15:12:37',1,1,3,8),(16,'2018-02-26 15:28:45','2018-02-26 15:28:45',1,1,1,9),(17,'2018-02-26 15:28:46','2018-02-26 15:28:46',1,1,2,9),(18,'2018-02-26 15:28:46','2018-02-26 15:28:46',1,1,3,9),(19,'2018-02-26 15:38:22','2018-02-26 15:38:22',1,1,1,10),(20,'2018-02-26 15:38:22','2018-02-26 15:38:22',1,1,2,10),(21,'2018-02-26 15:38:22','2018-02-26 15:38:22',1,1,3,10),(22,'2018-02-27 10:35:27','2018-02-27 10:35:27',1,1,1,5),(23,'2018-02-27 10:35:27','2018-02-27 10:35:27',1,1,2,5),(24,'2018-02-27 10:35:27','2018-02-27 10:35:27',1,1,3,5),(25,'2018-03-13 11:05:25','2018-03-13 11:05:25',1,1,1,11),(26,'2018-03-13 11:05:25','2018-03-13 11:05:25',1,1,2,11),(27,'2018-03-13 11:05:25','2018-03-13 11:05:25',1,1,3,11),(32,'2018-03-16 15:29:22','2018-03-16 15:29:22',1,1,6,19),(46,'2018-03-30 18:03:53','2018-03-30 18:03:53',1,1,1,12),(47,'2018-03-30 18:03:53','2018-03-30 18:03:53',1,1,4,12),(48,'2018-03-31 10:59:36','2018-03-31 10:59:36',1,1,4,22),(51,'2018-03-31 11:14:24','2018-03-31 11:14:24',1,1,4,25),(72,'2018-05-10 15:28:33','2018-05-10 15:28:33',1,1,1,26),(80,'2018-05-21 16:24:49','2018-05-21 16:24:49',1,1,4,32),(82,'2018-12-28 18:27:57','2018-12-28 18:27:57',1,1,3,2);

#
# Structure for table "sys_user"
#

CREATE TABLE `sys_user` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `user_no` bigint(20) NOT NULL COMMENT '用户编号',
  `mobile` char(11) NOT NULL DEFAULT '' COMMENT '手机',
  `real_name` varchar(50) NOT NULL COMMENT '真实姓名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `AK_phone` (`mobile`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='后台用户信息';

#
# Data for table "sys_user"
#

INSERT INTO `sys_user` VALUES (1,'2018-03-31 11:22:37','2018-05-10 15:28:40',1,1,2018033111202589416,'18800000000','超级管理员','超级管理员'),(2,'2018-12-28 16:57:47','2018-12-28 16:57:47',1,1,2018112209531803,'13800000000','普通用户','测试demo用户');
