﻿# Host: 192.168.1.216  (Version 5.7.18-14-log)
# Date: 2019-01-22 15:03:55
# Generator: MySQL-Front 6.0  (Build 2.20)


#
# Structure for table "adv"
#

CREATE TABLE `adv` (
  `id` bigint(20) unsigned NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `adv_title` varchar(255) NOT NULL COMMENT '广告标题',
  `adv_img` varchar(255) NOT NULL DEFAULT '' COMMENT '广告图片',
  `adv_url` varchar(255) NOT NULL COMMENT '广告链接',
  `adv_target` varchar(255) NOT NULL DEFAULT '' COMMENT '广告跳转方式',
  `adv_location` tinyint(3) NOT NULL DEFAULT '1' COMMENT '广告位置(1首页轮播)',
  `begin_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `plat_show` tinyint(3) NOT NULL DEFAULT '0' COMMENT '位置(0电脑端，1微信端)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='广告信息';

#
# Data for table "adv"
#

INSERT INTO `adv` VALUES (1,'1899-12-30 01:00:00','1899-12-30 01:00:00',1,1,'领课网络','http://static-dev.roncoo.com/course/91602e8f74244788b6107073865aac93.png','http://www.roncoo.net/','_blank',1,'2015-01-01 01:00:00','2019-07-04 01:00:00',0),(2,'1899-12-30 02:00:00','1899-12-30 02:00:00',1,1,'龙果学院','http://static-dev.roncoo.com/course/5531f6803f2a404f946394d89be30b2b.jpg','http://www.teachergu.com/','_self',1,'1900-01-05 01:26:31','2020-01-06 01:04:18',1);

#
# Structure for table "course"
#

CREATE TABLE `course` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `lecturer_user_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师用户编码',
  `category_id1` bigint(20) DEFAULT '0' COMMENT '一级分类ID',
  `category_id2` bigint(20) DEFAULT '0' COMMENT '二级分类ID',
  `category_id3` bigint(20) DEFAULT '0' COMMENT '三级分类ID',
  `course_name` varchar(255) NOT NULL DEFAULT '' COMMENT '课程名称',
  `course_logo` varchar(255) NOT NULL DEFAULT '' COMMENT '课程封面',
  `introduce_id` bigint(20) DEFAULT '0' COMMENT '课程介绍ID',
  `is_free` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否免费：1免费，0收费',
  `course_original` decimal(11,2) DEFAULT NULL COMMENT '原价',
  `course_discount` decimal(11,2) DEFAULT NULL COMMENT '优惠价',
  `is_putaway` tinyint(3) NOT NULL DEFAULT '1' COMMENT '是否上架(1:上架，0:下架)',
  `course_sort` int(11) NOT NULL DEFAULT '0' COMMENT '课程排序(前端显示使用)',
  `count_buy` int(11) NOT NULL DEFAULT '0' COMMENT '购买人数',
  `count_study` int(11) NOT NULL DEFAULT '0' COMMENT '学习人数',
  `period_total` int(11) NOT NULL DEFAULT '0' COMMENT '总课时数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程信息';

#
# Data for table "course"
#

INSERT INTO `course` VALUES (1080731530615787522,'2019-01-03 15:46:36','2019-01-03 15:46:36',1,1,2018112015051635,1080387521456295937,1080387575940304898,0,'即速应用后台管理操作教程','http://static-dev.roncoo.com/course/b7fff0b2b72c42c492dd08707333ec31.png',1080731530578038786,1,0.00,0.00,1,0,0,2,32),(1080740234501230593,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,2018112015051635,1080387521456295937,1080387575940304898,0,'零基础三分钟制作小程序','http://static-dev.roncoo.com/course/eb683082b9ac4088b13344ac3fb6344e.png',1080740234497036290,1,0.00,0.00,1,0,0,0,56),(1080743050779234306,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,1,2018112015051635,1080387521456295937,1080387575940304898,0,'微信小程序行业解决方案','http://static-dev.roncoo.com/course/2ddf7585c0934e94becefc80e1e3e7fc.png',1080743050775040002,1,0.00,0.00,1,0,0,4,23),(1080745129451130881,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,2018112015051635,1080744766018883585,1080744807735431170,0,'毕设 Spring Boot-从零开发博客','http://static-dev.roncoo.com/course/6d62de57c58e4211bed1b55048cccff9.jpg',1080745129442742273,1,0.00,0.00,1,0,0,3,23),(1080747476327796737,'2019-01-03 17:51:07','2019-01-03 17:51:07',1,1,2018112015051635,1080747124211781634,1080747249965404161,0,'知识图谱系统架构设计','http://static-dev.roncoo.com/course/a5d9c08152cc459d8d09911c70014e71.jpg',1080747476319408130,1,0.00,0.00,1,0,0,0,5),(1080748086536114177,'2019-01-03 17:51:04','2019-01-03 17:51:04',1,1,2018112015051635,1080747124211781634,1080747249965404161,0,'Python3爬虫爬取房价进行房价预测','http://static-dev.roncoo.com/course/f41ab3be2e144ff0b4b06d0ae2fd92ea.jpg',1080748086527725569,1,0.00,0.00,1,0,0,0,4),(1080748800742199298,'2019-01-03 17:51:00','2019-01-03 17:51:00',1,1,2018112015051635,1080744766018883585,1080748559775240194,0,'汪文君PowerMock实战视频','http://static-dev.roncoo.com/course/fe2f59c39712475bbadb2c63d6d0f79e.JPG',1080748800733810689,1,0.00,0.00,1,0,0,3,11),(1080749913478467586,'2019-01-03 17:50:58','2019-01-03 17:50:58',1,1,2018112015051635,1080744766018883585,1080748559775240194,0,'Concordion-软件测试即文档实战','http://static-dev.roncoo.com/course/236b7cbd50d34433afa096481bcc455a.jpg',1080749913470078978,1,0.00,0.00,1,0,0,0,5),(1080750873957306369,'2019-01-03 17:50:55','2019-01-03 17:50:55',1,1,2018112015051635,1080750603160457217,1080750628284338178,0,'系统监控实现电话告警（电话告警API） 不漏掉一个故障告警','http://static-dev.roncoo.com/course/967c82aff3eb4de6a5d99eeaaef032fa.jpg',1080750873948917762,1,0.00,0.00,1,0,0,0,1),(1080751684959539202,'2019-01-03 17:50:52','2019-01-03 17:50:52',1,1,2018112015051635,1080744766018883585,1080744807735431170,0,'Dubbo视频教程（Dubbo项目实战）','http://static-dev.roncoo.com/course/6e85322ef96e4372937c9b443a60db19.jpg',1080751684951150593,1,0.00,0.00,1,0,0,0,11),(1080752794290032642,'2019-01-03 17:50:49','2019-01-03 17:50:49',1,1,2018112015051635,1080744766018883585,1080752583811469314,0,'Spring 4.0入门到精通','http://static-dev.roncoo.com/course/abdb3a545237436dae1a14ee49a0d369.jpg',1080752794281644033,1,0.00,0.00,1,0,0,6,17),(1080753909630963714,'2019-01-03 17:50:46','2019-01-03 17:50:46',1,1,2018112015051635,1080744766018883585,1080752583811469314,0,'Spring Boot 免费篇','http://static-dev.roncoo.com/course/dbbc1043de9144f3a6495abf008326ba.jpg',1080753909626769409,1,0.00,0.00,1,0,0,0,5),(1080755660413145089,'2019-01-03 17:50:42','2019-01-03 17:50:42',1,1,2018112015051635,1080387521456295937,1080387575940304898,0,'小程序高手养成记','http://static-dev.roncoo.com/course/e7960c2ec2a5496d94e819650f851b00.jpg',1080755660404756482,1,0.00,0.00,1,0,0,0,8),(1080756535567257601,'2019-01-03 17:50:39','2019-01-03 17:50:39',1,1,2018112015051635,1080756158205726721,1080756229487923201,0,'龙果开源-后台管理系统','http://static-dev.roncoo.com/course/bcaa7661328b4926ba949e329620d630.jpg',1080756535550480385,1,0.00,0.00,1,0,0,4,1),(1080757024136564738,'2019-01-03 17:50:36','2019-01-03 17:50:36',1,1,2018112015051635,1080750603160457217,1080750628284338178,0,'Web 网站安全与防御实战','http://static-dev.roncoo.com/course/23439f1aa4f2402495471b99cc8c2e5e.jpg',1080757024128176129,1,0.00,0.00,1,0,0,1,2),(1080757537695535105,'2019-01-03 17:50:34','2019-01-03 17:50:34',1,1,2018112015051635,1080744766018883585,1080744807735431170,0,'基于hystrix的高可用电商详情页缓存服务项目实战','http://static-dev.roncoo.com/course/e2a097e1db9340799bbe97f741ca17a6.jpg',1080757537691340802,1,0.00,0.00,1,0,0,13,15),(1080758482462511106,'2019-01-03 17:50:31','2019-01-03 17:50:31',1,1,2018112015051635,1080744766018883585,0,0,'龙果运维平台安装使用','http://static-dev.roncoo.com/course/dad3ab0130bd432492a355a3b1b3a4ea.jpg',1080758482454122498,1,0.00,0.00,1,0,0,15,5),(1080759102707798018,'2019-01-03 17:50:29','2019-01-03 17:50:29',1,1,2018112015051635,1080756158205726721,1080758871769419777,0,'龙果开源支付系统业务介绍与部署','http://static-dev.roncoo.com/course/d5b74dba9eb74fe1834d8b34b77bfd0c.jpg',1080759102695215105,1,0.00,0.00,1,0,0,95,3),(1080759557655564289,'2019-01-03 17:50:26','2019-01-03 17:50:26',1,1,2018112015051635,1080747124211781634,1080759411039473666,0,'spark企业经典案例之手机app流量统计','http://static-dev.roncoo.com/course/730e9a81e19b46e89a23646de05565e1.jpg',1080759557651369985,1,0.00,0.00,1,0,0,6,14),(1085453180200448002,'2019-01-16 16:26:41','2019-01-16 16:26:41',1,1,2018112015051635,1080744766018883585,0,0,'测试下单课程','http://static-dev.roncoo.com/course/a1688caea49241f0aa4b15a08db3c7ac.jpg',1085453180192059393,0,0.10,0.10,1,0,113,0,9);

#
# Structure for table "course_audit"
#

CREATE TABLE `course_audit` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `audit_status` int(11) NOT NULL DEFAULT '0' COMMENT '审核状态(0:待审核,1:审核通过,2:审核不通过)',
  `audit_opinion` varchar(1024) DEFAULT NULL COMMENT '审核意见',
  `lecturer_user_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师用户编码',
  `category_id1` bigint(20) DEFAULT '0' COMMENT '一级分类ID',
  `category_id2` bigint(20) DEFAULT '0' COMMENT '二级分类ID',
  `category_id3` bigint(20) DEFAULT '0' COMMENT '三级分类ID',
  `course_name` varchar(255) NOT NULL DEFAULT '' COMMENT '课程名称',
  `course_logo` varchar(255) NOT NULL DEFAULT '' COMMENT '课程封面',
  `introduce_id` bigint(20) DEFAULT '0' COMMENT '课程介绍ID',
  `is_free` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否免费：1免费，0收费',
  `course_original` decimal(11,2) DEFAULT NULL COMMENT '原价',
  `course_discount` decimal(11,2) DEFAULT NULL COMMENT '优惠价',
  `is_putaway` tinyint(3) NOT NULL DEFAULT '1' COMMENT '是否上架(1:上架，0:下架)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程信息-审核';

#
# Data for table "course_audit"
#

INSERT INTO `course_audit` VALUES (1080731530615787522,'2019-01-03 15:44:08','2019-01-03 15:44:08',1,1,1,'系统默认通过',2018112015051635,1080387521456295937,1080387575940304898,0,'即速应用后台管理操作教程','http://static-dev.roncoo.com/course/b7fff0b2b72c42c492dd08707333ec31.png',1080731530578038786,1,0.00,0.00,1),(1080740234501230593,'2019-01-03 16:18:44','2019-01-03 16:18:44',1,1,1,'系统默认通过',2018112015051635,1080387521456295937,1080387575940304898,0,'零基础三分钟制作小程序','http://static-dev.roncoo.com/course/eb683082b9ac4088b13344ac3fb6344e.png',1080740234497036290,1,0.00,0.00,1),(1080743050779234306,'2019-01-03 16:29:55','2019-01-03 16:29:55',1,1,1,'系统默认通过',2018112015051635,1080387521456295937,1080387575940304898,0,'微信小程序行业解决方案','http://static-dev.roncoo.com/course/2ddf7585c0934e94becefc80e1e3e7fc.png',1080743050775040002,1,0.00,0.00,1),(1080745129451130881,'2019-01-03 16:38:11','2019-01-03 16:38:11',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,1080744807735431170,0,'毕设 Spring Boot-从零开发博客','http://static-dev.roncoo.com/course/6d62de57c58e4211bed1b55048cccff9.jpg',1080745129442742273,1,0.00,0.00,1),(1080747476327796737,'2019-01-03 16:47:30','2019-01-03 16:47:30',1,1,1,'系统默认通过',2018112015051635,1080747124211781634,1080747249965404161,0,'知识图谱系统架构设计','http://static-dev.roncoo.com/course/a5d9c08152cc459d8d09911c70014e71.jpg',1080747476319408130,1,0.00,0.00,1),(1080748086536114177,'2019-01-03 16:49:56','2019-01-03 16:49:56',1,1,1,'系统默认通过',2018112015051635,1080747124211781634,1080747249965404161,0,'Python3爬虫爬取房价进行房价预测','http://static-dev.roncoo.com/course/f41ab3be2e144ff0b4b06d0ae2fd92ea.jpg',1080748086527725569,1,0.00,0.00,1),(1080748800742199298,'2019-01-03 16:52:46','2019-01-03 16:52:46',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,1080748559775240194,0,'汪文君PowerMock实战视频','http://static-dev.roncoo.com/course/fe2f59c39712475bbadb2c63d6d0f79e.JPG',1080748800733810689,1,0.00,0.00,1),(1080749913478467586,'2019-01-03 16:57:11','2019-01-03 16:57:11',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,1080748559775240194,0,'Concordion-软件测试即文档实战','http://static-dev.roncoo.com/course/236b7cbd50d34433afa096481bcc455a.jpg',1080749913470078978,1,0.00,0.00,1),(1080750873957306369,'2019-01-03 17:01:00','2019-01-03 17:01:00',1,1,1,'系统默认通过',2018112015051635,1080750603160457217,1080750628284338178,0,'系统监控实现电话告警（电话告警API） 不漏掉一个故障告警','http://static-dev.roncoo.com/course/967c82aff3eb4de6a5d99eeaaef032fa.jpg',1080750873948917762,1,0.00,0.00,1),(1080751684959539202,'2019-01-03 17:04:14','2019-01-03 17:04:14',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,1080744807735431170,0,'Dubbo视频教程（Dubbo项目实战）','http://static-dev.roncoo.com/course/6e85322ef96e4372937c9b443a60db19.jpg',1080751684951150593,1,0.00,0.00,1),(1080752794290032642,'2019-01-03 17:08:38','2019-01-03 17:08:38',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,1080752583811469314,0,'Spring 4.0入门到精通','http://static-dev.roncoo.com/course/abdb3a545237436dae1a14ee49a0d369.jpg',1080752794281644033,1,0.00,0.00,1),(1080753909630963714,'2019-01-03 17:13:04','2019-01-03 17:13:04',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,1080752583811469314,0,'Spring Boot 免费篇','http://static-dev.roncoo.com/course/dbbc1043de9144f3a6495abf008326ba.jpg',1080753909626769409,1,0.00,0.00,1),(1080755660413145089,'2019-01-03 17:20:01','2019-01-03 17:20:01',1,1,1,'系统默认通过',2018112015051635,1080387521456295937,1080387575940304898,0,'小程序高手养成记','http://static-dev.roncoo.com/course/e7960c2ec2a5496d94e819650f851b00.jpg',1080755660404756482,1,0.00,0.00,1),(1080756535567257601,'2019-01-03 17:23:30','2019-01-03 17:23:30',1,1,1,'系统默认通过',2018112015051635,1080756158205726721,1080756229487923201,0,'龙果开源-后台管理系统','http://static-dev.roncoo.com/course/bcaa7661328b4926ba949e329620d630.jpg',1080756535550480385,1,0.00,0.00,1),(1080757024136564738,'2019-01-03 17:25:27','2019-01-03 17:25:27',1,1,1,'系统默认通过',2018112015051635,1080750603160457217,1080750628284338178,0,'Web 网站安全与防御实战','http://static-dev.roncoo.com/course/23439f1aa4f2402495471b99cc8c2e5e.jpg',1080757024128176129,1,0.00,0.00,1),(1080757537695535105,'2019-01-03 17:27:29','2019-01-03 17:27:29',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,1080744807735431170,0,'基于hystrix的高可用电商详情页缓存服务项目实战','http://static-dev.roncoo.com/course/e2a097e1db9340799bbe97f741ca17a6.jpg',1080757537691340802,1,0.00,0.00,1),(1080758482462511106,'2019-01-03 17:31:14','2019-01-03 17:31:14',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,0,0,'龙果运维平台安装使用','http://static-dev.roncoo.com/course/dad3ab0130bd432492a355a3b1b3a4ea.jpg',1080758482454122498,1,0.00,0.00,1),(1080759102707798018,'2019-01-03 17:33:42','2019-01-03 17:33:42',1,1,1,'系统默认通过',2018112015051635,1080756158205726721,1080758871769419777,0,'龙果开源支付系统业务介绍与部署','http://static-dev.roncoo.com/course/d5b74dba9eb74fe1834d8b34b77bfd0c.jpg',1080759102695215105,1,0.00,0.00,1),(1080759557655564289,'2019-01-03 17:35:31','2019-01-03 17:35:31',1,1,1,'系统默认通过',2018112015051635,1080747124211781634,1080759411039473666,0,'spark企业经典案例之手机app流量统计','http://static-dev.roncoo.com/course/730e9a81e19b46e89a23646de05565e1.jpg',1080759557651369985,1,0.00,0.00,1),(1085453180200448002,'2019-01-16 16:26:18','2019-01-16 16:26:18',1,1,1,'系统默认通过',2018112015051635,1080744766018883585,0,0,'测试下单课程','http://static-dev.roncoo.com/course/a1688caea49241f0aa4b15a08db3c7ac.jpg',1085453180192059393,0,0.10,0.10,1);

#
# Structure for table "course_category"
#

CREATE TABLE `course_category` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `parent_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '父分类ID',
  `category_type` tinyint(3) NOT NULL DEFAULT '1' COMMENT '分类类型(1课程，2资源)',
  `category_name` varchar(50) NOT NULL COMMENT '分类名称',
  `floor` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '层级',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程分类';

#
# Data for table "course_category"
#

INSERT INTO `course_category` VALUES (1080387521456295937,'2019-01-02 16:57:10','2019-01-02 16:57:10',1,70,0,1,'产品运营',1,''),(1080387575940304898,'2019-01-02 16:57:23','2019-01-02 16:57:23',1,1,1080387521456295937,1,'产品',2,''),(1080744766018883585,'2019-01-03 16:36:44','2019-01-03 16:36:44',1,100,0,1,'后台开发',1,''),(1080744807735431170,'2019-01-03 16:36:54','2019-01-03 16:36:54',1,1,1080744766018883585,1,'项目实战',2,''),(1080747124211781634,'2019-01-03 16:46:06','2019-01-03 16:46:06',1,90,0,1,'云计算/大数据',1,''),(1080747249965404161,'2019-01-03 16:46:36','2019-01-03 16:46:36',1,1,1080747124211781634,1,'大数据',2,''),(1080748559775240194,'2019-01-03 16:51:48','2019-01-03 16:51:48',1,1,1080744766018883585,1,'单点突破',2,''),(1080750603160457217,'2019-01-03 16:59:56','2019-01-03 16:59:56',1,80,0,1,'运维/测试',1,''),(1080750628284338178,'2019-01-03 17:00:02','2019-01-03 17:00:02',1,1,1080750603160457217,1,'运维',2,''),(1080752583811469314,'2019-01-03 17:07:48','2019-01-03 17:07:48',1,1,1080744766018883585,1,'基础',2,''),(1080756158205726721,'2019-01-03 17:22:00','2019-01-03 17:22:00',1,1,0,1,'开源项目',1,''),(1080756229487923201,'2019-01-03 17:22:17','2019-01-03 17:22:17',1,1,1080756158205726721,1,'后台管理系统',2,''),(1080758871769419777,'2019-01-03 17:32:47','2019-01-03 17:32:47',1,1,1080756158205726721,1,'龙果支付系统',2,''),(1080759411039473666,'2019-01-03 17:34:56','2019-01-03 17:34:56',1,1,1080747124211781634,1,'云计算',2,'');

#
# Structure for table "course_chapter"
#

CREATE TABLE `course_chapter` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `chapter_name` varchar(64) NOT NULL COMMENT '章节名称',
  `chapter_desc` varchar(255) DEFAULT NULL COMMENT '章节描述',
  `is_free` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否免费：1免费，0收费',
  `chapter_original` decimal(11,2) DEFAULT NULL COMMENT '原价',
  `chapter_discount` decimal(11,2) DEFAULT NULL COMMENT '优惠价',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='章节信息';

#
# Data for table "course_chapter"
#

INSERT INTO `course_chapter` VALUES (1080731617995722754,'2019-01-03 15:46:36','2019-01-03 15:46:36',1,1,1080731530615787522,'即速应用后台管理介绍教程',NULL,0,NULL,NULL),(1080731759217938433,'2019-01-03 15:46:36','2019-01-03 15:46:36',1,2,1080731530615787522,'总览',NULL,0,NULL,NULL),(1080731893985120257,'2019-01-03 15:46:36','2019-01-03 15:46:36',1,3,1080731530615787522,'数据统计',NULL,0,NULL,NULL),(1080731939967275009,'2019-01-03 15:46:36','2019-01-03 15:46:36',1,4,1080731530615787522,'用户管理',NULL,0,NULL,NULL),(1080737765738090498,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,5,1080731530615787522,'页面数据',NULL,0,NULL,NULL),(1080737860026044417,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,6,1080731530615787522,'功能模块',NULL,0,NULL,NULL),(1080738163748179970,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,7,1080731530615787522,'店铺管理',NULL,0,NULL,NULL),(1080738440308002817,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,8,1080731530615787522,'订单管路&门店管理',NULL,0,NULL,NULL),(1080738498403307521,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,9,1080731530615787522,'多店管理',NULL,0,NULL,NULL),(1080738583363129346,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,10,1080731530615787522,'营销推广',NULL,0,NULL,NULL),(1080739008359370753,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,11,1080731530615787522,'系统设置',NULL,0,NULL,NULL),(1080739068455358465,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,12,1080731530615787522,'微信设置',NULL,0,NULL,NULL),(1080739090404151297,'2019-01-03 16:14:20','2019-01-03 16:14:20',1,13,1080731530615787522,'视频列表',NULL,0,NULL,NULL),(1080740298770550785,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,1080740234501230593,'基础组件讲解教程',NULL,0,NULL,NULL),(1080740712899350529,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,2,1080740234501230593,'布局组件讲解教程',NULL,0,NULL,NULL),(1080741037639143426,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,3,1080740234501230593,'功能组件讲解教程',NULL,0,NULL,NULL),(1080741611705143297,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,4,1080740234501230593,'营销组件讲解教程',NULL,0,NULL,NULL),(1080741870434979842,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,5,1080740234501230593,'其他组件讲解教程',NULL,0,NULL,NULL),(1080742047262642178,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,6,1080740234501230593,'页面概述讲解教程',NULL,0,NULL,NULL),(1080743083784212482,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,1,1080743050779234306,'电商行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743235517353985,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,2,1080743050779234306,'餐饮行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743340769218561,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,3,1080743050779234306,'健身行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743452916518913,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,4,1080743050779234306,'教育行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743553525288962,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,5,1080743050779234306,'企业展示小程序解决方案教程',NULL,0,NULL,NULL),(1080743636924829697,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,6,1080743050779234306,'新零售（水果）行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743764981125121,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,7,1080743050779234306,'微信小程序当面付功能教程',NULL,0,NULL,NULL),(1080743887601602561,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,8,1080743050779234306,'公众号电商行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743998993928194,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,9,1080743050779234306,'微信小程序社区功能教程',NULL,0,NULL,NULL),(1080744100441559041,'2019-01-03 17:51:12','2019-01-03 17:51:12',1,10,1080743050779234306,'资讯行业小程序解决方案教程',NULL,0,NULL,NULL),(1080745185445089281,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,'课程介绍和项目介绍',NULL,0,NULL,NULL),(1080745241665540098,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,2,1080745129451130881,'项目起步',NULL,0,NULL,NULL),(1080745377019924481,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,3,1080745129451130881,'后台登录',NULL,0,NULL,NULL),(1080745622697086977,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,4,1080745129451130881,'分类功能',NULL,0,NULL,NULL),(1080745825701400578,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,5,1080745129451130881,'文章发布',NULL,0,NULL,NULL),(1080746486186840066,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,6,1080745129451130881,'文章管理',NULL,0,NULL,NULL),(1080746632387694593,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,7,1080745129451130881,'评论管理',NULL,0,NULL,NULL),(1080746655913545730,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,8,1080745129451130881,'Security安全验证',NULL,0,NULL,NULL),(1080746675098292226,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,9,1080745129451130881,'elasticsearch实现搜索',NULL,0,NULL,NULL),(1080746696480854018,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,10,1080745129451130881,'项目部署上线',NULL,0,NULL,NULL),(1080747503813070849,'2019-01-03 17:51:07','2019-01-03 17:51:07',1,1,1080747476327796737,'知识图谱系统架构设计（1）',NULL,0,NULL,NULL),(1080748116932235266,'2019-01-03 17:51:04','2019-01-03 17:51:04',1,1,1080748086536114177,'第一章',NULL,0,NULL,NULL),(1080748843360522242,'2019-01-03 17:51:00','2019-01-03 17:51:00',1,1,1080748800742199298,'第一章',NULL,0,NULL,NULL),(1080749946835767297,'2019-01-03 17:50:58','2019-01-03 17:50:58',1,1,1080749913478467586,'第一章',NULL,0,NULL,NULL),(1080750906672877569,'2019-01-03 17:50:55','2019-01-03 17:50:55',1,1,1080750873957306369,'第一章',NULL,0,NULL,NULL),(1080751722016215042,'2019-01-03 17:50:52','2019-01-03 17:50:52',1,1,1080751684959539202,'Dubbo应用基础',NULL,0,NULL,NULL),(1080752832009408513,'2019-01-03 17:50:49','2019-01-03 17:50:49',1,1,1080752794290032642,'入门篇',NULL,0,NULL,NULL),(1080753938500358145,'2019-01-03 17:50:46','2019-01-03 17:50:46',1,1,1080753909630963714,'基础编',NULL,0,NULL,NULL),(1080755701336969218,'2019-01-03 17:50:42','2019-01-03 17:50:42',1,1,1080755660413145089,'小程序高手养成记',NULL,0,NULL,NULL),(1080756594904076290,'2019-01-03 17:50:39','2019-01-03 17:50:39',1,1,1080756535567257601,'第一章',NULL,0,NULL,NULL),(1080757067061071873,'2019-01-03 17:50:36','2019-01-03 17:50:36',1,1,1080757024136564738,'Web网站安全与防御实战',NULL,0,NULL,NULL),(1080757568645304322,'2019-01-03 17:50:34','2019-01-03 17:50:34',1,1,1080757537695535105,'第一章',NULL,0,NULL,NULL),(1080758514712514562,'2019-01-03 17:50:31','2019-01-03 17:50:31',1,1,1080758482462511106,'运维平台安装',NULL,0,NULL,NULL),(1080759128645373954,'2019-01-03 17:50:29','2019-01-03 17:50:29',1,1,1080759102707798018,'业务介绍与部署',NULL,0,NULL,NULL),(1080759603717410818,'2019-01-03 17:50:26','2019-01-03 17:50:26',1,1,1080759557655564289,'基础篇',NULL,0,NULL,NULL),(1085796692309786625,'2019-01-17 15:12:26','2019-01-17 15:12:26',1,1,1085453180200448002,'测试章节-1',NULL,0,NULL,NULL),(1085796749289406465,'2019-01-17 15:12:26','2019-01-17 15:12:26',1,2,1085453180200448002,'测试章节-2',NULL,0,NULL,NULL),(1085796808697528321,'2019-01-17 15:12:26','2019-01-17 15:12:26',1,3,1085453180200448002,'测试章节-3',NULL,0,NULL,NULL);

#
# Structure for table "course_chapter_audit"
#

CREATE TABLE `course_chapter_audit` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `audit_status` int(11) DEFAULT NULL COMMENT '审核状态(0:待审核;1:审核通过;2:审核不通过)',
  `audit_opinion` varchar(1024) DEFAULT NULL COMMENT '审核意见',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `chapter_name` varchar(64) NOT NULL COMMENT '章节名称',
  `chapter_desc` varchar(255) DEFAULT NULL COMMENT '章节描述',
  `is_free` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否免费：1免费，0收费',
  `chapter_original` decimal(11,2) DEFAULT NULL COMMENT '原价',
  `chapter_discount` decimal(11,2) DEFAULT NULL COMMENT '优惠价',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='章节信息-审核';

#
# Data for table "course_chapter_audit"
#

INSERT INTO `course_chapter_audit` VALUES (1080731617995722754,'2019-01-03 15:44:29','2019-01-03 15:44:29',1,1,1,NULL,1080731530615787522,'即速应用后台管理介绍教程',NULL,0,NULL,NULL),(1080731759217938433,'2019-01-03 15:45:03','2019-01-03 15:45:03',1,2,1,NULL,1080731530615787522,'总览',NULL,0,NULL,NULL),(1080731893985120257,'2019-01-03 15:45:35','2019-01-03 15:45:35',1,3,1,NULL,1080731530615787522,'数据统计',NULL,0,NULL,NULL),(1080731939967275009,'2019-01-03 15:45:46','2019-01-03 15:45:46',1,4,1,NULL,1080731530615787522,'用户管理',NULL,0,NULL,NULL),(1080737765738090498,'2019-01-03 16:08:55','2019-01-03 16:08:55',1,5,1,NULL,1080731530615787522,'页面数据',NULL,0,NULL,NULL),(1080737860026044417,'2019-01-03 16:09:17','2019-01-03 16:09:17',1,6,1,NULL,1080731530615787522,'功能模块',NULL,0,NULL,NULL),(1080738163748179970,'2019-01-03 16:10:30','2019-01-03 16:10:30',1,7,1,NULL,1080731530615787522,'店铺管理',NULL,0,NULL,NULL),(1080738440308002817,'2019-01-03 16:11:36','2019-01-03 16:11:36',1,8,1,NULL,1080731530615787522,'订单管路&门店管理',NULL,0,NULL,NULL),(1080738498403307521,'2019-01-03 16:11:50','2019-01-03 16:11:50',1,9,1,NULL,1080731530615787522,'多店管理',NULL,0,NULL,NULL),(1080738583363129346,'2019-01-03 16:12:10','2019-01-03 16:12:10',1,10,1,NULL,1080731530615787522,'营销推广',NULL,0,NULL,NULL),(1080739008359370753,'2019-01-03 16:13:51','2019-01-03 16:13:51',1,11,1,NULL,1080731530615787522,'系统设置',NULL,0,NULL,NULL),(1080739068455358465,'2019-01-03 16:14:06','2019-01-03 16:14:06',1,12,1,NULL,1080731530615787522,'微信设置',NULL,0,NULL,NULL),(1080739090404151297,'2019-01-03 16:14:11','2019-01-03 16:14:11',1,13,1,NULL,1080731530615787522,'视频列表',NULL,0,NULL,NULL),(1080740298770550785,'2019-01-03 16:18:59','2019-01-03 16:18:59',1,1,1,NULL,1080740234501230593,'基础组件讲解教程',NULL,0,NULL,NULL),(1080740712899350529,'2019-01-03 16:20:38','2019-01-03 16:20:38',1,2,1,NULL,1080740234501230593,'布局组件讲解教程',NULL,0,NULL,NULL),(1080741037639143426,'2019-01-03 16:21:55','2019-01-03 16:21:55',1,3,1,NULL,1080740234501230593,'功能组件讲解教程',NULL,0,NULL,NULL),(1080741611705143297,'2019-01-03 16:24:12','2019-01-03 16:24:12',1,4,1,NULL,1080740234501230593,'营销组件讲解教程',NULL,0,NULL,NULL),(1080741870434979842,'2019-01-03 16:25:14','2019-01-03 16:25:14',1,5,1,NULL,1080740234501230593,'其他组件讲解教程',NULL,0,NULL,NULL),(1080742047262642178,'2019-01-03 16:25:56','2019-01-03 16:25:56',1,6,1,NULL,1080740234501230593,'页面概述讲解教程',NULL,0,NULL,NULL),(1080743083784212482,'2019-01-03 16:30:03','2019-01-03 16:30:03',1,1,1,NULL,1080743050779234306,'电商行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743235517353985,'2019-01-03 16:30:39','2019-01-03 16:30:39',1,2,1,NULL,1080743050779234306,'餐饮行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743340769218561,'2019-01-03 16:31:04','2019-01-03 16:31:04',1,3,1,NULL,1080743050779234306,'健身行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743452916518913,'2019-01-03 16:31:31','2019-01-03 16:31:31',1,4,1,NULL,1080743050779234306,'教育行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743553525288962,'2019-01-03 16:31:55','2019-01-03 16:31:55',1,5,1,NULL,1080743050779234306,'企业展示小程序解决方案教程',NULL,0,NULL,NULL),(1080743636924829697,'2019-01-03 16:32:15','2019-01-03 16:32:15',1,6,1,NULL,1080743050779234306,'新零售（水果）行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743764981125121,'2019-01-03 16:32:45','2019-01-03 16:32:45',1,7,1,NULL,1080743050779234306,'微信小程序当面付功能教程',NULL,0,NULL,NULL),(1080743887601602561,'2019-01-03 16:33:15','2019-01-03 16:33:15',1,8,1,NULL,1080743050779234306,'公众号电商行业小程序解决方案教程',NULL,0,NULL,NULL),(1080743998993928194,'2019-01-03 16:33:41','2019-01-03 16:33:41',1,9,1,NULL,1080743050779234306,'微信小程序社区功能教程',NULL,0,NULL,NULL),(1080744100441559041,'2019-01-03 16:34:05','2019-01-03 16:34:05',1,10,1,NULL,1080743050779234306,'资讯行业小程序解决方案教程',NULL,0,NULL,NULL),(1080745185445089281,'2019-01-03 16:38:24','2019-01-03 16:38:24',1,1,1,NULL,1080745129451130881,'课程介绍和项目介绍',NULL,0,NULL,NULL),(1080745241665540098,'2019-01-03 16:38:37','2019-01-03 16:38:37',1,2,1,NULL,1080745129451130881,'项目起步',NULL,0,NULL,NULL),(1080745377019924481,'2019-01-03 16:39:10','2019-01-03 16:39:10',1,3,1,NULL,1080745129451130881,'后台登录',NULL,0,NULL,NULL),(1080745622697086977,'2019-01-03 16:40:08','2019-01-03 16:40:08',1,4,1,NULL,1080745129451130881,'分类功能',NULL,0,NULL,NULL),(1080745825701400578,'2019-01-03 16:40:57','2019-01-03 16:40:57',1,5,1,NULL,1080745129451130881,'文章发布',NULL,0,NULL,NULL),(1080746486186840066,'2019-01-03 16:43:34','2019-01-03 16:43:34',1,6,1,NULL,1080745129451130881,'文章管理',NULL,0,NULL,NULL),(1080746632387694593,'2019-01-03 16:44:09','2019-01-03 16:44:09',1,7,1,NULL,1080745129451130881,'评论管理',NULL,0,NULL,NULL),(1080746655913545730,'2019-01-03 16:44:15','2019-01-03 16:44:15',1,8,1,NULL,1080745129451130881,'Security安全验证',NULL,0,NULL,NULL),(1080746675098292226,'2019-01-03 16:44:19','2019-01-03 16:44:19',1,9,1,NULL,1080745129451130881,'elasticsearch实现搜索',NULL,0,NULL,NULL),(1080746696480854018,'2019-01-03 16:44:24','2019-01-03 16:44:24',1,10,1,NULL,1080745129451130881,'项目部署上线',NULL,0,NULL,NULL),(1080747503813070849,'2019-01-03 16:47:37','2019-01-03 16:47:37',1,1,1,NULL,1080747476327796737,'知识图谱系统架构设计（1）',NULL,0,NULL,NULL),(1080748116932235266,'2019-01-03 16:50:03','2019-01-03 16:50:03',1,1,1,NULL,1080748086536114177,'第一章',NULL,0,NULL,NULL),(1080748843360522242,'2019-01-03 16:52:56','2019-01-03 16:52:56',1,1,1,NULL,1080748800742199298,'第一章',NULL,0,NULL,NULL),(1080749946835767297,'2019-01-03 16:57:19','2019-01-03 16:57:19',1,1,1,NULL,1080749913478467586,'第一章',NULL,0,NULL,NULL),(1080750906672877569,'2019-01-03 17:01:08','2019-01-03 17:01:08',1,1,1,NULL,1080750873957306369,'第一章',NULL,0,NULL,NULL),(1080751722016215042,'2019-01-03 17:04:22','2019-01-03 17:04:22',1,1,1,NULL,1080751684959539202,'Dubbo应用基础',NULL,0,NULL,NULL),(1080752832009408513,'2019-01-03 17:08:47','2019-01-03 17:08:47',1,1,1,NULL,1080752794290032642,'入门篇',NULL,0,NULL,NULL),(1080753938500358145,'2019-01-03 17:13:11','2019-01-03 17:13:11',1,1,1,NULL,1080753909630963714,'基础编',NULL,0,NULL,NULL),(1080755701336969218,'2019-01-03 17:20:11','2019-01-03 17:20:11',1,1,1,NULL,1080755660413145089,'小程序高手养成记',NULL,0,NULL,NULL),(1080756594904076290,'2019-01-03 17:23:44','2019-01-03 17:23:44',1,1,1,NULL,1080756535567257601,'第一章',NULL,0,NULL,NULL),(1080757067061071873,'2019-01-03 17:25:37','2019-01-03 17:25:37',1,1,1,NULL,1080757024136564738,'Web网站安全与防御实战',NULL,0,NULL,NULL),(1080757568645304322,'2019-01-03 17:27:36','2019-01-03 17:27:36',1,1,1,NULL,1080757537695535105,'第一章',NULL,0,NULL,NULL),(1080758514712514562,'2019-01-03 17:31:22','2019-01-03 17:31:22',1,1,1,NULL,1080758482462511106,'运维平台安装',NULL,0,NULL,NULL),(1080759128645373954,'2019-01-03 17:33:48','2019-01-03 17:33:48',1,1,1,NULL,1080759102707798018,'业务介绍与部署',NULL,0,NULL,NULL),(1080759603717410818,'2019-01-03 17:35:42','2019-01-03 17:35:42',1,1,1,NULL,1080759557655564289,'基础篇',NULL,0,NULL,NULL),(1085796692309786625,'2019-01-17 15:11:17','2019-01-17 15:11:17',1,1,1,NULL,1085453180200448002,'测试章节-1',NULL,0,NULL,NULL),(1085796749289406465,'2019-01-17 15:11:31','2019-01-17 15:11:31',1,2,1,NULL,1085453180200448002,'测试章节-2',NULL,0,NULL,NULL),(1085796808697528321,'2019-01-17 15:11:45','2019-01-17 15:11:45',1,3,1,NULL,1085453180200448002,'测试章节-3',NULL,0,NULL,NULL);

#
# Structure for table "course_chapter_period"
#

CREATE TABLE `course_chapter_period` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `chapter_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '章节ID',
  `period_name` varchar(255) NOT NULL COMMENT '课时名称',
  `period_desc` varchar(255) DEFAULT NULL COMMENT '课时描述',
  `is_free` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否免费：1免费，0收费',
  `period_original` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '原价',
  `period_discount` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '优惠价',
  `count_buy` int(11) NOT NULL DEFAULT '0' COMMENT '购买人数',
  `count_study` int(11) NOT NULL DEFAULT '0' COMMENT '学习人数',
  `is_doc` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否存在文档(1存在，0否)',
  `doc_name` varchar(255) DEFAULT NULL COMMENT '文档名称',
  `doc_url` varchar(255) DEFAULT NULL COMMENT '文档地址',
  `is_video` varchar(255) NOT NULL DEFAULT '0' COMMENT '是否存在视频(1存在，0否)',
  `video_no` bigint(20) DEFAULT NULL COMMENT '视频编号',
  `video_name` varchar(255) DEFAULT NULL COMMENT '视频名称',
  `video_length` varchar(36) DEFAULT NULL COMMENT '时长',
  `video_vid` varchar(50) DEFAULT NULL COMMENT '视频VID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课时信息';

#
# Data for table "course_chapter_period"
#

INSERT INTO `course_chapter_period` VALUES (1042719538881863682,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'风格',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1042715863245496322,'07ES的REST风格API增删改查.avi','00:19:58','e2fe557cf395f61e2e5f8aab56604a76_e'),(1046261184466612225,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738440308002817,'订单管理&门店管理教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1046265216715288578,'02.spring-bean范围.avi','00:07:20','e2fe557cf3f33048c29da9c3211d48b5_e'),(1053574506328702977,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745241665540098,'mybatis逆向工程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1053591590228017153,'9.mybatis逆向工程生成代码.mp4','00:08:51','e2fe557cf3dc38cf9b26904a3a4aea0b_e'),(1053576547654516738,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745241665540098,'数据库设计',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1053596301383516162,'8.系统的数据库设计.mp4','00:30:59','e2fe557cf3fa6aa590845c296a54952d_e'),(1055794445466791938,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'添加功能',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1055836660394160130,'17. 尚硅谷_AngularJS_练习2_添加功能实现.avi','00:06:51','e2fe557cf3a733102c54729cf0eea275_e'),(1056041863475163138,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'个人中心',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1056051412995207169,'45_尚硅谷_硅谷直聘_个人中心界面_显示.avi','00:14:58','e2fe557cf31552a6fd706493884969b2_e'),(1056747433128177666,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'秒杀',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1055762705675792386,'20.尚硅谷_硅谷商城[新]_设置秒杀的RecyclerView的适配器.avi','00:20:39','e2fe557cf396a1ccbdaa97bd583e30e5_e'),(1066954331923443713,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'根据deviceID进行聚合',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978791518924802,'根据deviceID进行聚合','00:12:00','e2fe557cf3b91bf155e3f26955dae496_e'),(1066954332011524097,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'使用Dubbo对传统工程进行服务化改造',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978791661531138,'使用Dubbo对传统工程进行服务化改造','00:55:00','e2fe557cf3f69df2a34f98f1f2245b9e_e'),(1066954332221239297,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'ZooKeeper注册中心安装',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978791946743810,'ZooKeeper注册中心安装','00:29:00','e2fe557cf39b3f42c52c6279536c2227_e'),(1066954332548395010,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'SpringAOP前奏',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978792353591297,'SpringAOP前奏','00:41:00','e2fe557cf33181d304902486f2dd72d4_e'),(1066954332644864002,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'读取日志文件创建可序列化对象',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978792454254594,'读取日志文件创建可序列化对象','00:11:00','e2fe557cf36883b7ef0b1ee817c0a0a7_e'),(1066954332699389954,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'深入理解线程池隔离技术的设计原则以及动手实战接口限流实验',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978792508780546,'深入理解线程池隔离技术的设计原则以及动手实战接口限流实验','00:32:00','e2fe557cf3e248fc9d574583796a63f9_e'),(1066954332841996290,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'使用Maven构建Dubbo服务的可运行jar包',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978792680747009,'使用Maven构建Dubbo服务的可运行jar包','00:46:00','e2fe557cf3b2c752cdcb15c63d436db7_e'),(1066954333018157058,'2019-01-03 17:50:31','2019-01-22 11:01:14',1,1,1080758482462511106,1080758514712514562,'运维平台功能补充和消息队列celery+redis安装讲解',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978792903045121,'运维平台功能补充和消息队列celery+redis安装讲解','00:20:00','e2fe557cf307df84918e4e2b7ca7d4f9_e'),(1066954333253038081,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'hystrix要解决的分布式系统可用性问题以及其设计原则',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978793158897665,'hystrix要解决的分布式系统可用性问题以及其设计原则','00:40:00','e2fe557cf3547a269cbaedb66f9f4dc0_e'),(1066954333831852034,'2019-01-03 17:50:29','2019-01-22 11:01:14',1,1,1080759102707798018,1080759128645373954,'支付业务简介',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978793678991361,'第1节--支付业务简介','00:14:00','e2fe557cf3ca1b3348e71259fd91cf3f_e'),(1066954334066733058,'2019-01-03 17:50:29','2019-01-22 11:01:14',1,1,1080759102707798018,1080759128645373954,'龙果支付系统的结构及业务流程介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978793838374914,'第2节--龙果支付系统的结构及业务流程介绍','00:26:00','e2fe557cf393c16797c57188a79609db_e'),(1066954334305808385,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'Dubbo监控中心的介绍与简易监控中心的安装',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'1',1066978794006147074,'Dubbo监控中心的介绍与简易监控中心的安装','00:20:00','e2fe557cf3e4189c7739ddeac1c28b1b_e'),(1066954334532300801,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'基于注解方式配置bean以及自动转配属性',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978794157142017,'基于注解方式配置bean以及自动转配属性','00:23:00','e2fe557cf3b1609b3997d6adbb868176_e'),(1066954334746210305,'2019-01-03 17:50:46','2019-01-22 11:01:14',1,1,1080753909630963714,1080753938500358145,'RESTfull API简单项目的快速搭建',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978794333302785,'RESTfull API简单项目的快速搭建','00:29:00','e2fe557cf3e9e2d025489636e52b440c_e'),(1066954335002062849,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'PHP代码简单介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978794517852161,'PHP代码简单介绍','00:7:00','e2fe557cf373dc6add6b6e16827c162a_e'),(1066954335077560321,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'使用Dubbo对传统工程进行服务化改造的思路介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978794568183810,'使用Dubbo对传统工程进行服务化改造的思路介绍','00:15:00','e2fe557cf3df20f1f6860af52fc8db4e_e'),(1066954335761231874,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'hystrix的线程池+服务+接口划分以及资源池的容量大小控制',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978795423821826,'hystrix的线程池+服务+接口划分以及资源池的容量大小控制','00:25:00','e2fe557cf3b80ab8ceba4153a98c99e9_e'),(1066954335836729346,'2019-01-03 17:50:46','2019-01-22 11:01:14',1,1,1080753909630963714,1080753938500358145,'日志配置-logback和log4j2',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978795486736385,'日志配置-logback和log4j2','00:14:00','e2fe557cf3226de5ce63825b0e4cdf86_e'),(1066954336189050882,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'静态工厂方法及实例工厂方法配置bean',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978795742588929,'静态工厂方法及实例工厂方法配置bean','00:19:00','e2fe557cf3561c2d5630f62f4e2910b5_e'),(1066954336423931906,'2019-01-03 17:50:46','2019-01-22 11:01:14',1,1,1080753909630963714,1080753938500358145,'配置文件详解：Properties和YAML',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978795876806658,'配置文件详解：Properties和YAML','00:18:00','e2fe557cf333aef8ca8c5e9d2c399d89_e'),(1066954336717533185,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'深入分析hystrix执行时的8大流程步骤以及内部原理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978796065550338,'深入分析hystrix执行时的8大流程步骤以及内部原理','00:23:00','e2fe557cf3214b002b9d69b83200bdca_e'),(1066954336797224962,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'bean之间的关系',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978796124270594,'bean之间的关系','00:10:00','e2fe557cf33bab6d5589007a7738f5f7_e'),(1066954337870966785,'2019-01-03 17:50:39','2019-01-22 11:01:14',1,1,1080756535567257601,1080756594904076290,'系统的简单介绍和如何部署',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978796845690881,'系统的简单介绍和如何部署','00:23:00','e2fe557cf3efdf0077fd03ead862dfe7_e'),(1066954338139402242,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'SpringEL表达式',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978797009268738,'SpringEL表达式','00:18:00','e2fe557cf3b0223313f5bbc86fdee5b6_e'),(1066954338181345281,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'使用Dubbo对传统工程进行服务化改造后的服务调用测试',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978797135097858,'使用Dubbo对传统工程进行服务化改造后的服务调用测试','00:19:00','e2fe557cf393b4846f71da699e3718ab_e'),(1066954338533666817,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'推广',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978797483225089,'小程序运营推广战略（上）：小程序运营规范，精准运营推广战略','00:53:00','e2fe557cf3569c1995e3e0871b6957ad_e'),(1066954338554638337,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'测试数据生成器',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978797495808002,'测试数据生成器','00:26:00','e2fe557cf316691cdcbf5f5799b1e0ab_e'),(1066954338957291522,'2019-01-03 17:50:46','2019-01-22 11:01:14',1,1,1080753909630963714,1080753938500358145,'配置文件-多环境配置',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978797835546625,'配置文件-多环境配置','00:18:00','e2fe557cf3d7f5926b9b118304d9e8c2_e'),(1066954340060393473,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'基于hystrix的高可用分布式系统架构项目实战课程的总结',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978798821208065,'基于hystrix的高可用分布式系统架构项目实战课程的总结','00:10:00','e2fe557cf3cd53ee0adc85a5c0367c36_e'),(1066954340219777025,'2019-01-03 17:50:42','2019-01-22 11:01:14',1,1,1080755660413145089,1080755701336969218,'进入小程序的世界：微信小程序现状与未来，小程序开发痛点',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978798959620098,'进入小程序的世界：微信小程序现状与未来，小程序开发痛点','00:51:00','e2fe557cf3ee05d2a3d4296c38bd766d_e'),(1066954340655984641,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'bean的自动装配',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978799374856194,'bean的自动装配','00:15:00','e2fe557cf331f422ae3fec03a0940385_e'),(1066954341100580865,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'电商网站的商品详情页缓存服务业务背景以及框架结构说明',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978799811063810,'电商网站的商品详情页缓存服务业务背景以及框架结构说明','00:33:00','e2fe557cf39daba37581b0175b92f09f_e'),(1066954341238992898,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'属性注入的细节及bean的引用',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978799987224577,'属性注入的细节及bean的引用','00:20:00','e2fe557cf376625f90431c1836974d31_e'),(1066954341557760002,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'通过FacotryBean接口配置bean',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978800188551170,'通过FacotryBean接口配置bean','00:8:00','e2fe557cf3d3c3fec3ddfda8ce05605f_e'),(1066954341574537217,'2019-01-03 17:50:42','2019-01-22 11:01:14',1,1,1080755660413145089,1080755701336969218,'课程介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978800205328385,'课程介绍','00:20:00','e2fe557cf3b15ac059d5f1851d660f61_e'),(1066954342031716353,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'基于request cache请求缓存技术优化批量商品数据查询接口',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978800662507521,'基于request cache请求缓存技术优化批量商品数据查询接口','00:28:00','e2fe557cf3dce2da784b0ecb303e212e_e'),(1066954342136573954,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'在Linux操作系统上手工部署Dubbo服务',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978800763170817,'在Linux操作系统上手工部署Dubbo服务','00:50:00','e2fe557cf37c98c1202b8d50102ba7ee_e'),(1066954342509867010,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'将spark产生结果保存到mysql里面',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978801052577793,'将spark产生结果保存到mysql里面','00:13:00','e2fe557cf38b60cf1030e1973e55f844_e'),(1066954342526644226,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'基于spring boot快速构建缓存服务以及商品服务',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978801086132225,'基于spring boot快速构建缓存服务以及商品服务','00:28:00','e2fe557cf3020c9ab328b4bcb5d7df9e_e'),(1066954342589558786,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'按照降序排序找出前10打印出来',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978801144852481,'按照降序排序找出前10打印出来','00:5:00','e2fe557cf3e62a55b822816df3e970fd_e'),(1066954342715387905,'2019-01-03 17:50:42','2019-01-22 11:01:14',1,1,1080755660413145089,1080755701336969218,'商户场景应用：七大电商功能详解，一键生成专属小程序',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978801270681602,'商户场景应用：七大电商功能详解，一键生成专属小程序','00:54:00','e2fe557cf305364a19e549441fdd5607_e'),(1066954342837022721,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'IOC概述与Bean的配置',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978801430065153,'IOC概述与Bean的配置','00:11:00','e2fe557cf31bb9217bd7ed51aeefff4f_e'),(1066954344116285441,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'Dubbo管理控制台的安装',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978802331840513,'Dubbo管理控制台的安装','00:21:00','e2fe557cf38afed3c32bf58582fa38ea_e'),(1066954344292446210,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'依赖注入的三种方式',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978802487029762,'依赖注入的三种方式','00:17:00','e2fe557cf3e7e46930dd1c4b6d9cfb24_e'),(1066954344313417729,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'图片列表',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978802503806977,'组合（图片列表、轮播图、列表）','00:39:00','e2fe557cf3a513a83741fc658060218d_e'),(1066954344648962049,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'Map集合属性注入及外部listbean的设定',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978802814185473,'Map集合属性注入及外部listbean的设定','00:18:00','e2fe557cf313c725782fe0ac4f1f9ae5_e'),(1066954346003722241,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'spark大型案例解说',NULL,1,0.00,0.00,0,0,0,'','','1',1066978803996979201,'spark大型案例解说','00:13:00','e2fe557cf33f601ae6104be141a94838_e'),(1066954346213437441,'2019-01-03 17:50:46','2019-01-22 11:01:14',1,1,1080753909630963714,1080753938500358145,'工具的安装和使用',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978804173139969,'工具的安装和使用','00:10:00','e2fe557cf3013b1a2309c7ef12916fa7_e'),(1066954346460901378,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'基于hystrix的信号量技术对地理位置获取逻辑进行资源隔离与限流',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978804424798210,'基于hystrix的信号量技术对地理位置获取逻辑进行资源隔离与限流','00:34:00','e2fe557cf375a10b2e612d6f3c42a6b2_e'),(1066954346511233025,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'把结果通过手机应用展示出来',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978804454158338,'把结果通过手机应用展示出来','00:5:00','e2fe557cf31fe05151bbf77cd2de61da_e'),(1066954346599313410,'2019-01-03 17:50:31','2019-01-22 11:01:14',1,1,1080758482462511106,1080758514712514562,'资产管理、zabbix管理、出图、机柜平台展示、报障平台',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978804554821634,'资产管理、zabbix管理、出图、机柜平台展示、报障平台','00:20:00','e2fe557cf3af9a29f23c0954c12d11fb_e'),(1066954346620284929,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'开发品牌名称获取接口的基于本地缓存的fallback降级机制',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978804567404546,'开发品牌名称获取接口的基于本地缓存的fallback降级机制','00:21:00','e2fe557cf33b1a6d01b9fe2b4424a45c_e'),(1066954346976800770,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'spring概述-helloworld',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978805012000769,'spring概述-helloworld','00:19:00','e2fe557cf3070bd44979065cd911b584_e'),(1066954348830683137,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'构建Dubbo服务消费者Web应用的war包并在Tomcat中部署',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978807369199618,'构建Dubbo服务消费者Web应用的war包并在Tomcat中部署','00:26:00','e2fe557cf384648677ba53f0594c76bb_e'),(1066954348851654657,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'快速完成缓存服务接收数据变更消息以及调用商品服务接口的代码编写',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978807394365442,'快速完成缓存服务接收数据变更消息以及调用商品服务接口的代码编写','00:12:00','e2fe557cf3935ec435b5a33eaee17d33_e'),(1066954349220753409,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'基于timeout机制来为商品服务接口的调用超时提供安全保护',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978807847350273,'基于timeout机制来为商品服务接口的调用超时提供安全保护','00:10:00','e2fe557cf3d630bda4e1253cce60fbbd_e'),(1066954349711486978,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'商品服务接口故障导致的高并发访问耗尽缓存服务资源的场景分析',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978808229031938,'商品服务接口故障导致的高并发访问耗尽缓存服务资源的场景分析','00:9:00','e2fe557cf3487dbe157f99db9f4c6232_e'),(1066954350663593986,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'将RDD的key映射为二次排序的key',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978809164361730,'将RDD的key映射为二次排序的key','00:7:00','e2fe557cf3ab900c6e9c3ca547c9cc90_e'),(1066954350911057922,'2019-01-03 17:50:42','2019-01-22 11:01:14',1,1,1080755660413145089,1080755701336969218,'小程序设计规范指导：小程序官方设计规范',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978809436991489,'小程序设计规范指导：小程序官方设计规范','00:47:00','e2fe557cf3ee5da84dbd150bed27f124_e'),(1066954350990749697,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'底部导航',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978809499906050,'概述&布局(双栏、面板、自由面板、分割线、顶部导航、底部导航)','00:51:00','e2fe557cf33cfb0c9cd218f38360ee9f_e'),(1066954351288545282,'2019-01-03 17:50:42','2019-01-22 11:01:14',1,1,1080755660413145089,1080755701336969218,'小程序运营推广战略（下）：经典小程序运营推广案例复盘剖析',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978809785118722,'小程序运营推广战略（下）：经典小程序运营推广案例复盘剖析','00:26:00','e2fe557cf366b053d36abcf99dcacc0e_e'),(1066954351586340865,'2019-01-03 17:50:36','2019-01-22 11:01:14',1,1,1080757024136564738,1080757067061071873,'常见WEB应用漏洞的讲解-实战防护脚本的分析',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978810040971266,'常见WEB应用漏洞的讲解-实战防护脚本的分析','00:21:00','e2fe557cf3c1652b0ac129fa526f99ff_e'),(1066954352236457985,'2019-01-03 17:50:36','2019-01-22 11:01:14',1,1,1080757024136564738,1080757067061071873,'实战进行攻击拦截-实战sql注入拦截',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978810787557378,'实战进行攻击拦截-实战sql注入拦截','00:11:00','e2fe557cf386a8fdb952f7bc8821a5f2_e'),(1066954353238896641,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'深入理解hystrix的短路器执行原理以及模拟接口异常时的短路实验',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978811798384641,'深入理解hystrix的短路器执行原理以及模拟接口异常时的短路实验','00:29:00','e2fe557cf311aa477058530d21f9216f_e'),(1066954353255673858,'2019-01-03 17:50:52','2019-01-22 11:01:14',1,1,1080751684959539202,1080751722016215042,'使用Dubbo进行规模服务化前的工程结构优化',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978811836133377,'使用Dubbo进行规模服务化前的工程结构优化','00:35:00','e2fe557cf3a3fa7125fdc9fe0cbfa7db_e'),(1066954353641549825,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'IOC容器与获取Bean的方法',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978812343644161,'IOC容器与获取Bean的方法','00:8:00','e2fe557cf36354a12c4e1bfb05a40dc9_e'),(1066954354279084033,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'spark案例解说',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978812922458114,'spark案例解说','00:12:00','e2fe557cf3d4ab3ca928698ca08bfeb2_e'),(1066954354400718850,'2019-01-03 17:50:31','2019-01-22 11:01:14',1,1,1080758482462511106,1080758514712514562,'运维平台概述和装机平台演示',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978813077647361,'运维平台概述和装机平台演示','00:22:00','e2fe557cf3e5cd75c0ecb41663e4f7f1_e'),(1066954354421690370,'2019-01-03 17:50:31','2019-01-22 11:01:14',1,1,1080758482462511106,1080758514712514562,'龙果学院运维平台部署',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978813111201794,'龙果学院运维平台部署','00:30:00','e2fe557cf3356f71d0bd97435c47f925_e'),(1066954354950172673,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'bean的作用域(创建方式)',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978813618712578,'bean的作用域(创建方式)','00:5:00','e2fe557cf3b1f9e9adb83564cee61a0a_e'),(1066954355432517633,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'List集合属性注入',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978813912313858,'List集合属性注入','00:7:00','e2fe557cf30a07b03071a83f6482c295_e'),(1066954356086829057,'2019-01-03 17:50:29','2019-01-22 11:01:14',1,1,1080759102707798018,1080759128645373954,'龙果支付系统的搭建与部署',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978814453379073,'第3节--龙果支付系统的搭建与部署','00:7:00','e2fe557cf3055321a8e2097700963370_e'),(1066954356250406913,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'spark手机案例',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978814604374017,'spark手机案例','00:15:00','e2fe557cf3c3e2443bd327bf5fb073ba_e'),(1066954357055713282,'2019-01-03 17:50:42','2019-01-22 11:01:14',1,1,1080755660413145089,1080755701336969218,'小程序实操：10分钟现场制作小程序，如何零门槛制作小程序',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978815329988609,'小程序实操：10分钟现场制作小程序，如何零门槛制作小程序','00:35:00','e2fe557cf38f174a2e20d8056d11992a_e'),(1066954357080879106,'2019-01-03 17:50:31','2019-01-22 11:01:14',1,1,1080758482462511106,1080758514712514562,'权限管理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978815355154433,'权限管理','00:6:00','e2fe557cf3cc476dde79efd0366c85b2_e'),(1066954357273817090,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'将RDD映射为key-value格式',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978815552286722,'将RDD映射为key-value格式','00:12:00','e2fe557cf38f52f03e9ca7769f8a8c5d_e'),(1066954357571612673,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'bean的后置处理器',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978815908802562,'bean的后置处理器','00:19:00','e2fe557cf3764c76708802a4f70986f0_e'),(1066954357609361409,'2019-01-03 17:50:49','2019-01-22 11:01:14',1,1,1080752794290032642,1080752832009408513,'使用外部属性文件进行bean属性值的注入',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978815946551298,'使用外部属性文件进行bean属性值的注入','00:12:00','e2fe557cf3afd8e8d8c8305416b5768b_e'),(1066954358645354498,'2019-01-03 17:50:34','2019-01-22 11:01:14',1,1,1080757537695535105,1080757568645304322,'基于hystrix的线程池隔离技术进行商品服务接口的资源隔离',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978810452013058,'基于hystrix的线程池隔离技术进行商品服务接口的资源隔离','00:38:00','e2fe557cf3dd29556b0774d595246521_e'),(1066954359018647554,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'二次key排序类的构造',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978817267757058,'二次key排序类的构造','00:13:00','e2fe557cf353f6ce9767112b3f32049f_e'),(1066954359094145025,'2019-01-03 17:50:26','2019-01-22 11:01:14',1,1,1080759557655564289,1080759603717410818,'mysql_以及php集成环境的安装',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978817343254530,'mysql_以及php集成环境的安装','00:14:00','e2fe557cf3fe51a39e74b413d2544ad4_e'),(1066954360088195074,'2019-01-03 17:50:42','2019-01-22 11:01:14',1,1,1080755660413145089,1080755701336969218,'小程序审核上线：小程序打包，对接微信公众平台，审核上线注意事项',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978818152755202,'小程序审核上线：小程序打包，对接微信公众平台，审核上线注意事项','00:37:00','e2fe557cf373dd54f05c1ae050537f2a_e'),(1066954366895550465,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'历史',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978826113544194,'第07节：Java的发展历史','00:27:24','e2fe557cf367fe2844683abee8008a6f_e'),(1066954367453392897,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'保存',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978826692358145,'第23讲：grafa创建自定义图表与保存','00:10:51','e2fe557cf3536a60f2202a99ba069b28_e'),(1066954391016992770,'2019-01-03 17:50:55','2019-01-22 11:01:14',1,1,1080750873957306369,1080750906672877569,'监控狗告警',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978841112375297,'监控狗告警','00:18:14','e2fe557cf3fc5298276a490dfcfaecef_e'),(1066954412969979905,'2019-01-03 17:50:58','2019-01-22 11:01:14',1,1,1080749913478467586,1080749946835767297,'Concordion实战-第一讲',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863631593474,'Concordion实战-第一讲.avi','00:15:01','e2fe557cf351e7155d3f78585d57a8c7_e'),(1066954412986757122,'2019-01-03 17:50:58','2019-01-22 11:01:14',1,1,1080749913478467586,1080749946835767297,'Concordion实战-第二讲',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863656759298,'Concordion实战-第二讲.avi','00:15:03','e2fe557cf3c871ebd7b5954ef75d17ce_e'),(1066954413007728642,'2019-01-03 17:50:58','2019-01-22 11:01:14',1,1,1080749913478467586,1080749946835767297,'Concordion实战-第三讲',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863673536514,'Concordion实战-第三讲.avi','00:11:35','e2fe557cf3a655566775640a37444391_e'),(1066954413024505857,'2019-01-03 17:50:58','2019-01-22 11:01:14',1,1,1080749913478467586,1080749946835767297,'Concordion实战-第四讲',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863694508034,'Concordion实战-第四讲.avi','00:15:20','e2fe557cf3620dcf0cd4c171dfe3e8fc_e'),(1066954413049671681,'2019-01-03 17:50:58','2019-01-22 11:01:14',1,1,1080749913478467586,1080749946835767297,'Concordion实战-第五讲',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863719673858,'Concordion实战-第五讲.avi','00:19:34','e2fe557cf34f3a2cc4bd82d02f8d84e2_e'),(1066954413083226113,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-01入门',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863744839682,'PowerMock实战-01入门.avi','00:16:42','e2fe557cf36409cf0acd9cab77ed095d_e'),(1066954413108391938,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-02PowerMock基本用法介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863765811202,'PowerMock实战-02PowerMock基本用法介绍.avi','00:20:29','e2fe557cf3ea6744b0fc844cd2c81973_e'),(1066954413133557762,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-03Mock局部变量的详细讲解',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863799365633,'PowerMock实战-03Mock局部变量的详细讲解.avi','00:15:55','e2fe557cf32b49fe6f1c9e001a4eb886_e'),(1066954413150334978,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-04Mock静态方法详解',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863820337153,'PowerMock实战-04Mock静态方法详解.avi','00:08:24','e2fe557cf3a30a8e051aee1340a3e4a8_e'),(1066954413167112193,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-05Mock final修饰的类详解',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863887446017,'PowerMock实战-05Mock final修饰的类详解.avi','00:10:44','e2fe557cf38d857428b2b2b1428ac6aa_e'),(1066954413183889409,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-06Verify的使用详细介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863904223234,'PowerMock实战-06Verify的使用详细介绍.avi','00:12:17','e2fe557cf3a6369d0da568cb9d03a69a_e'),(1066954413209055234,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-07Mock构造函数详细介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863921000449,'PowerMock实战-07Mock构造函数详细介绍.avi','00:08:58','e2fe557cf35840a53751e40e960537f3_e'),(1066954413221638145,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-08ArgumentsMatcher的使用详解',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863937777666,'PowerMock实战-08ArgumentsMatcher的使用详解.avi','00:14:19','e2fe557cf38f57c815f613b559cc7ffb_e'),(1066954413238415362,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-09Answer接口的使用详解',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863962943490,'PowerMock实战-09Answer接口的使用详解.avi','00:09:08','e2fe557cf35f9a3827bdf9a2419c71af_e'),(1066954413255192578,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-10Spy的使用和私有方法的mock详细介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863975526402,'PowerMock实战-10Spy的使用和私有方法的mock详细介绍.avi','00:13:16','e2fe557cf30179e50a02a98121c304ba_e'),(1066954413271969793,'2019-01-03 17:51:00','2019-01-22 11:01:14',1,1,1080748800742199298,1080748843360522242,'PowerMock实战-11总结',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978863992303617,'PowerMock实战-11总结.avi','00:10:15','e2fe557cf3b621999a198770dadcea66_e'),(1066954421543137282,'2019-01-03 17:51:04','2019-01-22 11:01:14',1,1,1080748086536114177,1080748116932235266,'建立通用的房价信息爬取函数',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978873177829378,'1_建立通用的房价信息爬取函数.mp4','00:28:26','e2fe557cf3789b056f0a17c1cb64b0fb_e'),(1066954421564108802,'2019-01-03 17:51:04','2019-01-22 11:01:14',1,1,1080748086536114177,1080748116932235266,'通用分页批量爬取房价数据',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978873202995202,'2_通用分页批量爬取房价数据.mp4','00:25:21','e2fe557cf30c2b2abd62e918341517d1_e'),(1066954421580886017,'2019-01-03 17:51:04','2019-01-22 11:01:14',1,1,1080748086536114177,1080748116932235266,'房价数据预处理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978873228161026,'3_房价数据预处理.mp4','00:23:38','e2fe557cf3c0d7ce99d4eea49c13eba1_e'),(1066954421597663234,'2019-01-03 17:51:04','2019-01-22 11:01:14',1,1,1080748086536114177,1080748116932235266,'房价预测模型及模型性能度量',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978873253326850,'4_房价预测模型及模型性能度量.mp4','00:31:01','e2fe557cf30cf7b5a0bd279be34da80a_e'),(1069920693105217537,'2019-01-03 17:51:07','2019-01-22 11:01:14',1,1,1080747476327796737,1080747503813070849,'知识图谱系统架构设计（1）',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1069920997766877186,'LP_20181128154604  1.mp4','00:14:05','e2fe557cf3cdf95aea82070cb33e5396_e'),(1069921086266691585,'2019-01-03 17:51:07','2019-01-22 11:01:14',1,1,1080747476327796737,1080747503813070849,'知识图谱系统架构设计（2）',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1069921446641291266,'LP_20181128154604  2.mp4','00:19:00','e2fe557cf327981e9573e8ba2587b7c3_e'),(1069921567756587010,'2019-01-03 17:51:07','2019-01-22 11:01:14',1,1,1080747476327796737,1080747503813070849,'知识图谱系统架构设计（3）',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1069921551045906433,'LP_20181128154604  3.mp4','00:12:12','e2fe557cf3402bb125a2bb0c34c60407_e'),(1069921733493936130,'2019-01-03 17:51:07','2019-01-22 11:01:14',1,1,1080747476327796737,1080747503813070849,'知识图谱系统架构设计（4）',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1069921617060630529,'LP_20181128154604  4.mp4','00:08:54','e2fe557cf3544641a8199c8b006dddc9_e'),(1069921799797493761,'2019-01-03 17:51:07','2019-01-22 11:01:14',1,1,1080747476327796737,1080747503813070849,'知识图谱系统架构设计（5）',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1069921660135559170,'LP_20181128154604  5.mp4','00:05:40','e2fe557cf38a7f2663ffadfc466f51b8_e'),(1070541717907738625,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745185445089281,'课程介绍和项目介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071306116595478529,'1-1课程了解和项目演示.mp4','00:06:23','e2fe557cf30aa79bad501dfc71bf7906_e'),(1070543553825902593,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745825701400578,'wangEditor编辑器介绍',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072520615260934145,'5-1wangEditor编辑器的介绍.mp4','00:03:09','e2fe557cf3d3048a0a5049f304326bc4_e'),(1071383436052664321,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745377019924481,'controller层上',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071406820731916290,'3-1service层实现上.mp4','00:08:16','e2fe557cf3e98090a7b58ad29967dc25_e'),(1071383499692429313,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745377019924481,'登录service层实现下',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071407215621443586,'3-2service层实现下.mp4','00:04:11','e2fe557cf3acc32199b54e8d820241a1_e'),(1071383729787752450,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745377019924481,'controller控制层下',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071407921866739714,'3-4Controller控制层下.mp4','00:04:25','e2fe557cf31b7c302894677671fdf187_e'),(1071383795814895617,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745377019924481,'jquery ajax入门了解',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071408066788331522,'3-5 ajax了解.mp4','00:02:05','e2fe557cf3bc726b0e670d1ecac741a8_e'),(1071383978522972161,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745377019924481,'后台与前端的联调',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071408655416954881,'5-6 后台与前端的联调.mp4','00:10:13','e2fe557cf3bef7856bf8b3bb344c4838_e'),(1072387864364351490,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743764981125121,'微信小程序当面付功能模板讲解教程',NULL,1,0.00,0.00,0,0,0,'','','1',1072406313476554754,'电商标准版小程序模板功能场景.mp4','00:21:50','e2fe557cf3e038130f35ab6864f08f6f_e'),(1072393392968728577,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743235517353985,'餐饮行业小程序模板讲解教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072393628366249985,'餐饮行业小程序模板功能场景讲解.mp4','00:14:51','e2fe557cf3d68ee66f0e3046ae751bb5_e'),(1072393775568945154,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743235517353985,'餐饮行业小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072394039215104002,'餐饮行业小程序模板使用操作教程.mp4','00:31:11','e2fe557cf3d4b563bbe9bf59e599bab8_e'),(1072395609029844993,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743340769218561,'健身行业小程序模板讲解教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072396027952734210,'健身行业小程序模板功能场景讲解.mp4','00:14:48','e2fe557cf3e23232cdde52eb71abc8bf_e'),(1072396800480018434,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743340769218561,'健身行业小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072396984362500098,'健身行业小程序模板使用操作教程.mp4','00:30:35','e2fe557cf3fd7929ee5dc606fba9b933_e'),(1072397510122700801,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743452916518913,'教育行业小程序模板讲解教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072397710073561089,'教育行业小程序模板讲解教程.mp4','00:18:51','e2fe557cf3d7b10ccebe0b8c0642aaef_e'),(1072397827514073089,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743452916518913,'教育行业小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072398530819657730,'教育行业小程序模板制作教程.mp4','00:26:25','e2fe557cf383a8d1143e918d9824628b_e'),(1072399181997469698,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743553525288962,'企业展示小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072399365112393730,'企业展示小程序模板使用操作教程.mp4','00:26:19','e2fe557cf33247e8e4acb32e3aa13378_e'),(1072400206800621569,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743636924829697,'新零售（水果）行业小程序模板讲解教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072401814883733505,'新零售(水果）行业小程序模板功能场景.mp4','00:15:06','e2fe557cf31d456784f1bf6a80ac9d8b_e'),(1072402879528112130,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743636924829697,'新零售（水果）行业小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072408119048474625,'新零售(水果）行业小程序模板操作讲解.mp4','00:23:21','e2fe557cf38eb5653b74b2fbefe63dc0_e'),(1072406472214183938,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743083784212482,'电商行业小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072406948455976961,'电商行业小程序模板使用操作教程.mp4','00:32:01','e2fe557cf3ebbf70bcc9d95ded290c06_e'),(1072407056283598850,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743083784212482,'电商行业小程序运营方案教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072407479153328130,'电商行业小程序运营方案教程.mp4','00:28:13','e2fe557cf32f49c95a8ce389c147d259_e'),(1072408786676813826,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741611705143297,'当面付',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072408870928252929,'微信小程序当面付功能讲解教程.mp4','00:06:22','e2fe557cf3d7f2939abfae2c29edfb07_e'),(1072409123898855425,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743764981125121,'微信小程序当面付功能模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072409172360298497,'新零售小程序运营方案教程.mp4','00:06:52','e2fe557cf3d8a1bdf21709931863e2f0_e'),(1072409765442818050,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743887601602561,'公众号电商行业小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072410159661711361,'公众号电商行业小程序模板功能场景讲解.mp4','00:24:27','e2fe557cf32a65ef7f339b62fb25e86a_e'),(1072410937721880578,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743998993928194,'微信小程序社区功能模板讲解教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072411037814296577,'微信小程序社区功能模板讲解教程.mp4','00:09:54','e2fe557cf37e36e3b00646405f333e00_e'),(1072411140575199234,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743998993928194,'微信小程序社区功能模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072411230727114753,'微信小程序社区功能模板制作教程.mp4','00:11:42','e2fe557cf31d7adfc4e2fd0c89f20f53_e'),(1072411659200888834,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080744100441559041,'资讯行业小程序模板制作教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072411779044282369,'资讯行业小程序模板使用操作教程.mp4','00:18:52','e2fe557cf32b3a1f2cd9a60faecb352b_e'),(1072515571916013570,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745622697086977,'分类service层业务层',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072517184374243330,'4-2 分类service层业务层.mp4','00:14:25','e2fe557cf317fd700eb5fdd4449b03c3_e'),(1072517251949219842,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745622697086977,'分类添加controller层',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072517503158669313,'4-3 分类添加controller层.mp4','00:07:02','e2fe557cf3d37959d9d05074bc909df9_e'),(1072517583022411777,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745622697086977,'分类删除、列表controller',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072517876262436865,'4-4分类删除、列表controller.mp4','00:05:48','e2fe557cf38abeb37fd9a7fd0c40a522_e'),(1072519619075985409,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745622697086977,'分类 添加、列表 、删除前端与后端的联调',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072519904422875137,'4-5分类 添加、列表 、删除前端与后端的联调.mp4','00:07:51','e2fe557cf328121d0d947634b4d83753_e'),(1072520023478194178,'2019-01-03 17:51:09','2019-01-22 11:01:14',1,1,1080745129451130881,1080745622697086977,'最终分类添加、删除、列表所有成功',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072520212616138754,'4-6最终分类添加、删除、列表所有成功.mp4','00:04:47','e2fe557cf333347d5dcbca11035d0ace_e'),(1072760004452352002,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'文本组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072760039605358594,'01文本【基础组件】.mp4','00:01:37','e2fe557cf3731ea9801888af203e912e_e'),(1072760087566680065,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'图片组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072760116108918786,'02图片【基础组件】.mp4','00:01:33','e2fe557cf30f68789852b590ea8e00b4_e'),(1072760163274412034,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'按钮组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072760190998761473,'03按钮【基础组件】.mp4','00:01:19','e2fe557cf395bf7347667c02e599f596_e'),(1072760224863027202,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'标题组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072760264357138434,'04标题【基础组件】.mp4','00:02:16','e2fe557cf38674b7afc196c7a626cb89_e'),(1072760399594082305,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'视频组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072760488492355586,'06视频【基础组件】.mp4','00:06:59','e2fe557cf36bdf7139ec097db9020964_e'),(1072760537946849281,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'轮播组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072760615658913794,'07轮播【基础组件】.mp4','00:06:22','e2fe557cf36e1ae16b977a750f97eb47_e'),(1072761112822349825,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'公告组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072761175711744002,'08公告【基础组件】.mp4','00:05:01','e2fe557cf3a5817f61070d2a7fc9bc0d_e'),(1072761321938309122,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740298770550785,'图文集',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072761388484591618,'10图文集【基础组件】.mp4','00:04:20','e2fe557cf344151e78e26ccc22bae7a6_e'),(1072761720321691649,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'双栏组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072761774054920193,'01双栏【布局组件】.mp4','00:01:59','e2fe557cf3cf49f609306c87f353b130_e'),(1072761831537311746,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'弹窗组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072761941038551041,'02弹窗【布局组件】.mp4','00:08:33','e2fe557cf323e9124d0bdd5e7c86e56c_e'),(1072762007602155521,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'分割线组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072762029756469250,'03分割线【布局组件】.mp4','00:00:37','e2fe557cf326649f8c02743bdbaa85f8_e'),(1072762541632978945,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'面板组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072762567989985282,'04面板【布局组件】.mp4','00:01:14','e2fe557cf30fef6b53de3551c0b7be6a_e'),(1072762613825339394,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'自由面板组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072762653146939394,'05自由面板【布局组件】.mp4','00:03:21','e2fe557cf3cd5cbf13b5a720cba90a9e_e'),(1072762692154511362,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'滑动面板组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072762801642622978,'06滑动面板【布局组件】.mp4','00:09:39','e2fe557cf38019d20ad7d66a88b7f45e_e'),(1072762868662861826,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'动态分类组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072763035407962114,'07篇1动态分类【布局组件】.mp4','00:13:58','e2fe557cf33a34d52dbfbedfad85bc45_e'),(1072765209898733570,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'侧边栏组价',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072765564539719682,'08侧边栏【布局组件】.mp4','00:07:04','e2fe557cf3f02ce167a257b583468bbb_e'),(1072765799546572802,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080740712899350529,'悬浮窗组价',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072765828415967233,'09悬浮窗【布局组件】.mp4','00:02:03','e2fe557cf3735be56639c8c824aed567_e'),(1072765937618321409,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'电商组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072766256167321602,'01电商【功能组件】.mp4','00:25:50','e2fe557cf38c04e769173b1f93c2955f_e'),(1072766627715547137,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'到店组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072766833072865281,'02到店【功能组件】.mp4','00:14:07','e2fe557cf355f035e8e7b7cd222fd357_e'),(1072768387045720065,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'排号组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072768545410056194,'03排号【功能组件】.mp4','00:12:14','e2fe557cf315de55700b0b5983ed2a04_e'),(1072768898491305985,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738163748179970,'预约',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072769056230690818,'04预约【功能组件】.mp4','00:11:52','e2fe557cf302b8a9f626372aa34d2c15_e'),(1072769147946991618,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'多商家组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072769315391995905,'05多商家【功能组件】.mp4','00:15:53','e2fe557cf39a41a4534c97c21b9fdb41_e'),(1072769929693954050,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'资讯组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072770230652043265,'06资讯【功能组件】.mp4','00:23:41','e2fe557cf3928621ccb6ea027c74ff76_e'),(1073118735166427138,'2019-01-03 17:51:12','2019-01-22 11:01:14',1,1,1080743050779234306,1080743636924829697,'新零售行业小程序运营方案教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073119226197245954,'公众号电商小程序运营方案教程.mp4','00:28:05','e2fe557cf32dcd68e83476f70fe7d997_e'),(1073515350162735105,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'评论组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073515377946349569,'08评论【功能组件】.mp4','00:00:59','e2fe557cf3a8b2981425a53daa4c4649_e'),(1073516303184646145,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'表单组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073516504762896386,'10表单【功能组件】-鹏飞.mp4','00:14:05','e2fe557cf32d8f1b42a6564807c59889_e'),(1073516614196482050,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'动态容器组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073516911790194689,'11动态容器【功能组件】-鹏飞.mp4','00:21:18','e2fe557cf3489c6225c4015a8ccb83c3_e'),(1073517114442731521,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741037639143426,'关注公众号组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073517153503739906,'14公众号关注【功能组件】-梦园.mp4','00:02:15','e2fe557cf329222dbb5cef0b0aa78db9_e'),(1073517373117497345,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'优惠券',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073517668636119041,'02优惠券【营销组件】-鹏飞.mp4','00:09:17','e2fe557cf32a9b1f749e4f38edbabbf6_e'),(1073517729692602370,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'会员卡',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073517895145312258,'03会员卡【营销组件】-鹏飞.mp4','00:05:14','e2fe557cf3a0718b3192bae1f020f8bb_e'),(1073517931651989506,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'储值',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073518019615477761,'04储值【营销组件】-鹏飞.mp4','00:03:27','e2fe557cf3b56c2c39394f7ed151d6c1_e'),(1073518477000134657,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'大转盘砸金蛋刮刮乐',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073518612362362881,'06大转盘砸金蛋刮刮乐【营销组件】-鹏飞.mp4','00:05:17','e2fe557cf372882fe04f6a78e9f25656_e'),(1073518726301175810,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741870434979842,'计数组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073518768420376577,'01计数【其他组件】-梦园.mp4','00:02:39','e2fe557cf3c474ce4975323824eaebc4_e'),(1073518826167009281,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741870434979842,'地图组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073518854918963202,'02地图【其他组件】-梦园.mp4','00:02:13','e2fe557cf36f362e345c3e38f276b978_e'),(1073518893096062978,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741870434979842,'音频组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073518928022032385,'03音频【其他组件】-梦园.mp4','00:02:30','e2fe557cf34a5f1643bab5ad0d1f464d_e'),(1073518960745447426,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080741870434979842,'搜索组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073518995444924417,'04搜索【其他组件】-梦园.mp4','00:03:20','e2fe557cf3e1cdde6c7341ab2b4f203b_e'),(1073519090890506242,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'页面概述',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073519149128962049,'01页面概述【页面布局】-梦园.mp4','00:05:07','e2fe557cf37c4fd21763c43c29f02087_e'),(1073520568547999745,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'单页模板',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073520610251964418,'05单页模板【页面布局】.mp4','00:01:36','e2fe557cf33b339ac7c898832de6761c_e'),(1073520717198327810,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'前进后退',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073520743366590466,'06前进后退【页面布局】.mp4','00:00:59','e2fe557cf3e166ca26ee0152cc51d382_e'),(1073521045884960770,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'预览',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073521076088143873,'10预览【页面布局】.mp4','00:02:20','e2fe557cf3e1e62dc26ca5757213ee11_e'),(1073521279176888322,'2019-01-03 17:51:15','2019-01-22 11:01:14',1,1,1080740234501230593,1080742047262642178,'数据动态化',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073521372286242817,'13数据动态化【页面管理】.mp4','00:10:12','e2fe557cf35f9d421d2453a6677f33b9_e'),(1073768954245218305,'2019-01-03 15:46:36','2019-01-22 11:01:14',1,1,1080731530615787522,1080731617995722754,'即速应用后台管理介绍',NULL,1,0.00,0.00,0,0,0,'','','1',1073769267098353665,'01即速应用后台管理介绍.mp4','00:04:16','e2fe557cf32d7090c1593f057defa7c7_e'),(1073770816814534657,'2019-01-03 15:46:36','2019-01-22 11:01:14',1,1,1080731530615787522,1080731759217938433,'总览教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073770916697690113,'02总览.mp4','00:01:34','e2fe557cf39cbda19250bda8d875c614_e'),(1073771782230069250,'2019-01-03 15:46:36','2019-01-22 11:01:14',1,1,1080731530615787522,1080731893985120257,'数据统计教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073771830372290561,'03数据统计.mp4','00:00:46','e2fe557cf389d5f9319c7a722935ce0d_e'),(1073771908289875970,'2019-01-03 15:46:36','2019-01-22 11:01:14',1,1,1080731530615787522,1080731939967275009,'用户管理教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073772069296623617,'04用户管理.mp4','00:03:31','e2fe557cf3cc89d5ba99283cad4c1073_e'),(1073772639662702594,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737765738090498,'页面数据教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073772791311958017,'05页面数据.mp4','00:03:41','e2fe557cf33032065f173a8f4c6318bd_e'),(1073773070552485890,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737860026044417,'功能模块教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073773478942932994,'06功能模块.mp4','00:13:06','e2fe557cf3336ee216cb7e7e306a6843_e'),(1073773575873843202,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737860026044417,'轮播管理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073773649743380482,'02轮播管理.mp4','00:06:22','e2fe557cf380b90ec51b60cef996e9fb_e'),(1073773854920343554,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737860026044417,'页面二维码',NULL,1,0.00,0.00,0,0,0,'','','1',1073773930501701633,'页面二维码【功能模块】.mp4','00:06:07','e2fe557cf34011c054ca8a1d30bcf37f_e'),(1073774017374126082,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737860026044417,'红包助力插件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073774189232082945,'08篇1红包助力插件.mp4','00:09:39','e2fe557cf3be5b4f9b713d1e1d5fa626_e'),(1073774252854935554,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737860026044417,'现金红包插件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073774407872761858,'08篇2现金红包插件.mp4','00:05:48','e2fe557cf35c28e8f2313bd99d05ec03_e'),(1073774660298014721,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737860026044417,'狼人杀插件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073774709253931010,'08篇3咫尺插件 狼人杀.mp4','00:02:21','e2fe557cf3269e5f740b46627be17399_e'),(1073774988557373441,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080737860026044417,'群组名片插件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073775032680906754,'08篇4咫尺插件 群组名片.mp4','00:01:40','e2fe557cf3b5dab7982a89910b8e0e3a_e'),(1073775161857626114,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738163748179970,'店铺管理教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073775271324766209,'07店铺管理.mp4','00:10:03','e2fe557cf37bf5226f71ead58e6d3a68_e'),(1073775364483907585,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738163748179970,'电商商品管理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073775473951047682,'01篇2电商商品管理.mp4','00:10:33','e2fe557cf31058a63cfd809182ab5753_e'),(1073775520004505602,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738163748179970,'电商运费管理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073775594441363458,'01篇4电商运费管理.mp4','00:06:58','e2fe557cf315ce4d866526fcfd074ad1_e'),(1073775639995154434,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738163748179970,'电商积分管理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073775700988723201,'01篇5电商积分管理.mp4','00:03:27','e2fe557cf3d2b4ad7f931042ba3f9c52_e'),(1073776010218524673,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738163748179970,'外卖',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073776162429272065,'04外卖功能.mp4','00:19:09','e2fe557cf3090f344c804ff598bf248b_e'),(1073776561270378498,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738498403307521,'多店管理教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073776910940569602,'09多店管理.mp4','00:06:21','e2fe557cf30ede7031107dc29c25094c_e'),(1073777116956938241,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'营销推广教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073782709817507841,'10营销推广.mp4','00:18:34','e2fe557cf337a4d24c0a692316ce178d_e'),(1073783115075899393,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'微信优惠券',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073783345808211970,'03微信优惠券.mp4','00:15:00','e2fe557cf3d81ee791ac58c87d032c9b_e'),(1073783495105007617,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'社交立减金',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073783742766075906,'04社交立减金.mp4','00:21:07','e2fe557cf33f163c24b6ca231c815ed4_e'),(1073784317587050498,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080738583363129346,'砍价',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073784570775666689,'砍价.mp4','00:18:14','e2fe557cf30a8be0ea8b908225fb7dd4_e'),(1073785116522270721,'2019-01-03 16:14:20','2019-01-22 11:01:14',1,1,1080731530615787522,1080739008359370753,'系统设置教程',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073785312676741121,'11系统设置.mp4','00:05:29','e2fe557cf3c860972a3ca5343e2a5f0c_e'),(1080740477355626498,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,1080740234501230593,1080740298770550785,'高级列表组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072743301945839617,'05高级列表【基础组件】-静娴.mp4','00:01:39','e2fe557cf38593b1673c34674404c0bb_e'),(1080740612571598849,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,1080740234501230593,1080740298770550785,'添加组合',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1072743645647536130,'09添加组合【基础组件】.mp4','00:03:01','e2fe557cf327045bcf6ee498f9d9ad92_e'),(1080741352459407361,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,1080740234501230593,1080741037639143426,'社区组件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1073515269984419842,'07社区【功能组件】.mp4','00:25:21',NULL),(1080741529052188673,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,1080740234501230593,1080741037639143426,'插件',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978793783848962,'input插件','00:22:00','a24911d8d745982539f134300065f739_a'),(1080742200581230593,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,1080740234501230593,1080742047262642178,'元素',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978791212740610,'css 行&块元素','00:9:00',NULL),(1080742352721219586,'2019-01-03 17:51:15','2019-01-03 17:51:15',1,1,1080740234501230593,1080742047262642178,'管理',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1066978792789798913,'文章管理','01:5:00',NULL),(1080745271659008002,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080745241665540098,'项目创建',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071018671094132737,'项目创建.mp4','00:11:36','e2fe557cf3b57e53a1040a922979eb98_e'),(1080745653458112514,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080745622697086977,'分类功能演示',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'1',1071410217194999810,'4-1分类演示.mp4','00:02:02',NULL),(1080746376228966401,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080745825701400578,'文章发布service层',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1080746411712778242,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080745825701400578,'文章发布控制层',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1080746521729372161,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080746486186840066,'文章分页列表（pageInfo）service层',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1080746551257272321,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080746486186840066,'文章分页前端实现和controller',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1080746578667048961,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080746486186840066,'文章编辑',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1080746604034199554,'2019-01-03 17:51:09','2019-01-03 17:51:09',1,1,1080745129451130881,1080746486186840066,'文章删除',NULL,1,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085796838946848770,'2019-01-17 15:12:26','2019-01-17 15:12:26',1,1,1085453180200448002,1085796692309786625,'测试课时-1',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085796881363845122,'2019-01-17 15:12:26','2019-01-17 15:12:26',1,1,1085453180200448002,1085796692309786625,'测试课时-2',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085796913223778306,'2019-01-17 15:12:26','2019-01-17 15:12:26',1,1,1085453180200448002,1085796692309786625,'测试课时-3',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085797221563842562,'2019-01-17 15:14:10','2019-01-17 15:14:10',1,1,1085453180200448002,1085796749289406465,'测试课时-4',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085797241432260609,'2019-01-17 15:14:10','2019-01-17 15:14:10',1,1,1085453180200448002,1085796749289406465,'测试课时-5',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085797261569114114,'2019-01-17 15:14:10','2019-01-17 15:14:10',1,1,1085453180200448002,1085796749289406465,'测试课时-6',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085797297782734850,'2019-01-17 15:14:10','2019-01-17 15:14:10',1,1,1085453180200448002,1085796808697528321,'测试课时-7',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085797318510985218,'2019-01-17 15:14:10','2019-01-17 15:14:10',1,1,1085453180200448002,1085796808697528321,'测试课时-8',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL),(1085797345266450434,'2019-01-17 15:14:10','2019-01-17 15:14:10',1,1,1085453180200448002,1085796808697528321,'测试课时-9',NULL,0,0.00,0.00,0,0,0,NULL,NULL,'0',NULL,NULL,NULL,NULL);

#
# Structure for table "course_chapter_period_audit"
#

CREATE TABLE `course_chapter_period_audit` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `audit_status` int(11) NOT NULL DEFAULT '0' COMMENT '审核状态(0:待审核;1:审核通过;2:审核不通过)',
  `audit_opinion` varchar(1024) DEFAULT NULL COMMENT '审核意见',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `chapter_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '章节ID',
  `period_desc` varchar(255) DEFAULT NULL COMMENT '课时描述',
  `is_free` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否免费：1免费，0收费',
  `period_original` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '原价',
  `period_discount` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '优惠价',
  `count_buy` int(11) NOT NULL DEFAULT '0' COMMENT '购买人数',
  `count_study` int(11) NOT NULL DEFAULT '0' COMMENT '学习人数',
  `is_doc` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否存在文档(1存在，0否)',
  `doc_name` varchar(255) DEFAULT NULL COMMENT '文档名称',
  `doc_url` varchar(255) DEFAULT NULL COMMENT '文档地址',
  `period_name` varchar(255) NOT NULL DEFAULT '' COMMENT '课时名称',
  `is_video` varchar(255) NOT NULL DEFAULT '0' COMMENT '是否存在视频(1存在，0否)',
  `video_no` bigint(20) DEFAULT NULL COMMENT '视频编号',
  `video_name` varchar(255) DEFAULT NULL COMMENT '视频名称',
  `video_length` varchar(36) DEFAULT NULL COMMENT '时长',
  `video_vid` varchar(50) DEFAULT NULL COMMENT '视频VID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课时信息-审核';

#
# Data for table "course_chapter_period_audit"
#

INSERT INTO `course_chapter_period_audit` VALUES (1042719538881863682,'2019-01-03 16:26:55','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'风格','1',1042715863245496322,'07ES的REST风格API增删改查.avi','00:19:58','e2fe557cf395f61e2e5f8aab56604a76_e'),(1046261184466612225,'2019-01-03 16:11:43','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738440308002817,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'订单管理&门店管理教程','1',1046265216715288578,'02.spring-bean范围.avi','00:07:20','e2fe557cf3f33048c29da9c3211d48b5_e'),(1053574506328702977,'2019-01-03 16:39:03','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745241665540098,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'mybatis逆向工程','1',1053591590228017153,'9.mybatis逆向工程生成代码.mp4','00:08:51','e2fe557cf3dc38cf9b26904a3a4aea0b_e'),(1053576547654516738,'2019-01-03 16:38:53','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745241665540098,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'数据库设计','1',1053596301383516162,'8.系统的数据库设计.mp4','00:30:59','e2fe557cf3fa6aa590845c296a54952d_e'),(1055794445466791938,'2019-01-03 16:26:17','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'添加功能','1',1055836660394160130,'17. 尚硅谷_AngularJS_练习2_添加功能实现.avi','00:06:51','e2fe557cf3a733102c54729cf0eea275_e'),(1056041863475163138,'2019-01-03 16:27:29','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'个人中心','1',1056051412995207169,'45_尚硅谷_硅谷直聘_个人中心界面_显示.avi','00:14:58','e2fe557cf31552a6fd706493884969b2_e'),(1056747433128177666,'2019-01-03 16:13:11','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'秒杀','1',1055762705675792386,'20.尚硅谷_硅谷商城[新]_设置秒杀的RecyclerView的适配器.avi','00:20:39','e2fe557cf396a1ccbdaa97bd583e30e5_e'),(1066954331923443713,'2019-01-03 17:36:33','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'根据deviceID进行聚合','1',1066978791518924802,'根据deviceID进行聚合','00:12:00','e2fe557cf3b91bf155e3f26955dae496_e'),(1066954332011524097,'2019-01-03 17:04:49','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'使用Dubbo对传统工程进行服务化改造','1',1066978791661531138,'使用Dubbo对传统工程进行服务化改造','00:55:00','e2fe557cf3f69df2a34f98f1f2245b9e_e'),(1066954332221239297,'2019-01-03 17:04:57','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'ZooKeeper注册中心安装','1',1066978791946743810,'ZooKeeper注册中心安装','00:29:00','e2fe557cf39b3f42c52c6279536c2227_e'),(1066954332548395010,'2019-01-03 17:11:13','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'SpringAOP前奏','1',1066978792353591297,'SpringAOP前奏','00:41:00','e2fe557cf33181d304902486f2dd72d4_e'),(1066954332644864002,'2019-01-03 17:36:20','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'读取日志文件创建可序列化对象','1',1066978792454254594,'读取日志文件创建可序列化对象','00:11:00','e2fe557cf36883b7ef0b1ee817c0a0a7_e'),(1066954332699389954,'2019-01-03 17:29:09','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'深入理解线程池隔离技术的设计原则以及动手实战接口限流实验','1',1066978792508780546,'深入理解线程池隔离技术的设计原则以及动手实战接口限流实验','00:32:00','e2fe557cf3e248fc9d574583796a63f9_e'),(1066954332841996290,'2019-01-03 17:05:27','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'使用Maven构建Dubbo服务的可运行jar包','1',1066978792680747009,'使用Maven构建Dubbo服务的可运行jar包','00:46:00','e2fe557cf3b2c752cdcb15c63d436db7_e'),(1066954333018157058,'2019-01-03 17:31:43','2019-01-22 11:01:32',1,1,1,NULL,1080758482462511106,1080758514712514562,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'运维平台功能补充和消息队列celery+redis安装讲解','1',1066978792903045121,'运维平台功能补充和消息队列celery+redis安装讲解','00:20:00','e2fe557cf307df84918e4e2b7ca7d4f9_e'),(1066954333253038081,'2019-01-03 17:27:45','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'hystrix要解决的分布式系统可用性问题以及其设计原则','1',1066978793158897665,'hystrix要解决的分布式系统可用性问题以及其设计原则','00:40:00','e2fe557cf3547a269cbaedb66f9f4dc0_e'),(1066954333831852034,'2019-01-03 17:34:03','2019-01-22 11:01:32',1,1,1,NULL,1080759102707798018,1080759128645373954,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'支付业务简介','1',1066978793678991361,'第1节--支付业务简介','00:14:00','e2fe557cf3ca1b3348e71259fd91cf3f_e'),(1066954334066733058,'2019-01-03 17:34:09','2019-01-22 11:01:32',1,1,1,NULL,1080759102707798018,1080759128645373954,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'龙果支付系统的结构及业务流程介绍','1',1066978793838374914,'第2节--龙果支付系统的结构及业务流程介绍','00:26:00','e2fe557cf393c16797c57188a79609db_e'),(1066954334305808385,'2019-01-03 17:05:50','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'Dubbo监控中心的介绍与简易监控中心的安装','1',1066978794006147074,'Dubbo监控中心的介绍与简易监控中心的安装','00:20:00','e2fe557cf3e4189c7739ddeac1c28b1b_e'),(1066954334532300801,'2019-01-03 17:11:01','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'基于注解方式配置bean以及自动转配属性','1',1066978794157142017,'基于注解方式配置bean以及自动转配属性','00:23:00','e2fe557cf3b1609b3997d6adbb868176_e'),(1066954334746210305,'2019-01-03 17:13:30','2019-01-22 11:01:32',1,1,1,NULL,1080753909630963714,1080753938500358145,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'RESTfull API简单项目的快速搭建','1',1066978794333302785,'RESTfull API简单项目的快速搭建','00:29:00','e2fe557cf3e9e2d025489636e52b440c_e'),(1066954335002062849,'2019-01-03 17:37:17','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PHP代码简单介绍','1',1066978794517852161,'PHP代码简单介绍','00:7:00','e2fe557cf373dc6add6b6e16827c162a_e'),(1066954335077560321,'2019-01-03 17:04:42','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'使用Dubbo对传统工程进行服务化改造的思路介绍','1',1066978794568183810,'使用Dubbo对传统工程进行服务化改造的思路介绍','00:15:00','e2fe557cf3df20f1f6860af52fc8db4e_e'),(1066954335761231874,'2019-01-03 17:28:33','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'hystrix的线程池+服务+接口划分以及资源池的容量大小控制','1',1066978795423821826,'hystrix的线程池+服务+接口划分以及资源池的容量大小控制','00:25:00','e2fe557cf3b80ab8ceba4153a98c99e9_e'),(1066954335836729346,'2019-01-03 17:13:36','2019-01-22 11:01:32',1,1,1,NULL,1080753909630963714,1080753938500358145,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'日志配置-logback和log4j2','1',1066978795486736385,'日志配置-logback和log4j2','00:14:00','e2fe557cf3226de5ce63825b0e4cdf86_e'),(1066954336189050882,'2019-01-03 17:10:49','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'静态工厂方法及实例工厂方法配置bean','1',1066978795742588929,'静态工厂方法及实例工厂方法配置bean','00:19:00','e2fe557cf3561c2d5630f62f4e2910b5_e'),(1066954336423931906,'2019-01-03 17:13:24','2019-01-22 11:01:32',1,1,1,NULL,1080753909630963714,1080753938500358145,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'配置文件详解：Properties和YAML','1',1066978795876806658,'配置文件详解：Properties和YAML','00:18:00','e2fe557cf333aef8ca8c5e9d2c399d89_e'),(1066954336717533185,'2019-01-03 17:28:39','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'深入分析hystrix执行时的8大流程步骤以及内部原理','1',1066978796065550338,'深入分析hystrix执行时的8大流程步骤以及内部原理','00:23:00','e2fe557cf3214b002b9d69b83200bdca_e'),(1066954336797224962,'2019-01-03 17:10:13','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'bean之间的关系','1',1066978796124270594,'bean之间的关系','00:10:00','e2fe557cf33bab6d5589007a7738f5f7_e'),(1066954337870966785,'2019-01-03 17:23:54','2019-01-22 11:01:32',1,1,1,NULL,1080756535567257601,1080756594904076290,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'系统的简单介绍和如何部署','1',1066978796845690881,'系统的简单介绍和如何部署','00:23:00','e2fe557cf3efdf0077fd03ead862dfe7_e'),(1066954338139402242,'2019-01-03 17:10:36','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'SpringEL表达式','1',1066978797009268738,'SpringEL表达式','00:18:00','e2fe557cf3b0223313f5bbc86fdee5b6_e'),(1066954338181345281,'2019-01-03 17:05:04','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'使用Dubbo对传统工程进行服务化改造后的服务调用测试','1',1066978797135097858,'使用Dubbo对传统工程进行服务化改造后的服务调用测试','00:19:00','e2fe557cf393b4846f71da699e3718ab_e'),(1066954338533666817,'2019-01-03 16:13:40','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'推广','1',1066978797483225089,'小程序运营推广战略（上）：小程序运营规范，精准运营推广战略','00:53:00','e2fe557cf3569c1995e3e0871b6957ad_e'),(1066954338554638337,'2019-01-03 17:36:13','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'测试数据生成器','1',1066978797495808002,'测试数据生成器','00:26:00','e2fe557cf316691cdcbf5f5799b1e0ab_e'),(1066954338957291522,'2019-01-03 17:13:44','2019-01-22 11:01:32',1,1,1,NULL,1080753909630963714,1080753938500358145,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'配置文件-多环境配置','1',1066978797835546625,'配置文件-多环境配置','00:18:00','e2fe557cf3d7f5926b9b118304d9e8c2_e'),(1066954340060393473,'2019-01-03 17:29:23','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'基于hystrix的高可用分布式系统架构项目实战课程的总结','1',1066978798821208065,'基于hystrix的高可用分布式系统架构项目实战课程的总结','00:10:00','e2fe557cf3cd53ee0adc85a5c0367c36_e'),(1066954340219777025,'2019-01-03 17:20:29','2019-01-22 11:01:32',1,1,1,NULL,1080755660413145089,1080755701336969218,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'进入小程序的世界：微信小程序现状与未来，小程序开发痛点','1',1066978798959620098,'进入小程序的世界：微信小程序现状与未来，小程序开发痛点','00:51:00','e2fe557cf3ee05d2a3d4296c38bd766d_e'),(1066954340655984641,'2019-01-03 17:10:06','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'bean的自动装配','1',1066978799374856194,'bean的自动装配','00:15:00','e2fe557cf331f422ae3fec03a0940385_e'),(1066954341100580865,'2019-01-03 17:27:51','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'电商网站的商品详情页缓存服务业务背景以及框架结构说明','1',1066978799811063810,'电商网站的商品详情页缓存服务业务背景以及框架结构说明','00:33:00','e2fe557cf39daba37581b0175b92f09f_e'),(1066954341238992898,'2019-01-03 17:09:40','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'属性注入的细节及bean的引用','1',1066978799987224577,'属性注入的细节及bean的引用','00:20:00','e2fe557cf376625f90431c1836974d31_e'),(1066954341557760002,'2019-01-03 17:10:55','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'通过FacotryBean接口配置bean','1',1066978800188551170,'通过FacotryBean接口配置bean','00:8:00','e2fe557cf3d3c3fec3ddfda8ce05605f_e'),(1066954341574537217,'2019-01-03 17:20:22','2019-01-22 11:01:32',1,1,1,NULL,1080755660413145089,1080755701336969218,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'课程介绍','1',1066978800205328385,'课程介绍','00:20:00','e2fe557cf3b15ac059d5f1851d660f61_e'),(1066954342031716353,'2019-01-03 17:28:46','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'基于request cache请求缓存技术优化批量商品数据查询接口','1',1066978800662507521,'基于request cache请求缓存技术优化批量商品数据查询接口','00:28:00','e2fe557cf3dce2da784b0ecb303e212e_e'),(1066954342136573954,'2019-01-03 17:05:34','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'在Linux操作系统上手工部署Dubbo服务','1',1066978800763170817,'在Linux操作系统上手工部署Dubbo服务','00:50:00','e2fe557cf37c98c1202b8d50102ba7ee_e'),(1066954342509867010,'2019-01-03 17:37:11','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'将spark产生结果保存到mysql里面','1',1066978801052577793,'将spark产生结果保存到mysql里面','00:13:00','e2fe557cf38b60cf1030e1973e55f844_e'),(1066954342526644226,'2019-01-03 17:27:58','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'基于spring boot快速构建缓存服务以及商品服务','1',1066978801086132225,'基于spring boot快速构建缓存服务以及商品服务','00:28:00','e2fe557cf3020c9ab328b4bcb5d7df9e_e'),(1066954342589558786,'2019-01-03 17:36:57','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'按照降序排序找出前10打印出来','1',1066978801144852481,'按照降序排序找出前10打印出来','00:5:00','e2fe557cf3e62a55b822816df3e970fd_e'),(1066954342715387905,'2019-01-03 17:20:50','2019-01-22 11:01:32',1,1,1,NULL,1080755660413145089,1080755701336969218,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'商户场景应用：七大电商功能详解，一键生成专属小程序','1',1066978801270681602,'商户场景应用：七大电商功能详解，一键生成专属小程序','00:54:00','e2fe557cf305364a19e549441fdd5607_e'),(1066954342837022721,'2019-01-03 17:09:01','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'IOC概述与Bean的配置','1',1066978801430065153,'IOC概述与Bean的配置','00:11:00','e2fe557cf31bb9217bd7ed51aeefff4f_e'),(1066954344116285441,'2019-01-03 17:05:19','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'Dubbo管理控制台的安装','1',1066978802331840513,'Dubbo管理控制台的安装','00:21:00','e2fe557cf38afed3c32bf58582fa38ea_e'),(1066954344292446210,'2019-01-03 17:09:33','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'依赖注入的三种方式','1',1066978802487029762,'依赖注入的三种方式','00:17:00','e2fe557cf3e7e46930dd1c4b6d9cfb24_e'),(1066954344313417729,'2019-01-03 16:20:31','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'图片列表','1',1066978802503806977,'组合（图片列表、轮播图、列表）','00:39:00','e2fe557cf3a513a83741fc658060218d_e'),(1066954344648962049,'2019-01-03 17:09:55','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'Map集合属性注入及外部listbean的设定','1',1066978802814185473,'Map集合属性注入及外部listbean的设定','00:18:00','e2fe557cf313c725782fe0ac4f1f9ae5_e'),(1066954346003722241,'2019-01-03 17:35:54','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,'','','spark大型案例解说','1',1066978803996979201,'spark大型案例解说','00:13:00','e2fe557cf33f601ae6104be141a94838_e'),(1066954346213437441,'2019-01-03 17:13:17','2019-01-22 11:01:32',1,1,1,NULL,1080753909630963714,1080753938500358145,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'工具的安装和使用','1',1066978804173139969,'工具的安装和使用','00:10:00','e2fe557cf3013b1a2309c7ef12916fa7_e'),(1066954346460901378,'2019-01-03 17:28:26','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'基于hystrix的信号量技术对地理位置获取逻辑进行资源隔离与限流','1',1066978804424798210,'基于hystrix的信号量技术对地理位置获取逻辑进行资源隔离与限流','00:34:00','e2fe557cf375a10b2e612d6f3c42a6b2_e'),(1066954346511233025,'2019-01-03 17:37:25','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'把结果通过手机应用展示出来','1',1066978804454158338,'把结果通过手机应用展示出来','00:5:00','e2fe557cf31fe05151bbf77cd2de61da_e'),(1066954346599313410,'2019-01-03 17:31:57','2019-01-22 11:01:32',1,1,1,NULL,1080758482462511106,1080758514712514562,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'资产管理、zabbix管理、出图、机柜平台展示、报障平台','1',1066978804554821634,'资产管理、zabbix管理、出图、机柜平台展示、报障平台','00:20:00','e2fe557cf3af9a29f23c0954c12d11fb_e'),(1066954346620284929,'2019-01-03 17:28:52','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'开发品牌名称获取接口的基于本地缓存的fallback降级机制','1',1066978804567404546,'开发品牌名称获取接口的基于本地缓存的fallback降级机制','00:21:00','e2fe557cf33b1a6d01b9fe2b4424a45c_e'),(1066954346976800770,'2019-01-03 17:08:54','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'spring概述-helloworld','1',1066978805012000769,'spring概述-helloworld','00:19:00','e2fe557cf3070bd44979065cd911b584_e'),(1066954348830683137,'2019-01-03 17:05:41','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'构建Dubbo服务消费者Web应用的war包并在Tomcat中部署','1',1066978807369199618,'构建Dubbo服务消费者Web应用的war包并在Tomcat中部署','00:26:00','e2fe557cf384648677ba53f0594c76bb_e'),(1066954348851654657,'2019-01-03 17:28:04','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'快速完成缓存服务接收数据变更消息以及调用商品服务接口的代码编写','1',1066978807394365442,'快速完成缓存服务接收数据变更消息以及调用商品服务接口的代码编写','00:12:00','e2fe557cf3935ec435b5a33eaee17d33_e'),(1066954349220753409,'2019-01-03 17:29:16','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'基于timeout机制来为商品服务接口的调用超时提供安全保护','1',1066978807847350273,'基于timeout机制来为商品服务接口的调用超时提供安全保护','00:10:00','e2fe557cf3d630bda4e1253cce60fbbd_e'),(1066954349711486978,'2019-01-03 17:28:11','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'商品服务接口故障导致的高并发访问耗尽缓存服务资源的场景分析','1',1066978808229031938,'商品服务接口故障导致的高并发访问耗尽缓存服务资源的场景分析','00:9:00','e2fe557cf3487dbe157f99db9f4c6232_e'),(1066954350663593986,'2019-01-03 17:36:50','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'将RDD的key映射为二次排序的key','1',1066978809164361730,'将RDD的key映射为二次排序的key','00:7:00','e2fe557cf3ab900c6e9c3ca547c9cc90_e'),(1066954350911057922,'2019-01-03 17:20:42','2019-01-22 11:01:32',1,1,1,NULL,1080755660413145089,1080755701336969218,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'小程序设计规范指导：小程序官方设计规范','1',1066978809436991489,'小程序设计规范指导：小程序官方设计规范','00:47:00','e2fe557cf3ee5da84dbd150bed27f124_e'),(1066954350990749697,'2019-01-03 16:26:24','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'底部导航','1',1066978809499906050,'概述&布局(双栏、面板、自由面板、分割线、顶部导航、底部导航)','00:51:00','e2fe557cf33cfb0c9cd218f38360ee9f_e'),(1066954351288545282,'2019-01-03 17:21:11','2019-01-22 11:01:32',1,1,1,NULL,1080755660413145089,1080755701336969218,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'小程序运营推广战略（下）：经典小程序运营推广案例复盘剖析','1',1066978809785118722,'小程序运营推广战略（下）：经典小程序运营推广案例复盘剖析','00:26:00','e2fe557cf366b053d36abcf99dcacc0e_e'),(1066954351586340865,'2019-01-03 17:25:47','2019-01-22 11:01:32',1,1,1,NULL,1080757024136564738,1080757067061071873,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'常见WEB应用漏洞的讲解-实战防护脚本的分析','1',1066978810040971266,'常见WEB应用漏洞的讲解-实战防护脚本的分析','00:21:00','e2fe557cf3c1652b0ac129fa526f99ff_e'),(1066954352236457985,'2019-01-03 17:25:57','2019-01-22 11:01:32',1,1,1,NULL,1080757024136564738,1080757067061071873,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'实战进行攻击拦截-实战sql注入拦截','1',1066978810787557378,'实战进行攻击拦截-实战sql注入拦截','00:11:00','e2fe557cf386a8fdb952f7bc8821a5f2_e'),(1066954353238896641,'2019-01-03 17:29:01','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'深入理解hystrix的短路器执行原理以及模拟接口异常时的短路实验','1',1066978811798384641,'深入理解hystrix的短路器执行原理以及模拟接口异常时的短路实验','00:29:00','e2fe557cf311aa477058530d21f9216f_e'),(1066954353255673858,'2019-01-03 17:05:12','2019-01-22 11:01:32',1,1,1,NULL,1080751684959539202,1080751722016215042,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'使用Dubbo进行规模服务化前的工程结构优化','1',1066978811836133377,'使用Dubbo进行规模服务化前的工程结构优化','00:35:00','e2fe557cf3a3fa7125fdc9fe0cbfa7db_e'),(1066954353641549825,'2019-01-03 17:09:07','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'IOC容器与获取Bean的方法','1',1066978812343644161,'IOC容器与获取Bean的方法','00:8:00','e2fe557cf36354a12c4e1bfb05a40dc9_e'),(1066954354279084033,'2019-01-03 17:36:00','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'spark案例解说','1',1066978812922458114,'spark案例解说','00:12:00','e2fe557cf3d4ab3ca928698ca08bfeb2_e'),(1066954354400718850,'2019-01-03 17:31:36','2019-01-22 11:01:32',1,1,1,NULL,1080758482462511106,1080758514712514562,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'运维平台概述和装机平台演示','1',1066978813077647361,'运维平台概述和装机平台演示','00:22:00','e2fe557cf3e5cd75c0ecb41663e4f7f1_e'),(1066954354421690370,'2019-01-03 17:31:31','2019-01-22 11:01:32',1,1,1,NULL,1080758482462511106,1080758514712514562,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'龙果学院运维平台部署','1',1066978813111201794,'龙果学院运维平台部署','00:30:00','e2fe557cf3356f71d0bd97435c47f925_e'),(1066954354950172673,'2019-01-03 17:10:23','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'bean的作用域(创建方式)','1',1066978813618712578,'bean的作用域(创建方式)','00:5:00','e2fe557cf3b1f9e9adb83564cee61a0a_e'),(1066954355432517633,'2019-01-03 17:09:46','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'List集合属性注入','1',1066978813912313858,'List集合属性注入','00:7:00','e2fe557cf30a07b03071a83f6482c295_e'),(1066954356086829057,'2019-01-03 17:34:15','2019-01-22 11:01:32',1,1,1,NULL,1080759102707798018,1080759128645373954,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'龙果支付系统的搭建与部署','1',1066978814453379073,'第3节--龙果支付系统的搭建与部署','00:7:00','e2fe557cf3055321a8e2097700963370_e'),(1066954356250406913,'2019-01-03 17:36:06','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'spark手机案例','1',1066978814604374017,'spark手机案例','00:15:00','e2fe557cf3c3e2443bd327bf5fb073ba_e'),(1066954357055713282,'2019-01-03 17:20:36','2019-01-22 11:01:32',1,1,1,NULL,1080755660413145089,1080755701336969218,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'小程序实操：10分钟现场制作小程序，如何零门槛制作小程序','1',1066978815329988609,'小程序实操：10分钟现场制作小程序，如何零门槛制作小程序','00:35:00','e2fe557cf38f174a2e20d8056d11992a_e'),(1066954357080879106,'2019-01-03 17:31:50','2019-01-22 11:01:32',1,1,1,NULL,1080758482462511106,1080758514712514562,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'权限管理','1',1066978815355154433,'权限管理','00:6:00','e2fe557cf3cc476dde79efd0366c85b2_e'),(1066954357273817090,'2019-01-03 17:36:27','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'将RDD映射为key-value格式','1',1066978815552286722,'将RDD映射为key-value格式','00:12:00','e2fe557cf38f52f03e9ca7769f8a8c5d_e'),(1066954357571612673,'2019-01-03 17:10:42','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'bean的后置处理器','1',1066978815908802562,'bean的后置处理器','00:19:00','e2fe557cf3764c76708802a4f70986f0_e'),(1066954357609361409,'2019-01-03 17:10:29','2019-01-22 11:01:32',1,1,1,NULL,1080752794290032642,1080752832009408513,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'使用外部属性文件进行bean属性值的注入','1',1066978815946551298,'使用外部属性文件进行bean属性值的注入','00:12:00','e2fe557cf3afd8e8d8c8305416b5768b_e'),(1066954358645354498,'2019-01-03 17:28:19','2019-01-22 11:01:32',1,1,1,NULL,1080757537695535105,1080757568645304322,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'基于hystrix的线程池隔离技术进行商品服务接口的资源隔离','1',1066978810452013058,'基于hystrix的线程池隔离技术进行商品服务接口的资源隔离','00:38:00','e2fe557cf3dd29556b0774d595246521_e'),(1066954359018647554,'2019-01-03 17:36:42','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'二次key排序类的构造','1',1066978817267757058,'二次key排序类的构造','00:13:00','e2fe557cf353f6ce9767112b3f32049f_e'),(1066954359094145025,'2019-01-03 17:37:04','2019-01-22 11:01:32',1,1,1,NULL,1080759557655564289,1080759603717410818,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'mysql_以及php集成环境的安装','1',1066978817343254530,'mysql_以及php集成环境的安装','00:14:00','e2fe557cf3fe51a39e74b413d2544ad4_e'),(1066954360088195074,'2019-01-03 17:20:58','2019-01-22 11:01:32',1,1,1,NULL,1080755660413145089,1080755701336969218,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'小程序审核上线：小程序打包，对接微信公众平台，审核上线注意事项','1',1066978818152755202,'小程序审核上线：小程序打包，对接微信公众平台，审核上线注意事项','00:37:00','e2fe557cf373dd54f05c1ae050537f2a_e'),(1066954366895550465,'2019-01-03 16:27:02','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'历史','1',1066978826113544194,'第07节：Java的发展历史','00:27:24','e2fe557cf367fe2844683abee8008a6f_e'),(1066954367453392897,'2019-01-03 16:27:21','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'保存','1',1066978826692358145,'第23讲：grafa创建自定义图表与保存','00:10:51','e2fe557cf3536a60f2202a99ba069b28_e'),(1066954391016992770,'2019-01-03 17:01:15','2019-01-22 11:01:32',1,1,1,NULL,1080750873957306369,1080750906672877569,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'监控狗告警','1',1066978841112375297,'监控狗告警','00:18:14','e2fe557cf3fc5298276a490dfcfaecef_e'),(1066954412969979905,'2019-01-03 16:57:29','2019-01-22 11:01:32',1,1,1,NULL,1080749913478467586,1080749946835767297,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'Concordion实战-第一讲','1',1066978863631593474,'Concordion实战-第一讲.avi','00:15:01','e2fe557cf351e7155d3f78585d57a8c7_e'),(1066954412986757122,'2019-01-03 16:57:41','2019-01-22 11:01:32',1,1,1,NULL,1080749913478467586,1080749946835767297,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'Concordion实战-第二讲','1',1066978863656759298,'Concordion实战-第二讲.avi','00:15:03','e2fe557cf3c871ebd7b5954ef75d17ce_e'),(1066954413007728642,'2019-01-03 16:57:48','2019-01-22 11:01:32',1,1,1,NULL,1080749913478467586,1080749946835767297,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'Concordion实战-第三讲','1',1066978863673536514,'Concordion实战-第三讲.avi','00:11:35','e2fe557cf3a655566775640a37444391_e'),(1066954413024505857,'2019-01-03 16:57:56','2019-01-22 11:01:32',1,1,1,NULL,1080749913478467586,1080749946835767297,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'Concordion实战-第四讲','1',1066978863694508034,'Concordion实战-第四讲.avi','00:15:20','e2fe557cf3620dcf0cd4c171dfe3e8fc_e'),(1066954413049671681,'2019-01-03 16:58:03','2019-01-22 11:01:32',1,1,1,NULL,1080749913478467586,1080749946835767297,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'Concordion实战-第五讲','1',1066978863719673858,'Concordion实战-第五讲.avi','00:19:34','e2fe557cf34f3a2cc4bd82d02f8d84e2_e'),(1066954413083226113,'2019-01-03 16:53:05','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-01入门','1',1066978863744839682,'PowerMock实战-01入门.avi','00:16:42','e2fe557cf36409cf0acd9cab77ed095d_e'),(1066954413108391938,'2019-01-03 16:53:13','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-02PowerMock基本用法介绍','1',1066978863765811202,'PowerMock实战-02PowerMock基本用法介绍.avi','00:20:29','e2fe557cf3ea6744b0fc844cd2c81973_e'),(1066954413133557762,'2019-01-03 16:53:20','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-03Mock局部变量的详细讲解','1',1066978863799365633,'PowerMock实战-03Mock局部变量的详细讲解.avi','00:15:55','e2fe557cf32b49fe6f1c9e001a4eb886_e'),(1066954413150334978,'2019-01-03 16:53:28','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-04Mock静态方法详解','1',1066978863820337153,'PowerMock实战-04Mock静态方法详解.avi','00:08:24','e2fe557cf3a30a8e051aee1340a3e4a8_e'),(1066954413167112193,'2019-01-03 16:53:35','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-05Mock final修饰的类详解','1',1066978863887446017,'PowerMock实战-05Mock final修饰的类详解.avi','00:10:44','e2fe557cf38d857428b2b2b1428ac6aa_e'),(1066954413183889409,'2019-01-03 16:53:41','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-06Verify的使用详细介绍','1',1066978863904223234,'PowerMock实战-06Verify的使用详细介绍.avi','00:12:17','e2fe557cf3a6369d0da568cb9d03a69a_e'),(1066954413209055234,'2019-01-03 16:53:47','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-07Mock构造函数详细介绍','1',1066978863921000449,'PowerMock实战-07Mock构造函数详细介绍.avi','00:08:58','e2fe557cf35840a53751e40e960537f3_e'),(1066954413221638145,'2019-01-03 16:53:58','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-08ArgumentsMatcher的使用详解','1',1066978863937777666,'PowerMock实战-08ArgumentsMatcher的使用详解.avi','00:14:19','e2fe557cf38f57c815f613b559cc7ffb_e'),(1066954413238415362,'2019-01-03 16:54:04','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-09Answer接口的使用详解','1',1066978863962943490,'PowerMock实战-09Answer接口的使用详解.avi','00:09:08','e2fe557cf35f9a3827bdf9a2419c71af_e'),(1066954413255192578,'2019-01-03 16:54:12','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-10Spy的使用和私有方法的mock详细介绍','1',1066978863975526402,'PowerMock实战-10Spy的使用和私有方法的mock详细介绍.avi','00:13:16','e2fe557cf30179e50a02a98121c304ba_e'),(1066954413271969793,'2019-01-03 16:54:20','2019-01-22 11:01:32',1,1,1,NULL,1080748800742199298,1080748843360522242,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'PowerMock实战-11总结','1',1066978863992303617,'PowerMock实战-11总结.avi','00:10:15','e2fe557cf3b621999a198770dadcea66_e'),(1066954421543137282,'2019-01-03 16:50:15','2019-01-22 11:01:32',1,1,1,NULL,1080748086536114177,1080748116932235266,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'建立通用的房价信息爬取函数','1',1066978873177829378,'1_建立通用的房价信息爬取函数.mp4','00:28:26','e2fe557cf3789b056f0a17c1cb64b0fb_e'),(1066954421564108802,'2019-01-03 16:50:21','2019-01-22 11:01:32',1,1,1,NULL,1080748086536114177,1080748116932235266,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'通用分页批量爬取房价数据','1',1066978873202995202,'2_通用分页批量爬取房价数据.mp4','00:25:21','e2fe557cf30c2b2abd62e918341517d1_e'),(1066954421580886017,'2019-01-03 16:50:35','2019-01-22 11:01:32',1,1,1,NULL,1080748086536114177,1080748116932235266,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'房价数据预处理','1',1066978873228161026,'3_房价数据预处理.mp4','00:23:38','e2fe557cf3c0d7ce99d4eea49c13eba1_e'),(1066954421597663234,'2019-01-03 16:50:41','2019-01-22 11:01:32',1,1,1,NULL,1080748086536114177,1080748116932235266,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'房价预测模型及模型性能度量','1',1066978873253326850,'4_房价预测模型及模型性能度量.mp4','00:31:01','e2fe557cf30cf7b5a0bd279be34da80a_e'),(1069920693105217537,'2019-01-03 16:47:45','2019-01-22 11:01:32',1,1,1,NULL,1080747476327796737,1080747503813070849,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'知识图谱系统架构设计（1）','1',1069920997766877186,'LP_20181128154604  1.mp4','00:14:05','e2fe557cf3cdf95aea82070cb33e5396_e'),(1069921086266691585,'2019-01-03 16:47:51','2019-01-22 11:01:32',1,1,1,NULL,1080747476327796737,1080747503813070849,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'知识图谱系统架构设计（2）','1',1069921446641291266,'LP_20181128154604  2.mp4','00:19:00','e2fe557cf327981e9573e8ba2587b7c3_e'),(1069921567756587010,'2019-01-03 16:47:58','2019-01-22 11:01:32',1,1,1,NULL,1080747476327796737,1080747503813070849,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'知识图谱系统架构设计（3）','1',1069921551045906433,'LP_20181128154604  3.mp4','00:12:12','e2fe557cf3402bb125a2bb0c34c60407_e'),(1069921733493936130,'2019-01-03 16:48:11','2019-01-22 11:01:32',1,1,1,NULL,1080747476327796737,1080747503813070849,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'知识图谱系统架构设计（4）','1',1069921617060630529,'LP_20181128154604  4.mp4','00:08:54','e2fe557cf3544641a8199c8b006dddc9_e'),(1069921799797493761,'2019-01-03 16:48:18','2019-01-22 11:01:32',1,1,1,NULL,1080747476327796737,1080747503813070849,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'知识图谱系统架构设计（5）','1',1069921660135559170,'LP_20181128154604  5.mp4','00:05:40','e2fe557cf38a7f2663ffadfc466f51b8_e'),(1070541717907738625,'2019-01-03 16:38:32','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745185445089281,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'课程介绍和项目介绍','1',1071306116595478529,'1-1课程了解和项目演示.mp4','00:06:23','e2fe557cf30aa79bad501dfc71bf7906_e'),(1070543553825902593,'2019-01-03 16:41:04','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745825701400578,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'wangEditor编辑器介绍','1',1072520615260934145,'5-1wangEditor编辑器的介绍.mp4','00:03:09','e2fe557cf3d3048a0a5049f304326bc4_e'),(1071383436052664321,'2019-01-03 16:39:32','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745377019924481,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'controller层上','1',1071406820731916290,'3-1service层实现上.mp4','00:08:16','e2fe557cf3e98090a7b58ad29967dc25_e'),(1071383499692429313,'2019-01-03 16:39:23','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745377019924481,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'登录service层实现下','1',1071407215621443586,'3-2service层实现下.mp4','00:04:11','e2fe557cf3acc32199b54e8d820241a1_e'),(1071383729787752450,'2019-01-03 16:39:39','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745377019924481,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'controller控制层下','1',1071407921866739714,'3-4Controller控制层下.mp4','00:04:25','e2fe557cf31b7c302894677671fdf187_e'),(1071383795814895617,'2019-01-03 16:39:54','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745377019924481,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'jquery ajax入门了解','1',1071408066788331522,'3-5 ajax了解.mp4','00:02:05','e2fe557cf3bc726b0e670d1ecac741a8_e'),(1071383978522972161,'2019-01-03 16:40:02','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745377019924481,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'后台与前端的联调','1',1071408655416954881,'5-6 后台与前端的联调.mp4','00:10:13','e2fe557cf3bef7856bf8b3bb344c4838_e'),(1072387864364351490,'2019-01-03 16:32:52','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743764981125121,NULL,1,0.00,0.00,0,0,0,'','','微信小程序当面付功能模板讲解教程','1',1072406313476554754,'电商标准版小程序模板功能场景.mp4','00:21:50','e2fe557cf3e038130f35ab6864f08f6f_e'),(1072393392968728577,'2019-01-03 16:30:48','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743235517353985,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'餐饮行业小程序模板讲解教程','1',1072393628366249985,'餐饮行业小程序模板功能场景讲解.mp4','00:14:51','e2fe557cf3d68ee66f0e3046ae751bb5_e'),(1072393775568945154,'2019-01-03 16:30:57','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743235517353985,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'餐饮行业小程序模板制作教程','1',1072394039215104002,'餐饮行业小程序模板使用操作教程.mp4','00:31:11','e2fe557cf3d4b563bbe9bf59e599bab8_e'),(1072395609029844993,'2019-01-03 16:31:14','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743340769218561,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'健身行业小程序模板讲解教程','1',1072396027952734210,'健身行业小程序模板功能场景讲解.mp4','00:14:48','e2fe557cf3e23232cdde52eb71abc8bf_e'),(1072396800480018434,'2019-01-03 16:31:21','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743340769218561,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'健身行业小程序模板制作教程','1',1072396984362500098,'健身行业小程序模板使用操作教程.mp4','00:30:35','e2fe557cf3fd7929ee5dc606fba9b933_e'),(1072397510122700801,'2019-01-03 16:31:40','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743452916518913,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'教育行业小程序模板讲解教程','1',1072397710073561089,'教育行业小程序模板讲解教程.mp4','00:18:51','e2fe557cf3d7b10ccebe0b8c0642aaef_e'),(1072397827514073089,'2019-01-03 16:31:48','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743452916518913,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'教育行业小程序模板制作教程','1',1072398530819657730,'教育行业小程序模板制作教程.mp4','00:26:25','e2fe557cf383a8d1143e918d9824628b_e'),(1072399181997469698,'2019-01-03 16:32:08','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743553525288962,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'企业展示小程序模板制作教程','1',1072399365112393730,'企业展示小程序模板使用操作教程.mp4','00:26:19','e2fe557cf33247e8e4acb32e3aa13378_e'),(1072400206800621569,'2019-01-03 16:32:22','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743636924829697,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'新零售（水果）行业小程序模板讲解教程','1',1072401814883733505,'新零售(水果）行业小程序模板功能场景.mp4','00:15:06','e2fe557cf31d456784f1bf6a80ac9d8b_e'),(1072402879528112130,'2019-01-03 16:32:28','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743636924829697,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'新零售（水果）行业小程序模板制作教程','1',1072408119048474625,'新零售(水果）行业小程序模板操作讲解.mp4','00:23:21','e2fe557cf38eb5653b74b2fbefe63dc0_e'),(1072406472214183938,'2019-01-03 16:30:18','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743083784212482,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'电商行业小程序模板制作教程','1',1072406948455976961,'电商行业小程序模板使用操作教程.mp4','00:32:01','e2fe557cf3ebbf70bcc9d95ded290c06_e'),(1072407056283598850,'2019-01-03 16:30:26','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743083784212482,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'电商行业小程序运营方案教程','1',1072407479153328130,'电商行业小程序运营方案教程.mp4','00:28:13','e2fe557cf32f49c95a8ce389c147d259_e'),(1072408786676813826,'2019-01-03 16:24:58','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741611705143297,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'当面付','1',1072408870928252929,'微信小程序当面付功能讲解教程.mp4','00:06:22','e2fe557cf3d7f2939abfae2c29edfb07_e'),(1072409123898855425,'2019-01-03 16:32:58','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743764981125121,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'微信小程序当面付功能模板制作教程','1',1072409172360298497,'新零售小程序运营方案教程.mp4','00:06:52','e2fe557cf3d8a1bdf21709931863e2f0_e'),(1072409765442818050,'2019-01-03 16:33:29','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743887601602561,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'公众号电商行业小程序模板制作教程','1',1072410159661711361,'公众号电商行业小程序模板功能场景讲解.mp4','00:24:27','e2fe557cf32a65ef7f339b62fb25e86a_e'),(1072410937721880578,'2019-01-03 16:33:49','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743998993928194,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'微信小程序社区功能模板讲解教程','1',1072411037814296577,'微信小程序社区功能模板讲解教程.mp4','00:09:54','e2fe557cf37e36e3b00646405f333e00_e'),(1072411140575199234,'2019-01-03 16:33:56','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743998993928194,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'微信小程序社区功能模板制作教程','1',1072411230727114753,'微信小程序社区功能模板制作教程.mp4','00:11:42','e2fe557cf31d7adfc4e2fd0c89f20f53_e'),(1072411659200888834,'2019-01-03 16:34:41','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080744100441559041,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'资讯行业小程序模板制作教程','1',1072411779044282369,'资讯行业小程序模板使用操作教程.mp4','00:18:52','e2fe557cf32b3a1f2cd9a60faecb352b_e'),(1072515571916013570,'2019-01-03 16:40:22','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745622697086977,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'分类service层业务层','1',1072517184374243330,'4-2 分类service层业务层.mp4','00:14:25','e2fe557cf317fd700eb5fdd4449b03c3_e'),(1072517251949219842,'2019-01-03 16:40:28','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745622697086977,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'分类添加controller层','1',1072517503158669313,'4-3 分类添加controller层.mp4','00:07:02','e2fe557cf3d37959d9d05074bc909df9_e'),(1072517583022411777,'2019-01-03 16:40:35','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745622697086977,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'分类删除、列表controller','1',1072517876262436865,'4-4分类删除、列表controller.mp4','00:05:48','e2fe557cf38abeb37fd9a7fd0c40a522_e'),(1072519619075985409,'2019-01-03 16:40:43','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745622697086977,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'分类 添加、列表 、删除前端与后端的联调','1',1072519904422875137,'4-5分类 添加、列表 、删除前端与后端的联调.mp4','00:07:51','e2fe557cf328121d0d947634b4d83753_e'),(1072520023478194178,'2019-01-03 16:40:50','2019-01-22 11:01:32',1,1,1,NULL,1080745129451130881,1080745622697086977,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'最终分类添加、删除、列表所有成功','1',1072520212616138754,'4-6最终分类添加、删除、列表所有成功.mp4','00:04:47','e2fe557cf333347d5dcbca11035d0ace_e'),(1072760004452352002,'2019-01-03 16:19:14','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'文本组件','1',1072760039605358594,'01文本【基础组件】.mp4','00:01:37','e2fe557cf3731ea9801888af203e912e_e'),(1072760087566680065,'2019-01-03 16:19:21','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'图片组件','1',1072760116108918786,'02图片【基础组件】.mp4','00:01:33','e2fe557cf30f68789852b590ea8e00b4_e'),(1072760163274412034,'2019-01-03 16:19:28','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'按钮组件','1',1072760190998761473,'03按钮【基础组件】.mp4','00:01:19','e2fe557cf395bf7347667c02e599f596_e'),(1072760224863027202,'2019-01-03 16:19:35','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'标题组件','1',1072760264357138434,'04标题【基础组件】.mp4','00:02:16','e2fe557cf38674b7afc196c7a626cb89_e'),(1072760399594082305,'2019-01-03 16:19:48','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'视频组件','1',1072760488492355586,'06视频【基础组件】.mp4','00:06:59','e2fe557cf36bdf7139ec097db9020964_e'),(1072760537946849281,'2019-01-03 16:19:56','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'轮播组件','1',1072760615658913794,'07轮播【基础组件】.mp4','00:06:22','e2fe557cf36e1ae16b977a750f97eb47_e'),(1072761112822349825,'2019-01-03 16:20:02','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'公告组件','1',1072761175711744002,'08公告【基础组件】.mp4','00:05:01','e2fe557cf3a5817f61070d2a7fc9bc0d_e'),(1072761321938309122,'2019-01-03 16:20:22','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'图文集','1',1072761388484591618,'10图文集【基础组件】.mp4','00:04:20','e2fe557cf344151e78e26ccc22bae7a6_e'),(1072761720321691649,'2019-01-03 16:20:45','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'双栏组件','1',1072761774054920193,'01双栏【布局组件】.mp4','00:01:59','e2fe557cf3cf49f609306c87f353b130_e'),(1072761831537311746,'2019-01-03 16:20:51','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'弹窗组件','1',1072761941038551041,'02弹窗【布局组件】.mp4','00:08:33','e2fe557cf323e9124d0bdd5e7c86e56c_e'),(1072762007602155521,'2019-01-03 16:20:58','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'分割线组件','1',1072762029756469250,'03分割线【布局组件】.mp4','00:00:37','e2fe557cf326649f8c02743bdbaa85f8_e'),(1072762541632978945,'2019-01-03 16:21:05','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'面板组件','1',1072762567989985282,'04面板【布局组件】.mp4','00:01:14','e2fe557cf30fef6b53de3551c0b7be6a_e'),(1072762613825339394,'2019-01-03 16:21:14','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'自由面板组件','1',1072762653146939394,'05自由面板【布局组件】.mp4','00:03:21','e2fe557cf3cd5cbf13b5a720cba90a9e_e'),(1072762692154511362,'2019-01-03 16:21:22','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'滑动面板组件','1',1072762801642622978,'06滑动面板【布局组件】.mp4','00:09:39','e2fe557cf38019d20ad7d66a88b7f45e_e'),(1072762868662861826,'2019-01-03 16:21:28','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'动态分类组件','1',1072763035407962114,'07篇1动态分类【布局组件】.mp4','00:13:58','e2fe557cf33a34d52dbfbedfad85bc45_e'),(1072765209898733570,'2019-01-03 16:21:35','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'侧边栏组价','1',1072765564539719682,'08侧边栏【布局组件】.mp4','00:07:04','e2fe557cf3f02ce167a257b583468bbb_e'),(1072765799546572802,'2019-01-03 16:21:46','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080740712899350529,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'悬浮窗组价','1',1072765828415967233,'09悬浮窗【布局组件】.mp4','00:02:03','e2fe557cf3735be56639c8c824aed567_e'),(1072765937618321409,'2019-01-03 16:22:02','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'电商组件','1',1072766256167321602,'01电商【功能组件】.mp4','00:25:50','e2fe557cf38c04e769173b1f93c2955f_e'),(1072766627715547137,'2019-01-03 16:22:12','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'到店组件','1',1072766833072865281,'02到店【功能组件】.mp4','00:14:07','e2fe557cf355f035e8e7b7cd222fd357_e'),(1072768387045720065,'2019-01-03 16:22:18','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'排号组件','1',1072768545410056194,'03排号【功能组件】.mp4','00:12:14','e2fe557cf315de55700b0b5983ed2a04_e'),(1072768898491305985,'2019-01-03 16:11:18','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738163748179970,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'预约','1',1072769056230690818,'04预约【功能组件】.mp4','00:11:52','e2fe557cf302b8a9f626372aa34d2c15_e'),(1072769147946991618,'2019-01-03 16:22:51','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'多商家组件','1',1072769315391995905,'05多商家【功能组件】.mp4','00:15:53','e2fe557cf39a41a4534c97c21b9fdb41_e'),(1072769929693954050,'2019-01-03 16:22:59','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'资讯组件','1',1072770230652043265,'06资讯【功能组件】.mp4','00:23:41','e2fe557cf3928621ccb6ea027c74ff76_e'),(1073118735166427138,'2019-01-03 16:32:35','2019-01-22 11:01:32',1,1,1,NULL,1080743050779234306,1080743636924829697,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'新零售行业小程序运营方案教程','1',1073119226197245954,'公众号电商小程序运营方案教程.mp4','00:28:05','e2fe557cf32dcd68e83476f70fe7d997_e'),(1073515350162735105,'2019-01-03 16:23:19','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'评论组件','1',1073515377946349569,'08评论【功能组件】.mp4','00:00:59','e2fe557cf3a8b2981425a53daa4c4649_e'),(1073516303184646145,'2019-01-03 16:23:33','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'表单组件','1',1073516504762896386,'10表单【功能组件】-鹏飞.mp4','00:14:05','e2fe557cf32d8f1b42a6564807c59889_e'),(1073516614196482050,'2019-01-03 16:23:41','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'动态容器组件','1',1073516911790194689,'11动态容器【功能组件】-鹏飞.mp4','00:21:18','e2fe557cf3489c6225c4015a8ccb83c3_e'),(1073517114442731521,'2019-01-03 16:24:01','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'关注公众号组件','1',1073517153503739906,'14公众号关注【功能组件】-梦园.mp4','00:02:15','e2fe557cf329222dbb5cef0b0aa78db9_e'),(1073517373117497345,'2019-01-03 16:12:34','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'优惠券','1',1073517668636119041,'02优惠券【营销组件】-鹏飞.mp4','00:09:17','e2fe557cf32a9b1f749e4f38edbabbf6_e'),(1073517729692602370,'2019-01-03 16:12:24','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'会员卡','1',1073517895145312258,'03会员卡【营销组件】-鹏飞.mp4','00:05:14','e2fe557cf3a0718b3192bae1f020f8bb_e'),(1073517931651989506,'2019-01-03 16:12:56','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'储值','1',1073518019615477761,'04储值【营销组件】-鹏飞.mp4','00:03:27','e2fe557cf3b56c2c39394f7ed151d6c1_e'),(1073518477000134657,'2019-01-03 16:13:24','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'大转盘砸金蛋刮刮乐','1',1073518612362362881,'06大转盘砸金蛋刮刮乐【营销组件】-鹏飞.mp4','00:05:17','e2fe557cf372882fe04f6a78e9f25656_e'),(1073518726301175810,'2019-01-03 16:25:29','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741870434979842,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'计数组件','1',1073518768420376577,'01计数【其他组件】-梦园.mp4','00:02:39','e2fe557cf3c474ce4975323824eaebc4_e'),(1073518826167009281,'2019-01-03 16:25:35','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741870434979842,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'地图组件','1',1073518854918963202,'02地图【其他组件】-梦园.mp4','00:02:13','e2fe557cf36f362e345c3e38f276b978_e'),(1073518893096062978,'2019-01-03 16:25:43','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741870434979842,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'音频组件','1',1073518928022032385,'03音频【其他组件】-梦园.mp4','00:02:30','e2fe557cf34a5f1643bab5ad0d1f464d_e'),(1073518960745447426,'2019-01-03 16:25:49','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080741870434979842,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'搜索组件','1',1073518995444924417,'04搜索【其他组件】-梦园.mp4','00:03:20','e2fe557cf3e1cdde6c7341ab2b4f203b_e'),(1073519090890506242,'2019-01-03 16:26:03','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'页面概述','1',1073519149128962049,'01页面概述【页面布局】-梦园.mp4','00:05:07','e2fe557cf37c4fd21763c43c29f02087_e'),(1073520568547999745,'2019-01-03 16:26:39','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'单页模板','1',1073520610251964418,'05单页模板【页面布局】.mp4','00:01:36','e2fe557cf33b339ac7c898832de6761c_e'),(1073520717198327810,'2019-01-03 16:26:46','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'前进后退','1',1073520743366590466,'06前进后退【页面布局】.mp4','00:00:59','e2fe557cf3e166ca26ee0152cc51d382_e'),(1073521045884960770,'2019-01-03 16:27:15','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'预览','1',1073521076088143873,'10预览【页面布局】.mp4','00:02:20','e2fe557cf3e1e62dc26ca5757213ee11_e'),(1073521279176888322,'2019-01-03 16:27:35','2019-01-22 11:01:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'数据动态化','1',1073521372286242817,'13数据动态化【页面管理】.mp4','00:10:12','e2fe557cf35f9d421d2453a6677f33b9_e'),(1073768954245218305,'2019-01-03 15:44:40','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080731617995722754,NULL,1,0.00,0.00,0,0,0,'','','即速应用后台管理介绍','1',1073769267098353665,'01即速应用后台管理介绍.mp4','00:04:16','e2fe557cf32d7090c1593f057defa7c7_e'),(1073770816814534657,'2019-01-03 15:45:14','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080731759217938433,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'总览教程','1',1073770916697690113,'02总览.mp4','00:01:34','e2fe557cf39cbda19250bda8d875c614_e'),(1073771782230069250,'2019-01-03 15:45:38','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080731893985120257,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'数据统计教程','1',1073771830372290561,'03数据统计.mp4','00:00:46','e2fe557cf389d5f9319c7a722935ce0d_e'),(1073771908289875970,'2019-01-03 15:46:09','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080731939967275009,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'用户管理教程','1',1073772069296623617,'04用户管理.mp4','00:03:31','e2fe557cf3cc89d5ba99283cad4c1073_e'),(1073772639662702594,'2019-01-03 16:09:07','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737765738090498,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'页面数据教程','1',1073772791311958017,'05页面数据.mp4','00:03:41','e2fe557cf33032065f173a8f4c6318bd_e'),(1073773070552485890,'2019-01-03 16:09:32','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737860026044417,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'功能模块教程','1',1073773478942932994,'06功能模块.mp4','00:13:06','e2fe557cf3336ee216cb7e7e306a6843_e'),(1073773575873843202,'2019-01-03 16:09:40','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737860026044417,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'轮播管理','1',1073773649743380482,'02轮播管理.mp4','00:06:22','e2fe557cf380b90ec51b60cef996e9fb_e'),(1073773854920343554,'2019-01-03 16:09:46','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737860026044417,NULL,1,0.00,0.00,0,0,0,'','','页面二维码','1',1073773930501701633,'页面二维码【功能模块】.mp4','00:06:07','e2fe557cf34011c054ca8a1d30bcf37f_e'),(1073774017374126082,'2019-01-03 16:09:57','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737860026044417,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'红包助力插件','1',1073774189232082945,'08篇1红包助力插件.mp4','00:09:39','e2fe557cf3be5b4f9b713d1e1d5fa626_e'),(1073774252854935554,'2019-01-03 16:10:08','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737860026044417,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'现金红包插件','1',1073774407872761858,'08篇2现金红包插件.mp4','00:05:48','e2fe557cf35c28e8f2313bd99d05ec03_e'),(1073774660298014721,'2019-01-03 16:10:15','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737860026044417,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'狼人杀插件','1',1073774709253931010,'08篇3咫尺插件 狼人杀.mp4','00:02:21','e2fe557cf3269e5f740b46627be17399_e'),(1073774988557373441,'2019-01-03 16:10:23','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080737860026044417,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'群组名片插件','1',1073775032680906754,'08篇4咫尺插件 群组名片.mp4','00:01:40','e2fe557cf3b5dab7982a89910b8e0e3a_e'),(1073775161857626114,'2019-01-03 16:10:39','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738163748179970,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'店铺管理教程','1',1073775271324766209,'07店铺管理.mp4','00:10:03','e2fe557cf37bf5226f71ead58e6d3a68_e'),(1073775364483907585,'2019-01-03 16:10:47','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738163748179970,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'电商商品管理','1',1073775473951047682,'01篇2电商商品管理.mp4','00:10:33','e2fe557cf31058a63cfd809182ab5753_e'),(1073775520004505602,'2019-01-03 16:10:55','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738163748179970,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'电商运费管理','1',1073775594441363458,'01篇4电商运费管理.mp4','00:06:58','e2fe557cf315ce4d866526fcfd074ad1_e'),(1073775639995154434,'2019-01-03 16:11:02','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738163748179970,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'电商积分管理','1',1073775700988723201,'01篇5电商积分管理.mp4','00:03:27','e2fe557cf3d2b4ad7f931042ba3f9c52_e'),(1073776010218524673,'2019-01-03 16:11:26','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738163748179970,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'外卖','1',1073776162429272065,'04外卖功能.mp4','00:19:09','e2fe557cf3090f344c804ff598bf248b_e'),(1073776561270378498,'2019-01-03 16:11:56','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738498403307521,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'多店管理教程','1',1073776910940569602,'09多店管理.mp4','00:06:21','e2fe557cf30ede7031107dc29c25094c_e'),(1073777116956938241,'2019-01-03 16:12:18','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'营销推广教程','1',1073782709817507841,'10营销推广.mp4','00:18:34','e2fe557cf337a4d24c0a692316ce178d_e'),(1073783115075899393,'2019-01-03 16:12:41','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'微信优惠券','1',1073783345808211970,'03微信优惠券.mp4','00:15:00','e2fe557cf3d81ee791ac58c87d032c9b_e'),(1073783495105007617,'2019-01-03 16:12:49','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'社交立减金','1',1073783742766075906,'04社交立减金.mp4','00:21:07','e2fe557cf33f163c24b6ca231c815ed4_e'),(1073784317587050498,'2019-01-03 16:13:31','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080738583363129346,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'砍价','1',1073784570775666689,'砍价.mp4','00:18:14','e2fe557cf30a8be0ea8b908225fb7dd4_e'),(1073785116522270721,'2019-01-03 16:13:59','2019-01-22 11:01:32',1,1,1,NULL,1080731530615787522,1080739008359370753,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'系统设置教程','1',1073785312676741121,'11系统设置.mp4','00:05:29','e2fe557cf3c860972a3ca5343e2a5f0c_e'),(1080740477355626498,'2019-01-03 16:19:41','2019-01-03 16:19:41',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'高级列表组件','1',1072743301945839617,'05高级列表【基础组件】-静娴.mp4','00:01:39','e2fe557cf38593b1673c34674404c0bb_e'),(1080740612571598849,'2019-01-03 16:20:14','2019-01-03 16:20:14',1,1,1,NULL,1080740234501230593,1080740298770550785,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'添加组合','1',1072743645647536130,'09添加组合【基础组件】.mp4','00:03:01','e2fe557cf327045bcf6ee498f9d9ad92_e'),(1080741352459407361,'2019-01-03 16:23:10','2019-01-03 16:23:10',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'社区组件','1',1073515269984419842,'07社区【功能组件】.mp4','00:25:21',NULL),(1080741529052188673,'2019-01-03 16:23:52','2019-01-03 16:23:52',1,1,1,NULL,1080740234501230593,1080741037639143426,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'插件','1',1066978793783848962,'input插件','00:22:00','a24911d8d745982539f134300065f739_a'),(1080742200581230593,'2019-01-03 16:26:32','2019-01-03 16:26:32',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'元素','1',1066978791212740610,'css 行&块元素','00:9:00',NULL),(1080742352721219586,'2019-01-03 16:27:09','2019-01-03 16:27:09',1,1,1,NULL,1080740234501230593,1080742047262642178,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'管理','1',1066978792789798913,'文章管理','01:5:00',NULL),(1080745271659008002,'2019-01-03 16:38:45','2019-01-03 16:38:45',1,1,1,NULL,1080745129451130881,1080745241665540098,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'项目创建','1',1071018671094132737,'项目创建.mp4','00:11:36','e2fe557cf3b57e53a1040a922979eb98_e'),(1080745653458112514,'2019-01-03 16:40:16','2019-01-03 16:40:16',1,1,1,NULL,1080745129451130881,1080745622697086977,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'分类功能演示','1',1071410217194999810,'4-1分类演示.mp4','00:02:02',NULL),(1080746376228966401,'2019-01-03 16:43:08','2019-01-03 16:43:08',1,1,1,NULL,1080745129451130881,1080745825701400578,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'文章发布service层','0',NULL,NULL,NULL,NULL),(1080746411712778242,'2019-01-03 16:43:16','2019-01-03 16:43:16',1,1,1,NULL,1080745129451130881,1080745825701400578,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'文章发布控制层','0',NULL,NULL,NULL,NULL),(1080746521729372161,'2019-01-03 16:43:43','2019-01-03 16:43:43',1,1,1,NULL,1080745129451130881,1080746486186840066,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'文章分页列表（pageInfo）service层','0',NULL,NULL,NULL,NULL),(1080746551257272321,'2019-01-03 16:43:50','2019-01-03 16:43:50',1,1,1,NULL,1080745129451130881,1080746486186840066,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'文章分页前端实现和controller','0',NULL,NULL,NULL,NULL),(1080746578667048961,'2019-01-03 16:43:56','2019-01-03 16:43:56',1,1,1,NULL,1080745129451130881,1080746486186840066,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'文章编辑','0',NULL,NULL,NULL,NULL),(1080746604034199554,'2019-01-03 16:44:02','2019-01-03 16:44:02',1,1,1,NULL,1080745129451130881,1080746486186840066,NULL,1,0.00,0.00,0,0,0,NULL,NULL,'文章删除','0',NULL,NULL,NULL,NULL),(1085796838946848770,'2019-01-17 15:11:52','2019-01-17 15:11:52',1,1,1,NULL,1085453180200448002,1085796692309786625,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-1','0',NULL,NULL,NULL,NULL),(1085796881363845122,'2019-01-17 15:12:02','2019-01-17 15:12:02',1,1,1,NULL,1085453180200448002,1085796692309786625,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-2','0',NULL,NULL,NULL,NULL),(1085796913223778306,'2019-01-17 15:12:10','2019-01-17 15:12:10',1,1,1,NULL,1085453180200448002,1085796692309786625,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-3','0',NULL,NULL,NULL,NULL),(1085797221563842562,'2019-01-17 15:13:23','2019-01-17 15:13:23',1,1,1,NULL,1085453180200448002,1085796749289406465,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-4','0',NULL,NULL,NULL,NULL),(1085797241432260609,'2019-01-17 15:13:28','2019-01-17 15:13:28',1,1,1,NULL,1085453180200448002,1085796749289406465,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-5','0',NULL,NULL,NULL,NULL),(1085797261569114114,'2019-01-17 15:13:33','2019-01-17 15:13:33',1,1,1,NULL,1085453180200448002,1085796749289406465,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-6','0',NULL,NULL,NULL,NULL),(1085797297782734850,'2019-01-17 15:13:42','2019-01-17 15:13:42',1,1,1,NULL,1085453180200448002,1085796808697528321,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-7','0',NULL,NULL,NULL,NULL),(1085797318510985218,'2019-01-17 15:13:46','2019-01-17 15:13:46',1,1,1,NULL,1085453180200448002,1085796808697528321,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-8','0',NULL,NULL,NULL,NULL),(1085797345266450434,'2019-01-17 15:13:53','2019-01-17 15:13:53',1,1,1,NULL,1085453180200448002,1085796808697528321,NULL,0,0.00,0.00,0,0,0,NULL,NULL,'测试课时-9','0',NULL,NULL,NULL,NULL);

#
# Structure for table "course_introduce"
#

CREATE TABLE `course_introduce` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `introduce` longtext NOT NULL COMMENT '课程简介',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程介绍信息';

#
# Data for table "course_introduce"
#

INSERT INTO `course_introduce` VALUES (1080731530578038786,'2019-01-03 15:44:08','2019-01-03 15:44:08','<p>本课程主要讲解使用微信小程序第三方制作平台零基础制作微信小程序，适合不懂编程的代码小白，简单易懂，轻松上手。&nbsp;&nbsp;<br></p>'),(1080740234497036290,'2019-01-03 16:18:44','2019-01-03 16:18:44','<p>本课程将借助第三方小程序制作工具即速应用，带你快速制作小程序。&nbsp;&nbsp;<br></p>'),(1080743050775040002,'2019-01-03 16:29:55','2019-01-03 16:29:55','<p>餐饮、电商、健身、教育等行业拥抱 小程序+&nbsp;&nbsp;<br></p>'),(1080745129442742273,'2019-01-03 16:38:11','2019-01-03 16:38:11','<p><b>github:</b>https://github.com/binlian/binglian-blog</p><p><br></p><p><b>适合人群</b></p><p>如果你是在校大学生，想积累实战项目经验，或想完成一份让人刮目相看的毕业设计，那这门课非常适合你，本课程也特别适合在中小型互联网企业工作面试中提到项目经验</p><p>整合多个技术点，代码手把手教学，一步一步实现博客的各个功能，实现完整前后端的企业级Java项目。</p><p><b>开发环境&nbsp;</b><br></p><p>核心框架:Spring freemarker+Springboot<br></p><p>JDK：jdk1.8</p><p>数据库：MySQL</p><p>前端框架：Bootstrap + Jquery+ajax&nbsp;<br></p><p>IDE:STS、eclipse、Idea均可</p><p>开发环境：win、mac、linux均可</p><p>Maven：3</p>'),(1080747476319408130,'2019-01-03 16:47:30','2019-01-03 16:47:30','<p>汽车知识图谱系统架构设计专题直播+答疑录像文件，本课程是《知识i图谱完整项目实战》课程中的一个小节。重点介绍汽车知识图谱的系统架构设计和关键技术。&nbsp;</p><p><img src=\"https://static.roncoo.com/roncoo/course/b434029522054753b62021151cac9ed5.jpg\"></p>'),(1080748086527725569,'2019-01-03 16:49:56','2019-01-03 16:49:56','<p>房价飞涨，年轻的我们刚毕业走出校门，又遇到令人喘不过气的房价！处于尴尬时期的我们，只能望楼兴叹，但是除此之外我们还可以房价分析！利用科学的技术手段，洞察房价的趋势！我们不买房，不炒房，但可以做到心中有个底！</p><p>这份课程中会使用到Python3来实现。包括用Python中的request库发起网络请求，使用Python库Beautifulsoup实现网页的解析，使用Python库Pandas实现数据的处理，例如数据的拆分，补全，格式化等操作。使用Python机器学习库scikit-learn对爬取的房价数据进行预测。通过本课程的学习，你可以掌握request库，python中的数据处理库Pandas及Python中的机器学习库scikit-learn，助你技术生涯不断进步和突破。</p><p>如果对Python、大数据感兴趣的同学可以观看由我录制的</p><p><br></p><p><a href=\"http://www.roncoo.com/course/view/b121c3ee00414b949daebd0b37bc5094\">PySpark 大数据处理及机器学习Spark2.3</a></p><p><a href=\"http://www.roncoo.com/course/view/6a3c0a0318c746a4a3d555cad63becfe\">http://www.roncoo.com/course/view/6a3c0a0318c746a4a3d555cad63becfe</a></p><p><br></p><p><a href=\"http://www.roncoo.com/course/view/fc83f7e91d0040f9906e1b0ccea10b0d\">用Python实现自己的分布式区块链</a></p><p><a>http://www.roncoo.com/course/view/fc83f7e91d0040f9906e1b0ccea10b0d</a></p>'),(1080748800733810689,'2019-01-03 16:52:46','2019-01-03 16:52:46','<p>汪文君：Google Guava深入浅出&nbsp; 观看地址：<a href=\"http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c\">http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c</a></p><p><br></p><p>EasyMock 以及 Mockito 都因为可以极大地简化单元测试的书写过程而被许多人应用在自己的工作中，但是这 2 种 Mock 工具都不可以实现对静态函数、构造函数、私有函数、Final 函数以及系统函数的模拟，但是这些方法往往是我们在大型系统中需要的功能。PowerMock 是在 EasyMock 以及 Mockito 基础上的扩展，通过定制类加载器等技术，PowerMock 实现了之前提到的所有模拟功能，使其成为大型系统上单元测试中的必备工具。</p><h2>单元测试模拟框架的功能及其实现简介</h2><p>单元测试在软件开发过程中的重要性不言而喻，特别是在测试驱动开发的开发模式越来越流行的前提下，单元测试更成为了软件开发过程中不可或缺的部分。于是相应的，各种单元测试技术也应运而生。本文要介绍的 PowerMock 以及 Mockito 都是简化单元测试书写过程的工具。</p><p>Mockito 是一个针对 Java 的单元测试模拟框架，它与 EasyMock 和 jMock 很相似，都是为了简化单元测试过程中测试上下文 ( 或者称之为测试驱动函数以及桩函数 ) 的搭建而开发的工具。在有这些模拟框架之前，为了编写某一个函数的单元测试，程序员必须进行十分繁琐的初始化工作，以保证被测试函数中使用到的环境变量以及其他模块的接口能返回预期的值，有些时候为了单元测试的可行性，甚至需要牺牲被测代码本身的结构。单元测试模拟框架则极大的简化了单元测试的编写过程：在被测试代码需要调用某些接口的时候，直接模拟一个假的接口，并任意指定该接口的行为。这样就可以大大的提高单元测试的效率以及单元测试代码的可读性。</p><p>相对于 EasyMock 和 jMock，Mockito 的优点是通过在执行后校验哪些函数已经被调用，消除了对期望行为（expectations）的需要。其它的 mocking 库需要在执行前记录期望行为（expectations），而这导致了丑陋的初始化代码。</p><p>但是，Mockito 也并不是完美的，它不提供对静态方法、构造方法、私有方法以及 Final 方法的模拟支持。而程序员时常都会发现自己有对以上这些方法的模拟需求，特别是当一个已有的软件系统摆在面前时。幸好 , 还有 PowerMock。</p><p>PowerMock 也是一个单元测试模拟框架，它是在其它单元测试模拟框架的基础上做出的扩展。通过提供定制的类加载器以及一些字节码篡改技巧的应用，PowerMock 现了对静态方法、构造方法、私有方法以及 Final 方法的模拟支持，对静态初始化过程的移除等强大的功能。因为 PowerMock 在扩展功能时完全采用和被扩展的框架相同的 API, 熟悉 PowerMock 所支持的模拟框架的开发者会发现 PowerMock 非常容易上手。PowerMock 的目的就是在当前已经被大家所熟悉的接口上通过添加极少的方法和注释来实现额外的功能，目前，PowerMock 仅支持 EasyMock 和 Mockito。</p>'),(1080749913470078978,'2019-01-03 16:57:11','2019-01-03 16:57:11','<p>汪文君：Google Guava深入浅出&nbsp; 观看地址：</p><p><a href=\"http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c\">http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c</a></p><div><br></div><p></p><p>Concodion是一个非常好的功能测试，BDD测试框架，可以将开发人员从烦躁的测试文档编写中解脱出来，所谓测试即文档，完成正确的测试就能帮你生成正确的文档</p><p>他的官方网站是：http://concordion.org/</p><p>课程将包含如下内容：</p><p>1. Concordion Introducing</p><p>2. Concordion environment setup</p><p>3. Concordion quick start</p><p>4. Concordion Command</p><p>5. Concordion Assert</p><p>6. Concordion Execute</p><p>7. Concordion tables</p><p>8. Concordion return Value</p><p>9. Concordion return MultiValueResult</p>'),(1080750873948917762,'2019-01-03 17:01:00','2019-01-03 17:01:00','<p>首先您需要部署好一套监控系统（当然我们也支持最简单的单独一个脚本就能实现电话告警）&nbsp;<br>然后在<a href=\"http://www.jkgapi.com/\">http://www.jkgapi.com</a>&nbsp;<br><br>注册成为会员 就这么简单看下面步骤就能完成最主流的zabbix的监控对接<br><br>1)在监控狗API用户中心获取token 设置接收电话以及告警策略<br><br>2)配置zabbix，新增使用电话告警发送告警信息配置。（需要去监控狗API官网下载一个脚本 具体实现过程视频就讲到<br><br>3)选择监控trigger，配置其action为使用电话告警发送信息。<br><br>4)触发trigger，电话 接收告警！<br><br>备注：其实整个过程跟 设置邮件报警大同小异&nbsp;&nbsp;<br></p>'),(1080751684951150593,'2019-01-03 17:04:14','2019-01-03 17:04:14','<p><a href=\"http://www.roncoo.com/article/detail/127886\">Dubbo</a>&nbsp;（<a href=\"https://github.com/alibaba/dubbo\">https://github.com/alibaba/dubbo</a>）是阿里巴巴开源的分布式服务化治理框架（<a href=\"http://www.roncoo.com/course/view/cc8fbd6749f94f2fa015641ef96b9460\">微服务框架</a>），久经阿里巴巴电商平台的大规模复杂业务的高并发考验，到目前为止Dubbo仍然是开源界中体系最完善的服务化治理框架，因此Dubbo被国内大量的的互联网公司和专统企业使用，国内使用Dubbo的企业有：阿里巴巴、京东、当当、携程、去哪儿、搜狐、南方航空、中软国际、软通动力、各大电信运营商等</p><p><img alt=\"\" src=\"http://static.roncoo.com/lecturer/22bf8b231f524890a3e41ae9343f4030.jpg\">&nbsp;<img alt=\"\" src=\"http://static.roncoo.com/lecturer/9a99e300241248eb977a8b5dab816bf4.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/1c940a230a3e4582b2dc32ed09eccfb9.gif\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/8b04eaa57d4140b18fb92782aae30b2f.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/68eede73b2dc40cd9db7c082b8f5f1ad.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/86ae72864d8741a1a8dae86dd257f3dc.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/584e09b056174e8d849673cfe0bade63.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/77cda0a7e8c24f428d680e89721dc646.jpg\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/3073911c25bf499ba472be15c35c2953.jpg\"></p><p><br></p><p>京东、当当、去哪儿等企业还组建了自己的中间件团队按自己的业务需求对Dubbo进行框架定制，目前当当网已开源了自己的Dubbo定制版Dubbox ：<a href=\"http://www.oschina.net/p/dubbox\">http://www.oschina.net/p/dubbox</a></p><p>当当对Dubbo的评价：<strong>Dubbo是一个被国内很多互联网公司广泛使用的开源分布式服务框架，即使从国际视野来看应该也是一个非常全面的SOA基础框架。</strong>作为一个重要的技术研究课题，在当当网我们根据自身的需求，为Dubbo实现了一些新的功能，并将其命名为Dubbox（即Dubbo eXtensions）。</p><p><br></p><p><strong>由此可见Dubbo是大量企业项目实施分布式服务化（微服务）架构的首选！</strong></p><p><strong><br></strong></p><p>点击链接加入群【Dubbo技术交流3群】：<a href=\"https://jq.qq.com/?_wv=1027&amp;k=4A97cI1\">https://jq.qq.com/?_wv=1027&amp;k=4A97cI1</a></p><p><strong><br></strong></p><p><strong>本课程属于</strong><a href=\"http://www.roncoo.com/details.html?cid=85d6008fe77c4199b0cdd2885eaeee53\"><strong>《基于Dubbo的分布式系统架构实战》</strong></a><strong>教程的子课程！</strong></p><p><strong>结合项目实战，让大家对Dubbo的学习和应用能快速入门！</strong></p><p><br></p><p><img alt=\"\" src=\"http://static.roncoo.com/lecturer/f08be4b96e064808b83e5e5129685efa.jpg\"></p><p><img alt=\"\" src=\"http://static.roncoo.com/lecturer/28b46ca3950a493181a0b2799baca214.jpg\"></p>'),(1080752794281644033,'2019-01-03 17:08:38','2019-01-03 17:08:38','<p><a href=\"http://www.roncoo.com/article/detail/124661\">Spring</a>&nbsp;也表示是一个开源框架，是为了解决企业应用程序开发复杂性由Rod Johnson创建的。框架的主要优势之一就是其分层架构，分层架构允许您选择使用哪一个组件，同时为 J2EE 应用程序开发提供集成的框架。Spring的用途不仅限于服务器端的开发。从简单性、可测试性和松耦合的角度而言，任何<a href=\"http://www.roncoo.com/article/detail/128365\">Java</a>应用都可以从Spring中受益。&nbsp;&nbsp;<br></p>'),(1080753909626769409,'2019-01-03 17:13:04','2019-01-03 17:13:04','<p><a href=\"http://www.roncoo.com/course/view/c99516ea604d4053908c1768d6deee3d\">Spring Boot</a>是由Pivotal团队提供的全新框架，其设计目的是用来简化新<a href=\"http://www.roncoo.com/course/view/ec26aa06aa8d4ff6b75ef5ee7b67d06d\">Spring</a>应用的初始搭建以及开发过程。该框架使用了特定的方式来进行配置，从而使开发人员不再需要定义样板化的配置。通过这种方式，Boot致力于在蓬勃发展的快速应用开发领域（rapid application development）成为领导者。</p><p><br></p><p>本课程属于Spring Boot教程全集里面的一部分，最佳入门教程！</p><p><br></p><p>教程由浅入深，一步一步学习Spring Boot，最后学到的不单单是基础！</p><p><br></p><p><br></p><p>注：本课程属于Spring Boot教程全集里面的一部分！</p><p><br></p><p>Spring Boot 教程全集：<a href=\"http://www.roncoo.com/course/view/c99516ea604d4053908c1768d6deee3d\">http://www.roncoo.com/course/view/c99516ea604d4053908c1768d6deee3d</a></p>'),(1080755660404756482,'2019-01-03 17:20:01','2019-01-03 17:20:01','<p>2017年微信小程序课程全新上线，全网首家小程序运营推广教学！</p><p><br></p><p>小程序到底是什么？在风口下为什么大家都选择小程序？小程序的发展前景怎么样？小程序比起APP和公众号优势在哪里？没接触过代码怎么做出一个精美的小程序？社区、电商平台怎么搭建？ 13年前的淘宝，7年前的微博，4年前的微信公众号。风口来临时你是否抓住机会？2017年小程序来势汹汹，站在未来3年各行业的千亿级风口处，各方暗潮涌动，你制作小程序了吗？</p><p><br></p><p>这套课程，就是为不懂编程代码、但又希望能亲自开发微信小程序的学员们量身打造的。<strong>设计、制作、上传、运营、推广……</strong>所有小程序知识要点分7大章节全面梳理，专业讲师细致讲解，丰富案例深入剖析，让学员无需编程基础也可以轻松上手小程序！</p><p><br></p><p><strong>温馨提示：本视频内容使用组件拖拽式，零代码生成微信小程序，</strong><strong>并非编程开发教学视频。</strong></p><p><strong><br></strong></p><p><strong>如有疑问请联系学院客服。</strong></p>'),(1080756535550480385,'2019-01-03 17:23:30','2019-01-03 17:23:30','<p>项目地址：</p><p><a href=\"http://git.oschina.net/roncoocom/roncoo-adminlte-springmvc\">龙果开源-后台管理系统</a>&nbsp;<a href=\"http://git.oschina.net/roncoocom/roncoo-adminlte-springmvc\">http://git.oschina.net/roncoocom/roncoo-adminlte-springmvc</a></p><p><strong>技术交流群：546588570</strong></p><p><br></p><p>项目介绍</p><p>1. 框架完全是基于Spring IO platform，绝对拥抱Spring，版本的依赖关系再不用担心。&nbsp;<br>2. 前端基于&nbsp;<a href=\"https://github.com/roncoo/roncoo-adminLTE/\">龙果开源-后台管理UI Roncoo AdminLTE</a>，高端大气上档次。&nbsp;<br>3. 实现了邮件发送功能，邮件增删改查功能&nbsp;<br>4. 代码自动生成工具使用了&nbsp;<a href=\"https://github.com/roncoo/roncoo-mybatis-generator\">龙果开源-Mybatis代码自动生成工具</a>&nbsp;<br><br>项目愿景&nbsp;<br>根据实际项目的需求，实现一个适合由单应用扩展到多应用的架构。在项目的最初设定就是一个适合多模块扩展的架构，最初是单应用架构，以包区分模块。当项目需求增大的时候，会先实现多机部署，接下来进行项目拆分，进行集群部署。每个阶段都会整合一个架构，提供对应的解决方案。&nbsp;<br><br>技术框架&nbsp;<br>* 核心框架：Spring Framework&nbsp;<br>* 视图框架：Spring MVC&nbsp;<br>* 模板引擎：Freemark&nbsp;<br>* 持久层框架：Mybatis&nbsp;<br>* 数据库连接池：Alibaba Druid&nbsp;<br></p><p><br></p><p>目前最新集成功能：</p><p>使用shiro集成权限模块</p><p>集成Spring Session，解决了单节点问题</p><p><br></p><p>下步计划&nbsp;<br>继续优化，持续更新，增加各种demo实例&nbsp;<br>创建maven原型，实现快捷搭建项目架构&nbsp;&nbsp;&nbsp;<br></p>'),(1080757024128176129,'2019-01-03 17:25:27','2019-01-03 17:25:27','<p>1 、讲解web常用的漏洞有那些，攻击者怎么样获取到漏洞，应该怎样进行防御&nbsp;<br><br>2 、解析防护脚本&nbsp;<br><br>3 、实战进行 扫描防护 &nbsp;sql注入防护&nbsp;&nbsp;&nbsp;<br></p>'),(1080757537691340802,'2019-01-03 17:27:29','2019-01-03 17:27:29','<p>全网独家第一套深入浅出讲解Hystrix高可用技术框架的项目实战视频课程！</p><p><br></p><p><br></p><p>高可用相关的技术以及架构，对于大型复杂的分布式系统，是非常重要的。而<a href=\"http://www.roncoo.com/course/view/85d6008fe77c4199b0cdd2885eaeee53\">高可用架构</a>中，非常重要的一个环节，就是如何将分布式系统中的各个服务打造成高可用的服务，从而足以应对分布式系统环境中的各种各样的问题，比如服务间的调用超时，或者服务间的调用失败，避免整个分布式系统被某个服务的故障给拖垮。而要解决这些棘手的分布式系统可用性问题，就涉及到了高可用分布式系统中的很多重要的技术，包括资源隔离，限流与过载保护，熔断，优雅降级，容错，超时控制，监控运维，等等。而行业中大部分的朋友，对高可用系统架构以及相关的技术并没有太多的了解，这也成为了你设计一个复杂的高可用系统架构，或者面试高阶Java职位时的一个重要阻碍。</p><p><br></p><p><br></p><p>在行业中，实现高可用架构的非常流行和重要的框架就是Hystrix，是国外知名的视频网站Netflix所开源的。Hystrix能够完美的解决分布式系统架构中，打造高可用服务面临的一系列技术难题，包括资源隔离，限流与过载保护，熔断，优雅降级，容错，超时控制，监控运维等等。</p><p><br></p><p><br></p><p>本课程是一套基于Hystrix技术的高可用架构的项目实战课程，用每日上亿流量的大型电商网站中的商品详情页系统中的缓存服务，作为项目实战。基于Hystrix高可用技术框架，讲解了在缓存服务所处的复杂分布式环境中，如何将缓存服务本身设计成一个高可用的服务。进而让大家学习到，在分布式系统中如何将每个服务设计成一个高可用的服务，以及其中涉及的一系列通用的技术架构以及解决方案。在学习完本套课程之后，相信各位同学能够对Hystrix高可用技术掌握到一定的程度，进而掌握高可用的分布式系统架构设计的核心技术。进而形成自己的职场技术竞争力，为自己增加技术亮点，为自己找到职场发展中一个更好的职位和机会提供帮助。同时也能帮助自己在工作中，开发实际的分布式系统架构或项目时，将每个服务都打造成真正高可用的服务，让你负责的项目更加的稳定，进而保障公司的利益。</p><p><br></p><p>精品课程推荐</p><p><br></p><p><br></p><p><a href=\"http://www.roncoo.com/course/view/af7d501667fe4a19a60e9467e6d2b3d9\">《亿级流量电商详情页系统的大型高并发与高可用缓存架构实战》</a></p><p>本课程属于全网独家的大型Java高端架构项目实战课程，整套课程分为123讲，纯项目实战驱动，讲解最顶尖的缓存架构。</p><p><br></p><p>对于高并发的场景来说，比如电商类，o2o，门户，等等互联网类的项目，缓存技术是Java项目中最常见的一种应用技术。然而，行业里很多朋友对缓存技术的了解与掌握，仅仅停留在掌握redis/memcached等缓存技术的基础使用，最多了解一些集群相关的知识，大部分人都可以对缓存技术掌握到这个程度。然而，仅仅对缓存相关的技术掌握到这种程度，无论是对于开发复杂的高并发系统，或者是在往Java高级工程师、Java资深工程师、Java架构师这些高阶的职位发展的过程中，都是完全不够用的。技术成长出现瓶颈，在自己公司的项目中，没有任何高并发与高可用的挑战性项目，自己不知道如何成长，自己也不知道如何让自己的技术更上一层楼。这成为了很多同学的职业发展的困惑。</p><h3><br></h3><h3>视频观看地址：<a href=\"http://www.roncoo.com/course/view/af7d501667fe4a19a60e9467e6d2b3d9\">http://www.roncoo.com/course/view/af7d501667fe4a19a60e9467e6d2b3d9</a></h3>'),(1080758482454122498,'2019-01-03 17:31:14','2019-01-03 17:31:14','<p>龙果学院开源项目:目前完成的功能：基于cobbler的二次开发，方便不会的机房和运维人员快速装机，&nbsp;<br></p><p>CMDB的快速添加，CMDB机柜平台，机柜和故障告警展示，,zabbix 的模板管理，把CMDB同步到zabbix 数据库，然后批量绑定模板，删除维护周期，zabbix调用图片运维平台生成图形；后期更新基于saltstack 构建自动化扩容平台生态。</p><p><br></p><p><br></p><p>龙果运维平台开源地址：<a href=\"https://github.com/roncoo/roncoo-cmdb\">https://github.com/roncoo/roncoo-cmdb</a></p><p></p><p>Zabbix3.0入门到生产环境应用实战：</p><p><a href=\"http://www.roncoo.com/course/view/fb3050a5b34b42f39ccad83ebebc89c1\">http://www.roncoo.com/course/view/fb3050a5b34b42f39ccad83ebebc89c1</a></p>'),(1080759102695215105,'2019-01-03 17:33:42','2019-01-03 17:33:42','<p>龙果支付系统是国内首款开源的互联网支付系统，其核心目标是汇聚所有主流支付渠道，打造一款轻量、便捷、易用，且集支付、资金对账、资金清结算于一体的支付系统，满足互联网业务系统的收款和业务资金管理需求。&nbsp;<br><br>主要特点：&nbsp;<br>具备支付系统通用的支付、对账、清算、资金账户管理、支付订单管理等功能；&nbsp;<br>目前已接通“支付宝即时到账”和“微信扫码支付”通道；&nbsp;<br>支持直连和间连两种支付模式，任君选择；&nbsp;<br>通过支付网关，业务系统可以轻松实现统一支付接入；&nbsp;<br>搭配运营后台，支付数据的监控和管理可以兼得；&nbsp;<br>配套完善的系统使用文档，可轻松嵌入任何需要支付的场景；&nbsp;<br></p><p>龙果支付系统产品技术团队是一支拥有多年第三方支付系统设计研发经验的团队，会为龙果支付系统持续提供商业级的免费开源技术服务支持。</p><p><br></p><p>支付业务流程中所遇到的分布式事务问题可以参考：<a href=\"http://www.roncoo.com/article/detail/124243\">《微服务架构的分布式事务解决方案》</a></p><p><img alt=\"\" src=\"http://img.roncoo.com/education/course/2016/09_01/img/ba76a876e3ec4937bac9a66e6b710bb8.jpg\"></p><p>开源中国地址：<a href=\"http://www.oschina.net/p/roncoo-pay\">http://www.oschina.net/p/roncoo-pay</a></p><p><a href=\"http://git.oschina.net/roncoocom/roncoo-pay\">http://git.oschina.net/roncoocom/roncoo-pay</a></p><p>GitHub地址：<a href=\"https://github.com/roncoo/roncoo-pay\">https://github.com/roncoo/roncoo-pay</a></p><p>在线支付演示：<a href=\"http://demo.pay.roncoo.com/\">http://demo.pay.roncoo.com</a><br>后台运营管理：<a href=\"http://demo.pay.roncoo.com/boss\">http://demo.pay.roncoo.com/boss</a><br>系统操作说明：<a href=\"http://www.roncoo.com/article/detail/124375\">http://www.roncoo.com/article/detail/124375</a><br>系统详细介绍：<a href=\"http://www.roncoo.com/article/detail/124373\">http://www.roncoo.com/article/detail/124373</a><br>系统搭建部署：<a href=\"http://www.roncoo.com/article/detail/124511\">http://www.roncoo.com/article/detail/124511</a><br>官方QQ群：597865269 欢迎加入，共同探讨互联网金融支付行业业务、技术等</p><p>=============================================================</p><p>注：龙果支付系统也有商业版，商业版龙果支付系统是一套支付金融行业通用的支付系统，拥有独立的账户体系、用户体系、支付交易体系、代理分润体系、对账清结算体系。可以作为独立的运营的支付平台，接入各种银行通道或第三方支付通道，为下游商户或平台提供一站式支付业务应用解决方案；也可为电商、金融、保险、教育、医疗、交通等行业提供统一的支付业务接入和账户管理，实现业务平台统一的收款、结算、财务资金管理等功能。</p><p><strong>项目合作</strong></p><p><strong>联系人：吴老师（吴水成）<br>QQ：840765167&nbsp;<br></strong></p><p><strong>微信：wushuicheng</strong></p><p><strong>邮箱：wusc@roncoo.com</strong></p>'),(1080759557651369985,'2019-01-03 17:35:31','2019-01-03 17:35:31','<p>spark企业经典案例之手机app流量统计，本课程是基于企业真实项目案例中的一个模块为背景讲解，此业务涉及spark统计，然后通过phpweb进行读取数据，最终通过手机端展示，根据公司案例抽取出来的模板，通过此案例把整个流程跑通，让你知道企业流程。&nbsp;&nbsp;<br></p>'),(1085453180192059393,'2019-01-16 16:26:18','2019-01-16 16:26:18','<p>该课程仅限于测试下单&nbsp;&nbsp;<br></p>');

#
# Structure for table "course_introduce_audit"
#

CREATE TABLE `course_introduce_audit` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `introduce` longtext NOT NULL COMMENT '课程简介',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程介绍信息-审核';

#
# Data for table "course_introduce_audit"
#

INSERT INTO `course_introduce_audit` VALUES (1080731530578038786,'2019-01-03 15:44:08','2019-01-03 15:44:08','<p>本课程主要讲解使用微信小程序第三方制作平台零基础制作微信小程序，适合不懂编程的代码小白，简单易懂，轻松上手。&nbsp;&nbsp;<br></p>'),(1080740234497036290,'2019-01-03 16:18:44','2019-01-03 16:18:44','<p>本课程将借助第三方小程序制作工具即速应用，带你快速制作小程序。&nbsp;&nbsp;<br></p>'),(1080743050775040002,'2019-01-03 16:29:55','2019-01-03 16:29:55','<p>餐饮、电商、健身、教育等行业拥抱 小程序+&nbsp;&nbsp;<br></p>'),(1080745129442742273,'2019-01-03 16:38:11','2019-01-03 16:38:11','<p><b>github:</b>https://github.com/binlian/binglian-blog</p><p><br></p><p><b>适合人群</b></p><p>如果你是在校大学生，想积累实战项目经验，或想完成一份让人刮目相看的毕业设计，那这门课非常适合你，本课程也特别适合在中小型互联网企业工作面试中提到项目经验</p><p>整合多个技术点，代码手把手教学，一步一步实现博客的各个功能，实现完整前后端的企业级Java项目。</p><p><b>开发环境&nbsp;</b><br></p><p>核心框架:Spring freemarker+Springboot<br></p><p>JDK：jdk1.8</p><p>数据库：MySQL</p><p>前端框架：Bootstrap + Jquery+ajax&nbsp;<br></p><p>IDE:STS、eclipse、Idea均可</p><p>开发环境：win、mac、linux均可</p><p>Maven：3</p>'),(1080747476319408130,'2019-01-03 16:47:30','2019-01-03 16:47:30','<p>汽车知识图谱系统架构设计专题直播+答疑录像文件，本课程是《知识i图谱完整项目实战》课程中的一个小节。重点介绍汽车知识图谱的系统架构设计和关键技术。&nbsp;</p><p><img src=\"https://static.roncoo.com/roncoo/course/b434029522054753b62021151cac9ed5.jpg\"></p>'),(1080748086527725569,'2019-01-03 16:49:56','2019-01-03 16:49:56','<p>房价飞涨，年轻的我们刚毕业走出校门，又遇到令人喘不过气的房价！处于尴尬时期的我们，只能望楼兴叹，但是除此之外我们还可以房价分析！利用科学的技术手段，洞察房价的趋势！我们不买房，不炒房，但可以做到心中有个底！</p><p>这份课程中会使用到Python3来实现。包括用Python中的request库发起网络请求，使用Python库Beautifulsoup实现网页的解析，使用Python库Pandas实现数据的处理，例如数据的拆分，补全，格式化等操作。使用Python机器学习库scikit-learn对爬取的房价数据进行预测。通过本课程的学习，你可以掌握request库，python中的数据处理库Pandas及Python中的机器学习库scikit-learn，助你技术生涯不断进步和突破。</p><p>如果对Python、大数据感兴趣的同学可以观看由我录制的</p><p><br></p><p><a href=\"http://www.roncoo.com/course/view/b121c3ee00414b949daebd0b37bc5094\">PySpark 大数据处理及机器学习Spark2.3</a></p><p><a href=\"http://www.roncoo.com/course/view/6a3c0a0318c746a4a3d555cad63becfe\">http://www.roncoo.com/course/view/6a3c0a0318c746a4a3d555cad63becfe</a></p><p><br></p><p><a href=\"http://www.roncoo.com/course/view/fc83f7e91d0040f9906e1b0ccea10b0d\">用Python实现自己的分布式区块链</a></p><p><a>http://www.roncoo.com/course/view/fc83f7e91d0040f9906e1b0ccea10b0d</a></p>'),(1080748800733810689,'2019-01-03 16:52:46','2019-01-03 16:52:46','<p>汪文君：Google Guava深入浅出&nbsp; 观看地址：<a href=\"http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c\">http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c</a></p><p><br></p><p>EasyMock 以及 Mockito 都因为可以极大地简化单元测试的书写过程而被许多人应用在自己的工作中，但是这 2 种 Mock 工具都不可以实现对静态函数、构造函数、私有函数、Final 函数以及系统函数的模拟，但是这些方法往往是我们在大型系统中需要的功能。PowerMock 是在 EasyMock 以及 Mockito 基础上的扩展，通过定制类加载器等技术，PowerMock 实现了之前提到的所有模拟功能，使其成为大型系统上单元测试中的必备工具。</p><h2>单元测试模拟框架的功能及其实现简介</h2><p>单元测试在软件开发过程中的重要性不言而喻，特别是在测试驱动开发的开发模式越来越流行的前提下，单元测试更成为了软件开发过程中不可或缺的部分。于是相应的，各种单元测试技术也应运而生。本文要介绍的 PowerMock 以及 Mockito 都是简化单元测试书写过程的工具。</p><p>Mockito 是一个针对 Java 的单元测试模拟框架，它与 EasyMock 和 jMock 很相似，都是为了简化单元测试过程中测试上下文 ( 或者称之为测试驱动函数以及桩函数 ) 的搭建而开发的工具。在有这些模拟框架之前，为了编写某一个函数的单元测试，程序员必须进行十分繁琐的初始化工作，以保证被测试函数中使用到的环境变量以及其他模块的接口能返回预期的值，有些时候为了单元测试的可行性，甚至需要牺牲被测代码本身的结构。单元测试模拟框架则极大的简化了单元测试的编写过程：在被测试代码需要调用某些接口的时候，直接模拟一个假的接口，并任意指定该接口的行为。这样就可以大大的提高单元测试的效率以及单元测试代码的可读性。</p><p>相对于 EasyMock 和 jMock，Mockito 的优点是通过在执行后校验哪些函数已经被调用，消除了对期望行为（expectations）的需要。其它的 mocking 库需要在执行前记录期望行为（expectations），而这导致了丑陋的初始化代码。</p><p>但是，Mockito 也并不是完美的，它不提供对静态方法、构造方法、私有方法以及 Final 方法的模拟支持。而程序员时常都会发现自己有对以上这些方法的模拟需求，特别是当一个已有的软件系统摆在面前时。幸好 , 还有 PowerMock。</p><p>PowerMock 也是一个单元测试模拟框架，它是在其它单元测试模拟框架的基础上做出的扩展。通过提供定制的类加载器以及一些字节码篡改技巧的应用，PowerMock 现了对静态方法、构造方法、私有方法以及 Final 方法的模拟支持，对静态初始化过程的移除等强大的功能。因为 PowerMock 在扩展功能时完全采用和被扩展的框架相同的 API, 熟悉 PowerMock 所支持的模拟框架的开发者会发现 PowerMock 非常容易上手。PowerMock 的目的就是在当前已经被大家所熟悉的接口上通过添加极少的方法和注释来实现额外的功能，目前，PowerMock 仅支持 EasyMock 和 Mockito。</p>'),(1080749913470078978,'2019-01-03 16:57:11','2019-01-03 16:57:11','<p>汪文君：Google Guava深入浅出&nbsp; 观看地址：</p><p><a href=\"http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c\">http://www.roncoo.com/course/view/894fec2b0fdd441ea725d4c4b2d24f0c</a></p><div><br></div><p></p><p>Concodion是一个非常好的功能测试，BDD测试框架，可以将开发人员从烦躁的测试文档编写中解脱出来，所谓测试即文档，完成正确的测试就能帮你生成正确的文档</p><p>他的官方网站是：http://concordion.org/</p><p>课程将包含如下内容：</p><p>1. Concordion Introducing</p><p>2. Concordion environment setup</p><p>3. Concordion quick start</p><p>4. Concordion Command</p><p>5. Concordion Assert</p><p>6. Concordion Execute</p><p>7. Concordion tables</p><p>8. Concordion return Value</p><p>9. Concordion return MultiValueResult</p>'),(1080750873948917762,'2019-01-03 17:01:00','2019-01-03 17:01:00','<p>首先您需要部署好一套监控系统（当然我们也支持最简单的单独一个脚本就能实现电话告警）&nbsp;<br>然后在<a href=\"http://www.jkgapi.com/\">http://www.jkgapi.com</a>&nbsp;<br><br>注册成为会员 就这么简单看下面步骤就能完成最主流的zabbix的监控对接<br><br>1)在监控狗API用户中心获取token 设置接收电话以及告警策略<br><br>2)配置zabbix，新增使用电话告警发送告警信息配置。（需要去监控狗API官网下载一个脚本 具体实现过程视频就讲到<br><br>3)选择监控trigger，配置其action为使用电话告警发送信息。<br><br>4)触发trigger，电话 接收告警！<br><br>备注：其实整个过程跟 设置邮件报警大同小异&nbsp;&nbsp;<br></p>'),(1080751684951150593,'2019-01-03 17:04:14','2019-01-03 17:04:14','<p><a href=\"http://www.roncoo.com/article/detail/127886\">Dubbo</a>&nbsp;（<a href=\"https://github.com/alibaba/dubbo\">https://github.com/alibaba/dubbo</a>）是阿里巴巴开源的分布式服务化治理框架（<a href=\"http://www.roncoo.com/course/view/cc8fbd6749f94f2fa015641ef96b9460\">微服务框架</a>），久经阿里巴巴电商平台的大规模复杂业务的高并发考验，到目前为止Dubbo仍然是开源界中体系最完善的服务化治理框架，因此Dubbo被国内大量的的互联网公司和专统企业使用，国内使用Dubbo的企业有：阿里巴巴、京东、当当、携程、去哪儿、搜狐、南方航空、中软国际、软通动力、各大电信运营商等</p><p><img alt=\"\" src=\"http://static.roncoo.com/lecturer/22bf8b231f524890a3e41ae9343f4030.jpg\">&nbsp;<img alt=\"\" src=\"http://static.roncoo.com/lecturer/9a99e300241248eb977a8b5dab816bf4.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/1c940a230a3e4582b2dc32ed09eccfb9.gif\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/8b04eaa57d4140b18fb92782aae30b2f.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/68eede73b2dc40cd9db7c082b8f5f1ad.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/86ae72864d8741a1a8dae86dd257f3dc.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/584e09b056174e8d849673cfe0bade63.png\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/77cda0a7e8c24f428d680e89721dc646.jpg\"><img alt=\"\" src=\"http://static.roncoo.com/lecturer/3073911c25bf499ba472be15c35c2953.jpg\"></p><p><br></p><p>京东、当当、去哪儿等企业还组建了自己的中间件团队按自己的业务需求对Dubbo进行框架定制，目前当当网已开源了自己的Dubbo定制版Dubbox ：<a href=\"http://www.oschina.net/p/dubbox\">http://www.oschina.net/p/dubbox</a></p><p>当当对Dubbo的评价：<strong>Dubbo是一个被国内很多互联网公司广泛使用的开源分布式服务框架，即使从国际视野来看应该也是一个非常全面的SOA基础框架。</strong>作为一个重要的技术研究课题，在当当网我们根据自身的需求，为Dubbo实现了一些新的功能，并将其命名为Dubbox（即Dubbo eXtensions）。</p><p><br></p><p><strong>由此可见Dubbo是大量企业项目实施分布式服务化（微服务）架构的首选！</strong></p><p><strong><br></strong></p><p>点击链接加入群【Dubbo技术交流3群】：<a href=\"https://jq.qq.com/?_wv=1027&amp;k=4A97cI1\">https://jq.qq.com/?_wv=1027&amp;k=4A97cI1</a></p><p><strong><br></strong></p><p><strong>本课程属于</strong><a href=\"http://www.roncoo.com/details.html?cid=85d6008fe77c4199b0cdd2885eaeee53\"><strong>《基于Dubbo的分布式系统架构实战》</strong></a><strong>教程的子课程！</strong></p><p><strong>结合项目实战，让大家对Dubbo的学习和应用能快速入门！</strong></p><p><br></p><p><img alt=\"\" src=\"http://static.roncoo.com/lecturer/f08be4b96e064808b83e5e5129685efa.jpg\"></p><p><img alt=\"\" src=\"http://static.roncoo.com/lecturer/28b46ca3950a493181a0b2799baca214.jpg\"></p>'),(1080752794281644033,'2019-01-03 17:08:38','2019-01-03 17:08:38','<p><a href=\"http://www.roncoo.com/article/detail/124661\">Spring</a>&nbsp;也表示是一个开源框架，是为了解决企业应用程序开发复杂性由Rod Johnson创建的。框架的主要优势之一就是其分层架构，分层架构允许您选择使用哪一个组件，同时为 J2EE 应用程序开发提供集成的框架。Spring的用途不仅限于服务器端的开发。从简单性、可测试性和松耦合的角度而言，任何<a href=\"http://www.roncoo.com/article/detail/128365\">Java</a>应用都可以从Spring中受益。&nbsp;&nbsp;<br></p>'),(1080753909626769409,'2019-01-03 17:13:04','2019-01-03 17:13:04','<p><a href=\"http://www.roncoo.com/course/view/c99516ea604d4053908c1768d6deee3d\">Spring Boot</a>是由Pivotal团队提供的全新框架，其设计目的是用来简化新<a href=\"http://www.roncoo.com/course/view/ec26aa06aa8d4ff6b75ef5ee7b67d06d\">Spring</a>应用的初始搭建以及开发过程。该框架使用了特定的方式来进行配置，从而使开发人员不再需要定义样板化的配置。通过这种方式，Boot致力于在蓬勃发展的快速应用开发领域（rapid application development）成为领导者。</p><p><br></p><p>本课程属于Spring Boot教程全集里面的一部分，最佳入门教程！</p><p><br></p><p>教程由浅入深，一步一步学习Spring Boot，最后学到的不单单是基础！</p><p><br></p><p><br></p><p>注：本课程属于Spring Boot教程全集里面的一部分！</p><p><br></p><p>Spring Boot 教程全集：<a href=\"http://www.roncoo.com/course/view/c99516ea604d4053908c1768d6deee3d\">http://www.roncoo.com/course/view/c99516ea604d4053908c1768d6deee3d</a></p>'),(1080755660404756482,'2019-01-03 17:20:01','2019-01-03 17:20:01','<p>2017年微信小程序课程全新上线，全网首家小程序运营推广教学！</p><p><br></p><p>小程序到底是什么？在风口下为什么大家都选择小程序？小程序的发展前景怎么样？小程序比起APP和公众号优势在哪里？没接触过代码怎么做出一个精美的小程序？社区、电商平台怎么搭建？ 13年前的淘宝，7年前的微博，4年前的微信公众号。风口来临时你是否抓住机会？2017年小程序来势汹汹，站在未来3年各行业的千亿级风口处，各方暗潮涌动，你制作小程序了吗？</p><p><br></p><p>这套课程，就是为不懂编程代码、但又希望能亲自开发微信小程序的学员们量身打造的。<strong>设计、制作、上传、运营、推广……</strong>所有小程序知识要点分7大章节全面梳理，专业讲师细致讲解，丰富案例深入剖析，让学员无需编程基础也可以轻松上手小程序！</p><p><br></p><p><strong>温馨提示：本视频内容使用组件拖拽式，零代码生成微信小程序，</strong><strong>并非编程开发教学视频。</strong></p><p><strong><br></strong></p><p><strong>如有疑问请联系学院客服。</strong></p>'),(1080756535550480385,'2019-01-03 17:23:30','2019-01-03 17:23:30','<p>项目地址：</p><p><a href=\"http://git.oschina.net/roncoocom/roncoo-adminlte-springmvc\">龙果开源-后台管理系统</a>&nbsp;<a href=\"http://git.oschina.net/roncoocom/roncoo-adminlte-springmvc\">http://git.oschina.net/roncoocom/roncoo-adminlte-springmvc</a></p><p><strong>技术交流群：546588570</strong></p><p><br></p><p>项目介绍</p><p>1. 框架完全是基于Spring IO platform，绝对拥抱Spring，版本的依赖关系再不用担心。&nbsp;<br>2. 前端基于&nbsp;<a href=\"https://github.com/roncoo/roncoo-adminLTE/\">龙果开源-后台管理UI Roncoo AdminLTE</a>，高端大气上档次。&nbsp;<br>3. 实现了邮件发送功能，邮件增删改查功能&nbsp;<br>4. 代码自动生成工具使用了&nbsp;<a href=\"https://github.com/roncoo/roncoo-mybatis-generator\">龙果开源-Mybatis代码自动生成工具</a>&nbsp;<br><br>项目愿景&nbsp;<br>根据实际项目的需求，实现一个适合由单应用扩展到多应用的架构。在项目的最初设定就是一个适合多模块扩展的架构，最初是单应用架构，以包区分模块。当项目需求增大的时候，会先实现多机部署，接下来进行项目拆分，进行集群部署。每个阶段都会整合一个架构，提供对应的解决方案。&nbsp;<br><br>技术框架&nbsp;<br>* 核心框架：Spring Framework&nbsp;<br>* 视图框架：Spring MVC&nbsp;<br>* 模板引擎：Freemark&nbsp;<br>* 持久层框架：Mybatis&nbsp;<br>* 数据库连接池：Alibaba Druid&nbsp;<br></p><p><br></p><p>目前最新集成功能：</p><p>使用shiro集成权限模块</p><p>集成Spring Session，解决了单节点问题</p><p><br></p><p>下步计划&nbsp;<br>继续优化，持续更新，增加各种demo实例&nbsp;<br>创建maven原型，实现快捷搭建项目架构&nbsp;&nbsp;&nbsp;<br></p>'),(1080757024128176129,'2019-01-03 17:25:27','2019-01-03 17:25:27','<p>1 、讲解web常用的漏洞有那些，攻击者怎么样获取到漏洞，应该怎样进行防御&nbsp;<br><br>2 、解析防护脚本&nbsp;<br><br>3 、实战进行 扫描防护 &nbsp;sql注入防护&nbsp;&nbsp;&nbsp;<br></p>'),(1080757537691340802,'2019-01-03 17:27:29','2019-01-03 17:27:29','<p>全网独家第一套深入浅出讲解Hystrix高可用技术框架的项目实战视频课程！</p><p><br></p><p><br></p><p>高可用相关的技术以及架构，对于大型复杂的分布式系统，是非常重要的。而<a href=\"http://www.roncoo.com/course/view/85d6008fe77c4199b0cdd2885eaeee53\">高可用架构</a>中，非常重要的一个环节，就是如何将分布式系统中的各个服务打造成高可用的服务，从而足以应对分布式系统环境中的各种各样的问题，比如服务间的调用超时，或者服务间的调用失败，避免整个分布式系统被某个服务的故障给拖垮。而要解决这些棘手的分布式系统可用性问题，就涉及到了高可用分布式系统中的很多重要的技术，包括资源隔离，限流与过载保护，熔断，优雅降级，容错，超时控制，监控运维，等等。而行业中大部分的朋友，对高可用系统架构以及相关的技术并没有太多的了解，这也成为了你设计一个复杂的高可用系统架构，或者面试高阶Java职位时的一个重要阻碍。</p><p><br></p><p><br></p><p>在行业中，实现高可用架构的非常流行和重要的框架就是Hystrix，是国外知名的视频网站Netflix所开源的。Hystrix能够完美的解决分布式系统架构中，打造高可用服务面临的一系列技术难题，包括资源隔离，限流与过载保护，熔断，优雅降级，容错，超时控制，监控运维等等。</p><p><br></p><p><br></p><p>本课程是一套基于Hystrix技术的高可用架构的项目实战课程，用每日上亿流量的大型电商网站中的商品详情页系统中的缓存服务，作为项目实战。基于Hystrix高可用技术框架，讲解了在缓存服务所处的复杂分布式环境中，如何将缓存服务本身设计成一个高可用的服务。进而让大家学习到，在分布式系统中如何将每个服务设计成一个高可用的服务，以及其中涉及的一系列通用的技术架构以及解决方案。在学习完本套课程之后，相信各位同学能够对Hystrix高可用技术掌握到一定的程度，进而掌握高可用的分布式系统架构设计的核心技术。进而形成自己的职场技术竞争力，为自己增加技术亮点，为自己找到职场发展中一个更好的职位和机会提供帮助。同时也能帮助自己在工作中，开发实际的分布式系统架构或项目时，将每个服务都打造成真正高可用的服务，让你负责的项目更加的稳定，进而保障公司的利益。</p><p><br></p><p>精品课程推荐</p><p><br></p><p><br></p><p><a href=\"http://www.roncoo.com/course/view/af7d501667fe4a19a60e9467e6d2b3d9\">《亿级流量电商详情页系统的大型高并发与高可用缓存架构实战》</a></p><p>本课程属于全网独家的大型Java高端架构项目实战课程，整套课程分为123讲，纯项目实战驱动，讲解最顶尖的缓存架构。</p><p><br></p><p>对于高并发的场景来说，比如电商类，o2o，门户，等等互联网类的项目，缓存技术是Java项目中最常见的一种应用技术。然而，行业里很多朋友对缓存技术的了解与掌握，仅仅停留在掌握redis/memcached等缓存技术的基础使用，最多了解一些集群相关的知识，大部分人都可以对缓存技术掌握到这个程度。然而，仅仅对缓存相关的技术掌握到这种程度，无论是对于开发复杂的高并发系统，或者是在往Java高级工程师、Java资深工程师、Java架构师这些高阶的职位发展的过程中，都是完全不够用的。技术成长出现瓶颈，在自己公司的项目中，没有任何高并发与高可用的挑战性项目，自己不知道如何成长，自己也不知道如何让自己的技术更上一层楼。这成为了很多同学的职业发展的困惑。</p><h3><br></h3><h3>视频观看地址：<a href=\"http://www.roncoo.com/course/view/af7d501667fe4a19a60e9467e6d2b3d9\">http://www.roncoo.com/course/view/af7d501667fe4a19a60e9467e6d2b3d9</a></h3>'),(1080758482454122498,'2019-01-03 17:31:14','2019-01-03 17:31:14','<p>龙果学院开源项目:目前完成的功能：基于cobbler的二次开发，方便不会的机房和运维人员快速装机，&nbsp;<br></p><p>CMDB的快速添加，CMDB机柜平台，机柜和故障告警展示，,zabbix 的模板管理，把CMDB同步到zabbix 数据库，然后批量绑定模板，删除维护周期，zabbix调用图片运维平台生成图形；后期更新基于saltstack 构建自动化扩容平台生态。</p><p><br></p><p><br></p><p>龙果运维平台开源地址：<a href=\"https://github.com/roncoo/roncoo-cmdb\">https://github.com/roncoo/roncoo-cmdb</a></p><p></p><p>Zabbix3.0入门到生产环境应用实战：</p><p><a href=\"http://www.roncoo.com/course/view/fb3050a5b34b42f39ccad83ebebc89c1\">http://www.roncoo.com/course/view/fb3050a5b34b42f39ccad83ebebc89c1</a></p>'),(1080759102695215105,'2019-01-03 17:33:42','2019-01-03 17:33:42','<p>龙果支付系统是国内首款开源的互联网支付系统，其核心目标是汇聚所有主流支付渠道，打造一款轻量、便捷、易用，且集支付、资金对账、资金清结算于一体的支付系统，满足互联网业务系统的收款和业务资金管理需求。&nbsp;<br><br>主要特点：&nbsp;<br>具备支付系统通用的支付、对账、清算、资金账户管理、支付订单管理等功能；&nbsp;<br>目前已接通“支付宝即时到账”和“微信扫码支付”通道；&nbsp;<br>支持直连和间连两种支付模式，任君选择；&nbsp;<br>通过支付网关，业务系统可以轻松实现统一支付接入；&nbsp;<br>搭配运营后台，支付数据的监控和管理可以兼得；&nbsp;<br>配套完善的系统使用文档，可轻松嵌入任何需要支付的场景；&nbsp;<br></p><p>龙果支付系统产品技术团队是一支拥有多年第三方支付系统设计研发经验的团队，会为龙果支付系统持续提供商业级的免费开源技术服务支持。</p><p><br></p><p>支付业务流程中所遇到的分布式事务问题可以参考：<a href=\"http://www.roncoo.com/article/detail/124243\">《微服务架构的分布式事务解决方案》</a></p><p><img alt=\"\" src=\"http://img.roncoo.com/education/course/2016/09_01/img/ba76a876e3ec4937bac9a66e6b710bb8.jpg\"></p><p>开源中国地址：<a href=\"http://www.oschina.net/p/roncoo-pay\">http://www.oschina.net/p/roncoo-pay</a></p><p><a href=\"http://git.oschina.net/roncoocom/roncoo-pay\">http://git.oschina.net/roncoocom/roncoo-pay</a></p><p>GitHub地址：<a href=\"https://github.com/roncoo/roncoo-pay\">https://github.com/roncoo/roncoo-pay</a></p><p>在线支付演示：<a href=\"http://demo.pay.roncoo.com/\">http://demo.pay.roncoo.com</a><br>后台运营管理：<a href=\"http://demo.pay.roncoo.com/boss\">http://demo.pay.roncoo.com/boss</a><br>系统操作说明：<a href=\"http://www.roncoo.com/article/detail/124375\">http://www.roncoo.com/article/detail/124375</a><br>系统详细介绍：<a href=\"http://www.roncoo.com/article/detail/124373\">http://www.roncoo.com/article/detail/124373</a><br>系统搭建部署：<a href=\"http://www.roncoo.com/article/detail/124511\">http://www.roncoo.com/article/detail/124511</a><br>官方QQ群：597865269 欢迎加入，共同探讨互联网金融支付行业业务、技术等</p><p>=============================================================</p><p>注：龙果支付系统也有商业版，商业版龙果支付系统是一套支付金融行业通用的支付系统，拥有独立的账户体系、用户体系、支付交易体系、代理分润体系、对账清结算体系。可以作为独立的运营的支付平台，接入各种银行通道或第三方支付通道，为下游商户或平台提供一站式支付业务应用解决方案；也可为电商、金融、保险、教育、医疗、交通等行业提供统一的支付业务接入和账户管理，实现业务平台统一的收款、结算、财务资金管理等功能。</p><p><strong>项目合作</strong></p><p><strong>联系人：吴老师（吴水成）<br>QQ：840765167&nbsp;<br></strong></p><p><strong>微信：wushuicheng</strong></p><p><strong>邮箱：wusc@roncoo.com</strong></p>'),(1080759557651369985,'2019-01-03 17:35:31','2019-01-03 17:35:31','<p>spark企业经典案例之手机app流量统计，本课程是基于企业真实项目案例中的一个模块为背景讲解，此业务涉及spark统计，然后通过phpweb进行读取数据，最终通过手机端展示，根据公司案例抽取出来的模板，通过此案例把整个流程跑通，让你知道企业流程。&nbsp;&nbsp;<br></p>'),(1085453180192059393,'2019-01-16 16:26:18','2019-01-16 16:26:18','<p>该课程仅限于测试下单&nbsp;&nbsp;<br></p>');

#
# Structure for table "course_user_study"
#

CREATE TABLE `course_user_study` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `user_no` bigint(20) NOT NULL COMMENT '用户编号',
  `period_total` int(11) NOT NULL DEFAULT '0' COMMENT '总课时数',
  `period_study` int(11) NOT NULL DEFAULT '0' COMMENT '已学习课时数',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_course_id_user_no` (`course_id`,`user_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程用户关联表';

#
# Data for table "course_user_study"
#

INSERT INTO `course_user_study` VALUES (1087553568089284610,'2019-01-22 11:32:29','2019-01-22 11:32:29',1,1,1080743050779234306,2018112015051635,23,4),(1087556004912799745,'2019-01-22 11:42:10','2019-01-22 11:42:10',1,1,1080752794290032642,2018112015051635,17,5),(1087559037797212162,'2019-01-22 11:54:13','2019-01-22 11:54:13',1,1,1080759557655564289,2018112015051635,14,3),(1087559459551256577,'2019-01-22 11:55:54','2019-01-22 11:55:54',1,1,1080759102707798018,2018112015051635,3,3),(1087565963775909889,'2019-01-22 12:21:44','2019-01-22 12:21:44',1,1,1080748800742199298,2018112015051635,11,7),(1087566023699931137,'2019-01-22 12:21:59','2019-01-22 12:21:59',1,1,1080758482462511106,2018112015051635,5,2),(1087601372476153858,'2019-01-22 14:42:26','2019-01-22 14:42:26',1,1,1080757537695535105,2018112015051635,15,2),(1087601481398034434,'2019-01-22 14:42:52','2019-01-22 14:42:52',1,1,1080757024136564738,2018112015051635,2,1);

#
# Structure for table "course_user_study_log"
#

CREATE TABLE `course_user_study_log` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程编号',
  `chapter_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '章节编号',
  `period_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时编号',
  `user_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户编号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程用户学习日志';

#
# Data for table "course_user_study_log"
#

INSERT INTO `course_user_study_log` VALUES (1087553568097673218,'2019-01-22 11:32:29',1080743050779234306,1080743083784212482,1072406472214183938,2018112015051635),(1087555239674617858,'2019-01-22 11:39:08',1080743050779234306,1080743083784212482,1072407056283598850,2018112015051635),(1087556004921188353,'2019-01-22 11:42:10',1080752794290032642,1080752832009408513,1066954334532300801,2018112015051635),(1087556031550824450,'2019-01-22 11:42:16',1080752794290032642,1080752832009408513,1066954336189050882,2018112015051635),(1087558848424386561,'2019-01-22 11:53:28',1080752794290032642,1080752832009408513,1066954332548395010,2018112015051635),(1087558914719555586,'2019-01-22 11:53:44',1080752794290032642,1080752832009408513,1066954341238992898,2018112015051635),(1087559037805600770,'2019-01-22 11:54:13',1080759557655564289,1080759603717410818,1066954335002062849,2018112015051635),(1087559095145930753,'2019-01-22 11:54:27',1080759557655564289,1080759603717410818,1066954346003722241,2018112015051635),(1087559110895542273,'2019-01-22 11:54:31',1080759557655564289,1080759603717410818,1066954359018647554,2018112015051635),(1087559459559645185,'2019-01-22 11:55:54',1080759102707798018,1080759128645373954,1066954333831852034,2018112015051635),(1087559471735709697,'2019-01-22 11:55:57',1080759102707798018,1080759128645373954,1066954356086829057,2018112015051635),(1087565963780104193,'2019-01-22 12:21:44',1080748800742199298,1080748843360522242,1066954413133557762,2018112015051635),(1087565963889156097,'2019-01-22 12:21:44',1080748800742199298,1080748843360522242,1066954413150334978,2018112015051635),(1087565963943682049,'2019-01-22 12:21:44',1080748800742199298,1080748843360522242,1066954413083226113,2018112015051635),(1087565964010790914,'2019-01-22 12:21:44',1080748800742199298,1080748843360522242,1066954413108391938,2018112015051635),(1087565965306830849,'2019-01-22 12:21:45',1080748800742199298,1080748843360522242,1066954413271969793,2018112015051635),(1087565995228995585,'2019-01-22 12:21:52',1080748800742199298,1080748843360522242,1066954413255192578,2018112015051635),(1087566023704125442,'2019-01-22 12:21:59',1080758482462511106,1080758514712514562,1066954354400718850,2018112015051635),(1087566041110487042,'2019-01-22 12:22:03',1080758482462511106,1080758514712514562,1066954346599313410,2018112015051635),(1087567055133810690,'2019-01-22 12:26:05',1080743050779234306,1080743235517353985,1072393775568945154,2018112015051635),(1087601372480348162,'2019-01-22 14:42:26',1080757537695535105,1080757568645304322,1066954332699389954,2018112015051635),(1087601392151633921,'2019-01-22 14:42:31',1080757537695535105,1080757568645304322,1066954333253038081,2018112015051635),(1087601481406423042,'2019-01-22 14:42:52',1080757024136564738,1080757067061071873,1066954352236457985,2018112015051635);

#
# Structure for table "course_video"
#

CREATE TABLE `course_video` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `chapter_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '章节ID',
  `period_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `video_name` varchar(255) DEFAULT NULL COMMENT '视频名称',
  `video_no` bigint(20) DEFAULT NULL COMMENT '视频编号',
  `video_status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '视频状态(1待上传，2上传成功，3上传失败)',
  `video_length` varchar(36) DEFAULT NULL COMMENT '时长',
  `video_vid` varchar(50) DEFAULT NULL COMMENT '视频ID',
  `video_oas_id` varchar(255) DEFAULT NULL COMMENT '阿里云oas',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='课程视频信息';

#
# Data for table "course_video"
#

INSERT INTO `course_video` VALUES (1087545741840982018,'2019-01-22 11:01:23','2019-01-22 11:01:23',1,1,1085453180200448002,1085796749289406465,0,'测试.WMV',1087545741790650370,1,NULL,NULL,NULL);

#
# Structure for table "dic"
#

CREATE TABLE `dic` (
  `id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `field_name` varchar(50) NOT NULL DEFAULT '' COMMENT '字段名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='数据字典';

#
# Data for table "dic"
#


#
# Structure for table "dic_list"
#

CREATE TABLE `dic_list` (
  `id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `field_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '字段ID',
  `field_key` varchar(255) NOT NULL COMMENT '字段KEY',
  `field_value` varchar(255) NOT NULL COMMENT '字段VALUE',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='数据字典明细表';

#
# Data for table "dic_list"
#


#
# Structure for table "order_info"
#

CREATE TABLE `order_info` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `lecturer_user_no` bigint(20) NOT NULL COMMENT '讲师用户编号',
  `lecturer_name` varchar(50) NOT NULL COMMENT '讲师名称',
  `user_no` bigint(20) NOT NULL COMMENT '用户编号',
  `mobile` varchar(11) NOT NULL COMMENT '用户电话',
  `register_time` datetime DEFAULT NULL COMMENT '用户注册时间',
  `order_no` bigint(20) NOT NULL COMMENT '订单号',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `course_name` varchar(50) NOT NULL COMMENT '课程名称',
  `price_payable` decimal(11,2) DEFAULT NULL COMMENT '应付金额',
  `price_discount` decimal(11,2) DEFAULT NULL COMMENT '优惠金额',
  `price_paid` decimal(11,2) DEFAULT NULL COMMENT '实付金额',
  `platform_profit` decimal(11,2) DEFAULT NULL COMMENT '平台收入',
  `lecturer_profit` decimal(11,2) DEFAULT NULL COMMENT '讲师收入',
  `trade_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '交易类型：1线上支付，2线下支付',
  `pay_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '支付方式：1微信支付，2支付宝支付',
  `channel_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '购买渠道：1web',
  `order_status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '订单状态：1待支付，2成功支付，3支付失败，4已关闭',
  `is_show_lecturer` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '是否显示给讲师(1是，0否)',
  `is_show_user` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '是否显示给用户看(1是，0否)',
  `remark_cus` varchar(255) DEFAULT NULL COMMENT '客户备注',
  `remark` varchar(255) DEFAULT NULL COMMENT '后台备注',
  `pay_time` datetime DEFAULT NULL COMMENT '支付时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_order_no` (`order_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='订单信息表';

#
# Data for table "order_info"
#

INSERT INTO `order_info` VALUES (1087188861070970881,'2019-01-21 11:24:41','2019-01-21 11:24:41',2018112015051635,'领课',2019011716135364,'13406214948','2019-01-17 16:15:17',20190121112318672,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087188861599453186,'2019-01-21 11:24:41','2019-01-21 11:24:41',2018112015051635,'领课',2019011716135300,'13604815553','2019-01-17 16:15:17',20190121112318893,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087188861825945602,'2019-01-21 11:24:41','2019-01-21 11:24:41',2018112015051635,'领课',2019011716135318,'13600088970','2019-01-17 16:15:17',20190121112318594,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087188862132129793,'2019-01-21 11:24:41','2019-01-21 11:24:41',2018112015051635,'领课',2019011716135274,'13802978733','2019-01-17 16:15:17',20190121112318012,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087188862383788034,'2019-01-21 11:24:41','2019-01-21 11:24:41',2018112015051635,'领课',2019011716135282,'13301191533','2019-01-17 16:15:17',20190121112318902,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087188862757081089,'2019-01-21 11:24:41','2019-01-21 11:24:41',2018112015051635,'领课',2019011716135286,'15106983525','2019-01-17 16:15:17',20190121112318683,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 11:23:19'),(1087188863063265281,'2019-01-21 11:24:41','2019-01-21 11:24:41',2018112015051635,'领课',2019011716135283,'15505171523','2019-01-17 16:15:17',20190121112318626,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 11:23:19'),(1087188863730159618,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716135284,'13908776364','2019-01-17 16:15:17',20190121112318264,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087188864015372289,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716135208,'13106134302','2019-01-17 16:15:17',20190121112318342,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087188864409636865,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716135248,'15005846349','2019-01-17 16:15:17',20190121112318628,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 11:23:19'),(1087188864808095745,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716135227,'13507541032','2019-01-17 16:15:17',20190121112318890,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 16:13:45'),(1087188865256886273,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716134277,'15800195654','2019-01-17 16:15:06',20190121112319406,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 11:23:19'),(1087188865747619841,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716134268,'15900475625','2019-01-17 16:15:06',20190121112319200,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 11:23:19'),(1087188866087358465,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716134249,'13904027670','2019-01-17 16:15:06',20190121112319748,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087188866364182529,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716134232,'15107178957','2019-01-17 16:15:06',20190121112319464,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 11:23:19'),(1087188866657783810,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716133401,'13901888271','2019-01-17 16:14:58',20190121112319726,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087188866909442049,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716133451,'15905613206','2019-01-17 16:14:58',20190121112319032,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 11:23:20'),(1087188867190460418,'2019-01-21 11:24:42','2019-01-21 11:24:42',2018112015051635,'领课',2019011716133449,'13300477228','2019-01-17 16:14:58',20190121112319115,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189173794082817,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716133482,'13701740619','2019-01-17 16:14:58',20190121112432867,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189174238679041,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716133456,'13201803824','2019-01-17 16:14:58',20190121112432949,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189174465171457,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716133463,'15604292461','2019-01-17 16:14:58',20190121112432837,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 11:24:33'),(1087189174683275266,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716133493,'15302322955','2019-01-17 16:14:58',20190121112432768,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 11:24:33'),(1087189174918156290,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716133460,'13101130827','2019-01-17 16:14:58',20190121112432421,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189175148843010,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716133433,'13004840588','2019-01-17 16:14:58',20190121112432343,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189175383724033,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132728,'15300958355','2019-01-17 16:14:51',20190121112433260,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 11:24:33'),(1087189175639576578,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132741,'15304056991','2019-01-17 16:14:51',20190121112433490,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 11:24:33'),(1087189175941566465,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132727,'15500990200','2019-01-17 16:14:51',20190121112433330,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 11:24:33'),(1087189176180641794,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132792,'13102205251','2019-01-17 16:14:51',20190121112433078,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189176415522817,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132746,'13201203133','2019-01-17 16:14:51',20190121112433373,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189176637820929,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132708,'15705413691','2019-01-17 16:14:51',20190121112433494,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 11:24:33'),(1087189176872701953,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132764,'13603540214','2019-01-17 16:14:51',20190121112433648,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189177111777281,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132731,'15108303971','2019-01-17 16:14:51',20190121112433557,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 11:24:33'),(1087189177376018434,'2019-01-21 11:25:56','2019-01-21 11:25:56',2018112015051635,'领课',2019011716132790,'13606872506','2019-01-17 16:14:51',20190121112433859,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189177824808962,'2019-01-21 11:25:57','2019-01-21 11:25:57',2018112015051635,'领课',2019011716132768,'13100818329','2019-01-17 16:14:51',20190121112433214,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189178210684930,'2019-01-21 11:25:57','2019-01-21 11:25:57',2018112015051635,'领课',2019011716132705,'13400866121','2019-01-17 16:14:51',20190121112433014,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189596898693121,'2019-01-21 11:27:36','2019-01-21 11:27:36',2018112015051635,'领课',2019011716132731,'15108303971','2019-01-17 16:14:51',20190121112613416,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:13'),(1087189597402009602,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132790,'13606872506','2019-01-17 16:14:51',20190121112613163,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189597653667841,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132768,'13100818329','2019-01-17 16:14:51',20190121112613714,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189597896937473,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132705,'13400866121','2019-01-17 16:14:51',20190121112613210,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189598144401410,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132742,'15106471349','2019-01-17 16:14:51',20190121112613769,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:14'),(1087189598454779906,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132788,'15003760459','2019-01-17 16:14:51',20190121112613515,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:14'),(1087189598719021057,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132797,'13400996624','2019-01-17 16:14:51',20190121112613310,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189599004233730,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132703,'13307507232','2019-01-17 16:14:51',20190121112614927,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189599318806529,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132734,'13804424960','2019-01-17 16:14:51',20190121112614800,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189599633379329,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132710,'15702264369','2019-01-17 16:14:51',20190121112614047,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:14'),(1087189599926980610,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132738,'13401381223','2019-01-17 16:14:51',20190121112614833,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189600182833153,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132704,'15803411016','2019-01-17 16:14:51',20190121112614692,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:14'),(1087189600455462914,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132774,'15808703029','2019-01-17 16:14:51',20190121112614601,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:14'),(1087189600749064194,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132722,'13208408082','2019-01-17 16:14:51',20190121112614240,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189601038471169,'2019-01-21 11:27:37','2019-01-21 11:27:37',2018112015051635,'领课',2019011716132733,'15806124334','2019-01-17 16:14:51',20190121112614825,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189601394987010,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132793,'15708618874','2019-01-17 16:14:51',20190121112614455,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189601780862978,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132597,'15102331960','2019-01-17 16:14:49',20190121112614502,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189602099630081,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132517,'15803480695','2019-01-17 16:14:49',20190121112614008,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189602338705409,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132554,'15304886207','2019-01-17 16:14:49',20190121112614599,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189602598752257,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132543,'15505833453','2019-01-17 16:14:49',20190121112614665,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189602875576321,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132547,'15202451238','2019-01-17 16:14:49',20190121112614140,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189603131428865,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132538,'15907708429','2019-01-17 16:14:49',20190121112615107,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189603349532674,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132588,'13005275417','2019-01-17 16:14:49',20190121112615552,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189603584413697,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132508,'15607225099','2019-01-17 16:14:49',20190121112615820,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189603827683329,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132578,'15300845957','2019-01-17 16:14:49',20190121112615825,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189604100313089,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132532,'13207078449','2019-01-17 16:14:49',20190121112615895,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189604377137154,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132584,'13803808108','2019-01-17 16:14:49',20190121112615304,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189604586852353,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132464,'15101285356','2019-01-17 16:14:48',20190121112615582,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189604809150466,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132462,'13108028481','2019-01-17 16:14:48',20190121112615129,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189605006282754,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132442,'15305562420','2019-01-17 16:14:48',20190121112615635,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:15'),(1087189605215997953,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132403,'13903371700','2019-01-17 16:14:48',20190121112615627,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189605421518849,'2019-01-21 11:27:38','2019-01-21 11:27:38',2018112015051635,'领课',2019011716132405,'13603746122','2019-01-17 16:14:48',20190121112615979,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189605648011265,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132496,'15907738112','2019-01-17 16:14:48',20190121112615492,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189605874503682,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132447,'13902493197','2019-01-17 16:14:48',20190121112615899,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189606092607489,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132429,'15807078088','2019-01-17 16:14:48',20190121112615451,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189606302322690,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132461,'15005817011','2019-01-17 16:14:48',20190121112615334,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189606528815106,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132473,'13505402127','2019-01-17 16:14:48',20190121112615001,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 16:13:45'),(1087189606776279042,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132465,'15008728213','2019-01-17 16:14:48',20190121112615949,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189607040520194,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132463,'13102054317','2019-01-17 16:14:48',20190121112615351,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189607556419585,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132303,'13207548396','2019-01-17 16:14:48',20190121112616071,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189607816466433,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132311,'13608240542','2019-01-17 16:14:48',20190121112616736,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087189608093290497,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132342,'15603623084','2019-01-17 16:14:48',20190121112616750,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189608349143041,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132313,'15804646413','2019-01-17 16:14:48',20190121112616687,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189608575635458,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132131,'15207980992','2019-01-17 16:14:46',20190121112616725,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189608827293698,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132174,'15908086114','2019-01-17 16:14:45',20190121112616936,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189609078951937,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132166,'15904061817','2019-01-17 16:14:45',20190121112616104,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:16'),(1087189609330610177,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132123,'15803502689','2019-01-17 16:14:45',20190121112616190,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:17'),(1087189609603239937,'2019-01-21 11:27:39','2019-01-21 11:27:39',2018112015051635,'领课',2019011716132153,'15706671982','2019-01-17 16:14:45',20190121112616300,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:17'),(1087189609850703873,'2019-01-21 11:27:40','2019-01-21 11:27:40',2018112015051635,'领课',2019011716131345,'13107474574','2019-01-17 16:14:37',20190121112616570,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189610089779201,'2019-01-21 11:27:40','2019-01-21 11:27:40',2018112015051635,'领课',2019011716131380,'13201226377','2019-01-17 16:14:37',20190121112616985,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087189610324660226,'2019-01-21 11:27:40','2019-01-21 11:27:40',2018112015051635,'领课',2019011716131392,'15606015028','2019-01-17 16:14:37',20190121112616169,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-23 11:26:17'),(1087189610567929857,'2019-01-21 11:27:40','2019-01-21 11:27:40',2018112015051635,'领课',2019011716131300,'13102660903','2019-01-17 16:14:37',20190121112616191,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087189610802810881,'2019-01-21 11:27:40','2019-01-21 11:27:40',2018112015051635,'领课',2019011716131344,'13003175931','2019-01-17 16:14:37',20190121112616781,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190179206500354,'2019-01-21 11:29:56','2019-01-21 11:29:56',2018112015051635,'领课',2019011716131319,'15004957077','2019-01-17 16:14:37',20190121112832885,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:32'),(1087190182142513153,'2019-01-21 11:29:56','2019-01-21 11:29:56',2018112015051635,'领课',2019011716130382,'13703097625','2019-01-17 16:14:27',20190121112833817,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190183027511298,'2019-01-21 11:29:56','2019-01-21 11:29:56',2018112015051635,'领课',2019011716130369,'15600942688','2019-01-17 16:14:27',20190121112833239,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:33'),(1087190184403243010,'2019-01-21 11:29:57','2019-01-21 11:29:57',2018112015051635,'领课',2019011716130368,'15608518945','2019-01-17 16:14:27',20190121112833583,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:34'),(1087190185648951297,'2019-01-21 11:29:57','2019-01-21 11:29:57',2018112015051635,'领课',2019011716130331,'13401408294','2019-01-17 16:14:27',20190121112833029,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190186525560833,'2019-01-21 11:29:57','2019-01-21 11:29:57',2018112015051635,'领课',2019011716130336,'13503248417','2019-01-17 16:14:27',20190121112834143,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-22 16:13:45'),(1087190186940796930,'2019-01-21 11:29:57','2019-01-21 11:29:57',2018112015051635,'领课',2019011716130307,'13403887970','2019-01-17 16:14:27',20190121112834534,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190187234398210,'2019-01-21 11:29:57','2019-01-21 11:29:57',2018112015051635,'领课',2019011716130385,'13900024339','2019-01-17 16:14:27',20190121112834750,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190187968401409,'2019-01-21 11:29:57','2019-01-21 11:29:57',2018112015051635,'领课',2019011716130398,'15100773352','2019-01-17 16:14:27',20190121112834019,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:34'),(1087190188442357761,'2019-01-21 11:29:57','2019-01-21 11:29:57',2018112015051635,'领课',2019011716130381,'15106318490','2019-01-17 16:14:27',20190121112834028,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:35'),(1087190188886953985,'2019-01-21 11:29:58','2019-01-21 11:29:58',2018112015051635,'领课',2019011716130397,'13904392530','2019-01-17 16:14:27',20190121112834450,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190189763563522,'2019-01-21 11:29:58','2019-01-21 11:29:58',2018112015051635,'领课',2019011716130317,'15806337393','2019-01-17 16:14:27',20190121112834643,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:35'),(1087190190111690753,'2019-01-21 11:29:58','2019-01-21 11:29:58',2018112015051635,'领课',2019011716122171,'13105856276','2019-01-17 16:13:45',20190121112834630,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-21 16:13:45'),(1087190191059603457,'2019-01-21 11:29:58','2019-01-21 11:29:58',2018112015051635,'领课',2019011716122137,'13000853620','2019-01-17 16:13:45',20190121112835588,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190192770879489,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122167,'15706855969','2019-01-17 16:13:45',20190121112835128,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:36'),(1087190193060286465,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122125,'15106826361','2019-01-17 16:13:45',20190121112835388,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:36'),(1087190193358082050,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122185,'13606532150','2019-01-17 16:13:45',20190121112835791,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190193664266241,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122142,'15305588034','2019-01-17 16:13:45',20190121112835170,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:36'),(1087190194104668161,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122141,'13308332002','2019-01-17 16:13:45',20190121112835889,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-20 16:13:45'),(1087190194436018177,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122184,'13908746859','2019-01-17 16:13:45',20190121112836077,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190194691870721,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122117,'15800445127','2019-01-17 16:13:45',20190121112836076,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:36'),(1087190194951917570,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011716122152,'15608104734','2019-01-17 16:13:45',20190121112836903,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-24 11:28:36'),(1087190195174215682,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011715243822,'13800138003','2019-01-17 15:24:36',20190121112836685,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190195421679617,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2019011715195672,'13800138002','2019-01-17 15:19:54',20190121112836854,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45'),(1087190195660754945,'2019-01-21 11:29:59','2019-01-21 11:29:59',2018112015051635,'领课',2018112015051635,'13800138001','2018-11-20 15:06:36',20190121112836359,1085453180200448002,'测试下单课程',0.10,0.00,0.10,0.03,0.07,1,1,1,2,1,1,NULL,NULL,'2019-01-19 16:13:45');

#
# Structure for table "order_pay"
#

CREATE TABLE `order_pay` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `order_no` bigint(20) NOT NULL COMMENT '订单号',
  `serial_number` bigint(20) NOT NULL DEFAULT '0' COMMENT '流水号',
  `order_status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '订单状态：1待支付，2成功支付，3支付失败，4已关闭，5已退款, 6订单解绑',
  `pay_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '支付方式：1微信支付，2支付宝支付，3积分支付，4手工录单',
  `pay_time` datetime DEFAULT NULL COMMENT '支付时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='订单支付信息表';

#
# Data for table "order_pay"
#

INSERT INTO `order_pay` VALUES (1087188861251325953,'2019-01-21 11:24:41',20190121112318672,201901211123180276,2,1,'2019-01-21 11:23:18'),(1087188861633007617,'2019-01-21 11:24:41',20190121112318893,201901211123181712,2,1,'2019-01-21 11:23:18'),(1087188861914025986,'2019-01-21 11:24:41',20190121112318594,201901211123181962,2,1,'2019-01-21 11:23:18'),(1087188862157295617,'2019-01-21 11:24:41',20190121112318012,201901211123182053,2,1,'2019-01-21 11:23:18'),(1087188862429925378,'2019-01-21 11:24:41',20190121112318902,201901211123187658,2,1,'2019-01-21 11:23:18'),(1087188862794829825,'2019-01-21 11:24:41',20190121112318683,201901211123180618,2,1,'2019-01-21 11:23:19'),(1087188863121985537,'2019-01-21 11:24:42',20190121112318626,201901211123189897,2,1,'2019-01-21 11:23:19'),(1087188863776296962,'2019-01-21 11:24:42',20190121112318264,201901211123188813,2,1,'2019-01-21 11:23:19'),(1087188864069898242,'2019-01-21 11:24:42',20190121112318342,201901211123185949,2,1,'2019-01-21 11:23:19'),(1087188864497717249,'2019-01-21 11:24:42',20190121112318628,201901211123182397,2,1,'2019-01-21 11:23:19'),(1087188864858427394,'2019-01-21 11:24:42',20190121112318890,201901211123195791,2,1,'2019-01-21 11:23:19'),(1087188865319800833,'2019-01-21 11:24:42',20190121112319406,201901211123190027,2,1,'2019-01-21 11:23:19'),(1087188865802145794,'2019-01-21 11:24:42',20190121112319200,201901211123192523,2,1,'2019-01-21 11:23:19'),(1087188866112524289,'2019-01-21 11:24:42',20190121112319748,201901211123193820,2,1,'2019-01-21 11:23:19'),(1087188866401931265,'2019-01-21 11:24:42',20190121112319464,201901211123193614,2,1,'2019-01-21 11:23:19'),(1087188866687143938,'2019-01-21 11:24:42',20190121112319726,201901211123193721,2,1,'2019-01-21 11:23:19'),(1087188866951385089,'2019-01-21 11:24:42',20190121112319032,201901211123196937,2,1,'2019-01-21 11:23:20'),(1087188867224014849,'2019-01-21 11:24:42',20190121112319115,201901211123199711,2,1,'2019-01-21 11:23:20'),(1087189173949272066,'2019-01-21 11:25:56',20190121112432867,201901211124325636,2,1,'2019-01-22 11:24:33'),(1087189174289010690,'2019-01-21 11:25:56',20190121112432949,201901211124325379,2,1,'2019-01-22 11:24:33'),(1087189174490337282,'2019-01-21 11:25:56',20190121112432837,201901211124322370,2,1,'2019-01-22 11:24:33'),(1087189174721024001,'2019-01-21 11:25:56',20190121112432768,201901211124323347,2,1,'2019-01-22 11:24:33'),(1087189174947516417,'2019-01-21 11:25:56',20190121112432421,201901211124329810,2,1,'2019-01-22 11:24:33'),(1087189175194980354,'2019-01-21 11:25:56',20190121112432343,201901211124335062,2,1,'2019-01-22 11:24:33'),(1087189175417278465,'2019-01-21 11:25:56',20190121112433260,201901211124330299,2,1,'2019-01-22 11:24:33'),(1087189175677325314,'2019-01-21 11:25:56',20190121112433490,201901211124333145,2,1,'2019-01-22 11:24:33'),(1087189175966732289,'2019-01-21 11:25:56',20190121112433330,201901211124339571,2,1,'2019-01-22 11:24:33'),(1087189176214196226,'2019-01-21 11:25:56',20190121112433078,201901211124336996,2,1,'2019-01-22 11:24:33'),(1087189176444882945,'2019-01-21 11:25:56',20190121112433373,201901211124335566,2,1,'2019-01-22 11:24:33'),(1087189176671375361,'2019-01-21 11:25:56',20190121112433494,201901211124338428,2,1,'2019-01-22 11:24:33'),(1087189176897867777,'2019-01-21 11:25:56',20190121112433648,201901211124339719,2,1,'2019-01-22 11:24:33'),(1087189177149526018,'2019-01-21 11:25:56',20190121112433557,201901211124330047,2,1,'2019-01-22 11:24:33'),(1087189177396989954,'2019-01-21 11:25:56',20190121112433859,201901211124337444,2,1,'2019-01-22 11:24:34'),(1087189177870946305,'2019-01-21 11:25:57',20190121112433214,201901211124339115,2,1,'2019-01-22 11:24:34'),(1087189178244239361,'2019-01-21 11:25:57',20190121112433014,201901211124330705,2,1,'2019-01-22 11:24:34'),(1087189597066465282,'2019-01-21 11:27:36',20190121112613416,201901211126135809,2,1,'2019-01-23 11:26:14'),(1087189597427175426,'2019-01-21 11:27:37',20190121112613163,201901211126131207,2,1,'2019-01-23 11:26:14'),(1087189597683027969,'2019-01-21 11:27:37',20190121112613714,201901211126136488,2,1,'2019-01-23 11:26:14'),(1087189597934686209,'2019-01-21 11:27:37',20190121112613210,201901211126135519,2,1,'2019-01-23 11:26:14'),(1087189598198927361,'2019-01-21 11:27:37',20190121112613769,201901211126132278,2,1,'2019-01-23 11:26:14'),(1087189598488334337,'2019-01-21 11:27:37',20190121112613515,201901211126131711,2,1,'2019-01-23 11:26:14'),(1087189598752575490,'2019-01-21 11:27:37',20190121112613310,201901211126142941,2,1,'2019-01-23 11:26:14'),(1087189599054565378,'2019-01-21 11:27:37',20190121112614927,201901211126146598,2,1,'2019-01-23 11:26:14'),(1087189599360749569,'2019-01-21 11:27:37',20190121112614800,201901211126146733,2,1,'2019-01-23 11:26:14'),(1087189599666933761,'2019-01-21 11:27:37',20190121112614047,201901211126149647,2,1,'2019-01-23 11:26:14'),(1087189599960535042,'2019-01-21 11:27:37',20190121112614833,201901211126141396,2,1,'2019-01-23 11:26:14'),(1087189600224776193,'2019-01-21 11:27:37',20190121112614692,201901211126147744,2,1,'2019-01-23 11:26:14'),(1087189600493211650,'2019-01-21 11:27:37',20190121112614601,201901211126148503,2,1,'2019-01-23 11:26:14'),(1087189600791007234,'2019-01-21 11:27:37',20190121112614240,201901211126147308,2,1,'2019-01-23 11:26:14'),(1087189601080414209,'2019-01-21 11:27:37',20190121112614825,201901211126142563,2,1,'2019-01-23 11:26:15'),(1087189601436930049,'2019-01-21 11:27:38',20190121112614455,201901211126142185,2,1,'2019-01-23 11:26:15'),(1087189601831194626,'2019-01-21 11:27:38',20190121112614502,201901211126141882,2,1,'2019-01-23 11:26:15'),(1087189602133184514,'2019-01-21 11:27:38',20190121112614008,201901211126140025,2,1,'2019-01-23 11:26:15'),(1087189602368065537,'2019-01-21 11:27:38',20190121112614599,201901211126148294,2,1,'2019-01-23 11:26:15'),(1087189602636500993,'2019-01-21 11:27:38',20190121112614665,201901211126148170,2,1,'2019-01-23 11:26:15'),(1087189602921713665,'2019-01-21 11:27:38',20190121112614140,201901211126154498,2,1,'2019-01-23 11:26:15'),(1087189603164983297,'2019-01-21 11:27:38',20190121112615107,201901211126156745,2,1,'2019-01-23 11:26:15'),(1087189603378892801,'2019-01-21 11:27:38',20190121112615552,201901211126152271,2,1,'2019-01-23 11:26:15'),(1087189603626356738,'2019-01-21 11:27:38',20190121112615820,201901211126156798,2,1,'2019-01-23 11:26:15'),(1087189603852849154,'2019-01-21 11:27:38',20190121112615825,201901211126159816,2,1,'2019-01-23 11:26:15'),(1087189604142256130,'2019-01-21 11:27:38',20190121112615895,201901211126153136,2,1,'2019-01-23 11:26:15'),(1087189604419080193,'2019-01-21 11:27:38',20190121112615304,201901211126156706,2,1,'2019-01-23 11:26:15'),(1087189604632989697,'2019-01-21 11:27:38',20190121112615582,201901211126156522,2,1,'2019-01-23 11:26:15'),(1087189604834316289,'2019-01-21 11:27:38',20190121112615129,201901211126153414,2,1,'2019-01-23 11:26:15'),(1087189605035642882,'2019-01-21 11:27:38',20190121112615635,201901211126154915,2,1,'2019-01-23 11:26:16'),(1087189605241163777,'2019-01-21 11:27:38',20190121112615627,201901211126158012,2,1,'2019-01-23 11:26:16'),(1087189605455073281,'2019-01-21 11:27:38',20190121112615979,201901211126150555,2,1,'2019-01-23 11:26:16'),(1087189605673177089,'2019-01-21 11:27:39',20190121112615492,201901211126152599,2,1,'2019-01-23 11:26:16'),(1087189605891280897,'2019-01-21 11:27:39',20190121112615899,201901211126157124,2,1,'2019-01-23 11:26:16'),(1087189606126161922,'2019-01-21 11:27:39',20190121112615451,201901211126157327,2,1,'2019-01-23 11:26:16'),(1087189606352654337,'2019-01-21 11:27:39',20190121112615334,201901211126156393,2,1,'2019-01-23 11:26:16'),(1087189606553980930,'2019-01-21 11:27:39',20190121112615001,201901211126152442,2,1,'2019-01-23 11:26:16'),(1087189606805639169,'2019-01-21 11:27:39',20190121112615949,201901211126154326,2,1,'2019-01-23 11:26:16'),(1087189607078268930,'2019-01-21 11:27:39',20190121112615351,201901211126154356,2,1,'2019-01-23 11:26:16'),(1087189607581585409,'2019-01-21 11:27:39',20190121112616071,201901211126163724,2,1,'2019-01-23 11:26:16'),(1087189607858409474,'2019-01-21 11:27:39',20190121112616736,201901211126166500,2,1,'2019-01-23 11:26:16'),(1087189608135233538,'2019-01-21 11:27:39',20190121112616750,201901211126165421,2,1,'2019-01-23 11:26:16'),(1087189608374308865,'2019-01-21 11:27:39',20190121112616687,201901211126166458,2,1,'2019-01-23 11:26:16'),(1087189608609189890,'2019-01-21 11:27:39',20190121112616725,201901211126169135,2,1,'2019-01-23 11:26:16'),(1087189608860848130,'2019-01-21 11:27:39',20190121112616936,201901211126161712,2,1,'2019-01-23 11:26:16'),(1087189609120894977,'2019-01-21 11:27:39',20190121112616104,201901211126167985,2,1,'2019-01-23 11:26:16'),(1087189609380941826,'2019-01-21 11:27:39',20190121112616190,201901211126164522,2,1,'2019-01-23 11:26:17'),(1087189609628405762,'2019-01-21 11:27:39',20190121112616300,201901211126167274,2,1,'2019-01-23 11:26:17'),(1087189609875869697,'2019-01-21 11:27:40',20190121112616570,201901211126161865,2,1,'2019-01-23 11:26:17'),(1087189610114945025,'2019-01-21 11:27:40',20190121112616985,201901211126167657,2,1,'2019-01-23 11:26:17'),(1087189610362408961,'2019-01-21 11:27:40',20190121112616169,201901211126168763,2,1,'2019-01-23 11:26:17'),(1087189610593095681,'2019-01-21 11:27:40',20190121112616191,201901211126167306,2,1,'2019-01-23 11:26:17'),(1087189610836365313,'2019-01-21 11:27:40',20190121112616781,201901211126161645,2,1,'2019-01-23 11:26:17'),(1087190180481568770,'2019-01-21 11:29:56',20190121112832885,201901211128328869,2,1,'2019-01-24 11:28:33'),(1087190182222204929,'2019-01-21 11:29:56',20190121112833817,201901211128331770,2,1,'2019-01-24 11:28:33'),(1087190183195283457,'2019-01-21 11:29:56',20190121112833239,201901211128333769,2,1,'2019-01-24 11:28:33'),(1087190184499712002,'2019-01-21 11:29:57',20190121112833583,201901211128332953,2,1,'2019-01-24 11:28:34'),(1087190185690894337,'2019-01-21 11:29:57',20190121112833029,201901211128338208,2,1,'2019-01-24 11:28:34'),(1087190186571698177,'2019-01-21 11:29:57',20190121112834143,201901211128346552,2,1,'2019-01-24 11:28:34'),(1087190186965962754,'2019-01-21 11:29:57',20190121112834534,201901211128344979,2,1,'2019-01-24 11:28:34'),(1087190187267952642,'2019-01-21 11:29:57',20190121112834750,201901211128341609,2,1,'2019-01-24 11:28:34'),(1087190188001955842,'2019-01-21 11:29:57',20190121112834019,201901211128347113,2,1,'2019-01-24 11:28:34'),(1087190188501078017,'2019-01-21 11:29:57',20190121112834028,201901211128343114,2,1,'2019-01-24 11:28:35'),(1087190188996005889,'2019-01-21 11:29:58',20190121112834450,201901211128344555,2,1,'2019-01-24 11:28:35'),(1087190189830672386,'2019-01-21 11:29:58',20190121112834643,201901211128341206,2,1,'2019-01-24 11:28:35'),(1087190190686310401,'2019-01-21 11:29:58',20190121112834630,201901211128354261,2,1,'2019-01-24 11:28:35'),(1087190191109935106,'2019-01-21 11:29:58',20190121112835588,201901211128356183,2,1,'2019-01-24 11:28:35'),(1087190192800239617,'2019-01-21 11:29:59',20190121112835128,201901211128357186,2,1,'2019-01-24 11:28:36'),(1087190193093840898,'2019-01-21 11:29:59',20190121112835388,201901211128352822,2,1,'2019-01-24 11:28:36'),(1087190193391636481,'2019-01-21 11:29:59',20190121112835791,201901211128354920,2,1,'2019-01-24 11:28:36'),(1087190193689432065,'2019-01-21 11:29:59',20190121112835170,201901211128356002,2,1,'2019-01-24 11:28:36'),(1087190194125639681,'2019-01-21 11:29:59',20190121112835889,201901211128351707,2,1,'2019-01-24 11:28:36'),(1087190194465378305,'2019-01-21 11:29:59',20190121112836077,201901211128366484,2,1,'2019-01-24 11:28:36'),(1087190194725425154,'2019-01-21 11:29:59',20190121112836076,201901211128362347,2,1,'2019-01-24 11:28:36'),(1087190194977083394,'2019-01-21 11:29:59',20190121112836903,201901211128368579,2,1,'2019-01-24 11:28:36'),(1087190195207770113,'2019-01-21 11:29:59',20190121112836685,201901211128369539,2,1,'2019-01-24 11:28:36'),(1087190195446845442,'2019-01-21 11:29:59',20190121112836854,201901211128360255,2,1,'2019-01-24 11:28:36'),(1087190195694309377,'2019-01-21 11:29:59',20190121112836359,201901211128368834,2,1,'2019-01-24 11:28:36');

#
# Structure for table "zone"
#

CREATE TABLE `zone` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常;0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `zone_name` varchar(50) NOT NULL DEFAULT '' COMMENT '名称',
  `zone_desc` varchar(255) DEFAULT NULL COMMENT '描述',
  `zone_location` tinyint(3) NOT NULL DEFAULT '0' COMMENT '位置(0电脑端，1微信端)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='专区';

#
# Data for table "zone"
#

INSERT INTO `zone` VALUES (1014339060298440705,'2018-07-04 10:45:07','2018-07-04 10:45:07',1,1,'精品课程','精品课程',0),(1060472271471714305,'2018-11-08 18:02:24','2018-11-08 18:02:24',1,3,'热门课程','热门课程',0);

#
# Structure for table "zone_course"
#

CREATE TABLE `zone_course` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常;0:禁用)',
  `sort` int(11) NOT NULL COMMENT '排序',
  `zone_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '专区编号',
  `zone_location` tinyint(3) NOT NULL DEFAULT '0' COMMENT '位置(0电脑端，1微信端)',
  `course_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='专区课程关联表';

#
# Data for table "zone_course"
#

INSERT INTO `zone_course` VALUES (1080763712759599105,'2019-01-03 17:52:01','2019-01-03 17:52:01',1,8,1060472271471714305,0,1080759102707798018),(1080763730312761345,'2019-01-03 17:52:05','2019-01-03 17:52:05',1,7,1060472271471714305,0,1080758482462511106),(1080764399597850626,'2019-01-03 17:54:45','2019-01-03 17:54:45',1,1,1014339060298440705,0,1080752794290032642),(1080764422859460610,'2019-01-03 17:54:51','2019-01-03 17:54:51',1,1,1014339060298440705,0,1080751684959539202),(1080764445751971841,'2019-01-03 17:54:56','2019-01-03 17:54:56',1,1,1014339060298440705,0,1080750873957306369),(1080764467847565313,'2019-01-03 17:55:01','2019-01-03 17:55:01',1,1,1014339060298440705,0,1080749913478467586),(1081484171243319298,'2019-01-05 17:34:52','2019-01-05 17:34:52',1,6,1060472271471714305,0,1080756535567257601),(1081484314264891393,'2019-01-05 17:35:26','2019-01-05 17:35:26',1,5,1060472271471714305,0,1080753909630963714),(1081484346489729026,'2019-01-05 17:35:34','2019-01-05 17:35:34',1,4,1060472271471714305,0,1080759557655564289),(1081484366576250881,'2019-01-05 17:35:39','2019-01-05 17:35:39',1,3,1060472271471714305,0,1080757537695535105),(1081484385828106242,'2019-01-05 17:35:43','2019-01-05 17:35:43',1,2,1060472271471714305,0,1080757024136564738),(1081484485728038913,'2019-01-05 17:36:07','2019-01-05 17:36:07',1,1,1014339060298440705,0,1080731530615787522),(1081484508037541889,'2019-01-05 17:36:12','2019-01-05 17:36:12',1,1,1014339060298440705,0,1080740234501230593),(1081484526186295298,'2019-01-05 17:36:17','2019-01-05 17:36:17',1,1,1014339060298440705,0,1080743050779234306),(1081484545744334850,'2019-01-05 17:36:21','2019-01-05 17:36:21',1,1,1014339060298440705,0,1080745129451130881),(1085453707156025345,'2019-01-16 16:28:23','2019-01-16 16:28:23',1,9,1060472271471714305,0,1085453180200448002);
