﻿# Host: 192.168.1.216  (Version 5.7.18-14-log)
# Date: 2019-01-22 15:04:19
# Generator: MySQL-Front 6.0  (Build 2.20)


#
# Structure for table "lecturer"
#

CREATE TABLE `lecturer` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `lecturer_user_no` bigint(20) NOT NULL COMMENT '讲师用户编号',
  `lecturer_name` varchar(50) NOT NULL DEFAULT '' COMMENT '讲师名称',
  `lecturer_mobile` char(11) NOT NULL DEFAULT '' COMMENT '讲师手机',
  `lecturer_email` varchar(100) DEFAULT NULL COMMENT '讲师邮箱',
  `position` varchar(50) DEFAULT NULL COMMENT '职位',
  `head_img_url` varchar(255) DEFAULT NULL COMMENT '头像',
  `introduce` varchar(2048) DEFAULT NULL COMMENT '简介',
  `lecturer_proportion` decimal(5,4) NOT NULL DEFAULT '0.0000' COMMENT '讲师分成比例',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='讲师信息';

#
# Data for table "lecturer"
#

INSERT INTO `lecturer` VALUES (1064776676173942786,'2018-11-20 15:44:14','2018-11-20 15:44:14',1,1,2018112015051635,'领课','13800138001','13800138011@qq.com','','http://static-dev.roncoo.com/course/eddc844967ab43c0899f09ed36474969.ico','<p>广州市领课网络科技有限公司成立于2015年，由多名长期从事在线教育和互联网金融系统技术服务的行业精英共同创办。在互联网及大数据时代背景下，整合互联网技术及在线教育的优势，打造在线教育平台，为企业节省研发费用和时间，助力机构和讲师建立自己的在线教育品牌。</p><p>旗下的产品有“领课教育云”、“领课教育系统”和“龙果支付系统”，教育云主要提供平台运营服务，教育系统主要提供技术系统，支付系统主要提供互联网聚合支付系统的销售及对应的技术服务。</p><p>教育云是一个通用的SaaS教育云服务平台，可以单独为不同的机构设置不同的网站，让机构可以有自己独立的品牌和域名独立运营。平台除了整合会员注册、课程购买、点播、直播等常规在线教育平台的功能,还整合了视频加密、打水印、跑马灯等视频保护技术。机构通过在线教育可以打造自己的线上运营品牌，积累自有的会员体系，对于线下有教学点的机构在线教学网站可以作为线下流量新的增长点和入口，并通过互联网无边界的传播覆盖来打破地域限制。</p>',0.7000);

#
# Structure for table "lecturer_audit"
#

CREATE TABLE `lecturer_audit` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `audit_status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '审核状态(0:待审核,1:审核通过,2:审核不通过)',
  `audit_opinion` varchar(1024) DEFAULT NULL COMMENT '审核意见',
  `lecturer_user_no` bigint(20) NOT NULL COMMENT '讲师用户编号',
  `lecturer_name` varchar(50) NOT NULL DEFAULT '' COMMENT '讲师名称',
  `lecturer_mobile` char(11) NOT NULL DEFAULT '' COMMENT '讲师手机',
  `lecturer_email` varchar(100) NOT NULL DEFAULT '' COMMENT '讲师邮箱',
  `position` varchar(50) DEFAULT NULL COMMENT '职位',
  `head_img_url` varchar(255) DEFAULT NULL COMMENT '头像',
  `introduce` varchar(2048) DEFAULT NULL COMMENT '简介',
  `lecturer_proportion` decimal(5,4) NOT NULL DEFAULT '0.0000' COMMENT '讲师分成比例',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='讲师信息-审核';

#
# Data for table "lecturer_audit"
#

INSERT INTO `lecturer_audit` VALUES (1064776676173942786,'2018-11-20 15:06:36','2018-11-20 15:06:36',1,1,1,'系统默认通过',2018112015051635,'领课','13800138001','13800138011@qq.com','','http://static-dev.roncoo.com/course/eddc844967ab43c0899f09ed36474969.ico','<p>广州市领课网络科技有限公司成立于2015年，由多名长期从事在线教育和互联网金融系统技术服务的行业精英共同创办。在互联网及大数据时代背景下，整合互联网技术及在线教育的优势，打造在线教育平台，为企业节省研发费用和时间，助力机构和讲师建立自己的在线教育品牌。</p><p>旗下的产品有“领课教育云”、“领课教育系统”和“龙果支付系统”，教育云主要提供平台运营服务，教育系统主要提供技术系统，支付系统主要提供互联网聚合支付系统的销售及对应的技术服务。</p><p>教育云是一个通用的SaaS教育云服务平台，可以单独为不同的机构设置不同的网站，让机构可以有自己独立的品牌和域名独立运营。平台除了整合会员注册、课程购买、点播、直播等常规在线教育平台的功能,还整合了视频加密、打水印、跑马灯等视频保护技术。机构通过在线教育可以打造自己的线上运营品牌，积累自有的会员体系，对于线下有教学点的机构在线教学网站可以作为线下流量新的增长点和入口，并通过互联网无边界的传播覆盖来打破地域限制。</p>',0.7000);

#
# Structure for table "lecturer_ext"
#

CREATE TABLE `lecturer_ext` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `lecturer_user_no` bigint(20) NOT NULL COMMENT '讲师用户编号',
  `total_income` decimal(11,2) NOT NULL COMMENT '总收入',
  `history_money` decimal(11,2) NOT NULL COMMENT '已提金额',
  `enable_balances` decimal(11,2) NOT NULL COMMENT '可提余额',
  `freeze_balances` decimal(11,2) NOT NULL COMMENT '冻结金额',
  `sign` char(32) NOT NULL COMMENT 'sign',
  `bank_card_no` varchar(255) DEFAULT NULL COMMENT '银行卡号',
  `bank_name` varchar(255) DEFAULT NULL COMMENT '银行名称',
  `bank_branch_name` varchar(255) DEFAULT NULL COMMENT '银行支行名称',
  `bank_user_name` varchar(255) DEFAULT NULL COMMENT '银行开户名',
  `bank_id_card_no` varchar(255) DEFAULT NULL COMMENT '银行身份证号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='讲师账户信息表';

#
# Data for table "lecturer_ext"
#

INSERT INTO `lecturer_ext` VALUES (1064776676232663041,'2018-11-20 15:06:36','2019-01-21 11:35:23',1,1,2018112015051635,7.91,0.00,7.91,0.00,'5a85c0a036b03ed8e14ccc58255a58cd',NULL,NULL,NULL,NULL,NULL);

#
# Structure for table "lecturer_profit"
#

CREATE TABLE `lecturer_profit` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `lecturer_user_no` bigint(20) NOT NULL COMMENT '讲师用户编号',
  `bank_card_no` varchar(255) NOT NULL COMMENT '银行卡号',
  `bank_name` varchar(255) NOT NULL COMMENT '银行名称',
  `bank_branch_name` varchar(255) NOT NULL COMMENT '银行支行名称',
  `bank_user_name` varchar(255) NOT NULL COMMENT '银行开户名',
  `bank_id_card_no` varchar(255) NOT NULL COMMENT '银行身份证号',
  `lecturer_profit` decimal(11,2) DEFAULT NULL COMMENT '讲师收入',
  `platform_profit` decimal(11,2) DEFAULT NULL COMMENT '平台收入',
  `profit_status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '分润状态（1确认中，2成功，3失败）',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='讲师提现日志表';

#
# Data for table "lecturer_profit"
#


#
# Structure for table "platform"
#

CREATE TABLE `platform` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `sort` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `client_id` char(34) NOT NULL DEFAULT '' COMMENT '客户端ID',
  `client_secret` char(32) NOT NULL DEFAULT '' COMMENT '客户端密匙',
  `client_name` varchar(50) NOT NULL DEFAULT '' COMMENT '客户端名称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_client_id` (`client_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='平台信息';

#
# Data for table "platform"
#

INSERT INTO `platform` VALUES (1013992693696151553,'2018-07-03 11:48:46','2018-07-03 11:48:46',1,1,'lkb65617f842ad4c37895a733b8de43cbb','16525ad4b35842679c17806ee86639a2','龙果教育','领课在线教育系统');

#
# Structure for table "region"
#

CREATE TABLE `region` (
  `id` bigint(20) unsigned NOT NULL COMMENT '主键',
  `parent_id` bigint(10) unsigned NOT NULL DEFAULT '0' COMMENT '父id',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '级别',
  `province_code` varchar(9) NOT NULL DEFAULT '' COMMENT '区域编码（国标）',
  `center_lng` decimal(12,9) NOT NULL COMMENT '中心经度',
  `center_lat` decimal(12,9) NOT NULL COMMENT '中心维度',
  `province_id` int(11) NOT NULL COMMENT '省Id',
  `province_name` varchar(50) NOT NULL COMMENT '省名称',
  `city_id` int(11) NOT NULL COMMENT '市Id',
  `city_code` varchar(50) NOT NULL DEFAULT '' COMMENT '城市编码',
  `city_name` varchar(50) NOT NULL DEFAULT '' COMMENT '市名称',
  `region_name` varchar(50) NOT NULL DEFAULT '' COMMENT '区域名称',
  `district_name` varchar(50) NOT NULL DEFAULT '' COMMENT '区名称',
  `merger_name` varchar(100) NOT NULL DEFAULT '' COMMENT '全路径名称',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='行政区域表';

#
# Data for table "region"
#

INSERT INTO `region` VALUES (1,0,0,'100000',116.368324400,39.915085000,0,' ',0,'',' ','中华人民共和国','',' '),(2,1,1,'110000',116.405285000,39.904989000,2,'北京市',0,'010','','北京市','','北京市'),(3,2,2,'110100',116.405285000,39.904989000,2,'北京市',3,'010','北京市市辖区','北京市市辖区','','北京市市辖区'),(4,3,3,'110101',116.418757000,39.917544000,2,'北京市',3,'010','北京市市辖区','东城区','东城区','北京市市辖区东城区'),(5,3,3,'110102',116.366794000,39.915309000,2,'北京市',3,'010','北京市市辖区','西城区','西城区','北京市市辖区西城区'),(6,3,3,'110105',116.486409000,39.921489000,2,'北京市',3,'010','北京市市辖区','朝阳区','朝阳区','北京市市辖区朝阳区'),(7,3,3,'110106',116.286968000,39.863642000,2,'北京市',3,'010','北京市市辖区','丰台区','丰台区','北京市市辖区丰台区'),(8,3,3,'110107',116.195445000,39.914601000,2,'北京市',3,'010','北京市市辖区','石景山区','石景山区','北京市市辖区石景山区'),(9,3,3,'110108',116.310316000,39.956074000,2,'北京市',3,'010','北京市市辖区','海淀区','海淀区','北京市市辖区海淀区'),(10,3,3,'110109',116.105381000,39.937183000,2,'北京市',3,'010','北京市市辖区','门头沟区','门头沟区','北京市市辖区门头沟区'),(11,3,3,'110111',116.139157000,39.735535000,2,'北京市',3,'010','北京市市辖区','房山区','房山区','北京市市辖区房山区'),(12,3,3,'110112',116.658603000,39.902486000,2,'北京市',3,'010','北京市市辖区','通州区','通州区','北京市市辖区通州区'),(13,3,3,'110113',116.653525000,40.128936000,2,'北京市',3,'010','北京市市辖区','顺义区','顺义区','北京市市辖区顺义区'),(14,3,3,'110114',116.235906000,40.218085000,2,'北京市',3,'010','北京市市辖区','昌平区','昌平区','北京市市辖区昌平区'),(15,3,3,'110115',116.338033000,39.728908000,2,'北京市',3,'010','北京市市辖区','大兴区','大兴区','北京市市辖区大兴区'),(16,3,3,'110116',116.637122000,40.324272000,2,'北京市',3,'010','北京市市辖区','怀柔区','怀柔区','北京市市辖区怀柔区'),(17,3,3,'110117',117.112335000,40.144783000,2,'北京市',3,'010','北京市市辖区','平谷区','平谷区','北京市市辖区平谷区'),(18,3,3,'110118',116.843352000,40.377362000,2,'北京市',3,'010','北京市市辖区','密云区','密云区','北京市市辖区密云区'),(19,3,3,'110119',115.985006000,40.465325000,2,'北京市',3,'010','北京市市辖区','延庆区','延庆区','北京市市辖区延庆区'),(20,1,1,'120000',117.190182000,39.125596000,20,'天津市',0,'022','','天津市','','天津市'),(21,20,2,'120100',117.190182000,39.125596000,20,'天津市',21,'022','天津市市辖区','天津市市辖区','','天津市市辖区'),(22,21,3,'120101',117.195907000,39.118327000,20,'天津市',21,'022','天津市市辖区','和平区','和平区','天津市市辖区和平区'),(23,21,3,'120102',117.226568000,39.122125000,20,'天津市',21,'022','天津市市辖区','河东区','河东区','天津市市辖区河东区'),(24,21,3,'120103',117.217536000,39.101897000,20,'天津市',21,'022','天津市市辖区','河西区','河西区','天津市市辖区河西区'),(25,21,3,'120104',117.164143000,39.120474000,20,'天津市',21,'022','天津市市辖区','南开区','南开区','天津市市辖区南开区'),(26,21,3,'120105',117.201569000,39.156632000,20,'天津市',21,'022','天津市市辖区','河北区','河北区','天津市市辖区河北区'),(27,21,3,'120106',117.163301000,39.175066000,20,'天津市',21,'022','天津市市辖区','红桥区','红桥区','天津市市辖区红桥区'),(28,21,3,'120110',117.313967000,39.087764000,20,'天津市',21,'022','天津市市辖区','东丽区','东丽区','天津市市辖区东丽区'),(29,21,3,'120111',117.012247000,39.139446000,20,'天津市',21,'022','天津市市辖区','西青区','西青区','天津市市辖区西青区'),(30,21,3,'120112',117.382549000,38.989577000,20,'天津市',21,'022','天津市市辖区','津南区','津南区','天津市市辖区津南区'),(31,21,3,'120113',117.134820000,39.225555000,20,'天津市',21,'022','天津市市辖区','北辰区','北辰区','天津市市辖区北辰区'),(32,21,3,'120114',117.057959000,39.376925000,20,'天津市',21,'022','天津市市辖区','武清区','武清区','天津市市辖区武清区'),(33,21,3,'120115',117.308094000,39.716965000,20,'天津市',21,'022','天津市市辖区','宝坻区','宝坻区','天津市市辖区宝坻区'),(34,21,3,'120116',117.654173000,39.032846000,20,'天津市',21,'022','天津市市辖区','滨海新区','滨海新区','天津市市辖区滨海新区'),(35,21,3,'120117',117.828280000,39.328886000,20,'天津市',21,'022','天津市市辖区','宁河区','宁河区','天津市市辖区宁河区'),(36,21,3,'120118',116.925304000,38.935671000,20,'天津市',21,'022','天津市市辖区','静海区','静海区','天津市市辖区静海区'),(37,21,3,'120119',117.407449000,40.045342000,20,'天津市',21,'022','天津市市辖区','蓟州区','蓟州区','天津市市辖区蓟州区'),(38,1,1,'130000',114.502461000,38.045474000,38,'河北省',0,'','','河北省','','河北省'),(39,38,2,'130100',114.502461000,38.045474000,38,'河北省',39,'0311','石家庄市','石家庄市','','河北省石家庄市'),(40,39,3,'130102',114.548151000,38.047501000,38,'河北省',39,'0311','石家庄市','长安区','长安区','河北省石家庄市长安区'),(41,39,3,'130104',114.462931000,38.028383000,38,'河北省',39,'0311','石家庄市','桥西区','桥西区','河北省石家庄市桥西区'),(42,39,3,'130105',114.465974000,38.067142000,38,'河北省',39,'0311','石家庄市','新华区','新华区','河北省石家庄市新华区'),(43,39,3,'130107',114.058178000,38.069748000,38,'河北省',39,'0311','石家庄市','井陉矿区','井陉矿区','河北省石家庄市井陉矿区'),(44,39,3,'130108',114.533257000,38.027696000,38,'河北省',39,'0311','石家庄市','裕华区','裕华区','河北省石家庄市裕华区'),(45,39,3,'130109',114.849647000,38.033767000,38,'河北省',39,'0311','石家庄市','藁城区','藁城区','河北省石家庄市藁城区'),(46,39,3,'130110',114.321023000,38.093994000,38,'河北省',39,'0311','石家庄市','鹿泉区','鹿泉区','河北省石家庄市鹿泉区'),(47,39,3,'130111',114.654281000,37.886911000,38,'河北省',39,'0311','石家庄市','栾城区','栾城区','河北省石家庄市栾城区'),(48,39,3,'130121',114.144488000,38.033614000,38,'河北省',39,'0311','石家庄市','井陉县','井陉县','河北省石家庄市井陉县'),(49,39,3,'130123',114.569887000,38.147835000,38,'河北省',39,'0311','石家庄市','正定县','正定县','河北省石家庄市正定县'),(50,39,3,'130125',114.552734000,38.437422000,38,'河北省',39,'0311','石家庄市','行唐县','行唐县','河北省石家庄市行唐县'),(51,39,3,'130126',114.379460000,38.306546000,38,'河北省',39,'0311','石家庄市','灵寿县','灵寿县','河北省石家庄市灵寿县'),(52,39,3,'130127',114.610699000,37.605714000,38,'河北省',39,'0311','石家庄市','高邑县','高邑县','河北省石家庄市高邑县'),(53,39,3,'130128',115.200207000,38.184540000,38,'河北省',39,'0311','石家庄市','深泽县','深泽县','河北省石家庄市深泽县'),(54,39,3,'130129',114.387756000,37.660199000,38,'河北省',39,'0311','石家庄市','赞皇县','赞皇县','河北省石家庄市赞皇县'),(55,39,3,'130130',114.977845000,38.176376000,38,'河北省',39,'0311','石家庄市','无极县','无极县','河北省石家庄市无极县'),(56,39,3,'130131',114.184144000,38.259311000,38,'河北省',39,'0311','石家庄市','平山县','平山县','河北省石家庄市平山县'),(57,39,3,'130132',114.526180000,37.762514000,38,'河北省',39,'0311','石家庄市','元氏县','元氏县','河北省石家庄市元氏县'),(58,39,3,'130133',114.775362000,37.754341000,38,'河北省',39,'0311','石家庄市','赵县','赵县','河北省石家庄市赵县'),(59,39,3,'130181',115.217451000,37.929040000,38,'河北省',39,'0311','石家庄市','辛集市','辛集市','河北省石家庄市辛集市'),(60,39,3,'130183',115.044886000,38.027478000,38,'河北省',39,'0311','石家庄市','晋州市','晋州市','河北省石家庄市晋州市'),(61,39,3,'130184',114.685780000,38.344768000,38,'河北省',39,'0311','石家庄市','新乐市','新乐市','河北省石家庄市新乐市'),(62,38,2,'130200',118.175393000,39.635113000,38,'河北省',62,'0315','唐山市','唐山市','','河北省唐山市'),(63,62,3,'130202',118.210821000,39.615162000,38,'河北省',62,'0315','唐山市','路南区','路南区','河北省唐山市路南区'),(64,62,3,'130203',118.174736000,39.628538000,38,'河北省',62,'0315','唐山市','路北区','路北区','河北省唐山市路北区'),(65,62,3,'130204',118.454290000,39.715736000,38,'河北省',62,'0315','唐山市','古冶区','古冶区','河北省唐山市古冶区'),(66,62,3,'130205',118.264425000,39.676171000,38,'河北省',62,'0315','唐山市','开平区','开平区','河北省唐山市开平区'),(67,62,3,'130207',118.110793000,39.563030000,38,'河北省',62,'0315','唐山市','丰南区','丰南区','河北省唐山市丰南区'),(68,62,3,'130208',118.155779000,39.831363000,38,'河北省',62,'0315','唐山市','丰润区','丰润区','河北省唐山市丰润区'),(69,62,3,'130209',118.446585000,39.278277000,38,'河北省',62,'0315','唐山市','曹妃甸区','曹妃甸区','河北省唐山市曹妃甸区'),(70,62,3,'130223',118.699547000,39.744851000,38,'河北省',62,'0315','唐山市','滦县','滦县','河北省唐山市滦县'),(71,62,3,'130224',118.681552000,39.506201000,38,'河北省',62,'0315','唐山市','滦南县','滦南县','河北省唐山市滦南县'),(72,62,3,'130225',118.905341000,39.428130000,38,'河北省',62,'0315','唐山市','乐亭县','乐亭县','河北省唐山市乐亭县'),(73,62,3,'130227',118.305139000,40.146238000,38,'河北省',62,'0315','唐山市','迁西县','迁西县','河北省唐山市迁西县'),(74,62,3,'130229',117.753665000,39.887323000,38,'河北省',62,'0315','唐山市','玉田县','玉田县','河北省唐山市玉田县'),(75,62,3,'130281',117.965875000,40.188616000,38,'河北省',62,'0315','唐山市','遵化市','遵化市','河北省唐山市遵化市'),(76,62,3,'130283',118.701933000,40.012108000,38,'河北省',62,'0315','唐山市','迁安市','迁安市','河北省唐山市迁安市'),(77,38,2,'130300',119.586579000,39.942531000,38,'河北省',77,'0335','秦皇岛市','秦皇岛市','','河北省秦皇岛市'),(78,77,3,'130302',119.596224000,39.943458000,38,'河北省',77,'0335','秦皇岛市','海港区','海港区','河北省秦皇岛市海港区'),(79,77,3,'130303',119.753591000,39.998023000,38,'河北省',77,'0335','秦皇岛市','山海关区','山海关区','河北省秦皇岛市山海关区'),(80,77,3,'130304',119.486286000,39.825121000,38,'河北省',77,'0335','秦皇岛市','北戴河区','北戴河区','河北省秦皇岛市北戴河区'),(81,77,3,'130321',118.954555000,40.406023000,38,'河北省',77,'0335','秦皇岛市','青龙满族自治县','青龙满族自治县','河北省秦皇岛市青龙满族自治县'),(82,77,3,'130322',119.164541000,39.709729000,38,'河北省',77,'0335','秦皇岛市','昌黎县','昌黎县','河北省秦皇岛市昌黎县'),(83,77,3,'130306',119.240651000,39.887053000,38,'河北省',77,'0335','秦皇岛市','抚宁区','抚宁区','河北省秦皇岛市抚宁区'),(84,77,3,'130324',118.881809000,39.891639000,38,'河北省',77,'0335','秦皇岛市','卢龙县','卢龙县','河北省秦皇岛市卢龙县'),(85,38,2,'130400',114.490686000,36.612273000,38,'河北省',85,'0310','邯郸市','邯郸市','','河北省邯郸市'),(86,85,3,'130402',114.484989000,36.603196000,38,'河北省',85,'0310','邯郸市','邯山区','邯山区','河北省邯郸市邯山区'),(87,85,3,'130403',114.494703000,36.611082000,38,'河北省',85,'0310','邯郸市','丛台区','丛台区','河北省邯郸市丛台区'),(88,85,3,'130404',114.458242000,36.615484000,38,'河北省',85,'0310','邯郸市','复兴区','复兴区','河北省邯郸市复兴区'),(89,85,3,'130406',114.209936000,36.420487000,38,'河北省',85,'0310','邯郸市','峰峰矿区','峰峰矿区','河北省邯郸市峰峰矿区'),(90,85,3,'130423',114.610703000,36.337604000,38,'河北省',85,'0310','邯郸市','临漳县','临漳县','河北省邯郸市临漳县'),(91,85,3,'130424',114.680356000,36.443832000,38,'河北省',85,'0310','邯郸市','成安县','成安县','河北省邯郸市成安县'),(92,85,3,'130425',115.152586000,36.283316000,38,'河北省',85,'0310','邯郸市','大名县','大名县','河北省邯郸市大名县'),(93,85,3,'130426',113.673297000,36.563143000,38,'河北省',85,'0310','邯郸市','涉县','涉县','河北省邯郸市涉县'),(94,85,3,'130427',114.382080000,36.367673000,38,'河北省',85,'0310','邯郸市','磁县','磁县','河北省邯郸市磁县'),(95,85,3,'130428',114.805154000,36.555778000,38,'河北省',85,'0310','邯郸市','肥乡区','肥乡区','河北省邯郸市肥乡区'),(96,85,3,'130429',114.496162000,36.776413000,38,'河北省',85,'0310','邯郸市','永年区','永年区','河北省邯郸市永年区'),(97,85,3,'130430',115.168584000,36.813250000,38,'河北省',85,'0310','邯郸市','邱县','邱县','河北省邯郸市邱县'),(98,85,3,'130431',114.878517000,36.914908000,38,'河北省',85,'0310','邯郸市','鸡泽县','鸡泽县','河北省邯郸市鸡泽县'),(99,85,3,'130432',114.950859000,36.483603000,38,'河北省',85,'0310','邯郸市','广平县','广平县','河北省邯郸市广平县'),(100,85,3,'130433',115.289057000,36.539461000,38,'河北省',85,'0310','邯郸市','馆陶县','馆陶县','河北省邯郸市馆陶县'),(101,85,3,'130434',114.934110000,36.354248000,38,'河北省',85,'0310','邯郸市','魏县','魏县','河北省邯郸市魏县'),(102,85,3,'130435',114.957588000,36.773398000,38,'河北省',85,'0310','邯郸市','曲周县','曲周县','河北省邯郸市曲周县'),(103,85,3,'130481',114.194581000,36.696115000,38,'河北省',85,'0310','邯郸市','武安市','武安市','河北省邯郸市武安市'),(104,38,2,'130500',114.508851000,37.068200000,38,'河北省',104,'0319','邢台市','邢台市','','河北省邢台市'),(105,104,3,'130502',114.507131000,37.064125000,38,'河北省',104,'0319','邢台市','桥东区','桥东区','河北省邢台市桥东区'),(106,104,3,'130503',114.473687000,37.068009000,38,'河北省',104,'0319','邢台市','桥西区','桥西区','河北省邢台市桥西区'),(107,104,3,'130521',114.561132000,37.050730000,38,'河北省',104,'0319','邢台市','邢台县','邢台县','河北省邢台市邢台县'),(108,104,3,'130522',114.506873000,37.444009000,38,'河北省',104,'0319','邢台市','临城县','临城县','河北省邢台市临城县'),(109,104,3,'130523',114.511523000,37.287663000,38,'河北省',104,'0319','邢台市','内丘县','内丘县','河北省邢台市内丘县'),(110,104,3,'130524',114.693382000,37.483596000,38,'河北省',104,'0319','邢台市','柏乡县','柏乡县','河北省邢台市柏乡县'),(111,104,3,'130525',114.776348000,37.350925000,38,'河北省',104,'0319','邢台市','隆尧县','隆尧县','河北省邢台市隆尧县'),(112,104,3,'130526',114.684469000,37.129952000,38,'河北省',104,'0319','邢台市','任县','任县','河北省邢台市任县'),(113,104,3,'130527',114.691377000,37.003812000,38,'河北省',104,'0319','邢台市','南和县','南和县','河北省邢台市南和县'),(114,104,3,'130528',114.921027000,37.618956000,38,'河北省',104,'0319','邢台市','宁晋县','宁晋县','河北省邢台市宁晋县'),(115,104,3,'130529',115.038782000,37.217680000,38,'河北省',104,'0319','邢台市','巨鹿县','巨鹿县','河北省邢台市巨鹿县'),(116,104,3,'130530',115.247537000,37.526216000,38,'河北省',104,'0319','邢台市','新河县','新河县','河北省邢台市新河县'),(117,104,3,'130531',115.142797000,37.075548000,38,'河北省',104,'0319','邢台市','广宗县','广宗县','河北省邢台市广宗县'),(118,104,3,'130532',115.029218000,37.069404000,38,'河北省',104,'0319','邢台市','平乡县','平乡县','河北省邢台市平乡县'),(119,104,3,'130533',115.272749000,36.983272000,38,'河北省',104,'0319','邢台市','威县','威县','河北省邢台市威县'),(120,104,3,'130534',115.668999000,37.059991000,38,'河北省',104,'0319','邢台市','清河县','清河县','河北省邢台市清河县'),(121,104,3,'130535',115.498684000,36.864200000,38,'河北省',104,'0319','邢台市','临西县','临西县','河北省邢台市临西县'),(122,104,3,'130581',115.398102000,37.359668000,38,'河北省',104,'0319','邢台市','南宫市','南宫市','河北省邢台市南宫市'),(123,104,3,'130582',114.504902000,36.861903000,38,'河北省',104,'0319','邢台市','沙河市','沙河市','河北省邢台市沙河市'),(124,38,2,'130600',115.482331000,38.867657000,38,'河北省',124,'0312','保定市','保定市','','河北省保定市'),(125,124,3,'130602',115.470659000,38.886620000,38,'河北省',124,'0312','保定市','竞秀区','竞秀区','河北省保定市竞秀区'),(126,124,3,'130606',115.500934000,38.865005000,38,'河北省',124,'0312','保定市','莲池区','莲池区','河北省保定市莲池区'),(127,124,3,'130607',115.324420000,38.951380000,38,'河北省',124,'0312','保定市','满城区','满城区','河北省保定市满城区'),(128,124,3,'130608',115.492221000,38.771012000,38,'河北省',124,'0312','保定市','清苑区','清苑区','河北省保定市清苑区'),(129,124,3,'130623',115.711985000,39.393148000,38,'河北省',124,'0312','保定市','涞水县','涞水县','河北省保定市涞水县'),(130,124,3,'130624',114.198801000,38.847276000,38,'河北省',124,'0312','保定市','阜平县','阜平县','河北省保定市阜平县'),(131,124,3,'130609',115.649410000,39.020395000,38,'河北省',124,'0312','保定市','徐水区','徐水区','河北省保定市徐水区'),(132,124,3,'130626',115.796895000,39.266195000,38,'河北省',124,'0312','保定市','定兴县','定兴县','河北省保定市定兴县'),(133,124,3,'130627',114.981241000,38.748542000,38,'河北省',124,'0312','保定市','唐县','唐县','河北省保定市唐县'),(134,124,3,'130628',115.778878000,38.690092000,38,'河北省',124,'0312','保定市','高阳县','高阳县','河北省保定市高阳县'),(135,124,3,'130629',115.866247000,39.052820000,38,'河北省',124,'0312','保定市','容城县','容城县','河北省保定市容城县'),(136,124,3,'130630',114.692567000,39.357550000,38,'河北省',124,'0312','保定市','涞源县','涞源县','河北省保定市涞源县'),(137,124,3,'130631',115.154009000,38.707448000,38,'河北省',124,'0312','保定市','望都县','望都县','河北省保定市望都县'),(138,124,3,'130632',115.931979000,38.929912000,38,'河北省',124,'0312','保定市','安新县','安新县','河北省保定市安新县'),(139,124,3,'130633',115.501146000,39.352970000,38,'河北省',124,'0312','保定市','易县','易县','河北省保定市易县'),(140,124,3,'130634',114.704055000,38.619992000,38,'河北省',124,'0312','保定市','曲阳县','曲阳县','河北省保定市曲阳县'),(141,124,3,'130635',115.583631000,38.496429000,38,'河北省',124,'0312','保定市','蠡县','蠡县','河北省保定市蠡县'),(142,124,3,'130636',115.132749000,38.845127000,38,'河北省',124,'0312','保定市','顺平县','顺平县','河北省保定市顺平县'),(143,124,3,'130637',115.461798000,38.458271000,38,'河北省',124,'0312','保定市','博野县','博野县','河北省保定市博野县'),(144,124,3,'130638',116.107474000,38.990819000,38,'河北省',124,'0312','保定市','雄县','雄县','河北省保定市雄县'),(145,124,3,'130681',115.973409000,39.485765000,38,'河北省',124,'0312','保定市','涿州市','涿州市','河北省保定市涿州市'),(146,124,3,'130682',114.991389000,38.517602000,38,'河北省',124,'0312','保定市','定州市','定州市','河北省保定市定州市'),(147,124,3,'130683',115.331410000,38.421367000,38,'河北省',124,'0312','保定市','安国市','安国市','河北省保定市安国市'),(148,124,3,'130684',115.882704000,39.327689000,38,'河北省',124,'0312','保定市','高碑店市','高碑店市','河北省保定市高碑店市'),(149,38,2,'130700',114.884091000,40.811901000,38,'河北省',149,'0313','张家口市','张家口市','','河北省张家口市'),(150,149,3,'130702',114.885658000,40.813875000,38,'河北省',149,'0313','张家口市','桥东区','桥东区','河北省张家口市桥东区'),(151,149,3,'130703',114.882127000,40.824385000,38,'河北省',149,'0313','张家口市','桥西区','桥西区','河北省张家口市桥西区'),(152,149,3,'130705',115.063200000,40.609368000,38,'河北省',149,'0313','张家口市','宣化区','宣化区','河北省张家口市宣化区'),(153,149,3,'130706',115.281002000,40.488645000,38,'河北省',149,'0313','张家口市','下花园区','下花园区','河北省张家口市下花园区'),(154,149,3,'130722',114.715951000,41.151713000,38,'河北省',149,'0313','张家口市','张北县','张北县','河北省张家口市张北县'),(155,149,3,'130723',114.615809000,41.850046000,38,'河北省',149,'0313','张家口市','康保县','康保县','河北省张家口市康保县'),(156,149,3,'130724',115.684836000,41.667419000,38,'河北省',149,'0313','张家口市','沽源县','沽源县','河北省张家口市沽源县'),(157,149,3,'130725',113.977713000,41.080091000,38,'河北省',149,'0313','张家口市','尚义县','尚义县','河北省张家口市尚义县'),(158,149,3,'130726',114.582695000,39.837181000,38,'河北省',149,'0313','张家口市','蔚县','蔚县','河北省张家口市蔚县'),(159,149,3,'130727',114.167343000,40.113419000,38,'河北省',149,'0313','张家口市','阳原县','阳原县','河北省张家口市阳原县'),(160,149,3,'130728',114.422364000,40.671274000,38,'河北省',149,'0313','张家口市','怀安县','怀安县','河北省张家口市怀安县'),(161,149,3,'130708',114.736131000,40.765136000,38,'河北省',149,'0313','张家口市','万全区','万全区','河北省张家口市万全区'),(162,149,3,'130730',115.520846000,40.405405000,38,'河北省',149,'0313','张家口市','怀来县','怀来县','河北省张家口市怀来县'),(163,149,3,'130731',115.219246000,40.378701000,38,'河北省',149,'0313','张家口市','涿鹿县','涿鹿县','河北省张家口市涿鹿县'),(164,149,3,'130732',115.832708000,40.912081000,38,'河北省',149,'0313','张家口市','赤城县','赤城县','河北省张家口市赤城县'),(165,149,3,'130709',115.281652000,40.971302000,38,'河北省',149,'0313','张家口市','崇礼区','崇礼区','河北省张家口市崇礼区'),(166,38,2,'130800',117.939152000,40.976204000,38,'河北省',166,'0314','承德市','承德市','','河北省承德市'),(167,166,3,'130802',117.939152000,40.976204000,38,'河北省',166,'0314','承德市','双桥区','双桥区','河北省承德市双桥区'),(168,166,3,'130803',117.797485000,40.959756000,38,'河北省',166,'0314','承德市','双滦区','双滦区','河北省承德市双滦区'),(169,166,3,'130804',117.661154000,40.546956000,38,'河北省',166,'0314','承德市','鹰手营子矿区','鹰手营子矿区','河北省承德市鹰手营子矿区'),(170,166,3,'130821',118.172496000,40.768637000,38,'河北省',166,'0314','承德市','承德县','承德县','河北省承德市承德县'),(171,166,3,'130822',117.507098000,40.418525000,38,'河北省',166,'0314','承德市','兴隆县','兴隆县','河北省承德市兴隆县'),(172,166,3,'130823',118.690238000,41.005610000,38,'河北省',166,'0314','承德市','平泉县','平泉县','河北省承德市平泉县'),(173,166,3,'130824',117.337124000,40.936644000,38,'河北省',166,'0314','承德市','滦平县','滦平县','河北省承德市滦平县'),(174,166,3,'130825',117.736343000,41.316667000,38,'河北省',166,'0314','承德市','隆化县','隆化县','河北省承德市隆化县'),(175,166,3,'130826',116.651210000,41.209903000,38,'河北省',166,'0314','承德市','丰宁满族自治县','丰宁满族自治县','河北省承德市丰宁满族自治县'),(176,166,3,'130827',118.488642000,40.607981000,38,'河北省',166,'0314','承德市','宽城满族自治县','宽城满族自治县','河北省承德市宽城满族自治县'),(177,166,3,'130828',117.764086000,41.949404000,38,'河北省',166,'0314','承德市','围场满族蒙古族自治县','围场满族蒙古族自治县','河北省承德市围场满族蒙古族自治县'),(178,38,2,'130900',116.857461000,38.310582000,38,'河北省',178,'0317','沧州市','沧州市','','河北省沧州市'),(179,178,3,'130902',116.873049000,38.308273000,38,'河北省',178,'0317','沧州市','新华区','新华区','河北省沧州市新华区'),(180,178,3,'130903',116.840063000,38.307405000,38,'河北省',178,'0317','沧州市','运河区','运河区','河北省沧州市运河区'),(181,178,3,'130921',117.007478000,38.219856000,38,'河北省',178,'0317','沧州市','沧县','沧县','河北省沧州市沧县'),(182,178,3,'130922',116.838384000,38.569646000,38,'河北省',178,'0317','沧州市','青县','青县','河北省沧州市青县'),(183,178,3,'130923',116.542062000,37.886550000,38,'河北省',178,'0317','沧州市','东光县','东光县','河北省沧州市东光县'),(184,178,3,'130924',117.496606000,38.141582000,38,'河北省',178,'0317','沧州市','海兴县','海兴县','河北省沧州市海兴县'),(185,178,3,'130925',117.229814000,38.056141000,38,'河北省',178,'0317','沧州市','盐山县','盐山县','河北省沧州市盐山县'),(186,178,3,'130926',115.835856000,38.427102000,38,'河北省',178,'0317','沧州市','肃宁县','肃宁县','河北省沧州市肃宁县'),(187,178,3,'130927',116.709171000,38.042439000,38,'河北省',178,'0317','沧州市','南皮县','南皮县','河北省沧州市南皮县'),(188,178,3,'130928',116.391512000,37.628182000,38,'河北省',178,'0317','沧州市','吴桥县','吴桥县','河北省沧州市吴桥县'),(189,178,3,'130929',116.123844000,38.189661000,38,'河北省',178,'0317','沧州市','献县','献县','河北省沧州市献县'),(190,178,3,'130930',117.105104000,38.057953000,38,'河北省',178,'0317','沧州市','孟村回族自治县','孟村回族自治县','河北省沧州市孟村回族自治县'),(191,178,3,'130981',116.570163000,38.073479000,38,'河北省',178,'0317','沧州市','泊头市','泊头市','河北省沧州市泊头市'),(192,178,3,'130982',116.106764000,38.706513000,38,'河北省',178,'0317','沧州市','任丘市','任丘市','河北省沧州市任丘市'),(193,178,3,'130983',117.343803000,38.369238000,38,'河北省',178,'0317','沧州市','黄骅市','黄骅市','河北省沧州市黄骅市'),(194,178,3,'130984',116.089452000,38.441490000,38,'河北省',178,'0317','沧州市','河间市','河间市','河北省沧州市河间市'),(195,38,2,'131000',116.704441000,39.523927000,38,'河北省',195,'0316','廊坊市','廊坊市','','河北省廊坊市'),(196,195,3,'131002',116.694544000,39.502569000,38,'河北省',195,'0316','廊坊市','安次区','安次区','河北省廊坊市安次区'),(197,195,3,'131003',116.713708000,39.521931000,38,'河北省',195,'0316','廊坊市','广阳区','广阳区','河北省廊坊市广阳区'),(198,195,3,'131022',116.299894000,39.436468000,38,'河北省',195,'0316','廊坊市','固安县','固安县','河北省廊坊市固安县'),(199,195,3,'131023',116.498089000,39.319717000,38,'河北省',195,'0316','廊坊市','永清县','永清县','河北省廊坊市永清县'),(200,195,3,'131024',117.007161000,39.757212000,38,'河北省',195,'0316','廊坊市','香河县','香河县','河北省廊坊市香河县'),(201,195,3,'131025',116.640735000,38.699215000,38,'河北省',195,'0316','廊坊市','大城县','大城县','河北省廊坊市大城县'),(202,195,3,'131026',116.460107000,38.866801000,38,'河北省',195,'0316','廊坊市','文安县','文安县','河北省廊坊市文安县'),(203,195,3,'131028',116.986501000,39.889266000,38,'河北省',195,'0316','廊坊市','大厂回族自治县','大厂回族自治县','河北省廊坊市大厂回族自治县'),(204,195,3,'131081',116.392021000,39.117331000,38,'河北省',195,'0316','廊坊市','霸州市','霸州市','河北省廊坊市霸州市'),(205,195,3,'131082',117.077018000,39.982778000,38,'河北省',195,'0316','廊坊市','三河市','三河市','河北省廊坊市三河市'),(206,38,2,'131100',115.665993000,37.735097000,38,'河北省',206,'0318','衡水市','衡水市','','河北省衡水市'),(207,206,3,'131102',115.694945000,37.732237000,38,'河北省',206,'0318','衡水市','桃城区','桃城区','河北省衡水市桃城区'),(208,206,3,'131121',115.726499000,37.511512000,38,'河北省',206,'0318','衡水市','枣强县','枣强县','河北省衡水市枣强县'),(209,206,3,'131122',115.892415000,37.803774000,38,'河北省',206,'0318','衡水市','武邑县','武邑县','河北省衡水市武邑县'),(210,206,3,'131123',115.970236000,38.036980000,38,'河北省',206,'0318','衡水市','武强县','武强县','河北省衡水市武强县'),(211,206,3,'131124',115.726577000,38.232671000,38,'河北省',206,'0318','衡水市','饶阳县','饶阳县','河北省衡水市饶阳县'),(212,206,3,'131125',115.519627000,38.233511000,38,'河北省',206,'0318','衡水市','安平县','安平县','河北省衡水市安平县'),(213,206,3,'131126',115.966747000,37.350981000,38,'河北省',206,'0318','衡水市','故城县','故城县','河北省衡水市故城县'),(214,206,3,'131127',116.258446000,37.686622000,38,'河北省',206,'0318','衡水市','景县','景县','河北省衡水市景县'),(215,206,3,'131128',116.164727000,37.869945000,38,'河北省',206,'0318','衡水市','阜城县','阜城县','河北省衡水市阜城县'),(216,206,3,'131103',115.579173000,37.542788000,38,'河北省',206,'0318','衡水市','冀州区','冀州区','河北省衡水市冀州区'),(217,206,3,'131182',115.554596000,38.003470000,38,'河北省',206,'0318','衡水市','深州市','深州市','河北省衡水市深州市'),(218,1,1,'140000',112.549248000,37.857014000,218,'山西省',0,'','','山西省','','山西省'),(219,218,2,'140100',112.549248000,37.857014000,218,'山西省',219,'0351','太原市','太原市','','山西省太原市'),(220,219,3,'140105',112.564273000,37.817974000,218,'山西省',219,'0351','太原市','小店区','小店区','山西省太原市小店区'),(221,219,3,'140106',112.558851000,37.855804000,218,'山西省',219,'0351','太原市','迎泽区','迎泽区','山西省太原市迎泽区'),(222,219,3,'140107',112.560743000,37.879291000,218,'山西省',219,'0351','太原市','杏花岭区','杏花岭区','山西省太原市杏花岭区'),(223,219,3,'140108',112.487122000,37.939893000,218,'山西省',219,'0351','太原市','尖草坪区','尖草坪区','山西省太原市尖草坪区'),(224,219,3,'140109',112.522258000,37.862653000,218,'山西省',219,'0351','太原市','万柏林区','万柏林区','山西省太原市万柏林区'),(225,219,3,'140110',112.477849000,37.715619000,218,'山西省',219,'0351','太原市','晋源区','晋源区','山西省太原市晋源区'),(226,219,3,'140121',112.357961000,37.607290000,218,'山西省',219,'0351','太原市','清徐县','清徐县','山西省太原市清徐县'),(227,219,3,'140122',112.673818000,38.058797000,218,'山西省',219,'0351','太原市','阳曲县','阳曲县','山西省太原市阳曲县'),(228,219,3,'140123',111.793798000,38.066035000,218,'山西省',219,'0351','太原市','娄烦县','娄烦县','山西省太原市娄烦县'),(229,219,3,'140181',112.174353000,37.908534000,218,'山西省',219,'0351','太原市','古交市','古交市','山西省太原市古交市'),(230,218,2,'140200',113.295259000,40.090310000,218,'山西省',230,'0352','大同市','大同市','','山西省大同市'),(231,230,3,'140202',113.301438000,40.090511000,218,'山西省',230,'0352','大同市','城区','城区','山西省大同市城区'),(232,230,3,'140203',113.168656000,40.036260000,218,'山西省',230,'0352','大同市','矿区','矿区','山西省大同市矿区'),(233,230,3,'140211',113.168920000,40.018020000,218,'山西省',230,'0352','大同市','南郊区','南郊区','山西省大同市南郊区'),(234,230,3,'140212',113.141044000,40.258269000,218,'山西省',230,'0352','大同市','新荣区','新荣区','山西省大同市新荣区'),(235,230,3,'140221',113.749871000,40.364927000,218,'山西省',230,'0352','大同市','阳高县','阳高县','山西省大同市阳高县'),(236,230,3,'140222',114.091120000,40.421336000,218,'山西省',230,'0352','大同市','天镇县','天镇县','山西省大同市天镇县'),(237,230,3,'140223',114.279252000,39.763051000,218,'山西省',230,'0352','大同市','广灵县','广灵县','山西省大同市广灵县'),(238,230,3,'140224',114.235760000,39.438867000,218,'山西省',230,'0352','大同市','灵丘县','灵丘县','山西省大同市灵丘县'),(239,230,3,'140225',113.698091000,39.699099000,218,'山西省',230,'0352','大同市','浑源县','浑源县','山西省大同市浑源县'),(240,230,3,'140226',112.706410000,40.012873000,218,'山西省',230,'0352','大同市','左云县','左云县','山西省大同市左云县'),(241,230,3,'140227',113.611306000,40.039345000,218,'山西省',230,'0352','大同市','大同县','大同县','山西省大同市大同县'),(242,218,2,'140300',113.583285000,37.861188000,218,'山西省',242,'0353','阳泉市','阳泉市','','山西省阳泉市'),(243,242,3,'140302',113.586513000,37.860938000,218,'山西省',242,'0353','阳泉市','城区','城区','山西省阳泉市城区'),(244,242,3,'140303',113.559066000,37.870085000,218,'山西省',242,'0353','阳泉市','矿区','矿区','山西省阳泉市矿区'),(245,242,3,'140311',113.586640000,37.940960000,218,'山西省',242,'0353','阳泉市','郊区','郊区','山西省阳泉市郊区'),(246,242,3,'140321',113.631049000,37.800289000,218,'山西省',242,'0353','阳泉市','平定县','平定县','山西省阳泉市平定县'),(247,242,3,'140322',113.412230000,38.086131000,218,'山西省',242,'0353','阳泉市','盂县','盂县','山西省阳泉市盂县'),(248,218,2,'140400',113.113556000,36.191112000,218,'山西省',248,'0355','长治市','长治市','','山西省长治市'),(249,248,3,'140402',113.114107000,36.187896000,218,'山西省',248,'0355','长治市','城区','城区','山西省长治市城区'),(250,248,3,'140411',113.101211000,36.218388000,218,'山西省',248,'0355','长治市','郊区','郊区','山西省长治市郊区'),(251,248,3,'140421',113.056679000,36.052438000,218,'山西省',248,'0355','长治市','长治县','长治县','山西省长治市长治县'),(252,248,3,'140423',113.050094000,36.532854000,218,'山西省',248,'0355','长治市','襄垣县','襄垣县','山西省长治市襄垣县'),(253,248,3,'140424',112.892741000,36.314072000,218,'山西省',248,'0355','长治市','屯留县','屯留县','山西省长治市屯留县'),(254,248,3,'140425',113.438791000,36.200202000,218,'山西省',248,'0355','长治市','平顺县','平顺县','山西省长治市平顺县'),(255,248,3,'140426',113.387366000,36.502971000,218,'山西省',248,'0355','长治市','黎城县','黎城县','山西省长治市黎城县'),(256,248,3,'140427',113.206138000,36.110938000,218,'山西省',248,'0355','长治市','壶关县','壶关县','山西省长治市壶关县'),(257,248,3,'140428',112.884656000,36.119484000,218,'山西省',248,'0355','长治市','长子县','长子县','山西省长治市长子县'),(258,248,3,'140429',112.865300000,36.834315000,218,'山西省',248,'0355','长治市','武乡县','武乡县','山西省长治市武乡县'),(259,248,3,'140430',112.701380000,36.757123000,218,'山西省',248,'0355','长治市','沁县','沁县','山西省长治市沁县'),(260,248,3,'140431',112.340878000,36.500777000,218,'山西省',248,'0355','长治市','沁源县','沁源县','山西省长治市沁源县'),(261,248,3,'140481',113.223245000,36.332233000,218,'山西省',248,'0355','长治市','潞城市','潞城市','山西省长治市潞城市'),(262,218,2,'140500',112.851274000,35.497553000,218,'山西省',262,'0356','晋城市','晋城市','','山西省晋城市'),(263,262,3,'140502',112.853106000,35.496641000,218,'山西省',262,'0356','晋城市','城区','城区','山西省晋城市城区'),(264,262,3,'140521',112.187213000,35.689472000,218,'山西省',262,'0356','晋城市','沁水县','沁水县','山西省晋城市沁水县'),(265,262,3,'140522',112.422014000,35.482177000,218,'山西省',262,'0356','晋城市','阳城县','阳城县','山西省晋城市阳城县'),(266,262,3,'140524',113.278877000,35.775614000,218,'山西省',262,'0356','晋城市','陵川县','陵川县','山西省晋城市陵川县'),(267,262,3,'140525',112.899137000,35.617221000,218,'山西省',262,'0356','晋城市','泽州县','泽州县','山西省晋城市泽州县'),(268,262,3,'140581',112.930691000,35.791355000,218,'山西省',262,'0356','晋城市','高平市','高平市','山西省晋城市高平市'),(269,218,2,'140600',112.433387000,39.331261000,218,'山西省',269,'0349','朔州市','朔州市','','山西省朔州市'),(270,269,3,'140602',112.428676000,39.324525000,218,'山西省',269,'0349','朔州市','朔城区','朔城区','山西省朔州市朔城区'),(271,269,3,'140603',112.295227000,39.515603000,218,'山西省',269,'0349','朔州市','平鲁区','平鲁区','山西省朔州市平鲁区'),(272,269,3,'140621',112.816396000,39.526770000,218,'山西省',269,'0349','朔州市','山阴县','山阴县','山西省朔州市山阴县'),(273,269,3,'140622',113.187505000,39.559187000,218,'山西省',269,'0349','朔州市','应县','应县','山西省朔州市应县'),(274,269,3,'140623',112.465588000,39.988812000,218,'山西省',269,'0349','朔州市','右玉县','右玉县','山西省朔州市右玉县'),(275,269,3,'140624',113.100512000,39.820790000,218,'山西省',269,'0349','朔州市','怀仁县','怀仁县','山西省朔州市怀仁县'),(276,218,2,'140700',112.736465000,37.696495000,218,'山西省',276,'0354','晋中市','晋中市','','山西省晋中市'),(277,276,3,'140702',112.740056000,37.697600000,218,'山西省',276,'0354','晋中市','榆次区','榆次区','山西省晋中市榆次区'),(278,276,3,'140721',112.973521000,37.069019000,218,'山西省',276,'0354','晋中市','榆社县','榆社县','山西省晋中市榆社县'),(279,276,3,'140722',113.377834000,37.079672000,218,'山西省',276,'0354','晋中市','左权县','左权县','山西省晋中市左权县'),(280,276,3,'140723',113.572919000,37.327027000,218,'山西省',276,'0354','晋中市','和顺县','和顺县','山西省晋中市和顺县'),(281,276,3,'140724',113.706166000,37.604370000,218,'山西省',276,'0354','晋中市','昔阳县','昔阳县','山西省晋中市昔阳县'),(282,276,3,'140725',113.177708000,37.891136000,218,'山西省',276,'0354','晋中市','寿阳县','寿阳县','山西省晋中市寿阳县'),(283,276,3,'140726',112.554103000,37.424595000,218,'山西省',276,'0354','晋中市','太谷县','太谷县','山西省晋中市太谷县'),(284,276,3,'140727',112.330532000,37.358739000,218,'山西省',276,'0354','晋中市','祁县','祁县','山西省晋中市祁县'),(285,276,3,'140728',112.174059000,37.195474000,218,'山西省',276,'0354','晋中市','平遥县','平遥县','山西省晋中市平遥县'),(286,276,3,'140729',111.772759000,36.847469000,218,'山西省',276,'0354','晋中市','灵石县','灵石县','山西省晋中市灵石县'),(287,276,3,'140781',111.913857000,37.027616000,218,'山西省',276,'0354','晋中市','介休市','介休市','山西省晋中市介休市'),(288,218,2,'140800',111.003957000,35.022778000,218,'山西省',288,'0359','运城市','运城市','','山西省运城市'),(289,288,3,'140802',111.000627000,35.025643000,218,'山西省',288,'0359','运城市','盐湖区','盐湖区','山西省运城市盐湖区'),(290,288,3,'140821',110.774930000,35.141883000,218,'山西省',288,'0359','运城市','临猗县','临猗县','山西省运城市临猗县'),(291,288,3,'140822',110.843561000,35.417042000,218,'山西省',288,'0359','运城市','万荣县','万荣县','山西省运城市万荣县'),(292,288,3,'140823',111.220306000,35.353839000,218,'山西省',288,'0359','运城市','闻喜县','闻喜县','山西省运城市闻喜县'),(293,288,3,'140824',110.978996000,35.600412000,218,'山西省',288,'0359','运城市','稷山县','稷山县','山西省运城市稷山县'),(294,288,3,'140825',111.225205000,35.613697000,218,'山西省',288,'0359','运城市','新绛县','新绛县','山西省运城市新绛县'),(295,288,3,'140826',111.576182000,35.490450000,218,'山西省',288,'0359','运城市','绛县','绛县','山西省运城市绛县'),(296,288,3,'140827',111.670990000,35.298293000,218,'山西省',288,'0359','运城市','垣曲县','垣曲县','山西省运城市垣曲县'),(297,288,3,'140828',111.223174000,35.140441000,218,'山西省',288,'0359','运城市','夏县','夏县','山西省运城市夏县'),(298,288,3,'140829',111.212377000,34.837256000,218,'山西省',288,'0359','运城市','平陆县','平陆县','山西省运城市平陆县'),(299,288,3,'140830',110.691140000,34.694769000,218,'山西省',288,'0359','运城市','芮城县','芮城县','山西省运城市芮城县'),(300,288,3,'140881',110.447984000,34.865125000,218,'山西省',288,'0359','运城市','永济市','永济市','山西省运城市永济市'),(301,288,3,'140882',110.710268000,35.597150000,218,'山西省',288,'0359','运城市','河津市','河津市','山西省运城市河津市'),(302,218,2,'140900',112.733538000,38.417690000,218,'山西省',302,'0350','忻州市','忻州市','','山西省忻州市'),(303,302,3,'140902',112.734112000,38.417743000,218,'山西省',302,'0350','忻州市','忻府区','忻府区','山西省忻州市忻府区'),(304,302,3,'140921',112.963231000,38.484948000,218,'山西省',302,'0350','忻州市','定襄县','定襄县','山西省忻州市定襄县'),(305,302,3,'140922',113.259012000,38.725711000,218,'山西省',302,'0350','忻州市','五台县','五台县','山西省忻州市五台县'),(306,302,3,'140923',112.962519000,39.065138000,218,'山西省',302,'0350','忻州市','代县','代县','山西省忻州市代县'),(307,302,3,'140924',113.267707000,39.188104000,218,'山西省',302,'0350','忻州市','繁峙县','繁峙县','山西省忻州市繁峙县'),(308,302,3,'140925',112.307936000,39.001718000,218,'山西省',302,'0350','忻州市','宁武县','宁武县','山西省忻州市宁武县'),(309,302,3,'140926',111.940231000,38.355947000,218,'山西省',302,'0350','忻州市','静乐县','静乐县','山西省忻州市静乐县'),(310,302,3,'140927',112.200438000,39.088467000,218,'山西省',302,'0350','忻州市','神池县','神池县','山西省忻州市神池县'),(311,302,3,'140928',111.841015000,38.912761000,218,'山西省',302,'0350','忻州市','五寨县','五寨县','山西省忻州市五寨县'),(312,302,3,'140929',111.569810000,38.705625000,218,'山西省',302,'0350','忻州市','岢岚县','岢岚县','山西省忻州市岢岚县'),(313,302,3,'140930',111.146609000,39.381895000,218,'山西省',302,'0350','忻州市','河曲县','河曲县','山西省忻州市河曲县'),(314,302,3,'140931',111.085688000,39.022576000,218,'山西省',302,'0350','忻州市','保德县','保德县','山西省忻州市保德县'),(315,302,3,'140932',111.500477000,39.442153000,218,'山西省',302,'0350','忻州市','偏关县','偏关县','山西省忻州市偏关县'),(316,302,3,'140981',112.713132000,38.729186000,218,'山西省',302,'0350','忻州市','原平市','原平市','山西省忻州市原平市'),(317,218,2,'141000',111.517973000,36.084150000,218,'山西省',317,'0357','临汾市','临汾市','','山西省临汾市'),(318,317,3,'141002',111.522945000,36.080366000,218,'山西省',317,'0357','临汾市','尧都区','尧都区','山西省临汾市尧都区'),(319,317,3,'141021',111.475529000,35.641387000,218,'山西省',317,'0357','临汾市','曲沃县','曲沃县','山西省临汾市曲沃县'),(320,317,3,'141022',111.713508000,35.738621000,218,'山西省',317,'0357','临汾市','翼城县','翼城县','山西省临汾市翼城县'),(321,317,3,'141023',111.442932000,35.876139000,218,'山西省',317,'0357','临汾市','襄汾县','襄汾县','山西省临汾市襄汾县'),(322,317,3,'141024',111.673692000,36.255742000,218,'山西省',317,'0357','临汾市','洪洞县','洪洞县','山西省临汾市洪洞县'),(323,317,3,'141025',111.920207000,36.268550000,218,'山西省',317,'0357','临汾市','古县','古县','山西省临汾市古县'),(324,317,3,'141026',112.251372000,36.146032000,218,'山西省',317,'0357','临汾市','安泽县','安泽县','山西省临汾市安泽县'),(325,317,3,'141027',111.850039000,35.971359000,218,'山西省',317,'0357','临汾市','浮山县','浮山县','山西省临汾市浮山县'),(326,317,3,'141028',110.682853000,36.099355000,218,'山西省',317,'0357','临汾市','吉县','吉县','山西省临汾市吉县'),(327,317,3,'141029',110.857365000,35.975402000,218,'山西省',317,'0357','临汾市','乡宁县','乡宁县','山西省临汾市乡宁县'),(328,317,3,'141030',110.751283000,36.463830000,218,'山西省',317,'0357','临汾市','大宁县','大宁县','山西省临汾市大宁县'),(329,317,3,'141031',110.935809000,36.692675000,218,'山西省',317,'0357','临汾市','隰县','隰县','山西省临汾市隰县'),(330,317,3,'141032',110.631276000,36.760614000,218,'山西省',317,'0357','临汾市','永和县','永和县','山西省临汾市永和县'),(331,317,3,'141033',111.097330000,36.411682000,218,'山西省',317,'0357','临汾市','蒲县','蒲县','山西省临汾市蒲县'),(332,317,3,'141034',111.563021000,36.653368000,218,'山西省',317,'0357','临汾市','汾西县','汾西县','山西省临汾市汾西县'),(333,317,3,'141081',111.371272000,35.620302000,218,'山西省',317,'0357','临汾市','侯马市','侯马市','山西省临汾市侯马市'),(334,317,3,'141082',111.723103000,36.572020000,218,'山西省',317,'0357','临汾市','霍州市','霍州市','山西省临汾市霍州市'),(335,218,2,'141100',111.134335000,37.524366000,218,'山西省',335,'0358','吕梁市','吕梁市','','山西省吕梁市'),(336,335,3,'141102',111.134462000,37.524037000,218,'山西省',335,'0358','吕梁市','离石区','离石区','山西省吕梁市离石区'),(337,335,3,'141121',112.032595000,37.436314000,218,'山西省',335,'0358','吕梁市','文水县','文水县','山西省吕梁市文水县'),(338,335,3,'141122',112.159154000,37.555155000,218,'山西省',335,'0358','吕梁市','交城县','交城县','山西省吕梁市交城县'),(339,335,3,'141123',111.124816000,38.464136000,218,'山西省',335,'0358','吕梁市','兴县','兴县','山西省吕梁市兴县'),(340,335,3,'141124',110.995963000,37.960806000,218,'山西省',335,'0358','吕梁市','临县','临县','山西省吕梁市临县'),(341,335,3,'141125',110.896130000,37.431664000,218,'山西省',335,'0358','吕梁市','柳林县','柳林县','山西省吕梁市柳林县'),(342,335,3,'141126',110.837119000,36.999426000,218,'山西省',335,'0358','吕梁市','石楼县','石楼县','山西省吕梁市石楼县'),(343,335,3,'141127',111.671555000,38.278654000,218,'山西省',335,'0358','吕梁市','岚县','岚县','山西省吕梁市岚县'),(344,335,3,'141128',111.238885000,37.892632000,218,'山西省',335,'0358','吕梁市','方山县','方山县','山西省吕梁市方山县'),(345,335,3,'141129',111.193319000,37.342054000,218,'山西省',335,'0358','吕梁市','中阳县','中阳县','山西省吕梁市中阳县'),(346,335,3,'141130',111.183188000,36.983068000,218,'山西省',335,'0358','吕梁市','交口县','交口县','山西省吕梁市交口县'),(347,335,3,'141181',111.781568000,37.144474000,218,'山西省',335,'0358','吕梁市','孝义市','孝义市','山西省吕梁市孝义市'),(348,335,3,'141182',111.785273000,37.267742000,218,'山西省',335,'0358','吕梁市','汾阳市','汾阳市','山西省吕梁市汾阳市'),(349,1,1,'150000',111.670801000,40.818311000,349,'内蒙古自治区',0,'','','内蒙古自治区','','内蒙古自治区'),(350,349,2,'150100',111.670801000,40.818311000,349,'内蒙古自治区',350,'0471','呼和浩特市','呼和浩特市','','内蒙古自治区呼和浩特市'),(351,350,3,'150102',111.685964000,40.826225000,349,'内蒙古自治区',350,'0471','呼和浩特市','新城区','新城区','内蒙古自治区呼和浩特市新城区'),(352,350,3,'150103',111.662162000,40.815149000,349,'内蒙古自治区',350,'0471','呼和浩特市','回民区','回民区','内蒙古自治区呼和浩特市回民区'),(353,350,3,'150104',111.665430000,40.799421000,349,'内蒙古自治区',350,'0471','呼和浩特市','玉泉区','玉泉区','内蒙古自治区呼和浩特市玉泉区'),(354,350,3,'150105',111.698463000,40.807834000,349,'内蒙古自治区',350,'0471','呼和浩特市','赛罕区','赛罕区','内蒙古自治区呼和浩特市赛罕区'),(355,350,3,'150121',111.133615000,40.720416000,349,'内蒙古自治区',350,'0471','呼和浩特市','土默特左旗','土默特左旗','内蒙古自治区呼和浩特市土默特左旗'),(356,350,3,'150122',111.197317000,40.276729000,349,'内蒙古自治区',350,'0471','呼和浩特市','托克托县','托克托县','内蒙古自治区呼和浩特市托克托县'),(357,350,3,'150123',111.824143000,40.380288000,349,'内蒙古自治区',350,'0471','呼和浩特市','和林格尔县','和林格尔县','内蒙古自治区呼和浩特市和林格尔县'),(358,350,3,'150124',111.672220000,39.912479000,349,'内蒙古自治区',350,'0471','呼和浩特市','清水河县','清水河县','内蒙古自治区呼和浩特市清水河县'),(359,350,3,'150125',111.456563000,41.094483000,349,'内蒙古自治区',350,'0471','呼和浩特市','武川县','武川县','内蒙古自治区呼和浩特市武川县'),(360,349,2,'150200',109.840405000,40.658168000,349,'内蒙古自治区',360,'0472','包头市','包头市','','内蒙古自治区包头市'),(361,360,3,'150202',110.026895000,40.587056000,349,'内蒙古自治区',360,'0472','包头市','东河区','东河区','内蒙古自治区包头市东河区'),(362,360,3,'150203',109.822932000,40.661345000,349,'内蒙古自治区',360,'0472','包头市','昆都仑区','昆都仑区','内蒙古自治区包头市昆都仑区'),(363,360,3,'150204',109.880049000,40.668558000,349,'内蒙古自治区',360,'0472','包头市','青山区','青山区','内蒙古自治区包头市青山区'),(364,360,3,'150205',110.272565000,40.672094000,349,'内蒙古自治区',360,'0472','包头市','石拐区','石拐区','内蒙古自治区包头市石拐区'),(365,360,3,'150206',109.970160000,41.769246000,349,'内蒙古自治区',360,'0472','包头市','白云鄂博矿区','白云鄂博矿区','内蒙古自治区包头市白云鄂博矿区'),(366,360,3,'150207',109.968122000,40.600581000,349,'内蒙古自治区',360,'0472','包头市','九原区','九原区','内蒙古自治区包头市九原区'),(367,360,3,'150221',110.526766000,40.566434000,349,'内蒙古自治区',360,'0472','包头市','土默特右旗','土默特右旗','内蒙古自治区包头市土默特右旗'),(368,360,3,'150222',110.063421000,41.030004000,349,'内蒙古自治区',360,'0472','包头市','固阳县','固阳县','内蒙古自治区包头市固阳县'),(369,360,3,'150223',110.438452000,41.702836000,349,'内蒙古自治区',360,'0472','包头市','达尔罕茂明安联合旗','达尔罕茂明安联合旗','内蒙古自治区包头市达尔罕茂明安联合旗'),(370,349,2,'150300',106.825563000,39.673734000,349,'内蒙古自治区',370,'0473','乌海市','乌海市','','内蒙古自治区乌海市'),(371,370,3,'150302',106.817762000,39.673527000,349,'内蒙古自治区',370,'0473','乌海市','海勃湾区','海勃湾区','内蒙古自治区乌海市海勃湾区'),(372,370,3,'150303',106.884789000,39.441530000,349,'内蒙古自治区',370,'0473','乌海市','海南区','海南区','内蒙古自治区乌海市海南区'),(373,370,3,'150304',106.722711000,39.502288000,349,'内蒙古自治区',370,'0473','乌海市','乌达区','乌达区','内蒙古自治区乌海市乌达区'),(374,349,2,'150400',118.956806000,42.275317000,349,'内蒙古自治区',374,'0476','赤峰市','赤峰市','','内蒙古自治区赤峰市'),(375,374,3,'150402',118.961087000,42.269732000,349,'内蒙古自治区',374,'0476','赤峰市','红山区','红山区','内蒙古自治区赤峰市红山区'),(376,374,3,'150403',119.289877000,42.041168000,349,'内蒙古自治区',374,'0476','赤峰市','元宝山区','元宝山区','内蒙古自治区赤峰市元宝山区'),(377,374,3,'150404',118.938958000,42.281046000,349,'内蒙古自治区',374,'0476','赤峰市','松山区','松山区','内蒙古自治区赤峰市松山区'),(378,374,3,'150421',120.094969000,43.878770000,349,'内蒙古自治区',374,'0476','赤峰市','阿鲁科尔沁旗','阿鲁科尔沁旗','内蒙古自治区赤峰市阿鲁科尔沁旗'),(379,374,3,'150422',119.391737000,43.980715000,349,'内蒙古自治区',374,'0476','赤峰市','巴林左旗','巴林左旗','内蒙古自治区赤峰市巴林左旗'),(380,374,3,'150423',118.678347000,43.528963000,349,'内蒙古自治区',374,'0476','赤峰市','巴林右旗','巴林右旗','内蒙古自治区赤峰市巴林右旗'),(381,374,3,'150424',118.057750000,43.605326000,349,'内蒙古自治区',374,'0476','赤峰市','林西县','林西县','内蒙古自治区赤峰市林西县'),(382,374,3,'150425',117.542465000,43.256233000,349,'内蒙古自治区',374,'0476','赤峰市','克什克腾旗','克什克腾旗','内蒙古自治区赤峰市克什克腾旗'),(383,374,3,'150426',119.022619000,42.937128000,349,'内蒙古自治区',374,'0476','赤峰市','翁牛特旗','翁牛特旗','内蒙古自治区赤峰市翁牛特旗'),(384,374,3,'150428',118.708572000,41.927780000,349,'内蒙古自治区',374,'0476','赤峰市','喀喇沁旗','喀喇沁旗','内蒙古自治区赤峰市喀喇沁旗'),(385,374,3,'150429',119.339242000,41.598692000,349,'内蒙古自治区',374,'0476','赤峰市','宁城县','宁城县','内蒙古自治区赤峰市宁城县'),(386,374,3,'150430',119.906486000,42.287012000,349,'内蒙古自治区',374,'0476','赤峰市','敖汉旗','敖汉旗','内蒙古自治区赤峰市敖汉旗'),(387,349,2,'150500',122.263119000,43.617429000,349,'内蒙古自治区',387,'0475','通辽市','通辽市','','内蒙古自治区通辽市'),(388,387,3,'150502',122.264042000,43.617422000,349,'内蒙古自治区',387,'0475','通辽市','科尔沁区','科尔沁区','内蒙古自治区通辽市科尔沁区'),(389,387,3,'150521',123.313873000,44.127166000,349,'内蒙古自治区',387,'0475','通辽市','科尔沁左翼中旗','科尔沁左翼中旗','内蒙古自治区通辽市科尔沁左翼中旗'),(390,387,3,'150522',122.355155000,42.954564000,349,'内蒙古自治区',387,'0475','通辽市','科尔沁左翼后旗','科尔沁左翼后旗','内蒙古自治区通辽市科尔沁左翼后旗'),(391,387,3,'150523',121.308797000,43.602432000,349,'内蒙古自治区',387,'0475','通辽市','开鲁县','开鲁县','内蒙古自治区通辽市开鲁县'),(392,387,3,'150524',121.774886000,42.734692000,349,'内蒙古自治区',387,'0475','通辽市','库伦旗','库伦旗','内蒙古自治区通辽市库伦旗'),(393,387,3,'150525',120.662543000,42.846850000,349,'内蒙古自治区',387,'0475','通辽市','奈曼旗','奈曼旗','内蒙古自治区通辽市奈曼旗'),(394,387,3,'150526',120.905275000,44.555294000,349,'内蒙古自治区',387,'0475','通辽市','扎鲁特旗','扎鲁特旗','内蒙古自治区通辽市扎鲁特旗'),(395,387,3,'150581',119.657862000,45.532361000,349,'内蒙古自治区',387,'0475','通辽市','霍林郭勒市','霍林郭勒市','内蒙古自治区通辽市霍林郭勒市'),(396,349,2,'150600',109.990290000,39.817179000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','鄂尔多斯市','','内蒙古自治区鄂尔多斯市'),(397,396,3,'150602',109.989450000,39.817880000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','东胜区','东胜区','内蒙古自治区鄂尔多斯市东胜区'),(398,396,3,'150603',109.790076000,39.607472000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','康巴什区','康巴什区','内蒙古自治区鄂尔多斯市康巴什区'),(399,396,3,'150621',110.040281000,40.404076000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','达拉特旗','达拉特旗','内蒙古自治区鄂尔多斯市达拉特旗'),(400,396,3,'150622',111.238332000,39.865221000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','准格尔旗','准格尔旗','内蒙古自治区鄂尔多斯市准格尔旗'),(401,396,3,'150623',107.481720000,38.183257000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','鄂托克前旗','鄂托克前旗','内蒙古自治区鄂尔多斯市鄂托克前旗'),(402,396,3,'150624',107.982604000,39.095752000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','鄂托克旗','鄂托克旗','内蒙古自治区鄂尔多斯市鄂托克旗'),(403,396,3,'150625',108.736324000,39.831789000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','杭锦旗','杭锦旗','内蒙古自治区鄂尔多斯市杭锦旗'),(404,396,3,'150626',108.842454000,38.596611000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','乌审旗','乌审旗','内蒙古自治区鄂尔多斯市乌审旗'),(405,396,3,'150627',109.787402000,39.604312000,349,'内蒙古自治区',396,'0477','鄂尔多斯市','伊金霍洛旗','伊金霍洛旗','内蒙古自治区鄂尔多斯市伊金霍洛旗'),(406,349,2,'150700',119.758168000,49.215333000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','呼伦贝尔市','','内蒙古自治区呼伦贝尔市'),(407,406,3,'150702',119.764923000,49.213889000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','海拉尔区','海拉尔区','内蒙古自治区呼伦贝尔市海拉尔区'),(408,406,3,'150703',117.716373000,49.456567000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','扎赉诺尔区','扎赉诺尔区','内蒙古自治区呼伦贝尔市扎赉诺尔区'),(409,406,3,'150721',123.464615000,48.130503000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','阿荣旗','阿荣旗','内蒙古自治区呼伦贝尔市阿荣旗'),(410,406,3,'150722',124.507401000,48.478385000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','莫力达瓦达斡尔族自治旗','莫力达瓦达斡尔族自治旗','内蒙古自治区呼伦贝尔市莫力达瓦达斡尔族自治旗'),(411,406,3,'150723',123.725684000,50.590177000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','鄂伦春自治旗','鄂伦春自治旗','内蒙古自治区呼伦贝尔市鄂伦春自治旗'),(412,406,3,'150724',119.754041000,49.143293000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','鄂温克族自治旗','鄂温克族自治旗','内蒙古自治区呼伦贝尔市鄂温克族自治旗'),(413,406,3,'150725',119.437609000,49.328422000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','陈巴尔虎旗','陈巴尔虎旗','内蒙古自治区呼伦贝尔市陈巴尔虎旗'),(414,406,3,'150726',118.267454000,48.216571000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','新巴尔虎左旗','新巴尔虎左旗','内蒙古自治区呼伦贝尔市新巴尔虎左旗'),(415,406,3,'150727',116.825991000,48.669134000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','新巴尔虎右旗','新巴尔虎右旗','内蒙古自治区呼伦贝尔市新巴尔虎右旗'),(416,406,3,'150781',117.455561000,49.590788000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','满洲里市','满洲里市','内蒙古自治区呼伦贝尔市满洲里市'),(417,406,3,'150782',120.729005000,49.287024000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','牙克石市','牙克石市','内蒙古自治区呼伦贝尔市牙克石市'),(418,406,3,'150783',122.744401000,48.007412000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','扎兰屯市','扎兰屯市','内蒙古自治区呼伦贝尔市扎兰屯市'),(419,406,3,'150784',120.178636000,50.243900000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','额尔古纳市','额尔古纳市','内蒙古自治区呼伦贝尔市额尔古纳市'),(420,406,3,'150785',121.532724000,50.780454000,349,'内蒙古自治区',406,'0470','呼伦贝尔市','根河市','根河市','内蒙古自治区呼伦贝尔市根河市'),(421,349,2,'150800',107.416959000,40.757402000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','巴彦淖尔市','','内蒙古自治区巴彦淖尔市'),(422,421,3,'150802',107.417018000,40.757092000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','临河区','临河区','内蒙古自治区巴彦淖尔市临河区'),(423,421,3,'150821',108.270658000,41.097639000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','五原县','五原县','内蒙古自治区巴彦淖尔市五原县'),(424,421,3,'150822',107.006056000,40.330479000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','磴口县','磴口县','内蒙古自治区巴彦淖尔市磴口县'),(425,421,3,'150823',108.656816000,40.725209000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','乌拉特前旗','乌拉特前旗','内蒙古自治区巴彦淖尔市乌拉特前旗'),(426,421,3,'150824',108.515255000,41.572540000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','乌拉特中旗','乌拉特中旗','内蒙古自治区巴彦淖尔市乌拉特中旗'),(427,421,3,'150825',107.074941000,41.084307000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','乌拉特后旗','乌拉特后旗','内蒙古自治区巴彦淖尔市乌拉特后旗'),(428,421,3,'150826',107.147682000,40.888797000,349,'内蒙古自治区',421,'0478','巴彦淖尔市','杭锦后旗','杭锦后旗','内蒙古自治区巴彦淖尔市杭锦后旗'),(429,349,2,'150900',113.114543000,41.034126000,349,'内蒙古自治区',429,'0474','乌兰察布市','乌兰察布市','','内蒙古自治区乌兰察布市'),(430,429,3,'150902',113.116453000,41.034134000,349,'内蒙古自治区',429,'0474','乌兰察布市','集宁区','集宁区','内蒙古自治区乌兰察布市集宁区'),(431,429,3,'150921',112.577702000,40.895760000,349,'内蒙古自治区',429,'0474','乌兰察布市','卓资县','卓资县','内蒙古自治区乌兰察布市卓资县'),(432,429,3,'150922',114.010080000,41.899335000,349,'内蒙古自治区',429,'0474','乌兰察布市','化德县','化德县','内蒙古自治区乌兰察布市化德县'),(433,429,3,'150923',113.560643000,41.560163000,349,'内蒙古自治区',429,'0474','乌兰察布市','商都县','商都县','内蒙古自治区乌兰察布市商都县'),(434,429,3,'150924',113.834009000,40.872437000,349,'内蒙古自治区',429,'0474','乌兰察布市','兴和县','兴和县','内蒙古自治区乌兰察布市兴和县'),(435,429,3,'150925',112.500911000,40.531627000,349,'内蒙古自治区',429,'0474','乌兰察布市','凉城县','凉城县','内蒙古自治区乌兰察布市凉城县'),(436,429,3,'150926',113.211958000,40.786859000,349,'内蒙古自治区',429,'0474','乌兰察布市','察哈尔右翼前旗','察哈尔右翼前旗','内蒙古自治区乌兰察布市察哈尔右翼前旗'),(437,429,3,'150927',112.633563000,41.274212000,349,'内蒙古自治区',429,'0474','乌兰察布市','察哈尔右翼中旗','察哈尔右翼中旗','内蒙古自治区乌兰察布市察哈尔右翼中旗'),(438,429,3,'150928',113.190600000,41.447213000,349,'内蒙古自治区',429,'0474','乌兰察布市','察哈尔右翼后旗','察哈尔右翼后旗','内蒙古自治区乌兰察布市察哈尔右翼后旗'),(439,429,3,'150929',111.701230000,41.528114000,349,'内蒙古自治区',429,'0474','乌兰察布市','四子王旗','四子王旗','内蒙古自治区乌兰察布市四子王旗'),(440,429,3,'150981',113.163462000,40.437534000,349,'内蒙古自治区',429,'0474','乌兰察布市','丰镇市','丰镇市','内蒙古自治区乌兰察布市丰镇市'),(441,349,2,'152200',122.070317000,46.076268000,349,'内蒙古自治区',441,'0482','兴安盟','兴安盟','','内蒙古自治区兴安盟'),(442,441,3,'152201',122.068975000,46.077238000,349,'内蒙古自治区',441,'0482','兴安盟','乌兰浩特市','乌兰浩特市','内蒙古自治区兴安盟乌兰浩特市'),(443,441,3,'152202',119.943656000,47.177000000,349,'内蒙古自治区',441,'0482','兴安盟','阿尔山市','阿尔山市','内蒙古自治区兴安盟阿尔山市'),(444,441,3,'152221',121.957544000,46.076497000,349,'内蒙古自治区',441,'0482','兴安盟','科尔沁右翼前旗','科尔沁右翼前旗','内蒙古自治区兴安盟科尔沁右翼前旗'),(445,441,3,'152222',121.472818000,45.059645000,349,'内蒙古自治区',441,'0482','兴安盟','科尔沁右翼中旗','科尔沁右翼中旗','内蒙古自治区兴安盟科尔沁右翼中旗'),(446,441,3,'152223',122.909332000,46.725136000,349,'内蒙古自治区',441,'0482','兴安盟','扎赉特旗','扎赉特旗','内蒙古自治区兴安盟扎赉特旗'),(447,441,3,'152224',121.564856000,45.380986000,349,'内蒙古自治区',441,'0482','兴安盟','突泉县','突泉县','内蒙古自治区兴安盟突泉县'),(448,349,2,'152500',116.090996000,43.944018000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','锡林郭勒盟','','内蒙古自治区锡林郭勒盟'),(449,448,3,'152501',111.979810000,43.652895000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','二连浩特市','二连浩特市','内蒙古自治区锡林郭勒盟二连浩特市'),(450,448,3,'152502',116.091903000,43.944301000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','锡林浩特市','锡林浩特市','内蒙古自治区锡林郭勒盟锡林浩特市'),(451,448,3,'152522',114.970618000,44.022728000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','阿巴嘎旗','阿巴嘎旗','内蒙古自治区锡林郭勒盟阿巴嘎旗'),(452,448,3,'152523',113.653412000,43.854108000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','苏尼特左旗','苏尼特左旗','内蒙古自治区锡林郭勒盟苏尼特左旗'),(453,448,3,'152524',112.655390000,42.746662000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','苏尼特右旗','苏尼特右旗','内蒙古自治区锡林郭勒盟苏尼特右旗'),(454,448,3,'152525',116.980022000,45.510307000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','东乌珠穆沁旗','东乌珠穆沁旗','内蒙古自治区锡林郭勒盟东乌珠穆沁旗'),(455,448,3,'152526',117.615249000,44.586147000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','西乌珠穆沁旗','西乌珠穆沁旗','内蒙古自治区锡林郭勒盟西乌珠穆沁旗'),(456,448,3,'152527',115.287280000,41.895199000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','太仆寺旗','太仆寺旗','内蒙古自治区锡林郭勒盟太仆寺旗'),(457,448,3,'152528',113.843869000,42.239229000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','镶黄旗','镶黄旗','内蒙古自治区锡林郭勒盟镶黄旗'),(458,448,3,'152529',115.031423000,42.286807000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','正镶白旗','正镶白旗','内蒙古自治区锡林郭勒盟正镶白旗'),(459,448,3,'152530',116.003311000,42.245895000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','正蓝旗','正蓝旗','内蒙古自治区锡林郭勒盟正蓝旗'),(460,448,3,'152531',116.477288000,42.197962000,349,'内蒙古自治区',448,'0479','锡林郭勒盟','多伦县','多伦县','内蒙古自治区锡林郭勒盟多伦县'),(461,349,2,'152900',105.706422000,38.844814000,349,'内蒙古自治区',461,'0483','阿拉善盟','阿拉善盟','','内蒙古自治区阿拉善盟'),(462,461,3,'152921',105.701920000,38.847241000,349,'内蒙古自治区',461,'0483','阿拉善盟','阿拉善左旗','阿拉善左旗','内蒙古自治区阿拉善盟阿拉善左旗'),(463,461,3,'152922',101.671984000,39.211590000,349,'内蒙古自治区',461,'0483','阿拉善盟','阿拉善右旗','阿拉善右旗','内蒙古自治区阿拉善盟阿拉善右旗'),(464,461,3,'152923',101.069440000,41.958813000,349,'内蒙古自治区',461,'0483','阿拉善盟','额济纳旗','额济纳旗','内蒙古自治区阿拉善盟额济纳旗'),(465,1,1,'210000',123.429096000,41.796767000,465,'辽宁省',0,'','','辽宁省','','辽宁省'),(466,465,2,'210100',123.429096000,41.796767000,465,'辽宁省',466,'024','沈阳市','沈阳市','','辽宁省沈阳市'),(467,466,3,'210102',123.406664000,41.788074000,465,'辽宁省',466,'024','沈阳市','和平区','和平区','辽宁省沈阳市和平区'),(468,466,3,'210103',123.445696000,41.795591000,465,'辽宁省',466,'024','沈阳市','沈河区','沈河区','辽宁省沈阳市沈河区'),(469,466,3,'210104',123.469956000,41.808503000,465,'辽宁省',466,'024','沈阳市','大东区','大东区','辽宁省沈阳市大东区'),(470,466,3,'210105',123.405677000,41.822336000,465,'辽宁省',466,'024','沈阳市','皇姑区','皇姑区','辽宁省沈阳市皇姑区'),(471,466,3,'210106',123.350664000,41.787808000,465,'辽宁省',466,'024','沈阳市','铁西区','铁西区','辽宁省沈阳市铁西区'),(472,466,3,'210111',123.341604000,41.665904000,465,'辽宁省',466,'024','沈阳市','苏家屯区','苏家屯区','辽宁省沈阳市苏家屯区'),(473,466,3,'210112',123.458981000,41.741946000,465,'辽宁省',466,'024','沈阳市','浑南区','浑南区','辽宁省沈阳市浑南区'),(474,466,3,'210113',123.521471000,42.052312000,465,'辽宁省',466,'024','沈阳市','沈北新区','沈北新区','辽宁省沈阳市沈北新区'),(475,466,3,'210114',123.310829000,41.795833000,465,'辽宁省',466,'024','沈阳市','于洪区','于洪区','辽宁省沈阳市于洪区'),(476,466,3,'210115',122.731269000,41.512725000,465,'辽宁省',466,'024','沈阳市','辽中区','辽中区','辽宁省沈阳市辽中区'),(477,466,3,'210123',123.352703000,42.741533000,465,'辽宁省',466,'024','沈阳市','康平县','康平县','辽宁省沈阳市康平县'),(478,466,3,'210124',123.416722000,42.507045000,465,'辽宁省',466,'024','沈阳市','法库县','法库县','辽宁省沈阳市法库县'),(479,466,3,'210181',122.828868000,41.996508000,465,'辽宁省',466,'024','沈阳市','新民市','新民市','辽宁省沈阳市新民市'),(480,465,2,'210200',121.618622000,38.914590000,465,'辽宁省',480,'0411','大连市','大连市','','辽宁省大连市'),(481,480,3,'210202',121.643760000,38.921553000,465,'辽宁省',480,'0411','大连市','中山区','中山区','辽宁省大连市中山区'),(482,480,3,'210203',121.616112000,38.914266000,465,'辽宁省',480,'0411','大连市','西岗区','西岗区','辽宁省大连市西岗区'),(483,480,3,'210204',121.593702000,38.912859000,465,'辽宁省',480,'0411','大连市','沙河口区','沙河口区','辽宁省大连市沙河口区'),(484,480,3,'210211',121.582614000,38.975148000,465,'辽宁省',480,'0411','大连市','甘井子区','甘井子区','辽宁省大连市甘井子区'),(485,480,3,'210212',121.267130000,38.812043000,465,'辽宁省',480,'0411','大连市','旅顺口区','旅顺口区','辽宁省大连市旅顺口区'),(486,480,3,'210213',121.789413000,39.052745000,465,'辽宁省',480,'0411','大连市','金州区','金州区','辽宁省大连市金州区'),(487,480,3,'210224',122.587824000,39.272399000,465,'辽宁省',480,'0411','大连市','长海县','长海县','辽宁省大连市长海县'),(488,480,3,'210281',122.002656000,39.630650000,465,'辽宁省',480,'0411','大连市','瓦房店市','瓦房店市','辽宁省大连市瓦房店市'),(489,480,3,'210214',121.970500000,39.401555000,465,'辽宁省',480,'0411','大连市','普兰店区','普兰店区','辽宁省大连市普兰店区'),(490,480,3,'210283',122.970612000,39.698290000,465,'辽宁省',480,'0411','大连市','庄河市','庄河市','辽宁省大连市庄河市'),(491,465,2,'210300',122.995632000,41.110626000,465,'辽宁省',491,'0412','鞍山市','鞍山市','','辽宁省鞍山市'),(492,491,3,'210302',122.994475000,41.110344000,465,'辽宁省',491,'0412','鞍山市','铁东区','铁东区','辽宁省鞍山市铁东区'),(493,491,3,'210303',122.971834000,41.110690000,465,'辽宁省',491,'0412','鞍山市','铁西区','铁西区','辽宁省鞍山市铁西区'),(494,491,3,'210304',123.024806000,41.150622000,465,'辽宁省',491,'0412','鞍山市','立山区','立山区','辽宁省鞍山市立山区'),(495,491,3,'210311',122.949298000,41.068909000,465,'辽宁省',491,'0412','鞍山市','千山区','千山区','辽宁省鞍山市千山区'),(496,491,3,'210321',122.429736000,41.386860000,465,'辽宁省',491,'0412','鞍山市','台安县','台安县','辽宁省鞍山市台安县'),(497,491,3,'210323',123.288330000,40.281509000,465,'辽宁省',491,'0412','鞍山市','岫岩满族自治县','岫岩满族自治县','辽宁省鞍山市岫岩满族自治县'),(498,491,3,'210381',122.752199000,40.852533000,465,'辽宁省',491,'0412','鞍山市','海城市','海城市','辽宁省鞍山市海城市'),(499,465,2,'210400',123.921109000,41.875956000,465,'辽宁省',499,'0413','抚顺市','抚顺市','','辽宁省抚顺市'),(500,499,3,'210402',123.902858000,41.860820000,465,'辽宁省',499,'0413','抚顺市','新抚区','新抚区','辽宁省抚顺市新抚区'),(501,499,3,'210403',124.047219000,41.866829000,465,'辽宁省',499,'0413','抚顺市','东洲区','东洲区','辽宁省抚顺市东洲区'),(502,499,3,'210404',123.801509000,41.851803000,465,'辽宁省',499,'0413','抚顺市','望花区','望花区','辽宁省抚顺市望花区'),(503,499,3,'210411',123.917165000,41.881132000,465,'辽宁省',499,'0413','抚顺市','顺城区','顺城区','辽宁省抚顺市顺城区'),(504,499,3,'210421',124.097979000,41.922644000,465,'辽宁省',499,'0413','抚顺市','抚顺县','抚顺县','辽宁省抚顺市抚顺县'),(505,499,3,'210422',125.037547000,41.732456000,465,'辽宁省',499,'0413','抚顺市','新宾满族自治县','新宾满族自治县','辽宁省抚顺市新宾满族自治县'),(506,499,3,'210423',124.927192000,42.101350000,465,'辽宁省',499,'0413','抚顺市','清原满族自治县','清原满族自治县','辽宁省抚顺市清原满族自治县'),(507,465,2,'210500',123.770519000,41.297909000,465,'辽宁省',507,'0414','本溪市','本溪市','','辽宁省本溪市'),(508,507,3,'210502',123.761231000,41.291581000,465,'辽宁省',507,'0414','本溪市','平山区','平山区','辽宁省本溪市平山区'),(509,507,3,'210503',123.765226000,41.330056000,465,'辽宁省',507,'0414','本溪市','溪湖区','溪湖区','辽宁省本溪市溪湖区'),(510,507,3,'210504',123.763288000,41.302429000,465,'辽宁省',507,'0414','本溪市','明山区','明山区','辽宁省本溪市明山区'),(511,507,3,'210505',123.748381000,41.104093000,465,'辽宁省',507,'0414','本溪市','南芬区','南芬区','辽宁省本溪市南芬区'),(512,507,3,'210521',124.126156000,41.300344000,465,'辽宁省',507,'0414','本溪市','本溪满族自治县','本溪满族自治县','辽宁省本溪市本溪满族自治县'),(513,507,3,'210522',125.359195000,41.268997000,465,'辽宁省',507,'0414','本溪市','桓仁满族自治县','桓仁满族自治县','辽宁省本溪市桓仁满族自治县'),(514,465,2,'210600',124.383044000,40.124296000,465,'辽宁省',514,'0415','丹东市','丹东市','','辽宁省丹东市'),(515,514,3,'210602',124.397814000,40.136483000,465,'辽宁省',514,'0415','丹东市','元宝区','元宝区','辽宁省丹东市元宝区'),(516,514,3,'210603',124.361153000,40.102801000,465,'辽宁省',514,'0415','丹东市','振兴区','振兴区','辽宁省丹东市振兴区'),(517,514,3,'210604',124.427709000,40.158557000,465,'辽宁省',514,'0415','丹东市','振安区','振安区','辽宁省丹东市振安区'),(518,514,3,'210624',124.784867000,40.730412000,465,'辽宁省',514,'0415','丹东市','宽甸满族自治县','宽甸满族自治县','辽宁省丹东市宽甸满族自治县'),(519,514,3,'210681',124.149437000,39.883467000,465,'辽宁省',514,'0415','丹东市','东港市','东港市','辽宁省丹东市东港市'),(520,514,3,'210682',124.071067000,40.457567000,465,'辽宁省',514,'0415','丹东市','凤城市','凤城市','辽宁省丹东市凤城市'),(521,465,2,'210700',121.135742000,41.119269000,465,'辽宁省',521,'0416','锦州市','锦州市','','辽宁省锦州市'),(522,521,3,'210702',121.130085000,41.115719000,465,'辽宁省',521,'0416','锦州市','古塔区','古塔区','辽宁省锦州市古塔区'),(523,521,3,'210703',121.151304000,41.114662000,465,'辽宁省',521,'0416','锦州市','凌河区','凌河区','辽宁省锦州市凌河区'),(524,521,3,'210711',121.107297000,41.105378000,465,'辽宁省',521,'0416','锦州市','太和区','太和区','辽宁省锦州市太和区'),(525,521,3,'210726',122.117915000,41.691804000,465,'辽宁省',521,'0416','锦州市','黑山县','黑山县','辽宁省锦州市黑山县'),(526,521,3,'210727',121.242831000,41.537224000,465,'辽宁省',521,'0416','锦州市','义县','义县','辽宁省锦州市义县'),(527,521,3,'210781',121.364236000,41.171738000,465,'辽宁省',521,'0416','锦州市','凌海市','凌海市','辽宁省锦州市凌海市'),(528,521,3,'210782',121.795962000,41.598764000,465,'辽宁省',521,'0416','锦州市','北镇市','北镇市','辽宁省锦州市北镇市'),(529,465,2,'210800',122.235151000,40.667432000,465,'辽宁省',529,'0417','营口市','营口市','','辽宁省营口市'),(530,529,3,'210802',122.253235000,40.669949000,465,'辽宁省',529,'0417','营口市','站前区','站前区','辽宁省营口市站前区'),(531,529,3,'210803',122.210067000,40.663086000,465,'辽宁省',529,'0417','营口市','西市区','西市区','辽宁省营口市西市区'),(532,529,3,'210804',122.127242000,40.263646000,465,'辽宁省',529,'0417','营口市','鲅鱼圈区','鲅鱼圈区','辽宁省营口市鲅鱼圈区'),(533,529,3,'210811',122.382584000,40.682723000,465,'辽宁省',529,'0417','营口市','老边区','老边区','辽宁省营口市老边区'),(534,529,3,'210881',122.355534000,40.405234000,465,'辽宁省',529,'0417','营口市','盖州市','盖州市','辽宁省营口市盖州市'),(535,529,3,'210882',122.505894000,40.633973000,465,'辽宁省',529,'0417','营口市','大石桥市','大石桥市','辽宁省营口市大石桥市'),(536,465,2,'210900',121.648962000,42.011796000,465,'辽宁省',536,'0418','阜新市','阜新市','','辽宁省阜新市'),(537,536,3,'210902',121.657639000,42.011162000,465,'辽宁省',536,'0418','阜新市','海州区','海州区','辽宁省阜新市海州区'),(538,536,3,'210903',121.790541000,42.086603000,465,'辽宁省',536,'0418','阜新市','新邱区','新邱区','辽宁省阜新市新邱区'),(539,536,3,'210904',121.677575000,42.011145000,465,'辽宁省',536,'0418','阜新市','太平区','太平区','辽宁省阜新市太平区'),(540,536,3,'210905',121.420180000,41.780477000,465,'辽宁省',536,'0418','阜新市','清河门区','清河门区','辽宁省阜新市清河门区'),(541,536,3,'210911',121.654791000,42.019218000,465,'辽宁省',536,'0418','阜新市','细河区','细河区','辽宁省阜新市细河区'),(542,536,3,'210921',121.743125000,42.058607000,465,'辽宁省',536,'0418','阜新市','阜新蒙古族自治县','阜新蒙古族自治县','辽宁省阜新市阜新蒙古族自治县'),(543,536,3,'210922',122.537444000,42.384823000,465,'辽宁省',536,'0418','阜新市','彰武县','彰武县','辽宁省阜新市彰武县'),(544,465,2,'211000',123.181520000,41.269402000,465,'辽宁省',544,'0419','辽阳市','辽阳市','','辽宁省辽阳市'),(545,544,3,'211002',123.172611000,41.267450000,465,'辽宁省',544,'0419','辽阳市','白塔区','白塔区','辽宁省辽阳市白塔区'),(546,544,3,'211003',123.188227000,41.266765000,465,'辽宁省',544,'0419','辽阳市','文圣区','文圣区','辽宁省辽阳市文圣区'),(547,544,3,'211004',123.200461000,41.205747000,465,'辽宁省',544,'0419','辽阳市','宏伟区','宏伟区','辽宁省辽阳市宏伟区'),(548,544,3,'211005',123.431633000,41.157831000,465,'辽宁省',544,'0419','辽阳市','弓长岭区','弓长岭区','辽宁省辽阳市弓长岭区'),(549,544,3,'211011',123.185336000,41.251682000,465,'辽宁省',544,'0419','辽阳市','太子河区','太子河区','辽宁省辽阳市太子河区'),(550,544,3,'211021',123.079674000,41.216479000,465,'辽宁省',544,'0419','辽阳市','辽阳县','辽阳县','辽宁省辽阳市辽阳县'),(551,544,3,'211081',123.325864000,41.427836000,465,'辽宁省',544,'0419','辽阳市','灯塔市','灯塔市','辽宁省辽阳市灯塔市'),(552,465,2,'211100',122.069570000,41.124484000,465,'辽宁省',552,'0427','盘锦市','盘锦市','','辽宁省盘锦市'),(553,552,3,'211102',122.055733000,41.190365000,465,'辽宁省',552,'0427','盘锦市','双台子区','双台子区','辽宁省盘锦市双台子区'),(554,552,3,'211103',122.071624000,41.122423000,465,'辽宁省',552,'0427','盘锦市','兴隆台区','兴隆台区','辽宁省盘锦市兴隆台区'),(555,552,3,'211104',122.071708000,40.994428000,465,'辽宁省',552,'0427','盘锦市','大洼区','大洼区','辽宁省盘锦市大洼区'),(556,552,3,'211122',121.985280000,41.240701000,465,'辽宁省',552,'0427','盘锦市','盘山县','盘山县','辽宁省盘锦市盘山县'),(557,465,2,'211200',123.844279000,42.290585000,465,'辽宁省',557,'0410','铁岭市','铁岭市','','辽宁省铁岭市'),(558,557,3,'211202',123.844877000,42.292278000,465,'辽宁省',557,'0410','铁岭市','银州区','银州区','辽宁省铁岭市银州区'),(559,557,3,'211204',124.148960000,42.542978000,465,'辽宁省',557,'0410','铁岭市','清河区','清河区','辽宁省铁岭市清河区'),(560,557,3,'211221',123.725669000,42.223316000,465,'辽宁省',557,'0410','铁岭市','铁岭县','铁岭县','辽宁省铁岭市铁岭县'),(561,557,3,'211223',124.723320000,42.738091000,465,'辽宁省',557,'0410','铁岭市','西丰县','西丰县','辽宁省铁岭市西丰县'),(562,557,3,'211224',124.110170000,42.784441000,465,'辽宁省',557,'0410','铁岭市','昌图县','昌图县','辽宁省铁岭市昌图县'),(563,557,3,'211281',123.545366000,42.450734000,465,'辽宁省',557,'0410','铁岭市','调兵山市','调兵山市','辽宁省铁岭市调兵山市'),(564,557,3,'211282',124.045551000,42.542141000,465,'辽宁省',557,'0410','铁岭市','开原市','开原市','辽宁省铁岭市开原市'),(565,465,2,'211300',120.451176000,41.576758000,465,'辽宁省',565,'0421','朝阳市','朝阳市','','辽宁省朝阳市'),(566,565,3,'211302',120.448770000,41.579389000,465,'辽宁省',565,'0421','朝阳市','双塔区','双塔区','辽宁省朝阳市双塔区'),(567,565,3,'211303',120.413376000,41.576749000,465,'辽宁省',565,'0421','朝阳市','龙城区','龙城区','辽宁省朝阳市龙城区'),(568,565,3,'211321',120.404217000,41.526342000,465,'辽宁省',565,'0421','朝阳市','朝阳县','朝阳县','辽宁省朝阳市朝阳县'),(569,565,3,'211322',119.642363000,41.402576000,465,'辽宁省',565,'0421','朝阳市','建平县','建平县','辽宁省朝阳市建平县'),(570,565,3,'211324',119.744883000,41.125428000,465,'辽宁省',565,'0421','朝阳市','喀喇沁左翼蒙古族自治县','喀喇沁左翼蒙古族自治县','辽宁省朝阳市喀喇沁左翼蒙古族自治县'),(571,565,3,'211381',120.766951000,41.803286000,465,'辽宁省',565,'0421','朝阳市','北票市','北票市','辽宁省朝阳市北票市'),(572,565,3,'211382',119.404789000,41.243086000,465,'辽宁省',565,'0421','朝阳市','凌源市','凌源市','辽宁省朝阳市凌源市'),(573,465,2,'211400',120.856394000,40.755572000,465,'辽宁省',573,'0429','葫芦岛市','葫芦岛市','','辽宁省葫芦岛市'),(574,573,3,'211402',120.859370000,40.755143000,465,'辽宁省',573,'0429','葫芦岛市','连山区','连山区','辽宁省葫芦岛市连山区'),(575,573,3,'211403',120.838569000,40.709991000,465,'辽宁省',573,'0429','葫芦岛市','龙港区','龙港区','辽宁省葫芦岛市龙港区'),(576,573,3,'211404',120.752314000,41.098813000,465,'辽宁省',573,'0429','葫芦岛市','南票区','南票区','辽宁省葫芦岛市南票区'),(577,573,3,'211421',120.342112000,40.328407000,465,'辽宁省',573,'0429','葫芦岛市','绥中县','绥中县','辽宁省葫芦岛市绥中县'),(578,573,3,'211422',119.807776000,40.812871000,465,'辽宁省',573,'0429','葫芦岛市','建昌县','建昌县','辽宁省葫芦岛市建昌县'),(579,573,3,'211481',120.729365000,40.619413000,465,'辽宁省',573,'0429','葫芦岛市','兴城市','兴城市','辽宁省葫芦岛市兴城市'),(580,1,1,'220000',125.324500000,43.886841000,580,'吉林省',0,'','','吉林省','','吉林省'),(581,580,2,'220100',125.324500000,43.886841000,580,'吉林省',581,'0431','长春市','长春市','','吉林省长春市'),(582,581,3,'220102',125.337237000,43.890235000,580,'吉林省',581,'0431','长春市','南关区','南关区','吉林省长春市南关区'),(583,581,3,'220103',125.342828000,43.903823000,580,'吉林省',581,'0431','长春市','宽城区','宽城区','吉林省长春市宽城区'),(584,581,3,'220104',125.318042000,43.864910000,580,'吉林省',581,'0431','长春市','朝阳区','朝阳区','吉林省长春市朝阳区'),(585,581,3,'220105',125.384727000,43.870824000,580,'吉林省',581,'0431','长春市','二道区','二道区','吉林省长春市二道区'),(586,581,3,'220106',125.272467000,43.892177000,580,'吉林省',581,'0431','长春市','绿园区','绿园区','吉林省长春市绿园区'),(587,581,3,'220112',125.659018000,43.525168000,580,'吉林省',581,'0431','长春市','双阳区','双阳区','吉林省长春市双阳区'),(588,581,3,'220113',125.844682000,44.157155000,580,'吉林省',581,'0431','长春市','九台区','九台区','吉林省长春市九台区'),(589,581,3,'220122',125.175287000,44.431258000,580,'吉林省',581,'0431','长春市','农安县','农安县','吉林省长春市农安县'),(590,581,3,'220182',126.550107000,44.827642000,580,'吉林省',581,'0431','长春市','榆树市','榆树市','吉林省长春市榆树市'),(591,581,3,'220183',125.703327000,44.533909000,580,'吉林省',581,'0431','长春市','德惠市','德惠市','吉林省长春市德惠市'),(592,580,2,'220200',126.553020000,43.843577000,580,'吉林省',592,'0432','吉林市','吉林市','','吉林省吉林市'),(593,592,3,'220202',126.570766000,43.851118000,580,'吉林省',592,'0432','吉林市','昌邑区','昌邑区','吉林省吉林市昌邑区'),(594,592,3,'220203',126.561429000,43.909755000,580,'吉林省',592,'0432','吉林市','龙潭区','龙潭区','吉林省吉林市龙潭区'),(595,592,3,'220204',126.552390000,43.843804000,580,'吉林省',592,'0432','吉林市','船营区','船营区','吉林省吉林市船营区'),(596,592,3,'220211',126.560759000,43.816594000,580,'吉林省',592,'0432','吉林市','丰满区','丰满区','吉林省吉林市丰满区'),(597,592,3,'220221',126.501622000,43.667416000,580,'吉林省',592,'0432','吉林市','永吉县','永吉县','吉林省吉林市永吉县'),(598,592,3,'220281',127.342739000,43.720579000,580,'吉林省',592,'0432','吉林市','蛟河市','蛟河市','吉林省吉林市蛟河市'),(599,592,3,'220282',126.745445000,42.972093000,580,'吉林省',592,'0432','吉林市','桦甸市','桦甸市','吉林省吉林市桦甸市'),(600,592,3,'220283',126.947813000,44.410906000,580,'吉林省',592,'0432','吉林市','舒兰市','舒兰市','吉林省吉林市舒兰市'),(601,592,3,'220284',126.059929000,42.942476000,580,'吉林省',592,'0432','吉林市','磐石市','磐石市','吉林省吉林市磐石市'),(602,580,2,'220300',124.370785000,43.170344000,580,'吉林省',602,'0434','四平市','四平市','','吉林省四平市'),(603,602,3,'220302',124.360894000,43.176263000,580,'吉林省',602,'0434','四平市','铁西区','铁西区','吉林省四平市铁西区'),(604,602,3,'220303',124.388464000,43.167260000,580,'吉林省',602,'0434','四平市','铁东区','铁东区','吉林省四平市铁东区'),(605,602,3,'220322',124.335802000,43.308310000,580,'吉林省',602,'0434','四平市','梨树县','梨树县','吉林省四平市梨树县'),(606,602,3,'220323',125.303124000,43.345464000,580,'吉林省',602,'0434','四平市','伊通满族自治县','伊通满族自治县','吉林省四平市伊通满族自治县'),(607,602,3,'220381',124.817588000,43.509474000,580,'吉林省',602,'0434','四平市','公主岭市','公主岭市','吉林省四平市公主岭市'),(608,602,3,'220382',123.505283000,43.518275000,580,'吉林省',602,'0434','四平市','双辽市','双辽市','吉林省四平市双辽市'),(609,580,2,'220400',125.145349000,42.902692000,580,'吉林省',609,'0437','辽源市','辽源市','','吉林省辽源市'),(610,609,3,'220402',125.145164000,42.902702000,580,'吉林省',609,'0437','辽源市','龙山区','龙山区','吉林省辽源市龙山区'),(611,609,3,'220403',125.151424000,42.920415000,580,'吉林省',609,'0437','辽源市','西安区','西安区','吉林省辽源市西安区'),(612,609,3,'220421',125.529623000,42.675228000,580,'吉林省',609,'0437','辽源市','东丰县','东丰县','吉林省辽源市东丰县'),(613,609,3,'220422',124.991995000,42.927724000,580,'吉林省',609,'0437','辽源市','东辽县','东辽县','吉林省辽源市东辽县'),(614,580,2,'220500',125.936501000,41.721177000,580,'吉林省',614,'0435','通化市','通化市','','吉林省通化市'),(615,614,3,'220502',125.936716000,41.721233000,580,'吉林省',614,'0435','通化市','东昌区','东昌区','吉林省通化市东昌区'),(616,614,3,'220503',126.045987000,41.777564000,580,'吉林省',614,'0435','通化市','二道江区','二道江区','吉林省通化市二道江区'),(617,614,3,'220521',125.753121000,41.677918000,580,'吉林省',614,'0435','通化市','通化县','通化县','吉林省通化市通化县'),(618,614,3,'220523',126.042821000,42.683459000,580,'吉林省',614,'0435','通化市','辉南县','辉南县','吉林省通化市辉南县'),(619,614,3,'220524',125.740536000,42.281484000,580,'吉林省',614,'0435','通化市','柳河县','柳河县','吉林省通化市柳河县'),(620,614,3,'220581',125.687336000,42.530002000,580,'吉林省',614,'0435','通化市','梅河口市','梅河口市','吉林省通化市梅河口市'),(621,614,3,'220582',126.186204000,41.126276000,580,'吉林省',614,'0435','通化市','集安市','集安市','吉林省通化市集安市'),(622,580,2,'220600',126.427839000,41.942505000,580,'吉林省',622,'0439','白山市','白山市','','吉林省白山市'),(623,622,3,'220602',126.428035000,41.943065000,580,'吉林省',622,'0439','白山市','浑江区','浑江区','吉林省白山市浑江区'),(624,622,3,'220605',126.584229000,42.048109000,580,'吉林省',622,'0439','白山市','江源区','江源区','吉林省白山市江源区'),(625,622,3,'220621',127.273796000,42.332643000,580,'吉林省',622,'0439','白山市','抚松县','抚松县','吉林省白山市抚松县'),(626,622,3,'220622',126.808386000,42.389689000,580,'吉林省',622,'0439','白山市','靖宇县','靖宇县','吉林省白山市靖宇县'),(627,622,3,'220623',128.203384000,41.419361000,580,'吉林省',622,'0439','白山市','长白朝鲜族自治县','长白朝鲜族自治县','吉林省白山市长白朝鲜族自治县'),(628,622,3,'220681',126.919296000,41.810689000,580,'吉林省',622,'0439','白山市','临江市','临江市','吉林省白山市临江市'),(629,580,2,'220700',124.823608000,45.118243000,580,'吉林省',629,'0438','松原市','松原市','','吉林省松原市'),(630,629,3,'220702',124.827851000,45.176498000,580,'吉林省',629,'0438','松原市','宁江区','宁江区','吉林省松原市宁江区'),(631,629,3,'220721',124.826808000,45.116288000,580,'吉林省',629,'0438','松原市','前郭尔罗斯蒙古族自治县','前郭尔罗斯蒙古族自治县','吉林省松原市前郭尔罗斯蒙古族自治县'),(632,629,3,'220722',123.985184000,44.276579000,580,'吉林省',629,'0438','松原市','长岭县','长岭县','吉林省松原市长岭县'),(633,629,3,'220723',124.024361000,45.006846000,580,'吉林省',629,'0438','松原市','乾安县','乾安县','吉林省松原市乾安县'),(634,629,3,'220781',126.042758000,44.986199000,580,'吉林省',629,'0438','松原市','扶余市','扶余市','吉林省松原市扶余市'),(635,580,2,'220800',122.841114000,45.619026000,580,'吉林省',635,'0436','白城市','白城市','','吉林省白城市'),(636,635,3,'220802',122.842499000,45.619253000,580,'吉林省',635,'0436','白城市','洮北区','洮北区','吉林省白城市洮北区'),(637,635,3,'220821',123.202246000,45.846089000,580,'吉林省',635,'0436','白城市','镇赉县','镇赉县','吉林省白城市镇赉县'),(638,635,3,'220822',123.088543000,44.809150000,580,'吉林省',635,'0436','白城市','通榆县','通榆县','吉林省白城市通榆县'),(639,635,3,'220881',122.783779000,45.339113000,580,'吉林省',635,'0436','白城市','洮南市','洮南市','吉林省白城市洮南市'),(640,635,3,'220882',124.291512000,45.507648000,580,'吉林省',635,'0436','白城市','大安市','大安市','吉林省白城市大安市'),(641,580,2,'222400',129.513228000,42.904823000,580,'吉林省',641,'1433','延边朝鲜族自治州','延边朝鲜族自治州','','吉林省延边朝鲜族自治州'),(642,641,3,'222401',129.515790000,42.906964000,580,'吉林省',641,'1433','延边朝鲜族自治州','延吉市','延吉市','吉林省延边朝鲜族自治州延吉市'),(643,641,3,'222402',129.846701000,42.966621000,580,'吉林省',641,'1433','延边朝鲜族自治州','图们市','图们市','吉林省延边朝鲜族自治州图们市'),(644,641,3,'222403',128.229860000,43.366921000,580,'吉林省',641,'1433','延边朝鲜族自治州','敦化市','敦化市','吉林省延边朝鲜族自治州敦化市'),(645,641,3,'222404',130.365787000,42.871057000,580,'吉林省',641,'1433','延边朝鲜族自治州','珲春市','珲春市','吉林省延边朝鲜族自治州珲春市'),(646,641,3,'222405',129.425747000,42.771029000,580,'吉林省',641,'1433','延边朝鲜族自治州','龙井市','龙井市','吉林省延边朝鲜族自治州龙井市'),(647,641,3,'222406',129.008748000,42.547004000,580,'吉林省',641,'1433','延边朝鲜族自治州','和龙市','和龙市','吉林省延边朝鲜族自治州和龙市'),(648,641,3,'222424',129.766161000,43.315426000,580,'吉林省',641,'1433','延边朝鲜族自治州','汪清县','汪清县','吉林省延边朝鲜族自治州汪清县'),(649,641,3,'222426',128.901865000,43.110994000,580,'吉林省',641,'1433','延边朝鲜族自治州','安图县','安图县','吉林省延边朝鲜族自治州安图县'),(650,1,1,'230000',126.642464000,45.756967000,650,'黑龙江省',0,'','','黑龙江省','','黑龙江省'),(651,650,2,'230100',126.642464000,45.756967000,650,'黑龙江省',651,'0451','哈尔滨市','哈尔滨市','','黑龙江省哈尔滨市'),(652,651,3,'230102',126.612532000,45.762035000,650,'黑龙江省',651,'0451','哈尔滨市','道里区','道里区','黑龙江省哈尔滨市道里区'),(653,651,3,'230103',126.652098000,45.755971000,650,'黑龙江省',651,'0451','哈尔滨市','南岗区','南岗区','黑龙江省哈尔滨市南岗区'),(654,651,3,'230104',126.648838000,45.784540000,650,'黑龙江省',651,'0451','哈尔滨市','道外区','道外区','黑龙江省哈尔滨市道外区'),(655,651,3,'230108',126.629257000,45.605567000,650,'黑龙江省',651,'0451','哈尔滨市','平房区','平房区','黑龙江省哈尔滨市平房区'),(656,651,3,'230109',126.563066000,45.814656000,650,'黑龙江省',651,'0451','哈尔滨市','松北区','松北区','黑龙江省哈尔滨市松北区'),(657,651,3,'230110',126.667049000,45.713067000,650,'黑龙江省',651,'0451','哈尔滨市','香坊区','香坊区','黑龙江省哈尔滨市香坊区'),(658,651,3,'230111',126.603302000,45.984230000,650,'黑龙江省',651,'0451','哈尔滨市','呼兰区','呼兰区','黑龙江省哈尔滨市呼兰区'),(659,651,3,'230112',126.972726000,45.538372000,650,'黑龙江省',651,'0451','哈尔滨市','阿城区','阿城区','黑龙江省哈尔滨市阿城区'),(660,651,3,'230113',126.308784000,45.377942000,650,'黑龙江省',651,'0451','哈尔滨市','双城区','双城区','黑龙江省哈尔滨市双城区'),(661,651,3,'230123',129.565594000,46.315105000,650,'黑龙江省',651,'0451','哈尔滨市','依兰县','依兰县','黑龙江省哈尔滨市依兰县'),(662,651,3,'230124',128.836131000,45.839536000,650,'黑龙江省',651,'0451','哈尔滨市','方正县','方正县','黑龙江省哈尔滨市方正县'),(663,651,3,'230125',127.485940000,45.759369000,650,'黑龙江省',651,'0451','哈尔滨市','宾县','宾县','黑龙江省哈尔滨市宾县'),(664,651,3,'230126',127.403602000,46.081889000,650,'黑龙江省',651,'0451','哈尔滨市','巴彦县','巴彦县','黑龙江省哈尔滨市巴彦县'),(665,651,3,'230127',128.042675000,45.949826000,650,'黑龙江省',651,'0451','哈尔滨市','木兰县','木兰县','黑龙江省哈尔滨市木兰县'),(666,651,3,'230128',128.747786000,45.977618000,650,'黑龙江省',651,'0451','哈尔滨市','通河县','通河县','黑龙江省哈尔滨市通河县'),(667,651,3,'230129',128.331886000,45.455648000,650,'黑龙江省',651,'0451','哈尔滨市','延寿县','延寿县','黑龙江省哈尔滨市延寿县'),(668,651,3,'230183',127.968539000,45.214953000,650,'黑龙江省',651,'0451','哈尔滨市','尚志市','尚志市','黑龙江省哈尔滨市尚志市'),(669,651,3,'230184',127.157590000,44.919418000,650,'黑龙江省',651,'0451','哈尔滨市','五常市','五常市','黑龙江省哈尔滨市五常市'),(670,650,2,'230200',123.957920000,47.342081000,650,'黑龙江省',670,'0452','齐齐哈尔市','齐齐哈尔市','','黑龙江省齐齐哈尔市'),(671,670,3,'230202',123.957338000,47.341736000,650,'黑龙江省',670,'0452','齐齐哈尔市','龙沙区','龙沙区','黑龙江省齐齐哈尔市龙沙区'),(672,670,3,'230203',123.955888000,47.354494000,650,'黑龙江省',670,'0452','齐齐哈尔市','建华区','建华区','黑龙江省齐齐哈尔市建华区'),(673,670,3,'230204',123.973555000,47.339499000,650,'黑龙江省',670,'0452','齐齐哈尔市','铁锋区','铁锋区','黑龙江省齐齐哈尔市铁锋区'),(674,670,3,'230205',123.813181000,47.156867000,650,'黑龙江省',670,'0452','齐齐哈尔市','昂昂溪区','昂昂溪区','黑龙江省齐齐哈尔市昂昂溪区'),(675,670,3,'230206',123.638873000,47.206970000,650,'黑龙江省',670,'0452','齐齐哈尔市','富拉尔基区','富拉尔基区','黑龙江省齐齐哈尔市富拉尔基区'),(676,670,3,'230207',122.887972000,47.514010000,650,'黑龙江省',670,'0452','齐齐哈尔市','碾子山区','碾子山区','黑龙江省齐齐哈尔市碾子山区'),(677,670,3,'230208',123.754599000,47.311113000,650,'黑龙江省',670,'0452','齐齐哈尔市','梅里斯达斡尔族区','梅里斯达斡尔族区','黑龙江省齐齐哈尔市梅里斯达斡尔族区'),(678,670,3,'230221',123.187225000,47.336388000,650,'黑龙江省',670,'0452','齐齐哈尔市','龙江县','龙江县','黑龙江省齐齐哈尔市龙江县'),(679,670,3,'230223',125.307561000,47.890098000,650,'黑龙江省',670,'0452','齐齐哈尔市','依安县','依安县','黑龙江省齐齐哈尔市依安县'),(680,670,3,'230224',123.419530000,46.392330000,650,'黑龙江省',670,'0452','齐齐哈尔市','泰来县','泰来县','黑龙江省齐齐哈尔市泰来县'),(681,670,3,'230225',123.506034000,47.917838000,650,'黑龙江省',670,'0452','齐齐哈尔市','甘南县','甘南县','黑龙江省齐齐哈尔市甘南县'),(682,670,3,'230227',124.469106000,47.797172000,650,'黑龙江省',670,'0452','齐齐哈尔市','富裕县','富裕县','黑龙江省齐齐哈尔市富裕县'),(683,670,3,'230229',125.874355000,48.034342000,650,'黑龙江省',670,'0452','齐齐哈尔市','克山县','克山县','黑龙江省齐齐哈尔市克山县'),(684,670,3,'230230',126.249094000,48.037320000,650,'黑龙江省',670,'0452','齐齐哈尔市','克东县','克东县','黑龙江省齐齐哈尔市克东县'),(685,670,3,'230231',126.091911000,47.607363000,650,'黑龙江省',670,'0452','齐齐哈尔市','拜泉县','拜泉县','黑龙江省齐齐哈尔市拜泉县'),(686,670,3,'230281',124.882172000,48.481133000,650,'黑龙江省',670,'0452','齐齐哈尔市','讷河市','讷河市','黑龙江省齐齐哈尔市讷河市'),(687,650,2,'230300',130.975966000,45.300046000,650,'黑龙江省',687,'0467','鸡西市','鸡西市','','黑龙江省鸡西市'),(688,687,3,'230302',130.974374000,45.300340000,650,'黑龙江省',687,'0467','鸡西市','鸡冠区','鸡冠区','黑龙江省鸡西市鸡冠区'),(689,687,3,'230303',130.910636000,45.213242000,650,'黑龙江省',687,'0467','鸡西市','恒山区','恒山区','黑龙江省鸡西市恒山区'),(690,687,3,'230304',130.846823000,45.348812000,650,'黑龙江省',687,'0467','鸡西市','滴道区','滴道区','黑龙江省鸡西市滴道区'),(691,687,3,'230305',130.697781000,45.092195000,650,'黑龙江省',687,'0467','鸡西市','梨树区','梨树区','黑龙江省鸡西市梨树区'),(692,687,3,'230306',131.010501000,45.338248000,650,'黑龙江省',687,'0467','鸡西市','城子河区','城子河区','黑龙江省鸡西市城子河区'),(693,687,3,'230307',130.481126000,45.209607000,650,'黑龙江省',687,'0467','鸡西市','麻山区','麻山区','黑龙江省鸡西市麻山区'),(694,687,3,'230321',131.148907000,45.250892000,650,'黑龙江省',687,'0467','鸡西市','鸡东县','鸡东县','黑龙江省鸡西市鸡东县'),(695,687,3,'230381',132.973881000,45.767985000,650,'黑龙江省',687,'0467','鸡西市','虎林市','虎林市','黑龙江省鸡西市虎林市'),(696,687,3,'230382',131.874137000,45.547250000,650,'黑龙江省',687,'0467','鸡西市','密山市','密山市','黑龙江省鸡西市密山市'),(697,650,2,'230400',130.277487000,47.332085000,650,'黑龙江省',697,'0468','鹤岗市','鹤岗市','','黑龙江省鹤岗市'),(698,697,3,'230402',130.292478000,47.345372000,650,'黑龙江省',697,'0468','鹤岗市','向阳区','向阳区','黑龙江省鹤岗市向阳区'),(699,697,3,'230403',130.276652000,47.331678000,650,'黑龙江省',697,'0468','鹤岗市','工农区','工农区','黑龙江省鹤岗市工农区'),(700,697,3,'230404',130.275533000,47.313240000,650,'黑龙江省',697,'0468','鹤岗市','南山区','南山区','黑龙江省鹤岗市南山区'),(701,697,3,'230405',130.236169000,47.252911000,650,'黑龙江省',697,'0468','鹤岗市','兴安区','兴安区','黑龙江省鹤岗市兴安区'),(702,697,3,'230406',130.317140000,47.337385000,650,'黑龙江省',697,'0468','鹤岗市','东山区','东山区','黑龙江省鹤岗市东山区'),(703,697,3,'230407',130.305340000,47.359970000,650,'黑龙江省',697,'0468','鹤岗市','兴山区','兴山区','黑龙江省鹤岗市兴山区'),(704,697,3,'230421',130.829087000,47.577577000,650,'黑龙江省',697,'0468','鹤岗市','萝北县','萝北县','黑龙江省鹤岗市萝北县'),(705,697,3,'230422',131.860526000,47.289892000,650,'黑龙江省',697,'0468','鹤岗市','绥滨县','绥滨县','黑龙江省鹤岗市绥滨县'),(706,650,2,'230500',131.157304000,46.643442000,650,'黑龙江省',706,'0469','双鸭山市','双鸭山市','','黑龙江省双鸭山市'),(707,706,3,'230502',131.158960000,46.642961000,650,'黑龙江省',706,'0469','双鸭山市','尖山区','尖山区','黑龙江省双鸭山市尖山区'),(708,706,3,'230503',131.163675000,46.591076000,650,'黑龙江省',706,'0469','双鸭山市','岭东区','岭东区','黑龙江省双鸭山市岭东区'),(709,706,3,'230505',131.333181000,46.594347000,650,'黑龙江省',706,'0469','双鸭山市','四方台区','四方台区','黑龙江省双鸭山市四方台区'),(710,706,3,'230506',131.404294000,46.573366000,650,'黑龙江省',706,'0469','双鸭山市','宝山区','宝山区','黑龙江省双鸭山市宝山区'),(711,706,3,'230521',131.139330000,46.728980000,650,'黑龙江省',706,'0469','双鸭山市','集贤县','集贤县','黑龙江省双鸭山市集贤县'),(712,706,3,'230522',131.810622000,46.775159000,650,'黑龙江省',706,'0469','双鸭山市','友谊县','友谊县','黑龙江省双鸭山市友谊县'),(713,706,3,'230523',132.206415000,46.328781000,650,'黑龙江省',706,'0469','双鸭山市','宝清县','宝清县','黑龙江省双鸭山市宝清县'),(714,706,3,'230524',134.021162000,46.801288000,650,'黑龙江省',706,'0469','双鸭山市','饶河县','饶河县','黑龙江省双鸭山市饶河县'),(715,650,2,'230600',125.112720000,46.590734000,650,'黑龙江省',715,'0459','大庆市','大庆市','','黑龙江省大庆市'),(716,715,3,'230602',125.114643000,46.596356000,650,'黑龙江省',715,'0459','大庆市','萨尔图区','萨尔图区','黑龙江省大庆市萨尔图区'),(717,715,3,'230603',125.145794000,46.573948000,650,'黑龙江省',715,'0459','大庆市','龙凤区','龙凤区','黑龙江省大庆市龙凤区'),(718,715,3,'230604',124.868341000,46.653254000,650,'黑龙江省',715,'0459','大庆市','让胡路区','让胡路区','黑龙江省大庆市让胡路区'),(719,715,3,'230605',124.889528000,46.403049000,650,'黑龙江省',715,'0459','大庆市','红岗区','红岗区','黑龙江省大庆市红岗区'),(720,715,3,'230606',124.818509000,46.034304000,650,'黑龙江省',715,'0459','大庆市','大同区','大同区','黑龙江省大庆市大同区'),(721,715,3,'230621',125.273254000,45.708685000,650,'黑龙江省',715,'0459','大庆市','肇州县','肇州县','黑龙江省大庆市肇州县'),(722,715,3,'230622',125.081974000,45.518832000,650,'黑龙江省',715,'0459','大庆市','肇源县','肇源县','黑龙江省大庆市肇源县'),(723,715,3,'230623',124.877742000,47.186411000,650,'黑龙江省',715,'0459','大庆市','林甸县','林甸县','黑龙江省大庆市林甸县'),(724,715,3,'230624',124.446259000,46.865973000,650,'黑龙江省',715,'0459','大庆市','杜尔伯特蒙古族自治县','杜尔伯特蒙古族自治县','黑龙江省大庆市杜尔伯特蒙古族自治县'),(725,650,2,'230700',128.899396000,47.724775000,650,'黑龙江省',725,'0458','伊春市','伊春市','','黑龙江省伊春市'),(726,725,3,'230702',128.899284000,47.726851000,650,'黑龙江省',725,'0458','伊春市','伊春区','伊春区','黑龙江省伊春市伊春区'),(727,725,3,'230703',129.282460000,47.137314000,650,'黑龙江省',725,'0458','伊春市','南岔区','南岔区','黑龙江省伊春市南岔区'),(728,725,3,'230704',128.838961000,47.854303000,650,'黑龙江省',725,'0458','伊春市','友好区','友好区','黑龙江省伊春市友好区'),(729,725,3,'230705',129.311441000,47.479437000,650,'黑龙江省',725,'0458','伊春市','西林区','西林区','黑龙江省伊春市西林区'),(730,725,3,'230706',128.671746000,47.726228000,650,'黑龙江省',725,'0458','伊春市','翠峦区','翠峦区','黑龙江省伊春市翠峦区'),(731,725,3,'230707',129.529950000,48.288292000,650,'黑龙江省',725,'0458','伊春市','新青区','新青区','黑龙江省伊春市新青区'),(732,725,3,'230708',129.133411000,47.636102000,650,'黑龙江省',725,'0458','伊春市','美溪区','美溪区','黑龙江省伊春市美溪区'),(733,725,3,'230709',129.435944000,47.412950000,650,'黑龙江省',725,'0458','伊春市','金山屯区','金山屯区','黑龙江省伊春市金山屯区'),(734,725,3,'230710',129.245028000,48.108204000,650,'黑龙江省',725,'0458','伊春市','五营区','五营区','黑龙江省伊春市五营区'),(735,725,3,'230711',128.802941000,47.726961000,650,'黑龙江省',725,'0458','伊春市','乌马河区','乌马河区','黑龙江省伊春市乌马河区'),(736,725,3,'230712',129.572240000,48.453651000,650,'黑龙江省',725,'0458','伊春市','汤旺河区','汤旺河区','黑龙江省伊春市汤旺河区'),(737,725,3,'230713',129.021151000,47.027532000,650,'黑龙江省',725,'0458','伊春市','带岭区','带岭区','黑龙江省伊春市带岭区'),(738,725,3,'230714',129.437847000,48.591120000,650,'黑龙江省',725,'0458','伊春市','乌伊岭区','乌伊岭区','黑龙江省伊春市乌伊岭区'),(739,725,3,'230715',129.388796000,48.238368000,650,'黑龙江省',725,'0458','伊春市','红星区','红星区','黑龙江省伊春市红星区'),(740,725,3,'230716',129.025080000,47.974859000,650,'黑龙江省',725,'0458','伊春市','上甘岭区','上甘岭区','黑龙江省伊春市上甘岭区'),(741,725,3,'230722',130.397684000,48.891378000,650,'黑龙江省',725,'0458','伊春市','嘉荫县','嘉荫县','黑龙江省伊春市嘉荫县'),(742,725,3,'230781',128.030561000,46.985772000,650,'黑龙江省',725,'0458','伊春市','铁力市','铁力市','黑龙江省伊春市铁力市'),(743,650,2,'230800',130.361634000,46.809606000,650,'黑龙江省',743,'0454','佳木斯市','佳木斯市','','黑龙江省佳木斯市'),(744,743,3,'230803',130.361786000,46.809645000,650,'黑龙江省',743,'0454','佳木斯市','向阳区','向阳区','黑龙江省佳木斯市向阳区'),(745,743,3,'230804',130.377684000,46.812345000,650,'黑龙江省',743,'0454','佳木斯市','前进区','前进区','黑龙江省佳木斯市前进区'),(746,743,3,'230805',130.403297000,46.822476000,650,'黑龙江省',743,'0454','佳木斯市','东风区','东风区','黑龙江省佳木斯市东风区'),(747,743,3,'230811',130.351588000,46.807120000,650,'黑龙江省',743,'0454','佳木斯市','郊区','郊区','黑龙江省佳木斯市郊区'),(748,743,3,'230822',130.570112000,46.240118000,650,'黑龙江省',743,'0454','佳木斯市','桦南县','桦南县','黑龙江省佳木斯市桦南县'),(749,743,3,'230826',130.723713000,47.023039000,650,'黑龙江省',743,'0454','佳木斯市','桦川县','桦川县','黑龙江省佳木斯市桦川县'),(750,743,3,'230828',129.904463000,46.730048000,650,'黑龙江省',743,'0454','佳木斯市','汤原县','汤原县','黑龙江省佳木斯市汤原县'),(751,743,3,'230883',134.294501000,48.364707000,650,'黑龙江省',743,'0454','佳木斯市','抚远市','抚远市','黑龙江省佳木斯市抚远市'),(752,743,3,'230881',132.510119000,47.651131000,650,'黑龙江省',743,'0454','佳木斯市','同江市','同江市','黑龙江省佳木斯市同江市'),(753,743,3,'230882',132.037951000,47.250747000,650,'黑龙江省',743,'0454','佳木斯市','富锦市','富锦市','黑龙江省佳木斯市富锦市'),(754,650,2,'230900',131.015584000,45.771266000,650,'黑龙江省',754,'0464','七台河市','七台河市','','黑龙江省七台河市'),(755,754,3,'230902',130.889482000,45.794258000,650,'黑龙江省',754,'0464','七台河市','新兴区','新兴区','黑龙江省七台河市新兴区'),(756,754,3,'230903',131.015848000,45.771217000,650,'黑龙江省',754,'0464','七台河市','桃山区','桃山区','黑龙江省七台河市桃山区'),(757,754,3,'230904',131.071561000,45.776587000,650,'黑龙江省',754,'0464','七台河市','茄子河区','茄子河区','黑龙江省七台河市茄子河区'),(758,754,3,'230921',130.575025000,45.751573000,650,'黑龙江省',754,'0464','七台河市','勃利县','勃利县','黑龙江省七台河市勃利县'),(759,650,2,'231000',129.618602000,44.582962000,650,'黑龙江省',759,'0453','牡丹江市','牡丹江市','','黑龙江省牡丹江市'),(760,759,3,'231002',129.623292000,44.582399000,650,'黑龙江省',759,'0453','牡丹江市','东安区','东安区','黑龙江省牡丹江市东安区'),(761,759,3,'231003',129.634645000,44.596328000,650,'黑龙江省',759,'0453','牡丹江市','阳明区','阳明区','黑龙江省牡丹江市阳明区'),(762,759,3,'231004',129.601232000,44.595443000,650,'黑龙江省',759,'0453','牡丹江市','爱民区','爱民区','黑龙江省牡丹江市爱民区'),(763,759,3,'231005',129.613110000,44.581032000,650,'黑龙江省',759,'0453','牡丹江市','西安区','西安区','黑龙江省牡丹江市西安区'),(764,759,3,'231086',131.125296000,44.063578000,650,'黑龙江省',759,'0453','牡丹江市','东宁市','东宁市','黑龙江省牡丹江市东宁市'),(765,759,3,'231025',130.268402000,45.286645000,650,'黑龙江省',759,'0453','牡丹江市','林口县','林口县','黑龙江省牡丹江市林口县'),(766,759,3,'231081',131.164856000,44.396864000,650,'黑龙江省',759,'0453','牡丹江市','绥芬河市','绥芬河市','黑龙江省牡丹江市绥芬河市'),(767,759,3,'231083',129.387902000,44.574149000,650,'黑龙江省',759,'0453','牡丹江市','海林市','海林市','黑龙江省牡丹江市海林市'),(768,759,3,'231084',129.470019000,44.346836000,650,'黑龙江省',759,'0453','牡丹江市','宁安市','宁安市','黑龙江省牡丹江市宁安市'),(769,759,3,'231085',130.527085000,44.919670000,650,'黑龙江省',759,'0453','牡丹江市','穆棱市','穆棱市','黑龙江省牡丹江市穆棱市'),(770,650,2,'231100',127.499023000,50.249585000,650,'黑龙江省',770,'0456','黑河市','黑河市','','黑龙江省黑河市'),(771,770,3,'231102',127.497639000,50.249027000,650,'黑龙江省',770,'0456','黑河市','爱辉区','爱辉区','黑龙江省黑河市爱辉区'),(772,770,3,'231121',125.229904000,49.177461000,650,'黑龙江省',770,'0456','黑河市','嫩江县','嫩江县','黑龙江省黑河市嫩江县'),(773,770,3,'231123',128.476152000,49.582974000,650,'黑龙江省',770,'0456','黑河市','逊克县','逊克县','黑龙江省黑河市逊克县'),(774,770,3,'231124',127.327315000,49.423941000,650,'黑龙江省',770,'0456','黑河市','孙吴县','孙吴县','黑龙江省黑河市孙吴县'),(775,770,3,'231181',126.508737000,48.245437000,650,'黑龙江省',770,'0456','黑河市','北安市','北安市','黑龙江省黑河市北安市'),(776,770,3,'231182',126.197694000,48.512688000,650,'黑龙江省',770,'0456','黑河市','五大连池市','五大连池市','黑龙江省黑河市五大连池市'),(777,650,2,'231200',126.992930000,46.637393000,650,'黑龙江省',777,'0455','绥化市','绥化市','','黑龙江省绥化市'),(778,777,3,'231202',126.990665000,46.634912000,650,'黑龙江省',777,'0455','绥化市','北林区','北林区','黑龙江省绥化市北林区'),(779,777,3,'231221',126.484191000,46.833520000,650,'黑龙江省',777,'0455','绥化市','望奎县','望奎县','黑龙江省绥化市望奎县'),(780,777,3,'231222',126.289315000,46.259037000,650,'黑龙江省',777,'0455','绥化市','兰西县','兰西县','黑龙江省绥化市兰西县'),(781,777,3,'231223',126.112268000,46.686596000,650,'黑龙江省',777,'0455','绥化市','青冈县','青冈县','黑龙江省绥化市青冈县'),(782,777,3,'231224',127.510024000,46.879203000,650,'黑龙江省',777,'0455','绥化市','庆安县','庆安县','黑龙江省绥化市庆安县'),(783,777,3,'231225',125.907544000,47.183527000,650,'黑龙江省',777,'0455','绥化市','明水县','明水县','黑龙江省绥化市明水县'),(784,777,3,'231226',127.111121000,47.247195000,650,'黑龙江省',777,'0455','绥化市','绥棱县','绥棱县','黑龙江省绥化市绥棱县'),(785,777,3,'231281',125.329926000,46.410614000,650,'黑龙江省',777,'0455','绥化市','安达市','安达市','黑龙江省绥化市安达市'),(786,777,3,'231282',125.991402000,46.069471000,650,'黑龙江省',777,'0455','绥化市','肇东市','肇东市','黑龙江省绥化市肇东市'),(787,777,3,'231283',126.969383000,47.460428000,650,'黑龙江省',777,'0455','绥化市','海伦市','海伦市','黑龙江省绥化市海伦市'),(788,650,2,'232700',124.711526000,52.335262000,650,'黑龙江省',788,'0457','大兴安岭地区','大兴安岭地区','','黑龙江省大兴安岭地区'),(789,788,3,'232701',124.126716000,50.424654000,650,'黑龙江省',788,'0457','大兴安岭地区','加格达奇区','加格达奇区','黑龙江省大兴安岭地区加格达奇区'),(790,788,3,'232721',126.662105000,51.726998000,650,'黑龙江省',788,'0457','大兴安岭地区','呼玛县','呼玛县','黑龙江省大兴安岭地区呼玛县'),(791,788,3,'232722',124.710516000,52.335229000,650,'黑龙江省',788,'0457','大兴安岭地区','塔河县','塔河县','黑龙江省大兴安岭地区塔河县'),(792,788,3,'232723',122.536256000,52.972074000,650,'黑龙江省',788,'0457','大兴安岭地区','漠河县','漠河县','黑龙江省大兴安岭地区漠河县'),(793,1,1,'310000',121.472644000,31.231706000,793,'上海市',0,'021','','上海市','','上海市'),(794,793,2,'310100',121.472644000,31.231706000,793,'上海市',794,'021','上海市市辖区','上海市市辖区','','上海市市辖区'),(795,794,3,'310101',121.490317000,31.222771000,793,'上海市',794,'021','上海市市辖区','黄浦区','黄浦区','上海市市辖区黄浦区'),(796,794,3,'310104',121.437520000,31.179973000,793,'上海市',794,'021','上海市市辖区','徐汇区','徐汇区','上海市市辖区徐汇区'),(797,794,3,'310105',121.422200000,31.218123000,793,'上海市',794,'021','上海市市辖区','长宁区','长宁区','上海市市辖区长宁区'),(798,794,3,'310106',121.448224000,31.229003000,793,'上海市',794,'021','上海市市辖区','静安区','静安区','上海市市辖区静安区'),(799,794,3,'310107',121.392499000,31.241701000,793,'上海市',794,'021','上海市市辖区','普陀区','普陀区','上海市市辖区普陀区'),(800,794,3,'310109',121.491832000,31.260970000,793,'上海市',794,'021','上海市市辖区','虹口区','虹口区','上海市市辖区虹口区'),(801,794,3,'310110',121.522797000,31.270755000,793,'上海市',794,'021','上海市市辖区','杨浦区','杨浦区','上海市市辖区杨浦区'),(802,794,3,'310112',121.375972000,31.111658000,793,'上海市',794,'021','上海市市辖区','闵行区','闵行区','上海市市辖区闵行区'),(803,794,3,'310113',121.489934000,31.398896000,793,'上海市',794,'021','上海市市辖区','宝山区','宝山区','上海市市辖区宝山区'),(804,794,3,'310114',121.250333000,31.383524000,793,'上海市',794,'021','上海市市辖区','嘉定区','嘉定区','上海市市辖区嘉定区'),(805,794,3,'310115',121.567706000,31.245944000,793,'上海市',794,'021','上海市市辖区','浦东新区','浦东新区','上海市市辖区浦东新区'),(806,794,3,'310116',121.330736000,30.724697000,793,'上海市',794,'021','上海市市辖区','金山区','金山区','上海市市辖区金山区'),(807,794,3,'310117',121.223543000,31.030470000,793,'上海市',794,'021','上海市市辖区','松江区','松江区','上海市市辖区松江区'),(808,794,3,'310118',121.113021000,31.151209000,793,'上海市',794,'021','上海市市辖区','青浦区','青浦区','上海市市辖区青浦区'),(809,794,3,'310120',121.458472000,30.912345000,793,'上海市',794,'021','上海市市辖区','奉贤区','奉贤区','上海市市辖区奉贤区'),(810,794,3,'310151',121.397516000,31.626946000,793,'上海市',794,'021','上海市市辖区','崇明区','崇明区','上海市市辖区崇明区'),(811,1,1,'320000',118.767413000,32.041544000,811,'江苏省',0,'','','江苏省','','江苏省'),(812,811,2,'320100',118.767413000,32.041544000,811,'江苏省',812,'025','南京市','南京市','','江苏省南京市'),(813,812,3,'320102',118.792199000,32.050678000,811,'江苏省',812,'025','南京市','玄武区','玄武区','江苏省南京市玄武区'),(814,812,3,'320104',118.786088000,32.033818000,811,'江苏省',812,'025','南京市','秦淮区','秦淮区','江苏省南京市秦淮区'),(815,812,3,'320105',118.732688000,32.004538000,811,'江苏省',812,'025','南京市','建邺区','建邺区','江苏省南京市建邺区'),(816,812,3,'320106',118.769739000,32.066966000,811,'江苏省',812,'025','南京市','鼓楼区','鼓楼区','江苏省南京市鼓楼区'),(817,812,3,'320111',118.625307000,32.058390000,811,'江苏省',812,'025','南京市','浦口区','浦口区','江苏省南京市浦口区'),(818,812,3,'320113',118.808702000,32.102147000,811,'江苏省',812,'025','南京市','栖霞区','栖霞区','江苏省南京市栖霞区'),(819,812,3,'320114',118.772070000,31.995946000,811,'江苏省',812,'025','南京市','雨花台区','雨花台区','江苏省南京市雨花台区'),(820,812,3,'320115',118.850621000,31.953418000,811,'江苏省',812,'025','南京市','江宁区','江宁区','江苏省南京市江宁区'),(821,812,3,'320116',118.850650000,32.340655000,811,'江苏省',812,'025','南京市','六合区','六合区','江苏省南京市六合区'),(822,812,3,'320117',119.028732000,31.653061000,811,'江苏省',812,'025','南京市','溧水区','溧水区','江苏省南京市溧水区'),(823,812,3,'320118',118.875890000,31.327132000,811,'江苏省',812,'025','南京市','高淳区','高淳区','江苏省南京市高淳区'),(824,811,2,'320200',120.301663000,31.574729000,811,'江苏省',824,'0510','无锡市','无锡市','','江苏省无锡市'),(825,824,3,'320213',120.296595000,31.575706000,811,'江苏省',824,'0510','无锡市','梁溪区','梁溪区','江苏省无锡市梁溪区'),(826,824,3,'320214',120.352782000,31.550966000,811,'江苏省',824,'0510','无锡市','新吴区','新吴区','江苏省无锡市新吴区'),(827,824,3,'320205',120.357298000,31.585559000,811,'江苏省',824,'0510','无锡市','锡山区','锡山区','江苏省无锡市锡山区'),(828,824,3,'320206',120.303543000,31.681019000,811,'江苏省',824,'0510','无锡市','惠山区','惠山区','江苏省无锡市惠山区'),(829,824,3,'320211',120.266053000,31.550228000,811,'江苏省',824,'0510','无锡市','滨湖区','滨湖区','江苏省无锡市滨湖区'),(830,824,3,'320281',120.275891000,31.910984000,811,'江苏省',824,'0510','无锡市','江阴市','江阴市','江苏省无锡市江阴市'),(831,824,3,'320282',119.820538000,31.364384000,811,'江苏省',824,'0510','无锡市','宜兴市','宜兴市','江苏省无锡市宜兴市'),(832,811,2,'320300',117.184811000,34.261792000,811,'江苏省',832,'0516','徐州市','徐州市','','江苏省徐州市'),(833,832,3,'320302',117.192941000,34.269397000,811,'江苏省',832,'0516','徐州市','鼓楼区','鼓楼区','江苏省徐州市鼓楼区'),(834,832,3,'320303',117.194589000,34.254805000,811,'江苏省',832,'0516','徐州市','云龙区','云龙区','江苏省徐州市云龙区'),(835,832,3,'320305',117.450212000,34.441642000,811,'江苏省',832,'0516','徐州市','贾汪区','贾汪区','江苏省徐州市贾汪区'),(836,832,3,'320311',117.182225000,34.262249000,811,'江苏省',832,'0516','徐州市','泉山区','泉山区','江苏省徐州市泉山区'),(837,832,3,'320312',117.183894000,34.192880000,811,'江苏省',832,'0516','徐州市','铜山区','铜山区','江苏省徐州市铜山区'),(838,832,3,'320321',116.592888000,34.696946000,811,'江苏省',832,'0516','徐州市','丰县','丰县','江苏省徐州市丰县'),(839,832,3,'320322',116.937182000,34.729044000,811,'江苏省',832,'0516','徐州市','沛县','沛县','江苏省徐州市沛县'),(840,832,3,'320324',117.950660000,33.899222000,811,'江苏省',832,'0516','徐州市','睢宁县','睢宁县','江苏省徐州市睢宁县'),(841,832,3,'320381',118.345828000,34.368779000,811,'江苏省',832,'0516','徐州市','新沂市','新沂市','江苏省徐州市新沂市'),(842,832,3,'320382',117.963923000,34.314708000,811,'江苏省',832,'0516','徐州市','邳州市','邳州市','江苏省徐州市邳州市'),(843,811,2,'320400',119.946973000,31.772752000,811,'江苏省',843,'0519','常州市','常州市','','江苏省常州市'),(844,843,3,'320402',119.963783000,31.779632000,811,'江苏省',843,'0519','常州市','天宁区','天宁区','江苏省常州市天宁区'),(845,843,3,'320404',119.948388000,31.780960000,811,'江苏省',843,'0519','常州市','钟楼区','钟楼区','江苏省常州市钟楼区'),(846,843,3,'320411',119.974654000,31.824664000,811,'江苏省',843,'0519','常州市','新北区','新北区','江苏省常州市新北区'),(847,843,3,'320412',119.958773000,31.718566000,811,'江苏省',843,'0519','常州市','武进区','武进区','江苏省常州市武进区'),(848,843,3,'320481',119.487816000,31.427081000,811,'江苏省',843,'0519','常州市','溧阳市','溧阳市','江苏省常州市溧阳市'),(849,843,3,'320413',119.573395000,31.744399000,811,'江苏省',843,'0519','常州市','金坛区','金坛区','江苏省常州市金坛区'),(850,811,2,'320500',120.619585000,31.299379000,811,'江苏省',850,'0512','苏州市','苏州市','','江苏省苏州市'),(851,850,3,'320505',120.566833000,31.294845000,811,'江苏省',850,'0512','苏州市','虎丘区','虎丘区','江苏省苏州市虎丘区'),(852,850,3,'320506',120.624621000,31.270839000,811,'江苏省',850,'0512','苏州市','吴中区','吴中区','江苏省苏州市吴中区'),(853,850,3,'320507',120.618956000,31.396684000,811,'江苏省',850,'0512','苏州市','相城区','相城区','江苏省苏州市相城区'),(854,850,3,'320508',120.622249000,31.311414000,811,'江苏省',850,'0512','苏州市','姑苏区','姑苏区','江苏省苏州市姑苏区'),(855,850,3,'320509',120.641601000,31.160404000,811,'江苏省',850,'0512','苏州市','吴江区','吴江区','江苏省苏州市吴江区'),(856,850,3,'320581',120.748520000,31.658156000,811,'江苏省',850,'0512','苏州市','常熟市','常熟市','江苏省苏州市常熟市'),(857,850,3,'320582',120.543441000,31.865553000,811,'江苏省',850,'0512','苏州市','张家港市','张家港市','江苏省苏州市张家港市'),(858,850,3,'320583',120.958137000,31.381925000,811,'江苏省',850,'0512','苏州市','昆山市','昆山市','江苏省苏州市昆山市'),(859,850,3,'320585',121.112275000,31.452568000,811,'江苏省',850,'0512','苏州市','太仓市','太仓市','江苏省苏州市太仓市'),(860,811,2,'320600',120.864608000,32.016212000,811,'江苏省',860,'0513','南通市','南通市','','江苏省南通市'),(861,860,3,'320602',120.866350000,32.015278000,811,'江苏省',860,'0513','南通市','崇川区','崇川区','江苏省南通市崇川区'),(862,860,3,'320611',120.833900000,32.040299000,811,'江苏省',860,'0513','南通市','港闸区','港闸区','江苏省南通市港闸区'),(863,860,3,'320612',121.073171000,32.084287000,811,'江苏省',860,'0513','南通市','通州区','通州区','江苏省南通市通州区'),(864,860,3,'320621',120.465995000,32.540289000,811,'江苏省',860,'0513','南通市','海安县','海安县','江苏省南通市海安县'),(865,860,3,'320623',121.186088000,32.311832000,811,'江苏省',860,'0513','南通市','如东县','如东县','江苏省南通市如东县'),(866,860,3,'320681',121.659724000,31.810158000,811,'江苏省',860,'0513','南通市','启东市','启东市','江苏省南通市启东市'),(867,860,3,'320682',120.566324000,32.391591000,811,'江苏省',860,'0513','南通市','如皋市','如皋市','江苏省南通市如皋市'),(868,860,3,'320684',121.176609000,31.893528000,811,'江苏省',860,'0513','南通市','海门市','海门市','江苏省南通市海门市'),(869,811,2,'320700',119.178821000,34.600018000,811,'江苏省',869,'0518','连云港市','连云港市','','江苏省连云港市'),(870,869,3,'320703',119.366487000,34.739529000,811,'江苏省',869,'0518','连云港市','连云区','连云区','江苏省连云港市连云区'),(871,869,3,'320706',119.179793000,34.601584000,811,'江苏省',869,'0518','连云港市','海州区','海州区','江苏省连云港市海州区'),(872,869,3,'320707',119.128774000,34.839154000,811,'江苏省',869,'0518','连云港市','赣榆区','赣榆区','江苏省连云港市赣榆区'),(873,869,3,'320722',118.766489000,34.522859000,811,'江苏省',869,'0518','连云港市','东海县','东海县','江苏省连云港市东海县'),(874,869,3,'320723',119.255741000,34.298436000,811,'江苏省',869,'0518','连云港市','灌云县','灌云县','江苏省连云港市灌云县'),(875,869,3,'320724',119.352331000,34.092553000,811,'江苏省',869,'0518','连云港市','灌南县','灌南县','江苏省连云港市灌南县'),(876,811,2,'320800',119.021265000,33.597506000,811,'江苏省',876,'0517','淮安市','淮安市','','江苏省淮安市'),(877,876,3,'320802',119.019454000,33.603234000,811,'江苏省',876,'0517','淮安市','清江浦区','清江浦区','江苏省淮安市清江浦区'),(878,876,3,'320803',119.146340000,33.507499000,811,'江苏省',876,'0517','淮安市','淮安区','淮安区','江苏省淮安市淮安区'),(879,876,3,'320804',119.020817000,33.622452000,811,'江苏省',876,'0517','淮安市','淮阴区','淮阴区','江苏省淮安市淮阴区'),(880,876,3,'320826',119.266078000,33.771308000,811,'江苏省',876,'0517','淮安市','涟水县','涟水县','江苏省淮安市涟水县'),(881,876,3,'320813',118.867875000,33.294975000,811,'江苏省',876,'0517','淮安市','洪泽区','洪泽区','江苏省淮安市洪泽区'),(882,876,3,'320830',118.493823000,33.004390000,811,'江苏省',876,'0517','淮安市','盱眙县','盱眙县','江苏省淮安市盱眙县'),(883,876,3,'320831',119.016936000,33.018162000,811,'江苏省',876,'0517','淮安市','金湖县','金湖县','江苏省淮安市金湖县'),(884,811,2,'320900',120.139998000,33.377631000,811,'江苏省',884,'0515','盐城市','盐城市','','江苏省盐城市'),(885,884,3,'320902',120.136078000,33.383912000,811,'江苏省',884,'0515','盐城市','亭湖区','亭湖区','江苏省盐城市亭湖区'),(886,884,3,'320903',120.139753000,33.341288000,811,'江苏省',884,'0515','盐城市','盐都区','盐都区','江苏省盐城市盐都区'),(887,884,3,'320921',119.579573000,34.199960000,811,'江苏省',884,'0515','盐城市','响水县','响水县','江苏省盐城市响水县'),(888,884,3,'320922',119.828434000,33.989888000,811,'江苏省',884,'0515','盐城市','滨海县','滨海县','江苏省盐城市滨海县'),(889,884,3,'320923',119.805338000,33.785730000,811,'江苏省',884,'0515','盐城市','阜宁县','阜宁县','江苏省盐城市阜宁县'),(890,884,3,'320924',120.257444000,33.773779000,811,'江苏省',884,'0515','盐城市','射阳县','射阳县','江苏省盐城市射阳县'),(891,884,3,'320925',119.793105000,33.472621000,811,'江苏省',884,'0515','盐城市','建湖县','建湖县','江苏省盐城市建湖县'),(892,884,3,'320981',120.314101000,32.853174000,811,'江苏省',884,'0515','盐城市','东台市','东台市','江苏省盐城市东台市'),(893,884,3,'320904',120.470324000,33.199531000,811,'江苏省',884,'0515','盐城市','大丰区','大丰区','江苏省盐城市大丰区'),(894,811,2,'321000',119.421003000,32.393159000,811,'江苏省',894,'0514','扬州市','扬州市','','江苏省扬州市'),(895,894,3,'321002',119.442267000,32.392154000,811,'江苏省',894,'0514','扬州市','广陵区','广陵区','江苏省扬州市广陵区'),(896,894,3,'321003',119.397777000,32.377899000,811,'江苏省',894,'0514','扬州市','邗江区','邗江区','江苏省扬州市邗江区'),(897,894,3,'321012',119.567481000,32.426564000,811,'江苏省',894,'0514','扬州市','江都区','江都区','江苏省扬州市江都区'),(898,894,3,'321023',119.321284000,33.236940000,811,'江苏省',894,'0514','扬州市','宝应县','宝应县','江苏省扬州市宝应县'),(899,894,3,'321081',119.182443000,32.271965000,811,'江苏省',894,'0514','扬州市','仪征市','仪征市','江苏省扬州市仪征市'),(900,894,3,'321084',119.443842000,32.785164000,811,'江苏省',894,'0514','扬州市','高邮市','高邮市','江苏省扬州市高邮市'),(901,811,2,'321100',119.452753000,32.204402000,811,'江苏省',901,'0511','镇江市','镇江市','','江苏省镇江市'),(902,901,3,'321102',119.454571000,32.206191000,811,'江苏省',901,'0511','镇江市','京口区','京口区','江苏省镇江市京口区'),(903,901,3,'321111',119.414877000,32.213501000,811,'江苏省',901,'0511','镇江市','润州区','润州区','江苏省镇江市润州区'),(904,901,3,'321112',119.433883000,32.128972000,811,'江苏省',901,'0511','镇江市','丹徒区','丹徒区','江苏省镇江市丹徒区'),(905,901,3,'321181',119.581911000,31.991459000,811,'江苏省',901,'0511','镇江市','丹阳市','丹阳市','江苏省镇江市丹阳市'),(906,901,3,'321182',119.828054000,32.237266000,811,'江苏省',901,'0511','镇江市','扬中市','扬中市','江苏省镇江市扬中市'),(907,901,3,'321183',119.167135000,31.947355000,811,'江苏省',901,'0511','镇江市','句容市','句容市','江苏省镇江市句容市'),(908,811,2,'321200',119.915176000,32.484882000,811,'江苏省',908,'0523','泰州市','泰州市','','江苏省泰州市'),(909,908,3,'321202',119.920187000,32.488406000,811,'江苏省',908,'0523','泰州市','海陵区','海陵区','江苏省泰州市海陵区'),(910,908,3,'321203',119.881660000,32.315701000,811,'江苏省',908,'0523','泰州市','高港区','高港区','江苏省泰州市高港区'),(911,908,3,'321204',120.148208000,32.508483000,811,'江苏省',908,'0523','泰州市','姜堰区','姜堰区','江苏省泰州市姜堰区'),(912,908,3,'321281',119.840162000,32.938065000,811,'江苏省',908,'0523','泰州市','兴化市','兴化市','江苏省泰州市兴化市'),(913,908,3,'321282',120.268250000,32.018168000,811,'江苏省',908,'0523','泰州市','靖江市','靖江市','江苏省泰州市靖江市'),(914,908,3,'321283',120.020228000,32.168784000,811,'江苏省',908,'0523','泰州市','泰兴市','泰兴市','江苏省泰州市泰兴市'),(915,811,2,'321300',118.275162000,33.963008000,811,'江苏省',915,'0527','宿迁市','宿迁市','','江苏省宿迁市'),(916,915,3,'321302',118.278984000,33.937726000,811,'江苏省',915,'0527','宿迁市','宿城区','宿城区','江苏省宿迁市宿城区'),(917,915,3,'321311',118.330012000,33.941071000,811,'江苏省',915,'0527','宿迁市','宿豫区','宿豫区','江苏省宿迁市宿豫区'),(918,915,3,'321322',118.775889000,34.129097000,811,'江苏省',915,'0527','宿迁市','沭阳县','沭阳县','江苏省宿迁市沭阳县'),(919,915,3,'321323',118.681284000,33.711433000,811,'江苏省',915,'0527','宿迁市','泗阳县','泗阳县','江苏省宿迁市泗阳县'),(920,915,3,'321324',118.211824000,33.456538000,811,'江苏省',915,'0527','宿迁市','泗洪县','泗洪县','江苏省宿迁市泗洪县'),(921,1,1,'330000',120.153576000,30.287459000,921,'浙江省',0,'','','浙江省','','浙江省'),(922,921,2,'330100',120.153576000,30.287459000,921,'浙江省',922,'0571','杭州市','杭州市','','浙江省杭州市'),(923,922,3,'330102',120.171465000,30.250236000,921,'浙江省',922,'0571','杭州市','上城区','上城区','浙江省杭州市上城区'),(924,922,3,'330103',120.172763000,30.276271000,921,'浙江省',922,'0571','杭州市','下城区','下城区','浙江省杭州市下城区'),(925,922,3,'330104',120.202633000,30.266603000,921,'浙江省',922,'0571','杭州市','江干区','江干区','浙江省杭州市江干区'),(926,922,3,'330105',120.150053000,30.314697000,921,'浙江省',922,'0571','杭州市','拱墅区','拱墅区','浙江省杭州市拱墅区'),(927,922,3,'330106',120.147376000,30.272934000,921,'浙江省',922,'0571','杭州市','西湖区','西湖区','浙江省杭州市西湖区'),(928,922,3,'330108',120.210620000,30.206615000,921,'浙江省',922,'0571','杭州市','滨江区','滨江区','浙江省杭州市滨江区'),(929,922,3,'330109',120.270690000,30.162932000,921,'浙江省',922,'0571','杭州市','萧山区','萧山区','浙江省杭州市萧山区'),(930,922,3,'330110',120.301737000,30.421187000,921,'浙江省',922,'0571','杭州市','余杭区','余杭区','浙江省杭州市余杭区'),(931,922,3,'330111',119.949869000,30.049871000,921,'浙江省',922,'0571','杭州市','富阳区','富阳区','浙江省杭州市富阳区'),(932,922,3,'330122',119.685045000,29.797437000,921,'浙江省',922,'0571','杭州市','桐庐县','桐庐县','浙江省杭州市桐庐县'),(933,922,3,'330127',119.044276000,29.604177000,921,'浙江省',922,'0571','杭州市','淳安县','淳安县','浙江省杭州市淳安县'),(934,922,3,'330182',119.279089000,29.472284000,921,'浙江省',922,'0571','杭州市','建德市','建德市','浙江省杭州市建德市'),(935,922,3,'330185',119.715101000,30.231153000,921,'浙江省',922,'0571','杭州市','临安市','临安市','浙江省杭州市临安市'),(936,921,2,'330200',121.549792000,29.868388000,921,'浙江省',936,'0574','宁波市','宁波市','','浙江省宁波市'),(937,936,3,'330203',121.539698000,29.874452000,921,'浙江省',936,'0574','宁波市','海曙区','海曙区','浙江省宁波市海曙区'),(938,936,3,'330205',121.559282000,29.888361000,921,'浙江省',936,'0574','宁波市','江北区','江北区','浙江省宁波市江北区'),(939,936,3,'330206',121.831303000,29.909440000,921,'浙江省',936,'0574','宁波市','北仑区','北仑区','浙江省宁波市北仑区'),(940,936,3,'330211',121.713162000,29.952107000,921,'浙江省',936,'0574','宁波市','镇海区','镇海区','浙江省宁波市镇海区'),(941,936,3,'330212',121.558436000,29.831662000,921,'浙江省',936,'0574','宁波市','鄞州区','鄞州区','浙江省宁波市鄞州区'),(942,936,3,'330225',121.877091000,29.470206000,921,'浙江省',936,'0574','宁波市','象山县','象山县','浙江省宁波市象山县'),(943,936,3,'330226',121.432606000,29.299836000,921,'浙江省',936,'0574','宁波市','宁海县','宁海县','浙江省宁波市宁海县'),(944,936,3,'330281',121.156294000,30.045404000,921,'浙江省',936,'0574','宁波市','余姚市','余姚市','浙江省宁波市余姚市'),(945,936,3,'330282',121.248052000,30.177142000,921,'浙江省',936,'0574','宁波市','慈溪市','慈溪市','浙江省宁波市慈溪市'),(946,936,3,'330283',121.410890000,29.662348000,921,'浙江省',936,'0574','宁波市','奉化区','奉化区','浙江省宁波市奉化区'),(947,921,2,'330300',120.672111000,28.000575000,921,'浙江省',947,'0577','温州市','温州市','','浙江省温州市'),(948,947,3,'330302',120.674231000,28.003352000,921,'浙江省',947,'0577','温州市','鹿城区','鹿城区','浙江省温州市鹿城区'),(949,947,3,'330303',120.763469000,27.970254000,921,'浙江省',947,'0577','温州市','龙湾区','龙湾区','浙江省温州市龙湾区'),(950,947,3,'330304',120.637145000,28.006444000,921,'浙江省',947,'0577','温州市','瓯海区','瓯海区','浙江省温州市瓯海区'),(951,947,3,'330305',121.156181000,27.836057000,921,'浙江省',947,'0577','温州市','洞头区','洞头区','浙江省温州市洞头区'),(952,947,3,'330324',120.690968000,28.153886000,921,'浙江省',947,'0577','温州市','永嘉县','永嘉县','浙江省温州市永嘉县'),(953,947,3,'330326',120.564387000,27.669300000,921,'浙江省',947,'0577','温州市','平阳县','平阳县','浙江省温州市平阳县'),(954,947,3,'330327',120.406256000,27.507743000,921,'浙江省',947,'0577','温州市','苍南县','苍南县','浙江省温州市苍南县'),(955,947,3,'330328',120.092450000,27.789133000,921,'浙江省',947,'0577','温州市','文成县','文成县','浙江省温州市文成县'),(956,947,3,'330329',119.716240000,27.557309000,921,'浙江省',947,'0577','温州市','泰顺县','泰顺县','浙江省温州市泰顺县'),(957,947,3,'330381',120.646171000,27.779321000,921,'浙江省',947,'0577','温州市','瑞安市','瑞安市','浙江省温州市瑞安市'),(958,947,3,'330382',120.967147000,28.116083000,921,'浙江省',947,'0577','温州市','乐清市','乐清市','浙江省温州市乐清市'),(959,921,2,'330400',120.750865000,30.762653000,921,'浙江省',959,'0573','嘉兴市','嘉兴市','','浙江省嘉兴市'),(960,959,3,'330402',120.749953000,30.764652000,921,'浙江省',959,'0573','嘉兴市','南湖区','南湖区','浙江省嘉兴市南湖区'),(961,959,3,'330411',120.720431000,30.763323000,921,'浙江省',959,'0573','嘉兴市','秀洲区','秀洲区','浙江省嘉兴市秀洲区'),(962,959,3,'330421',120.921871000,30.841352000,921,'浙江省',959,'0573','嘉兴市','嘉善县','嘉善县','浙江省嘉兴市嘉善县'),(963,959,3,'330424',120.942017000,30.522223000,921,'浙江省',959,'0573','嘉兴市','海盐县','海盐县','浙江省嘉兴市海盐县'),(964,959,3,'330481',120.688821000,30.525544000,921,'浙江省',959,'0573','嘉兴市','海宁市','海宁市','浙江省嘉兴市海宁市'),(965,959,3,'330482',121.014666000,30.698921000,921,'浙江省',959,'0573','嘉兴市','平湖市','平湖市','浙江省嘉兴市平湖市'),(966,959,3,'330483',120.551085000,30.629065000,921,'浙江省',959,'0573','嘉兴市','桐乡市','桐乡市','浙江省嘉兴市桐乡市'),(967,921,2,'330500',120.102398000,30.867198000,921,'浙江省',967,'0572','湖州市','湖州市','','浙江省湖州市'),(968,967,3,'330502',120.101416000,30.867252000,921,'浙江省',967,'0572','湖州市','吴兴区','吴兴区','浙江省湖州市吴兴区'),(969,967,3,'330503',120.417195000,30.872742000,921,'浙江省',967,'0572','湖州市','南浔区','南浔区','浙江省湖州市南浔区'),(970,967,3,'330521',119.967662000,30.534927000,921,'浙江省',967,'0572','湖州市','德清县','德清县','浙江省湖州市德清县'),(971,967,3,'330522',119.910122000,31.004750000,921,'浙江省',967,'0572','湖州市','长兴县','长兴县','浙江省湖州市长兴县'),(972,967,3,'330523',119.687891000,30.631974000,921,'浙江省',967,'0572','湖州市','安吉县','安吉县','浙江省湖州市安吉县'),(973,921,2,'330600',120.582112000,29.997117000,921,'浙江省',973,'0575','绍兴市','绍兴市','','浙江省绍兴市'),(974,973,3,'330602',120.585315000,29.996993000,921,'浙江省',973,'0575','绍兴市','越城区','越城区','浙江省绍兴市越城区'),(975,973,3,'330603',120.476075000,30.078038000,921,'浙江省',973,'0575','绍兴市','柯桥区','柯桥区','浙江省绍兴市柯桥区'),(976,973,3,'330604',120.874185000,30.016769000,921,'浙江省',973,'0575','绍兴市','上虞区','上虞区','浙江省绍兴市上虞区'),(977,973,3,'330624',120.905665000,29.501205000,921,'浙江省',973,'0575','绍兴市','新昌县','新昌县','浙江省绍兴市新昌县'),(978,973,3,'330681',120.244326000,29.713662000,921,'浙江省',973,'0575','绍兴市','诸暨市','诸暨市','浙江省绍兴市诸暨市'),(979,973,3,'330683',120.828880000,29.586606000,921,'浙江省',973,'0575','绍兴市','嵊州市','嵊州市','浙江省绍兴市嵊州市'),(980,921,2,'330700',119.649506000,29.089524000,921,'浙江省',980,'0579','金华市','金华市','','浙江省金华市'),(981,980,3,'330702',119.652579000,29.082607000,921,'浙江省',980,'0579','金华市','婺城区','婺城区','浙江省金华市婺城区'),(982,980,3,'330703',119.681264000,29.095835000,921,'浙江省',980,'0579','金华市','金东区','金东区','浙江省金华市金东区'),(983,980,3,'330723',119.819159000,28.896563000,921,'浙江省',980,'0579','金华市','武义县','武义县','浙江省金华市武义县'),(984,980,3,'330726',119.893363000,29.451254000,921,'浙江省',980,'0579','金华市','浦江县','浦江县','浙江省金华市浦江县'),(985,980,3,'330727',120.445130000,29.052627000,921,'浙江省',980,'0579','金华市','磐安县','磐安县','浙江省金华市磐安县'),(986,980,3,'330781',119.460521000,29.210065000,921,'浙江省',980,'0579','金华市','兰溪市','兰溪市','浙江省金华市兰溪市'),(987,980,3,'330782',120.074911000,29.306863000,921,'浙江省',980,'0579','金华市','义乌市','义乌市','浙江省金华市义乌市'),(988,980,3,'330783',120.233340000,29.262546000,921,'浙江省',980,'0579','金华市','东阳市','东阳市','浙江省金华市东阳市'),(989,980,3,'330784',120.036328000,28.895293000,921,'浙江省',980,'0579','金华市','永康市','永康市','浙江省金华市永康市'),(990,921,2,'330800',118.872630000,28.941708000,921,'浙江省',990,'0570','衢州市','衢州市','','浙江省衢州市'),(991,990,3,'330802',118.873041000,28.944539000,921,'浙江省',990,'0570','衢州市','柯城区','柯城区','浙江省衢州市柯城区'),(992,990,3,'330803',118.957683000,28.973195000,921,'浙江省',990,'0570','衢州市','衢江区','衢江区','浙江省衢州市衢江区'),(993,990,3,'330822',118.521654000,28.900039000,921,'浙江省',990,'0570','衢州市','常山县','常山县','浙江省衢州市常山县'),(994,990,3,'330824',118.414435000,29.136503000,921,'浙江省',990,'0570','衢州市','开化县','开化县','浙江省衢州市开化县'),(995,990,3,'330825',119.172525000,29.031364000,921,'浙江省',990,'0570','衢州市','龙游县','龙游县','浙江省衢州市龙游县'),(996,990,3,'330881',118.627879000,28.734674000,921,'浙江省',990,'0570','衢州市','江山市','江山市','浙江省衢州市江山市'),(997,921,2,'330900',122.106863000,30.016028000,921,'浙江省',997,'0580','舟山市','舟山市','','浙江省舟山市'),(998,997,3,'330902',122.108496000,30.016423000,921,'浙江省',997,'0580','舟山市','定海区','定海区','浙江省舟山市定海区'),(999,997,3,'330903',122.301953000,29.945614000,921,'浙江省',997,'0580','舟山市','普陀区','普陀区','浙江省舟山市普陀区'),(1000,997,3,'330921',122.201132000,30.242865000,921,'浙江省',997,'0580','舟山市','岱山县','岱山县','浙江省舟山市岱山县'),(1001,997,3,'330922',122.457809000,30.727166000,921,'浙江省',997,'0580','舟山市','嵊泗县','嵊泗县','浙江省舟山市嵊泗县'),(1002,921,2,'331000',121.428599000,28.661378000,921,'浙江省',1002,'0576','台州市','台州市','','浙江省台州市'),(1003,1002,3,'331002',121.431049000,28.676150000,921,'浙江省',1002,'0576','台州市','椒江区','椒江区','浙江省台州市椒江区'),(1004,1002,3,'331003',121.262138000,28.644880000,921,'浙江省',1002,'0576','台州市','黄岩区','黄岩区','浙江省台州市黄岩区'),(1005,1002,3,'331004',121.372920000,28.581799000,921,'浙江省',1002,'0576','台州市','路桥区','路桥区','浙江省台州市路桥区'),(1006,1002,3,'331021',121.232337000,28.128420000,921,'浙江省',1002,'0576','台州市','玉环县','玉环县','浙江省台州市玉环县'),(1007,1002,3,'331022',121.376429000,29.118955000,921,'浙江省',1002,'0576','台州市','三门县','三门县','浙江省台州市三门县'),(1008,1002,3,'331023',121.031227000,29.141126000,921,'浙江省',1002,'0576','台州市','天台县','天台县','浙江省台州市天台县'),(1009,1002,3,'331024',120.735074000,28.849213000,921,'浙江省',1002,'0576','台州市','仙居县','仙居县','浙江省台州市仙居县'),(1010,1002,3,'331081',121.373611000,28.368781000,921,'浙江省',1002,'0576','台州市','温岭市','温岭市','浙江省台州市温岭市'),(1011,1002,3,'331082',121.131229000,28.845441000,921,'浙江省',1002,'0576','台州市','临海市','临海市','浙江省台州市临海市'),(1012,921,2,'331100',119.921786000,28.451993000,921,'浙江省',1012,'0578','丽水市','丽水市','','浙江省丽水市'),(1013,1012,3,'331102',119.922293000,28.451103000,921,'浙江省',1012,'0578','丽水市','莲都区','莲都区','浙江省丽水市莲都区'),(1014,1012,3,'331121',120.291939000,28.135247000,921,'浙江省',1012,'0578','丽水市','青田县','青田县','浙江省丽水市青田县'),(1015,1012,3,'331122',120.078965000,28.654208000,921,'浙江省',1012,'0578','丽水市','缙云县','缙云县','浙江省丽水市缙云县'),(1016,1012,3,'331123',119.275890000,28.592400000,921,'浙江省',1012,'0578','丽水市','遂昌县','遂昌县','浙江省丽水市遂昌县'),(1017,1012,3,'331124',119.485292000,28.449937000,921,'浙江省',1012,'0578','丽水市','松阳县','松阳县','浙江省丽水市松阳县'),(1018,1012,3,'331125',119.569458000,28.111077000,921,'浙江省',1012,'0578','丽水市','云和县','云和县','浙江省丽水市云和县'),(1019,1012,3,'331126',119.067233000,27.618231000,921,'浙江省',1012,'0578','丽水市','庆元县','庆元县','浙江省丽水市庆元县'),(1020,1012,3,'331127',119.634669000,27.977247000,921,'浙江省',1012,'0578','丽水市','景宁畲族自治县','景宁畲族自治县','浙江省丽水市景宁畲族自治县'),(1021,1012,3,'331181',119.132319000,28.069177000,921,'浙江省',1012,'0578','丽水市','龙泉市','龙泉市','浙江省丽水市龙泉市');
INSERT INTO `region` VALUES (1022,1,1,'340000',117.283042000,31.861190000,1022,'安徽省',0,'','','安徽省','','安徽省'),(1023,1022,2,'340100',117.283042000,31.861190000,1022,'安徽省',1023,'0551','合肥市','合肥市','','安徽省合肥市'),(1024,1023,3,'340102',117.315358000,31.869610000,1022,'安徽省',1023,'0551','合肥市','瑶海区','瑶海区','安徽省合肥市瑶海区'),(1025,1023,3,'340103',117.283776000,31.869011000,1022,'安徽省',1023,'0551','合肥市','庐阳区','庐阳区','安徽省合肥市庐阳区'),(1026,1023,3,'340104',117.262072000,31.855868000,1022,'安徽省',1023,'0551','合肥市','蜀山区','蜀山区','安徽省合肥市蜀山区'),(1027,1023,3,'340111',117.285751000,31.829560000,1022,'安徽省',1023,'0551','合肥市','包河区','包河区','安徽省合肥市包河区'),(1028,1023,3,'340121',117.164699000,32.478548000,1022,'安徽省',1023,'0551','合肥市','长丰县','长丰县','安徽省合肥市长丰县'),(1029,1023,3,'340122',117.463222000,31.883992000,1022,'安徽省',1023,'0551','合肥市','肥东县','肥东县','安徽省合肥市肥东县'),(1030,1023,3,'340123',117.166118000,31.719646000,1022,'安徽省',1023,'0551','合肥市','肥西县','肥西县','安徽省合肥市肥西县'),(1031,1023,3,'340124',117.289844000,31.251488000,1022,'安徽省',1023,'0551','合肥市','庐江县','庐江县','安徽省合肥市庐江县'),(1032,1023,3,'340181',117.874155000,31.600518000,1022,'安徽省',1023,'0551','合肥市','巢湖市','巢湖市','安徽省合肥市巢湖市'),(1033,1022,2,'340200',118.376451000,31.326319000,1022,'安徽省',1033,'0553','芜湖市','芜湖市','','安徽省芜湖市'),(1034,1033,3,'340202',118.376343000,31.325590000,1022,'安徽省',1033,'0553','芜湖市','镜湖区','镜湖区','安徽省芜湖市镜湖区'),(1035,1033,3,'340203',118.377476000,31.313394000,1022,'安徽省',1033,'0553','芜湖市','弋江区','弋江区','安徽省芜湖市弋江区'),(1036,1033,3,'340207',118.400174000,31.362716000,1022,'安徽省',1033,'0553','芜湖市','鸠江区','鸠江区','安徽省芜湖市鸠江区'),(1037,1033,3,'340208',118.233987000,31.225423000,1022,'安徽省',1033,'0553','芜湖市','三山区','三山区','安徽省芜湖市三山区'),(1038,1033,3,'340221',118.572301000,31.145262000,1022,'安徽省',1033,'0553','芜湖市','芜湖县','芜湖县','安徽省芜湖市芜湖县'),(1039,1033,3,'340222',118.201349000,31.080896000,1022,'安徽省',1033,'0553','芜湖市','繁昌县','繁昌县','安徽省芜湖市繁昌县'),(1040,1033,3,'340223',118.337104000,30.919638000,1022,'安徽省',1033,'0553','芜湖市','南陵县','南陵县','安徽省芜湖市南陵县'),(1041,1033,3,'340225',117.911432000,31.303075000,1022,'安徽省',1033,'0553','芜湖市','无为县','无为县','安徽省芜湖市无为县'),(1042,1022,2,'340300',117.363228000,32.939667000,1022,'安徽省',1042,'0552','蚌埠市','蚌埠市','','安徽省蚌埠市'),(1043,1042,3,'340302',117.382312000,32.950452000,1022,'安徽省',1042,'0552','蚌埠市','龙子湖区','龙子湖区','安徽省蚌埠市龙子湖区'),(1044,1042,3,'340303',117.355789000,32.938066000,1022,'安徽省',1042,'0552','蚌埠市','蚌山区','蚌山区','安徽省蚌埠市蚌山区'),(1045,1042,3,'340304',117.352590000,32.931933000,1022,'安徽省',1042,'0552','蚌埠市','禹会区','禹会区','安徽省蚌埠市禹会区'),(1046,1042,3,'340311',117.347090000,32.963147000,1022,'安徽省',1042,'0552','蚌埠市','淮上区','淮上区','安徽省蚌埠市淮上区'),(1047,1042,3,'340321',117.200171000,32.956934000,1022,'安徽省',1042,'0552','蚌埠市','怀远县','怀远县','安徽省蚌埠市怀远县'),(1048,1042,3,'340322',117.888809000,33.146202000,1022,'安徽省',1042,'0552','蚌埠市','五河县','五河县','安徽省蚌埠市五河县'),(1049,1042,3,'340323',117.315962000,33.318679000,1022,'安徽省',1042,'0552','蚌埠市','固镇县','固镇县','安徽省蚌埠市固镇县'),(1050,1022,2,'340400',117.018329000,32.647574000,1022,'安徽省',1050,'0554','淮南市','淮南市','','安徽省淮南市'),(1051,1050,3,'340402',117.052927000,32.632066000,1022,'安徽省',1050,'0554','淮南市','大通区','大通区','安徽省淮南市大通区'),(1052,1050,3,'340403',117.018318000,32.644342000,1022,'安徽省',1050,'0554','淮南市','田家庵区','田家庵区','安徽省淮南市田家庵区'),(1053,1050,3,'340404',116.865354000,32.598289000,1022,'安徽省',1050,'0554','淮南市','谢家集区','谢家集区','安徽省淮南市谢家集区'),(1054,1050,3,'340405',116.841111000,32.628229000,1022,'安徽省',1050,'0554','淮南市','八公山区','八公山区','安徽省淮南市八公山区'),(1055,1050,3,'340406',116.816879000,32.782117000,1022,'安徽省',1050,'0554','淮南市','潘集区','潘集区','安徽省淮南市潘集区'),(1056,1050,3,'340421',116.722769000,32.705382000,1022,'安徽省',1050,'0554','淮南市','凤台县','凤台县','安徽省淮南市凤台县'),(1057,1050,3,'340422',116.785349000,32.577304000,1022,'安徽省',1050,'0554','淮南市','寿县','寿县','安徽省淮南市寿县'),(1058,1022,2,'340500',118.507906000,31.689362000,1022,'安徽省',1058,'0555','马鞍山市','马鞍山市','','安徽省马鞍山市'),(1059,1058,3,'340503',118.511308000,31.699020000,1022,'安徽省',1058,'0555','马鞍山市','花山区','花山区','安徽省马鞍山市花山区'),(1060,1058,3,'340504',118.493104000,31.685912000,1022,'安徽省',1058,'0555','马鞍山市','雨山区','雨山区','安徽省马鞍山市雨山区'),(1061,1058,3,'340506',118.843742000,31.562321000,1022,'安徽省',1058,'0555','马鞍山市','博望区','博望区','安徽省马鞍山市博望区'),(1062,1058,3,'340521',118.489873000,31.556167000,1022,'安徽省',1058,'0555','马鞍山市','当涂县','当涂县','安徽省马鞍山市当涂县'),(1063,1058,3,'340522',118.105545000,31.727758000,1022,'安徽省',1058,'0555','马鞍山市','含山县','含山县','安徽省马鞍山市含山县'),(1064,1058,3,'340523',118.362998000,31.716634000,1022,'安徽省',1058,'0555','马鞍山市','和县','和县','安徽省马鞍山市和县'),(1065,1022,2,'340600',116.794664000,33.971707000,1022,'安徽省',1065,'0561','淮北市','淮北市','','安徽省淮北市'),(1066,1065,3,'340602',116.833925000,33.991218000,1022,'安徽省',1065,'0561','淮北市','杜集区','杜集区','安徽省淮北市杜集区'),(1067,1065,3,'340603',116.790775000,33.970916000,1022,'安徽省',1065,'0561','淮北市','相山区','相山区','安徽省淮北市相山区'),(1068,1065,3,'340604',116.809465000,33.889529000,1022,'安徽省',1065,'0561','淮北市','烈山区','烈山区','安徽省淮北市烈山区'),(1069,1065,3,'340621',116.767435000,33.916407000,1022,'安徽省',1065,'0561','淮北市','濉溪县','濉溪县','安徽省淮北市濉溪县'),(1070,1022,2,'340700',117.816576000,30.929935000,1022,'安徽省',1070,'0562','铜陵市','铜陵市','','安徽省铜陵市'),(1071,1070,3,'340705',117.818427000,30.931820000,1022,'安徽省',1070,'0562','铜陵市','铜官区','铜官区','安徽省铜陵市铜官区'),(1072,1070,3,'340711',117.807070000,30.908927000,1022,'安徽省',1070,'0562','铜陵市','郊区','郊区','安徽省铜陵市郊区'),(1073,1070,3,'340706',117.792288000,30.952338000,1022,'安徽省',1070,'0562','铜陵市','义安区','义安区','安徽省铜陵市义安区'),(1074,1070,3,'340722',117.222027000,30.700615000,1022,'安徽省',1070,'0562','铜陵市','枞阳县','枞阳县','安徽省铜陵市枞阳县'),(1075,1022,2,'340800',117.043551000,30.508830000,1022,'安徽省',1075,'0556','安庆市','安庆市','','安徽省安庆市'),(1076,1075,3,'340802',117.044965000,30.506375000,1022,'安徽省',1075,'0556','安庆市','迎江区','迎江区','安徽省安庆市迎江区'),(1077,1075,3,'340803',117.034512000,30.505632000,1022,'安徽省',1075,'0556','安庆市','大观区','大观区','安徽省安庆市大观区'),(1078,1075,3,'340811',117.070003000,30.541323000,1022,'安徽省',1075,'0556','安庆市','宜秀区','宜秀区','安徽省安庆市宜秀区'),(1079,1075,3,'340822',116.828664000,30.734994000,1022,'安徽省',1075,'0556','安庆市','怀宁县','怀宁县','安徽省安庆市怀宁县'),(1080,1075,3,'340824',116.573666000,30.638222000,1022,'安徽省',1075,'0556','安庆市','潜山县','潜山县','安徽省安庆市潜山县'),(1081,1075,3,'340825',116.305225000,30.451869000,1022,'安徽省',1075,'0556','安庆市','太湖县','太湖县','安徽省安庆市太湖县'),(1082,1075,3,'340826',116.120204000,30.158327000,1022,'安徽省',1075,'0556','安庆市','宿松县','宿松县','安徽省安庆市宿松县'),(1083,1075,3,'340827',116.690927000,30.124910000,1022,'安徽省',1075,'0556','安庆市','望江县','望江县','安徽省安庆市望江县'),(1084,1075,3,'340828',116.360482000,30.848502000,1022,'安徽省',1075,'0556','安庆市','岳西县','岳西县','安徽省安庆市岳西县'),(1085,1075,3,'340881',116.959656000,31.050576000,1022,'安徽省',1075,'0556','安庆市','桐城市','桐城市','安徽省安庆市桐城市'),(1086,1022,2,'341000',118.317325000,29.709239000,1022,'安徽省',1086,'0559','黄山市','黄山市','','安徽省黄山市'),(1087,1086,3,'341002',118.317354000,29.709186000,1022,'安徽省',1086,'0559','黄山市','屯溪区','屯溪区','安徽省黄山市屯溪区'),(1088,1086,3,'341003',118.136639000,30.294517000,1022,'安徽省',1086,'0559','黄山市','黄山区','黄山区','安徽省黄山市黄山区'),(1089,1086,3,'341004',118.339743000,29.825201000,1022,'安徽省',1086,'0559','黄山市','徽州区','徽州区','安徽省黄山市徽州区'),(1090,1086,3,'341021',118.428025000,29.867748000,1022,'安徽省',1086,'0559','黄山市','歙县','歙县','安徽省黄山市歙县'),(1091,1086,3,'341022',118.188531000,29.788878000,1022,'安徽省',1086,'0559','黄山市','休宁县','休宁县','安徽省黄山市休宁县'),(1092,1086,3,'341023',117.942911000,29.923812000,1022,'安徽省',1086,'0559','黄山市','黟县','黟县','安徽省黄山市黟县'),(1093,1086,3,'341024',117.717237000,29.853472000,1022,'安徽省',1086,'0559','黄山市','祁门县','祁门县','安徽省黄山市祁门县'),(1094,1022,2,'341100',118.316264000,32.303627000,1022,'安徽省',1094,'0550','滁州市','滁州市','','安徽省滁州市'),(1095,1094,3,'341102',118.316475000,32.303797000,1022,'安徽省',1094,'0550','滁州市','琅琊区','琅琊区','安徽省滁州市琅琊区'),(1096,1094,3,'341103',118.296955000,32.329841000,1022,'安徽省',1094,'0550','滁州市','南谯区','南谯区','安徽省滁州市南谯区'),(1097,1094,3,'341122',118.433293000,32.450231000,1022,'安徽省',1094,'0550','滁州市','来安县','来安县','安徽省滁州市来安县'),(1098,1094,3,'341124',118.268576000,32.093850000,1022,'安徽省',1094,'0550','滁州市','全椒县','全椒县','安徽省滁州市全椒县'),(1099,1094,3,'341125',117.683713000,32.527105000,1022,'安徽省',1094,'0550','滁州市','定远县','定远县','安徽省滁州市定远县'),(1100,1094,3,'341126',117.562461000,32.867146000,1022,'安徽省',1094,'0550','滁州市','凤阳县','凤阳县','安徽省滁州市凤阳县'),(1101,1094,3,'341181',119.011212000,32.681500000,1022,'安徽省',1094,'0550','滁州市','天长市','天长市','安徽省滁州市天长市'),(1102,1094,3,'341182',117.998048000,32.781206000,1022,'安徽省',1094,'0550','滁州市','明光市','明光市','安徽省滁州市明光市'),(1103,1022,2,'341200',115.819729000,32.896969000,1022,'安徽省',1103,'1558','阜阳市','阜阳市','','安徽省阜阳市'),(1104,1103,3,'341202',115.813914000,32.891238000,1022,'安徽省',1103,'1558','阜阳市','颍州区','颍州区','安徽省阜阳市颍州区'),(1105,1103,3,'341203',115.858747000,32.908861000,1022,'安徽省',1103,'1558','阜阳市','颍东区','颍东区','安徽省阜阳市颍东区'),(1106,1103,3,'341204',115.804525000,32.924797000,1022,'安徽省',1103,'1558','阜阳市','颍泉区','颍泉区','安徽省阜阳市颍泉区'),(1107,1103,3,'341221',115.261688000,33.062698000,1022,'安徽省',1103,'1558','阜阳市','临泉县','临泉县','安徽省阜阳市临泉县'),(1108,1103,3,'341222',115.627243000,33.162290000,1022,'安徽省',1103,'1558','阜阳市','太和县','太和县','安徽省阜阳市太和县'),(1109,1103,3,'341225',115.590534000,32.638102000,1022,'安徽省',1103,'1558','阜阳市','阜南县','阜南县','安徽省阜阳市阜南县'),(1110,1103,3,'341226',116.259122000,32.637065000,1022,'安徽省',1103,'1558','阜阳市','颍上县','颍上县','安徽省阜阳市颍上县'),(1111,1103,3,'341282',115.362117000,33.261530000,1022,'安徽省',1103,'1558','阜阳市','界首市','界首市','安徽省阜阳市界首市'),(1112,1022,2,'341300',116.984084000,33.633891000,1022,'安徽省',1112,'0557','宿州市','宿州市','','安徽省宿州市'),(1113,1112,3,'341302',116.983309000,33.633853000,1022,'安徽省',1112,'0557','宿州市','埇桥区','埇桥区','安徽省宿州市埇桥区'),(1114,1112,3,'341321',116.351113000,34.426247000,1022,'安徽省',1112,'0557','宿州市','砀山县','砀山县','安徽省宿州市砀山县'),(1115,1112,3,'341322',116.945399000,34.183266000,1022,'安徽省',1112,'0557','宿州市','萧县','萧县','安徽省宿州市萧县'),(1116,1112,3,'341323',117.551493000,33.540629000,1022,'安徽省',1112,'0557','宿州市','灵璧县','灵璧县','安徽省宿州市灵璧县'),(1117,1112,3,'341324',117.885443000,33.477580000,1022,'安徽省',1112,'0557','宿州市','泗县','泗县','安徽省宿州市泗县'),(1118,1022,2,'341500',116.507676000,31.752889000,1022,'安徽省',1118,'0564','六安市','六安市','','安徽省六安市'),(1119,1118,3,'341502',116.503288000,31.754491000,1022,'安徽省',1118,'0564','六安市','金安区','金安区','安徽省六安市金安区'),(1120,1118,3,'341503',116.494543000,31.750692000,1022,'安徽省',1118,'0564','六安市','裕安区','裕安区','安徽省六安市裕安区'),(1121,1118,3,'341504',115.913594000,31.847680000,1022,'安徽省',1118,'0564','六安市','叶集区','叶集区','安徽省六安市叶集区'),(1122,1118,3,'341522',116.278875000,32.341305000,1022,'安徽省',1118,'0564','六安市','霍邱县','霍邱县','安徽省六安市霍邱县'),(1123,1118,3,'341523',116.944088000,31.462848000,1022,'安徽省',1118,'0564','六安市','舒城县','舒城县','安徽省六安市舒城县'),(1124,1118,3,'341524',115.878514000,31.681624000,1022,'安徽省',1118,'0564','六安市','金寨县','金寨县','安徽省六安市金寨县'),(1125,1118,3,'341525',116.333078000,31.402456000,1022,'安徽省',1118,'0564','六安市','霍山县','霍山县','安徽省六安市霍山县'),(1126,1022,2,'341600',115.782939000,33.869338000,1022,'安徽省',1126,'0558','亳州市','亳州市','','安徽省亳州市'),(1127,1126,3,'341602',115.781214000,33.869284000,1022,'安徽省',1126,'0558','亳州市','谯城区','谯城区','安徽省亳州市谯城区'),(1128,1126,3,'341621',116.211551000,33.502831000,1022,'安徽省',1126,'0558','亳州市','涡阳县','涡阳县','安徽省亳州市涡阳县'),(1129,1126,3,'341622',116.560337000,33.260814000,1022,'安徽省',1126,'0558','亳州市','蒙城县','蒙城县','安徽省亳州市蒙城县'),(1130,1126,3,'341623',116.207782000,33.143503000,1022,'安徽省',1126,'0558','亳州市','利辛县','利辛县','安徽省亳州市利辛县'),(1131,1022,2,'341700',117.489157000,30.656037000,1022,'安徽省',1131,'0566','池州市','池州市','','安徽省池州市'),(1132,1131,3,'341702',117.488342000,30.657378000,1022,'安徽省',1131,'0566','池州市','贵池区','贵池区','安徽省池州市贵池区'),(1133,1131,3,'341721',117.021476000,30.096568000,1022,'安徽省',1131,'0566','池州市','东至县','东至县','安徽省池州市东至县'),(1134,1131,3,'341722',117.482907000,30.210324000,1022,'安徽省',1131,'0566','池州市','石台县','石台县','安徽省池州市石台县'),(1135,1131,3,'341723',117.857395000,30.638180000,1022,'安徽省',1131,'0566','池州市','青阳县','青阳县','安徽省池州市青阳县'),(1136,1022,2,'341800',118.757995000,30.945667000,1022,'安徽省',1136,'0563','宣城市','宣城市','','安徽省宣城市'),(1137,1136,3,'341802',118.758412000,30.946003000,1022,'安徽省',1136,'0563','宣城市','宣州区','宣州区','安徽省宣城市宣州区'),(1138,1136,3,'341821',119.185024000,31.127834000,1022,'安徽省',1136,'0563','宣城市','郎溪县','郎溪县','安徽省宣城市郎溪县'),(1139,1136,3,'341822',119.417521000,30.893116000,1022,'安徽省',1136,'0563','宣城市','广德县','广德县','安徽省宣城市广德县'),(1140,1136,3,'341823',118.412397000,30.685975000,1022,'安徽省',1136,'0563','宣城市','泾县','泾县','安徽省宣城市泾县'),(1141,1136,3,'341824',118.594705000,30.065267000,1022,'安徽省',1136,'0563','宣城市','绩溪县','绩溪县','安徽省宣城市绩溪县'),(1142,1136,3,'341825',118.543081000,30.288057000,1022,'安徽省',1136,'0563','宣城市','旌德县','旌德县','安徽省宣城市旌德县'),(1143,1136,3,'341881',118.983407000,30.626529000,1022,'安徽省',1136,'0563','宣城市','宁国市','宁国市','安徽省宣城市宁国市'),(1144,1,1,'350000',119.306239000,26.075302000,1144,'福建省',0,'','','福建省','','福建省'),(1145,1144,2,'350100',119.306239000,26.075302000,1144,'福建省',1145,'0591','福州市','福州市','','福建省福州市'),(1146,1145,3,'350102',119.299290000,26.082284000,1144,'福建省',1145,'0591','福州市','鼓楼区','鼓楼区','福建省福州市鼓楼区'),(1147,1145,3,'350103',119.310156000,26.058616000,1144,'福建省',1145,'0591','福州市','台江区','台江区','福建省福州市台江区'),(1148,1145,3,'350104',119.320988000,26.038912000,1144,'福建省',1145,'0591','福州市','仓山区','仓山区','福建省福州市仓山区'),(1149,1145,3,'350105',119.458725000,25.991975000,1144,'福建省',1145,'0591','福州市','马尾区','马尾区','福建省福州市马尾区'),(1150,1145,3,'350111',119.328597000,26.078837000,1144,'福建省',1145,'0591','福州市','晋安区','晋安区','福建省福州市晋安区'),(1151,1145,3,'350121',119.145117000,26.148567000,1144,'福建省',1145,'0591','福州市','闽侯县','闽侯县','福建省福州市闽侯县'),(1152,1145,3,'350122',119.538365000,26.202109000,1144,'福建省',1145,'0591','福州市','连江县','连江县','福建省福州市连江县'),(1153,1145,3,'350123',119.552645000,26.487234000,1144,'福建省',1145,'0591','福州市','罗源县','罗源县','福建省福州市罗源县'),(1154,1145,3,'350124',118.868416000,26.223793000,1144,'福建省',1145,'0591','福州市','闽清县','闽清县','福建省福州市闽清县'),(1155,1145,3,'350125',118.939089000,25.864825000,1144,'福建省',1145,'0591','福州市','永泰县','永泰县','福建省福州市永泰县'),(1156,1145,3,'350128',119.791197000,25.503672000,1144,'福建省',1145,'0591','福州市','平潭县','平潭县','福建省福州市平潭县'),(1157,1145,3,'350181',119.376992000,25.720402000,1144,'福建省',1145,'0591','福州市','福清市','福清市','福建省福州市福清市'),(1158,1145,3,'350182',119.510849000,25.960583000,1144,'福建省',1145,'0591','福州市','长乐市','长乐市','福建省福州市长乐市'),(1159,1144,2,'350200',118.110220000,24.490474000,1144,'福建省',1159,'0592','厦门市','厦门市','','福建省厦门市'),(1160,1159,3,'350203',118.087828000,24.462059000,1144,'福建省',1159,'0592','厦门市','思明区','思明区','福建省厦门市思明区'),(1161,1159,3,'350205',118.036364000,24.492512000,1144,'福建省',1159,'0592','厦门市','海沧区','海沧区','福建省厦门市海沧区'),(1162,1159,3,'350206',118.109430000,24.512764000,1144,'福建省',1159,'0592','厦门市','湖里区','湖里区','福建省厦门市湖里区'),(1163,1159,3,'350211',118.100869000,24.572874000,1144,'福建省',1159,'0592','厦门市','集美区','集美区','福建省厦门市集美区'),(1164,1159,3,'350212',118.150455000,24.729333000,1144,'福建省',1159,'0592','厦门市','同安区','同安区','福建省厦门市同安区'),(1165,1159,3,'350213',118.242811000,24.637479000,1144,'福建省',1159,'0592','厦门市','翔安区','翔安区','福建省厦门市翔安区'),(1166,1144,2,'350300',119.007558000,25.431011000,1144,'福建省',1166,'0594','莆田市','莆田市','','福建省莆田市'),(1167,1166,3,'350302',119.001028000,25.433737000,1144,'福建省',1166,'0594','莆田市','城厢区','城厢区','福建省莆田市城厢区'),(1168,1166,3,'350303',119.119102000,25.459273000,1144,'福建省',1166,'0594','莆田市','涵江区','涵江区','福建省莆田市涵江区'),(1169,1166,3,'350304',119.020047000,25.430047000,1144,'福建省',1166,'0594','莆田市','荔城区','荔城区','福建省莆田市荔城区'),(1170,1166,3,'350305',119.092607000,25.316141000,1144,'福建省',1166,'0594','莆田市','秀屿区','秀屿区','福建省莆田市秀屿区'),(1171,1166,3,'350322',118.694331000,25.356529000,1144,'福建省',1166,'0594','莆田市','仙游县','仙游县','福建省莆田市仙游县'),(1172,1144,2,'350400',117.635001000,26.265444000,1144,'福建省',1172,'0598','三明市','三明市','','福建省三明市'),(1173,1172,3,'350402',117.636870000,26.269208000,1144,'福建省',1172,'0598','三明市','梅列区','梅列区','福建省三明市梅列区'),(1174,1172,3,'350403',117.607418000,26.234191000,1144,'福建省',1172,'0598','三明市','三元区','三元区','福建省三明市三元区'),(1175,1172,3,'350421',117.201845000,26.357375000,1144,'福建省',1172,'0598','三明市','明溪县','明溪县','福建省三明市明溪县'),(1176,1172,3,'350423',116.815821000,26.177610000,1144,'福建省',1172,'0598','三明市','清流县','清流县','福建省三明市清流县'),(1177,1172,3,'350424',116.659725000,26.259932000,1144,'福建省',1172,'0598','三明市','宁化县','宁化县','福建省三明市宁化县'),(1178,1172,3,'350425',117.849355000,25.690803000,1144,'福建省',1172,'0598','三明市','大田县','大田县','福建省三明市大田县'),(1179,1172,3,'350426',118.188577000,26.169261000,1144,'福建省',1172,'0598','三明市','尤溪县','尤溪县','福建省三明市尤溪县'),(1180,1172,3,'350427',117.789095000,26.397361000,1144,'福建省',1172,'0598','三明市','沙县','沙县','福建省三明市沙县'),(1181,1172,3,'350428',117.473558000,26.728667000,1144,'福建省',1172,'0598','三明市','将乐县','将乐县','福建省三明市将乐县'),(1182,1172,3,'350429',117.177522000,26.897995000,1144,'福建省',1172,'0598','三明市','泰宁县','泰宁县','福建省三明市泰宁县'),(1183,1172,3,'350430',116.845832000,26.831398000,1144,'福建省',1172,'0598','三明市','建宁县','建宁县','福建省三明市建宁县'),(1184,1172,3,'350481',117.364447000,25.974075000,1144,'福建省',1172,'0598','三明市','永安市','永安市','福建省三明市永安市'),(1185,1144,2,'350500',118.589421000,24.908853000,1144,'福建省',1185,'0595','泉州市','泉州市','','福建省泉州市'),(1186,1185,3,'350502',118.588929000,24.907645000,1144,'福建省',1185,'0595','泉州市','鲤城区','鲤城区','福建省泉州市鲤城区'),(1187,1185,3,'350503',118.605147000,24.896041000,1144,'福建省',1185,'0595','泉州市','丰泽区','丰泽区','福建省泉州市丰泽区'),(1188,1185,3,'350504',118.670312000,24.941153000,1144,'福建省',1185,'0595','泉州市','洛江区','洛江区','福建省泉州市洛江区'),(1189,1185,3,'350505',118.912285000,25.126859000,1144,'福建省',1185,'0595','泉州市','泉港区','泉港区','福建省泉州市泉港区'),(1190,1185,3,'350521',118.798954000,25.028718000,1144,'福建省',1185,'0595','泉州市','惠安县','惠安县','福建省泉州市惠安县'),(1191,1185,3,'350524',118.186014000,25.056824000,1144,'福建省',1185,'0595','泉州市','安溪县','安溪县','福建省泉州市安溪县'),(1192,1185,3,'350525',118.295030000,25.320721000,1144,'福建省',1185,'0595','泉州市','永春县','永春县','福建省泉州市永春县'),(1193,1185,3,'350526',118.242986000,25.489004000,1144,'福建省',1185,'0595','泉州市','德化县','德化县','福建省泉州市德化县'),(1194,1185,3,'350527',118.323221000,24.436417000,1144,'福建省',1185,'0595','泉州市','金门县','金门县','福建省泉州市金门县'),(1195,1185,3,'350581',118.628402000,24.731978000,1144,'福建省',1185,'0595','泉州市','石狮市','石狮市','福建省泉州市石狮市'),(1196,1185,3,'350582',118.577338000,24.807322000,1144,'福建省',1185,'0595','泉州市','晋江市','晋江市','福建省泉州市晋江市'),(1197,1185,3,'350583',118.387031000,24.959494000,1144,'福建省',1185,'0595','泉州市','南安市','南安市','福建省泉州市南安市'),(1198,1144,2,'350600',117.661801000,24.510897000,1144,'福建省',1198,'0596','漳州市','漳州市','','福建省漳州市'),(1199,1198,3,'350602',117.656461000,24.509955000,1144,'福建省',1198,'0596','漳州市','芗城区','芗城区','福建省漳州市芗城区'),(1200,1198,3,'350603',117.671387000,24.515656000,1144,'福建省',1198,'0596','漳州市','龙文区','龙文区','福建省漳州市龙文区'),(1201,1198,3,'350622',117.340946000,23.950486000,1144,'福建省',1198,'0596','漳州市','云霄县','云霄县','福建省漳州市云霄县'),(1202,1198,3,'350623',117.614023000,24.117907000,1144,'福建省',1198,'0596','漳州市','漳浦县','漳浦县','福建省漳州市漳浦县'),(1203,1198,3,'350624',117.176083000,23.710834000,1144,'福建省',1198,'0596','漳州市','诏安县','诏安县','福建省漳州市诏安县'),(1204,1198,3,'350625',117.755913000,24.621475000,1144,'福建省',1198,'0596','漳州市','长泰县','长泰县','福建省漳州市长泰县'),(1205,1198,3,'350626',117.427679000,23.702845000,1144,'福建省',1198,'0596','漳州市','东山县','东山县','福建省漳州市东山县'),(1206,1198,3,'350627',117.365462000,24.516425000,1144,'福建省',1198,'0596','漳州市','南靖县','南靖县','福建省漳州市南靖县'),(1207,1198,3,'350628',117.313549000,24.366158000,1144,'福建省',1198,'0596','漳州市','平和县','平和县','福建省漳州市平和县'),(1208,1198,3,'350629',117.536310000,25.001416000,1144,'福建省',1198,'0596','漳州市','华安县','华安县','福建省漳州市华安县'),(1209,1198,3,'350681',117.817292000,24.445341000,1144,'福建省',1198,'0596','漳州市','龙海市','龙海市','福建省漳州市龙海市'),(1210,1144,2,'350700',118.178459000,26.635627000,1144,'福建省',1210,'0599','南平市','南平市','','福建省南平市'),(1211,1210,3,'350702',118.178918000,26.636079000,1144,'福建省',1210,'0599','南平市','延平区','延平区','福建省南平市延平区'),(1212,1210,3,'350703',118.122670000,27.332067000,1144,'福建省',1210,'0599','南平市','建阳区','建阳区','福建省南平市建阳区'),(1213,1210,3,'350721',117.807710000,26.792851000,1144,'福建省',1210,'0599','南平市','顺昌县','顺昌县','福建省南平市顺昌县'),(1214,1210,3,'350722',118.536822000,27.920412000,1144,'福建省',1210,'0599','南平市','浦城县','浦城县','福建省南平市浦城县'),(1215,1210,3,'350723',117.337897000,27.542803000,1144,'福建省',1210,'0599','南平市','光泽县','光泽县','福建省南平市光泽县'),(1216,1210,3,'350724',118.783491000,27.525785000,1144,'福建省',1210,'0599','南平市','松溪县','松溪县','福建省南平市松溪县'),(1217,1210,3,'350725',118.858661000,27.365398000,1144,'福建省',1210,'0599','南平市','政和县','政和县','福建省南平市政和县'),(1218,1210,3,'350781',117.491544000,27.337952000,1144,'福建省',1210,'0599','南平市','邵武市','邵武市','福建省南平市邵武市'),(1219,1210,3,'350782',118.032796000,27.751733000,1144,'福建省',1210,'0599','南平市','武夷山市','武夷山市','福建省南平市武夷山市'),(1220,1210,3,'350783',118.321765000,27.035020000,1144,'福建省',1210,'0599','南平市','建瓯市','建瓯市','福建省南平市建瓯市'),(1221,1144,2,'350800',117.029780000,25.091603000,1144,'福建省',1221,'0597','龙岩市','龙岩市','','福建省龙岩市'),(1222,1221,3,'350802',117.030721000,25.091800000,1144,'福建省',1221,'0597','龙岩市','新罗区','新罗区','福建省龙岩市新罗区'),(1223,1221,3,'350803',116.732691000,24.720442000,1144,'福建省',1221,'0597','龙岩市','永定区','永定区','福建省龙岩市永定区'),(1224,1221,3,'350821',116.361007000,25.842278000,1144,'福建省',1221,'0597','龙岩市','长汀县','长汀县','福建省龙岩市长汀县'),(1225,1221,3,'350823',116.424774000,25.050019000,1144,'福建省',1221,'0597','龙岩市','上杭县','上杭县','福建省龙岩市上杭县'),(1226,1221,3,'350824',116.100928000,25.088650000,1144,'福建省',1221,'0597','龙岩市','武平县','武平县','福建省龙岩市武平县'),(1227,1221,3,'350825',116.756687000,25.708506000,1144,'福建省',1221,'0597','龙岩市','连城县','连城县','福建省龙岩市连城县'),(1228,1221,3,'350881',117.420730000,25.291597000,1144,'福建省',1221,'0597','龙岩市','漳平市','漳平市','福建省龙岩市漳平市'),(1229,1144,2,'350900',119.527082000,26.659240000,1144,'福建省',1229,'0593','宁德市','宁德市','','福建省宁德市'),(1230,1229,3,'350902',119.527225000,26.659253000,1144,'福建省',1229,'0593','宁德市','蕉城区','蕉城区','福建省宁德市蕉城区'),(1231,1229,3,'350921',120.005214000,26.882068000,1144,'福建省',1229,'0593','宁德市','霞浦县','霞浦县','福建省宁德市霞浦县'),(1232,1229,3,'350922',118.743156000,26.577491000,1144,'福建省',1229,'0593','宁德市','古田县','古田县','福建省宁德市古田县'),(1233,1229,3,'350923',118.987544000,26.910826000,1144,'福建省',1229,'0593','宁德市','屏南县','屏南县','福建省宁德市屏南县'),(1234,1229,3,'350924',119.506733000,27.457798000,1144,'福建省',1229,'0593','宁德市','寿宁县','寿宁县','福建省宁德市寿宁县'),(1235,1229,3,'350925',119.338239000,27.103106000,1144,'福建省',1229,'0593','宁德市','周宁县','周宁县','福建省宁德市周宁县'),(1236,1229,3,'350926',119.898226000,27.236163000,1144,'福建省',1229,'0593','宁德市','柘荣县','柘荣县','福建省宁德市柘荣县'),(1237,1229,3,'350981',119.650798000,27.084246000,1144,'福建省',1229,'0593','宁德市','福安市','福安市','福建省宁德市福安市'),(1238,1229,3,'350982',120.219761000,27.318884000,1144,'福建省',1229,'0593','宁德市','福鼎市','福鼎市','福建省宁德市福鼎市'),(1239,1,1,'360000',115.892151000,28.676493000,1239,'江西省',0,'','','江西省','','江西省'),(1240,1239,2,'360100',115.892151000,28.676493000,1239,'江西省',1240,'0791','南昌市','南昌市','','江西省南昌市'),(1241,1240,3,'360102',115.889675000,28.682988000,1239,'江西省',1240,'0791','南昌市','东湖区','东湖区','江西省南昌市东湖区'),(1242,1240,3,'360103',115.910650000,28.662901000,1239,'江西省',1240,'0791','南昌市','西湖区','西湖区','江西省南昌市西湖区'),(1243,1240,3,'360104',115.907292000,28.635724000,1239,'江西省',1240,'0791','南昌市','青云谱区','青云谱区','江西省南昌市青云谱区'),(1244,1240,3,'360105',115.731324000,28.714803000,1239,'江西省',1240,'0791','南昌市','湾里区','湾里区','江西省南昌市湾里区'),(1245,1240,3,'360111',115.949044000,28.689292000,1239,'江西省',1240,'0791','南昌市','青山湖区','青山湖区','江西省南昌市青山湖区'),(1246,1240,3,'360121',115.942465000,28.543781000,1239,'江西省',1240,'0791','南昌市','南昌县','南昌县','江西省南昌市南昌县'),(1247,1240,3,'360112',115.820806000,28.690788000,1239,'江西省',1240,'0791','南昌市','新建区','新建区','江西省南昌市新建区'),(1248,1240,3,'360123',115.553109000,28.841334000,1239,'江西省',1240,'0791','南昌市','安义县','安义县','江西省南昌市安义县'),(1249,1240,3,'360124',116.267671000,28.365681000,1239,'江西省',1240,'0791','南昌市','进贤县','进贤县','江西省南昌市进贤县'),(1250,1239,2,'360200',117.214664000,29.292560000,1239,'江西省',1250,'0798','景德镇市','景德镇市','','江西省景德镇市'),(1251,1250,3,'360202',117.195023000,29.288465000,1239,'江西省',1250,'0798','景德镇市','昌江区','昌江区','江西省景德镇市昌江区'),(1252,1250,3,'360203',117.214814000,29.292812000,1239,'江西省',1250,'0798','景德镇市','珠山区','珠山区','江西省景德镇市珠山区'),(1253,1250,3,'360222',117.217611000,29.352251000,1239,'江西省',1250,'0798','景德镇市','浮梁县','浮梁县','江西省景德镇市浮梁县'),(1254,1250,3,'360281',117.129376000,28.967361000,1239,'江西省',1250,'0798','景德镇市','乐平市','乐平市','江西省景德镇市乐平市'),(1255,1239,2,'360300',113.852186000,27.622946000,1239,'江西省',1255,'0799','萍乡市','萍乡市','','江西省萍乡市'),(1256,1255,3,'360302',113.855044000,27.625826000,1239,'江西省',1255,'0799','萍乡市','安源区','安源区','江西省萍乡市安源区'),(1257,1255,3,'360313',113.745600000,27.639319000,1239,'江西省',1255,'0799','萍乡市','湘东区','湘东区','江西省萍乡市湘东区'),(1258,1255,3,'360321',113.955582000,27.127807000,1239,'江西省',1255,'0799','萍乡市','莲花县','莲花县','江西省萍乡市莲花县'),(1259,1255,3,'360322',113.800525000,27.877041000,1239,'江西省',1255,'0799','萍乡市','上栗县','上栗县','江西省萍乡市上栗县'),(1260,1255,3,'360323',114.041206000,27.633633000,1239,'江西省',1255,'0799','萍乡市','芦溪县','芦溪县','江西省萍乡市芦溪县'),(1261,1239,2,'360400',115.992811000,29.712034000,1239,'江西省',1261,'0792','九江市','九江市','','江西省九江市'),(1262,1261,3,'360402',115.990120000,29.676175000,1239,'江西省',1261,'0792','九江市','濂溪区','濂溪区','江西省九江市濂溪区'),(1263,1261,3,'360403',115.995947000,29.724650000,1239,'江西省',1261,'0792','九江市','浔阳区','浔阳区','江西省九江市浔阳区'),(1264,1261,3,'360421',115.892977000,29.610264000,1239,'江西省',1261,'0792','九江市','九江县','九江县','江西省九江市九江县'),(1265,1261,3,'360423',115.105646000,29.260182000,1239,'江西省',1261,'0792','九江市','武宁县','武宁县','江西省九江市武宁县'),(1266,1261,3,'360424',114.573428000,29.032729000,1239,'江西省',1261,'0792','九江市','修水县','修水县','江西省九江市修水县'),(1267,1261,3,'360425',115.809055000,29.018212000,1239,'江西省',1261,'0792','九江市','永修县','永修县','江西省九江市永修县'),(1268,1261,3,'360426',115.762611000,29.327474000,1239,'江西省',1261,'0792','九江市','德安县','德安县','江西省九江市德安县'),(1269,1261,3,'360427',116.043743000,29.456169000,1239,'江西省',1261,'0792','九江市','庐山市','庐山市','江西省九江市庐山市'),(1270,1261,3,'360428',116.205114000,29.275105000,1239,'江西省',1261,'0792','九江市','都昌县','都昌县','江西省九江市都昌县'),(1271,1261,3,'360429',116.244313000,29.726300000,1239,'江西省',1261,'0792','九江市','湖口县','湖口县','江西省九江市湖口县'),(1272,1261,3,'360430',116.555840000,29.898865000,1239,'江西省',1261,'0792','九江市','彭泽县','彭泽县','江西省九江市彭泽县'),(1273,1261,3,'360481',115.669081000,29.676599000,1239,'江西省',1261,'0792','九江市','瑞昌市','瑞昌市','江西省九江市瑞昌市'),(1274,1261,3,'360482',115.805712000,29.247884000,1239,'江西省',1261,'0792','九江市','共青城市','共青城市','江西省九江市共青城市'),(1275,1239,2,'360500',114.930835000,27.810834000,1239,'江西省',1275,'0790','新余市','新余市','','江西省新余市'),(1276,1275,3,'360502',114.923923000,27.819171000,1239,'江西省',1275,'0790','新余市','渝水区','渝水区','江西省新余市渝水区'),(1277,1275,3,'360521',114.675262000,27.811301000,1239,'江西省',1275,'0790','新余市','分宜县','分宜县','江西省新余市分宜县'),(1278,1239,2,'360600',117.033838000,28.238638000,1239,'江西省',1278,'0701','鹰潭市','鹰潭市','','江西省鹰潭市'),(1279,1278,3,'360602',117.034112000,28.239076000,1239,'江西省',1278,'0701','鹰潭市','月湖区','月湖区','江西省鹰潭市月湖区'),(1280,1278,3,'360622',116.822763000,28.206177000,1239,'江西省',1278,'0701','鹰潭市','余江县','余江县','江西省鹰潭市余江县'),(1281,1278,3,'360681',117.212103000,28.283693000,1239,'江西省',1278,'0701','鹰潭市','贵溪市','贵溪市','江西省鹰潭市贵溪市'),(1282,1239,2,'360700',114.940278000,25.850970000,1239,'江西省',1282,'0797','赣州市','赣州市','','江西省赣州市'),(1283,1282,3,'360702',114.938720000,25.851367000,1239,'江西省',1282,'0797','赣州市','章贡区','章贡区','江西省赣州市章贡区'),(1284,1282,3,'360703',114.756933000,25.661721000,1239,'江西省',1282,'0797','赣州市','南康区','南康区','江西省赣州市南康区'),(1285,1282,3,'360721',115.018461000,25.865432000,1239,'江西省',1282,'0797','赣州市','赣县','赣县','江西省赣州市赣县'),(1286,1282,3,'360722',114.930893000,25.380230000,1239,'江西省',1282,'0797','赣州市','信丰县','信丰县','江西省赣州市信丰县'),(1287,1282,3,'360723',114.362243000,25.395937000,1239,'江西省',1282,'0797','赣州市','大余县','大余县','江西省赣州市大余县'),(1288,1282,3,'360724',114.540537000,25.794284000,1239,'江西省',1282,'0797','赣州市','上犹县','上犹县','江西省赣州市上犹县'),(1289,1282,3,'360725',114.307348000,25.687911000,1239,'江西省',1282,'0797','赣州市','崇义县','崇义县','江西省赣州市崇义县'),(1290,1282,3,'360726',115.392328000,25.134591000,1239,'江西省',1282,'0797','赣州市','安远县','安远县','江西省赣州市安远县'),(1291,1282,3,'360727',114.792657000,24.904760000,1239,'江西省',1282,'0797','赣州市','龙南县','龙南县','江西省赣州市龙南县'),(1292,1282,3,'360728',115.032670000,24.774277000,1239,'江西省',1282,'0797','赣州市','定南县','定南县','江西省赣州市定南县'),(1293,1282,3,'360729',114.531589000,24.742651000,1239,'江西省',1282,'0797','赣州市','全南县','全南县','江西省赣州市全南县'),(1294,1282,3,'360730',116.018782000,26.472054000,1239,'江西省',1282,'0797','赣州市','宁都县','宁都县','江西省赣州市宁都县'),(1295,1282,3,'360731',115.411198000,25.955033000,1239,'江西省',1282,'0797','赣州市','于都县','于都县','江西省赣州市于都县'),(1296,1282,3,'360732',115.351896000,26.330489000,1239,'江西省',1282,'0797','赣州市','兴国县','兴国县','江西省赣州市兴国县'),(1297,1282,3,'360733',115.791158000,25.599125000,1239,'江西省',1282,'0797','赣州市','会昌县','会昌县','江西省赣州市会昌县'),(1298,1282,3,'360734',115.651399000,24.954136000,1239,'江西省',1282,'0797','赣州市','寻乌县','寻乌县','江西省赣州市寻乌县'),(1299,1282,3,'360735',116.342249000,26.326582000,1239,'江西省',1282,'0797','赣州市','石城县','石城县','江西省赣州市石城县'),(1300,1282,3,'360781',116.034854000,25.875278000,1239,'江西省',1282,'0797','赣州市','瑞金市','瑞金市','江西省赣州市瑞金市'),(1301,1239,2,'360800',114.986373000,27.111699000,1239,'江西省',1301,'0796','吉安市','吉安市','','江西省吉安市'),(1302,1301,3,'360802',114.987331000,27.112367000,1239,'江西省',1301,'0796','吉安市','吉州区','吉州区','江西省吉安市吉州区'),(1303,1301,3,'360803',115.016306000,27.105879000,1239,'江西省',1301,'0796','吉安市','青原区','青原区','江西省吉安市青原区'),(1304,1301,3,'360821',114.905117000,27.040042000,1239,'江西省',1301,'0796','吉安市','吉安县','吉安县','江西省吉安市吉安县'),(1305,1301,3,'360822',115.134569000,27.213445000,1239,'江西省',1301,'0796','吉安市','吉水县','吉水县','江西省吉安市吉水县'),(1306,1301,3,'360823',115.319331000,27.580862000,1239,'江西省',1301,'0796','吉安市','峡江县','峡江县','江西省吉安市峡江县'),(1307,1301,3,'360824',115.399294000,27.755758000,1239,'江西省',1301,'0796','吉安市','新干县','新干县','江西省吉安市新干县'),(1308,1301,3,'360825',115.435559000,27.321087000,1239,'江西省',1301,'0796','吉安市','永丰县','永丰县','江西省吉安市永丰县'),(1309,1301,3,'360826',114.901393000,26.790164000,1239,'江西省',1301,'0796','吉安市','泰和县','泰和县','江西省吉安市泰和县'),(1310,1301,3,'360827',114.516890000,26.323705000,1239,'江西省',1301,'0796','吉安市','遂川县','遂川县','江西省吉安市遂川县'),(1311,1301,3,'360828',114.784694000,26.462085000,1239,'江西省',1301,'0796','吉安市','万安县','万安县','江西省吉安市万安县'),(1312,1301,3,'360829',114.613840000,27.382746000,1239,'江西省',1301,'0796','吉安市','安福县','安福县','江西省吉安市安福县'),(1313,1301,3,'360830',114.242534000,26.944721000,1239,'江西省',1301,'0796','吉安市','永新县','永新县','江西省吉安市永新县'),(1314,1301,3,'360881',114.284421000,26.745919000,1239,'江西省',1301,'0796','吉安市','井冈山市','井冈山市','江西省吉安市井冈山市'),(1315,1239,2,'360900',114.391136000,27.804300000,1239,'江西省',1315,'0795','宜春市','宜春市','','江西省宜春市'),(1316,1315,3,'360902',114.387379000,27.800117000,1239,'江西省',1315,'0795','宜春市','袁州区','袁州区','江西省宜春市袁州区'),(1317,1315,3,'360921',115.389899000,28.700672000,1239,'江西省',1315,'0795','宜春市','奉新县','奉新县','江西省宜春市奉新县'),(1318,1315,3,'360922',114.449012000,28.104528000,1239,'江西省',1315,'0795','宜春市','万载县','万载县','江西省宜春市万载县'),(1319,1315,3,'360923',114.932653000,28.234789000,1239,'江西省',1315,'0795','宜春市','上高县','上高县','江西省宜春市上高县'),(1320,1315,3,'360924',114.787381000,28.388289000,1239,'江西省',1315,'0795','宜春市','宜丰县','宜丰县','江西省宜春市宜丰县'),(1321,1315,3,'360925',115.361744000,28.860540000,1239,'江西省',1315,'0795','宜春市','靖安县','靖安县','江西省宜春市靖安县'),(1322,1315,3,'360926',114.370140000,28.520956000,1239,'江西省',1315,'0795','宜春市','铜鼓县','铜鼓县','江西省宜春市铜鼓县'),(1323,1315,3,'360981',115.786005000,28.191584000,1239,'江西省',1315,'0795','宜春市','丰城市','丰城市','江西省宜春市丰城市'),(1324,1315,3,'360982',115.543388000,28.055898000,1239,'江西省',1315,'0795','宜春市','樟树市','樟树市','江西省宜春市樟树市'),(1325,1315,3,'360983',115.381527000,28.420951000,1239,'江西省',1315,'0795','宜春市','高安市','高安市','江西省宜春市高安市'),(1326,1239,2,'361000',116.358351000,27.983850000,1239,'江西省',1326,'0794','抚州市','抚州市','','江西省抚州市'),(1327,1326,3,'361002',116.361404000,27.981919000,1239,'江西省',1326,'0794','抚州市','临川区','临川区','江西省抚州市临川区'),(1328,1326,3,'361021',116.639450000,27.555310000,1239,'江西省',1326,'0794','抚州市','南城县','南城县','江西省抚州市南城县'),(1329,1326,3,'361022',116.914570000,27.292561000,1239,'江西省',1326,'0794','抚州市','黎川县','黎川县','江西省抚州市黎川县'),(1330,1326,3,'361023',116.532994000,27.210132000,1239,'江西省',1326,'0794','抚州市','南丰县','南丰县','江西省抚州市南丰县'),(1331,1326,3,'361024',116.059109000,27.760907000,1239,'江西省',1326,'0794','抚州市','崇仁县','崇仁县','江西省抚州市崇仁县'),(1332,1326,3,'361025',115.838432000,27.420101000,1239,'江西省',1326,'0794','抚州市','乐安县','乐安县','江西省抚州市乐安县'),(1333,1326,3,'361026',116.223023000,27.546512000,1239,'江西省',1326,'0794','抚州市','宜黄县','宜黄县','江西省抚州市宜黄县'),(1334,1326,3,'361027',116.778751000,27.907387000,1239,'江西省',1326,'0794','抚州市','金溪县','金溪县','江西省抚州市金溪县'),(1335,1326,3,'361028',117.066095000,27.706530000,1239,'江西省',1326,'0794','抚州市','资溪县','资溪县','江西省抚州市资溪县'),(1336,1326,3,'361029',116.605341000,28.232500000,1239,'江西省',1326,'0794','抚州市','东乡县','东乡县','江西省抚州市东乡县'),(1337,1326,3,'361030',116.327291000,26.838426000,1239,'江西省',1326,'0794','抚州市','广昌县','广昌县','江西省抚州市广昌县'),(1338,1239,2,'361100',117.971185000,28.444420000,1239,'江西省',1338,'0793','上饶市','上饶市','','江西省上饶市'),(1339,1338,3,'361102',117.970522000,28.445378000,1239,'江西省',1338,'0793','上饶市','信州区','信州区','江西省上饶市信州区'),(1340,1338,3,'361103',118.189852000,28.440285000,1239,'江西省',1338,'0793','上饶市','广丰区','广丰区','江西省上饶市广丰区'),(1341,1338,3,'361121',117.906120000,28.453897000,1239,'江西省',1338,'0793','上饶市','上饶县','上饶县','江西省上饶市上饶县'),(1342,1338,3,'361123',118.244408000,28.673479000,1239,'江西省',1338,'0793','上饶市','玉山县','玉山县','江西省上饶市玉山县'),(1343,1338,3,'361124',117.711906000,28.310892000,1239,'江西省',1338,'0793','上饶市','铅山县','铅山县','江西省上饶市铅山县'),(1344,1338,3,'361125',117.608247000,28.415103000,1239,'江西省',1338,'0793','上饶市','横峰县','横峰县','江西省上饶市横峰县'),(1345,1338,3,'361126',117.435002000,28.402391000,1239,'江西省',1338,'0793','上饶市','弋阳县','弋阳县','江西省上饶市弋阳县'),(1346,1338,3,'361127',116.691072000,28.691730000,1239,'江西省',1338,'0793','上饶市','余干县','余干县','江西省上饶市余干县'),(1347,1338,3,'361128',116.673748000,28.993374000,1239,'江西省',1338,'0793','上饶市','鄱阳县','鄱阳县','江西省上饶市鄱阳县'),(1348,1338,3,'361129',117.070150000,28.692589000,1239,'江西省',1338,'0793','上饶市','万年县','万年县','江西省上饶市万年县'),(1349,1338,3,'361130',117.862190000,29.254015000,1239,'江西省',1338,'0793','上饶市','婺源县','婺源县','江西省上饶市婺源县'),(1350,1338,3,'361181',117.578732000,28.945034000,1239,'江西省',1338,'0793','上饶市','德兴市','德兴市','江西省上饶市德兴市'),(1351,1,1,'370000',117.000923000,36.675807000,1351,'山东省',0,'','','山东省','','山东省'),(1352,1351,2,'370100',117.000923000,36.675807000,1351,'山东省',1352,'0531','济南市','济南市','','山东省济南市'),(1353,1352,3,'370102',117.038620000,36.664169000,1351,'山东省',1352,'0531','济南市','历下区','历下区','山东省济南市历下区'),(1354,1352,3,'370103',116.998980000,36.657354000,1351,'山东省',1352,'0531','济南市','市中区','市中区','山东省济南市市中区'),(1355,1352,3,'370104',116.947921000,36.668205000,1351,'山东省',1352,'0531','济南市','槐荫区','槐荫区','山东省济南市槐荫区'),(1356,1352,3,'370105',116.996086000,36.693374000,1351,'山东省',1352,'0531','济南市','天桥区','天桥区','山东省济南市天桥区'),(1357,1352,3,'370112',117.063744000,36.681744000,1351,'山东省',1352,'0531','济南市','历城区','历城区','山东省济南市历城区'),(1358,1352,3,'370113',116.745880000,36.561049000,1351,'山东省',1352,'0531','济南市','长清区','长清区','山东省济南市长清区'),(1359,1352,3,'370124',116.455054000,36.286923000,1351,'山东省',1352,'0531','济南市','平阴县','平阴县','山东省济南市平阴县'),(1360,1352,3,'370125',117.176035000,36.976772000,1351,'山东省',1352,'0531','济南市','济阳县','济阳县','山东省济南市济阳县'),(1361,1352,3,'370126',117.156369000,37.310544000,1351,'山东省',1352,'0531','济南市','商河县','商河县','山东省济南市商河县'),(1362,1352,3,'370181',117.540690000,36.712090000,1351,'山东省',1352,'0531','济南市','章丘区','章丘区','山东省济南市章丘区'),(1363,1351,2,'370200',120.355173000,36.082982000,1351,'山东省',1363,'0532','青岛市','青岛市','','山东省青岛市'),(1364,1363,3,'370202',120.395966000,36.070892000,1351,'山东省',1363,'0532','青岛市','市南区','市南区','山东省青岛市市南区'),(1365,1363,3,'370203',120.355026000,36.083819000,1351,'山东省',1363,'0532','青岛市','市北区','市北区','山东省青岛市市北区'),(1366,1363,3,'370211',119.995518000,35.875138000,1351,'山东省',1363,'0532','青岛市','黄岛区','黄岛区','山东省青岛市黄岛区'),(1367,1363,3,'370212',120.467393000,36.102569000,1351,'山东省',1363,'0532','青岛市','崂山区','崂山区','山东省青岛市崂山区'),(1368,1363,3,'370213',120.421236000,36.160023000,1351,'山东省',1363,'0532','青岛市','李沧区','李沧区','山东省青岛市李沧区'),(1369,1363,3,'370214',120.389135000,36.306833000,1351,'山东省',1363,'0532','青岛市','城阳区','城阳区','山东省青岛市城阳区'),(1370,1363,3,'370281',120.006202000,36.285878000,1351,'山东省',1363,'0532','青岛市','胶州市','胶州市','山东省青岛市胶州市'),(1371,1363,3,'370282',120.447352000,36.390847000,1351,'山东省',1363,'0532','青岛市','即墨市','即墨市','山东省青岛市即墨市'),(1372,1363,3,'370283',119.959012000,36.788828000,1351,'山东省',1363,'0532','青岛市','平度市','平度市','山东省青岛市平度市'),(1373,1363,3,'370285',120.526226000,36.865090000,1351,'山东省',1363,'0532','青岛市','莱西市','莱西市','山东省青岛市莱西市'),(1374,1351,2,'370300',118.047648000,36.814939000,1351,'山东省',1374,'0533','淄博市','淄博市','','山东省淄博市'),(1375,1374,3,'370302',117.967696000,36.647272000,1351,'山东省',1374,'0533','淄博市','淄川区','淄川区','山东省淄博市淄川区'),(1376,1374,3,'370303',118.053521000,36.807049000,1351,'山东省',1374,'0533','淄博市','张店区','张店区','山东省淄博市张店区'),(1377,1374,3,'370304',117.858230000,36.497567000,1351,'山东省',1374,'0533','淄博市','博山区','博山区','山东省淄博市博山区'),(1378,1374,3,'370305',118.306018000,36.816657000,1351,'山东省',1374,'0533','淄博市','临淄区','临淄区','山东省淄博市临淄区'),(1379,1374,3,'370306',117.851036000,36.803699000,1351,'山东省',1374,'0533','淄博市','周村区','周村区','山东省淄博市周村区'),(1380,1374,3,'370321',118.101556000,36.959773000,1351,'山东省',1374,'0533','淄博市','桓台县','桓台县','山东省淄博市桓台县'),(1381,1374,3,'370322',117.829839000,37.169581000,1351,'山东省',1374,'0533','淄博市','高青县','高青县','山东省淄博市高青县'),(1382,1374,3,'370323',118.166161000,36.186282000,1351,'山东省',1374,'0533','淄博市','沂源县','沂源县','山东省淄博市沂源县'),(1383,1351,2,'370400',117.557964000,34.856424000,1351,'山东省',1383,'0632','枣庄市','枣庄市','','山东省枣庄市'),(1384,1383,3,'370402',117.557281000,34.856651000,1351,'山东省',1383,'0632','枣庄市','市中区','市中区','山东省枣庄市市中区'),(1385,1383,3,'370403',117.265293000,34.797890000,1351,'山东省',1383,'0632','枣庄市','薛城区','薛城区','山东省枣庄市薛城区'),(1386,1383,3,'370404',117.586316000,34.767713000,1351,'山东省',1383,'0632','枣庄市','峄城区','峄城区','山东省枣庄市峄城区'),(1387,1383,3,'370405',117.734747000,34.564815000,1351,'山东省',1383,'0632','枣庄市','台儿庄区','台儿庄区','山东省枣庄市台儿庄区'),(1388,1383,3,'370406',117.458968000,35.096077000,1351,'山东省',1383,'0632','枣庄市','山亭区','山亭区','山东省枣庄市山亭区'),(1389,1383,3,'370481',117.162098000,35.088498000,1351,'山东省',1383,'0632','枣庄市','滕州市','滕州市','山东省枣庄市滕州市'),(1390,1351,2,'370500',118.664710000,37.434564000,1351,'山东省',1390,'0546','东营市','东营市','','山东省东营市'),(1391,1390,3,'370502',118.507543000,37.461567000,1351,'山东省',1390,'0546','东营市','东营区','东营区','山东省东营市东营区'),(1392,1390,3,'370503',118.529613000,37.886015000,1351,'山东省',1390,'0546','东营市','河口区','河口区','山东省东营市河口区'),(1393,1390,3,'370505',118.551314000,37.588679000,1351,'山东省',1390,'0546','东营市','垦利区','垦利区','山东省东营市垦利区'),(1394,1390,3,'370522',118.248854000,37.493365000,1351,'山东省',1390,'0546','东营市','利津县','利津县','山东省东营市利津县'),(1395,1390,3,'370523',118.407522000,37.051610000,1351,'山东省',1390,'0546','东营市','广饶县','广饶县','山东省东营市广饶县'),(1396,1351,2,'370600',121.391382000,37.539297000,1351,'山东省',1396,'0535','烟台市','烟台市','','山东省烟台市'),(1397,1396,3,'370602',121.385877000,37.540925000,1351,'山东省',1396,'0535','烟台市','芝罘区','芝罘区','山东省烟台市芝罘区'),(1398,1396,3,'370611',121.264741000,37.496875000,1351,'山东省',1396,'0535','烟台市','福山区','福山区','山东省烟台市福山区'),(1399,1396,3,'370612',121.601510000,37.388356000,1351,'山东省',1396,'0535','烟台市','牟平区','牟平区','山东省烟台市牟平区'),(1400,1396,3,'370613',121.448866000,37.473549000,1351,'山东省',1396,'0535','烟台市','莱山区','莱山区','山东省烟台市莱山区'),(1401,1396,3,'370634',120.738345000,37.916194000,1351,'山东省',1396,'0535','烟台市','长岛县','长岛县','山东省烟台市长岛县'),(1402,1396,3,'370681',120.528328000,37.648446000,1351,'山东省',1396,'0535','烟台市','龙口市','龙口市','山东省烟台市龙口市'),(1403,1396,3,'370682',120.711151000,36.977037000,1351,'山东省',1396,'0535','烟台市','莱阳市','莱阳市','山东省烟台市莱阳市'),(1404,1396,3,'370683',119.942135000,37.182725000,1351,'山东省',1396,'0535','烟台市','莱州市','莱州市','山东省烟台市莱州市'),(1405,1396,3,'370684',120.762689000,37.811168000,1351,'山东省',1396,'0535','烟台市','蓬莱市','蓬莱市','山东省烟台市蓬莱市'),(1406,1396,3,'370685',120.403142000,37.364919000,1351,'山东省',1396,'0535','烟台市','招远市','招远市','山东省烟台市招远市'),(1407,1396,3,'370686',120.834097000,37.305854000,1351,'山东省',1396,'0535','烟台市','栖霞市','栖霞市','山东省烟台市栖霞市'),(1408,1396,3,'370687',121.168392000,36.780657000,1351,'山东省',1396,'0535','烟台市','海阳市','海阳市','山东省烟台市海阳市'),(1409,1351,2,'370700',119.107078000,36.709250000,1351,'山东省',1409,'0536','潍坊市','潍坊市','','山东省潍坊市'),(1410,1409,3,'370702',119.103784000,36.710062000,1351,'山东省',1409,'0536','潍坊市','潍城区','潍城区','山东省潍坊市潍城区'),(1411,1409,3,'370703',119.207866000,36.772103000,1351,'山东省',1409,'0536','潍坊市','寒亭区','寒亭区','山东省潍坊市寒亭区'),(1412,1409,3,'370704',119.166326000,36.654616000,1351,'山东省',1409,'0536','潍坊市','坊子区','坊子区','山东省潍坊市坊子区'),(1413,1409,3,'370705',119.137357000,36.709494000,1351,'山东省',1409,'0536','潍坊市','奎文区','奎文区','山东省潍坊市奎文区'),(1414,1409,3,'370724',118.539876000,36.516371000,1351,'山东省',1409,'0536','潍坊市','临朐县','临朐县','山东省潍坊市临朐县'),(1415,1409,3,'370725',118.839995000,36.703253000,1351,'山东省',1409,'0536','潍坊市','昌乐县','昌乐县','山东省潍坊市昌乐县'),(1416,1409,3,'370781',118.484693000,36.697855000,1351,'山东省',1409,'0536','潍坊市','青州市','青州市','山东省潍坊市青州市'),(1417,1409,3,'370782',119.403182000,35.997093000,1351,'山东省',1409,'0536','潍坊市','诸城市','诸城市','山东省潍坊市诸城市'),(1418,1409,3,'370783',118.736451000,36.874411000,1351,'山东省',1409,'0536','潍坊市','寿光市','寿光市','山东省潍坊市寿光市'),(1419,1409,3,'370784',119.206886000,36.427417000,1351,'山东省',1409,'0536','潍坊市','安丘市','安丘市','山东省潍坊市安丘市'),(1420,1409,3,'370785',119.757033000,36.377540000,1351,'山东省',1409,'0536','潍坊市','高密市','高密市','山东省潍坊市高密市'),(1421,1409,3,'370786',119.394502000,36.854937000,1351,'山东省',1409,'0536','潍坊市','昌邑市','昌邑市','山东省潍坊市昌邑市'),(1422,1351,2,'370800',116.587245000,35.415393000,1351,'山东省',1422,'0537','济宁市','济宁市','','山东省济宁市'),(1423,1422,3,'370811',116.595261000,35.414828000,1351,'山东省',1422,'0537','济宁市','任城区','任城区','山东省济宁市任城区'),(1424,1422,3,'370812',116.828996000,35.556445000,1351,'山东省',1422,'0537','济宁市','兖州区','兖州区','山东省济宁市兖州区'),(1425,1422,3,'370826',117.128610000,34.809525000,1351,'山东省',1422,'0537','济宁市','微山县','微山县','山东省济宁市微山县'),(1426,1422,3,'370827',116.650023000,34.997706000,1351,'山东省',1422,'0537','济宁市','鱼台县','鱼台县','山东省济宁市鱼台县'),(1427,1422,3,'370828',116.310364000,35.069770000,1351,'山东省',1422,'0537','济宁市','金乡县','金乡县','山东省济宁市金乡县'),(1428,1422,3,'370829',116.342885000,35.398098000,1351,'山东省',1422,'0537','济宁市','嘉祥县','嘉祥县','山东省济宁市嘉祥县'),(1429,1422,3,'370830',116.487146000,35.721746000,1351,'山东省',1422,'0537','济宁市','汶上县','汶上县','山东省济宁市汶上县'),(1430,1422,3,'370831',117.273605000,35.653216000,1351,'山东省',1422,'0537','济宁市','泗水县','泗水县','山东省济宁市泗水县'),(1431,1422,3,'370832',116.089630000,35.801843000,1351,'山东省',1422,'0537','济宁市','梁山县','梁山县','山东省济宁市梁山县'),(1432,1422,3,'370881',116.991885000,35.592788000,1351,'山东省',1422,'0537','济宁市','曲阜市','曲阜市','山东省济宁市曲阜市'),(1433,1422,3,'370883',116.966730000,35.405259000,1351,'山东省',1422,'0537','济宁市','邹城市','邹城市','山东省济宁市邹城市'),(1434,1351,2,'370900',117.129063000,36.194968000,1351,'山东省',1434,'0538','泰安市','泰安市','','山东省泰安市'),(1435,1434,3,'370902',117.129984000,36.189313000,1351,'山东省',1434,'0538','泰安市','泰山区','泰山区','山东省泰安市泰山区'),(1436,1434,3,'370911',117.043530000,36.184100000,1351,'山东省',1434,'0538','泰安市','岱岳区','岱岳区','山东省泰安市岱岳区'),(1437,1434,3,'370921',116.799297000,35.767540000,1351,'山东省',1434,'0538','泰安市','宁阳县','宁阳县','山东省泰安市宁阳县'),(1438,1434,3,'370923',116.461052000,35.930467000,1351,'山东省',1434,'0538','泰安市','东平县','东平县','山东省泰安市东平县'),(1439,1434,3,'370982',117.766092000,35.910387000,1351,'山东省',1434,'0538','泰安市','新泰市','新泰市','山东省泰安市新泰市'),(1440,1434,3,'370983',116.763703000,36.185600000,1351,'山东省',1434,'0538','泰安市','肥城市','肥城市','山东省泰安市肥城市'),(1441,1351,2,'371000',122.116394000,37.509691000,1351,'山东省',1441,'0631','威海市','威海市','','山东省威海市'),(1442,1441,3,'371002',122.116189000,37.510754000,1351,'山东省',1441,'0631','威海市','环翠区','环翠区','山东省威海市环翠区'),(1443,1441,3,'371003',122.057139000,37.196211000,1351,'山东省',1441,'0631','威海市','文登区','文登区','山东省威海市文登区'),(1444,1441,3,'371082',122.422896000,37.160134000,1351,'山东省',1441,'0631','威海市','荣成市','荣成市','山东省威海市荣成市'),(1445,1441,3,'371083',121.536346000,36.919622000,1351,'山东省',1441,'0631','威海市','乳山市','乳山市','山东省威海市乳山市'),(1446,1351,2,'371100',119.461208000,35.428588000,1351,'山东省',1446,'0633','日照市','日照市','','山东省日照市'),(1447,1446,3,'371102',119.457703000,35.426152000,1351,'山东省',1446,'0633','日照市','东港区','东港区','山东省日照市东港区'),(1448,1446,3,'371103',119.315844000,35.119794000,1351,'山东省',1446,'0633','日照市','岚山区','岚山区','山东省日照市岚山区'),(1449,1446,3,'371121',119.206745000,35.751936000,1351,'山东省',1446,'0633','日照市','五莲县','五莲县','山东省日照市五莲县'),(1450,1446,3,'371122',118.832859000,35.588115000,1351,'山东省',1446,'0633','日照市','莒县','莒县','山东省日照市莒县'),(1451,1351,2,'371200',117.677736000,36.214397000,1351,'山东省',1451,'0634','莱芜市','莱芜市','','山东省莱芜市'),(1452,1451,3,'371202',117.678351000,36.213662000,1351,'山东省',1451,'0634','莱芜市','莱城区','莱城区','山东省莱芜市莱城区'),(1453,1451,3,'371203',117.820330000,36.058038000,1351,'山东省',1451,'0634','莱芜市','钢城区','钢城区','山东省莱芜市钢城区'),(1454,1351,2,'371300',118.326443000,35.065282000,1351,'山东省',1454,'0539','临沂市','临沂市','','山东省临沂市'),(1455,1454,3,'371302',118.327667000,35.061631000,1351,'山东省',1454,'0539','临沂市','兰山区','兰山区','山东省临沂市兰山区'),(1456,1454,3,'371311',118.284795000,34.997204000,1351,'山东省',1454,'0539','临沂市','罗庄区','罗庄区','山东省临沂市罗庄区'),(1457,1454,3,'371312',118.398296000,35.085004000,1351,'山东省',1454,'0539','临沂市','河东区','河东区','山东省临沂市河东区'),(1458,1454,3,'371321',118.455395000,35.547002000,1351,'山东省',1454,'0539','临沂市','沂南县','沂南县','山东省临沂市沂南县'),(1459,1454,3,'371322',118.342963000,34.614741000,1351,'山东省',1454,'0539','临沂市','郯城县','郯城县','山东省临沂市郯城县'),(1460,1454,3,'371323',118.634543000,35.787029000,1351,'山东省',1454,'0539','临沂市','沂水县','沂水县','山东省临沂市沂水县'),(1461,1454,3,'371324',118.049968000,34.855573000,1351,'山东省',1454,'0539','临沂市','兰陵县','兰陵县','山东省临沂市兰陵县'),(1462,1454,3,'371325',117.968869000,35.269174000,1351,'山东省',1454,'0539','临沂市','费县','费县','山东省临沂市费县'),(1463,1454,3,'371326',117.631884000,35.511519000,1351,'山东省',1454,'0539','临沂市','平邑县','平邑县','山东省临沂市平邑县'),(1464,1454,3,'371327',118.838322000,35.175911000,1351,'山东省',1454,'0539','临沂市','莒南县','莒南县','山东省临沂市莒南县'),(1465,1454,3,'371328',117.943271000,35.712435000,1351,'山东省',1454,'0539','临沂市','蒙阴县','蒙阴县','山东省临沂市蒙阴县'),(1466,1454,3,'371329',118.648379000,34.917062000,1351,'山东省',1454,'0539','临沂市','临沭县','临沭县','山东省临沂市临沭县'),(1467,1351,2,'371400',116.307428000,37.453968000,1351,'山东省',1467,'0534','德州市','德州市','','山东省德州市'),(1468,1467,3,'371402',116.307076000,37.453923000,1351,'山东省',1467,'0534','德州市','德城区','德城区','山东省德州市德城区'),(1469,1467,3,'371403',116.574929000,37.332848000,1351,'山东省',1467,'0534','德州市','陵城区','陵城区','山东省德州市陵城区'),(1470,1467,3,'371422',116.793720000,37.649619000,1351,'山东省',1467,'0534','德州市','宁津县','宁津县','山东省德州市宁津县'),(1471,1467,3,'371423',117.390507000,37.777724000,1351,'山东省',1467,'0534','德州市','庆云县','庆云县','山东省德州市庆云县'),(1472,1467,3,'371424',116.867028000,37.192044000,1351,'山东省',1467,'0534','德州市','临邑县','临邑县','山东省德州市临邑县'),(1473,1467,3,'371425',116.758394000,36.795497000,1351,'山东省',1467,'0534','德州市','齐河县','齐河县','山东省德州市齐河县'),(1474,1467,3,'371426',116.433904000,37.164465000,1351,'山东省',1467,'0534','德州市','平原县','平原县','山东省德州市平原县'),(1475,1467,3,'371427',116.003816000,36.950501000,1351,'山东省',1467,'0534','德州市','夏津县','夏津县','山东省德州市夏津县'),(1476,1467,3,'371428',116.078627000,37.209527000,1351,'山东省',1467,'0534','德州市','武城县','武城县','山东省德州市武城县'),(1477,1467,3,'371481',117.216657000,37.729115000,1351,'山东省',1467,'0534','德州市','乐陵市','乐陵市','山东省德州市乐陵市'),(1478,1467,3,'371482',116.642554000,36.934485000,1351,'山东省',1467,'0534','德州市','禹城市','禹城市','山东省德州市禹城市'),(1479,1351,2,'371500',115.980367000,36.456013000,1351,'山东省',1479,'0635','聊城市','聊城市','','山东省聊城市'),(1480,1479,3,'371502',115.980023000,36.456060000,1351,'山东省',1479,'0635','聊城市','东昌府区','东昌府区','山东省聊城市东昌府区'),(1481,1479,3,'371521',115.784287000,36.113708000,1351,'山东省',1479,'0635','聊城市','阳谷县','阳谷县','山东省聊城市阳谷县'),(1482,1479,3,'371522',115.667291000,36.237597000,1351,'山东省',1479,'0635','聊城市','莘县','莘县','山东省聊城市莘县'),(1483,1479,3,'371523',116.253350000,36.591934000,1351,'山东省',1479,'0635','聊城市','茌平县','茌平县','山东省聊城市茌平县'),(1484,1479,3,'371524',116.248855000,36.336004000,1351,'山东省',1479,'0635','聊城市','东阿县','东阿县','山东省聊城市东阿县'),(1485,1479,3,'371525',115.444808000,36.483753000,1351,'山东省',1479,'0635','聊城市','冠县','冠县','山东省聊城市冠县'),(1486,1479,3,'371526',116.229662000,36.859755000,1351,'山东省',1479,'0635','聊城市','高唐县','高唐县','山东省聊城市高唐县'),(1487,1479,3,'371581',115.713462000,36.842598000,1351,'山东省',1479,'0635','聊城市','临清市','临清市','山东省聊城市临清市'),(1488,1351,2,'371600',118.016974000,37.383542000,1351,'山东省',1488,'0543','滨州市','滨州市','','山东省滨州市'),(1489,1488,3,'371602',118.020149000,37.384842000,1351,'山东省',1488,'0543','滨州市','滨城区','滨城区','山东省滨州市滨城区'),(1490,1488,3,'371603',118.129902000,37.698456000,1351,'山东省',1488,'0543','滨州市','沾化区','沾化区','山东省滨州市沾化区'),(1491,1488,3,'371621',117.508941000,37.483876000,1351,'山东省',1488,'0543','滨州市','惠民县','惠民县','山东省滨州市惠民县'),(1492,1488,3,'371622',117.581326000,37.640492000,1351,'山东省',1488,'0543','滨州市','阳信县','阳信县','山东省滨州市阳信县'),(1493,1488,3,'371623',117.616325000,37.740848000,1351,'山东省',1488,'0543','滨州市','无棣县','无棣县','山东省滨州市无棣县'),(1494,1488,3,'371625',118.123096000,37.147002000,1351,'山东省',1488,'0543','滨州市','博兴县','博兴县','山东省滨州市博兴县'),(1495,1488,3,'371626',117.736807000,36.878030000,1351,'山东省',1488,'0543','滨州市','邹平县','邹平县','山东省滨州市邹平县'),(1496,1351,2,'371700',115.469381000,35.246531000,1351,'山东省',1496,'0530','菏泽市','菏泽市','','山东省菏泽市'),(1497,1496,3,'371702',115.470946000,35.243110000,1351,'山东省',1496,'0530','菏泽市','牡丹区','牡丹区','山东省菏泽市牡丹区'),(1498,1496,3,'371721',115.549482000,34.823253000,1351,'山东省',1496,'0530','菏泽市','曹县','曹县','山东省菏泽市曹县'),(1499,1496,3,'371722',116.082620000,34.790851000,1351,'山东省',1496,'0530','菏泽市','单县','单县','山东省菏泽市单县'),(1500,1496,3,'371723',115.897349000,34.947366000,1351,'山东省',1496,'0530','菏泽市','成武县','成武县','山东省菏泽市成武县'),(1501,1496,3,'371724',116.089341000,35.390999000,1351,'山东省',1496,'0530','菏泽市','巨野县','巨野县','山东省菏泽市巨野县'),(1502,1496,3,'371725',115.938850000,35.594773000,1351,'山东省',1496,'0530','菏泽市','郓城县','郓城县','山东省菏泽市郓城县'),(1503,1496,3,'371726',115.514340000,35.560257000,1351,'山东省',1496,'0530','菏泽市','鄄城县','鄄城县','山东省菏泽市鄄城县'),(1504,1496,3,'371703',115.569601000,35.072701000,1351,'山东省',1496,'0530','菏泽市','定陶区','定陶区','山东省菏泽市定陶区'),(1505,1496,3,'371728',115.098412000,35.289637000,1351,'山东省',1496,'0530','菏泽市','东明县','东明县','山东省菏泽市东明县'),(1506,1,1,'410000',113.665412000,34.757975000,1506,'河南省',0,'','','河南省','','河南省'),(1507,1506,2,'410100',113.665412000,34.757975000,1506,'河南省',1507,'0371','郑州市','郑州市','','河南省郑州市'),(1508,1507,3,'410102',113.611576000,34.748286000,1506,'河南省',1507,'0371','郑州市','中原区','中原区','河南省郑州市中原区'),(1509,1507,3,'410103',113.645422000,34.730936000,1506,'河南省',1507,'0371','郑州市','二七区','二七区','河南省郑州市二七区'),(1510,1507,3,'410104',113.685313000,34.746453000,1506,'河南省',1507,'0371','郑州市','管城回族区','管城回族区','河南省郑州市管城回族区'),(1511,1507,3,'410105',113.686037000,34.775838000,1506,'河南省',1507,'0371','郑州市','金水区','金水区','河南省郑州市金水区'),(1512,1507,3,'410106',113.298282000,34.808689000,1506,'河南省',1507,'0371','郑州市','上街区','上街区','河南省郑州市上街区'),(1513,1507,3,'410108',113.618360000,34.828591000,1506,'河南省',1507,'0371','郑州市','惠济区','惠济区','河南省郑州市惠济区'),(1514,1507,3,'410122',114.022521000,34.721976000,1506,'河南省',1507,'0371','郑州市','中牟县','中牟县','河南省郑州市中牟县'),(1515,1507,3,'410181',112.982830000,34.752180000,1506,'河南省',1507,'0371','郑州市','巩义市','巩义市','河南省郑州市巩义市'),(1516,1507,3,'410182',113.391523000,34.789077000,1506,'河南省',1507,'0371','郑州市','荥阳市','荥阳市','河南省郑州市荥阳市'),(1517,1507,3,'410183',113.380616000,34.537846000,1506,'河南省',1507,'0371','郑州市','新密市','新密市','河南省郑州市新密市'),(1518,1507,3,'410184',113.739670000,34.394219000,1506,'河南省',1507,'0371','郑州市','新郑市','新郑市','河南省郑州市新郑市'),(1519,1507,3,'410185',113.037768000,34.459939000,1506,'河南省',1507,'0371','郑州市','登封市','登封市','河南省郑州市登封市'),(1520,1506,2,'410200',114.341447000,34.797049000,1506,'河南省',1520,'0378','开封市','开封市','','河南省开封市'),(1521,1520,3,'410202',114.353348000,34.799833000,1506,'河南省',1520,'0378','开封市','龙亭区','龙亭区','河南省开封市龙亭区'),(1522,1520,3,'410203',114.364875000,34.800459000,1506,'河南省',1520,'0378','开封市','顺河回族区','顺河回族区','河南省开封市顺河回族区'),(1523,1520,3,'410204',114.348500000,34.792383000,1506,'河南省',1520,'0378','开封市','鼓楼区','鼓楼区','河南省开封市鼓楼区'),(1524,1520,3,'410205',114.350246000,34.779727000,1506,'河南省',1520,'0378','开封市','禹王台区','禹王台区','河南省开封市禹王台区'),(1525,1520,3,'410212',114.437622000,34.756476000,1506,'河南省',1520,'0378','开封市','祥符区','祥符区','河南省开封市祥符区'),(1526,1520,3,'410221',114.770472000,34.554585000,1506,'河南省',1520,'0378','开封市','杞县','杞县','河南省开封市杞县'),(1527,1520,3,'410222',114.467734000,34.477302000,1506,'河南省',1520,'0378','开封市','通许县','通许县','河南省开封市通许县'),(1528,1520,3,'410223',114.193927000,34.412256000,1506,'河南省',1520,'0378','开封市','尉氏县','尉氏县','河南省开封市尉氏县'),(1529,1520,3,'410225',114.820572000,34.829899000,1506,'河南省',1520,'0378','开封市','兰考县','兰考县','河南省开封市兰考县'),(1530,1506,2,'410300',112.434468000,34.663041000,1506,'河南省',1530,'0379','洛阳市','洛阳市','','河南省洛阳市'),(1531,1530,3,'410302',112.477298000,34.682945000,1506,'河南省',1530,'0379','洛阳市','老城区','老城区','河南省洛阳市老城区'),(1532,1530,3,'410303',112.443232000,34.667847000,1506,'河南省',1530,'0379','洛阳市','西工区','西工区','河南省洛阳市西工区'),(1533,1530,3,'410304',112.491625000,34.684738000,1506,'河南省',1530,'0379','洛阳市','瀍河回族区','瀍河回族区','河南省洛阳市瀍河回族区'),(1534,1530,3,'410305',112.399243000,34.654251000,1506,'河南省',1530,'0379','洛阳市','涧西区','涧西区','河南省洛阳市涧西区'),(1535,1530,3,'410306',112.584796000,34.899093000,1506,'河南省',1530,'0379','洛阳市','吉利区','吉利区','河南省洛阳市吉利区'),(1536,1530,3,'410311',112.456634000,34.618557000,1506,'河南省',1530,'0379','洛阳市','洛龙区','洛龙区','河南省洛阳市洛龙区'),(1537,1530,3,'410322',112.443892000,34.826485000,1506,'河南省',1530,'0379','洛阳市','孟津县','孟津县','河南省洛阳市孟津县'),(1538,1530,3,'410323',112.141403000,34.728679000,1506,'河南省',1530,'0379','洛阳市','新安县','新安县','河南省洛阳市新安县'),(1539,1530,3,'410324',111.618386000,33.783195000,1506,'河南省',1530,'0379','洛阳市','栾川县','栾川县','河南省洛阳市栾川县'),(1540,1530,3,'410325',112.087765000,34.131563000,1506,'河南省',1530,'0379','洛阳市','嵩县','嵩县','河南省洛阳市嵩县'),(1541,1530,3,'410326',112.473789000,34.153230000,1506,'河南省',1530,'0379','洛阳市','汝阳县','汝阳县','河南省洛阳市汝阳县'),(1542,1530,3,'410327',112.179989000,34.516478000,1506,'河南省',1530,'0379','洛阳市','宜阳县','宜阳县','河南省洛阳市宜阳县'),(1543,1530,3,'410328',111.655399000,34.387179000,1506,'河南省',1530,'0379','洛阳市','洛宁县','洛宁县','河南省洛阳市洛宁县'),(1544,1530,3,'410329',112.429384000,34.423416000,1506,'河南省',1530,'0379','洛阳市','伊川县','伊川县','河南省洛阳市伊川县'),(1545,1530,3,'410381',112.787739000,34.723042000,1506,'河南省',1530,'0379','洛阳市','偃师市','偃师市','河南省洛阳市偃师市'),(1546,1506,2,'410400',113.307718000,33.735241000,1506,'河南省',1546,'0375','平顶山市','平顶山市','','河南省平顶山市'),(1547,1546,3,'410402',113.299061000,33.737579000,1506,'河南省',1546,'0375','平顶山市','新华区','新华区','河南省平顶山市新华区'),(1548,1546,3,'410403',113.310327000,33.739285000,1506,'河南省',1546,'0375','平顶山市','卫东区','卫东区','河南省平顶山市卫东区'),(1549,1546,3,'410404',112.889885000,33.901538000,1506,'河南省',1546,'0375','平顶山市','石龙区','石龙区','河南省平顶山市石龙区'),(1550,1546,3,'410411',113.320873000,33.725681000,1506,'河南省',1546,'0375','平顶山市','湛河区','湛河区','河南省平顶山市湛河区'),(1551,1546,3,'410421',113.066812000,33.866359000,1506,'河南省',1546,'0375','平顶山市','宝丰县','宝丰县','河南省平顶山市宝丰县'),(1552,1546,3,'410422',113.358298000,33.621252000,1506,'河南省',1546,'0375','平顶山市','叶县','叶县','河南省平顶山市叶县'),(1553,1546,3,'410423',112.906703000,33.740325000,1506,'河南省',1546,'0375','平顶山市','鲁山县','鲁山县','河南省平顶山市鲁山县'),(1554,1546,3,'410425',113.220451000,33.971993000,1506,'河南省',1546,'0375','平顶山市','郏县','郏县','河南省平顶山市郏县'),(1555,1546,3,'410481',113.526250000,33.302082000,1506,'河南省',1546,'0375','平顶山市','舞钢市','舞钢市','河南省平顶山市舞钢市'),(1556,1546,3,'410482',112.845336000,34.167408000,1506,'河南省',1546,'0375','平顶山市','汝州市','汝州市','河南省平顶山市汝州市'),(1557,1506,2,'410500',114.352482000,36.103442000,1506,'河南省',1557,'0372','安阳市','安阳市','','河南省安阳市'),(1558,1557,3,'410502',114.352562000,36.098101000,1506,'河南省',1557,'0372','安阳市','文峰区','文峰区','河南省安阳市文峰区'),(1559,1557,3,'410503',114.352646000,36.109780000,1506,'河南省',1557,'0372','安阳市','北关区','北关区','河南省安阳市北关区'),(1560,1557,3,'410505',114.300098000,36.108974000,1506,'河南省',1557,'0372','安阳市','殷都区','殷都区','河南省安阳市殷都区'),(1561,1557,3,'410506',114.323522000,36.095568000,1506,'河南省',1557,'0372','安阳市','龙安区','龙安区','河南省安阳市龙安区'),(1562,1557,3,'410522',114.130207000,36.130585000,1506,'河南省',1557,'0372','安阳市','安阳县','安阳县','河南省安阳市安阳县'),(1563,1557,3,'410523',114.362357000,35.922349000,1506,'河南省',1557,'0372','安阳市','汤阴县','汤阴县','河南省安阳市汤阴县'),(1564,1557,3,'410526',114.524000000,35.574628000,1506,'河南省',1557,'0372','安阳市','滑县','滑县','河南省安阳市滑县'),(1565,1557,3,'410527',114.904582000,35.953702000,1506,'河南省',1557,'0372','安阳市','内黄县','内黄县','河南省安阳市内黄县'),(1566,1557,3,'410581',113.823767000,36.063403000,1506,'河南省',1557,'0372','安阳市','林州市','林州市','河南省安阳市林州市'),(1567,1506,2,'410600',114.295444000,35.748236000,1506,'河南省',1567,'0392','鹤壁市','鹤壁市','','河南省鹤壁市'),(1568,1567,3,'410602',114.166551000,35.936128000,1506,'河南省',1567,'0392','鹤壁市','鹤山区','鹤山区','河南省鹤壁市鹤山区'),(1569,1567,3,'410603',114.184202000,35.896058000,1506,'河南省',1567,'0392','鹤壁市','山城区','山城区','河南省鹤壁市山城区'),(1570,1567,3,'410611',114.293917000,35.748382000,1506,'河南省',1567,'0392','鹤壁市','淇滨区','淇滨区','河南省鹤壁市淇滨区'),(1571,1567,3,'410621',114.550162000,35.671282000,1506,'河南省',1567,'0392','鹤壁市','浚县','浚县','河南省鹤壁市浚县'),(1572,1567,3,'410622',114.200379000,35.609478000,1506,'河南省',1567,'0392','鹤壁市','淇县','淇县','河南省鹤壁市淇县'),(1573,1506,2,'410700',113.883991000,35.302616000,1506,'河南省',1573,'0373','新乡市','新乡市','','河南省新乡市'),(1574,1573,3,'410702',113.878158000,35.302684000,1506,'河南省',1573,'0373','新乡市','红旗区','红旗区','河南省新乡市红旗区'),(1575,1573,3,'410703',113.866065000,35.304905000,1506,'河南省',1573,'0373','新乡市','卫滨区','卫滨区','河南省新乡市卫滨区'),(1576,1573,3,'410704',113.906712000,35.379855000,1506,'河南省',1573,'0373','新乡市','凤泉区','凤泉区','河南省新乡市凤泉区'),(1577,1573,3,'410711',113.897160000,35.312974000,1506,'河南省',1573,'0373','新乡市','牧野区','牧野区','河南省新乡市牧野区'),(1578,1573,3,'410721',113.806186000,35.190021000,1506,'河南省',1573,'0373','新乡市','新乡县','新乡县','河南省新乡市新乡县'),(1579,1573,3,'410724',113.657249000,35.261685000,1506,'河南省',1573,'0373','新乡市','获嘉县','获嘉县','河南省新乡市获嘉县'),(1580,1573,3,'410725',113.965966000,35.054001000,1506,'河南省',1573,'0373','新乡市','原阳县','原阳县','河南省新乡市原阳县'),(1581,1573,3,'410726',114.200982000,35.149515000,1506,'河南省',1573,'0373','新乡市','延津县','延津县','河南省新乡市延津县'),(1582,1573,3,'410727',114.423405000,35.040570000,1506,'河南省',1573,'0373','新乡市','封丘县','封丘县','河南省新乡市封丘县'),(1583,1573,3,'410728',114.673807000,35.196150000,1506,'河南省',1573,'0373','新乡市','长垣县','长垣县','河南省新乡市长垣县'),(1584,1573,3,'410781',114.065855000,35.404295000,1506,'河南省',1573,'0373','新乡市','卫辉市','卫辉市','河南省新乡市卫辉市'),(1585,1573,3,'410782',113.802518000,35.461318000,1506,'河南省',1573,'0373','新乡市','辉县市','辉县市','河南省新乡市辉县市'),(1586,1506,2,'410800',113.238266000,35.239040000,1506,'河南省',1586,'0391','焦作市','焦作市','','河南省焦作市'),(1587,1586,3,'410802',113.226126000,35.241353000,1506,'河南省',1586,'0391','焦作市','解放区','解放区','河南省焦作市解放区'),(1588,1586,3,'410803',113.175485000,35.236145000,1506,'河南省',1586,'0391','焦作市','中站区','中站区','河南省焦作市中站区'),(1589,1586,3,'410804',113.321703000,35.265453000,1506,'河南省',1586,'0391','焦作市','马村区','马村区','河南省焦作市马村区'),(1590,1586,3,'410811',113.267660000,35.214760000,1506,'河南省',1586,'0391','焦作市','山阳区','山阳区','河南省焦作市山阳区'),(1591,1586,3,'410821',113.447465000,35.229923000,1506,'河南省',1586,'0391','焦作市','修武县','修武县','河南省焦作市修武县'),(1592,1586,3,'410822',113.069313000,35.170351000,1506,'河南省',1586,'0391','焦作市','博爱县','博爱县','河南省焦作市博爱县'),(1593,1586,3,'410823',113.408334000,35.098850000,1506,'河南省',1586,'0391','焦作市','武陟县','武陟县','河南省焦作市武陟县'),(1594,1586,3,'410825',113.079118000,34.941233000,1506,'河南省',1586,'0391','焦作市','温县','温县','河南省焦作市温县'),(1595,1586,3,'410882',112.934538000,35.089010000,1506,'河南省',1586,'0391','焦作市','沁阳市','沁阳市','河南省焦作市沁阳市'),(1596,1586,3,'410883',112.787080000,34.909630000,1506,'河南省',1586,'0391','焦作市','孟州市','孟州市','河南省焦作市孟州市'),(1597,1506,2,'410900',115.041299000,35.768234000,1506,'河南省',1597,'0393','濮阳市','濮阳市','','河南省濮阳市'),(1598,1597,3,'410902',115.031840000,35.760473000,1506,'河南省',1597,'0393','濮阳市','华龙区','华龙区','河南省濮阳市华龙区'),(1599,1597,3,'410922',115.107287000,35.902413000,1506,'河南省',1597,'0393','濮阳市','清丰县','清丰县','河南省濮阳市清丰县'),(1600,1597,3,'410923',115.204336000,36.075204000,1506,'河南省',1597,'0393','濮阳市','南乐县','南乐县','河南省濮阳市南乐县'),(1601,1597,3,'410926',115.504212000,35.851977000,1506,'河南省',1597,'0393','濮阳市','范县','范县','河南省濮阳市范县'),(1602,1597,3,'410927',115.855681000,35.996474000,1506,'河南省',1597,'0393','濮阳市','台前县','台前县','河南省濮阳市台前县'),(1603,1597,3,'410928',115.023844000,35.710349000,1506,'河南省',1597,'0393','濮阳市','濮阳县','濮阳县','河南省濮阳市濮阳县'),(1604,1506,2,'411000',113.826063000,34.022956000,1506,'河南省',1604,'0374','许昌市','许昌市','','河南省许昌市'),(1605,1604,3,'411002',113.828307000,34.027110000,1506,'河南省',1604,'0374','许昌市','魏都区','魏都区','河南省许昌市魏都区'),(1606,1604,3,'411023',113.842898000,34.005018000,1506,'河南省',1604,'0374','许昌市','许昌县','许昌县','河南省许昌市许昌县'),(1607,1604,3,'411024',114.188507000,34.100502000,1506,'河南省',1604,'0374','许昌市','鄢陵县','鄢陵县','河南省许昌市鄢陵县'),(1608,1604,3,'411025',113.493166000,33.855943000,1506,'河南省',1604,'0374','许昌市','襄城县','襄城县','河南省许昌市襄城县'),(1609,1604,3,'411081',113.471316000,34.154403000,1506,'河南省',1604,'0374','许昌市','禹州市','禹州市','河南省许昌市禹州市'),(1610,1604,3,'411082',113.768912000,34.219257000,1506,'河南省',1604,'0374','许昌市','长葛市','长葛市','河南省许昌市长葛市'),(1611,1506,2,'411100',114.026405000,33.575855000,1506,'河南省',1611,'0395','漯河市','漯河市','','河南省漯河市'),(1612,1611,3,'411102',114.017948000,33.565441000,1506,'河南省',1611,'0395','漯河市','源汇区','源汇区','河南省漯河市源汇区'),(1613,1611,3,'411103',114.016813000,33.588897000,1506,'河南省',1611,'0395','漯河市','郾城区','郾城区','河南省漯河市郾城区'),(1614,1611,3,'411104',114.051686000,33.567555000,1506,'河南省',1611,'0395','漯河市','召陵区','召陵区','河南省漯河市召陵区'),(1615,1611,3,'411121',113.610565000,33.436278000,1506,'河南省',1611,'0395','漯河市','舞阳县','舞阳县','河南省漯河市舞阳县'),(1616,1611,3,'411122',113.938891000,33.806090000,1506,'河南省',1611,'0395','漯河市','临颍县','临颍县','河南省漯河市临颍县'),(1617,1506,2,'411200',111.194099000,34.777338000,1506,'河南省',1617,'0398','三门峡市','三门峡市','','河南省三门峡市'),(1618,1617,3,'411202',111.194870000,34.778120000,1506,'河南省',1617,'0398','三门峡市','湖滨区','湖滨区','河南省三门峡市湖滨区'),(1619,1617,3,'411203',111.103851000,34.720244000,1506,'河南省',1617,'0398','三门峡市','陕州区','陕州区','河南省三门峡市陕州区'),(1620,1617,3,'411221',111.762992000,34.763487000,1506,'河南省',1617,'0398','三门峡市','渑池县','渑池县','河南省三门峡市渑池县'),(1621,1617,3,'411224',111.052649000,34.053995000,1506,'河南省',1617,'0398','三门峡市','卢氏县','卢氏县','河南省三门峡市卢氏县'),(1622,1617,3,'411281',111.869417000,34.746868000,1506,'河南省',1617,'0398','三门峡市','义马市','义马市','河南省三门峡市义马市'),(1623,1617,3,'411282',110.885770000,34.521264000,1506,'河南省',1617,'0398','三门峡市','灵宝市','灵宝市','河南省三门峡市灵宝市'),(1624,1506,2,'411300',112.540918000,32.999082000,1506,'河南省',1624,'0377','南阳市','南阳市','','河南省南阳市'),(1625,1624,3,'411302',112.544591000,32.994857000,1506,'河南省',1624,'0377','南阳市','宛城区','宛城区','河南省南阳市宛城区'),(1626,1624,3,'411303',112.528789000,32.989877000,1506,'河南省',1624,'0377','南阳市','卧龙区','卧龙区','河南省南阳市卧龙区'),(1627,1624,3,'411321',112.435583000,33.488617000,1506,'河南省',1624,'0377','南阳市','南召县','南召县','河南省南阳市南召县'),(1628,1624,3,'411322',113.010933000,33.255138000,1506,'河南省',1624,'0377','南阳市','方城县','方城县','河南省南阳市方城县'),(1629,1624,3,'411323',111.485772000,33.302981000,1506,'河南省',1624,'0377','南阳市','西峡县','西峡县','河南省南阳市西峡县'),(1630,1624,3,'411324',112.232722000,33.036651000,1506,'河南省',1624,'0377','南阳市','镇平县','镇平县','河南省南阳市镇平县'),(1631,1624,3,'411325',111.843801000,33.046358000,1506,'河南省',1624,'0377','南阳市','内乡县','内乡县','河南省南阳市内乡县'),(1632,1624,3,'411326',111.489026000,33.136106000,1506,'河南省',1624,'0377','南阳市','淅川县','淅川县','河南省南阳市淅川县'),(1633,1624,3,'411327',112.938279000,33.056126000,1506,'河南省',1624,'0377','南阳市','社旗县','社旗县','河南省南阳市社旗县'),(1634,1624,3,'411328',112.838492000,32.687892000,1506,'河南省',1624,'0377','南阳市','唐河县','唐河县','河南省南阳市唐河县'),(1635,1624,3,'411329',112.365624000,32.524006000,1506,'河南省',1624,'0377','南阳市','新野县','新野县','河南省南阳市新野县'),(1636,1624,3,'411330',113.406059000,32.367153000,1506,'河南省',1624,'0377','南阳市','桐柏县','桐柏县','河南省南阳市桐柏县'),(1637,1624,3,'411381',112.092716000,32.681642000,1506,'河南省',1624,'0377','南阳市','邓州市','邓州市','河南省南阳市邓州市'),(1638,1506,2,'411400',115.650497000,34.437054000,1506,'河南省',1638,'0370','商丘市','商丘市','','河南省商丘市'),(1639,1638,3,'411402',115.654590000,34.436553000,1506,'河南省',1638,'0370','商丘市','梁园区','梁园区','河南省商丘市梁园区'),(1640,1638,3,'411403',115.653813000,34.390536000,1506,'河南省',1638,'0370','商丘市','睢阳区','睢阳区','河南省商丘市睢阳区'),(1641,1638,3,'411421',115.148146000,34.648455000,1506,'河南省',1638,'0370','商丘市','民权县','民权县','河南省商丘市民权县'),(1642,1638,3,'411422',115.070109000,34.428433000,1506,'河南省',1638,'0370','商丘市','睢县','睢县','河南省商丘市睢县'),(1643,1638,3,'411423',115.320055000,34.449299000,1506,'河南省',1638,'0370','商丘市','宁陵县','宁陵县','河南省商丘市宁陵县'),(1644,1638,3,'411424',115.307433000,34.075277000,1506,'河南省',1638,'0370','商丘市','柘城县','柘城县','河南省商丘市柘城县'),(1645,1638,3,'411425',115.863811000,34.399634000,1506,'河南省',1638,'0370','商丘市','虞城县','虞城县','河南省商丘市虞城县'),(1646,1638,3,'411426',116.139890000,34.240894000,1506,'河南省',1638,'0370','商丘市','夏邑县','夏邑县','河南省商丘市夏邑县'),(1647,1638,3,'411481',116.449672000,33.931318000,1506,'河南省',1638,'0370','商丘市','永城市','永城市','河南省商丘市永城市'),(1648,1506,2,'411500',114.075031000,32.123274000,1506,'河南省',1648,'0376','信阳市','信阳市','','河南省信阳市'),(1649,1648,3,'411502',114.075031000,32.123274000,1506,'河南省',1648,'0376','信阳市','浉河区','浉河区','河南省信阳市浉河区'),(1650,1648,3,'411503',114.126027000,32.098395000,1506,'河南省',1648,'0376','信阳市','平桥区','平桥区','河南省信阳市平桥区'),(1651,1648,3,'411521',114.533414000,32.203206000,1506,'河南省',1648,'0376','信阳市','罗山县','罗山县','河南省信阳市罗山县'),(1652,1648,3,'411522',114.903577000,32.010398000,1506,'河南省',1648,'0376','信阳市','光山县','光山县','河南省信阳市光山县'),(1653,1648,3,'411523',114.877050000,31.635150000,1506,'河南省',1648,'0376','信阳市','新县','新县','河南省信阳市新县'),(1654,1648,3,'411524',115.406297000,31.799982000,1506,'河南省',1648,'0376','信阳市','商城县','商城县','河南省信阳市商城县'),(1655,1648,3,'411525',115.667328000,32.183074000,1506,'河南省',1648,'0376','信阳市','固始县','固始县','河南省信阳市固始县'),(1656,1648,3,'411526',115.050123000,32.134024000,1506,'河南省',1648,'0376','信阳市','潢川县','潢川县','河南省信阳市潢川县'),(1657,1648,3,'411527',115.415451000,32.452639000,1506,'河南省',1648,'0376','信阳市','淮滨县','淮滨县','河南省信阳市淮滨县'),(1658,1648,3,'411528',114.740713000,32.344744000,1506,'河南省',1648,'0376','信阳市','息县','息县','河南省信阳市息县'),(1659,1506,2,'411600',114.649653000,33.620357000,1506,'河南省',1659,'0394','周口市','周口市','','河南省周口市'),(1660,1659,3,'411602',114.652136000,33.614836000,1506,'河南省',1659,'0394','周口市','川汇区','川汇区','河南省周口市川汇区'),(1661,1659,3,'411621',114.392008000,34.054061000,1506,'河南省',1659,'0394','周口市','扶沟县','扶沟县','河南省周口市扶沟县'),(1662,1659,3,'411622',114.530067000,33.784378000,1506,'河南省',1659,'0394','周口市','西华县','西华县','河南省周口市西华县'),(1663,1659,3,'411623',114.609270000,33.543845000,1506,'河南省',1659,'0394','周口市','商水县','商水县','河南省周口市商水县'),(1664,1659,3,'411624',115.078375000,33.395514000,1506,'河南省',1659,'0394','周口市','沈丘县','沈丘县','河南省周口市沈丘县'),(1665,1659,3,'411625',115.189000000,33.643852000,1506,'河南省',1659,'0394','周口市','郸城县','郸城县','河南省周口市郸城县'),(1666,1659,3,'411626',114.870166000,33.732547000,1506,'河南省',1659,'0394','周口市','淮阳县','淮阳县','河南省周口市淮阳县'),(1667,1659,3,'411627',114.853834000,34.065312000,1506,'河南省',1659,'0394','周口市','太康县','太康县','河南省周口市太康县'),(1668,1659,3,'411628',115.486386000,33.861067000,1506,'河南省',1659,'0394','周口市','鹿邑县','鹿邑县','河南省周口市鹿邑县'),(1669,1659,3,'411681',114.899521000,33.443085000,1506,'河南省',1659,'0394','周口市','项城市','项城市','河南省周口市项城市'),(1670,1506,2,'411700',114.024736000,32.980169000,1506,'河南省',1670,'0396','驻马店市','驻马店市','','河南省驻马店市'),(1671,1670,3,'411702',114.029149000,32.977559000,1506,'河南省',1670,'0396','驻马店市','驿城区','驿城区','河南省驻马店市驿城区'),(1672,1670,3,'411721',114.026864000,33.382315000,1506,'河南省',1670,'0396','驻马店市','西平县','西平县','河南省驻马店市西平县'),(1673,1670,3,'411722',114.266892000,33.264719000,1506,'河南省',1670,'0396','驻马店市','上蔡县','上蔡县','河南省驻马店市上蔡县'),(1674,1670,3,'411723',114.637105000,32.955626000,1506,'河南省',1670,'0396','驻马店市','平舆县','平舆县','河南省驻马店市平舆县'),(1675,1670,3,'411724',114.389480000,32.601826000,1506,'河南省',1670,'0396','驻马店市','正阳县','正阳县','河南省驻马店市正阳县'),(1676,1670,3,'411725',114.026679000,32.801538000,1506,'河南省',1670,'0396','驻马店市','确山县','确山县','河南省驻马店市确山县'),(1677,1670,3,'411726',113.326050000,32.725129000,1506,'河南省',1670,'0396','驻马店市','泌阳县','泌阳县','河南省驻马店市泌阳县'),(1678,1670,3,'411727',114.359495000,33.004535000,1506,'河南省',1670,'0396','驻马店市','汝南县','汝南县','河南省驻马店市汝南县'),(1679,1670,3,'411728',114.003710000,33.146980000,1506,'河南省',1670,'0396','驻马店市','遂平县','遂平县','河南省驻马店市遂平县'),(1680,1670,3,'411729',114.975246000,32.749948000,1506,'河南省',1670,'0396','驻马店市','新蔡县','新蔡县','河南省驻马店市新蔡县'),(1681,1506,2,'419001',112.590047000,35.090378000,1506,'河南省',1681,'1391','济源市','济源市','','河南省济源市'),(1682,1,1,'420000',114.298572000,30.584355000,1682,'湖北省',0,'','','湖北省','','湖北省'),(1683,1682,2,'420100',114.298572000,30.584355000,1682,'湖北省',1683,'027','武汉市','武汉市','','湖北省武汉市'),(1684,1683,3,'420102',114.303040000,30.594911000,1682,'湖北省',1683,'027','武汉市','江岸区','江岸区','湖北省武汉市江岸区'),(1685,1683,3,'420103',114.283109000,30.578771000,1682,'湖北省',1683,'027','武汉市','江汉区','江汉区','湖北省武汉市江汉区'),(1686,1683,3,'420104',114.264568000,30.570610000,1682,'湖北省',1683,'027','武汉市','硚口区','硚口区','湖北省武汉市硚口区'),(1687,1683,3,'420105',114.265807000,30.549326000,1682,'湖北省',1683,'027','武汉市','汉阳区','汉阳区','湖北省武汉市汉阳区'),(1688,1683,3,'420106',114.307344000,30.546536000,1682,'湖北省',1683,'027','武汉市','武昌区','武昌区','湖北省武汉市武昌区'),(1689,1683,3,'420107',114.397070000,30.634215000,1682,'湖北省',1683,'027','武汉市','青山区','青山区','湖北省武汉市青山区'),(1690,1683,3,'420111',114.400718000,30.504259000,1682,'湖北省',1683,'027','武汉市','洪山区','洪山区','湖北省武汉市洪山区'),(1691,1683,3,'420112',114.142483000,30.622467000,1682,'湖北省',1683,'027','武汉市','东西湖区','东西湖区','湖北省武汉市东西湖区'),(1692,1683,3,'420113',114.081240000,30.309637000,1682,'湖北省',1683,'027','武汉市','汉南区','汉南区','湖北省武汉市汉南区'),(1693,1683,3,'420114',114.029341000,30.582186000,1682,'湖北省',1683,'027','武汉市','蔡甸区','蔡甸区','湖北省武汉市蔡甸区'),(1694,1683,3,'420115',114.313961000,30.349045000,1682,'湖北省',1683,'027','武汉市','江夏区','江夏区','湖北省武汉市江夏区'),(1695,1683,3,'420116',114.374025000,30.874155000,1682,'湖北省',1683,'027','武汉市','黄陂区','黄陂区','湖北省武汉市黄陂区'),(1696,1683,3,'420117',114.802108000,30.842149000,1682,'湖北省',1683,'027','武汉市','新洲区','新洲区','湖北省武汉市新洲区'),(1697,1682,2,'420200',115.077048000,30.220074000,1682,'湖北省',1697,'0714','黄石市','黄石市','','湖北省黄石市'),(1698,1697,3,'420202',115.090164000,30.212086000,1682,'湖北省',1697,'0714','黄石市','黄石港区','黄石港区','湖北省黄石市黄石港区'),(1699,1697,3,'420203',115.093354000,30.205365000,1682,'湖北省',1697,'0714','黄石市','西塞山区','西塞山区','湖北省黄石市西塞山区'),(1700,1697,3,'420204',114.975755000,30.177845000,1682,'湖北省',1697,'0714','黄石市','下陆区','下陆区','湖北省黄石市下陆区'),(1701,1697,3,'420205',114.901366000,30.206010000,1682,'湖北省',1697,'0714','黄石市','铁山区','铁山区','湖北省黄石市铁山区'),(1702,1697,3,'420222',115.212883000,29.841572000,1682,'湖北省',1697,'0714','黄石市','阳新县','阳新县','湖北省黄石市阳新县'),(1703,1697,3,'420281',114.974842000,30.098804000,1682,'湖北省',1697,'0714','黄石市','大冶市','大冶市','湖北省黄石市大冶市'),(1704,1682,2,'420300',110.787916000,32.646907000,1682,'湖北省',1704,'0719','十堰市','十堰市','','湖北省十堰市'),(1705,1704,3,'420302',110.786210000,32.644463000,1682,'湖北省',1704,'0719','十堰市','茅箭区','茅箭区','湖北省十堰市茅箭区'),(1706,1704,3,'420303',110.772365000,32.652516000,1682,'湖北省',1704,'0719','十堰市','张湾区','张湾区','湖北省十堰市张湾区'),(1707,1704,3,'420304',110.812099000,32.838267000,1682,'湖北省',1704,'0719','十堰市','郧阳区','郧阳区','湖北省十堰市郧阳区'),(1708,1704,3,'420322',110.426472000,32.991457000,1682,'湖北省',1704,'0719','十堰市','郧西县','郧西县','湖北省十堰市郧西县'),(1709,1704,3,'420323',110.229600000,32.225860000,1682,'湖北省',1704,'0719','十堰市','竹山县','竹山县','湖北省十堰市竹山县'),(1710,1704,3,'420324',109.717196000,32.315342000,1682,'湖北省',1704,'0719','十堰市','竹溪县','竹溪县','湖北省十堰市竹溪县'),(1711,1704,3,'420325',110.741966000,32.055002000,1682,'湖北省',1704,'0719','十堰市','房县','房县','湖北省十堰市房县'),(1712,1704,3,'420381',111.513793000,32.538839000,1682,'湖北省',1704,'0719','十堰市','丹江口市','丹江口市','湖北省十堰市丹江口市'),(1713,1682,2,'420500',111.290843000,30.702636000,1682,'湖北省',1713,'0717','宜昌市','宜昌市','','湖北省宜昌市'),(1714,1713,3,'420502',111.295468000,30.702476000,1682,'湖北省',1713,'0717','宜昌市','西陵区','西陵区','湖北省宜昌市西陵区'),(1715,1713,3,'420503',111.307215000,30.679053000,1682,'湖北省',1713,'0717','宜昌市','伍家岗区','伍家岗区','湖北省宜昌市伍家岗区'),(1716,1713,3,'420504',111.268163000,30.692322000,1682,'湖北省',1713,'0717','宜昌市','点军区','点军区','湖北省宜昌市点军区'),(1717,1713,3,'420505',111.427642000,30.530744000,1682,'湖北省',1713,'0717','宜昌市','猇亭区','猇亭区','湖北省宜昌市猇亭区'),(1718,1713,3,'420506',111.326747000,30.770199000,1682,'湖北省',1713,'0717','宜昌市','夷陵区','夷陵区','湖北省宜昌市夷陵区'),(1719,1713,3,'420525',111.643310000,31.059626000,1682,'湖北省',1713,'0717','宜昌市','远安县','远安县','湖北省宜昌市远安县'),(1720,1713,3,'420526',110.754499000,31.347950000,1682,'湖北省',1713,'0717','宜昌市','兴山县','兴山县','湖北省宜昌市兴山县'),(1721,1713,3,'420527',110.976785000,30.823908000,1682,'湖北省',1713,'0717','宜昌市','秭归县','秭归县','湖北省宜昌市秭归县'),(1722,1713,3,'420528',111.198475000,30.466534000,1682,'湖北省',1713,'0717','宜昌市','长阳土家族自治县','长阳土家族自治县','湖北省宜昌市长阳土家族自治县'),(1723,1713,3,'420529',110.674938000,30.199252000,1682,'湖北省',1713,'0717','宜昌市','五峰土家族自治县','五峰土家族自治县','湖北省宜昌市五峰土家族自治县'),(1724,1713,3,'420581',111.454367000,30.387234000,1682,'湖北省',1713,'0717','宜昌市','宜都市','宜都市','湖北省宜昌市宜都市'),(1725,1713,3,'420582',111.793419000,30.824492000,1682,'湖北省',1713,'0717','宜昌市','当阳市','当阳市','湖北省宜昌市当阳市'),(1726,1713,3,'420583',111.751799000,30.425364000,1682,'湖北省',1713,'0717','宜昌市','枝江市','枝江市','湖北省宜昌市枝江市'),(1727,1682,2,'420600',112.144146000,32.042426000,1682,'湖北省',1727,'0710','襄阳市','襄阳市','','湖北省襄阳市'),(1728,1727,3,'420602',112.150327000,32.015088000,1682,'湖北省',1727,'0710','襄阳市','襄城区','襄城区','湖北省襄阳市襄城区'),(1729,1727,3,'420606',112.139570000,32.058589000,1682,'湖北省',1727,'0710','襄阳市','樊城区','樊城区','湖北省襄阳市樊城区'),(1730,1727,3,'420607',112.197378000,32.085517000,1682,'湖北省',1727,'0710','襄阳市','襄州区','襄州区','湖北省襄阳市襄州区'),(1731,1727,3,'420624',111.844424000,31.776920000,1682,'湖北省',1727,'0710','襄阳市','南漳县','南漳县','湖北省襄阳市南漳县'),(1732,1727,3,'420625',111.640147000,32.262676000,1682,'湖北省',1727,'0710','襄阳市','谷城县','谷城县','湖北省襄阳市谷城县'),(1733,1727,3,'420626',111.262235000,31.873507000,1682,'湖北省',1727,'0710','襄阳市','保康县','保康县','湖北省襄阳市保康县'),(1734,1727,3,'420682',111.675732000,32.385438000,1682,'湖北省',1727,'0710','襄阳市','老河口市','老河口市','湖北省襄阳市老河口市'),(1735,1727,3,'420683',112.765268000,32.123083000,1682,'湖北省',1727,'0710','襄阳市','枣阳市','枣阳市','湖北省襄阳市枣阳市'),(1736,1727,3,'420684',112.261441000,31.709203000,1682,'湖北省',1727,'0710','襄阳市','宜城市','宜城市','湖北省襄阳市宜城市'),(1737,1682,2,'420700',114.890593000,30.396536000,1682,'湖北省',1737,'0711','鄂州市','鄂州市','','湖北省鄂州市'),(1738,1737,3,'420702',114.681967000,30.098191000,1682,'湖北省',1737,'0711','鄂州市','梁子湖区','梁子湖区','湖北省鄂州市梁子湖区'),(1739,1737,3,'420703',114.741480000,30.534468000,1682,'湖北省',1737,'0711','鄂州市','华容区','华容区','湖北省鄂州市华容区'),(1740,1737,3,'420704',114.890012000,30.396690000,1682,'湖北省',1737,'0711','鄂州市','鄂城区','鄂城区','湖北省鄂州市鄂城区'),(1741,1682,2,'420800',112.204251000,31.035420000,1682,'湖北省',1741,'0724','荆门市','荆门市','','湖北省荆门市'),(1742,1741,3,'420802',112.204804000,31.033461000,1682,'湖北省',1741,'0724','荆门市','东宝区','东宝区','湖北省荆门市东宝区'),(1743,1741,3,'420804',112.198413000,30.980798000,1682,'湖北省',1741,'0724','荆门市','掇刀区','掇刀区','湖北省荆门市掇刀区'),(1744,1741,3,'420821',113.114595000,31.022458000,1682,'湖北省',1741,'0724','荆门市','京山县','京山县','湖北省荆门市京山县'),(1745,1741,3,'420822',112.595218000,30.703590000,1682,'湖北省',1741,'0724','荆门市','沙洋县','沙洋县','湖北省荆门市沙洋县'),(1746,1741,3,'420881',112.587267000,31.165573000,1682,'湖北省',1741,'0724','荆门市','钟祥市','钟祥市','湖北省荆门市钟祥市'),(1747,1682,2,'420900',113.926655000,30.926423000,1682,'湖北省',1747,'0712','孝感市','孝感市','','湖北省孝感市'),(1748,1747,3,'420902',113.925849000,30.925966000,1682,'湖北省',1747,'0712','孝感市','孝南区','孝南区','湖北省孝感市孝南区'),(1749,1747,3,'420921',113.988964000,31.251618000,1682,'湖北省',1747,'0712','孝感市','孝昌县','孝昌县','湖北省孝感市孝昌县'),(1750,1747,3,'420922',114.126249000,31.565483000,1682,'湖北省',1747,'0712','孝感市','大悟县','大悟县','湖北省孝感市大悟县'),(1751,1747,3,'420923',113.750616000,31.021691000,1682,'湖北省',1747,'0712','孝感市','云梦县','云梦县','湖北省孝感市云梦县'),(1752,1747,3,'420981',113.573842000,30.939038000,1682,'湖北省',1747,'0712','孝感市','应城市','应城市','湖北省孝感市应城市'),(1753,1747,3,'420982',113.690401000,31.261740000,1682,'湖北省',1747,'0712','孝感市','安陆市','安陆市','湖北省孝感市安陆市'),(1754,1747,3,'420984',113.835301000,30.652165000,1682,'湖北省',1747,'0712','孝感市','汉川市','汉川市','湖北省孝感市汉川市'),(1755,1682,2,'421000',112.238130000,30.326857000,1682,'湖北省',1755,'0716','荆州市','荆州市','','湖北省荆州市'),(1756,1755,3,'421002',112.257433000,30.315895000,1682,'湖北省',1755,'0716','荆州市','沙市区','沙市区','湖北省荆州市沙市区'),(1757,1755,3,'421003',112.195354000,30.350674000,1682,'湖北省',1755,'0716','荆州市','荆州区','荆州区','湖北省荆州市荆州区'),(1758,1755,3,'421022',112.230179000,30.059065000,1682,'湖北省',1755,'0716','荆州市','公安县','公安县','湖北省荆州市公安县'),(1759,1755,3,'421023',112.904344000,29.820079000,1682,'湖北省',1755,'0716','荆州市','监利县','监利县','湖北省荆州市监利县'),(1760,1755,3,'421024',112.417350000,30.033919000,1682,'湖北省',1755,'0716','荆州市','江陵县','江陵县','湖北省荆州市江陵县'),(1761,1755,3,'421081',112.408870000,29.716437000,1682,'湖北省',1755,'0716','荆州市','石首市','石首市','湖北省荆州市石首市'),(1762,1755,3,'421083',113.470304000,29.812970000,1682,'湖北省',1755,'0716','荆州市','洪湖市','洪湖市','湖北省荆州市洪湖市'),(1763,1755,3,'421087',111.778180000,30.176037000,1682,'湖北省',1755,'0716','荆州市','松滋市','松滋市','湖北省荆州市松滋市'),(1764,1682,2,'421100',114.879365000,30.447711000,1682,'湖北省',1764,'0713','黄冈市','黄冈市','','湖北省黄冈市'),(1765,1764,3,'421102',114.878934000,30.447435000,1682,'湖北省',1764,'0713','黄冈市','黄州区','黄州区','湖北省黄冈市黄州区'),(1766,1764,3,'421121',114.872029000,30.635690000,1682,'湖北省',1764,'0713','黄冈市','团风县','团风县','湖北省黄冈市团风县'),(1767,1764,3,'421122',114.615095000,31.284777000,1682,'湖北省',1764,'0713','黄冈市','红安县','红安县','湖北省黄冈市红安县'),(1768,1764,3,'421123',115.398984000,30.781679000,1682,'湖北省',1764,'0713','黄冈市','罗田县','罗田县','湖北省黄冈市罗田县'),(1769,1764,3,'421124',115.677530000,30.735794000,1682,'湖北省',1764,'0713','黄冈市','英山县','英山县','湖北省黄冈市英山县'),(1770,1764,3,'421125',115.263440000,30.454837000,1682,'湖北省',1764,'0713','黄冈市','浠水县','浠水县','湖北省黄冈市浠水县'),(1771,1764,3,'421126',115.433964000,30.234927000,1682,'湖北省',1764,'0713','黄冈市','蕲春县','蕲春县','湖北省黄冈市蕲春县'),(1772,1764,3,'421127',115.942548000,30.075113000,1682,'湖北省',1764,'0713','黄冈市','黄梅县','黄梅县','湖北省黄冈市黄梅县'),(1773,1764,3,'421181',115.025410000,31.177906000,1682,'湖北省',1764,'0713','黄冈市','麻城市','麻城市','湖北省黄冈市麻城市'),(1774,1764,3,'421182',115.562420000,29.849342000,1682,'湖北省',1764,'0713','黄冈市','武穴市','武穴市','湖北省黄冈市武穴市'),(1775,1682,2,'421200',114.328963000,29.832798000,1682,'湖北省',1775,'0715','咸宁市','咸宁市','','湖北省咸宁市'),(1776,1775,3,'421202',114.333894000,29.824716000,1682,'湖北省',1775,'0715','咸宁市','咸安区','咸安区','湖北省咸宁市咸安区'),(1777,1775,3,'421221',113.921547000,29.973363000,1682,'湖北省',1775,'0715','咸宁市','嘉鱼县','嘉鱼县','湖北省咸宁市嘉鱼县'),(1778,1775,3,'421222',113.814131000,29.246076000,1682,'湖北省',1775,'0715','咸宁市','通城县','通城县','湖北省咸宁市通城县'),(1779,1775,3,'421223',114.049958000,29.541010000,1682,'湖北省',1775,'0715','咸宁市','崇阳县','崇阳县','湖北省咸宁市崇阳县'),(1780,1775,3,'421224',114.493163000,29.604455000,1682,'湖北省',1775,'0715','咸宁市','通山县','通山县','湖北省咸宁市通山县'),(1781,1775,3,'421281',113.883660000,29.716879000,1682,'湖北省',1775,'0715','咸宁市','赤壁市','赤壁市','湖北省咸宁市赤壁市'),(1782,1682,2,'421300',113.373770000,31.717497000,1682,'湖北省',1782,'0722','随州市','随州市','','湖北省随州市'),(1783,1782,3,'421303',113.374519000,31.717521000,1682,'湖北省',1782,'0722','随州市','曾都区','曾都区','湖北省随州市曾都区'),(1784,1782,3,'421321',113.301384000,31.854246000,1682,'湖北省',1782,'0722','随州市','随县','随县','湖北省随州市随县'),(1785,1782,3,'421381',113.826601000,31.617731000,1682,'湖北省',1782,'0722','随州市','广水市','广水市','湖北省随州市广水市'),(1786,1682,2,'422800',109.486990000,30.283114000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','恩施土家族苗族自治州','','湖北省恩施土家族苗族自治州'),(1787,1786,3,'422801',109.486761000,30.282406000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','恩施市','恩施市','湖北省恩施土家族苗族自治州恩施市'),(1788,1786,3,'422802',108.943491000,30.294247000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','利川市','利川市','湖北省恩施土家族苗族自治州利川市'),(1789,1786,3,'422822',109.723822000,30.601632000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','建始县','建始县','湖北省恩施土家族苗族自治州建始县'),(1790,1786,3,'422823',110.336665000,31.041403000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','巴东县','巴东县','湖北省恩施土家族苗族自治州巴东县'),(1791,1786,3,'422825',109.482819000,29.988670000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','宣恩县','宣恩县','湖北省恩施土家族苗族自治州宣恩县'),(1792,1786,3,'422826',109.150410000,29.678967000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','咸丰县','咸丰县','湖北省恩施土家族苗族自治州咸丰县'),(1793,1786,3,'422827',109.408328000,29.506945000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','来凤县','来凤县','湖北省恩施土家族苗族自治州来凤县'),(1794,1786,3,'422828',110.033699000,29.887298000,1682,'湖北省',1786,'0718','恩施土家族苗族自治州','鹤峰县','鹤峰县','湖北省恩施土家族苗族自治州鹤峰县'),(1795,1682,2,'429004',113.453974000,30.364953000,1682,'湖北省',1795,'0728','仙桃市','仙桃市','','湖北省仙桃市'),(1796,1682,2,'429005',112.896866000,30.421215000,1682,'湖北省',1796,'2728','潜江市','潜江市','','湖北省潜江市'),(1797,1682,2,'429006',113.165862000,30.653061000,1682,'湖北省',1797,'1728','天门市','天门市','','湖北省天门市'),(1798,1682,2,'429021',110.671525000,31.744449000,1682,'湖北省',1798,'1719','神农架林区','神农架林区','','湖北省神农架林区'),(1799,1,1,'430000',112.982279000,28.194090000,1799,'湖南省',0,'','','湖南省','','湖南省'),(1800,1799,2,'430100',112.982279000,28.194090000,1799,'湖南省',1800,'0731','长沙市','长沙市','','湖南省长沙市'),(1801,1800,3,'430102',112.988094000,28.193106000,1799,'湖南省',1800,'0731','长沙市','芙蓉区','芙蓉区','湖南省长沙市芙蓉区'),(1802,1800,3,'430103',112.973070000,28.192375000,1799,'湖南省',1800,'0731','长沙市','天心区','天心区','湖南省长沙市天心区'),(1803,1800,3,'430104',112.911591000,28.213044000,1799,'湖南省',1800,'0731','长沙市','岳麓区','岳麓区','湖南省长沙市岳麓区'),(1804,1800,3,'430105',112.985525000,28.201336000,1799,'湖南省',1800,'0731','长沙市','开福区','开福区','湖南省长沙市开福区'),(1805,1800,3,'430111',113.016337000,28.109937000,1799,'湖南省',1800,'0731','长沙市','雨花区','雨花区','湖南省长沙市雨花区'),(1806,1800,3,'430112',112.819549000,28.347458000,1799,'湖南省',1800,'0731','长沙市','望城区','望城区','湖南省长沙市望城区'),(1807,1800,3,'430121',113.080098000,28.237888000,1799,'湖南省',1800,'0731','长沙市','长沙县','长沙县','湖南省长沙市长沙县'),(1808,1800,3,'430124',112.553182000,28.253928000,1799,'湖南省',1800,'0731','长沙市','宁乡县','宁乡县','湖南省长沙市宁乡县'),(1809,1800,3,'430181',113.633301000,28.141112000,1799,'湖南省',1800,'0731','长沙市','浏阳市','浏阳市','湖南省长沙市浏阳市'),(1810,1799,2,'430200',113.151737000,27.835806000,1799,'湖南省',1810,'0733','株洲市','株洲市','','湖南省株洲市'),(1811,1810,3,'430202',113.162548000,27.833036000,1799,'湖南省',1810,'0733','株洲市','荷塘区','荷塘区','湖南省株洲市荷塘区'),(1812,1810,3,'430203',113.155169000,27.827246000,1799,'湖南省',1810,'0733','株洲市','芦淞区','芦淞区','湖南省株洲市芦淞区'),(1813,1810,3,'430204',113.112950000,27.871945000,1799,'湖南省',1810,'0733','株洲市','石峰区','石峰区','湖南省株洲市石峰区'),(1814,1810,3,'430211',113.136252000,27.826909000,1799,'湖南省',1810,'0733','株洲市','天元区','天元区','湖南省株洲市天元区'),(1815,1810,3,'430221',113.146176000,27.705844000,1799,'湖南省',1810,'0733','株洲市','株洲县','株洲县','湖南省株洲市株洲县'),(1816,1810,3,'430223',113.345774000,27.000071000,1799,'湖南省',1810,'0733','株洲市','攸县','攸县','湖南省株洲市攸县'),(1817,1810,3,'430224',113.546509000,26.789534000,1799,'湖南省',1810,'0733','株洲市','茶陵县','茶陵县','湖南省株洲市茶陵县'),(1818,1810,3,'430225',113.776884000,26.489459000,1799,'湖南省',1810,'0733','株洲市','炎陵县','炎陵县','湖南省株洲市炎陵县'),(1819,1810,3,'430281',113.507157000,27.657873000,1799,'湖南省',1810,'0733','株洲市','醴陵市','醴陵市','湖南省株洲市醴陵市'),(1820,1799,2,'430300',112.944052000,27.829730000,1799,'湖南省',1820,'0732','湘潭市','湘潭市','','湖南省湘潭市'),(1821,1820,3,'430302',112.907427000,27.860770000,1799,'湖南省',1820,'0732','湘潭市','雨湖区','雨湖区','湖南省湘潭市雨湖区'),(1822,1820,3,'430304',112.927707000,27.828854000,1799,'湖南省',1820,'0732','湘潭市','岳塘区','岳塘区','湖南省湘潭市岳塘区'),(1823,1820,3,'430321',112.952829000,27.778601000,1799,'湖南省',1820,'0732','湘潭市','湘潭县','湘潭县','湖南省湘潭市湘潭县'),(1824,1820,3,'430381',112.525217000,27.734918000,1799,'湖南省',1820,'0732','湘潭市','湘乡市','湘乡市','湖南省湘潭市湘乡市'),(1825,1820,3,'430382',112.528480000,27.922682000,1799,'湖南省',1820,'0732','湘潭市','韶山市','韶山市','湖南省湘潭市韶山市'),(1826,1799,2,'430400',112.607693000,26.900358000,1799,'湖南省',1826,'0734','衡阳市','衡阳市','','湖南省衡阳市'),(1827,1826,3,'430405',112.626324000,26.891063000,1799,'湖南省',1826,'0734','衡阳市','珠晖区','珠晖区','湖南省衡阳市珠晖区'),(1828,1826,3,'430406',112.612241000,26.893694000,1799,'湖南省',1826,'0734','衡阳市','雁峰区','雁峰区','湖南省衡阳市雁峰区'),(1829,1826,3,'430407',112.607635000,26.903908000,1799,'湖南省',1826,'0734','衡阳市','石鼓区','石鼓区','湖南省衡阳市石鼓区'),(1830,1826,3,'430408',112.570608000,26.890870000,1799,'湖南省',1826,'0734','衡阳市','蒸湘区','蒸湘区','湖南省衡阳市蒸湘区'),(1831,1826,3,'430412',112.734147000,27.240536000,1799,'湖南省',1826,'0734','衡阳市','南岳区','南岳区','湖南省衡阳市南岳区'),(1832,1826,3,'430421',112.379643000,26.962388000,1799,'湖南省',1826,'0734','衡阳市','衡阳县','衡阳县','湖南省衡阳市衡阳县'),(1833,1826,3,'430422',112.677459000,26.739973000,1799,'湖南省',1826,'0734','衡阳市','衡南县','衡南县','湖南省衡阳市衡南县'),(1834,1826,3,'430423',112.869710000,27.234808000,1799,'湖南省',1826,'0734','衡阳市','衡山县','衡山县','湖南省衡阳市衡山县'),(1835,1826,3,'430424',112.950412000,27.083531000,1799,'湖南省',1826,'0734','衡阳市','衡东县','衡东县','湖南省衡阳市衡东县'),(1836,1826,3,'430426',112.111192000,26.787109000,1799,'湖南省',1826,'0734','衡阳市','祁东县','祁东县','湖南省衡阳市祁东县'),(1837,1826,3,'430481',112.847215000,26.414162000,1799,'湖南省',1826,'0734','衡阳市','耒阳市','耒阳市','湖南省衡阳市耒阳市'),(1838,1826,3,'430482',112.396821000,26.406773000,1799,'湖南省',1826,'0734','衡阳市','常宁市','常宁市','湖南省衡阳市常宁市'),(1839,1799,2,'430500',111.469230000,27.237842000,1799,'湖南省',1839,'0739','邵阳市','邵阳市','','湖南省邵阳市'),(1840,1839,3,'430502',111.479756000,27.240001000,1799,'湖南省',1839,'0739','邵阳市','双清区','双清区','湖南省邵阳市双清区'),(1841,1839,3,'430503',111.462968000,27.233593000,1799,'湖南省',1839,'0739','邵阳市','大祥区','大祥区','湖南省邵阳市大祥区'),(1842,1839,3,'430511',111.452315000,27.245688000,1799,'湖南省',1839,'0739','邵阳市','北塔区','北塔区','湖南省邵阳市北塔区'),(1843,1839,3,'430521',111.743168000,27.257273000,1799,'湖南省',1839,'0739','邵阳市','邵东县','邵东县','湖南省邵阳市邵东县'),(1844,1839,3,'430522',111.459762000,27.311429000,1799,'湖南省',1839,'0739','邵阳市','新邵县','新邵县','湖南省邵阳市新邵县'),(1845,1839,3,'430523',111.275700000,26.989713000,1799,'湖南省',1839,'0739','邵阳市','邵阳县','邵阳县','湖南省邵阳市邵阳县'),(1846,1839,3,'430524',111.038785000,27.116002000,1799,'湖南省',1839,'0739','邵阳市','隆回县','隆回县','湖南省邵阳市隆回县'),(1847,1839,3,'430525',110.579212000,27.062286000,1799,'湖南省',1839,'0739','邵阳市','洞口县','洞口县','湖南省邵阳市洞口县'),(1848,1839,3,'430527',110.155075000,26.580622000,1799,'湖南省',1839,'0739','邵阳市','绥宁县','绥宁县','湖南省邵阳市绥宁县'),(1849,1839,3,'430528',110.859115000,26.438912000,1799,'湖南省',1839,'0739','邵阳市','新宁县','新宁县','湖南省邵阳市新宁县'),(1850,1839,3,'430529',110.313226000,26.363575000,1799,'湖南省',1839,'0739','邵阳市','城步苗族自治县','城步苗族自治县','湖南省邵阳市城步苗族自治县'),(1851,1839,3,'430581',110.636804000,26.732086000,1799,'湖南省',1839,'0739','邵阳市','武冈市','武冈市','湖南省邵阳市武冈市'),(1852,1799,2,'430600',113.132855000,29.370290000,1799,'湖南省',1852,'0730','岳阳市','岳阳市','','湖南省岳阳市'),(1853,1852,3,'430602',113.120751000,29.366784000,1799,'湖南省',1852,'0730','岳阳市','岳阳楼区','岳阳楼区','湖南省岳阳市岳阳楼区'),(1854,1852,3,'430603',113.273870000,29.473395000,1799,'湖南省',1852,'0730','岳阳市','云溪区','云溪区','湖南省岳阳市云溪区'),(1855,1852,3,'430611',113.004082000,29.438062000,1799,'湖南省',1852,'0730','岳阳市','君山区','君山区','湖南省岳阳市君山区'),(1856,1852,3,'430621',113.116073000,29.144843000,1799,'湖南省',1852,'0730','岳阳市','岳阳县','岳阳县','湖南省岳阳市岳阳县'),(1857,1852,3,'430623',112.559369000,29.524107000,1799,'湖南省',1852,'0730','岳阳市','华容县','华容县','湖南省岳阳市华容县'),(1858,1852,3,'430624',112.889748000,28.677498000,1799,'湖南省',1852,'0730','岳阳市','湘阴县','湘阴县','湖南省岳阳市湘阴县'),(1859,1852,3,'430626',113.593751000,28.701523000,1799,'湖南省',1852,'0730','岳阳市','平江县','平江县','湖南省岳阳市平江县'),(1860,1852,3,'430681',113.079419000,28.803149000,1799,'湖南省',1852,'0730','岳阳市','汨罗市','汨罗市','湖南省岳阳市汨罗市'),(1861,1852,3,'430682',113.450809000,29.471594000,1799,'湖南省',1852,'0730','岳阳市','临湘市','临湘市','湖南省岳阳市临湘市'),(1862,1799,2,'430700',111.691347000,29.040225000,1799,'湖南省',1862,'0736','常德市','常德市','','湖南省常德市'),(1863,1862,3,'430702',111.690718000,29.040477000,1799,'湖南省',1862,'0736','常德市','武陵区','武陵区','湖南省常德市武陵区'),(1864,1862,3,'430703',111.685327000,29.014426000,1799,'湖南省',1862,'0736','常德市','鼎城区','鼎城区','湖南省常德市鼎城区'),(1865,1862,3,'430721',112.172289000,29.414483000,1799,'湖南省',1862,'0736','常德市','安乡县','安乡县','湖南省常德市安乡县'),(1866,1862,3,'430722',111.968506000,28.907319000,1799,'湖南省',1862,'0736','常德市','汉寿县','汉寿县','湖南省常德市汉寿县'),(1867,1862,3,'430723',111.761682000,29.642640000,1799,'湖南省',1862,'0736','常德市','澧县','澧县','湖南省常德市澧县'),(1868,1862,3,'430724',111.645602000,29.443217000,1799,'湖南省',1862,'0736','常德市','临澧县','临澧县','湖南省常德市临澧县'),(1869,1862,3,'430725',111.484503000,28.902734000,1799,'湖南省',1862,'0736','常德市','桃源县','桃源县','湖南省常德市桃源县'),(1870,1862,3,'430726',111.379087000,29.584703000,1799,'湖南省',1862,'0736','常德市','石门县','石门县','湖南省常德市石门县'),(1871,1862,3,'430781',111.879609000,29.630867000,1799,'湖南省',1862,'0736','常德市','津市市','津市市','湖南省常德市津市市'),(1872,1799,2,'430800',110.479921000,29.127401000,1799,'湖南省',1872,'0744','张家界市','张家界市','','湖南省张家界市'),(1873,1872,3,'430802',110.484559000,29.125961000,1799,'湖南省',1872,'0744','张家界市','永定区','永定区','湖南省张家界市永定区'),(1874,1872,3,'430811',110.547580000,29.347827000,1799,'湖南省',1872,'0744','张家界市','武陵源区','武陵源区','湖南省张家界市武陵源区'),(1875,1872,3,'430821',111.132702000,29.423876000,1799,'湖南省',1872,'0744','张家界市','慈利县','慈利县','湖南省张家界市慈利县'),(1876,1872,3,'430822',110.164039000,29.399939000,1799,'湖南省',1872,'0744','张家界市','桑植县','桑植县','湖南省张家界市桑植县'),(1877,1799,2,'430900',112.355042000,28.570066000,1799,'湖南省',1877,'0737','益阳市','益阳市','','湖南省益阳市'),(1878,1877,3,'430902',112.330840000,28.592771000,1799,'湖南省',1877,'0737','益阳市','资阳区','资阳区','湖南省益阳市资阳区'),(1879,1877,3,'430903',112.360946000,28.568327000,1799,'湖南省',1877,'0737','益阳市','赫山区','赫山区','湖南省益阳市赫山区'),(1880,1877,3,'430921',112.410399000,29.372181000,1799,'湖南省',1877,'0737','益阳市','南县','南县','湖南省益阳市南县'),(1881,1877,3,'430922',112.139732000,28.520993000,1799,'湖南省',1877,'0737','益阳市','桃江县','桃江县','湖南省益阳市桃江县'),(1882,1877,3,'430923',111.221824000,28.377421000,1799,'湖南省',1877,'0737','益阳市','安化县','安化县','湖南省益阳市安化县'),(1883,1877,3,'430981',112.361088000,28.839713000,1799,'湖南省',1877,'0737','益阳市','沅江市','沅江市','湖南省益阳市沅江市'),(1884,1799,2,'431000',113.032067000,25.793589000,1799,'湖南省',1884,'0735','郴州市','郴州市','','湖南省郴州市'),(1885,1884,3,'431002',113.032208000,25.792628000,1799,'湖南省',1884,'0735','郴州市','北湖区','北湖区','湖南省郴州市北湖区'),(1886,1884,3,'431003',113.038698000,25.793157000,1799,'湖南省',1884,'0735','郴州市','苏仙区','苏仙区','湖南省郴州市苏仙区'),(1887,1884,3,'431021',112.734466000,25.737447000,1799,'湖南省',1884,'0735','郴州市','桂阳县','桂阳县','湖南省郴州市桂阳县'),(1888,1884,3,'431022',112.947884000,25.394345000,1799,'湖南省',1884,'0735','郴州市','宜章县','宜章县','湖南省郴州市宜章县'),(1889,1884,3,'431023',113.114819000,26.129392000,1799,'湖南省',1884,'0735','郴州市','永兴县','永兴县','湖南省郴州市永兴县'),(1890,1884,3,'431024',112.370618000,25.587309000,1799,'湖南省',1884,'0735','郴州市','嘉禾县','嘉禾县','湖南省郴州市嘉禾县'),(1891,1884,3,'431025',112.564589000,25.279119000,1799,'湖南省',1884,'0735','郴州市','临武县','临武县','湖南省郴州市临武县'),(1892,1884,3,'431026',113.685686000,25.553759000,1799,'湖南省',1884,'0735','郴州市','汝城县','汝城县','湖南省郴州市汝城县'),(1893,1884,3,'431027',113.945879000,26.073917000,1799,'湖南省',1884,'0735','郴州市','桂东县','桂东县','湖南省郴州市桂东县'),(1894,1884,3,'431028',113.272170000,26.708625000,1799,'湖南省',1884,'0735','郴州市','安仁县','安仁县','湖南省郴州市安仁县'),(1895,1884,3,'431081',113.236820000,25.974152000,1799,'湖南省',1884,'0735','郴州市','资兴市','资兴市','湖南省郴州市资兴市'),(1896,1799,2,'431100',111.608019000,26.434516000,1799,'湖南省',1896,'0746','永州市','永州市','','湖南省永州市'),(1897,1896,3,'431102',111.626348000,26.223347000,1799,'湖南省',1896,'0746','永州市','零陵区','零陵区','湖南省永州市零陵区'),(1898,1896,3,'431103',111.607156000,26.434364000,1799,'湖南省',1896,'0746','永州市','冷水滩区','冷水滩区','湖南省永州市冷水滩区'),(1899,1896,3,'431121',111.857340000,26.585929000,1799,'湖南省',1896,'0746','永州市','祁阳县','祁阳县','湖南省永州市祁阳县'),(1900,1896,3,'431122',111.313035000,26.397278000,1799,'湖南省',1896,'0746','永州市','东安县','东安县','湖南省永州市东安县'),(1901,1896,3,'431123',111.662146000,25.959397000,1799,'湖南省',1896,'0746','永州市','双牌县','双牌县','湖南省永州市双牌县'),(1902,1896,3,'431124',111.591614000,25.518444000,1799,'湖南省',1896,'0746','永州市','道县','道县','湖南省永州市道县'),(1903,1896,3,'431125',111.346803000,25.268154000,1799,'湖南省',1896,'0746','永州市','江永县','江永县','湖南省永州市江永县'),(1904,1896,3,'431126',111.944529000,25.584112000,1799,'湖南省',1896,'0746','永州市','宁远县','宁远县','湖南省永州市宁远县'),(1905,1896,3,'431127',112.194195000,25.375255000,1799,'湖南省',1896,'0746','永州市','蓝山县','蓝山县','湖南省永州市蓝山县'),(1906,1896,3,'431128',112.220341000,25.906927000,1799,'湖南省',1896,'0746','永州市','新田县','新田县','湖南省永州市新田县'),(1907,1896,3,'431129',111.577276000,25.182596000,1799,'湖南省',1896,'0746','永州市','江华瑶族自治县','江华瑶族自治县','湖南省永州市江华瑶族自治县'),(1908,1799,2,'431200',109.978240000,27.550082000,1799,'湖南省',1908,'0745','怀化市','怀化市','','湖南省怀化市'),(1909,1908,3,'431202',109.982242000,27.548474000,1799,'湖南省',1908,'0745','怀化市','鹤城区','鹤城区','湖南省怀化市鹤城区'),(1910,1908,3,'431221',109.948061000,27.437360000,1799,'湖南省',1908,'0745','怀化市','中方县','中方县','湖南省怀化市中方县'),(1911,1908,3,'431222',110.399161000,28.455554000,1799,'湖南省',1908,'0745','怀化市','沅陵县','沅陵县','湖南省怀化市沅陵县'),(1912,1908,3,'431223',110.196953000,28.005474000,1799,'湖南省',1908,'0745','怀化市','辰溪县','辰溪县','湖南省怀化市辰溪县'),(1913,1908,3,'431224',110.593373000,27.903802000,1799,'湖南省',1908,'0745','怀化市','溆浦县','溆浦县','湖南省怀化市溆浦县'),(1914,1908,3,'431225',109.720785000,26.870789000,1799,'湖南省',1908,'0745','怀化市','会同县','会同县','湖南省怀化市会同县'),(1915,1908,3,'431226',109.802807000,27.865991000,1799,'湖南省',1908,'0745','怀化市','麻阳苗族自治县','麻阳苗族自治县','湖南省怀化市麻阳苗族自治县'),(1916,1908,3,'431227',109.174443000,27.359897000,1799,'湖南省',1908,'0745','怀化市','新晃侗族自治县','新晃侗族自治县','湖南省怀化市新晃侗族自治县'),(1917,1908,3,'431228',109.687777000,27.437996000,1799,'湖南省',1908,'0745','怀化市','芷江侗族自治县','芷江侗族自治县','湖南省怀化市芷江侗族自治县'),(1918,1908,3,'431229',109.691159000,26.573511000,1799,'湖南省',1908,'0745','怀化市','靖州苗族侗族自治县','靖州苗族侗族自治县','湖南省怀化市靖州苗族侗族自治县'),(1919,1908,3,'431230',109.783359000,26.158349000,1799,'湖南省',1908,'0745','怀化市','通道侗族自治县','通道侗族自治县','湖南省怀化市通道侗族自治县'),(1920,1908,3,'431281',109.831765000,27.201876000,1799,'湖南省',1908,'0745','怀化市','洪江市','洪江市','湖南省怀化市洪江市'),(1921,1799,2,'431300',112.008497000,27.728136000,1799,'湖南省',1921,'0738','娄底市','娄底市','','湖南省娄底市'),(1922,1921,3,'431302',112.008486000,27.726643000,1799,'湖南省',1921,'0738','娄底市','娄星区','娄星区','湖南省娄底市娄星区'),(1923,1921,3,'431321',112.198245000,27.459126000,1799,'湖南省',1921,'0738','娄底市','双峰县','双峰县','湖南省娄底市双峰县'),(1924,1921,3,'431322',111.306747000,27.737456000,1799,'湖南省',1921,'0738','娄底市','新化县','新化县','湖南省娄底市新化县'),(1925,1921,3,'431381',111.434674000,27.685759000,1799,'湖南省',1921,'0738','娄底市','冷水江市','冷水江市','湖南省娄底市冷水江市'),(1926,1921,3,'431382',111.670847000,27.692301000,1799,'湖南省',1921,'0738','娄底市','涟源市','涟源市','湖南省娄底市涟源市'),(1927,1799,2,'433100',109.739735000,28.314296000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','湘西土家族苗族自治州','','湖南省湘西土家族苗族自治州'),(1928,1927,3,'433101',109.738273000,28.314827000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','吉首市','吉首市','湖南省湘西土家族苗族自治州吉首市'),(1929,1927,3,'433122',110.214428000,28.214516000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','泸溪县','泸溪县','湖南省湘西土家族苗族自治州泸溪县'),(1930,1927,3,'433123',109.599191000,27.948308000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','凤凰县','凤凰县','湖南省湘西土家族苗族自治州凤凰县'),(1931,1927,3,'433124',109.479063000,28.581352000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','花垣县','花垣县','湖南省湘西土家族苗族自治州花垣县'),(1932,1927,3,'433125',109.651445000,28.709605000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','保靖县','保靖县','湖南省湘西土家族苗族自治州保靖县'),(1933,1927,3,'433126',109.949592000,28.616973000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','古丈县','古丈县','湖南省湘西土家族苗族自治州古丈县'),(1934,1927,3,'433127',109.853292000,28.998068000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','永顺县','永顺县','湖南省湘西土家族苗族自治州永顺县'),(1935,1927,3,'433130',109.441189000,29.453438000,1799,'湖南省',1927,'0743','湘西土家族苗族自治州','龙山县','龙山县','湖南省湘西土家族苗族自治州龙山县'),(1936,1,1,'440000',113.280637000,23.125178000,1936,'广东省',0,'','','广东省','','广东省'),(1937,1936,2,'440100',113.280637000,23.125178000,1936,'广东省',1937,'020','广州市','广州市','','广东省广州市'),(1938,1937,3,'440103',113.243038000,23.124943000,1936,'广东省',1937,'020','广州市','荔湾区','荔湾区','广东省广州市荔湾区'),(1939,1937,3,'440104',113.280714000,23.125624000,1936,'广东省',1937,'020','广州市','越秀区','越秀区','广东省广州市越秀区'),(1940,1937,3,'440105',113.262008000,23.103131000,1936,'广东省',1937,'020','广州市','海珠区','海珠区','广东省广州市海珠区'),(1941,1937,3,'440106',113.335367000,23.135590000,1936,'广东省',1937,'020','广州市','天河区','天河区','广东省广州市天河区'),(1942,1937,3,'440111',113.262831000,23.162281000,1936,'广东省',1937,'020','广州市','白云区','白云区','广东省广州市白云区'),(1943,1937,3,'440112',113.450761000,23.103239000,1936,'广东省',1937,'020','广州市','黄埔区','黄埔区','广东省广州市黄埔区'),(1944,1937,3,'440113',113.364619000,22.938582000,1936,'广东省',1937,'020','广州市','番禺区','番禺区','广东省广州市番禺区'),(1945,1937,3,'440114',113.211184000,23.392050000,1936,'广东省',1937,'020','广州市','花都区','花都区','广东省广州市花都区'),(1946,1937,3,'440115',113.537380000,22.794531000,1936,'广东省',1937,'020','广州市','南沙区','南沙区','广东省广州市南沙区'),(1947,1937,3,'440117',113.587386000,23.545283000,1936,'广东省',1937,'020','广州市','从化区','从化区','广东省广州市从化区'),(1948,1937,3,'440118',113.829579000,23.290497000,1936,'广东省',1937,'020','广州市','增城区','增城区','广东省广州市增城区'),(1949,1936,2,'440200',113.591544000,24.801322000,1936,'广东省',1949,'0751','韶关市','韶关市','','广东省韶关市'),(1950,1949,3,'440203',113.588289000,24.800160000,1936,'广东省',1949,'0751','韶关市','武江区','武江区','广东省韶关市武江区'),(1951,1949,3,'440204',113.599224000,24.803977000,1936,'广东省',1949,'0751','韶关市','浈江区','浈江区','广东省韶关市浈江区'),(1952,1949,3,'440205',113.605582000,24.680195000,1936,'广东省',1949,'0751','韶关市','曲江区','曲江区','广东省韶关市曲江区'),(1953,1949,3,'440222',114.067205000,24.948364000,1936,'广东省',1949,'0751','韶关市','始兴县','始兴县','广东省韶关市始兴县'),(1954,1949,3,'440224',113.748627000,25.088226000,1936,'广东省',1949,'0751','韶关市','仁化县','仁化县','广东省韶关市仁化县'),(1955,1949,3,'440229',114.131289000,24.353887000,1936,'广东省',1949,'0751','韶关市','翁源县','翁源县','广东省韶关市翁源县'),(1956,1949,3,'440232',113.278417000,24.776109000,1936,'广东省',1949,'0751','韶关市','乳源瑶族自治县','乳源瑶族自治县','广东省韶关市乳源瑶族自治县'),(1957,1949,3,'440233',114.207034000,24.055412000,1936,'广东省',1949,'0751','韶关市','新丰县','新丰县','广东省韶关市新丰县'),(1958,1949,3,'440281',113.352413000,25.128445000,1936,'广东省',1949,'0751','韶关市','乐昌市','乐昌市','广东省韶关市乐昌市'),(1959,1949,3,'440282',114.311231000,25.115328000,1936,'广东省',1949,'0751','韶关市','南雄市','南雄市','广东省韶关市南雄市'),(1960,1936,2,'440300',114.085947000,22.547000000,1936,'广东省',1960,'0755','深圳市','深圳市','','广东省深圳市'),(1961,1960,3,'440303',114.123885000,22.555341000,1936,'广东省',1960,'0755','深圳市','罗湖区','罗湖区','广东省深圳市罗湖区'),(1962,1960,3,'440304',114.050960000,22.541009000,1936,'广东省',1960,'0755','深圳市','福田区','福田区','广东省深圳市福田区'),(1963,1960,3,'440305',113.929430000,22.531221000,1936,'广东省',1960,'0755','深圳市','南山区','南山区','广东省深圳市南山区'),(1964,1960,3,'440306',113.828671000,22.754741000,1936,'广东省',1960,'0755','深圳市','宝安区','宝安区','广东省深圳市宝安区'),(1965,1960,3,'440307',114.251372000,22.721511000,1936,'广东省',1960,'0755','深圳市','龙岗区','龙岗区','广东省深圳市龙岗区'),(1966,1960,3,'440308',114.235366000,22.555069000,1936,'广东省',1960,'0755','深圳市','盐田区','盐田区','广东省深圳市盐田区'),(1967,1936,2,'440400',113.553986000,22.224979000,1936,'广东省',1967,'0756','珠海市','珠海市','','广东省珠海市'),(1968,1967,3,'440402',113.550270000,22.271249000,1936,'广东省',1967,'0756','珠海市','香洲区','香洲区','广东省珠海市香洲区'),(1969,1967,3,'440403',113.297739000,22.209117000,1936,'广东省',1967,'0756','珠海市','斗门区','斗门区','广东省珠海市斗门区'),(1970,1967,3,'440404',113.345071000,22.139122000,1936,'广东省',1967,'0756','珠海市','金湾区','金湾区','广东省珠海市金湾区'),(1971,1936,2,'440500',116.708463000,23.371020000,1936,'广东省',1971,'0754','汕头市','汕头市','','广东省汕头市'),(1972,1971,3,'440507',116.732015000,23.373754000,1936,'广东省',1971,'0754','汕头市','龙湖区','龙湖区','广东省汕头市龙湖区'),(1973,1971,3,'440511',116.703583000,23.367071000,1936,'广东省',1971,'0754','汕头市','金平区','金平区','广东省汕头市金平区'),(1974,1971,3,'440512',116.729528000,23.279345000,1936,'广东省',1971,'0754','汕头市','濠江区','濠江区','广东省汕头市濠江区'),(1975,1971,3,'440513',116.602602000,23.262336000,1936,'广东省',1971,'0754','汕头市','潮阳区','潮阳区','广东省汕头市潮阳区'),(1976,1971,3,'440514',116.423607000,23.249798000,1936,'广东省',1971,'0754','汕头市','潮南区','潮南区','广东省汕头市潮南区'),(1977,1971,3,'440515',116.763360000,23.468440000,1936,'广东省',1971,'0754','汕头市','澄海区','澄海区','广东省汕头市澄海区'),(1978,1971,3,'440523',117.027105000,23.419562000,1936,'广东省',1971,'0754','汕头市','南澳县','南澳县','广东省汕头市南澳县'),(1979,1936,2,'440600',113.122717000,23.028762000,1936,'广东省',1979,'0757','佛山市','佛山市','','广东省佛山市'),(1980,1979,3,'440604',113.112414000,23.019643000,1936,'广东省',1979,'0757','佛山市','禅城区','禅城区','广东省佛山市禅城区'),(1981,1979,3,'440605',113.145577000,23.031562000,1936,'广东省',1979,'0757','佛山市','南海区','南海区','广东省佛山市南海区'),(1982,1979,3,'440606',113.281826000,22.758510000,1936,'广东省',1979,'0757','佛山市','顺德区','顺德区','广东省佛山市顺德区'),(1983,1979,3,'440607',112.899414000,23.165040000,1936,'广东省',1979,'0757','佛山市','三水区','三水区','广东省佛山市三水区'),(1984,1979,3,'440608',112.882123000,22.893855000,1936,'广东省',1979,'0757','佛山市','高明区','高明区','广东省佛山市高明区'),(1985,1936,2,'440700',113.094942000,22.590431000,1936,'广东省',1985,'0750','江门市','江门市','','广东省江门市'),(1986,1985,3,'440703',113.078590000,22.596770000,1936,'广东省',1985,'0750','江门市','蓬江区','蓬江区','广东省江门市蓬江区'),(1987,1985,3,'440704',113.120601000,22.572211000,1936,'广东省',1985,'0750','江门市','江海区','江海区','广东省江门市江海区'),(1988,1985,3,'440705',113.038584000,22.520247000,1936,'广东省',1985,'0750','江门市','新会区','新会区','广东省江门市新会区'),(1989,1985,3,'440781',112.793414000,22.250713000,1936,'广东省',1985,'0750','江门市','台山市','台山市','广东省江门市台山市'),(1990,1985,3,'440783',112.692262000,22.366286000,1936,'广东省',1985,'0750','江门市','开平市','开平市','广东省江门市开平市'),(1991,1985,3,'440784',112.961795000,22.768104000,1936,'广东省',1985,'0750','江门市','鹤山市','鹤山市','广东省江门市鹤山市'),(1992,1985,3,'440785',112.314051000,22.182956000,1936,'广东省',1985,'0750','江门市','恩平市','恩平市','广东省江门市恩平市'),(1993,1936,2,'440800',110.364977000,21.274898000,1936,'广东省',1993,'0759','湛江市','湛江市','','广东省湛江市'),(1994,1993,3,'440802',110.361634000,21.273365000,1936,'广东省',1993,'0759','湛江市','赤坎区','赤坎区','广东省湛江市赤坎区'),(1995,1993,3,'440803',110.406382000,21.194229000,1936,'广东省',1993,'0759','湛江市','霞山区','霞山区','广东省湛江市霞山区'),(1996,1993,3,'440804',110.455632000,21.244410000,1936,'广东省',1993,'0759','湛江市','坡头区','坡头区','广东省湛江市坡头区'),(1997,1993,3,'440811',110.329167000,21.265997000,1936,'广东省',1993,'0759','湛江市','麻章区','麻章区','广东省湛江市麻章区'),(1998,1993,3,'440823',110.255321000,21.376915000,1936,'广东省',1993,'0759','湛江市','遂溪县','遂溪县','广东省湛江市遂溪县'),(1999,1993,3,'440825',110.175718000,20.326083000,1936,'广东省',1993,'0759','湛江市','徐闻县','徐闻县','广东省湛江市徐闻县'),(2000,1993,3,'440881',110.284961000,21.611281000,1936,'广东省',1993,'0759','湛江市','廉江市','廉江市','广东省湛江市廉江市'),(2001,1993,3,'440882',110.088275000,20.908523000,1936,'广东省',1993,'0759','湛江市','雷州市','雷州市','广东省湛江市雷州市'),(2002,1993,3,'440883',110.780508000,21.428453000,1936,'广东省',1993,'0759','湛江市','吴川市','吴川市','广东省湛江市吴川市'),(2003,1936,2,'440900',110.919229000,21.659751000,1936,'广东省',2003,'0668','茂名市','茂名市','','广东省茂名市'),(2004,2003,3,'440902',110.920542000,21.660425000,1936,'广东省',2003,'0668','茂名市','茂南区','茂南区','广东省茂名市茂南区'),(2005,2003,3,'440904',111.007264000,21.507219000,1936,'广东省',2003,'0668','茂名市','电白区','电白区','广东省茂名市电白区'),(2006,2003,3,'440981',110.853251000,21.915153000,1936,'广东省',2003,'0668','茂名市','高州市','高州市','广东省茂名市高州市'),(2007,2003,3,'440982',110.638390000,21.654953000,1936,'广东省',2003,'0668','茂名市','化州市','化州市','广东省茂名市化州市'),(2008,2003,3,'440983',110.941656000,22.352681000,1936,'广东省',2003,'0668','茂名市','信宜市','信宜市','广东省茂名市信宜市'),(2009,1936,2,'441200',112.472529000,23.051546000,1936,'广东省',2009,'0758','肇庆市','肇庆市','','广东省肇庆市'),(2010,2009,3,'441202',112.472329000,23.052662000,1936,'广东省',2009,'0758','肇庆市','端州区','端州区','广东省肇庆市端州区'),(2011,2009,3,'441203',112.565249000,23.155822000,1936,'广东省',2009,'0758','肇庆市','鼎湖区','鼎湖区','广东省肇庆市鼎湖区'),(2012,2009,3,'441223',112.440419000,23.631486000,1936,'广东省',2009,'0758','肇庆市','广宁县','广宁县','广东省肇庆市广宁县'),(2013,2009,3,'441224',112.182466000,23.913072000,1936,'广东省',2009,'0758','肇庆市','怀集县','怀集县','广东省肇庆市怀集县'),(2014,2009,3,'441225',111.502973000,23.434731000,1936,'广东省',2009,'0758','肇庆市','封开县','封开县','广东省肇庆市封开县'),(2015,2009,3,'441226',111.781560000,23.141711000,1936,'广东省',2009,'0758','肇庆市','德庆县','德庆县','广东省肇庆市德庆县'),(2016,2009,3,'441204',112.460846000,23.027694000,1936,'广东省',2009,'0758','肇庆市','高要区','高要区','广东省肇庆市高要区'),(2017,2009,3,'441284',112.695028000,23.340324000,1936,'广东省',2009,'0758','肇庆市','四会市','四会市','广东省肇庆市四会市'),(2018,1936,2,'441300',114.412599000,23.079404000,1936,'广东省',2018,'0752','惠州市','惠州市','','广东省惠州市');
INSERT INTO `region` VALUES (2019,2018,3,'441302',114.413978000,23.079883000,1936,'广东省',2018,'0752','惠州市','惠城区','惠城区','广东省惠州市惠城区'),(2020,2018,3,'441303',114.469444000,22.788510000,1936,'广东省',2018,'0752','惠州市','惠阳区','惠阳区','广东省惠州市惠阳区'),(2021,2018,3,'441322',114.284254000,23.167575000,1936,'广东省',2018,'0752','惠州市','博罗县','博罗县','广东省惠州市博罗县'),(2022,2018,3,'441323',114.723092000,22.983036000,1936,'广东省',2018,'0752','惠州市','惠东县','惠东县','广东省惠州市惠东县'),(2023,2018,3,'441324',114.259986000,23.723894000,1936,'广东省',2018,'0752','惠州市','龙门县','龙门县','广东省惠州市龙门县'),(2024,1936,2,'441400',116.117582000,24.299112000,1936,'广东省',2024,'0753','梅州市','梅州市','','广东省梅州市'),(2025,2024,3,'441402',116.121160000,24.302593000,1936,'广东省',2024,'0753','梅州市','梅江区','梅江区','广东省梅州市梅江区'),(2026,2024,3,'441403',116.083482000,24.267825000,1936,'广东省',2024,'0753','梅州市','梅县区','梅县区','广东省梅州市梅县区'),(2027,2024,3,'441422',116.695520000,24.351587000,1936,'广东省',2024,'0753','梅州市','大埔县','大埔县','广东省梅州市大埔县'),(2028,2024,3,'441423',116.184419000,23.752771000,1936,'广东省',2024,'0753','梅州市','丰顺县','丰顺县','广东省梅州市丰顺县'),(2029,2024,3,'441424',115.775004000,23.925424000,1936,'广东省',2024,'0753','梅州市','五华县','五华县','广东省梅州市五华县'),(2030,2024,3,'441426',115.891729000,24.569651000,1936,'广东省',2024,'0753','梅州市','平远县','平远县','广东省梅州市平远县'),(2031,2024,3,'441427',116.170531000,24.653313000,1936,'广东省',2024,'0753','梅州市','蕉岭县','蕉岭县','广东省梅州市蕉岭县'),(2032,2024,3,'441481',115.731648000,24.138077000,1936,'广东省',2024,'0753','梅州市','兴宁市','兴宁市','广东省梅州市兴宁市'),(2033,1936,2,'441500',115.364238000,22.774485000,1936,'广东省',2033,'0660','汕尾市','汕尾市','','广东省汕尾市'),(2034,2033,3,'441502',115.363667000,22.776227000,1936,'广东省',2033,'0660','汕尾市','城区','城区','广东省汕尾市城区'),(2035,2033,3,'441521',115.337324000,22.971042000,1936,'广东省',2033,'0660','汕尾市','海丰县','海丰县','广东省汕尾市海丰县'),(2036,2033,3,'441523',115.657565000,23.302682000,1936,'广东省',2033,'0660','汕尾市','陆河县','陆河县','广东省汕尾市陆河县'),(2037,2033,3,'441581',115.644203000,22.946104000,1936,'广东省',2033,'0660','汕尾市','陆丰市','陆丰市','广东省汕尾市陆丰市'),(2038,1936,2,'441600',114.697802000,23.746266000,1936,'广东省',2038,'0762','河源市','河源市','','广东省河源市'),(2039,2038,3,'441602',114.696828000,23.746255000,1936,'广东省',2038,'0762','河源市','源城区','源城区','广东省河源市源城区'),(2040,2038,3,'441621',115.184383000,23.633744000,1936,'广东省',2038,'0762','河源市','紫金县','紫金县','广东省河源市紫金县'),(2041,2038,3,'441622',115.256415000,24.101174000,1936,'广东省',2038,'0762','河源市','龙川县','龙川县','广东省河源市龙川县'),(2042,2038,3,'441623',114.495952000,24.364227000,1936,'广东省',2038,'0762','河源市','连平县','连平县','广东省河源市连平县'),(2043,2038,3,'441624',114.941473000,24.443180000,1936,'广东省',2038,'0762','河源市','和平县','和平县','广东省河源市和平县'),(2044,2038,3,'441625',114.742711000,23.789093000,1936,'广东省',2038,'0762','河源市','东源县','东源县','广东省河源市东源县'),(2045,1936,2,'441700',111.975107000,21.859222000,1936,'广东省',2045,'0662','阳江市','阳江市','','广东省阳江市'),(2046,2045,3,'441702',111.968909000,21.859182000,1936,'广东省',2045,'0662','阳江市','江城区','江城区','广东省阳江市江城区'),(2047,2045,3,'441704',112.011267000,21.864728000,1936,'广东省',2045,'0662','阳江市','阳东区','阳东区','广东省阳江市阳东区'),(2048,2045,3,'441721',111.617556000,21.753670000,1936,'广东省',2045,'0662','阳江市','阳西县','阳西县','广东省阳江市阳西县'),(2049,2045,3,'441781',111.790500000,22.169598000,1936,'广东省',2045,'0662','阳江市','阳春市','阳春市','广东省阳江市阳春市'),(2050,1936,2,'441800',113.051227000,23.685022000,1936,'广东省',2050,'0763','清远市','清远市','','广东省清远市'),(2051,2050,3,'441802',113.048698000,23.688976000,1936,'广东省',2050,'0763','清远市','清城区','清城区','广东省清远市清城区'),(2052,2050,3,'441803',113.015203000,23.736949000,1936,'广东省',2050,'0763','清远市','清新区','清新区','广东省清远市清新区'),(2053,2050,3,'441821',113.534094000,23.866739000,1936,'广东省',2050,'0763','清远市','佛冈县','佛冈县','广东省清远市佛冈县'),(2054,2050,3,'441823',112.634019000,24.470286000,1936,'广东省',2050,'0763','清远市','阳山县','阳山县','广东省清远市阳山县'),(2055,2050,3,'441825',112.086555000,24.567271000,1936,'广东省',2050,'0763','清远市','连山壮族瑶族自治县','连山壮族瑶族自治县','广东省清远市连山壮族瑶族自治县'),(2056,2050,3,'441826',112.290808000,24.719097000,1936,'广东省',2050,'0763','清远市','连南瑶族自治县','连南瑶族自治县','广东省清远市连南瑶族自治县'),(2057,2050,3,'441881',113.405404000,24.186120000,1936,'广东省',2050,'0763','清远市','英德市','英德市','广东省清远市英德市'),(2058,2050,3,'441882',112.379271000,24.783966000,1936,'广东省',2050,'0763','清远市','连州市','连州市','广东省清远市连州市'),(2059,1936,2,'441900',113.746262000,23.046237000,1936,'广东省',2059,'0769','东莞市','东莞市','','广东省东莞市'),(2060,2059,3,'441900',113.785219000,23.043826000,1936,'广东省',2059,'0769','东莞市','东宝路','东宝路','广东省东莞市东宝路'),(2061,2059,3,'441900',113.763278000,23.054373000,1936,'广东省',2059,'0769','东莞市','花园新村','花园新村','广东省东莞市花园新村'),(2062,2059,3,'441900',113.740978000,23.009399000,1936,'广东省',2059,'0769','东莞市','三元里','三元里','广东省东莞市三元里'),(2063,1936,2,'442000',113.382391000,22.521113000,1936,'广东省',2063,'0760','中山市','中山市','','广东省中山市'),(2064,2063,3,'442000',113.398455000,22.515970000,1936,'广东省',2063,'0760','中山市','竹苑','竹苑','广东省中山市竹苑'),(2065,2063,3,'442000',113.382618000,22.542919000,1936,'广东省',2063,'0760','中山市','湖滨北路','湖滨北路','广东省中山市湖滨北路'),(2066,1936,2,'445100',116.632301000,23.661701000,1936,'广东省',2066,'0768','潮州市','潮州市','','广东省潮州市'),(2067,2066,3,'445102',116.633650000,23.664675000,1936,'广东省',2066,'0768','潮州市','湘桥区','湘桥区','广东省潮州市湘桥区'),(2068,2066,3,'445103',116.679310000,23.461012000,1936,'广东省',2066,'0768','潮州市','潮安区','潮安区','广东省潮州市潮安区'),(2069,2066,3,'445122',117.002050000,23.668171000,1936,'广东省',2066,'0768','潮州市','饶平县','饶平县','广东省潮州市饶平县'),(2070,1936,2,'445200',116.355733000,23.543778000,1936,'广东省',2070,'0663','揭阳市','揭阳市','','广东省揭阳市'),(2071,2070,3,'445202',116.357045000,23.535524000,1936,'广东省',2070,'0663','揭阳市','榕城区','榕城区','广东省揭阳市榕城区'),(2072,2070,3,'445203',116.412947000,23.569887000,1936,'广东省',2070,'0663','揭阳市','揭东区','揭东区','广东省揭阳市揭东区'),(2073,2070,3,'445222',115.838708000,23.427300000,1936,'广东省',2070,'0663','揭阳市','揭西县','揭西县','广东省揭阳市揭西县'),(2074,2070,3,'445224',116.295832000,23.029834000,1936,'广东省',2070,'0663','揭阳市','惠来县','惠来县','广东省揭阳市惠来县'),(2075,2070,3,'445281',116.165082000,23.297880000,1936,'广东省',2070,'0663','揭阳市','普宁市','普宁市','广东省揭阳市普宁市'),(2076,1936,2,'445300',112.044439000,22.929801000,1936,'广东省',2076,'0766','云浮市','云浮市','','广东省云浮市'),(2077,2076,3,'445302',112.044710000,22.930827000,1936,'广东省',2076,'0766','云浮市','云城区','云城区','广东省云浮市云城区'),(2078,2076,3,'445303',112.005609000,23.073152000,1936,'广东省',2076,'0766','云浮市','云安区','云安区','广东省云浮市云安区'),(2079,2076,3,'445321',112.230830000,22.703204000,1936,'广东省',2076,'0766','云浮市','新兴县','新兴县','广东省云浮市新兴县'),(2080,2076,3,'445322',111.535921000,23.237709000,1936,'广东省',2076,'0766','云浮市','郁南县','郁南县','广东省云浮市郁南县'),(2081,2076,3,'445381',111.578201000,22.765415000,1936,'广东省',2076,'0766','云浮市','罗定市','罗定市','广东省云浮市罗定市'),(2082,1,1,'450000',108.320004000,22.824020000,2082,'广西壮族自治区',0,'','','广西壮族自治区','','广西壮族自治区'),(2083,2082,2,'450100',108.320004000,22.824020000,2082,'广西壮族自治区',2083,'0771','南宁市','南宁市','','广西壮族自治区南宁市'),(2084,2083,3,'450102',108.320189000,22.819511000,2082,'广西壮族自治区',2083,'0771','南宁市','兴宁区','兴宁区','广西壮族自治区南宁市兴宁区'),(2085,2083,3,'450103',108.346113000,22.816614000,2082,'广西壮族自治区',2083,'0771','南宁市','青秀区','青秀区','广西壮族自治区南宁市青秀区'),(2086,2083,3,'450105',108.310478000,22.799593000,2082,'广西壮族自治区',2083,'0771','南宁市','江南区','江南区','广西壮族自治区南宁市江南区'),(2087,2083,3,'450107',108.306903000,22.832779000,2082,'广西壮族自治区',2083,'0771','南宁市','西乡塘区','西乡塘区','广西壮族自治区南宁市西乡塘区'),(2088,2083,3,'450108',108.322102000,22.759090000,2082,'广西壮族自治区',2083,'0771','南宁市','良庆区','良庆区','广西壮族自治区南宁市良庆区'),(2089,2083,3,'450109',108.484251000,22.756598000,2082,'广西壮族自治区',2083,'0771','南宁市','邕宁区','邕宁区','广西壮族自治区南宁市邕宁区'),(2090,2083,3,'450110',108.280717000,23.157163000,2082,'广西壮族自治区',2083,'0771','南宁市','武鸣区','武鸣区','广西壮族自治区南宁市武鸣区'),(2091,2083,3,'450123',107.688661000,23.174763000,2082,'广西壮族自治区',2083,'0771','南宁市','隆安县','隆安县','广西壮族自治区南宁市隆安县'),(2092,2083,3,'450124',108.172903000,23.711758000,2082,'广西壮族自治区',2083,'0771','南宁市','马山县','马山县','广西壮族自治区南宁市马山县'),(2093,2083,3,'450125',108.603937000,23.431769000,2082,'广西壮族自治区',2083,'0771','南宁市','上林县','上林县','广西壮族自治区南宁市上林县'),(2094,2083,3,'450126',108.816735000,23.216884000,2082,'广西壮族自治区',2083,'0771','南宁市','宾阳县','宾阳县','广西壮族自治区南宁市宾阳县'),(2095,2083,3,'450127',109.270987000,22.687430000,2082,'广西壮族自治区',2083,'0771','南宁市','横县','横县','广西壮族自治区南宁市横县'),(2096,2082,2,'450200',109.411703000,24.314617000,2082,'广西壮族自治区',2096,'0772','柳州市','柳州市','','广西壮族自治区柳州市'),(2097,2096,3,'450202',109.411749000,24.312324000,2082,'广西壮族自治区',2096,'0772','柳州市','城中区','城中区','广西壮族自治区柳州市城中区'),(2098,2096,3,'450203',109.415364000,24.303848000,2082,'广西壮族自治区',2096,'0772','柳州市','鱼峰区','鱼峰区','广西壮族自治区柳州市鱼峰区'),(2099,2096,3,'450204',109.395936000,24.287013000,2082,'广西壮族自治区',2096,'0772','柳州市','柳南区','柳南区','广西壮族自治区柳州市柳南区'),(2100,2096,3,'450205',109.406577000,24.359145000,2082,'广西壮族自治区',2096,'0772','柳州市','柳北区','柳北区','广西壮族自治区柳州市柳北区'),(2101,2096,3,'450221',109.334503000,24.257512000,2082,'广西壮族自治区',2096,'0772','柳州市','柳江区','柳江区','广西壮族自治区柳州市柳江区'),(2102,2096,3,'450222',109.245812000,24.655121000,2082,'广西壮族自治区',2096,'0772','柳州市','柳城县','柳城县','广西壮族自治区柳州市柳城县'),(2103,2096,3,'450223',109.740805000,24.483405000,2082,'广西壮族自治区',2096,'0772','柳州市','鹿寨县','鹿寨县','广西壮族自治区柳州市鹿寨县'),(2104,2096,3,'450224',109.403621000,25.214703000,2082,'广西壮族自治区',2096,'0772','柳州市','融安县','融安县','广西壮族自治区柳州市融安县'),(2105,2096,3,'450225',109.252744000,25.068812000,2082,'广西壮族自治区',2096,'0772','柳州市','融水苗族自治县','融水苗族自治县','广西壮族自治区柳州市融水苗族自治县'),(2106,2096,3,'450226',109.614846000,25.785530000,2082,'广西壮族自治区',2096,'0772','柳州市','三江侗族自治县','三江侗族自治县','广西壮族自治区柳州市三江侗族自治县'),(2107,2082,2,'450300',110.299121000,25.274215000,2082,'广西壮族自治区',2107,'0773','桂林市','桂林市','','广西壮族自治区桂林市'),(2108,2107,3,'450302',110.292445000,25.278544000,2082,'广西壮族自治区',2107,'0773','桂林市','秀峰区','秀峰区','广西壮族自治区桂林市秀峰区'),(2109,2107,3,'450303',110.300783000,25.301334000,2082,'广西壮族自治区',2107,'0773','桂林市','叠彩区','叠彩区','广西壮族自治区桂林市叠彩区'),(2110,2107,3,'450304',110.284882000,25.261986000,2082,'广西壮族自治区',2107,'0773','桂林市','象山区','象山区','广西壮族自治区桂林市象山区'),(2111,2107,3,'450305',110.317577000,25.254339000,2082,'广西壮族自治区',2107,'0773','桂林市','七星区','七星区','广西壮族自治区桂林市七星区'),(2112,2107,3,'450311',110.305667000,25.077646000,2082,'广西壮族自治区',2107,'0773','桂林市','雁山区','雁山区','广西壮族自治区桂林市雁山区'),(2113,2107,3,'450312',110.205487000,25.246257000,2082,'广西壮族自治区',2107,'0773','桂林市','临桂区','临桂区','广西壮族自治区桂林市临桂区'),(2114,2107,3,'450321',110.494699000,24.775340000,2082,'广西壮族自治区',2107,'0773','桂林市','阳朔县','阳朔县','广西壮族自治区桂林市阳朔县'),(2115,2107,3,'450323',110.325712000,25.408541000,2082,'广西壮族自治区',2107,'0773','桂林市','灵川县','灵川县','广西壮族自治区桂林市灵川县'),(2116,2107,3,'450324',111.072989000,25.929897000,2082,'广西壮族自治区',2107,'0773','桂林市','全州县','全州县','广西壮族自治区桂林市全州县'),(2117,2107,3,'450325',110.670783000,25.609554000,2082,'广西壮族自治区',2107,'0773','桂林市','兴安县','兴安县','广西壮族自治区桂林市兴安县'),(2118,2107,3,'450326',109.989208000,24.986692000,2082,'广西壮族自治区',2107,'0773','桂林市','永福县','永福县','广西壮族自治区桂林市永福县'),(2119,2107,3,'450327',111.160248000,25.489098000,2082,'广西壮族自治区',2107,'0773','桂林市','灌阳县','灌阳县','广西壮族自治区桂林市灌阳县'),(2120,2107,3,'450328',110.009423000,25.796428000,2082,'广西壮族自治区',2107,'0773','桂林市','龙胜各族自治县','龙胜各族自治县','广西壮族自治区桂林市龙胜各族自治县'),(2121,2107,3,'450329',110.642587000,26.034200000,2082,'广西壮族自治区',2107,'0773','桂林市','资源县','资源县','广西壮族自治区桂林市资源县'),(2122,2107,3,'450330',110.642821000,24.632216000,2082,'广西壮族自治区',2107,'0773','桂林市','平乐县','平乐县','广西壮族自治区桂林市平乐县'),(2123,2107,3,'450331',110.400149000,24.497786000,2082,'广西壮族自治区',2107,'0773','桂林市','荔浦县','荔浦县','广西壮族自治区桂林市荔浦县'),(2124,2107,3,'450332',110.829520000,24.833612000,2082,'广西壮族自治区',2107,'0773','桂林市','恭城瑶族自治县','恭城瑶族自治县','广西壮族自治区桂林市恭城瑶族自治县'),(2125,2082,2,'450400',111.297604000,23.474803000,2082,'广西壮族自治区',2125,'0774','梧州市','梧州市','','广西壮族自治区梧州市'),(2126,2125,3,'450403',111.315817000,23.471318000,2082,'广西壮族自治区',2125,'0774','梧州市','万秀区','万秀区','广西壮族自治区梧州市万秀区'),(2127,2125,3,'450405',111.275678000,23.477700000,2082,'广西壮族自治区',2125,'0774','梧州市','长洲区','长洲区','广西壮族自治区梧州市长洲区'),(2128,2125,3,'450406',111.246035000,23.409960000,2082,'广西壮族自治区',2125,'0774','梧州市','龙圩区','龙圩区','广西壮族自治区梧州市龙圩区'),(2129,2125,3,'450421',111.544008000,23.845097000,2082,'广西壮族自治区',2125,'0774','梧州市','苍梧县','苍梧县','广西壮族自治区梧州市苍梧县'),(2130,2125,3,'450422',110.931826000,23.373963000,2082,'广西壮族自治区',2125,'0774','梧州市','藤县','藤县','广西壮族自治区梧州市藤县'),(2131,2125,3,'450423',110.522600000,24.199829000,2082,'广西壮族自治区',2125,'0774','梧州市','蒙山县','蒙山县','广西壮族自治区梧州市蒙山县'),(2132,2125,3,'450481',110.998114000,22.918406000,2082,'广西壮族自治区',2125,'0774','梧州市','岑溪市','岑溪市','广西壮族自治区梧州市岑溪市'),(2133,2082,2,'450500',109.119254000,21.473343000,2082,'广西壮族自治区',2133,'0779','北海市','北海市','','广西壮族自治区北海市'),(2134,2133,3,'450502',109.107529000,21.468443000,2082,'广西壮族自治区',2133,'0779','北海市','海城区','海城区','广西壮族自治区北海市海城区'),(2135,2133,3,'450503',109.118707000,21.444909000,2082,'广西壮族自治区',2133,'0779','北海市','银海区','银海区','广西壮族自治区北海市银海区'),(2136,2133,3,'450512',109.450573000,21.592800000,2082,'广西壮族自治区',2133,'0779','北海市','铁山港区','铁山港区','广西壮族自治区北海市铁山港区'),(2137,2133,3,'450521',109.200695000,21.663554000,2082,'广西壮族自治区',2133,'0779','北海市','合浦县','合浦县','广西壮族自治区北海市合浦县'),(2138,2082,2,'450600',108.345478000,21.614631000,2082,'广西壮族自治区',2138,'0770','防城港市','防城港市','','广西壮族自治区防城港市'),(2139,2138,3,'450602',108.346281000,21.614406000,2082,'广西壮族自治区',2138,'0770','防城港市','港口区','港口区','广西壮族自治区防城港市港口区'),(2140,2138,3,'450603',108.358426000,21.764758000,2082,'广西壮族自治区',2138,'0770','防城港市','防城区','防城区','广西壮族自治区防城港市防城区'),(2141,2138,3,'450621',107.982139000,22.151423000,2082,'广西壮族自治区',2138,'0770','防城港市','上思县','上思县','广西壮族自治区防城港市上思县'),(2142,2138,3,'450681',107.970170000,21.541172000,2082,'广西壮族自治区',2138,'0770','防城港市','东兴市','东兴市','广西壮族自治区防城港市东兴市'),(2143,2082,2,'450700',108.624175000,21.967127000,2082,'广西壮族自治区',2143,'0777','钦州市','钦州市','','广西壮族自治区钦州市'),(2144,2143,3,'450702',108.626629000,21.966808000,2082,'广西壮族自治区',2143,'0777','钦州市','钦南区','钦南区','广西壮族自治区钦州市钦南区'),(2145,2143,3,'450703',108.449110000,22.132761000,2082,'广西壮族自治区',2143,'0777','钦州市','钦北区','钦北区','广西壮族自治区钦州市钦北区'),(2146,2143,3,'450721',109.293468000,22.418041000,2082,'广西壮族自治区',2143,'0777','钦州市','灵山县','灵山县','广西壮族自治区钦州市灵山县'),(2147,2143,3,'450722',109.556341000,22.268335000,2082,'广西壮族自治区',2143,'0777','钦州市','浦北县','浦北县','广西壮族自治区钦州市浦北县'),(2148,2082,2,'450800',109.602146000,23.093600000,2082,'广西壮族自治区',2148,'1755','贵港市','贵港市','','广西壮族自治区贵港市'),(2149,2148,3,'450802',109.594810000,23.107677000,2082,'广西壮族自治区',2148,'1755','贵港市','港北区','港北区','广西壮族自治区贵港市港北区'),(2150,2148,3,'450803',109.604665000,23.067516000,2082,'广西壮族自治区',2148,'1755','贵港市','港南区','港南区','广西壮族自治区贵港市港南区'),(2151,2148,3,'450804',109.415697000,23.132815000,2082,'广西壮族自治区',2148,'1755','贵港市','覃塘区','覃塘区','广西壮族自治区贵港市覃塘区'),(2152,2148,3,'450821',110.397485000,23.544546000,2082,'广西壮族自治区',2148,'1755','贵港市','平南县','平南县','广西壮族自治区贵港市平南县'),(2153,2148,3,'450881',110.074668000,23.382473000,2082,'广西壮族自治区',2148,'1755','贵港市','桂平市','桂平市','广西壮族自治区贵港市桂平市'),(2154,2082,2,'450900',110.154393000,22.631360000,2082,'广西壮族自治区',2154,'0775','玉林市','玉林市','','广西壮族自治区玉林市'),(2155,2154,3,'450902',110.154912000,22.632132000,2082,'广西壮族自治区',2154,'0775','玉林市','玉州区','玉州区','广西壮族自治区玉林市玉州区'),(2156,2154,3,'450903',110.054155000,22.581630000,2082,'广西壮族自治区',2154,'0775','玉林市','福绵区','福绵区','广西壮族自治区玉林市福绵区'),(2157,2154,3,'450921',110.552467000,22.856435000,2082,'广西壮族自治区',2154,'0775','玉林市','容县','容县','广西壮族自治区玉林市容县'),(2158,2154,3,'450922',110.264842000,22.321054000,2082,'广西壮族自治区',2154,'0775','玉林市','陆川县','陆川县','广西壮族自治区玉林市陆川县'),(2159,2154,3,'450923',109.980004000,22.271285000,2082,'广西壮族自治区',2154,'0775','玉林市','博白县','博白县','广西壮族自治区玉林市博白县'),(2160,2154,3,'450924',109.877768000,22.741870000,2082,'广西壮族自治区',2154,'0775','玉林市','兴业县','兴业县','广西壮族自治区玉林市兴业县'),(2161,2154,3,'450981',110.348052000,22.701648000,2082,'广西壮族自治区',2154,'0775','玉林市','北流市','北流市','广西壮族自治区玉林市北流市'),(2162,2082,2,'451000',106.616285000,23.897742000,2082,'广西壮族自治区',2162,'0776','百色市','百色市','','广西壮族自治区百色市'),(2163,2162,3,'451002',106.615727000,23.897675000,2082,'广西壮族自治区',2162,'0776','百色市','右江区','右江区','广西壮族自治区百色市右江区'),(2164,2162,3,'451021',106.904315000,23.736079000,2082,'广西壮族自治区',2162,'0776','百色市','田阳县','田阳县','广西壮族自治区百色市田阳县'),(2165,2162,3,'451022',107.124260000,23.600444000,2082,'广西壮族自治区',2162,'0776','百色市','田东县','田东县','广西壮族自治区百色市田东县'),(2166,2162,3,'451023',107.580403000,23.320479000,2082,'广西壮族自治区',2162,'0776','百色市','平果县','平果县','广西壮族自治区百色市平果县'),(2167,2162,3,'451024',106.618164000,23.321464000,2082,'广西壮族自治区',2162,'0776','百色市','德保县','德保县','广西壮族自治区百色市德保县'),(2168,2162,3,'451081',106.417549000,23.134766000,2082,'广西壮族自治区',2162,'0776','百色市','靖西市','靖西市','广西壮族自治区百色市靖西市'),(2169,2162,3,'451026',105.833553000,23.400785000,2082,'广西壮族自治区',2162,'0776','百色市','那坡县','那坡县','广西壮族自治区百色市那坡县'),(2170,2162,3,'451027',106.564870000,24.345643000,2082,'广西壮族自治区',2162,'0776','百色市','凌云县','凌云县','广西壮族自治区百色市凌云县'),(2171,2162,3,'451028',106.559638000,24.782204000,2082,'广西壮族自治区',2162,'0776','百色市','乐业县','乐业县','广西壮族自治区百色市乐业县'),(2172,2162,3,'451029',106.235047000,24.290262000,2082,'广西壮族自治区',2162,'0776','百色市','田林县','田林县','广西壮族自治区百色市田林县'),(2173,2162,3,'451030',105.095025000,24.492041000,2082,'广西壮族自治区',2162,'0776','百色市','西林县','西林县','广西壮族自治区百色市西林县'),(2174,2162,3,'451031',105.342363000,24.774318000,2082,'广西壮族自治区',2162,'0776','百色市','隆林各族自治县','隆林各族自治县','广西壮族自治区百色市隆林各族自治县'),(2175,2082,2,'451100',111.552056000,24.414141000,2082,'广西壮族自治区',2175,'1774','贺州市','贺州市','','广西壮族自治区贺州市'),(2176,2175,3,'451102',111.551991000,24.412446000,2082,'广西壮族自治区',2175,'1774','贺州市','八步区','八步区','广西壮族自治区贺州市八步区'),(2177,2175,3,'451103',111.524014000,24.417148000,2082,'广西壮族自治区',2175,'1774','贺州市','平桂区','平桂区','广西壮族自治区贺州市平桂区'),(2178,2175,3,'451121',110.810865000,24.172958000,2082,'广西壮族自治区',2175,'1774','贺州市','昭平县','昭平县','广西壮族自治区贺州市昭平县'),(2179,2175,3,'451122',111.303629000,24.528566000,2082,'广西壮族自治区',2175,'1774','贺州市','钟山县','钟山县','广西壮族自治区贺州市钟山县'),(2180,2175,3,'451123',111.277228000,24.818960000,2082,'广西壮族自治区',2175,'1774','贺州市','富川瑶族自治县','富川瑶族自治县','广西壮族自治区贺州市富川瑶族自治县'),(2181,2082,2,'451200',108.062105000,24.695899000,2082,'广西壮族自治区',2181,'0778','河池市','河池市','','广西壮族自治区河池市'),(2182,2181,3,'451202',108.062131000,24.695625000,2082,'广西壮族自治区',2181,'0778','河池市','金城江区','金城江区','广西壮族自治区河池市金城江区'),(2183,2181,3,'451221',107.546605000,24.983192000,2082,'广西壮族自治区',2181,'0778','河池市','南丹县','南丹县','广西壮族自治区河池市南丹县'),(2184,2181,3,'451222',107.174939000,24.985964000,2082,'广西壮族自治区',2181,'0778','河池市','天峨县','天峨县','广西壮族自治区河池市天峨县'),(2185,2181,3,'451223',107.044592000,24.544561000,2082,'广西壮族自治区',2181,'0778','河池市','凤山县','凤山县','广西壮族自治区河池市凤山县'),(2186,2181,3,'451224',107.373696000,24.509367000,2082,'广西壮族自治区',2181,'0778','河池市','东兰县','东兰县','广西壮族自治区河池市东兰县'),(2187,2181,3,'451225',108.902453000,24.779327000,2082,'广西壮族自治区',2181,'0778','河池市','罗城仫佬族自治县','罗城仫佬族自治县','广西壮族自治区河池市罗城仫佬族自治县'),(2188,2181,3,'451226',108.258669000,24.827628000,2082,'广西壮族自治区',2181,'0778','河池市','环江毛南族自治县','环江毛南族自治县','广西壮族自治区河池市环江毛南族自治县'),(2189,2181,3,'451227',107.253126000,24.139538000,2082,'广西壮族自治区',2181,'0778','河池市','巴马瑶族自治县','巴马瑶族自治县','广西壮族自治区河池市巴马瑶族自治县'),(2190,2181,3,'451228',108.102761000,23.934964000,2082,'广西壮族自治区',2181,'0778','河池市','都安瑶族自治县','都安瑶族自治县','广西壮族自治区河池市都安瑶族自治县'),(2191,2181,3,'451229',107.994500000,23.739596000,2082,'广西壮族自治区',2181,'0778','河池市','大化瑶族自治县','大化瑶族自治县','广西壮族自治区河池市大化瑶族自治县'),(2192,2181,3,'451281',108.653965000,24.492193000,2082,'广西壮族自治区',2181,'0778','河池市','宜州市','宜州市','广西壮族自治区河池市宜州市'),(2193,2082,2,'451300',109.229772000,23.733766000,2082,'广西壮族自治区',2193,'1772','来宾市','来宾市','','广西壮族自治区来宾市'),(2194,2193,3,'451302',109.230541000,23.732926000,2082,'广西壮族自治区',2193,'1772','来宾市','兴宾区','兴宾区','广西壮族自治区来宾市兴宾区'),(2195,2193,3,'451321',108.667361000,24.064779000,2082,'广西壮族自治区',2193,'1772','来宾市','忻城县','忻城县','广西壮族自治区来宾市忻城县'),(2196,2193,3,'451322',109.684555000,23.959824000,2082,'广西壮族自治区',2193,'1772','来宾市','象州县','象州县','广西壮族自治区来宾市象州县'),(2197,2193,3,'451323',109.662870000,23.604162000,2082,'广西壮族自治区',2193,'1772','来宾市','武宣县','武宣县','广西壮族自治区来宾市武宣县'),(2198,2193,3,'451324',110.188556000,24.134941000,2082,'广西壮族自治区',2193,'1772','来宾市','金秀瑶族自治县','金秀瑶族自治县','广西壮族自治区来宾市金秀瑶族自治县'),(2199,2193,3,'451381',108.888580000,23.813110000,2082,'广西壮族自治区',2193,'1772','来宾市','合山市','合山市','广西壮族自治区来宾市合山市'),(2200,2082,2,'451400',107.353926000,22.404108000,2082,'广西壮族自治区',2200,'1771','崇左市','崇左市','','广西壮族自治区崇左市'),(2201,2200,3,'451402',107.354443000,22.404690000,2082,'广西壮族自治区',2200,'1771','崇左市','江州区','江州区','广西壮族自治区崇左市江州区'),(2202,2200,3,'451421',107.911533000,22.635821000,2082,'广西壮族自治区',2200,'1771','崇左市','扶绥县','扶绥县','广西壮族自治区崇左市扶绥县'),(2203,2200,3,'451422',107.067616000,22.131353000,2082,'广西壮族自治区',2200,'1771','崇左市','宁明县','宁明县','广西壮族自治区崇左市宁明县'),(2204,2200,3,'451423',106.857502000,22.343716000,2082,'广西壮族自治区',2200,'1771','崇左市','龙州县','龙州县','广西壮族自治区崇左市龙州县'),(2205,2200,3,'451424',107.200803000,22.833369000,2082,'广西壮族自治区',2200,'1771','崇左市','大新县','大新县','广西壮族自治区崇左市大新县'),(2206,2200,3,'451425',107.142441000,23.082484000,2082,'广西壮族自治区',2200,'1771','崇左市','天等县','天等县','广西壮族自治区崇左市天等县'),(2207,2200,3,'451481',106.759038000,22.108882000,2082,'广西壮族自治区',2200,'1771','崇左市','凭祥市','凭祥市','广西壮族自治区崇左市凭祥市'),(2208,1,1,'460000',110.331190000,20.031971000,2208,'海南省',0,'','','海南省','','海南省'),(2209,2208,2,'460100',110.331190000,20.031971000,2208,'海南省',2209,'0898','海口市','海口市','','海南省海口市'),(2210,2209,3,'460105',110.282393000,20.008145000,2208,'海南省',2209,'0898','海口市','秀英区','秀英区','海南省海口市秀英区'),(2211,2209,3,'460106',110.330373000,20.031026000,2208,'海南省',2209,'0898','海口市','龙华区','龙华区','海南省海口市龙华区'),(2212,2209,3,'460107',110.354722000,20.001051000,2208,'海南省',2209,'0898','海口市','琼山区','琼山区','海南省海口市琼山区'),(2213,2209,3,'460108',110.356566000,20.030740000,2208,'海南省',2209,'0898','海口市','美兰区','美兰区','海南省海口市美兰区'),(2214,2208,2,'460200',109.508268000,18.247872000,2208,'海南省',2214,'0899','三亚市','三亚市','','海南省三亚市'),(2215,2214,3,'460202',109.760778000,18.407516000,2208,'海南省',2214,'0899','三亚市','海棠区','海棠区','海南省三亚市海棠区'),(2216,2214,3,'460203',109.512081000,18.247436000,2208,'海南省',2214,'0899','三亚市','吉阳区','吉阳区','海南省三亚市吉阳区'),(2217,2214,3,'460204',109.506357000,18.247340000,2208,'海南省',2214,'0899','三亚市','天涯区','天涯区','海南省三亚市天涯区'),(2218,2214,3,'460205',109.174306000,18.352192000,2208,'海南省',2214,'0899','三亚市','崖州区','崖州区','海南省三亚市崖州区'),(2219,2214,3,'460200',109.502708000,18.252975000,2208,'海南省',2214,'0899','三亚市','解放路','解放路','海南省三亚市解放路'),(2220,2214,3,'460200',109.508522000,18.271621000,2208,'海南省',2214,'0899','三亚市','迎宾路','迎宾路','海南省三亚市迎宾路'),(2221,2214,3,'460200',109.506615000,18.249369000,2208,'海南省',2214,'0899','三亚市','河西','河西','海南省三亚市河西'),(2222,2214,3,'460200',109.508325000,18.254612000,2208,'海南省',2214,'0899','三亚市','河东','河东','海南省三亚市河东'),(2223,2214,3,'460200',109.633321000,18.240776000,2208,'海南省',2214,'0899','三亚市','亚龙湾','亚龙湾','海南省三亚市亚龙湾'),(2224,2214,3,'460200',109.522470000,18.222966000,2208,'海南省',2214,'0899','三亚市','大东海','大东海','海南省三亚市大东海'),(2225,2214,3,'460200',109.461155000,18.276978000,2208,'海南省',2214,'0899','三亚市','三亚湾','三亚湾','海南省三亚市三亚湾'),(2226,2208,2,'460300',112.348820000,16.831039000,2208,'海南省',2226,'2898','三沙市','三沙市','','海南省三沙市'),(2227,2226,3,'460321',111.792944000,16.204546000,2208,'海南省',2226,'1895','三沙市','西沙群岛','西沙群岛','海南省三沙市西沙群岛'),(2228,2226,3,'460322',116.749998000,11.471888000,2208,'海南省',2226,'1891','三沙市','南沙群岛','南沙群岛','海南省三沙市南沙群岛'),(2229,2226,3,'460323',117.740071000,15.112856000,2208,'海南省',2226,'2801','三沙市','中沙群岛的岛礁及其海域','中沙群岛的岛礁及其海域','海南省三沙市中沙群岛的岛礁及其海域'),(2230,2208,2,'460400',109.576782000,19.517486000,2208,'海南省',2230,'0805','儋州市','儋州市','','海南省儋州市'),(2231,2208,2,'469001',109.516662000,18.776921000,2208,'海南省',2231,'1897','五指山市','五指山市','','海南省五指山市'),(2232,2208,2,'469002',110.466785000,19.246011000,2208,'海南省',2232,'1894','琼海市','琼海市','','海南省琼海市'),(2233,2208,2,'469005',110.753975000,19.612986000,2208,'海南省',2233,'1893','文昌市','文昌市','','海南省文昌市'),(2234,2208,2,'469006',110.388793000,18.796216000,2208,'海南省',2234,'1898','万宁市','万宁市','','海南省万宁市'),(2235,2208,2,'469007',108.653789000,19.101980000,2208,'海南省',2235,'0807','东方市','东方市','','海南省东方市'),(2236,2208,2,'469021',110.349235000,19.684966000,2208,'海南省',2236,'0806','定安县','定安县','','海南省定安县'),(2237,2208,2,'469022',110.102773000,19.362916000,2208,'海南省',2237,'1892','屯昌县','屯昌县','','海南省屯昌县'),(2238,2208,2,'469023',110.007147000,19.737095000,2208,'海南省',2238,'0804','澄迈县','澄迈县','','海南省澄迈县'),(2239,2208,2,'469024',109.687697000,19.908293000,2208,'海南省',2239,'1896','临高县','临高县','','海南省临高县'),(2240,2208,2,'469025',109.452606000,19.224584000,2208,'海南省',2240,'0802','白沙黎族自治县','白沙黎族自治县','','海南省白沙黎族自治县'),(2241,2208,2,'469026',109.053351000,19.260968000,2208,'海南省',2241,'0803','昌江黎族自治县','昌江黎族自治县','','海南省昌江黎族自治县'),(2242,2208,2,'469027',109.175444000,18.747580000,2208,'海南省',2242,'2802','乐东黎族自治县','乐东黎族自治县','','海南省乐东黎族自治县'),(2243,2208,2,'469028',110.037218000,18.505006000,2208,'海南省',2243,'0809','陵水黎族自治县','陵水黎族自治县','','海南省陵水黎族自治县'),(2244,2208,2,'469029',109.702450000,18.636371000,2208,'海南省',2244,'0801','保亭黎族苗族自治县','保亭黎族苗族自治县','','海南省保亭黎族苗族自治县'),(2245,2208,2,'469030',109.839996000,19.035570000,2208,'海南省',2245,'1899','琼中黎族苗族自治县','琼中黎族苗族自治县','','海南省琼中黎族苗族自治县'),(2246,1,1,'500000',106.504962000,29.533155000,2246,'重庆市',0,'023','','重庆市','','重庆市'),(2247,2246,2,'500100',106.504962000,29.533155000,2246,'重庆市',2247,'023','重庆市市辖区','重庆市市辖区','','重庆市市辖区'),(2248,2247,3,'500101',108.380246000,30.807807000,2246,'重庆市',2247,'023','重庆市市辖区','万州区','万州区','重庆市市辖区万州区'),(2249,2247,3,'500102',107.394905000,29.703652000,2246,'重庆市',2247,'023','重庆市市辖区','涪陵区','涪陵区','重庆市市辖区涪陵区'),(2250,2247,3,'500103',106.562880000,29.556742000,2246,'重庆市',2247,'023','重庆市市辖区','渝中区','渝中区','重庆市市辖区渝中区'),(2251,2247,3,'500104',106.486130000,29.481002000,2246,'重庆市',2247,'023','重庆市市辖区','大渡口区','大渡口区','重庆市市辖区大渡口区'),(2252,2247,3,'500105',106.532844000,29.575352000,2246,'重庆市',2247,'023','重庆市市辖区','江北区','江北区','重庆市市辖区江北区'),(2253,2247,3,'500106',106.454200000,29.541224000,2246,'重庆市',2247,'023','重庆市市辖区','沙坪坝区','沙坪坝区','重庆市市辖区沙坪坝区'),(2254,2247,3,'500107',106.480989000,29.523492000,2246,'重庆市',2247,'023','重庆市市辖区','九龙坡区','九龙坡区','重庆市市辖区九龙坡区'),(2255,2247,3,'500108',106.560813000,29.523992000,2246,'重庆市',2247,'023','重庆市市辖区','南岸区','南岸区','重庆市市辖区南岸区'),(2256,2247,3,'500109',106.437868000,29.825430000,2246,'重庆市',2247,'023','重庆市市辖区','北碚区','北碚区','重庆市市辖区北碚区'),(2257,2247,3,'500110',106.651417000,29.028091000,2246,'重庆市',2247,'023','重庆市市辖区','綦江区','綦江区','重庆市市辖区綦江区'),(2258,2247,3,'500111',105.715319000,29.700498000,2246,'重庆市',2247,'023','重庆市市辖区','大足区','大足区','重庆市市辖区大足区'),(2259,2247,3,'500112',106.512851000,29.601451000,2246,'重庆市',2247,'023','重庆市市辖区','渝北区','渝北区','重庆市市辖区渝北区'),(2260,2247,3,'500113',106.519423000,29.381919000,2246,'重庆市',2247,'023','重庆市市辖区','巴南区','巴南区','重庆市市辖区巴南区'),(2261,2247,3,'500114',108.782577000,29.527548000,2246,'重庆市',2247,'023','重庆市市辖区','黔江区','黔江区','重庆市市辖区黔江区'),(2262,2247,3,'500115',107.074854000,29.833671000,2246,'重庆市',2247,'023','重庆市市辖区','长寿区','长寿区','重庆市市辖区长寿区'),(2263,2247,3,'500116',106.253156000,29.283387000,2246,'重庆市',2247,'023','重庆市市辖区','江津区','江津区','重庆市市辖区江津区'),(2264,2247,3,'500117',106.265554000,29.990993000,2246,'重庆市',2247,'023','重庆市市辖区','合川区','合川区','重庆市市辖区合川区'),(2265,2247,3,'500118',105.894714000,29.348748000,2246,'重庆市',2247,'023','重庆市市辖区','永川区','永川区','重庆市市辖区永川区'),(2266,2247,3,'500119',107.098153000,29.156646000,2246,'重庆市',2247,'023','重庆市市辖区','南川区','南川区','重庆市市辖区南川区'),(2267,2247,3,'500120',106.231126000,29.593581000,2246,'重庆市',2247,'023','重庆市市辖区','璧山区','璧山区','重庆市市辖区璧山区'),(2268,2247,3,'500151',106.054948000,29.839944000,2246,'重庆市',2247,'023','重庆市市辖区','铜梁区','铜梁区','重庆市市辖区铜梁区'),(2269,2247,3,'500152',105.841818000,30.189554000,2246,'重庆市',2247,'023','重庆市市辖区','潼南区','潼南区','重庆市市辖区潼南区'),(2270,2247,3,'500153',105.594061000,29.403627000,2246,'重庆市',2247,'023','重庆市市辖区','荣昌区','荣昌区','重庆市市辖区荣昌区'),(2271,2247,3,'500154',108.413317000,31.167735000,2246,'重庆市',2247,'023','重庆市市辖区','开州区','开州区','重庆市市辖区开州区'),(2272,2247,3,'500228',107.800034000,30.672168000,2246,'重庆市',2247,'023','重庆市市辖区','梁平县','梁平县','重庆市市辖区梁平县'),(2273,2247,3,'500229',108.664900000,31.946293000,2246,'重庆市',2247,'023','重庆市市辖区','城口县','城口县','重庆市市辖区城口县'),(2274,2247,3,'500230',107.732480000,29.866424000,2246,'重庆市',2247,'023','重庆市市辖区','丰都县','丰都县','重庆市市辖区丰都县'),(2275,2247,3,'500231',107.348692000,30.330012000,2246,'重庆市',2247,'023','重庆市市辖区','垫江县','垫江县','重庆市市辖区垫江县'),(2276,2247,3,'500232',107.756550000,29.323760000,2246,'重庆市',2247,'023','重庆市市辖区','武隆县','武隆县','重庆市市辖区武隆县'),(2277,2247,3,'500233',108.037518000,30.291537000,2246,'重庆市',2247,'023','重庆市市辖区','忠县','忠县','重庆市市辖区忠县'),(2278,2247,3,'500235',108.697698000,30.930529000,2246,'重庆市',2247,'023','重庆市市辖区','云阳县','云阳县','重庆市市辖区云阳县'),(2279,2247,3,'500236',109.465774000,31.019967000,2246,'重庆市',2247,'023','重庆市市辖区','奉节县','奉节县','重庆市市辖区奉节县'),(2280,2247,3,'500237',109.878928000,31.074843000,2246,'重庆市',2247,'023','重庆市市辖区','巫山县','巫山县','重庆市市辖区巫山县'),(2281,2247,3,'500238',109.628912000,31.396600000,2246,'重庆市',2247,'023','重庆市市辖区','巫溪县','巫溪县','重庆市市辖区巫溪县'),(2282,2247,3,'500240',108.112448000,29.998530000,2246,'重庆市',2247,'023','重庆市市辖区','石柱土家族自治县','石柱土家族自治县','重庆市市辖区石柱土家族自治县'),(2283,2247,3,'500241',108.996043000,28.444772000,2246,'重庆市',2247,'023','重庆市市辖区','秀山土家族苗族自治县','秀山土家族苗族自治县','重庆市市辖区秀山土家族苗族自治县'),(2284,2247,3,'500242',108.767201000,28.839828000,2246,'重庆市',2247,'023','重庆市市辖区','酉阳土家族苗族自治县','酉阳土家族苗族自治县','重庆市市辖区酉阳土家族苗族自治县'),(2285,2247,3,'500243',108.166551000,29.293856000,2246,'重庆市',2247,'023','重庆市市辖区','彭水苗族土家族自治县','彭水苗族土家族自治县','重庆市市辖区彭水苗族土家族自治县'),(2286,2246,2,'500200',108.170255000,29.291965000,2246,'重庆市',2286,'023','重庆市郊县','重庆市郊县','','重庆市郊县'),(2287,1,1,'510000',104.065735000,30.659462000,2287,'四川省',0,'','','四川省','','四川省'),(2288,2287,2,'510100',104.065735000,30.659462000,2287,'四川省',2288,'028','成都市','成都市','','四川省成都市'),(2289,2288,3,'510104',104.080989000,30.657689000,2287,'四川省',2288,'028','成都市','锦江区','锦江区','四川省成都市锦江区'),(2290,2288,3,'510105',104.055731000,30.667648000,2287,'四川省',2288,'028','成都市','青羊区','青羊区','四川省成都市青羊区'),(2291,2288,3,'510106',104.043487000,30.692058000,2287,'四川省',2288,'028','成都市','金牛区','金牛区','四川省成都市金牛区'),(2292,2288,3,'510107',104.051670000,30.630862000,2287,'四川省',2288,'028','成都市','武侯区','武侯区','四川省成都市武侯区'),(2293,2288,3,'510108',104.103077000,30.660275000,2287,'四川省',2288,'028','成都市','成华区','成华区','四川省成都市成华区'),(2294,2288,3,'510112',104.269181000,30.560650000,2287,'四川省',2288,'028','成都市','龙泉驿区','龙泉驿区','四川省成都市龙泉驿区'),(2295,2288,3,'510113',104.254940000,30.883438000,2287,'四川省',2288,'028','成都市','青白江区','青白江区','四川省成都市青白江区'),(2296,2288,3,'510114',104.160220000,30.824223000,2287,'四川省',2288,'028','成都市','新都区','新都区','四川省成都市新都区'),(2297,2288,3,'510115',103.836776000,30.697996000,2287,'四川省',2288,'028','成都市','温江区','温江区','四川省成都市温江区'),(2298,2288,3,'510121',104.415604000,30.858417000,2287,'四川省',2288,'028','成都市','金堂县','金堂县','四川省成都市金堂县'),(2299,2288,3,'510116',103.922706000,30.573243000,2287,'四川省',2288,'028','成都市','双流区','双流区','四川省成都市双流区'),(2300,2288,3,'510124',103.887842000,30.808752000,2287,'四川省',2288,'028','成都市','郫县','郫县','四川省成都市郫县'),(2301,2288,3,'510129',103.522397000,30.586602000,2287,'四川省',2288,'028','成都市','大邑县','大邑县','四川省成都市大邑县'),(2302,2288,3,'510131',103.511541000,30.194359000,2287,'四川省',2288,'028','成都市','蒲江县','蒲江县','四川省成都市蒲江县'),(2303,2288,3,'510132',103.812449000,30.414284000,2287,'四川省',2288,'028','成都市','新津县','新津县','四川省成都市新津县'),(2304,2288,3,'510180',104.550339000,30.390666000,2287,'四川省',2288,'028','成都市','简阳市','简阳市','四川省成都市简阳市'),(2305,2288,3,'510181',103.627898000,30.991140000,2287,'四川省',2288,'028','成都市','都江堰市','都江堰市','四川省成都市都江堰市'),(2306,2288,3,'510182',103.941173000,30.985161000,2287,'四川省',2288,'028','成都市','彭州市','彭州市','四川省成都市彭州市'),(2307,2288,3,'510183',103.461430000,30.413271000,2287,'四川省',2288,'028','成都市','邛崃市','邛崃市','四川省成都市邛崃市'),(2308,2288,3,'510184',103.671049000,30.631478000,2287,'四川省',2288,'028','成都市','崇州市','崇州市','四川省成都市崇州市'),(2309,2287,2,'510300',104.773447000,29.352765000,2287,'四川省',2309,'0813','自贡市','自贡市','','四川省自贡市'),(2310,2309,3,'510302',104.778188000,29.343231000,2287,'四川省',2309,'0813','自贡市','自流井区','自流井区','四川省自贡市自流井区'),(2311,2309,3,'510303',104.714372000,29.345675000,2287,'四川省',2309,'0813','自贡市','贡井区','贡井区','四川省自贡市贡井区'),(2312,2309,3,'510304',104.783229000,29.367136000,2287,'四川省',2309,'0813','自贡市','大安区','大安区','四川省自贡市大安区'),(2313,2309,3,'510311',104.876417000,29.272521000,2287,'四川省',2309,'0813','自贡市','沿滩区','沿滩区','四川省自贡市沿滩区'),(2314,2309,3,'510321',104.423932000,29.454851000,2287,'四川省',2309,'0813','自贡市','荣县','荣县','四川省自贡市荣县'),(2315,2309,3,'510322',104.984256000,29.181282000,2287,'四川省',2309,'0813','自贡市','富顺县','富顺县','四川省自贡市富顺县'),(2316,2287,2,'510400',101.716007000,26.580446000,2287,'四川省',2316,'0812','攀枝花市','攀枝花市','','四川省攀枝花市'),(2317,2316,3,'510402',101.715134000,26.580887000,2287,'四川省',2316,'0812','攀枝花市','东区','东区','四川省攀枝花市东区'),(2318,2316,3,'510403',101.637969000,26.596776000,2287,'四川省',2316,'0812','攀枝花市','西区','西区','四川省攀枝花市西区'),(2319,2316,3,'510411',101.737916000,26.497185000,2287,'四川省',2316,'0812','攀枝花市','仁和区','仁和区','四川省攀枝花市仁和区'),(2320,2316,3,'510421',102.109877000,26.887474000,2287,'四川省',2316,'0812','攀枝花市','米易县','米易县','四川省攀枝花市米易县'),(2321,2316,3,'510422',101.851848000,26.677619000,2287,'四川省',2316,'0812','攀枝花市','盐边县','盐边县','四川省攀枝花市盐边县'),(2322,2287,2,'510500',105.443348000,28.889138000,2287,'四川省',2322,'0830','泸州市','泸州市','','四川省泸州市'),(2323,2322,3,'510502',105.445131000,28.882889000,2287,'四川省',2322,'0830','泸州市','江阳区','江阳区','四川省泸州市江阳区'),(2324,2322,3,'510503',105.377210000,28.776310000,2287,'四川省',2322,'0830','泸州市','纳溪区','纳溪区','四川省泸州市纳溪区'),(2325,2322,3,'510504',105.435228000,28.897572000,2287,'四川省',2322,'0830','泸州市','龙马潭区','龙马潭区','四川省泸州市龙马潭区'),(2326,2322,3,'510521',105.376335000,29.151288000,2287,'四川省',2322,'0830','泸州市','泸县','泸县','四川省泸州市泸县'),(2327,2322,3,'510522',105.834098000,28.810325000,2287,'四川省',2322,'0830','泸州市','合江县','合江县','四川省泸州市合江县'),(2328,2322,3,'510524',105.437775000,28.167919000,2287,'四川省',2322,'0830','泸州市','叙永县','叙永县','四川省泸州市叙永县'),(2329,2322,3,'510525',105.813359000,28.039480000,2287,'四川省',2322,'0830','泸州市','古蔺县','古蔺县','四川省泸州市古蔺县'),(2330,2287,2,'510600',104.398651000,31.127991000,2287,'四川省',2330,'0838','德阳市','德阳市','','四川省德阳市'),(2331,2330,3,'510603',104.389648000,31.130428000,2287,'四川省',2330,'0838','德阳市','旌阳区','旌阳区','四川省德阳市旌阳区'),(2332,2330,3,'510623',104.677831000,31.036810000,2287,'四川省',2330,'0838','德阳市','中江县','中江县','四川省德阳市中江县'),(2333,2330,3,'510626',104.507126000,31.303281000,2287,'四川省',2330,'0838','德阳市','罗江县','罗江县','四川省德阳市罗江县'),(2334,2330,3,'510681',104.281903000,30.977150000,2287,'四川省',2330,'0838','德阳市','广汉市','广汉市','四川省德阳市广汉市'),(2335,2330,3,'510682',104.173653000,31.126881000,2287,'四川省',2330,'0838','德阳市','什邡市','什邡市','四川省德阳市什邡市'),(2336,2330,3,'510683',104.200162000,31.343084000,2287,'四川省',2330,'0838','德阳市','绵竹市','绵竹市','四川省德阳市绵竹市'),(2337,2287,2,'510700',104.741722000,31.464020000,2287,'四川省',2337,'0816','绵阳市','绵阳市','','四川省绵阳市'),(2338,2337,3,'510703',104.740971000,31.463557000,2287,'四川省',2337,'0816','绵阳市','涪城区','涪城区','四川省绵阳市涪城区'),(2339,2337,3,'510704',104.770006000,31.484772000,2287,'四川省',2337,'0816','绵阳市','游仙区','游仙区','四川省绵阳市游仙区'),(2340,2337,3,'510722',105.090316000,31.090909000,2287,'四川省',2337,'0816','绵阳市','三台县','三台县','四川省绵阳市三台县'),(2341,2337,3,'510723',105.391991000,31.223180000,2287,'四川省',2337,'0816','绵阳市','盐亭县','盐亭县','四川省绵阳市盐亭县'),(2342,2337,3,'510705',104.560341000,31.538940000,2287,'四川省',2337,'0816','绵阳市','安州区','安州区','四川省绵阳市安州区'),(2343,2337,3,'510725',105.163530000,31.635225000,2287,'四川省',2337,'0816','绵阳市','梓潼县','梓潼县','四川省绵阳市梓潼县'),(2344,2337,3,'510726',104.468069000,31.615863000,2287,'四川省',2337,'0816','绵阳市','北川羌族自治县','北川羌族自治县','四川省绵阳市北川羌族自治县'),(2345,2337,3,'510727',104.530555000,32.407588000,2287,'四川省',2337,'0816','绵阳市','平武县','平武县','四川省绵阳市平武县'),(2346,2337,3,'510781',104.744431000,31.776386000,2287,'四川省',2337,'0816','绵阳市','江油市','江油市','四川省绵阳市江油市'),(2347,2287,2,'510800',105.829757000,32.433668000,2287,'四川省',2347,'0839','广元市','广元市','','四川省广元市'),(2348,2347,3,'510802',105.826194000,32.432276000,2287,'四川省',2347,'0839','广元市','利州区','利州区','四川省广元市利州区'),(2349,2347,3,'510811',105.964121000,32.322788000,2287,'四川省',2347,'0839','广元市','昭化区','昭化区','四川省广元市昭化区'),(2350,2347,3,'510812',105.889170000,32.642632000,2287,'四川省',2347,'0839','广元市','朝天区','朝天区','四川省广元市朝天区'),(2351,2347,3,'510821',106.290426000,32.228330000,2287,'四川省',2347,'0839','广元市','旺苍县','旺苍县','四川省广元市旺苍县'),(2352,2347,3,'510822',105.238847000,32.585655000,2287,'四川省',2347,'0839','广元市','青川县','青川县','四川省广元市青川县'),(2353,2347,3,'510823',105.527035000,32.286517000,2287,'四川省',2347,'0839','广元市','剑阁县','剑阁县','四川省广元市剑阁县'),(2354,2347,3,'510824',105.939706000,31.732251000,2287,'四川省',2347,'0839','广元市','苍溪县','苍溪县','四川省广元市苍溪县'),(2355,2287,2,'510900',105.571331000,30.513311000,2287,'四川省',2355,'0825','遂宁市','遂宁市','','四川省遂宁市'),(2356,2355,3,'510903',105.582215000,30.502647000,2287,'四川省',2355,'0825','遂宁市','船山区','船山区','四川省遂宁市船山区'),(2357,2355,3,'510904',105.459383000,30.346121000,2287,'四川省',2355,'0825','遂宁市','安居区','安居区','四川省遂宁市安居区'),(2358,2355,3,'510921',105.713699000,30.774883000,2287,'四川省',2355,'0825','遂宁市','蓬溪县','蓬溪县','四川省遂宁市蓬溪县'),(2359,2355,3,'510922',105.381849000,30.868752000,2287,'四川省',2355,'0825','遂宁市','射洪县','射洪县','四川省遂宁市射洪县'),(2360,2355,3,'510923',105.252187000,30.581571000,2287,'四川省',2355,'0825','遂宁市','大英县','大英县','四川省遂宁市大英县'),(2361,2287,2,'511000',105.066138000,29.587080000,2287,'四川省',2361,'1832','内江市','内江市','','四川省内江市'),(2362,2361,3,'511002',105.065467000,29.585265000,2287,'四川省',2361,'1832','内江市','市中区','市中区','四川省内江市市中区'),(2363,2361,3,'511011',105.067203000,29.600107000,2287,'四川省',2361,'1832','内江市','东兴区','东兴区','四川省内江市东兴区'),(2364,2361,3,'511024',104.668327000,29.526860000,2287,'四川省',2361,'1832','内江市','威远县','威远县','四川省内江市威远县'),(2365,2361,3,'511025',104.852463000,29.775295000,2287,'四川省',2361,'1832','内江市','资中县','资中县','四川省内江市资中县'),(2366,2361,3,'511028',105.288074000,29.338162000,2287,'四川省',2361,'1832','内江市','隆昌县','隆昌县','四川省内江市隆昌县'),(2367,2287,2,'511100',103.761263000,29.582024000,2287,'四川省',2367,'0833','乐山市','乐山市','','四川省乐山市'),(2368,2367,3,'511102',103.755390000,29.588327000,2287,'四川省',2367,'0833','乐山市','市中区','市中区','四川省乐山市市中区'),(2369,2367,3,'511111',103.549961000,29.416536000,2287,'四川省',2367,'0833','乐山市','沙湾区','沙湾区','四川省乐山市沙湾区'),(2370,2367,3,'511112',103.816837000,29.406186000,2287,'四川省',2367,'0833','乐山市','五通桥区','五通桥区','四川省乐山市五通桥区'),(2371,2367,3,'511113',103.077831000,29.246020000,2287,'四川省',2367,'0833','乐山市','金口河区','金口河区','四川省乐山市金口河区'),(2372,2367,3,'511123',103.944266000,29.209782000,2287,'四川省',2367,'0833','乐山市','犍为县','犍为县','四川省乐山市犍为县'),(2373,2367,3,'511124',104.068850000,29.651645000,2287,'四川省',2367,'0833','乐山市','井研县','井研县','四川省乐山市井研县'),(2374,2367,3,'511126',103.578862000,29.741019000,2287,'四川省',2367,'0833','乐山市','夹江县','夹江县','四川省乐山市夹江县'),(2375,2367,3,'511129',103.902110000,28.956338000,2287,'四川省',2367,'0833','乐山市','沐川县','沐川县','四川省乐山市沐川县'),(2376,2367,3,'511132',103.262148000,29.230271000,2287,'四川省',2367,'0833','乐山市','峨边彝族自治县','峨边彝族自治县','四川省乐山市峨边彝族自治县'),(2377,2367,3,'511133',103.546851000,28.838933000,2287,'四川省',2367,'0833','乐山市','马边彝族自治县','马边彝族自治县','四川省乐山市马边彝族自治县'),(2378,2367,3,'511181',103.492488000,29.597478000,2287,'四川省',2367,'0833','乐山市','峨眉山市','峨眉山市','四川省乐山市峨眉山市'),(2379,2287,2,'511300',106.082974000,30.795281000,2287,'四川省',2379,'0817','南充市','南充市','','四川省南充市'),(2380,2379,3,'511302',106.084091000,30.795572000,2287,'四川省',2379,'0817','南充市','顺庆区','顺庆区','四川省南充市顺庆区'),(2381,2379,3,'511303',106.108996000,30.781809000,2287,'四川省',2379,'0817','南充市','高坪区','高坪区','四川省南充市高坪区'),(2382,2379,3,'511304',106.067027000,30.762976000,2287,'四川省',2379,'0817','南充市','嘉陵区','嘉陵区','四川省南充市嘉陵区'),(2383,2379,3,'511321',106.061138000,31.349407000,2287,'四川省',2379,'0817','南充市','南部县','南部县','四川省南充市南部县'),(2384,2379,3,'511322',106.564893000,31.075907000,2287,'四川省',2379,'0817','南充市','营山县','营山县','四川省南充市营山县'),(2385,2379,3,'511323',106.413488000,31.027978000,2287,'四川省',2379,'0817','南充市','蓬安县','蓬安县','四川省南充市蓬安县'),(2386,2379,3,'511324',106.297083000,31.271261000,2287,'四川省',2379,'0817','南充市','仪陇县','仪陇县','四川省南充市仪陇县'),(2387,2379,3,'511325',105.893021000,30.994616000,2287,'四川省',2379,'0817','南充市','西充县','西充县','四川省南充市西充县'),(2388,2379,3,'511381',105.975266000,31.580466000,2287,'四川省',2379,'0817','南充市','阆中市','阆中市','四川省南充市阆中市'),(2389,2287,2,'511400',103.831788000,30.048318000,2287,'四川省',2389,'1833','眉山市','眉山市','','四川省眉山市'),(2390,2389,3,'511402',103.831553000,30.048128000,2287,'四川省',2389,'1833','眉山市','东坡区','东坡区','四川省眉山市东坡区'),(2391,2389,3,'511403',103.870100000,30.192298000,2287,'四川省',2389,'1833','眉山市','彭山区','彭山区','四川省眉山市彭山区'),(2392,2389,3,'511421',104.147646000,29.996721000,2287,'四川省',2389,'1833','眉山市','仁寿县','仁寿县','四川省眉山市仁寿县'),(2393,2389,3,'511423',103.375006000,29.904867000,2287,'四川省',2389,'1833','眉山市','洪雅县','洪雅县','四川省眉山市洪雅县'),(2394,2389,3,'511424',103.518333000,30.012751000,2287,'四川省',2389,'1833','眉山市','丹棱县','丹棱县','四川省眉山市丹棱县'),(2395,2389,3,'511425',103.846131000,29.831469000,2287,'四川省',2389,'1833','眉山市','青神县','青神县','四川省眉山市青神县'),(2396,2287,2,'511500',104.630825000,28.760189000,2287,'四川省',2396,'0831','宜宾市','宜宾市','','四川省宜宾市'),(2397,2396,3,'511502',104.630231000,28.760179000,2287,'四川省',2396,'0831','宜宾市','翠屏区','翠屏区','四川省宜宾市翠屏区'),(2398,2396,3,'511503',104.981133000,28.839806000,2287,'四川省',2396,'0831','宜宾市','南溪区','南溪区','四川省宜宾市南溪区'),(2399,2396,3,'511521',104.541489000,28.695678000,2287,'四川省',2396,'0831','宜宾市','宜宾县','宜宾县','四川省宜宾市宜宾县'),(2400,2396,3,'511523',105.068697000,28.728102000,2287,'四川省',2396,'0831','宜宾市','江安县','江安县','四川省宜宾市江安县'),(2401,2396,3,'511524',104.921116000,28.577271000,2287,'四川省',2396,'0831','宜宾市','长宁县','长宁县','四川省宜宾市长宁县'),(2402,2396,3,'511525',104.519187000,28.435676000,2287,'四川省',2396,'0831','宜宾市','高县','高县','四川省宜宾市高县'),(2403,2396,3,'511526',104.712268000,28.449041000,2287,'四川省',2396,'0831','宜宾市','珙县','珙县','四川省宜宾市珙县'),(2404,2396,3,'511527',104.507848000,28.162017000,2287,'四川省',2396,'0831','宜宾市','筠连县','筠连县','四川省宜宾市筠连县'),(2405,2396,3,'511528',105.236549000,28.302988000,2287,'四川省',2396,'0831','宜宾市','兴文县','兴文县','四川省宜宾市兴文县'),(2406,2396,3,'511529',104.162617000,28.642370000,2287,'四川省',2396,'0831','宜宾市','屏山县','屏山县','四川省宜宾市屏山县'),(2407,2287,2,'511600',106.633369000,30.456398000,2287,'四川省',2407,'0826','广安市','广安市','','四川省广安市'),(2408,2407,3,'511602',106.632907000,30.456462000,2287,'四川省',2407,'0826','广安市','广安区','广安区','四川省广安市广安区'),(2409,2407,3,'511603',106.893277000,30.496300000,2287,'四川省',2407,'0826','广安市','前锋区','前锋区','四川省广安市前锋区'),(2410,2407,3,'511621',106.444451000,30.533538000,2287,'四川省',2407,'0826','广安市','岳池县','岳池县','四川省广安市岳池县'),(2411,2407,3,'511622',106.292473000,30.344291000,2287,'四川省',2407,'0826','广安市','武胜县','武胜县','四川省广安市武胜县'),(2412,2407,3,'511623',106.934968000,30.334323000,2287,'四川省',2407,'0826','广安市','邻水县','邻水县','四川省广安市邻水县'),(2413,2407,3,'511681',106.777882000,30.380574000,2287,'四川省',2407,'0826','广安市','华蓥市','华蓥市','四川省广安市华蓥市'),(2414,2287,2,'511700',107.502262000,31.209484000,2287,'四川省',2414,'0818','达州市','达州市','','四川省达州市'),(2415,2414,3,'511702',107.501062000,31.213522000,2287,'四川省',2414,'0818','达州市','通川区','通川区','四川省达州市通川区'),(2416,2414,3,'511703',107.507926000,31.199062000,2287,'四川省',2414,'0818','达州市','达川区','达川区','四川省达州市达川区'),(2417,2414,3,'511722',107.722254000,31.355025000,2287,'四川省',2414,'0818','达州市','宣汉县','宣汉县','四川省达州市宣汉县'),(2418,2414,3,'511723',107.864135000,31.085537000,2287,'四川省',2414,'0818','达州市','开江县','开江县','四川省达州市开江县'),(2419,2414,3,'511724',107.207420000,30.736289000,2287,'四川省',2414,'0818','达州市','大竹县','大竹县','四川省达州市大竹县'),(2420,2414,3,'511725',106.970746000,30.836348000,2287,'四川省',2414,'0818','达州市','渠县','渠县','四川省达州市渠县'),(2421,2414,3,'511781',108.037548000,32.067770000,2287,'四川省',2414,'0818','达州市','万源市','万源市','四川省达州市万源市'),(2422,2287,2,'511800',103.001033000,29.987722000,2287,'四川省',2422,'0835','雅安市','雅安市','','四川省雅安市'),(2423,2422,3,'511802',103.003398000,29.981831000,2287,'四川省',2422,'0835','雅安市','雨城区','雨城区','四川省雅安市雨城区'),(2424,2422,3,'511803',103.112214000,30.084718000,2287,'四川省',2422,'0835','雅安市','名山区','名山区','四川省雅安市名山区'),(2425,2422,3,'511822',102.844674000,29.795529000,2287,'四川省',2422,'0835','雅安市','荥经县','荥经县','四川省雅安市荥经县'),(2426,2422,3,'511823',102.677145000,29.349915000,2287,'四川省',2422,'0835','雅安市','汉源县','汉源县','四川省雅安市汉源县'),(2427,2422,3,'511824',102.359620000,29.234063000,2287,'四川省',2422,'0835','雅安市','石棉县','石棉县','四川省雅安市石棉县'),(2428,2422,3,'511825',102.763462000,30.059955000,2287,'四川省',2422,'0835','雅安市','天全县','天全县','四川省雅安市天全县'),(2429,2422,3,'511826',102.924016000,30.152907000,2287,'四川省',2422,'0835','雅安市','芦山县','芦山县','四川省雅安市芦山县'),(2430,2422,3,'511827',102.813377000,30.369026000,2287,'四川省',2422,'0835','雅安市','宝兴县','宝兴县','四川省雅安市宝兴县'),(2431,2287,2,'511900',106.753669000,31.858809000,2287,'四川省',2431,'0827','巴中市','巴中市','','四川省巴中市'),(2432,2431,3,'511902',106.753671000,31.858366000,2287,'四川省',2431,'0827','巴中市','巴州区','巴州区','四川省巴中市巴州区'),(2433,2431,3,'511903',106.486515000,31.816336000,2287,'四川省',2431,'0827','巴中市','恩阳区','恩阳区','四川省巴中市恩阳区'),(2434,2431,3,'511921',107.247621000,31.912120000,2287,'四川省',2431,'0827','巴中市','通江县','通江县','四川省巴中市通江县'),(2435,2431,3,'511922',106.843418000,32.353164000,2287,'四川省',2431,'0827','巴中市','南江县','南江县','四川省巴中市南江县'),(2436,2431,3,'511923',107.101937000,31.562814000,2287,'四川省',2431,'0827','巴中市','平昌县','平昌县','四川省巴中市平昌县'),(2437,2287,2,'512000',104.641917000,30.122211000,2287,'四川省',2437,'0832','资阳市','资阳市','','四川省资阳市'),(2438,2437,3,'512002',104.642338000,30.121686000,2287,'四川省',2437,'0832','资阳市','雁江区','雁江区','四川省资阳市雁江区'),(2439,2437,3,'512021',105.336764000,30.099206000,2287,'四川省',2437,'0832','资阳市','安岳县','安岳县','四川省资阳市安岳县'),(2440,2437,3,'512022',105.031142000,30.275619000,2287,'四川省',2437,'0832','资阳市','乐至县','乐至县','四川省资阳市乐至县'),(2441,2287,2,'513200',102.221374000,31.899792000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','阿坝藏族羌族自治州','','四川省阿坝藏族羌族自治州'),(2442,2441,3,'513221',103.580675000,31.474630000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','汶川县','汶川县','四川省阿坝藏族羌族自治州汶川县'),(2443,2441,3,'513222',103.165486000,31.436764000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','理县','理县','四川省阿坝藏族羌族自治州理县'),(2444,2441,3,'513223',103.850684000,31.680407000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','茂县','茂县','四川省阿坝藏族羌族自治州茂县'),(2445,2441,3,'513224',103.599177000,32.638380000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','松潘县','松潘县','四川省阿坝藏族羌族自治州松潘县'),(2446,2441,3,'513225',104.236344000,33.262097000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','九寨沟县','九寨沟县','四川省阿坝藏族羌族自治州九寨沟县'),(2447,2441,3,'513226',102.064647000,31.476356000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','金川县','金川县','四川省阿坝藏族羌族自治州金川县'),(2448,2441,3,'513227',102.363193000,30.999016000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','小金县','小金县','四川省阿坝藏族羌族自治州小金县'),(2449,2441,3,'513228',102.990805000,32.061721000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','黑水县','黑水县','四川省阿坝藏族羌族自治州黑水县'),(2450,2441,3,'513201',102.221187000,31.899761000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','马尔康市','马尔康市','四川省阿坝藏族羌族自治州马尔康市'),(2451,2441,3,'513230',100.979136000,32.264887000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','壤塘县','壤塘县','四川省阿坝藏族羌族自治州壤塘县'),(2452,2441,3,'513231',101.700985000,32.904223000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','阿坝县','阿坝县','四川省阿坝藏族羌族自治州阿坝县'),(2453,2441,3,'513232',102.963726000,33.575934000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','若尔盖县','若尔盖县','四川省阿坝藏族羌族自治州若尔盖县'),(2454,2441,3,'513233',102.544906000,32.793902000,2287,'四川省',2441,'0837','阿坝藏族羌族自治州','红原县','红原县','四川省阿坝藏族羌族自治州红原县'),(2455,2287,2,'513300',101.963815000,30.050663000,2287,'四川省',2455,'0836','甘孜藏族自治州','甘孜藏族自治州','','四川省甘孜藏族自治州'),(2456,2455,3,'513301',101.964057000,30.050738000,2287,'四川省',2455,'0836','甘孜藏族自治州','康定市','康定市','四川省甘孜藏族自治州康定市'),(2457,2455,3,'513322',102.233225000,29.912482000,2287,'四川省',2455,'0836','甘孜藏族自治州','泸定县','泸定县','四川省甘孜藏族自治州泸定县'),(2458,2455,3,'513323',101.886125000,30.877083000,2287,'四川省',2455,'0836','甘孜藏族自治州','丹巴县','丹巴县','四川省甘孜藏族自治州丹巴县'),(2459,2455,3,'513324',101.506942000,29.001975000,2287,'四川省',2455,'0836','甘孜藏族自治州','九龙县','九龙县','四川省甘孜藏族自治州九龙县'),(2460,2455,3,'513325',101.015735000,30.032250000,2287,'四川省',2455,'0836','甘孜藏族自治州','雅江县','雅江县','四川省甘孜藏族自治州雅江县'),(2461,2455,3,'513326',101.123327000,30.978767000,2287,'四川省',2455,'0836','甘孜藏族自治州','道孚县','道孚县','四川省甘孜藏族自治州道孚县'),(2462,2455,3,'513327',100.679495000,31.392674000,2287,'四川省',2455,'0836','甘孜藏族自治州','炉霍县','炉霍县','四川省甘孜藏族自治州炉霍县'),(2463,2455,3,'513328',99.991753000,31.619750000,2287,'四川省',2455,'0836','甘孜藏族自治州','甘孜县','甘孜县','四川省甘孜藏族自治州甘孜县'),(2464,2455,3,'513329',100.312094000,30.938960000,2287,'四川省',2455,'0836','甘孜藏族自治州','新龙县','新龙县','四川省甘孜藏族自治州新龙县'),(2465,2455,3,'513330',98.579990000,31.806729000,2287,'四川省',2455,'0836','甘孜藏族自治州','德格县','德格县','四川省甘孜藏族自治州德格县'),(2466,2455,3,'513331',98.824343000,31.208805000,2287,'四川省',2455,'0836','甘孜藏族自治州','白玉县','白玉县','四川省甘孜藏族自治州白玉县'),(2467,2455,3,'513332',98.100887000,32.975302000,2287,'四川省',2455,'0836','甘孜藏族自治州','石渠县','石渠县','四川省甘孜藏族自治州石渠县'),(2468,2455,3,'513333',100.331657000,32.268777000,2287,'四川省',2455,'0836','甘孜藏族自治州','色达县','色达县','四川省甘孜藏族自治州色达县'),(2469,2455,3,'513334',100.269862000,29.991807000,2287,'四川省',2455,'0836','甘孜藏族自治州','理塘县','理塘县','四川省甘孜藏族自治州理塘县'),(2470,2455,3,'513335',99.109037000,30.005723000,2287,'四川省',2455,'0836','甘孜藏族自治州','巴塘县','巴塘县','四川省甘孜藏族自治州巴塘县'),(2471,2455,3,'513336',99.799943000,28.930855000,2287,'四川省',2455,'0836','甘孜藏族自治州','乡城县','乡城县','四川省甘孜藏族自治州乡城县'),(2472,2455,3,'513337',100.296689000,29.037544000,2287,'四川省',2455,'0836','甘孜藏族自治州','稻城县','稻城县','四川省甘孜藏族自治州稻城县'),(2473,2455,3,'513338',99.288036000,28.711340000,2287,'四川省',2455,'0836','甘孜藏族自治州','得荣县','得荣县','四川省甘孜藏族自治州得荣县'),(2474,2287,2,'513400',102.258746000,27.886762000,2287,'四川省',2474,'0834','凉山彝族自治州','凉山彝族自治州','','四川省凉山彝族自治州'),(2475,2474,3,'513401',102.258758000,27.885786000,2287,'四川省',2474,'0834','凉山彝族自治州','西昌市','西昌市','四川省凉山彝族自治州西昌市'),(2476,2474,3,'513422',101.280184000,27.926859000,2287,'四川省',2474,'0834','凉山彝族自治州','木里藏族自治县','木里藏族自治县','四川省凉山彝族自治州木里藏族自治县'),(2477,2474,3,'513423',101.508909000,27.423415000,2287,'四川省',2474,'0834','凉山彝族自治州','盐源县','盐源县','四川省凉山彝族自治州盐源县'),(2478,2474,3,'513424',102.178845000,27.403827000,2287,'四川省',2474,'0834','凉山彝族自治州','德昌县','德昌县','四川省凉山彝族自治州德昌县'),(2479,2474,3,'513425',102.249548000,26.658702000,2287,'四川省',2474,'0834','凉山彝族自治州','会理县','会理县','四川省凉山彝族自治州会理县'),(2480,2474,3,'513426',102.578985000,26.630713000,2287,'四川省',2474,'0834','凉山彝族自治州','会东县','会东县','四川省凉山彝族自治州会东县'),(2481,2474,3,'513427',102.757374000,27.065205000,2287,'四川省',2474,'0834','凉山彝族自治州','宁南县','宁南县','四川省凉山彝族自治州宁南县'),(2482,2474,3,'513428',102.541082000,27.376828000,2287,'四川省',2474,'0834','凉山彝族自治州','普格县','普格县','四川省凉山彝族自治州普格县'),(2483,2474,3,'513429',102.808801000,27.709062000,2287,'四川省',2474,'0834','凉山彝族自治州','布拖县','布拖县','四川省凉山彝族自治州布拖县'),(2484,2474,3,'513430',103.248704000,27.695916000,2287,'四川省',2474,'0834','凉山彝族自治州','金阳县','金阳县','四川省凉山彝族自治州金阳县'),(2485,2474,3,'513431',102.843991000,28.010554000,2287,'四川省',2474,'0834','凉山彝族自治州','昭觉县','昭觉县','四川省凉山彝族自治州昭觉县'),(2486,2474,3,'513432',102.412342000,28.305486000,2287,'四川省',2474,'0834','凉山彝族自治州','喜德县','喜德县','四川省凉山彝族自治州喜德县'),(2487,2474,3,'513433',102.170046000,28.550844000,2287,'四川省',2474,'0834','凉山彝族自治州','冕宁县','冕宁县','四川省凉山彝族自治州冕宁县'),(2488,2474,3,'513434',102.508875000,28.639632000,2287,'四川省',2474,'0834','凉山彝族自治州','越西县','越西县','四川省凉山彝族自治州越西县'),(2489,2474,3,'513435',102.775924000,28.977094000,2287,'四川省',2474,'0834','凉山彝族自治州','甘洛县','甘洛县','四川省凉山彝族自治州甘洛县'),(2490,2474,3,'513436',103.132007000,28.327946000,2287,'四川省',2474,'0834','凉山彝族自治州','美姑县','美姑县','四川省凉山彝族自治州美姑县'),(2491,2474,3,'513437',103.571584000,28.262946000,2287,'四川省',2474,'0834','凉山彝族自治州','雷波县','雷波县','四川省凉山彝族自治州雷波县'),(2492,1,1,'520000',106.713478000,26.578343000,2492,'贵州省',0,'','','贵州省','','贵州省'),(2493,2492,2,'520100',106.713478000,26.578343000,2492,'贵州省',2493,'0851','贵阳市','贵阳市','','贵州省贵阳市'),(2494,2493,3,'520102',106.715963000,26.573743000,2492,'贵州省',2493,'0851','贵阳市','南明区','南明区','贵州省贵阳市南明区'),(2495,2493,3,'520103',106.713397000,26.583010000,2492,'贵州省',2493,'0851','贵阳市','云岩区','云岩区','贵州省贵阳市云岩区'),(2496,2493,3,'520111',106.670791000,26.410464000,2492,'贵州省',2493,'0851','贵阳市','花溪区','花溪区','贵州省贵阳市花溪区'),(2497,2493,3,'520112',106.762123000,26.630928000,2492,'贵州省',2493,'0851','贵阳市','乌当区','乌当区','贵州省贵阳市乌当区'),(2498,2493,3,'520113',106.633037000,26.676849000,2492,'贵州省',2493,'0851','贵阳市','白云区','白云区','贵州省贵阳市白云区'),(2499,2493,3,'520115',106.626323000,26.646358000,2492,'贵州省',2493,'0851','贵阳市','观山湖区','观山湖区','贵州省贵阳市观山湖区'),(2500,2493,3,'520121',106.969438000,27.056793000,2492,'贵州省',2493,'0851','贵阳市','开阳县','开阳县','贵州省贵阳市开阳县'),(2501,2493,3,'520122',106.737693000,27.092665000,2492,'贵州省',2493,'0851','贵阳市','息烽县','息烽县','贵州省贵阳市息烽县'),(2502,2493,3,'520123',106.599218000,26.840672000,2492,'贵州省',2493,'0851','贵阳市','修文县','修文县','贵州省贵阳市修文县'),(2503,2493,3,'520181',106.470278000,26.551289000,2492,'贵州省',2493,'0851','贵阳市','清镇市','清镇市','贵州省贵阳市清镇市'),(2504,2492,2,'520200',104.846743000,26.584643000,2492,'贵州省',2504,'0858','六盘水市','六盘水市','','贵州省六盘水市'),(2505,2504,3,'520201',104.846244000,26.584805000,2492,'贵州省',2504,'0858','六盘水市','钟山区','钟山区','贵州省六盘水市钟山区'),(2506,2504,3,'520203',105.474235000,26.210662000,2492,'贵州省',2504,'0858','六盘水市','六枝特区','六枝特区','贵州省六盘水市六枝特区'),(2507,2504,3,'520221',104.956850000,26.540478000,2492,'贵州省',2504,'0858','六盘水市','水城县','水城县','贵州省六盘水市水城县'),(2508,2504,3,'520222',104.468367000,25.706966000,2492,'贵州省',2504,'0858','六盘水市','盘县','盘县','贵州省六盘水市盘县'),(2509,2492,2,'520300',106.937265000,27.706626000,2492,'贵州省',2509,'0852','遵义市','遵义市','','贵州省遵义市'),(2510,2509,3,'520302',106.943784000,27.694395000,2492,'贵州省',2509,'0852','遵义市','红花岗区','红花岗区','贵州省遵义市红花岗区'),(2511,2509,3,'520303',106.937265000,27.706626000,2492,'贵州省',2509,'0852','遵义市','汇川区','汇川区','贵州省遵义市汇川区'),(2512,2509,3,'520304',106.831668000,27.535288000,2492,'贵州省',2509,'0852','遵义市','播州区','播州区','贵州省遵义市播州区'),(2513,2509,3,'520322',106.826591000,28.131559000,2492,'贵州省',2509,'0852','遵义市','桐梓县','桐梓县','贵州省遵义市桐梓县'),(2514,2509,3,'520323',107.191024000,27.951342000,2492,'贵州省',2509,'0852','遵义市','绥阳县','绥阳县','贵州省遵义市绥阳县'),(2515,2509,3,'520324',107.441872000,28.550337000,2492,'贵州省',2509,'0852','遵义市','正安县','正安县','贵州省遵义市正安县'),(2516,2509,3,'520325',107.605342000,28.880088000,2492,'贵州省',2509,'0852','遵义市','道真仡佬族苗族自治县','道真仡佬族苗族自治县','贵州省遵义市道真仡佬族苗族自治县'),(2517,2509,3,'520326',107.887857000,28.521567000,2492,'贵州省',2509,'0852','遵义市','务川仡佬族苗族自治县','务川仡佬族苗族自治县','贵州省遵义市务川仡佬族苗族自治县'),(2518,2509,3,'520327',107.722021000,27.960858000,2492,'贵州省',2509,'0852','遵义市','凤冈县','凤冈县','贵州省遵义市凤冈县'),(2519,2509,3,'520328',107.485723000,27.765839000,2492,'贵州省',2509,'0852','遵义市','湄潭县','湄潭县','贵州省遵义市湄潭县'),(2520,2509,3,'520329',107.892566000,27.221552000,2492,'贵州省',2509,'0852','遵义市','余庆县','余庆县','贵州省遵义市余庆县'),(2521,2509,3,'520330',106.200954000,28.327826000,2492,'贵州省',2509,'0852','遵义市','习水县','习水县','贵州省遵义市习水县'),(2522,2509,3,'520381',105.698116000,28.587057000,2492,'贵州省',2509,'0852','遵义市','赤水市','赤水市','贵州省遵义市赤水市'),(2523,2509,3,'520382',106.412476000,27.803377000,2492,'贵州省',2509,'0852','遵义市','仁怀市','仁怀市','贵州省遵义市仁怀市'),(2524,2492,2,'520400',105.932188000,26.245544000,2492,'贵州省',2524,'0853','安顺市','安顺市','','贵州省安顺市'),(2525,2524,3,'520402',105.946169000,26.248323000,2492,'贵州省',2524,'0853','安顺市','西秀区','西秀区','贵州省安顺市西秀区'),(2526,2524,3,'520403',106.259942000,26.406080000,2492,'贵州省',2524,'0853','安顺市','平坝区','平坝区','贵州省安顺市平坝区'),(2527,2524,3,'520422',105.745609000,26.305794000,2492,'贵州省',2524,'0853','安顺市','普定县','普定县','贵州省安顺市普定县'),(2528,2524,3,'520423',105.768656000,26.056096000,2492,'贵州省',2524,'0853','安顺市','镇宁布依族苗族自治县','镇宁布依族苗族自治县','贵州省安顺市镇宁布依族苗族自治县'),(2529,2524,3,'520424',105.618454000,25.944248000,2492,'贵州省',2524,'0853','安顺市','关岭布依族苗族自治县','关岭布依族苗族自治县','贵州省安顺市关岭布依族苗族自治县'),(2530,2524,3,'520425',106.084515000,25.751567000,2492,'贵州省',2524,'0853','安顺市','紫云苗族布依族自治县','紫云苗族布依族自治县','贵州省安顺市紫云苗族布依族自治县'),(2531,2492,2,'520500',105.285010000,27.301693000,2492,'贵州省',2531,'0857','毕节市','毕节市','','贵州省毕节市'),(2532,2531,3,'520502',105.284852000,27.302085000,2492,'贵州省',2531,'0857','毕节市','七星关区','七星关区','贵州省毕节市七星关区'),(2533,2531,3,'520521',105.609254000,27.143521000,2492,'贵州省',2531,'0857','毕节市','大方县','大方县','贵州省毕节市大方县'),(2534,2531,3,'520522',106.038299000,27.024923000,2492,'贵州省',2531,'0857','毕节市','黔西县','黔西县','贵州省毕节市黔西县'),(2535,2531,3,'520523',106.222103000,27.459693000,2492,'贵州省',2531,'0857','毕节市','金沙县','金沙县','贵州省毕节市金沙县'),(2536,2531,3,'520524',105.768997000,26.668497000,2492,'贵州省',2531,'0857','毕节市','织金县','织金县','贵州省毕节市织金县'),(2537,2531,3,'520525',105.375322000,26.769875000,2492,'贵州省',2531,'0857','毕节市','纳雍县','纳雍县','贵州省毕节市纳雍县'),(2538,2531,3,'520526',104.286523000,26.859099000,2492,'贵州省',2531,'0857','毕节市','威宁彝族回族苗族自治县','威宁彝族回族苗族自治县','贵州省毕节市威宁彝族回族苗族自治县'),(2539,2531,3,'520527',104.726438000,27.119243000,2492,'贵州省',2531,'0857','毕节市','赫章县','赫章县','贵州省毕节市赫章县'),(2540,2492,2,'520600',109.191555000,27.718346000,2492,'贵州省',2540,'0856','铜仁市','铜仁市','','贵州省铜仁市'),(2541,2540,3,'520602',109.192117000,27.718745000,2492,'贵州省',2540,'0856','铜仁市','碧江区','碧江区','贵州省铜仁市碧江区'),(2542,2540,3,'520603',109.211990000,27.519030000,2492,'贵州省',2540,'0856','铜仁市','万山区','万山区','贵州省铜仁市万山区'),(2543,2540,3,'520621',108.848427000,27.691904000,2492,'贵州省',2540,'0856','铜仁市','江口县','江口县','贵州省铜仁市江口县'),(2544,2540,3,'520622',108.917882000,27.238024000,2492,'贵州省',2540,'0856','铜仁市','玉屏侗族自治县','玉屏侗族自治县','贵州省铜仁市玉屏侗族自治县'),(2545,2540,3,'520623',108.229854000,27.519386000,2492,'贵州省',2540,'0856','铜仁市','石阡县','石阡县','贵州省铜仁市石阡县'),(2546,2540,3,'520624',108.255827000,27.941331000,2492,'贵州省',2540,'0856','铜仁市','思南县','思南县','贵州省铜仁市思南县'),(2547,2540,3,'520625',108.405517000,27.997976000,2492,'贵州省',2540,'0856','铜仁市','印江土家族苗族自治县','印江土家族苗族自治县','贵州省铜仁市印江土家族苗族自治县'),(2548,2540,3,'520626',108.117317000,28.260940000,2492,'贵州省',2540,'0856','铜仁市','德江县','德江县','贵州省铜仁市德江县'),(2549,2540,3,'520627',108.495746000,28.560487000,2492,'贵州省',2540,'0856','铜仁市','沿河土家族自治县','沿河土家族自治县','贵州省铜仁市沿河土家族自治县'),(2550,2540,3,'520628',109.202627000,28.165419000,2492,'贵州省',2540,'0856','铜仁市','松桃苗族自治县','松桃苗族自治县','贵州省铜仁市松桃苗族自治县'),(2551,2492,2,'522300',104.897971000,25.088120000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','黔西南布依族苗族自治州','','贵州省黔西南布依族苗族自治州'),(2552,2551,3,'522301',104.897982000,25.088599000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','兴义市','兴义市','贵州省黔西南布依族苗族自治州兴义市'),(2553,2551,3,'522322',105.192778000,25.431378000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','兴仁县','兴仁县','贵州省黔西南布依族苗族自治州兴仁县'),(2554,2551,3,'522323',104.955347000,25.786404000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','普安县','普安县','贵州省黔西南布依族苗族自治州普安县'),(2555,2551,3,'522324',105.218773000,25.832881000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','晴隆县','晴隆县','贵州省黔西南布依族苗族自治州晴隆县'),(2556,2551,3,'522325',105.650133000,25.385752000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','贞丰县','贞丰县','贵州省黔西南布依族苗族自治州贞丰县'),(2557,2551,3,'522326',106.091563000,25.166667000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','望谟县','望谟县','贵州省黔西南布依族苗族自治州望谟县'),(2558,2551,3,'522327',105.812410000,24.983338000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','册亨县','册亨县','贵州省黔西南布依族苗族自治州册亨县'),(2559,2551,3,'522328',105.471498000,25.108959000,2492,'贵州省',2551,'0859','黔西南布依族苗族自治州','安龙县','安龙县','贵州省黔西南布依族苗族自治州安龙县'),(2560,2492,2,'522600',107.977488000,26.583352000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','黔东南苗族侗族自治州','','贵州省黔东南苗族侗族自治州'),(2561,2560,3,'522601',107.977541000,26.582964000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','凯里市','凯里市','贵州省黔东南苗族侗族自治州凯里市'),(2562,2560,3,'522622',107.901337000,26.896973000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','黄平县','黄平县','贵州省黔东南苗族侗族自治州黄平县'),(2563,2560,3,'522623',108.126780000,27.034657000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','施秉县','施秉县','贵州省黔东南苗族侗族自治州施秉县'),(2564,2560,3,'522624',108.681121000,26.959884000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','三穗县','三穗县','贵州省黔东南苗族侗族自治州三穗县'),(2565,2560,3,'522625',108.423656000,27.050233000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','镇远县','镇远县','贵州省黔东南苗族侗族自治州镇远县'),(2566,2560,3,'522626',108.816459000,27.173244000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','岑巩县','岑巩县','贵州省黔东南苗族侗族自治州岑巩县'),(2567,2560,3,'522627',109.212798000,26.909684000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','天柱县','天柱县','贵州省黔东南苗族侗族自治州天柱县'),(2568,2560,3,'522628',109.202520000,26.680625000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','锦屏县','锦屏县','贵州省黔东南苗族侗族自治州锦屏县'),(2569,2560,3,'522629',108.440499000,26.727349000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','剑河县','剑河县','贵州省黔东南苗族侗族自治州剑河县'),(2570,2560,3,'522630',108.314637000,26.669138000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','台江县','台江县','贵州省黔东南苗族侗族自治州台江县'),(2571,2560,3,'522631',109.136504000,26.230636000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','黎平县','黎平县','贵州省黔东南苗族侗族自治州黎平县'),(2572,2560,3,'522632',108.521026000,25.931085000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','榕江县','榕江县','贵州省黔东南苗族侗族自治州榕江县'),(2573,2560,3,'522633',108.912648000,25.747058000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','从江县','从江县','贵州省黔东南苗族侗族自治州从江县'),(2574,2560,3,'522634',108.079613000,26.381027000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','雷山县','雷山县','贵州省黔东南苗族侗族自治州雷山县'),(2575,2560,3,'522635',107.593172000,26.494803000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','麻江县','麻江县','贵州省黔东南苗族侗族自治州麻江县'),(2576,2560,3,'522636',107.794808000,26.199497000,2492,'贵州省',2560,'0855','黔东南苗族侗族自治州','丹寨县','丹寨县','贵州省黔东南苗族侗族自治州丹寨县'),(2577,2492,2,'522700',107.517156000,26.258219000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','黔南布依族苗族自治州','','贵州省黔南布依族苗族自治州'),(2578,2577,3,'522701',107.517021000,26.258205000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','都匀市','都匀市','贵州省黔南布依族苗族自治州都匀市'),(2579,2577,3,'522702',107.513508000,26.702508000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','福泉市','福泉市','贵州省黔南布依族苗族自治州福泉市'),(2580,2577,3,'522722',107.883800000,25.412239000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','荔波县','荔波县','贵州省黔南布依族苗族自治州荔波县'),(2581,2577,3,'522723',107.233588000,26.580807000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','贵定县','贵定县','贵州省黔南布依族苗族自治州贵定县'),(2582,2577,3,'522725',107.478417000,27.066339000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','瓮安县','瓮安县','贵州省黔南布依族苗族自治州瓮安县'),(2583,2577,3,'522726',107.542757000,25.826283000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','独山县','独山县','贵州省黔南布依族苗族自治州独山县'),(2584,2577,3,'522727',107.324050000,25.831803000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','平塘县','平塘县','贵州省黔南布依族苗族自治州平塘县'),(2585,2577,3,'522728',106.750006000,25.429894000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','罗甸县','罗甸县','贵州省黔南布依族苗族自治州罗甸县'),(2586,2577,3,'522729',106.447376000,26.022116000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','长顺县','长顺县','贵州省黔南布依族苗族自治州长顺县'),(2587,2577,3,'522730',106.977733000,26.448809000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','龙里县','龙里县','贵州省黔南布依族苗族自治州龙里县'),(2588,2577,3,'522731',106.657848000,26.128637000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','惠水县','惠水县','贵州省黔南布依族苗族自治州惠水县'),(2589,2577,3,'522732',107.877470000,25.985183000,2492,'贵州省',2577,'0854','黔南布依族苗族自治州','三都水族自治县','三都水族自治县','贵州省黔南布依族苗族自治州三都水族自治县'),(2590,1,1,'530000',102.712251000,25.040609000,2590,'云南省',0,'','','云南省','','云南省'),(2591,2590,2,'530100',102.712251000,25.040609000,2590,'云南省',2591,'0871','昆明市','昆明市','','云南省昆明市'),(2592,2591,3,'530102',102.704412000,25.042165000,2590,'云南省',2591,'0871','昆明市','五华区','五华区','云南省昆明市五华区'),(2593,2591,3,'530103',102.729044000,25.070239000,2590,'云南省',2591,'0871','昆明市','盘龙区','盘龙区','云南省昆明市盘龙区'),(2594,2591,3,'530111',102.723437000,25.021211000,2590,'云南省',2591,'0871','昆明市','官渡区','官渡区','云南省昆明市官渡区'),(2595,2591,3,'530112',102.705904000,25.024360000,2590,'云南省',2591,'0871','昆明市','西山区','西山区','云南省昆明市西山区'),(2596,2591,3,'530113',103.182000000,26.083490000,2590,'云南省',2591,'0871','昆明市','东川区','东川区','云南省昆明市东川区'),(2597,2591,3,'530114',102.801382000,24.889275000,2590,'云南省',2591,'0871','昆明市','呈贡区','呈贡区','云南省昆明市呈贡区'),(2598,2591,3,'530122',102.594987000,24.666944000,2590,'云南省',2591,'0871','昆明市','晋宁县','晋宁县','云南省昆明市晋宁县'),(2599,2591,3,'530124',102.497888000,25.219667000,2590,'云南省',2591,'0871','昆明市','富民县','富民县','云南省昆明市富民县'),(2600,2591,3,'530125',103.145989000,24.918215000,2590,'云南省',2591,'0871','昆明市','宜良县','宜良县','云南省昆明市宜良县'),(2601,2591,3,'530126',103.271962000,24.754545000,2590,'云南省',2591,'0871','昆明市','石林彝族自治县','石林彝族自治县','云南省昆明市石林彝族自治县'),(2602,2591,3,'530127',103.038777000,25.335087000,2590,'云南省',2591,'0871','昆明市','嵩明县','嵩明县','云南省昆明市嵩明县'),(2603,2591,3,'530128',102.469050000,25.556533000,2590,'云南省',2591,'0871','昆明市','禄劝彝族苗族自治县','禄劝彝族苗族自治县','云南省昆明市禄劝彝族苗族自治县'),(2604,2591,3,'530129',103.257588000,25.559474000,2590,'云南省',2591,'0871','昆明市','寻甸回族彝族自治县','寻甸回族彝族自治县','云南省昆明市寻甸回族彝族自治县'),(2605,2591,3,'530181',102.485544000,24.921785000,2590,'云南省',2591,'0871','昆明市','安宁市','安宁市','云南省昆明市安宁市'),(2606,2590,2,'530300',103.797851000,25.501557000,2590,'云南省',2606,'0874','曲靖市','曲靖市','','云南省曲靖市'),(2607,2606,3,'530302',103.798054000,25.501269000,2590,'云南省',2606,'0874','曲靖市','麒麟区','麒麟区','云南省曲靖市麒麟区'),(2608,2606,3,'530321',103.578755000,25.429451000,2590,'云南省',2606,'0874','曲靖市','马龙县','马龙县','云南省曲靖市马龙县'),(2609,2606,3,'530322',103.655233000,25.022878000,2590,'云南省',2606,'0874','曲靖市','陆良县','陆良县','云南省曲靖市陆良县'),(2610,2606,3,'530323',103.993808000,24.825681000,2590,'云南省',2606,'0874','曲靖市','师宗县','师宗县','云南省曲靖市师宗县'),(2611,2606,3,'530324',104.309263000,24.885708000,2590,'云南省',2606,'0874','曲靖市','罗平县','罗平县','云南省曲靖市罗平县'),(2612,2606,3,'530325',104.256920000,25.670640000,2590,'云南省',2606,'0874','曲靖市','富源县','富源县','云南省曲靖市富源县'),(2613,2606,3,'530326',103.300041000,26.412861000,2590,'云南省',2606,'0874','曲靖市','会泽县','会泽县','云南省曲靖市会泽县'),(2614,2606,3,'530303',103.819262000,25.600878000,2590,'云南省',2606,'0874','曲靖市','沾益区','沾益区','云南省曲靖市沾益区'),(2615,2606,3,'530381',104.095540000,26.227777000,2590,'云南省',2606,'0874','曲靖市','宣威市','宣威市','云南省曲靖市宣威市'),(2616,2590,2,'530400',102.543907000,24.350461000,2590,'云南省',2616,'0877','玉溪市','玉溪市','','云南省玉溪市'),(2617,2616,3,'530402',102.543468000,24.350753000,2590,'云南省',2616,'0877','玉溪市','红塔区','红塔区','云南省玉溪市红塔区'),(2618,2616,3,'530403',102.749839000,24.291006000,2590,'云南省',2616,'0877','玉溪市','江川区','江川区','云南省玉溪市江川区'),(2619,2616,3,'530422',102.916652000,24.669679000,2590,'云南省',2616,'0877','玉溪市','澄江县','澄江县','云南省玉溪市澄江县'),(2620,2616,3,'530423',102.760039000,24.112205000,2590,'云南省',2616,'0877','玉溪市','通海县','通海县','云南省玉溪市通海县'),(2621,2616,3,'530424',102.928982000,24.189807000,2590,'云南省',2616,'0877','玉溪市','华宁县','华宁县','云南省玉溪市华宁县'),(2622,2616,3,'530425',102.162110000,24.669598000,2590,'云南省',2616,'0877','玉溪市','易门县','易门县','云南省玉溪市易门县'),(2623,2616,3,'530426',102.404358000,24.173256000,2590,'云南省',2616,'0877','玉溪市','峨山彝族自治县','峨山彝族自治县','云南省玉溪市峨山彝族自治县'),(2624,2616,3,'530427',101.990903000,24.066400000,2590,'云南省',2616,'0877','玉溪市','新平彝族傣族自治县','新平彝族傣族自治县','云南省玉溪市新平彝族傣族自治县'),(2625,2616,3,'530428',101.999658000,23.597618000,2590,'云南省',2616,'0877','玉溪市','元江哈尼族彝族傣族自治县','元江哈尼族彝族傣族自治县','云南省玉溪市元江哈尼族彝族傣族自治县'),(2626,2590,2,'530500',99.167133000,25.111802000,2590,'云南省',2626,'0875','保山市','保山市','','云南省保山市'),(2627,2626,3,'530502',99.165825000,25.112144000,2590,'云南省',2626,'0875','保山市','隆阳区','隆阳区','云南省保山市隆阳区'),(2628,2626,3,'530521',99.183758000,24.730847000,2590,'云南省',2626,'0875','保山市','施甸县','施甸县','云南省保山市施甸县'),(2629,2626,3,'530581',98.497292000,25.017570000,2590,'云南省',2626,'0875','保山市','腾冲市','腾冲市','云南省保山市腾冲市'),(2630,2626,3,'530523',98.693567000,24.591912000,2590,'云南省',2626,'0875','保山市','龙陵县','龙陵县','云南省保山市龙陵县'),(2631,2626,3,'530524',99.612344000,24.823662000,2590,'云南省',2626,'0875','保山市','昌宁县','昌宁县','云南省保山市昌宁县'),(2632,2590,2,'530600',103.717216000,27.336999000,2590,'云南省',2632,'0870','昭通市','昭通市','','云南省昭通市'),(2633,2632,3,'530602',103.717267000,27.336636000,2590,'云南省',2632,'0870','昭通市','昭阳区','昭阳区','云南省昭通市昭阳区'),(2634,2632,3,'530621',103.549333000,27.191637000,2590,'云南省',2632,'0870','昭通市','鲁甸县','鲁甸县','云南省昭通市鲁甸县'),(2635,2632,3,'530622',102.929284000,26.911700000,2590,'云南省',2632,'0870','昭通市','巧家县','巧家县','云南省昭通市巧家县'),(2636,2632,3,'530623',104.235060000,28.106923000,2590,'云南省',2632,'0870','昭通市','盐津县','盐津县','云南省昭通市盐津县'),(2637,2632,3,'530624',103.891608000,27.747114000,2590,'云南省',2632,'0870','昭通市','大关县','大关县','云南省昭通市大关县'),(2638,2632,3,'530625',103.637320000,28.231526000,2590,'云南省',2632,'0870','昭通市','永善县','永善县','云南省昭通市永善县'),(2639,2632,3,'530626',103.961095000,28.599953000,2590,'云南省',2632,'0870','昭通市','绥江县','绥江县','云南省昭通市绥江县'),(2640,2632,3,'530627',104.873055000,27.436267000,2590,'云南省',2632,'0870','昭通市','镇雄县','镇雄县','云南省昭通市镇雄县'),(2641,2632,3,'530628',104.048492000,27.627425000,2590,'云南省',2632,'0870','昭通市','彝良县','彝良县','云南省昭通市彝良县'),(2642,2632,3,'530629',105.048690000,27.843381000,2590,'云南省',2632,'0870','昭通市','威信县','威信县','云南省昭通市威信县'),(2643,2632,3,'530630',104.415376000,28.629688000,2590,'云南省',2632,'0870','昭通市','水富县','水富县','云南省昭通市水富县'),(2644,2590,2,'530700',100.233026000,26.872108000,2590,'云南省',2644,'0888','丽江市','丽江市','','云南省丽江市'),(2645,2644,3,'530702',100.234412000,26.872229000,2590,'云南省',2644,'0888','丽江市','古城区','古城区','云南省丽江市古城区'),(2646,2644,3,'530721',100.238312000,26.830593000,2590,'云南省',2644,'0888','丽江市','玉龙纳西族自治县','玉龙纳西族自治县','云南省丽江市玉龙纳西族自治县'),(2647,2644,3,'530722',100.750901000,26.685623000,2590,'云南省',2644,'0888','丽江市','永胜县','永胜县','云南省丽江市永胜县'),(2648,2644,3,'530723',101.267796000,26.628834000,2590,'云南省',2644,'0888','丽江市','华坪县','华坪县','云南省丽江市华坪县'),(2649,2644,3,'530724',100.852427000,27.281109000,2590,'云南省',2644,'0888','丽江市','宁蒗彝族自治县','宁蒗彝族自治县','云南省丽江市宁蒗彝族自治县'),(2650,2590,2,'530800',100.972344000,22.777321000,2590,'云南省',2650,'0879','普洱市','普洱市','','云南省普洱市'),(2651,2650,3,'530802',100.973227000,22.776595000,2590,'云南省',2650,'0879','普洱市','思茅区','思茅区','云南省普洱市思茅区'),(2652,2650,3,'530821',101.045240000,23.062507000,2590,'云南省',2650,'0879','普洱市','宁洱哈尼族彝族自治县','宁洱哈尼族彝族自治县','云南省普洱市宁洱哈尼族彝族自治县'),(2653,2650,3,'530822',101.687606000,23.428165000,2590,'云南省',2650,'0879','普洱市','墨江哈尼族自治县','墨江哈尼族自治县','云南省普洱市墨江哈尼族自治县'),(2654,2650,3,'530823',100.840011000,24.448523000,2590,'云南省',2650,'0879','普洱市','景东彝族自治县','景东彝族自治县','云南省普洱市景东彝族自治县'),(2655,2650,3,'530824',100.701425000,23.500278000,2590,'云南省',2650,'0879','普洱市','景谷傣族彝族自治县','景谷傣族彝族自治县','云南省普洱市景谷傣族彝族自治县'),(2656,2650,3,'530825',101.108512000,24.005712000,2590,'云南省',2650,'0879','普洱市','镇沅彝族哈尼族拉祜族自治县','镇沅彝族哈尼族拉祜族自治县','云南省普洱市镇沅彝族哈尼族拉祜族自治县'),(2657,2650,3,'530826',101.859144000,22.583360000,2590,'云南省',2650,'0879','普洱市','江城哈尼族彝族自治县','江城哈尼族彝族自治县','云南省普洱市江城哈尼族彝族自治县'),(2658,2650,3,'530827',99.585406000,22.325924000,2590,'云南省',2650,'0879','普洱市','孟连傣族拉祜族佤族自治县','孟连傣族拉祜族佤族自治县','云南省普洱市孟连傣族拉祜族佤族自治县'),(2659,2650,3,'530828',99.931201000,22.553083000,2590,'云南省',2650,'0879','普洱市','澜沧拉祜族自治县','澜沧拉祜族自治县','云南省普洱市澜沧拉祜族自治县'),(2660,2650,3,'530829',99.594372000,22.644423000,2590,'云南省',2650,'0879','普洱市','西盟佤族自治县','西盟佤族自治县','云南省普洱市西盟佤族自治县'),(2661,2590,2,'530900',100.086970000,23.886567000,2590,'云南省',2661,'0883','临沧市','临沧市','','云南省临沧市'),(2662,2661,3,'530902',100.086486000,23.886562000,2590,'云南省',2661,'0883','临沧市','临翔区','临翔区','云南省临沧市临翔区'),(2663,2661,3,'530921',99.918710000,24.592738000,2590,'云南省',2661,'0883','临沧市','凤庆县','凤庆县','云南省临沧市凤庆县'),(2664,2661,3,'530922',100.125637000,24.439026000,2590,'云南省',2661,'0883','临沧市','云县','云县','云南省临沧市云县'),(2665,2661,3,'530923',99.253679000,24.028159000,2590,'云南省',2661,'0883','临沧市','永德县','永德县','云南省临沧市永德县'),(2666,2661,3,'530924',98.827430000,23.761415000,2590,'云南省',2661,'0883','临沧市','镇康县','镇康县','云南省临沧市镇康县'),(2667,2661,3,'530925',99.824419000,23.477476000,2590,'云南省',2661,'0883','临沧市','双江拉祜族佤族布朗族傣族自治县','双江拉祜族佤族布朗族傣族自治县','云南省临沧市双江拉祜族佤族布朗族傣族自治县'),(2668,2661,3,'530926',99.402495000,23.534579000,2590,'云南省',2661,'0883','临沧市','耿马傣族佤族自治县','耿马傣族佤族自治县','云南省临沧市耿马傣族佤族自治县'),(2669,2661,3,'530927',99.247400000,23.146887000,2590,'云南省',2661,'0883','临沧市','沧源佤族自治县','沧源佤族自治县','云南省临沧市沧源佤族自治县'),(2670,2590,2,'532300',101.546046000,25.041988000,2590,'云南省',2670,'0878','楚雄彝族自治州','楚雄彝族自治州','','云南省楚雄彝族自治州'),(2671,2670,3,'532301',101.546145000,25.040912000,2590,'云南省',2670,'0878','楚雄彝族自治州','楚雄市','楚雄市','云南省楚雄彝族自治州楚雄市'),(2672,2670,3,'532322',101.638240000,24.685094000,2590,'云南省',2670,'0878','楚雄彝族自治州','双柏县','双柏县','云南省楚雄彝族自治州双柏县'),(2673,2670,3,'532323',101.543044000,25.312111000,2590,'云南省',2670,'0878','楚雄彝族自治州','牟定县','牟定县','云南省楚雄彝族自治州牟定县'),(2674,2670,3,'532324',101.274991000,25.192408000,2590,'云南省',2670,'0878','楚雄彝族自治州','南华县','南华县','云南省楚雄彝族自治州南华县'),(2675,2670,3,'532325',101.238399000,25.505403000,2590,'云南省',2670,'0878','楚雄彝族自治州','姚安县','姚安县','云南省楚雄彝族自治州姚安县'),(2676,2670,3,'532326',101.323602000,25.722348000,2590,'云南省',2670,'0878','楚雄彝族自治州','大姚县','大姚县','云南省楚雄彝族自治州大姚县'),(2677,2670,3,'532327',101.671175000,26.056316000,2590,'云南省',2670,'0878','楚雄彝族自治州','永仁县','永仁县','云南省楚雄彝族自治州永仁县'),(2678,2670,3,'532328',101.870837000,25.703313000,2590,'云南省',2670,'0878','楚雄彝族自治州','元谋县','元谋县','云南省楚雄彝族自治州元谋县'),(2679,2670,3,'532329',102.406785000,25.530100000,2590,'云南省',2670,'0878','楚雄彝族自治州','武定县','武定县','云南省楚雄彝族自治州武定县'),(2680,2670,3,'532331',102.075694000,25.143270000,2590,'云南省',2670,'0878','楚雄彝族自治州','禄丰县','禄丰县','云南省楚雄彝族自治州禄丰县'),(2681,2590,2,'532500',103.384182000,23.366775000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','红河哈尼族彝族自治州','','云南省红河哈尼族彝族自治州'),(2682,2681,3,'532501',103.154752000,23.360383000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','个旧市','个旧市','云南省红河哈尼族彝族自治州个旧市'),(2683,2681,3,'532502',103.258679000,23.713832000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','开远市','开远市','云南省红河哈尼族彝族自治州开远市'),(2684,2681,3,'532503',103.385005000,23.366843000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','蒙自市','蒙自市','云南省红河哈尼族彝族自治州蒙自市'),(2685,2681,3,'532504',103.436988000,24.408370000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','弥勒市','弥勒市','云南省红河哈尼族彝族自治州弥勒市'),(2686,2681,3,'532523',103.687229000,22.987013000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','屏边苗族自治县','屏边苗族自治县','云南省红河哈尼族彝族自治州屏边苗族自治县'),(2687,2681,3,'532524',102.820493000,23.618387000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','建水县','建水县','云南省红河哈尼族彝族自治州建水县'),(2688,2681,3,'532525',102.484469000,23.712569000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','石屏县','石屏县','云南省红河哈尼族彝族自治州石屏县'),(2689,2681,3,'532527',103.759622000,24.532368000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','泸西县','泸西县','云南省红河哈尼族彝族自治州泸西县'),(2690,2681,3,'532528',102.837056000,23.219773000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','元阳县','元阳县','云南省红河哈尼族彝族自治州元阳县'),(2691,2681,3,'532529',102.421210000,23.369191000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','红河县','红河县','云南省红河哈尼族彝族自治州红河县'),(2692,2681,3,'532530',103.228359000,22.779982000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','金平苗族瑶族傣族自治县','金平苗族瑶族傣族自治县','云南省红河哈尼族彝族自治州金平苗族瑶族傣族自治县'),(2693,2681,3,'532531',102.392860000,22.993520000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','绿春县','绿春县','云南省红河哈尼族彝族自治州绿春县'),(2694,2681,3,'532532',103.961593000,22.507563000,2590,'云南省',2681,'0873','红河哈尼族彝族自治州','河口瑶族自治县','河口瑶族自治县','云南省红河哈尼族彝族自治州河口瑶族自治县'),(2695,2590,2,'532600',104.244010000,23.369510000,2590,'云南省',2695,'0876','文山壮族苗族自治州','文山壮族苗族自治州','','云南省文山壮族苗族自治州'),(2696,2695,3,'532601',104.244277000,23.369216000,2590,'云南省',2695,'0876','文山壮族苗族自治州','文山市','文山市','云南省文山壮族苗族自治州文山市'),(2697,2695,3,'532622',104.343989000,23.612301000,2590,'云南省',2695,'0876','文山壮族苗族自治州','砚山县','砚山县','云南省文山壮族苗族自治州砚山县'),(2698,2695,3,'532623',104.675711000,23.437439000,2590,'云南省',2695,'0876','文山壮族苗族自治州','西畴县','西畴县','云南省文山壮族苗族自治州西畴县'),(2699,2695,3,'532624',104.701899000,23.124202000,2590,'云南省',2695,'0876','文山壮族苗族自治州','麻栗坡县','麻栗坡县','云南省文山壮族苗族自治州麻栗坡县'),(2700,2695,3,'532625',104.398619000,23.011723000,2590,'云南省',2695,'0876','文山壮族苗族自治州','马关县','马关县','云南省文山壮族苗族自治州马关县'),(2701,2695,3,'532626',104.194366000,24.040982000,2590,'云南省',2695,'0876','文山壮族苗族自治州','丘北县','丘北县','云南省文山壮族苗族自治州丘北县'),(2702,2695,3,'532627',105.056684000,24.050272000,2590,'云南省',2695,'0876','文山壮族苗族自治州','广南县','广南县','云南省文山壮族苗族自治州广南县'),(2703,2695,3,'532628',105.628560000,23.626494000,2590,'云南省',2695,'0876','文山壮族苗族自治州','富宁县','富宁县','云南省文山壮族苗族自治州富宁县'),(2704,2590,2,'532800',100.797941000,22.001724000,2590,'云南省',2704,'0691','西双版纳傣族自治州','西双版纳傣族自治州','','云南省西双版纳傣族自治州'),(2705,2704,3,'532801',100.797947000,22.002087000,2590,'云南省',2704,'0691','西双版纳傣族自治州','景洪市','景洪市','云南省西双版纳傣族自治州景洪市'),(2706,2704,3,'532822',100.448288000,21.955866000,2590,'云南省',2704,'0691','西双版纳傣族自治州','勐海县','勐海县','云南省西双版纳傣族自治州勐海县'),(2707,2704,3,'532823',101.567051000,21.479449000,2590,'云南省',2704,'0691','西双版纳傣族自治州','勐腊县','勐腊县','云南省西双版纳傣族自治州勐腊县'),(2708,2590,2,'532900',100.225668000,25.589449000,2590,'云南省',2708,'0872','大理白族自治州','大理白族自治州','','云南省大理白族自治州'),(2709,2708,3,'532901',100.241369000,25.593067000,2590,'云南省',2708,'0872','大理白族自治州','大理市','大理市','云南省大理白族自治州大理市'),(2710,2708,3,'532922',99.957970000,25.669543000,2590,'云南省',2708,'0872','大理白族自治州','漾濞彝族自治县','漾濞彝族自治县','云南省大理白族自治州漾濞彝族自治县'),(2711,2708,3,'532923',100.554025000,25.477072000,2590,'云南省',2708,'0872','大理白族自治州','祥云县','祥云县','云南省大理白族自治州祥云县'),(2712,2708,3,'532924',100.578957000,25.825904000,2590,'云南省',2708,'0872','大理白族自治州','宾川县','宾川县','云南省大理白族自治州宾川县'),(2713,2708,3,'532925',100.490669000,25.342594000,2590,'云南省',2708,'0872','大理白族自治州','弥渡县','弥渡县','云南省大理白族自治州弥渡县'),(2714,2708,3,'532926',100.518683000,25.041279000,2590,'云南省',2708,'0872','大理白族自治州','南涧彝族自治县','南涧彝族自治县','云南省大理白族自治州南涧彝族自治县'),(2715,2708,3,'532927',100.307930000,25.230909000,2590,'云南省',2708,'0872','大理白族自治州','巍山彝族回族自治县','巍山彝族回族自治县','云南省大理白族自治州巍山彝族回族自治县'),(2716,2708,3,'532928',99.533536000,25.461281000,2590,'云南省',2708,'0872','大理白族自治州','永平县','永平县','云南省大理白族自治州永平县'),(2717,2708,3,'532929',99.369402000,25.884955000,2590,'云南省',2708,'0872','大理白族自治州','云龙县','云龙县','云南省大理白族自治州云龙县'),(2718,2708,3,'532930',99.951708000,26.111184000,2590,'云南省',2708,'0872','大理白族自治州','洱源县','洱源县','云南省大理白族自治州洱源县'),(2719,2708,3,'532931',99.905887000,26.530066000,2590,'云南省',2708,'0872','大理白族自治州','剑川县','剑川县','云南省大理白族自治州剑川县'),(2720,2708,3,'532932',100.173375000,26.558390000,2590,'云南省',2708,'0872','大理白族自治州','鹤庆县','鹤庆县','云南省大理白族自治州鹤庆县'),(2721,2590,2,'533100',98.578363000,24.436694000,2590,'云南省',2721,'0692','德宏傣族景颇族自治州','德宏傣族景颇族自治州','','云南省德宏傣族景颇族自治州'),(2722,2721,3,'533102',97.855883000,24.010734000,2590,'云南省',2721,'0692','德宏傣族景颇族自治州','瑞丽市','瑞丽市','云南省德宏傣族景颇族自治州瑞丽市'),(2723,2721,3,'533103',98.577608000,24.436699000,2590,'云南省',2721,'0692','德宏傣族景颇族自治州','芒市','芒市','云南省德宏傣族景颇族自治州芒市'),(2724,2721,3,'533122',98.298196000,24.807420000,2590,'云南省',2721,'0692','德宏傣族景颇族自治州','梁河县','梁河县','云南省德宏傣族景颇族自治州梁河县'),(2725,2721,3,'533123',97.933930000,24.709541000,2590,'云南省',2721,'0692','德宏傣族景颇族自治州','盈江县','盈江县','云南省德宏傣族景颇族自治州盈江县'),(2726,2721,3,'533124',97.794441000,24.184065000,2590,'云南省',2721,'0692','德宏傣族景颇族自治州','陇川县','陇川县','云南省德宏傣族景颇族自治州陇川县'),(2727,2590,2,'533300',98.854304000,25.850949000,2590,'云南省',2727,'0886','怒江傈僳族自治州','怒江傈僳族自治州','','云南省怒江傈僳族自治州'),(2728,2727,3,'533301',98.854063000,25.851142000,2590,'云南省',2727,'0886','怒江傈僳族自治州','泸水市','泸水市','云南省怒江傈僳族自治州泸水市'),(2729,2727,3,'533323',98.867413000,26.902738000,2590,'云南省',2727,'0886','怒江傈僳族自治州','福贡县','福贡县','云南省怒江傈僳族自治州福贡县'),(2730,2727,3,'533324',98.666141000,27.738054000,2590,'云南省',2727,'0886','怒江傈僳族自治州','贡山独龙族怒族自治县','贡山独龙族怒族自治县','云南省怒江傈僳族自治州贡山独龙族怒族自治县'),(2731,2727,3,'533325',99.421378000,26.453839000,2590,'云南省',2727,'0886','怒江傈僳族自治州','兰坪白族普米族自治县','兰坪白族普米族自治县','云南省怒江傈僳族自治州兰坪白族普米族自治县'),(2732,2590,2,'533400',99.706463000,27.826853000,2590,'云南省',2732,'0887','迪庆藏族自治州','迪庆藏族自治州','','云南省迪庆藏族自治州'),(2733,2732,3,'533401',99.708667000,27.825804000,2590,'云南省',2732,'0887','迪庆藏族自治州','香格里拉市','香格里拉市','云南省迪庆藏族自治州香格里拉市'),(2734,2732,3,'533422',98.915060000,28.483272000,2590,'云南省',2732,'0887','迪庆藏族自治州','德钦县','德钦县','云南省迪庆藏族自治州德钦县'),(2735,2732,3,'533423',99.286355000,27.180948000,2590,'云南省',2732,'0887','迪庆藏族自治州','维西傈僳族自治县','维西傈僳族自治县','云南省迪庆藏族自治州维西傈僳族自治县'),(2736,1,1,'540000',91.132212000,29.660361000,2736,'西藏自治区',0,'','','西藏自治区','','西藏自治区'),(2737,2736,2,'540100',91.132212000,29.660361000,2736,'西藏自治区',2737,'0891','拉萨市','拉萨市','','西藏自治区拉萨市'),(2738,2737,3,'540102',91.132911000,29.659472000,2736,'西藏自治区',2737,'0891','拉萨市','城关区','城关区','西藏自治区拉萨市城关区'),(2739,2737,3,'540121',91.261842000,29.895754000,2736,'西藏自治区',2737,'0891','拉萨市','林周县','林周县','西藏自治区拉萨市林周县'),(2740,2737,3,'540122',91.103551000,30.474819000,2736,'西藏自治区',2737,'0891','拉萨市','当雄县','当雄县','西藏自治区拉萨市当雄县'),(2741,2737,3,'540123',90.165545000,29.431346000,2736,'西藏自治区',2737,'0891','拉萨市','尼木县','尼木县','西藏自治区拉萨市尼木县'),(2742,2737,3,'540124',90.738051000,29.349895000,2736,'西藏自治区',2737,'0891','拉萨市','曲水县','曲水县','西藏自治区拉萨市曲水县'),(2743,2737,3,'540103',91.002823000,29.647347000,2736,'西藏自治区',2737,'0891','拉萨市','堆龙德庆区','堆龙德庆区','西藏自治区拉萨市堆龙德庆区'),(2744,2737,3,'540126',91.350976000,29.670314000,2736,'西藏自治区',2737,'0891','拉萨市','达孜县','达孜县','西藏自治区拉萨市达孜县'),(2745,2737,3,'540127',91.731158000,29.834657000,2736,'西藏自治区',2737,'0891','拉萨市','墨竹工卡县','墨竹工卡县','西藏自治区拉萨市墨竹工卡县'),(2746,2736,2,'540200',88.885148000,29.267519000,2736,'西藏自治区',2746,'0892','日喀则市','日喀则市','','西藏自治区日喀则市'),(2747,2746,3,'540202',88.886670000,29.267003000,2736,'西藏自治区',2746,'0892','日喀则市','桑珠孜区','桑珠孜区','西藏自治区日喀则市桑珠孜区'),(2748,2746,3,'540221',89.099434000,29.680459000,2736,'西藏自治区',2746,'0892','日喀则市','南木林县','南木林县','西藏自治区日喀则市南木林县'),(2749,2746,3,'540222',89.605044000,28.908845000,2736,'西藏自治区',2746,'0892','日喀则市','江孜县','江孜县','西藏自治区日喀则市江孜县'),(2750,2746,3,'540223',87.123887000,28.656667000,2736,'西藏自治区',2746,'0892','日喀则市','定日县','定日县','西藏自治区日喀则市定日县'),(2751,2746,3,'540224',88.023007000,28.901077000,2736,'西藏自治区',2746,'0892','日喀则市','萨迦县','萨迦县','西藏自治区日喀则市萨迦县'),(2752,2746,3,'540225',87.637430000,29.085136000,2736,'西藏自治区',2746,'0892','日喀则市','拉孜县','拉孜县','西藏自治区日喀则市拉孜县'),(2753,2746,3,'540226',87.235780000,29.294758000,2736,'西藏自治区',2746,'0892','日喀则市','昂仁县','昂仁县','西藏自治区日喀则市昂仁县'),(2754,2746,3,'540227',88.260517000,29.431597000,2736,'西藏自治区',2746,'0892','日喀则市','谢通门县','谢通门县','西藏自治区日喀则市谢通门县'),(2755,2746,3,'540228',89.263618000,29.106627000,2736,'西藏自治区',2746,'0892','日喀则市','白朗县','白朗县','西藏自治区日喀则市白朗县'),(2756,2746,3,'540229',89.843207000,29.230299000,2736,'西藏自治区',2746,'0892','日喀则市','仁布县','仁布县','西藏自治区日喀则市仁布县'),(2757,2746,3,'540230',89.683406000,28.554719000,2736,'西藏自治区',2746,'0892','日喀则市','康马县','康马县','西藏自治区日喀则市康马县'),(2758,2746,3,'540231',87.767723000,28.364090000,2736,'西藏自治区',2746,'0892','日喀则市','定结县','定结县','西藏自治区日喀则市定结县'),(2759,2746,3,'540232',84.032826000,29.768336000,2736,'西藏自治区',2746,'0892','日喀则市','仲巴县','仲巴县','西藏自治区日喀则市仲巴县'),(2760,2746,3,'540233',88.906806000,27.482772000,2736,'西藏自治区',2746,'0892','日喀则市','亚东县','亚东县','西藏自治区日喀则市亚东县'),(2761,2746,3,'540234',85.298349000,28.852416000,2736,'西藏自治区',2746,'0892','日喀则市','吉隆县','吉隆县','西藏自治区日喀则市吉隆县'),(2762,2746,3,'540235',85.981953000,28.155950000,2736,'西藏自治区',2746,'0892','日喀则市','聂拉木县','聂拉木县','西藏自治区日喀则市聂拉木县'),(2763,2746,3,'540236',85.234622000,29.328194000,2736,'西藏自治区',2746,'0892','日喀则市','萨嘎县','萨嘎县','西藏自治区日喀则市萨嘎县'),(2764,2746,3,'540237',88.518903000,28.274371000,2736,'西藏自治区',2746,'0892','日喀则市','岗巴县','岗巴县','西藏自治区日喀则市岗巴县'),(2765,2736,2,'540300',97.178452000,31.136875000,2736,'西藏自治区',2765,'0895','昌都市','昌都市','','西藏自治区昌都市'),(2766,2765,3,'540302',97.178255000,31.137035000,2736,'西藏自治区',2765,'0895','昌都市','卡若区','卡若区','西藏自治区昌都市卡若区'),(2767,2765,3,'540321',98.218351000,31.499534000,2736,'西藏自治区',2765,'0895','昌都市','江达县','江达县','西藏自治区昌都市江达县'),(2768,2765,3,'540322',98.271191000,30.859206000,2736,'西藏自治区',2765,'0895','昌都市','贡觉县','贡觉县','西藏自治区昌都市贡觉县'),(2769,2765,3,'540323',96.601259000,31.213048000,2736,'西藏自治区',2765,'0895','昌都市','类乌齐县','类乌齐县','西藏自治区昌都市类乌齐县'),(2770,2765,3,'540324',95.597748000,31.410681000,2736,'西藏自治区',2765,'0895','昌都市','丁青县','丁青县','西藏自治区昌都市丁青县'),(2771,2765,3,'540325',97.565701000,30.653038000,2736,'西藏自治区',2765,'0895','昌都市','察雅县','察雅县','西藏自治区昌都市察雅县'),(2772,2765,3,'540326',96.917893000,30.053408000,2736,'西藏自治区',2765,'0895','昌都市','八宿县','八宿县','西藏自治区昌都市八宿县'),(2773,2765,3,'540327',97.840532000,29.671335000,2736,'西藏自治区',2765,'0895','昌都市','左贡县','左贡县','西藏自治区昌都市左贡县'),(2774,2765,3,'540328',98.596444000,29.686615000,2736,'西藏自治区',2765,'0895','昌都市','芒康县','芒康县','西藏自治区昌都市芒康县'),(2775,2765,3,'540329',95.823418000,30.741947000,2736,'西藏自治区',2765,'0895','昌都市','洛隆县','洛隆县','西藏自治区昌都市洛隆县'),(2776,2765,3,'540330',94.707504000,30.933849000,2736,'西藏自治区',2765,'0895','昌都市','边坝县','边坝县','西藏自治区昌都市边坝县'),(2777,2736,2,'540500',91.766529000,29.236023000,2736,'西藏自治区',2777,'0893','山南市','山南市','','西藏自治区山南市'),(2778,2777,3,'540502',91.765250000,29.236106000,2736,'西藏自治区',2777,'0893','山南市','乃东区','乃东区','西藏自治区山南市乃东区'),(2779,2777,3,'540521',91.338000000,29.246476000,2736,'西藏自治区',2777,'0893','山南市','扎囊县','扎囊县','西藏自治区山南市扎囊县'),(2780,2777,3,'540522',90.985271000,29.289078000,2736,'西藏自治区',2777,'0893','山南市','贡嘎县','贡嘎县','西藏自治区山南市贡嘎县'),(2781,2777,3,'540523',92.015732000,29.259774000,2736,'西藏自治区',2777,'0893','山南市','桑日县','桑日县','西藏自治区山南市桑日县'),(2782,2777,3,'540524',91.683753000,29.025242000,2736,'西藏自治区',2777,'0893','山南市','琼结县','琼结县','西藏自治区山南市琼结县'),(2783,2777,3,'540525',92.201066000,29.063656000,2736,'西藏自治区',2777,'0893','山南市','曲松县','曲松县','西藏自治区山南市曲松县'),(2784,2777,3,'540526',91.432347000,28.437353000,2736,'西藏自治区',2777,'0893','山南市','措美县','措美县','西藏自治区山南市措美县'),(2785,2777,3,'540527',90.858243000,28.385765000,2736,'西藏自治区',2777,'0893','山南市','洛扎县','洛扎县','西藏自治区山南市洛扎县'),(2786,2777,3,'540528',92.591043000,29.140921000,2736,'西藏自治区',2777,'0893','山南市','加查县','加查县','西藏自治区山南市加查县'),(2787,2777,3,'540529',92.463309000,28.408548000,2736,'西藏自治区',2777,'0893','山南市','隆子县','隆子县','西藏自治区山南市隆子县'),(2788,2777,3,'540530',91.960132000,27.991707000,2736,'西藏自治区',2777,'0893','山南市','错那县','错那县','西藏自治区山南市错那县'),(2789,2777,3,'540531',90.398747000,28.968360000,2736,'西藏自治区',2777,'0893','山南市','浪卡子县','浪卡子县','西藏自治区山南市浪卡子县'),(2790,2736,2,'542400',92.060214000,31.476004000,2736,'西藏自治区',2790,'0896','那曲地区','那曲地区','','西藏自治区那曲地区'),(2791,2790,3,'542421',92.061862000,31.475756000,2736,'西藏自治区',2790,'0896','那曲地区','那曲县','那曲县','西藏自治区那曲地区那曲县'),(2792,2790,3,'542422',93.232907000,30.640846000,2736,'西藏自治区',2790,'0896','那曲地区','嘉黎县','嘉黎县','西藏自治区那曲地区嘉黎县'),(2793,2790,3,'542423',93.680440000,31.479917000,2736,'西藏自治区',2790,'0896','那曲地区','比如县','比如县','西藏自治区那曲地区比如县'),(2794,2790,3,'542424',92.303659000,32.107855000,2736,'西藏自治区',2790,'0896','那曲地区','聂荣县','聂荣县','西藏自治区那曲地区聂荣县'),(2795,2790,3,'542425',91.681879000,32.260299000,2736,'西藏自治区',2790,'0896','那曲地区','安多县','安多县','西藏自治区那曲地区安多县'),(2796,2790,3,'542426',88.709777000,30.929056000,2736,'西藏自治区',2790,'0896','那曲地区','申扎县','申扎县','西藏自治区那曲地区申扎县'),(2797,2790,3,'542427',93.784964000,31.886173000,2736,'西藏自治区',2790,'0896','那曲地区','索县','索县','西藏自治区那曲地区索县'),(2798,2790,3,'542428',90.011822000,31.394578000,2736,'西藏自治区',2790,'0896','那曲地区','班戈县','班戈县','西藏自治区那曲地区班戈县'),(2799,2790,3,'542429',94.054049000,31.918691000,2736,'西藏自治区',2790,'0896','那曲地区','巴青县','巴青县','西藏自治区那曲地区巴青县'),(2800,2790,3,'542430',87.236646000,31.784979000,2736,'西藏自治区',2790,'0896','那曲地区','尼玛县','尼玛县','西藏自治区那曲地区尼玛县'),(2801,2790,3,'542431',88.838578000,33.186980000,2736,'西藏自治区',2790,'0896','那曲地区','双湖县','双湖县','西藏自治区那曲地区双湖县'),(2802,2736,2,'542500',80.105498000,32.503187000,2736,'西藏自治区',2802,'0897','阿里地区','阿里地区','','西藏自治区阿里地区'),(2803,2802,3,'542521',81.177588000,30.291896000,2736,'西藏自治区',2802,'0897','阿里地区','普兰县','普兰县','西藏自治区阿里地区普兰县'),(2804,2802,3,'542522',79.803191000,31.478587000,2736,'西藏自治区',2802,'0897','阿里地区','札达县','札达县','西藏自治区阿里地区札达县'),(2805,2802,3,'542523',80.105005000,32.503373000,2736,'西藏自治区',2802,'0897','阿里地区','噶尔县','噶尔县','西藏自治区阿里地区噶尔县'),(2806,2802,3,'542524',79.731937000,33.382454000,2736,'西藏自治区',2802,'0897','阿里地区','日土县','日土县','西藏自治区阿里地区日土县'),(2807,2802,3,'542525',81.142896000,32.389192000,2736,'西藏自治区',2802,'0897','阿里地区','革吉县','革吉县','西藏自治区阿里地区革吉县'),(2808,2802,3,'542526',84.062384000,32.302076000,2736,'西藏自治区',2802,'0897','阿里地区','改则县','改则县','西藏自治区阿里地区改则县'),(2809,2802,3,'542527',85.159254000,31.016774000,2736,'西藏自治区',2802,'0897','阿里地区','措勤县','措勤县','西藏自治区阿里地区措勤县'),(2810,2736,2,'540400',94.362348000,29.654693000,2736,'西藏自治区',2810,'0894','林芝市','林芝市','','西藏自治区林芝市'),(2811,2810,3,'540402',94.360987000,29.653732000,2736,'西藏自治区',2810,'0894','林芝市','巴宜区','巴宜区','西藏自治区林芝市巴宜区'),(2812,2810,3,'540421',93.246515000,29.884470000,2736,'西藏自治区',2810,'0894','林芝市','工布江达县','工布江达县','西藏自治区林芝市工布江达县'),(2813,2810,3,'540422',94.213679000,29.213811000,2736,'西藏自治区',2810,'0894','林芝市','米林县','米林县','西藏自治区林芝市米林县'),(2814,2810,3,'540423',95.332245000,29.325730000,2736,'西藏自治区',2810,'0894','林芝市','墨脱县','墨脱县','西藏自治区林芝市墨脱县'),(2815,2810,3,'540424',95.768151000,29.858771000,2736,'西藏自治区',2810,'0894','林芝市','波密县','波密县','西藏自治区林芝市波密县'),(2816,2810,3,'540425',97.465002000,28.660244000,2736,'西藏自治区',2810,'0894','林芝市','察隅县','察隅县','西藏自治区林芝市察隅县'),(2817,2810,3,'540426',93.073429000,29.044600000,2736,'西藏自治区',2810,'0894','林芝市','朗县','朗县','西藏自治区林芝市朗县'),(2818,1,1,'610000',108.948024000,34.263161000,2818,'陕西省',0,'','','陕西省','','陕西省'),(2819,2818,2,'610100',108.948024000,34.263161000,2818,'陕西省',2819,'029','西安市','西安市','','陕西省西安市'),(2820,2819,3,'610102',108.959903000,34.269270000,2818,'陕西省',2819,'029','西安市','新城区','新城区','陕西省西安市新城区'),(2821,2819,3,'610103',108.946994000,34.251061000,2818,'陕西省',2819,'029','西安市','碑林区','碑林区','陕西省西安市碑林区'),(2822,2819,3,'610104',108.933194000,34.265600000,2818,'陕西省',2819,'029','西安市','莲湖区','莲湖区','陕西省西安市莲湖区'),(2823,2819,3,'610111',109.067261000,34.267453000,2818,'陕西省',2819,'029','西安市','灞桥区','灞桥区','陕西省西安市灞桥区'),(2824,2819,3,'610112',108.946022000,34.308230000,2818,'陕西省',2819,'029','西安市','未央区','未央区','陕西省西安市未央区'),(2825,2819,3,'610113',108.926593000,34.213389000,2818,'陕西省',2819,'029','西安市','雁塔区','雁塔区','陕西省西安市雁塔区'),(2826,2819,3,'610114',109.228020000,34.662141000,2818,'陕西省',2819,'029','西安市','阎良区','阎良区','陕西省西安市阎良区'),(2827,2819,3,'610115',109.213986000,34.372065000,2818,'陕西省',2819,'029','西安市','临潼区','临潼区','陕西省西安市临潼区'),(2828,2819,3,'610116',108.941579000,34.157097000,2818,'陕西省',2819,'029','西安市','长安区','长安区','陕西省西安市长安区'),(2829,2819,3,'610117',109.088896000,34.535065000,2818,'陕西省',2819,'029','西安市','高陵区','高陵区','陕西省西安市高陵区'),(2830,2819,3,'610122',109.317634000,34.156189000,2818,'陕西省',2819,'029','西安市','蓝田县','蓝田县','陕西省西安市蓝田县'),(2831,2819,3,'610124',108.216465000,34.161532000,2818,'陕西省',2819,'029','西安市','周至县','周至县','陕西省西安市周至县'),(2832,2819,3,'610125',108.607385000,34.108668000,2818,'陕西省',2819,'029','西安市','户县','户县','陕西省西安市户县'),(2833,2818,2,'610200',108.979608000,34.916582000,2818,'陕西省',2833,'0919','铜川市','铜川市','','陕西省铜川市'),(2834,2833,3,'610202',109.075862000,35.069098000,2818,'陕西省',2833,'0919','铜川市','王益区','王益区','陕西省铜川市王益区'),(2835,2833,3,'610203',109.100814000,35.111927000,2818,'陕西省',2833,'0919','铜川市','印台区','印台区','陕西省铜川市印台区'),(2836,2833,3,'610204',108.962538000,34.910206000,2818,'陕西省',2833,'0919','铜川市','耀州区','耀州区','陕西省铜川市耀州区'),(2837,2833,3,'610222',109.118278000,35.398766000,2818,'陕西省',2833,'0919','铜川市','宜君县','宜君县','陕西省铜川市宜君县'),(2838,2818,2,'610300',107.144870000,34.369315000,2818,'陕西省',2838,'0917','宝鸡市','宝鸡市','','陕西省宝鸡市'),(2839,2838,3,'610302',107.144467000,34.371008000,2818,'陕西省',2838,'0917','宝鸡市','渭滨区','渭滨区','陕西省宝鸡市渭滨区'),(2840,2838,3,'610303',107.149943000,34.375192000,2818,'陕西省',2838,'0917','宝鸡市','金台区','金台区','陕西省宝鸡市金台区'),(2841,2838,3,'610304',107.383645000,34.352747000,2818,'陕西省',2838,'0917','宝鸡市','陈仓区','陈仓区','陕西省宝鸡市陈仓区'),(2842,2838,3,'610322',107.400577000,34.521668000,2818,'陕西省',2838,'0917','宝鸡市','凤翔县','凤翔县','陕西省宝鸡市凤翔县'),(2843,2838,3,'610323',107.624464000,34.442960000,2818,'陕西省',2838,'0917','宝鸡市','岐山县','岐山县','陕西省宝鸡市岐山县'),(2844,2838,3,'610324',107.891419000,34.375497000,2818,'陕西省',2838,'0917','宝鸡市','扶风县','扶风县','陕西省宝鸡市扶风县'),(2845,2838,3,'610326',107.752371000,34.272137000,2818,'陕西省',2838,'0917','宝鸡市','眉县','眉县','陕西省宝鸡市眉县'),(2846,2838,3,'610327',106.857066000,34.893262000,2818,'陕西省',2838,'0917','宝鸡市','陇县','陇县','陕西省宝鸡市陇县'),(2847,2838,3,'610328',107.132987000,34.642584000,2818,'陕西省',2838,'0917','宝鸡市','千阳县','千阳县','陕西省宝鸡市千阳县'),(2848,2838,3,'610329',107.796608000,34.677714000,2818,'陕西省',2838,'0917','宝鸡市','麟游县','麟游县','陕西省宝鸡市麟游县'),(2849,2838,3,'610330',106.525212000,33.912464000,2818,'陕西省',2838,'0917','宝鸡市','凤县','凤县','陕西省宝鸡市凤县'),(2850,2838,3,'610331',107.316533000,34.059215000,2818,'陕西省',2838,'0917','宝鸡市','太白县','太白县','陕西省宝鸡市太白县'),(2851,2818,2,'610400',108.705117000,34.333439000,2818,'陕西省',2851,'0910','咸阳市','咸阳市','','陕西省咸阳市'),(2852,2851,3,'610402',108.698636000,34.329801000,2818,'陕西省',2851,'0910','咸阳市','秦都区','秦都区','陕西省咸阳市秦都区'),(2853,2851,3,'610403',108.086348000,34.271350000,2818,'陕西省',2851,'0910','咸阳市','杨陵区','杨陵区','陕西省咸阳市杨陵区'),(2854,2851,3,'610404',108.730957000,34.336847000,2818,'陕西省',2851,'0910','咸阳市','渭城区','渭城区','陕西省咸阳市渭城区'),(2855,2851,3,'610422',108.943481000,34.613996000,2818,'陕西省',2851,'0910','咸阳市','三原县','三原县','陕西省咸阳市三原县'),(2856,2851,3,'610423',108.837840000,34.528493000,2818,'陕西省',2851,'0910','咸阳市','泾阳县','泾阳县','陕西省咸阳市泾阳县'),(2857,2851,3,'610424',108.247406000,34.527261000,2818,'陕西省',2851,'0910','咸阳市','乾县','乾县','陕西省咸阳市乾县'),(2858,2851,3,'610425',108.428317000,34.482583000,2818,'陕西省',2851,'0910','咸阳市','礼泉县','礼泉县','陕西省咸阳市礼泉县'),(2859,2851,3,'610426',108.143129000,34.692619000,2818,'陕西省',2851,'0910','咸阳市','永寿县','永寿县','陕西省咸阳市永寿县'),(2860,2851,3,'610427',108.083674000,35.034233000,2818,'陕西省',2851,'0910','咸阳市','彬县','彬县','陕西省咸阳市彬县'),(2861,2851,3,'610428',107.795835000,35.206122000,2818,'陕西省',2851,'0910','咸阳市','长武县','长武县','陕西省咸阳市长武县'),(2862,2851,3,'610429',108.337231000,35.112234000,2818,'陕西省',2851,'0910','咸阳市','旬邑县','旬邑县','陕西省咸阳市旬邑县'),(2863,2851,3,'610430',108.581173000,34.797970000,2818,'陕西省',2851,'0910','咸阳市','淳化县','淳化县','陕西省咸阳市淳化县'),(2864,2851,3,'610431',108.212857000,34.259732000,2818,'陕西省',2851,'0910','咸阳市','武功县','武功县','陕西省咸阳市武功县'),(2865,2851,3,'610481',108.488493000,34.297134000,2818,'陕西省',2851,'0910','咸阳市','兴平市','兴平市','陕西省咸阳市兴平市'),(2866,2818,2,'610500',109.502882000,34.499381000,2818,'陕西省',2866,'0913','渭南市','渭南市','','陕西省渭南市'),(2867,2866,3,'610502',109.503299000,34.501271000,2818,'陕西省',2866,'0913','渭南市','临渭区','临渭区','陕西省渭南市临渭区'),(2868,2866,3,'610503',109.761410000,34.511958000,2818,'陕西省',2866,'0913','渭南市','华州区','华州区','陕西省渭南市华州区'),(2869,2866,3,'610522',110.247260000,34.544515000,2818,'陕西省',2866,'0913','渭南市','潼关县','潼关县','陕西省渭南市潼关县'),(2870,2866,3,'610523',109.943123000,34.795011000,2818,'陕西省',2866,'0913','渭南市','大荔县','大荔县','陕西省渭南市大荔县'),(2871,2866,3,'610524',110.147979000,35.237098000,2818,'陕西省',2866,'0913','渭南市','合阳县','合阳县','陕西省渭南市合阳县'),(2872,2866,3,'610525',109.937609000,35.184000000,2818,'陕西省',2866,'0913','渭南市','澄城县','澄城县','陕西省渭南市澄城县'),(2873,2866,3,'610526',109.589653000,34.956034000,2818,'陕西省',2866,'0913','渭南市','蒲城县','蒲城县','陕西省渭南市蒲城县'),(2874,2866,3,'610527',109.594309000,35.177291000,2818,'陕西省',2866,'0913','渭南市','白水县','白水县','陕西省渭南市白水县'),(2875,2866,3,'610528',109.187174000,34.746679000,2818,'陕西省',2866,'0913','渭南市','富平县','富平县','陕西省渭南市富平县'),(2876,2866,3,'610581',110.452391000,35.475238000,2818,'陕西省',2866,'0913','渭南市','韩城市','韩城市','陕西省渭南市韩城市'),(2877,2866,3,'610582',110.089520000,34.565359000,2818,'陕西省',2866,'0913','渭南市','华阴市','华阴市','陕西省渭南市华阴市'),(2878,2818,2,'610600',109.490810000,36.596537000,2818,'陕西省',2878,'0911','延安市','延安市','','陕西省延安市'),(2879,2878,3,'610602',109.490690000,36.596291000,2818,'陕西省',2878,'0911','延安市','宝塔区','宝塔区','陕西省延安市宝塔区'),(2880,2878,3,'610621',110.012961000,36.578306000,2818,'陕西省',2878,'0911','延安市','延长县','延长县','陕西省延安市延长县'),(2881,2878,3,'610622',110.190314000,36.882066000,2818,'陕西省',2878,'0911','延安市','延川县','延川县','陕西省延安市延川县'),(2882,2878,3,'610623',109.675968000,37.142070000,2818,'陕西省',2878,'0911','延安市','子长县','子长县','陕西省延安市子长县'),(2883,2878,3,'610624',109.325341000,36.864410000,2818,'陕西省',2878,'0911','延安市','安塞区','安塞区','陕西省延安市安塞区'),(2884,2878,3,'610625',108.768898000,36.823031000,2818,'陕西省',2878,'0911','延安市','志丹县','志丹县','陕西省延安市志丹县'),(2885,2878,3,'610626',108.176976000,36.924852000,2818,'陕西省',2878,'0911','延安市','吴起县','吴起县','陕西省延安市吴起县'),(2886,2878,3,'610627',109.349610000,36.277729000,2818,'陕西省',2878,'0911','延安市','甘泉县','甘泉县','陕西省延安市甘泉县'),(2887,2878,3,'610628',109.384136000,35.996495000,2818,'陕西省',2878,'0911','延安市','富县','富县','陕西省延安市富县'),(2888,2878,3,'610629',109.435712000,35.762133000,2818,'陕西省',2878,'0911','延安市','洛川县','洛川县','陕西省延安市洛川县'),(2889,2878,3,'610630',110.175537000,36.050391000,2818,'陕西省',2878,'0911','延安市','宜川县','宜川县','陕西省延安市宜川县'),(2890,2878,3,'610631',109.835020000,35.583276000,2818,'陕西省',2878,'0911','延安市','黄龙县','黄龙县','陕西省延安市黄龙县'),(2891,2878,3,'610632',109.262469000,35.580165000,2818,'陕西省',2878,'0911','延安市','黄陵县','黄陵县','陕西省延安市黄陵县'),(2892,2818,2,'610700',107.028621000,33.077668000,2818,'陕西省',2892,'0916','汉中市','汉中市','','陕西省汉中市'),(2893,2892,3,'610702',107.028233000,33.077674000,2818,'陕西省',2892,'0916','汉中市','汉台区','汉台区','陕西省汉中市汉台区'),(2894,2892,3,'610721',106.942393000,33.003341000,2818,'陕西省',2892,'0916','汉中市','南郑县','南郑县','陕西省汉中市南郑县'),(2895,2892,3,'610722',107.329887000,33.153098000,2818,'陕西省',2892,'0916','汉中市','城固县','城固县','陕西省汉中市城固县'),(2896,2892,3,'610723',107.549962000,33.223283000,2818,'陕西省',2892,'0916','汉中市','洋县','洋县','陕西省汉中市洋县'),(2897,2892,3,'610724',107.765858000,32.987961000,2818,'陕西省',2892,'0916','汉中市','西乡县','西乡县','陕西省汉中市西乡县'),(2898,2892,3,'610725',106.680175000,33.155618000,2818,'陕西省',2892,'0916','汉中市','勉县','勉县','陕西省汉中市勉县'),(2899,2892,3,'610726',106.257390000,32.830806000,2818,'陕西省',2892,'0916','汉中市','宁强县','宁强县','陕西省汉中市宁强县'),(2900,2892,3,'610727',106.153899000,33.329638000,2818,'陕西省',2892,'0916','汉中市','略阳县','略阳县','陕西省汉中市略阳县'),(2901,2892,3,'610728',107.895310000,32.535854000,2818,'陕西省',2892,'0916','汉中市','镇巴县','镇巴县','陕西省汉中市镇巴县'),(2902,2892,3,'610729',106.924377000,33.613340000,2818,'陕西省',2892,'0916','汉中市','留坝县','留坝县','陕西省汉中市留坝县'),(2903,2892,3,'610730',107.988582000,33.520745000,2818,'陕西省',2892,'0916','汉中市','佛坪县','佛坪县','陕西省汉中市佛坪县'),(2904,2818,2,'610800',109.741193000,38.290162000,2818,'陕西省',2904,'0912','榆林市','榆林市','','陕西省榆林市'),(2905,2904,3,'610802',109.747910000,38.299267000,2818,'陕西省',2904,'0912','榆林市','榆阳区','榆阳区','陕西省榆林市榆阳区'),(2906,2904,3,'610821',110.497005000,38.835641000,2818,'陕西省',2904,'0912','榆林市','神木县','神木县','陕西省榆林市神木县'),(2907,2904,3,'610822',111.069645000,39.029243000,2818,'陕西省',2904,'0912','榆林市','府谷县','府谷县','陕西省榆林市府谷县'),(2908,2904,3,'610803',109.292596000,37.964048000,2818,'陕西省',2904,'0912','榆林市','横山区','横山区','陕西省榆林市横山区'),(2909,2904,3,'610824',108.805670000,37.596084000,2818,'陕西省',2904,'0912','榆林市','靖边县','靖边县','陕西省榆林市靖边县'),(2910,2904,3,'610825',107.601284000,37.595230000,2818,'陕西省',2904,'0912','榆林市','定边县','定边县','陕西省榆林市定边县'),(2911,2904,3,'610826',110.265377000,37.507701000,2818,'陕西省',2904,'0912','榆林市','绥德县','绥德县','陕西省榆林市绥德县'),(2912,2904,3,'610827',110.178683000,37.759081000,2818,'陕西省',2904,'0912','榆林市','米脂县','米脂县','陕西省榆林市米脂县'),(2913,2904,3,'610828',110.493367000,38.021597000,2818,'陕西省',2904,'0912','榆林市','佳县','佳县','陕西省榆林市佳县'),(2914,2904,3,'610829',110.739315000,37.451925000,2818,'陕西省',2904,'0912','榆林市','吴堡县','吴堡县','陕西省榆林市吴堡县'),(2915,2904,3,'610830',110.121460000,37.087702000,2818,'陕西省',2904,'0912','榆林市','清涧县','清涧县','陕西省榆林市清涧县'),(2916,2904,3,'610831',110.034570000,37.611573000,2818,'陕西省',2904,'0912','榆林市','子洲县','子洲县','陕西省榆林市子洲县'),(2917,2818,2,'610900',109.029273000,32.690300000,2818,'陕西省',2917,'0915','安康市','安康市','','陕西省安康市'),(2918,2917,3,'610902',109.029098000,32.690817000,2818,'陕西省',2917,'0915','安康市','汉滨区','汉滨区','陕西省安康市汉滨区'),(2919,2917,3,'610921',108.510946000,32.891121000,2818,'陕西省',2917,'0915','安康市','汉阴县','汉阴县','陕西省安康市汉阴县'),(2920,2917,3,'610922',108.250512000,33.038512000,2818,'陕西省',2917,'0915','安康市','石泉县','石泉县','陕西省安康市石泉县'),(2921,2917,3,'610923',108.313714000,33.312184000,2818,'陕西省',2917,'0915','安康市','宁陕县','宁陕县','陕西省安康市宁陕县'),(2922,2917,3,'610924',108.537788000,32.520176000,2818,'陕西省',2917,'0915','安康市','紫阳县','紫阳县','陕西省安康市紫阳县'),(2923,2917,3,'610925',108.900663000,32.310690000,2818,'陕西省',2917,'0915','安康市','岚皋县','岚皋县','陕西省安康市岚皋县'),(2924,2917,3,'610926',109.361865000,32.387933000,2818,'陕西省',2917,'0915','安康市','平利县','平利县','陕西省安康市平利县'),(2925,2917,3,'610927',109.526437000,31.883395000,2818,'陕西省',2917,'0915','安康市','镇坪县','镇坪县','陕西省安康市镇坪县'),(2926,2917,3,'610928',109.368149000,32.833567000,2818,'陕西省',2917,'0915','安康市','旬阳县','旬阳县','陕西省安康市旬阳县'),(2927,2917,3,'610929',110.114186000,32.809484000,2818,'陕西省',2917,'0915','安康市','白河县','白河县','陕西省安康市白河县'),(2928,2818,2,'611000',109.939776000,33.868319000,2818,'陕西省',2928,'0914','商洛市','商洛市','','陕西省商洛市'),(2929,2928,3,'611002',109.937685000,33.869208000,2818,'陕西省',2928,'0914','商洛市','商州区','商州区','陕西省商洛市商州区'),(2930,2928,3,'611021',110.145716000,34.088502000,2818,'陕西省',2928,'0914','商洛市','洛南县','洛南县','陕西省商洛市洛南县'),(2931,2928,3,'611022',110.331910000,33.694711000,2818,'陕西省',2928,'0914','商洛市','丹凤县','丹凤县','陕西省商洛市丹凤县'),(2932,2928,3,'611023',110.885437000,33.526367000,2818,'陕西省',2928,'0914','商洛市','商南县','商南县','陕西省商洛市商南县'),(2933,2928,3,'611024',109.880435000,33.530411000,2818,'陕西省',2928,'0914','商洛市','山阳县','山阳县','陕西省商洛市山阳县'),(2934,2928,3,'611025',109.151075000,33.423981000,2818,'陕西省',2928,'0914','商洛市','镇安县','镇安县','陕西省商洛市镇安县'),(2935,2928,3,'611026',109.111249000,33.682773000,2818,'陕西省',2928,'0914','商洛市','柞水县','柞水县','陕西省商洛市柞水县'),(2936,1,1,'620000',103.823557000,36.058039000,2936,'甘肃省',0,'','','甘肃省','','甘肃省'),(2937,2936,2,'620100',103.823557000,36.058039000,2936,'甘肃省',2937,'0931','兰州市','兰州市','','甘肃省兰州市'),(2938,2937,3,'620102',103.841032000,36.049115000,2936,'甘肃省',2937,'0931','兰州市','城关区','城关区','甘肃省兰州市城关区'),(2939,2937,3,'620103',103.784326000,36.066730000,2936,'甘肃省',2937,'0931','兰州市','七里河区','七里河区','甘肃省兰州市七里河区'),(2940,2937,3,'620104',103.622331000,36.100369000,2936,'甘肃省',2937,'0931','兰州市','西固区','西固区','甘肃省兰州市西固区'),(2941,2937,3,'620105',103.724038000,36.103290000,2936,'甘肃省',2937,'0931','兰州市','安宁区','安宁区','甘肃省兰州市安宁区'),(2942,2937,3,'620111',102.861814000,36.344177000,2936,'甘肃省',2937,'0931','兰州市','红古区','红古区','甘肃省兰州市红古区'),(2943,2937,3,'620121',103.262203000,36.734428000,2936,'甘肃省',2937,'0931','兰州市','永登县','永登县','甘肃省兰州市永登县'),(2944,2937,3,'620122',103.949330000,36.331254000,2936,'甘肃省',2937,'0931','兰州市','皋兰县','皋兰县','甘肃省兰州市皋兰县'),(2945,2937,3,'620123',104.114975000,35.844430000,2936,'甘肃省',2937,'0931','兰州市','榆中县','榆中县','甘肃省兰州市榆中县'),(2946,2936,2,'620200',98.277304000,39.786529000,2936,'甘肃省',2946,'1937','嘉峪关市','嘉峪关市','','甘肃省嘉峪关市'),(2947,2936,2,'620300',102.187888000,38.514238000,2936,'甘肃省',2947,'0935','金昌市','金昌市','','甘肃省金昌市'),(2948,2947,3,'620302',102.187683000,38.513793000,2936,'甘肃省',2947,'0935','金昌市','金川区','金川区','甘肃省金昌市金川区'),(2949,2947,3,'620321',101.971957000,38.247354000,2936,'甘肃省',2947,'0935','金昌市','永昌县','永昌县','甘肃省金昌市永昌县'),(2950,2936,2,'620400',104.173606000,36.545680000,2936,'甘肃省',2950,'0943','白银市','白银市','','甘肃省白银市'),(2951,2950,3,'620402',104.174250000,36.545649000,2936,'甘肃省',2950,'0943','白银市','白银区','白银区','甘肃省白银市白银区'),(2952,2950,3,'620403',104.819207000,36.729210000,2936,'甘肃省',2950,'0943','白银市','平川区','平川区','甘肃省白银市平川区'),(2953,2950,3,'620421',104.686972000,36.561424000,2936,'甘肃省',2950,'0943','白银市','靖远县','靖远县','甘肃省白银市靖远县'),(2954,2950,3,'620422',105.054337000,35.692486000,2936,'甘肃省',2950,'0943','白银市','会宁县','会宁县','甘肃省白银市会宁县'),(2955,2950,3,'620423',104.066394000,37.193519000,2936,'甘肃省',2950,'0943','白银市','景泰县','景泰县','甘肃省白银市景泰县'),(2956,2936,2,'620500',105.724998000,34.578529000,2936,'甘肃省',2956,'0938','天水市','天水市','','甘肃省天水市'),(2957,2956,3,'620502',105.724477000,34.578645000,2936,'甘肃省',2956,'0938','天水市','秦州区','秦州区','甘肃省天水市秦州区'),(2958,2956,3,'620503',105.897631000,34.563504000,2936,'甘肃省',2956,'0938','天水市','麦积区','麦积区','甘肃省天水市麦积区'),(2959,2956,3,'620521',106.139878000,34.752870000,2936,'甘肃省',2956,'0938','天水市','清水县','清水县','甘肃省天水市清水县'),(2960,2956,3,'620522',105.673300000,34.862354000,2936,'甘肃省',2956,'0938','天水市','秦安县','秦安县','甘肃省天水市秦安县'),(2961,2956,3,'620523',105.332347000,34.747327000,2936,'甘肃省',2956,'0938','天水市','甘谷县','甘谷县','甘肃省天水市甘谷县'),(2962,2956,3,'620524',104.891696000,34.721955000,2936,'甘肃省',2956,'0938','天水市','武山县','武山县','甘肃省天水市武山县'),(2963,2956,3,'620525',106.212416000,34.993237000,2936,'甘肃省',2956,'0938','天水市','张家川回族自治县','张家川回族自治县','甘肃省天水市张家川回族自治县'),(2964,2936,2,'620600',102.634697000,37.929996000,2936,'甘肃省',2964,'1935','武威市','武威市','','甘肃省武威市'),(2965,2964,3,'620602',102.634492000,37.930250000,2936,'甘肃省',2964,'1935','武威市','凉州区','凉州区','甘肃省武威市凉州区'),(2966,2964,3,'620621',103.090654000,38.624621000,2936,'甘肃省',2964,'1935','武威市','民勤县','民勤县','甘肃省武威市民勤县'),(2967,2964,3,'620622',102.898047000,37.470571000,2936,'甘肃省',2964,'1935','武威市','古浪县','古浪县','甘肃省武威市古浪县'),(2968,2964,3,'620623',103.142034000,36.971678000,2936,'甘肃省',2964,'1935','武威市','天祝藏族自治县','天祝藏族自治县','甘肃省武威市天祝藏族自治县'),(2969,2936,2,'620700',100.455472000,38.932897000,2936,'甘肃省',2969,'0936','张掖市','张掖市','','甘肃省张掖市'),(2970,2969,3,'620702',100.454862000,38.931774000,2936,'甘肃省',2969,'0936','张掖市','甘州区','甘州区','甘肃省张掖市甘州区'),(2971,2969,3,'620721',99.617086000,38.837269000,2936,'甘肃省',2969,'0936','张掖市','肃南裕固族自治县','肃南裕固族自治县','甘肃省张掖市肃南裕固族自治县'),(2972,2969,3,'620722',100.816623000,38.434454000,2936,'甘肃省',2969,'0936','张掖市','民乐县','民乐县','甘肃省张掖市民乐县'),(2973,2969,3,'620723',100.166333000,39.152151000,2936,'甘肃省',2969,'0936','张掖市','临泽县','临泽县','甘肃省张掖市临泽县'),(2974,2969,3,'620724',99.816650000,39.376308000,2936,'甘肃省',2969,'0936','张掖市','高台县','高台县','甘肃省张掖市高台县'),(2975,2969,3,'620725',101.088442000,38.784839000,2936,'甘肃省',2969,'0936','张掖市','山丹县','山丹县','甘肃省张掖市山丹县'),(2976,2936,2,'620800',106.684691000,35.542790000,2936,'甘肃省',2976,'0933','平凉市','平凉市','','甘肃省平凉市'),(2977,2976,3,'620802',106.684223000,35.541730000,2936,'甘肃省',2976,'0933','平凉市','崆峒区','崆峒区','甘肃省平凉市崆峒区');
INSERT INTO `region` VALUES (2978,2976,3,'620821',107.365218000,35.335283000,2936,'甘肃省',2976,'0933','平凉市','泾川县','泾川县','甘肃省平凉市泾川县'),(2979,2976,3,'620822',107.620587000,35.064009000,2936,'甘肃省',2976,'0933','平凉市','灵台县','灵台县','甘肃省平凉市灵台县'),(2980,2976,3,'620823',107.031253000,35.304533000,2936,'甘肃省',2976,'0933','平凉市','崇信县','崇信县','甘肃省平凉市崇信县'),(2981,2976,3,'620824',106.649308000,35.215342000,2936,'甘肃省',2976,'0933','平凉市','华亭县','华亭县','甘肃省平凉市华亭县'),(2982,2976,3,'620825',106.041979000,35.203428000,2936,'甘肃省',2976,'0933','平凉市','庄浪县','庄浪县','甘肃省平凉市庄浪县'),(2983,2976,3,'620826',105.733489000,35.525243000,2936,'甘肃省',2976,'0933','平凉市','静宁县','静宁县','甘肃省平凉市静宁县'),(2984,2936,2,'620900',98.510795000,39.744023000,2936,'甘肃省',2984,'0937','酒泉市','酒泉市','','甘肃省酒泉市'),(2985,2984,3,'620902',98.511155000,39.743858000,2936,'甘肃省',2984,'0937','酒泉市','肃州区','肃州区','甘肃省酒泉市肃州区'),(2986,2984,3,'620921',98.902959000,39.983036000,2936,'甘肃省',2984,'0937','酒泉市','金塔县','金塔县','甘肃省酒泉市金塔县'),(2987,2984,3,'620922',95.780591000,40.516525000,2936,'甘肃省',2984,'0937','酒泉市','瓜州县','瓜州县','甘肃省酒泉市瓜州县'),(2988,2984,3,'620923',94.877280000,39.512240000,2936,'甘肃省',2984,'0937','酒泉市','肃北蒙古族自治县','肃北蒙古族自治县','甘肃省酒泉市肃北蒙古族自治县'),(2989,2984,3,'620924',94.337642000,39.631642000,2936,'甘肃省',2984,'0937','酒泉市','阿克塞哈萨克族自治县','阿克塞哈萨克族自治县','甘肃省酒泉市阿克塞哈萨克族自治县'),(2990,2984,3,'620981',97.037206000,40.286820000,2936,'甘肃省',2984,'0937','酒泉市','玉门市','玉门市','甘肃省酒泉市玉门市'),(2991,2984,3,'620982',94.664279000,40.141119000,2936,'甘肃省',2984,'0937','酒泉市','敦煌市','敦煌市','甘肃省酒泉市敦煌市'),(2992,2936,2,'621000',107.638372000,35.734218000,2936,'甘肃省',2992,'0934','庆阳市','庆阳市','','甘肃省庆阳市'),(2993,2992,3,'621002',107.638824000,35.733713000,2936,'甘肃省',2992,'0934','庆阳市','西峰区','西峰区','甘肃省庆阳市西峰区'),(2994,2992,3,'621021',107.885664000,36.013504000,2936,'甘肃省',2992,'0934','庆阳市','庆城县','庆城县','甘肃省庆阳市庆城县'),(2995,2992,3,'621022',107.308754000,36.569322000,2936,'甘肃省',2992,'0934','庆阳市','环县','环县','甘肃省庆阳市环县'),(2996,2992,3,'621023',107.986288000,36.457304000,2936,'甘肃省',2992,'0934','庆阳市','华池县','华池县','甘肃省庆阳市华池县'),(2997,2992,3,'621024',108.019865000,35.819005000,2936,'甘肃省',2992,'0934','庆阳市','合水县','合水县','甘肃省庆阳市合水县'),(2998,2992,3,'621025',108.361068000,35.490642000,2936,'甘肃省',2992,'0934','庆阳市','正宁县','正宁县','甘肃省庆阳市正宁县'),(2999,2992,3,'621026',107.921182000,35.502010000,2936,'甘肃省',2992,'0934','庆阳市','宁县','宁县','甘肃省庆阳市宁县'),(3000,2992,3,'621027',107.195706000,35.677806000,2936,'甘肃省',2992,'0934','庆阳市','镇原县','镇原县','甘肃省庆阳市镇原县'),(3001,2936,2,'621100',104.626294000,35.579578000,2936,'甘肃省',3001,'0932','定西市','定西市','','甘肃省定西市'),(3002,3001,3,'621102',104.625770000,35.579764000,2936,'甘肃省',3001,'0932','定西市','安定区','安定区','甘肃省定西市安定区'),(3003,3001,3,'621121',105.250102000,35.208922000,2936,'甘肃省',3001,'0932','定西市','通渭县','通渭县','甘肃省定西市通渭县'),(3004,3001,3,'621122',104.637554000,35.003409000,2936,'甘肃省',3001,'0932','定西市','陇西县','陇西县','甘肃省定西市陇西县'),(3005,3001,3,'621123',104.211742000,35.133023000,2936,'甘肃省',3001,'0932','定西市','渭源县','渭源县','甘肃省定西市渭源县'),(3006,3001,3,'621124',103.862186000,35.376233000,2936,'甘肃省',3001,'0932','定西市','临洮县','临洮县','甘肃省定西市临洮县'),(3007,3001,3,'621125',104.466756000,34.848642000,2936,'甘肃省',3001,'0932','定西市','漳县','漳县','甘肃省定西市漳县'),(3008,3001,3,'621126',104.039882000,34.439105000,2936,'甘肃省',3001,'0932','定西市','岷县','岷县','甘肃省定西市岷县'),(3009,2936,2,'621200',104.929379000,33.388598000,2936,'甘肃省',3009,'2935','陇南市','陇南市','','甘肃省陇南市'),(3010,3009,3,'621202',104.929866000,33.388155000,2936,'甘肃省',3009,'2935','陇南市','武都区','武都区','甘肃省陇南市武都区'),(3011,3009,3,'621221',105.734434000,33.739863000,2936,'甘肃省',3009,'2935','陇南市','成县','成县','甘肃省陇南市成县'),(3012,3009,3,'621222',104.682448000,32.942171000,2936,'甘肃省',3009,'2935','陇南市','文县','文县','甘肃省陇南市文县'),(3013,3009,3,'621223',104.394475000,34.042655000,2936,'甘肃省',3009,'2935','陇南市','宕昌县','宕昌县','甘肃省陇南市宕昌县'),(3014,3009,3,'621224',105.609534000,33.328266000,2936,'甘肃省',3009,'2935','陇南市','康县','康县','甘肃省陇南市康县'),(3015,3009,3,'621225',105.299737000,34.013718000,2936,'甘肃省',3009,'2935','陇南市','西和县','西和县','甘肃省陇南市西和县'),(3016,3009,3,'621226',105.181616000,34.189387000,2936,'甘肃省',3009,'2935','陇南市','礼县','礼县','甘肃省陇南市礼县'),(3017,3009,3,'621227',106.085632000,33.767785000,2936,'甘肃省',3009,'2935','陇南市','徽县','徽县','甘肃省陇南市徽县'),(3018,3009,3,'621228',106.306959000,33.910729000,2936,'甘肃省',3009,'2935','陇南市','两当县','两当县','甘肃省陇南市两当县'),(3019,2936,2,'622900',103.212006000,35.599446000,2936,'甘肃省',3019,'0930','临夏回族自治州','临夏回族自治州','','甘肃省临夏回族自治州'),(3020,3019,3,'622901',103.211634000,35.599410000,2936,'甘肃省',3019,'0930','临夏回族自治州','临夏市','临夏市','甘肃省临夏回族自治州临夏市'),(3021,3019,3,'622921',102.993873000,35.492360000,2936,'甘肃省',3019,'0930','临夏回族自治州','临夏县','临夏县','甘肃省临夏回族自治州临夏县'),(3022,3019,3,'622922',103.709852000,35.371906000,2936,'甘肃省',3019,'0930','临夏回族自治州','康乐县','康乐县','甘肃省临夏回族自治州康乐县'),(3023,3019,3,'622923',103.319871000,35.938933000,2936,'甘肃省',3019,'0930','临夏回族自治州','永靖县','永靖县','甘肃省临夏回族自治州永靖县'),(3024,3019,3,'622924',103.576188000,35.481688000,2936,'甘肃省',3019,'0930','临夏回族自治州','广河县','广河县','甘肃省临夏回族自治州广河县'),(3025,3019,3,'622925',103.350357000,35.425971000,2936,'甘肃省',3019,'0930','临夏回族自治州','和政县','和政县','甘肃省临夏回族自治州和政县'),(3026,3019,3,'622926',103.389568000,35.663830000,2936,'甘肃省',3019,'0930','临夏回族自治州','东乡族自治县','东乡族自治县','甘肃省临夏回族自治州东乡族自治县'),(3027,3019,3,'622927',102.877473000,35.712906000,2936,'甘肃省',3019,'0930','临夏回族自治州','积石山保安族东乡族撒拉族自治县','积石山保安族东乡族撒拉族自治县','甘肃省临夏回族自治州积石山保安族东乡族撒拉族自治县'),(3028,2936,2,'623000',102.911008000,34.986354000,2936,'甘肃省',3028,'0941','甘南藏族自治州','甘南藏族自治州','','甘肃省甘南藏族自治州'),(3029,3028,3,'623001',102.911490000,34.985973000,2936,'甘肃省',3028,'0941','甘南藏族自治州','合作市','合作市','甘肃省甘南藏族自治州合作市'),(3030,3028,3,'623021',103.353054000,34.691640000,2936,'甘肃省',3028,'0941','甘南藏族自治州','临潭县','临潭县','甘肃省甘南藏族自治州临潭县'),(3031,3028,3,'623022',103.508508000,34.588165000,2936,'甘肃省',3028,'0941','甘南藏族自治州','卓尼县','卓尼县','甘肃省甘南藏族自治州卓尼县'),(3032,3028,3,'623023',104.370271000,33.782964000,2936,'甘肃省',3028,'0941','甘南藏族自治州','舟曲县','舟曲县','甘肃省甘南藏族自治州舟曲县'),(3033,3028,3,'623024',103.221009000,34.055348000,2936,'甘肃省',3028,'0941','甘南藏族自治州','迭部县','迭部县','甘肃省甘南藏族自治州迭部县'),(3034,3028,3,'623025',102.075767000,33.998068000,2936,'甘肃省',3028,'0941','甘南藏族自治州','玛曲县','玛曲县','甘肃省甘南藏族自治州玛曲县'),(3035,3028,3,'623026',102.488495000,34.589591000,2936,'甘肃省',3028,'0941','甘南藏族自治州','碌曲县','碌曲县','甘肃省甘南藏族自治州碌曲县'),(3036,3028,3,'623027',102.520743000,35.200853000,2936,'甘肃省',3028,'0941','甘南藏族自治州','夏河县','夏河县','甘肃省甘南藏族自治州夏河县'),(3037,1,1,'630000',101.778916000,36.623178000,3037,'青海省',0,'','','青海省','','青海省'),(3038,3037,2,'630100',101.778916000,36.623178000,3037,'青海省',3038,'0971','西宁市','西宁市','','青海省西宁市'),(3039,3038,3,'630102',101.796095000,36.616043000,3037,'青海省',3038,'0971','西宁市','城东区','城东区','青海省西宁市城东区'),(3040,3038,3,'630103',101.784554000,36.621181000,3037,'青海省',3038,'0971','西宁市','城中区','城中区','青海省西宁市城中区'),(3041,3038,3,'630104',101.763649000,36.628323000,3037,'青海省',3038,'0971','西宁市','城西区','城西区','青海省西宁市城西区'),(3042,3038,3,'630105',101.761297000,36.648448000,3037,'青海省',3038,'0971','西宁市','城北区','城北区','青海省西宁市城北区'),(3043,3038,3,'630121',101.684183000,36.931343000,3037,'青海省',3038,'0971','西宁市','大通回族土族自治县','大通回族土族自治县','青海省西宁市大通回族土族自治县'),(3044,3038,3,'630122',101.569475000,36.500419000,3037,'青海省',3038,'0971','西宁市','湟中县','湟中县','青海省西宁市湟中县'),(3045,3038,3,'630123',101.263435000,36.684818000,3037,'青海省',3038,'0971','西宁市','湟源县','湟源县','青海省西宁市湟源县'),(3046,3037,2,'630200',102.103270000,36.502916000,3037,'青海省',3046,'0972','海东市','海东市','','青海省海东市'),(3047,3046,3,'630202',102.402431000,36.480291000,3037,'青海省',3046,'0972','海东市','乐都区','乐都区','青海省海东市乐都区'),(3048,3046,3,'630203',102.104295000,36.502714000,3037,'青海省',3046,'0972','海东市','平安区','平安区','青海省海东市平安区'),(3049,3046,3,'630222',102.804209000,36.329451000,3037,'青海省',3046,'0972','海东市','民和回族土族自治县','民和回族土族自治县','青海省海东市民和回族土族自治县'),(3050,3046,3,'630223',101.956734000,36.839940000,3037,'青海省',3046,'0972','海东市','互助土族自治县','互助土族自治县','青海省海东市互助土族自治县'),(3051,3046,3,'630224',102.262329000,36.098322000,3037,'青海省',3046,'0972','海东市','化隆回族自治县','化隆回族自治县','青海省海东市化隆回族自治县'),(3052,3046,3,'630225',102.486534000,35.847247000,3037,'青海省',3046,'0972','海东市','循化撒拉族自治县','循化撒拉族自治县','青海省海东市循化撒拉族自治县'),(3053,3037,2,'632200',100.901059000,36.959435000,3037,'青海省',3053,'0970','海北藏族自治州','海北藏族自治州','','青海省海北藏族自治州'),(3054,3053,3,'632221',101.618461000,37.376627000,3037,'青海省',3053,'0970','海北藏族自治州','门源回族自治县','门源回族自治县','青海省海北藏族自治州门源回族自治县'),(3055,3053,3,'632222',100.249778000,38.175409000,3037,'青海省',3053,'0970','海北藏族自治州','祁连县','祁连县','青海省海北藏族自治州祁连县'),(3056,3053,3,'632223',100.900490000,36.959542000,3037,'青海省',3053,'0970','海北藏族自治州','海晏县','海晏县','青海省海北藏族自治州海晏县'),(3057,3053,3,'632224',100.138417000,37.326263000,3037,'青海省',3053,'0970','海北藏族自治州','刚察县','刚察县','青海省海北藏族自治州刚察县'),(3058,3037,2,'632300',102.019988000,35.517744000,3037,'青海省',3058,'0973','黄南藏族自治州','黄南藏族自治州','','青海省黄南藏族自治州'),(3059,3058,3,'632321',102.017604000,35.516337000,3037,'青海省',3058,'0973','黄南藏族自治州','同仁县','同仁县','青海省黄南藏族自治州同仁县'),(3060,3058,3,'632322',102.031953000,35.938205000,3037,'青海省',3058,'0973','黄南藏族自治州','尖扎县','尖扎县','青海省黄南藏族自治州尖扎县'),(3061,3058,3,'632323',101.469343000,35.036842000,3037,'青海省',3058,'0973','黄南藏族自治州','泽库县','泽库县','青海省黄南藏族自治州泽库县'),(3062,3058,3,'632324',101.611877000,34.734522000,3037,'青海省',3058,'0973','黄南藏族自治州','河南蒙古族自治县','河南蒙古族自治县','青海省黄南藏族自治州河南蒙古族自治县'),(3063,3037,2,'632500',100.619542000,36.280353000,3037,'青海省',3063,'0974','海南藏族自治州','海南藏族自治州','','青海省海南藏族自治州'),(3064,3063,3,'632521',100.619597000,36.280286000,3037,'青海省',3063,'0974','海南藏族自治州','共和县','共和县','青海省海南藏族自治州共和县'),(3065,3063,3,'632522',100.579465000,35.254492000,3037,'青海省',3063,'0974','海南藏族自治州','同德县','同德县','青海省海南藏族自治州同德县'),(3066,3063,3,'632523',101.431856000,36.040456000,3037,'青海省',3063,'0974','海南藏族自治州','贵德县','贵德县','青海省海南藏族自治州贵德县'),(3067,3063,3,'632524',99.986963000,35.589090000,3037,'青海省',3063,'0974','海南藏族自治州','兴海县','兴海县','青海省海南藏族自治州兴海县'),(3068,3063,3,'632525',100.747920000,35.587085000,3037,'青海省',3063,'0974','海南藏族自治州','贵南县','贵南县','青海省海南藏族自治州贵南县'),(3069,3037,2,'632600',100.242143000,34.473600000,3037,'青海省',3069,'0975','果洛藏族自治州','果洛藏族自治州','','青海省果洛藏族自治州'),(3070,3069,3,'632621',100.243531000,34.473386000,3037,'青海省',3069,'0975','果洛藏族自治州','玛沁县','玛沁县','青海省果洛藏族自治州玛沁县'),(3071,3069,3,'632622',100.737955000,32.931589000,3037,'青海省',3069,'0975','果洛藏族自治州','班玛县','班玛县','青海省果洛藏族自治州班玛县'),(3072,3069,3,'632623',99.902589000,33.966987000,3037,'青海省',3069,'0975','果洛藏族自治州','甘德县','甘德县','青海省果洛藏族自治州甘德县'),(3073,3069,3,'632624',99.651715000,33.753259000,3037,'青海省',3069,'0975','果洛藏族自治州','达日县','达日县','青海省果洛藏族自治州达日县'),(3074,3069,3,'632625',101.484884000,33.430217000,3037,'青海省',3069,'0975','果洛藏族自治州','久治县','久治县','青海省果洛藏族自治州久治县'),(3075,3069,3,'632626',98.211343000,34.915280000,3037,'青海省',3069,'0975','果洛藏族自治州','玛多县','玛多县','青海省果洛藏族自治州玛多县'),(3076,3037,2,'632700',97.008522000,33.004049000,3037,'青海省',3076,'0976','玉树藏族自治州','玉树藏族自治州','','青海省玉树藏族自治州'),(3077,3076,3,'632701',97.008762000,33.003930000,3037,'青海省',3076,'0976','玉树藏族自治州','玉树市','玉树市','青海省玉树藏族自治州玉树市'),(3078,3076,3,'632722',95.293423000,32.891886000,3037,'青海省',3076,'0976','玉树藏族自治州','杂多县','杂多县','青海省玉树藏族自治州杂多县'),(3079,3076,3,'632723',97.110893000,33.367884000,3037,'青海省',3076,'0976','玉树藏族自治州','称多县','称多县','青海省玉树藏族自治州称多县'),(3080,3076,3,'632724',95.616843000,33.852322000,3037,'青海省',3076,'0976','玉树藏族自治州','治多县','治多县','青海省玉树藏族自治州治多县'),(3081,3076,3,'632725',96.479797000,32.203206000,3037,'青海省',3076,'0976','玉树藏族自治州','囊谦县','囊谦县','青海省玉树藏族自治州囊谦县'),(3082,3076,3,'632726',95.800674000,34.126540000,3037,'青海省',3076,'0976','玉树藏族自治州','曲麻莱县','曲麻莱县','青海省玉树藏族自治州曲麻莱县'),(3083,3037,2,'632800',97.370785000,37.374663000,3037,'青海省',3083,'0977','海西蒙古族藏族自治州','海西蒙古族藏族自治州','','青海省海西蒙古族藏族自治州'),(3084,3083,3,'632801',94.905777000,36.401541000,3037,'青海省',3083,'0977','海西蒙古族藏族自治州','格尔木市','格尔木市','青海省海西蒙古族藏族自治州格尔木市'),(3085,3083,3,'632802',97.370143000,37.374555000,3037,'青海省',3083,'0977','海西蒙古族藏族自治州','德令哈市','德令哈市','青海省海西蒙古族藏族自治州德令哈市'),(3086,3083,3,'632821',98.479852000,36.930389000,3037,'青海省',3083,'0977','海西蒙古族藏族自治州','乌兰县','乌兰县','青海省海西蒙古族藏族自治州乌兰县'),(3087,3083,3,'632822',98.089161000,36.298553000,3037,'青海省',3083,'0977','海西蒙古族藏族自治州','都兰县','都兰县','青海省海西蒙古族藏族自治州都兰县'),(3088,3083,3,'632823',99.020780000,37.299060000,3037,'青海省',3083,'0977','海西蒙古族藏族自治州','天峻县','天峻县','青海省海西蒙古族藏族自治州天峻县'),(3089,3083,3,'632825',95.357233000,37.853631000,3037,'青海省',3083,'0977','海西蒙古族藏族自治州','海西蒙古族藏族自治州直辖','海西蒙古族藏族自治州直辖','青海省海西蒙古族藏族自治州海西蒙古族藏族自治州直辖'),(3090,1,1,'640000',106.278179000,38.466370000,3090,'宁夏回族自治区',0,'','','宁夏回族自治区','','宁夏回族自治区'),(3091,3090,2,'640100',106.278179000,38.466370000,3090,'宁夏回族自治区',3091,'0951','银川市','银川市','','宁夏回族自治区银川市'),(3092,3091,3,'640104',106.278393000,38.467470000,3090,'宁夏回族自治区',3091,'0951','银川市','兴庆区','兴庆区','宁夏回族自治区银川市兴庆区'),(3093,3091,3,'640105',106.132116000,38.492424000,3090,'宁夏回族自治区',3091,'0951','银川市','西夏区','西夏区','宁夏回族自治区银川市西夏区'),(3094,3091,3,'640106',106.228486000,38.477353000,3090,'宁夏回族自治区',3091,'0951','银川市','金凤区','金凤区','宁夏回族自治区银川市金凤区'),(3095,3091,3,'640121',106.253781000,38.280430000,3090,'宁夏回族自治区',3091,'0951','银川市','永宁县','永宁县','宁夏回族自治区银川市永宁县'),(3096,3091,3,'640122',106.345904000,38.554563000,3090,'宁夏回族自治区',3091,'0951','银川市','贺兰县','贺兰县','宁夏回族自治区银川市贺兰县'),(3097,3091,3,'640181',106.334701000,38.094058000,3090,'宁夏回族自治区',3091,'0951','银川市','灵武市','灵武市','宁夏回族自治区银川市灵武市'),(3098,3090,2,'640200',106.376173000,39.013330000,3090,'宁夏回族自治区',3098,'0952','石嘴山市','石嘴山市','','宁夏回族自治区石嘴山市'),(3099,3098,3,'640202',106.376651000,39.014158000,3090,'宁夏回族自治区',3098,'0952','石嘴山市','大武口区','大武口区','宁夏回族自治区石嘴山市大武口区'),(3100,3098,3,'640205',106.775513000,39.230094000,3090,'宁夏回族自治区',3098,'0952','石嘴山市','惠农区','惠农区','宁夏回族自治区石嘴山市惠农区'),(3101,3098,3,'640221',106.544890000,38.906740000,3090,'宁夏回族自治区',3098,'0952','石嘴山市','平罗县','平罗县','宁夏回族自治区石嘴山市平罗县'),(3102,3090,2,'640300',106.199409000,37.986165000,3090,'宁夏回族自治区',3102,'0953','吴忠市','吴忠市','','宁夏回族自治区吴忠市'),(3103,3102,3,'640302',106.199419000,37.985967000,3090,'宁夏回族自治区',3102,'0953','吴忠市','利通区','利通区','宁夏回族自治区吴忠市利通区'),(3104,3102,3,'640303',106.067315000,37.421616000,3090,'宁夏回族自治区',3102,'0953','吴忠市','红寺堡区','红寺堡区','宁夏回族自治区吴忠市红寺堡区'),(3105,3102,3,'640323',107.405410000,37.784222000,3090,'宁夏回族自治区',3102,'0953','吴忠市','盐池县','盐池县','宁夏回族自治区吴忠市盐池县'),(3106,3102,3,'640324',105.914764000,36.982900000,3090,'宁夏回族自治区',3102,'0953','吴忠市','同心县','同心县','宁夏回族自治区吴忠市同心县'),(3107,3102,3,'640381',106.075395000,38.021509000,3090,'宁夏回族自治区',3102,'0953','吴忠市','青铜峡市','青铜峡市','宁夏回族自治区吴忠市青铜峡市'),(3108,3090,2,'640400',106.285241000,36.004561000,3090,'宁夏回族自治区',3108,'0954','固原市','固原市','','宁夏回族自治区固原市'),(3109,3108,3,'640402',106.284770000,36.005337000,3090,'宁夏回族自治区',3108,'0954','固原市','原州区','原州区','宁夏回族自治区固原市原州区'),(3110,3108,3,'640422',105.731801000,35.965384000,3090,'宁夏回族自治区',3108,'0954','固原市','西吉县','西吉县','宁夏回族自治区固原市西吉县'),(3111,3108,3,'640423',106.123440000,35.618234000,3090,'宁夏回族自治区',3108,'0954','固原市','隆德县','隆德县','宁夏回族自治区固原市隆德县'),(3112,3108,3,'640424',106.338674000,35.493440000,3090,'宁夏回族自治区',3108,'0954','固原市','泾源县','泾源县','宁夏回族自治区固原市泾源县'),(3113,3108,3,'640425',106.641512000,35.849975000,3090,'宁夏回族自治区',3108,'0954','固原市','彭阳县','彭阳县','宁夏回族自治区固原市彭阳县'),(3114,3090,2,'640500',105.189568000,37.514951000,3090,'宁夏回族自治区',3114,'1953','中卫市','中卫市','','宁夏回族自治区中卫市'),(3115,3114,3,'640502',105.190536000,37.514564000,3090,'宁夏回族自治区',3114,'1953','中卫市','沙坡头区','沙坡头区','宁夏回族自治区中卫市沙坡头区'),(3116,3114,3,'640521',105.675784000,37.489736000,3090,'宁夏回族自治区',3114,'1953','中卫市','中宁县','中宁县','宁夏回族自治区中卫市中宁县'),(3117,3114,3,'640522',105.647323000,36.562007000,3090,'宁夏回族自治区',3114,'1953','中卫市','海原县','海原县','宁夏回族自治区中卫市海原县'),(3118,1,1,'650000',87.617733000,43.792818000,3118,'新疆维吾尔自治区',0,'','','新疆维吾尔自治区','','新疆维吾尔自治区'),(3119,3118,2,'650100',87.617733000,43.792818000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','乌鲁木齐市','','新疆维吾尔自治区乌鲁木齐市'),(3120,3119,3,'650102',87.620116000,43.796428000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','天山区','天山区','新疆维吾尔自治区乌鲁木齐市天山区'),(3121,3119,3,'650103',87.596639000,43.788872000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','沙依巴克区','沙依巴克区','新疆维吾尔自治区乌鲁木齐市沙依巴克区'),(3122,3119,3,'650104',87.560653000,43.870882000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','新市区','新市区','新疆维吾尔自治区乌鲁木齐市新市区'),(3123,3119,3,'650105',87.613093000,43.816747000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','水磨沟区','水磨沟区','新疆维吾尔自治区乌鲁木齐市水磨沟区'),(3124,3119,3,'650106',87.425823000,43.876053000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','头屯河区','头屯河区','新疆维吾尔自治区乌鲁木齐市头屯河区'),(3125,3119,3,'650107',88.309940000,43.361810000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','达坂城区','达坂城区','新疆维吾尔自治区乌鲁木齐市达坂城区'),(3126,3119,3,'650109',87.691801000,43.960982000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','米东区','米东区','新疆维吾尔自治区乌鲁木齐市米东区'),(3127,3119,3,'650121',87.505603000,43.982546000,3118,'新疆维吾尔自治区',3119,'0991','乌鲁木齐市','乌鲁木齐县','乌鲁木齐县','新疆维吾尔自治区乌鲁木齐市乌鲁木齐县'),(3128,3118,2,'650200',84.873946000,45.595886000,3118,'新疆维吾尔自治区',3128,'0990','克拉玛依市','克拉玛依市','','新疆维吾尔自治区克拉玛依市'),(3129,3128,3,'650202',84.882267000,44.327207000,3118,'新疆维吾尔自治区',3128,'0990','克拉玛依市','独山子区','独山子区','新疆维吾尔自治区克拉玛依市独山子区'),(3130,3128,3,'650203',84.868918000,45.600477000,3118,'新疆维吾尔自治区',3128,'0990','克拉玛依市','克拉玛依区','克拉玛依区','新疆维吾尔自治区克拉玛依市克拉玛依区'),(3131,3128,3,'650204',85.129882000,45.689021000,3118,'新疆维吾尔自治区',3128,'0990','克拉玛依市','白碱滩区','白碱滩区','新疆维吾尔自治区克拉玛依市白碱滩区'),(3132,3128,3,'650205',85.697767000,46.087760000,3118,'新疆维吾尔自治区',3128,'0990','克拉玛依市','乌尔禾区','乌尔禾区','新疆维吾尔自治区克拉玛依市乌尔禾区'),(3133,3118,2,'650400',89.184078000,42.947613000,3118,'新疆维吾尔自治区',3133,'0995','吐鲁番市','吐鲁番市','','新疆维吾尔自治区吐鲁番市'),(3134,3133,3,'650402',89.182324000,42.947627000,3118,'新疆维吾尔自治区',3133,'0995','吐鲁番市','高昌区','高昌区','新疆维吾尔自治区吐鲁番市高昌区'),(3135,3133,3,'650421',90.212692000,42.865503000,3118,'新疆维吾尔自治区',3133,'0995','吐鲁番市','鄯善县','鄯善县','新疆维吾尔自治区吐鲁番市鄯善县'),(3136,3133,3,'650422',88.655771000,42.793536000,3118,'新疆维吾尔自治区',3133,'0995','吐鲁番市','托克逊县','托克逊县','新疆维吾尔自治区吐鲁番市托克逊县'),(3137,3118,2,'650500',93.513160000,42.833248000,3118,'新疆维吾尔自治区',3137,'0902','哈密市','哈密市','','新疆维吾尔自治区哈密市'),(3138,3137,3,'650502',93.509174000,42.833888000,3118,'新疆维吾尔自治区',3137,'0902','哈密市','伊州区','伊州区','新疆维吾尔自治区哈密市伊州区'),(3139,3137,3,'650521',93.021795000,43.599032000,3118,'新疆维吾尔自治区',3137,'0902','哈密市','巴里坤哈萨克自治县','巴里坤哈萨克自治县','新疆维吾尔自治区哈密市巴里坤哈萨克自治县'),(3140,3137,3,'650522',94.692773000,43.252012000,3118,'新疆维吾尔自治区',3137,'0902','哈密市','伊吾县','伊吾县','新疆维吾尔自治区哈密市伊吾县'),(3141,3118,2,'652300',87.304012000,44.014577000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','昌吉回族自治州','','新疆维吾尔自治区昌吉回族自治州'),(3142,3141,3,'652301',87.304112000,44.013183000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','昌吉市','昌吉市','新疆维吾尔自治区昌吉回族自治州昌吉市'),(3143,3141,3,'652302',87.983840000,44.152153000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','阜康市','阜康市','新疆维吾尔自治区昌吉回族自治州阜康市'),(3144,3141,3,'652323',86.888613000,44.189342000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','呼图壁县','呼图壁县','新疆维吾尔自治区昌吉回族自治州呼图壁县'),(3145,3141,3,'652324',86.217687000,44.305625000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','玛纳斯县','玛纳斯县','新疆维吾尔自治区昌吉回族自治州玛纳斯县'),(3146,3141,3,'652325',89.591437000,44.021996000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','奇台县','奇台县','新疆维吾尔自治区昌吉回族自治州奇台县'),(3147,3141,3,'652327',89.181288000,43.997162000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','吉木萨尔县','吉木萨尔县','新疆维吾尔自治区昌吉回族自治州吉木萨尔县'),(3148,3141,3,'652328',90.282833000,43.832442000,3118,'新疆维吾尔自治区',3141,'0994','昌吉回族自治州','木垒哈萨克自治县','木垒哈萨克自治县','新疆维吾尔自治区昌吉回族自治州木垒哈萨克自治县'),(3149,3118,2,'652700',82.074778000,44.903258000,3118,'新疆维吾尔自治区',3149,'0909','博尔塔拉蒙古自治州','博尔塔拉蒙古自治州','','新疆维吾尔自治区博尔塔拉蒙古自治州'),(3150,3149,3,'652701',82.072237000,44.903087000,3118,'新疆维吾尔自治区',3149,'0909','博尔塔拉蒙古自治州','博乐市','博乐市','新疆维吾尔自治区博尔塔拉蒙古自治州博乐市'),(3151,3149,3,'652702',82.569389000,45.167770000,3118,'新疆维吾尔自治区',3149,'0909','博尔塔拉蒙古自治州','阿拉山口市','阿拉山口市','新疆维吾尔自治区博尔塔拉蒙古自治州阿拉山口市'),(3152,3149,3,'652722',82.892938000,44.605645000,3118,'新疆维吾尔自治区',3149,'0909','博尔塔拉蒙古自治州','精河县','精河县','新疆维吾尔自治区博尔塔拉蒙古自治州精河县'),(3153,3149,3,'652723',81.030990000,44.973751000,3118,'新疆维吾尔自治区',3149,'0909','博尔塔拉蒙古自治州','温泉县','温泉县','新疆维吾尔自治区博尔塔拉蒙古自治州温泉县'),(3154,3118,2,'652800',86.150969000,41.768552000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','巴音郭楞蒙古自治州','','新疆维吾尔自治区巴音郭楞蒙古自治州'),(3155,3154,3,'652801',86.145948000,41.763122000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','库尔勒市','库尔勒市','新疆维吾尔自治区巴音郭楞蒙古自治州库尔勒市'),(3156,3154,3,'652822',84.248542000,41.781266000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','轮台县','轮台县','新疆维吾尔自治区巴音郭楞蒙古自治州轮台县'),(3157,3154,3,'652823',86.263412000,41.337428000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','尉犁县','尉犁县','新疆维吾尔自治区巴音郭楞蒙古自治州尉犁县'),(3158,3154,3,'652824',88.168807000,39.023807000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','若羌县','若羌县','新疆维吾尔自治区巴音郭楞蒙古自治州若羌县'),(3159,3154,3,'652825',85.532629000,38.138562000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','且末县','且末县','新疆维吾尔自治区巴音郭楞蒙古自治州且末县'),(3160,3154,3,'652826',86.569800000,42.064349000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','焉耆回族自治县','焉耆回族自治县','新疆维吾尔自治区巴音郭楞蒙古自治州焉耆回族自治县'),(3161,3154,3,'652827',86.391067000,42.317160000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','和静县','和静县','新疆维吾尔自治区巴音郭楞蒙古自治州和静县'),(3162,3154,3,'652828',86.864947000,42.268863000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','和硕县','和硕县','新疆维吾尔自治区巴音郭楞蒙古自治州和硕县'),(3163,3154,3,'652829',86.631576000,41.980166000,3118,'新疆维吾尔自治区',3154,'0996','巴音郭楞蒙古自治州','博湖县','博湖县','新疆维吾尔自治区巴音郭楞蒙古自治州博湖县'),(3164,3118,2,'652900',80.265068000,41.170712000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','阿克苏地区','','新疆维吾尔自治区阿克苏地区'),(3165,3164,3,'652901',80.262900000,41.171272000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','阿克苏市','阿克苏市','新疆维吾尔自治区阿克苏地区阿克苏市'),(3166,3164,3,'652922',80.243273000,41.272995000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','温宿县','温宿县','新疆维吾尔自治区阿克苏地区温宿县'),(3167,3164,3,'652923',82.963040000,41.717141000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','库车县','库车县','新疆维吾尔自治区阿克苏地区库车县'),(3168,3164,3,'652924',82.780770000,41.226268000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','沙雅县','沙雅县','新疆维吾尔自治区阿克苏地区沙雅县'),(3169,3164,3,'652925',82.610828000,41.551176000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','新和县','新和县','新疆维吾尔自治区阿克苏地区新和县'),(3170,3164,3,'652926',81.869881000,41.796101000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','拜城县','拜城县','新疆维吾尔自治区阿克苏地区拜城县'),(3171,3164,3,'652927',79.230805000,41.215870000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','乌什县','乌什县','新疆维吾尔自治区阿克苏地区乌什县'),(3172,3164,3,'652928',80.378426000,40.638422000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','阿瓦提县','阿瓦提县','新疆维吾尔自治区阿克苏地区阿瓦提县'),(3173,3164,3,'652929',79.047850000,40.506240000,3118,'新疆维吾尔自治区',3164,'0997','阿克苏地区','柯坪县','柯坪县','新疆维吾尔自治区阿克苏地区柯坪县'),(3174,3118,2,'653000',76.172825000,39.713431000,3118,'新疆维吾尔自治区',3174,'0908','克孜勒苏柯尔克孜自治州','克孜勒苏柯尔克孜自治州','','新疆维吾尔自治区克孜勒苏柯尔克孜自治州'),(3175,3174,3,'653001',76.173939000,39.712898000,3118,'新疆维吾尔自治区',3174,'0908','克孜勒苏柯尔克孜自治州','阿图什市','阿图什市','新疆维吾尔自治区克孜勒苏柯尔克孜自治州阿图什市'),(3176,3174,3,'653022',75.945159000,39.147079000,3118,'新疆维吾尔自治区',3174,'0908','克孜勒苏柯尔克孜自治州','阿克陶县','阿克陶县','新疆维吾尔自治区克孜勒苏柯尔克孜自治州阿克陶县'),(3177,3174,3,'653023',78.450164000,40.937567000,3118,'新疆维吾尔自治区',3174,'0908','克孜勒苏柯尔克孜自治州','阿合奇县','阿合奇县','新疆维吾尔自治区克孜勒苏柯尔克孜自治州阿合奇县'),(3178,3174,3,'653024',75.259690000,39.716633000,3118,'新疆维吾尔自治区',3174,'0908','克孜勒苏柯尔克孜自治州','乌恰县','乌恰县','新疆维吾尔自治区克孜勒苏柯尔克孜自治州乌恰县'),(3179,3118,2,'653100',75.989138000,39.467664000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','喀什地区','','新疆维吾尔自治区喀什地区'),(3180,3179,3,'653101',75.988380000,39.467861000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','喀什市','喀什市','新疆维吾尔自治区喀什地区喀什市'),(3181,3179,3,'653121',75.863075000,39.378306000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','疏附县','疏附县','新疆维吾尔自治区喀什地区疏附县'),(3182,3179,3,'653122',76.053653000,39.399461000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','疏勒县','疏勒县','新疆维吾尔自治区喀什地区疏勒县'),(3183,3179,3,'653123',76.174292000,38.929839000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','英吉沙县','英吉沙县','新疆维吾尔自治区喀什地区英吉沙县'),(3184,3179,3,'653124',77.273593000,38.191217000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','泽普县','泽普县','新疆维吾尔自治区喀什地区泽普县'),(3185,3179,3,'653125',77.248884000,38.414499000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','莎车县','莎车县','新疆维吾尔自治区喀什地区莎车县'),(3186,3179,3,'653126',77.420353000,37.884679000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','叶城县','叶城县','新疆维吾尔自治区喀什地区叶城县'),(3187,3179,3,'653127',77.651538000,38.903384000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','麦盖提县','麦盖提县','新疆维吾尔自治区喀什地区麦盖提县'),(3188,3179,3,'653128',76.772400000,39.235248000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','岳普湖县','岳普湖县','新疆维吾尔自治区喀什地区岳普湖县'),(3189,3179,3,'653129',76.741982000,39.494325000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','伽师县','伽师县','新疆维吾尔自治区喀什地区伽师县'),(3190,3179,3,'653130',78.550410000,39.783479000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','巴楚县','巴楚县','新疆维吾尔自治区喀什地区巴楚县'),(3191,3179,3,'653131',75.228068000,37.775437000,3118,'新疆维吾尔自治区',3179,'0998','喀什地区','塔什库尔干塔吉克自治县','塔什库尔干塔吉克自治县','新疆维吾尔自治区喀什地区塔什库尔干塔吉克自治县'),(3192,3118,2,'653200',79.925330000,37.110687000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','和田地区','','新疆维吾尔自治区和田地区'),(3193,3192,3,'653201',79.927542000,37.108944000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','和田市','和田市','新疆维吾尔自治区和田地区和田市'),(3194,3192,3,'653221',79.819070000,37.120031000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','和田县','和田县','新疆维吾尔自治区和田地区和田县'),(3195,3192,3,'653222',79.736629000,37.271511000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','墨玉县','墨玉县','新疆维吾尔自治区和田地区墨玉县'),(3196,3192,3,'653223',78.282301000,37.616332000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','皮山县','皮山县','新疆维吾尔自治区和田地区皮山县'),(3197,3192,3,'653224',80.184038000,37.074377000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','洛浦县','洛浦县','新疆维吾尔自治区和田地区洛浦县'),(3198,3192,3,'653225',80.803572000,37.001672000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','策勒县','策勒县','新疆维吾尔自治区和田地区策勒县'),(3199,3192,3,'653226',81.667845000,36.854628000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','于田县','于田县','新疆维吾尔自治区和田地区于田县'),(3200,3192,3,'653227',82.692354000,37.064909000,3118,'新疆维吾尔自治区',3192,'0903','和田地区','民丰县','民丰县','新疆维吾尔自治区和田地区民丰县'),(3201,3118,2,'654000',81.317946000,43.921860000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','伊犁哈萨克自治州','','新疆维吾尔自治区伊犁哈萨克自治州'),(3202,3201,3,'654002',81.316343000,43.922209000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','伊宁市','伊宁市','新疆维吾尔自治区伊犁哈萨克自治州伊宁市'),(3203,3201,3,'654003',84.901602000,44.423445000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','奎屯市','奎屯市','新疆维吾尔自治区伊犁哈萨克自治州奎屯市'),(3204,3201,3,'654004',80.420759000,44.201669000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','霍尔果斯市','霍尔果斯市','新疆维吾尔自治区伊犁哈萨克自治州霍尔果斯市'),(3205,3201,3,'654021',81.524671000,43.977876000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','伊宁县','伊宁县','新疆维吾尔自治区伊犁哈萨克自治州伊宁县'),(3206,3201,3,'654022',81.150874000,43.838883000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','察布查尔锡伯自治县','察布查尔锡伯自治县','新疆维吾尔自治区伊犁哈萨克自治州察布查尔锡伯自治县'),(3207,3201,3,'654023',80.872508000,44.049912000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','霍城县','霍城县','新疆维吾尔自治区伊犁哈萨克自治州霍城县'),(3208,3201,3,'654024',82.227044000,43.481618000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','巩留县','巩留县','新疆维吾尔自治区伊犁哈萨克自治州巩留县'),(3209,3201,3,'654025',83.258493000,43.434249000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','新源县','新源县','新疆维吾尔自治区伊犁哈萨克自治州新源县'),(3210,3201,3,'654026',81.126029000,43.157765000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','昭苏县','昭苏县','新疆维吾尔自治区伊犁哈萨克自治州昭苏县'),(3211,3201,3,'654027',81.840058000,43.214861000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','特克斯县','特克斯县','新疆维吾尔自治区伊犁哈萨克自治州特克斯县'),(3212,3201,3,'654028',82.504119000,43.789737000,3118,'新疆维吾尔自治区',3201,'0999','伊犁哈萨克自治州','尼勒克县','尼勒克县','新疆维吾尔自治区伊犁哈萨克自治州尼勒克县'),(3213,3118,2,'654200',82.985732000,46.746301000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','塔城地区','','新疆维吾尔自治区塔城地区'),(3214,3213,3,'654201',82.983988000,46.746281000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','塔城市','塔城市','新疆维吾尔自治区塔城地区塔城市'),(3215,3213,3,'654202',84.677624000,44.430115000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','乌苏市','乌苏市','新疆维吾尔自治区塔城地区乌苏市'),(3216,3213,3,'654221',83.622118000,46.522555000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','额敏县','额敏县','新疆维吾尔自治区塔城地区额敏县'),(3217,3213,3,'654223',85.622508000,44.329544000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','沙湾县','沙湾县','新疆维吾尔自治区塔城地区沙湾县'),(3218,3213,3,'654224',83.604690000,45.935863000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','托里县','托里县','新疆维吾尔自治区塔城地区托里县'),(3219,3213,3,'654225',82.982157000,46.202781000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','裕民县','裕民县','新疆维吾尔自治区塔城地区裕民县'),(3220,3213,3,'654226',85.733551000,46.793001000,3118,'新疆维吾尔自治区',3213,'0901','塔城地区','和布克赛尔蒙古自治县','和布克赛尔蒙古自治县','新疆维吾尔自治区塔城地区和布克赛尔蒙古自治县'),(3221,3118,2,'654300',88.139630000,47.848393000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','阿勒泰地区','','新疆维吾尔自治区阿勒泰地区'),(3222,3221,3,'654301',88.138743000,47.848911000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','阿勒泰市','阿勒泰市','新疆维吾尔自治区阿勒泰地区阿勒泰市'),(3223,3221,3,'654321',86.861860000,47.704530000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','布尔津县','布尔津县','新疆维吾尔自治区阿勒泰地区布尔津县'),(3224,3221,3,'654322',89.524993000,46.993106000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','富蕴县','富蕴县','新疆维吾尔自治区阿勒泰地区富蕴县'),(3225,3221,3,'654323',87.494569000,47.113128000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','福海县','福海县','新疆维吾尔自治区阿勒泰地区福海县'),(3226,3221,3,'654324',86.418964000,48.059284000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','哈巴河县','哈巴河县','新疆维吾尔自治区阿勒泰地区哈巴河县'),(3227,3221,3,'654325',90.381561000,46.672446000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','青河县','青河县','新疆维吾尔自治区阿勒泰地区青河县'),(3228,3221,3,'654326',85.876064000,47.434633000,3118,'新疆维吾尔自治区',3221,'0906','阿勒泰地区','吉木乃县','吉木乃县','新疆维吾尔自治区阿勒泰地区吉木乃县'),(3229,3118,2,'659001',86.041075000,44.305886000,3118,'新疆维吾尔自治区',3229,'0993','石河子市','石河子市','','新疆维吾尔自治区石河子市'),(3230,3118,2,'659002',81.285884000,40.541914000,3118,'新疆维吾尔自治区',3230,'1997','阿拉尔市','阿拉尔市','','新疆维吾尔自治区阿拉尔市'),(3231,3118,2,'659003',79.077978000,39.867316000,3118,'新疆维吾尔自治区',3231,'1998','图木舒克市','图木舒克市','','新疆维吾尔自治区图木舒克市'),(3232,3118,2,'659004',87.526884000,44.167401000,3118,'新疆维吾尔自治区',3232,'1994','五家渠市','五家渠市','','新疆维吾尔自治区五家渠市'),(3233,3118,2,'659005',87.824932000,47.353177000,3118,'新疆维吾尔自治区',3233,'1906','北屯市','北屯市','','新疆维吾尔自治区北屯市'),(3234,3118,2,'659006',85.501218000,41.827251000,3118,'新疆维吾尔自治区',3234,'1996','铁门关市','铁门关市','','新疆维吾尔自治区铁门关市'),(3235,3118,2,'659007',82.353656000,44.840524000,3118,'新疆维吾尔自治区',3235,'1909','双河市','双河市','','新疆维吾尔自治区双河市'),(3236,3118,2,'659008',80.635790000,43.683200000,3118,'新疆维吾尔自治区',3236,'1999','可克达拉市','可克达拉市','','新疆维吾尔自治区可克达拉市'),(3237,3118,2,'659009',79.287372000,37.207994000,3118,'新疆维吾尔自治区',3237,'1903','昆玉市','昆玉市','','新疆维吾尔自治区昆玉市'),(3238,1,1,'710000',121.509062000,25.044332000,3238,'台湾省',0,'1886','','台湾省','','台湾省'),(3239,1,1,'810000',114.173355000,22.320048000,3239,'香港特别行政区',0,'1852','','香港特别行政区','','香港特别行政区'),(3240,3239,2,'810001',114.154334000,22.281931000,3239,'香港特别行政区',3240,'1852','中西区','中西区','','香港特别行政区中西区'),(3241,3239,2,'810002',114.182990000,22.276345000,3239,'香港特别行政区',3241,'1852','湾仔区','湾仔区','','香港特别行政区湾仔区'),(3242,3239,2,'810003',114.225965000,22.279779000,3239,'香港特别行政区',3242,'1852','东区','东区','','香港特别行政区东区'),(3243,3239,2,'810004',114.160023000,22.245811000,3239,'香港特别行政区',3243,'1852','南区','南区','','香港特别行政区南区'),(3244,3239,2,'810005',114.173347000,22.311632000,3239,'香港特别行政区',3244,'1852','油尖旺区','油尖旺区','','香港特别行政区油尖旺区'),(3245,3239,2,'810006',114.163349000,22.333775000,3239,'香港特别行政区',3245,'1852','深水埗区','深水埗区','','香港特别行政区深水埗区'),(3246,3239,2,'810007',114.193047000,22.312373000,3239,'香港特别行政区',3246,'1852','九龙城区','九龙城区','','香港特别行政区九龙城区'),(3247,3239,2,'810008',114.203985000,22.336112000,3239,'香港特别行政区',3247,'1852','黄大仙区','黄大仙区','','香港特别行政区黄大仙区'),(3248,3239,2,'810009',114.214083000,22.320679000,3239,'香港特别行政区',3248,'1852','观塘区','观塘区','','香港特别行政区观塘区'),(3249,3239,2,'810010',114.121234000,22.368458000,3239,'香港特别行政区',3249,'1852','荃湾区','荃湾区','','香港特别行政区荃湾区'),(3250,3239,2,'810011',113.976308000,22.393896000,3239,'香港特别行政区',3250,'1852','屯门区','屯门区','','香港特别行政区屯门区'),(3251,3239,2,'810012',114.032528000,22.441320000,3239,'香港特别行政区',3251,'1852','元朗区','元朗区','','香港特别行政区元朗区'),(3252,3239,2,'810013',114.147404000,22.496143000,3239,'香港特别行政区',3252,'1852','北区','北区','','香港特别行政区北区'),(3253,3239,2,'810014',114.171713000,22.445730000,3239,'香港特别行政区',3253,'1852','大埔区','大埔区','','香港特别行政区大埔区'),(3254,3239,2,'810015',114.264813000,22.314203000,3239,'香港特别行政区',3254,'1852','西贡区','西贡区','','香港特别行政区西贡区'),(3255,3239,2,'810016',114.195126000,22.379715000,3239,'香港特别行政区',3255,'1852','沙田区','沙田区','','香港特别行政区沙田区'),(3256,3239,2,'810017',114.139180000,22.363908000,3239,'香港特别行政区',3256,'1852','葵青区','葵青区','','香港特别行政区葵青区'),(3257,3239,2,'810018',113.946059000,22.286371000,3239,'香港特别行政区',3257,'1852','离岛区','离岛区','','香港特别行政区离岛区'),(3258,1,1,'820000',113.549090000,22.198951000,3258,'澳门特别行政区',0,'1853','','澳门特别行政区','','澳门特别行政区'),(3259,3258,2,'820001',113.552965000,22.207882000,3258,'澳门特别行政区',3259,'1853','花地玛堂区','花地玛堂区','','澳门特别行政区花地玛堂区'),(3260,3258,2,'820002',113.549052000,22.199175000,3258,'澳门特别行政区',3260,'1853','花王堂区','花王堂区','','澳门特别行政区花王堂区'),(3261,3258,2,'820003',113.550252000,22.193791000,3258,'澳门特别行政区',3261,'1853','望德堂区','望德堂区','','澳门特别行政区望德堂区'),(3262,3258,2,'820004',113.553740000,22.188119000,3258,'澳门特别行政区',3262,'1853','大堂区','大堂区','','澳门特别行政区大堂区'),(3263,3258,2,'820005',113.541670000,22.187778000,3258,'澳门特别行政区',3263,'1853','风顺堂区','风顺堂区','','澳门特别行政区风顺堂区'),(3264,3258,2,'820006',113.558783000,22.154124000,3258,'澳门特别行政区',3264,'1853','嘉模堂区','嘉模堂区','','澳门特别行政区嘉模堂区'),(3265,3258,2,'820007',113.569250000,22.136546000,3258,'澳门特别行政区',3265,'1853','路凼填海区','路凼填海区','','澳门特别行政区路凼填海区'),(3266,3258,2,'820008',113.559954000,22.124049000,3258,'澳门特别行政区',3266,'1853','圣方济各堂区','圣方济各堂区','','澳门特别行政区圣方济各堂区');

#
# Structure for table "user"
#

CREATE TABLE `user` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `user_no` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '用户编号',
  `mobile` varchar(11) NOT NULL COMMENT '手机号码',
  `mobile_salt` varchar(36) NOT NULL COMMENT '密码盐',
  `mobile_psw` varchar(255) NOT NULL COMMENT '登录密码',
  `user_source` varchar(255) DEFAULT NULL COMMENT '用户来源(client_id)',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_mobile` (`mobile`),
  UNIQUE KEY `uk_user_no` (`user_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户基本信息';

#
# Data for table "user"
#

INSERT INTO `user` VALUES (1,'1899-12-30 01:00:00','1899-12-30 01:00:00',1,2018033111202589416,'18800000000','59429d68a16540a676c6761c32e1a0c','6bed23d8362155f07705fc9245349bbbf9a04a7f','1'),(1064776676060696578,'2019-01-23 16:13:45','2018-11-20 15:06:36',1,2018112015051635,'13800138001','2c23d864cb1446728ace94def03d05ba','94325a2f469e9b6b62511c90f0fc375e9045a59b',NULL),(1065422939962617857,'2019-01-23 16:13:45','2018-11-22 09:53:16',1,2018112209531803,'13800000000','8739165ccb584dd9bded6763df80b8a2','729a698197f772c87deb43c46bd1392be2642cfb','lkb65617f842ad4c37895a733b8de43cbb'),(1085798859812782081,'2019-01-23 16:13:45','2019-01-17 15:19:54',1,2019011715195672,'13800138002','13ea736462fc4207b1adc8d576e3f7bf','4795feaab1ada747a9b9c34dc9c06521348e1e07','lkb65617f842ad4c37895a733b8de43cbb'),(1085800044884017154,'2019-01-23 16:13:45','2019-01-17 15:24:36',1,2019011715243822,'13800138003','2ed29fc0171f408c802cf01d32d9cf56','cdd67b81652023b99262f5af51927cb2216b269d','lkb65617f842ad4c37895a733b8de43cbb'),(1085812051741573121,'2019-01-23 16:13:45','2019-01-17 16:13:45',1,2019011716122152,'15608104734','4878099541fc410ebdfc7945ff338ff6','7c838cf702558bcc069d9a146099b673acfa9e50','lkb65617f842ad4c37895a733b8de43cbb'),(1085812051842236418,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122117,'15800445127','2a9aaf3de0b54694b6be14a7c9eee17d','a2871ff58cc5d6c48a8a8234ffed65f2a719e294','lkb65617f842ad4c37895a733b8de43cbb'),(1085812051905150978,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122184,'13908746859','04155a74a119433a82ead83f85e0adb9','54538c8c9b9ce7c1663c2fd69319eaf5929baaef','lkb65617f842ad4c37895a733b8de43cbb'),(1085812051959676930,'2019-01-22 16:13:45','2019-01-17 16:13:45',1,2019011716122141,'13308332002','42952a9e31714cf58c5e831a7b51be4f','4993bedbb1808351d6fcf7daf496acfe8e721496','lkb65617f842ad4c37895a733b8de43cbb'),(1085812052014202881,'2019-01-21 16:13:45','2019-01-17 16:13:45',1,2019011716122142,'15305588034','3222d2964d87440db4f15e8a3c08dbf9','4e997ee5da77f921bac138811a66f5df0e12d4cb','lkb65617f842ad4c37895a733b8de43cbb'),(1085812052064534529,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122185,'13606532150','a5fff9cf9a6541c981e3f4dabb768b22','5ae1f7ae1907e0640efade9dd7a20164a63de6c2','lkb65617f842ad4c37895a733b8de43cbb'),(1085812052131643394,'2019-01-21 16:13:45','2019-01-17 16:13:45',1,2019011716122125,'15106826361','81e5891d7455461986e4170d4174e3d1','89f325e1b79539137dba18a48807371e93581bff','lkb65617f842ad4c37895a733b8de43cbb'),(1085812052190363649,'2019-01-23 16:13:45','2019-01-17 16:13:45',1,2019011716122167,'15706855969','8745c96d250f4b83b00d7f964a403dba','733efcd805bd4a04a407fdbb160de3b246aca4f6','lkb65617f842ad4c37895a733b8de43cbb'),(1085812052249083905,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122137,'13000853620','13e9475cb6ec4af0a2be28b8b323d0e5','77ae73a45da9c860237bad9b09db8b64bb1fab9a','lkb65617f842ad4c37895a733b8de43cbb'),(1085812052316192770,'2019-01-21 16:13:45','2019-01-17 16:13:45',1,2019011716122171,'13105856276','7299cd0a61da47d6a748b5da98308271','11ed56bf91e690ded8241633aa9b9e554d5940d4','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227206086657,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130317,'15806337393','16601cf357c641e8af43b55337704187','cdb7a1d2c93ef95326c1421ed33759230cbbe3fc','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227269001217,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130397,'13904392530','d4cf430d7ebf43ba973278fb3b7337e0','189b41651bb78befcc7ffc7391f70b81fe237053','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227323527170,'2019-01-21 16:13:45','2019-01-17 16:14:27',1,2019011716130381,'15106318490','b53c1d34d0794a4b9c8358b6443e71b9','236349cfd2ba6bacb41ed698e0b64828f094bcab','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227378053121,'2019-01-21 16:13:45','2019-01-17 16:14:27',1,2019011716130398,'15100773352','0a91ca3c94694cbaa0c4b0acf776e865','f83c0b60198744f7c939f246e4a526c3876796e1','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227428384769,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130385,'13900024339','ae0683a007d74baf97b76f74813c6f27','74a363b09223c39d0b571f910894a8d46af94b3e','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227512270850,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130307,'13403887970','47fe73a767ab414e9aab8e4adfb350ac','c10124354de8898d7889f39de33a5a5dbfbbe661','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227579379714,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130336,'13503248417','aba4f967f1ca4783b81a40a32916e1d0','d16878ab3ad8181872fc8ec21db9fc4025f2614a','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227625517057,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130331,'13401408294','a72ea3433f6243e09f32ef58ff44af4f','afbfa1ac29f96c3ce989d216f277cd7bcbd2ec1d','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227675848705,'2019-01-23 16:13:45','2019-01-17 16:14:27',1,2019011716130368,'15608518945','4644f3a7f4f84d08b51a584803ae8df7','d9f5ff2b150966202699215059a387e01b2316a3','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227734568961,'2019-01-23 16:13:45','2019-01-17 16:14:27',1,2019011716130369,'15600942688','c349ee1cf2fe4823837ce75c461b2155','ac44921eddf27690cdb29e7c7ae0d721059a74e9','lkb65617f842ad4c37895a733b8de43cbb'),(1085812227784900610,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130382,'13703097625','4105c616108d484499eb7e80fadcd9ff','8c765b0042f7a021e6b2e495ac5443c6d99766a9','lkb65617f842ad4c37895a733b8de43cbb'),(1085812269862158338,'2019-01-21 16:13:45','2019-01-17 16:14:37',1,2019011716131319,'15004957077','ab11639e467a489996343acb18bb2727','ad9b69cc73971c79a2fca056721045e7f03460dd','lkb65617f842ad4c37895a733b8de43cbb'),(1085812269916684289,'2019-01-19 16:13:45','2019-01-17 16:14:37',1,2019011716131344,'13003175931','db5f7003487a4e3fbcfa3aed38e9090b','d5c84044fbe50ecd095bdf9345e67fe7c871a72b','lkb65617f842ad4c37895a733b8de43cbb'),(1085812269975404545,'2019-01-21 16:13:45','2019-01-17 16:14:37',1,2019011716131300,'13102660903','c64277377fb84c31a1a81bad61769dc1','7d2191d5f56555db341ab9283fdf3cc508b90176','lkb65617f842ad4c37895a733b8de43cbb'),(1085812270042513409,'2019-01-23 16:13:45','2019-01-17 16:14:37',1,2019011716131392,'15606015028','36763a3ef32541ad952627f0d031f0a7','9153234c43049e117175ad2de47d8dab41fc8a6f','lkb65617f842ad4c37895a733b8de43cbb'),(1085812270109622274,'2019-01-22 16:13:45','2019-01-17 16:14:37',1,2019011716131380,'13201226377','564a4b9a844145fcbf5c85ace608b748','1bc900512b5586f6e282554733335cf33b00baff','lkb65617f842ad4c37895a733b8de43cbb'),(1085812270172536834,'2019-01-21 16:13:45','2019-01-17 16:14:37',1,2019011716131345,'13107474574','766b6d192ab3492a81b4d57d7f43342c','9221135801b6b567ab94fa2d25205f0af2cc9db6','lkb65617f842ad4c37895a733b8de43cbb'),(1085812305987698689,'2019-01-23 16:13:45','2019-01-17 16:14:45',1,2019011716132153,'15706671982','a052d557a9b244edbe3db7d553b64554','3d8b60bdec3277de46b60a753ded1f411a049f45','lkb65617f842ad4c37895a733b8de43cbb'),(1085812306042224641,'2019-01-19 16:13:45','2019-01-17 16:14:45',1,2019011716132123,'15803502689','1b611cbf83424bb183d473ef528a744c','903746d8a1c3ecc2b0811b1edf7e8b56e288f20e','lkb65617f842ad4c37895a733b8de43cbb'),(1085812306096750594,'2019-01-19 16:13:45','2019-01-17 16:14:45',1,2019011716132166,'15904061817','f28a9a19708143138faca2cf459d0e3f','970148da9cc47e8a040bf52d75985101147d12b8','lkb65617f842ad4c37895a733b8de43cbb'),(1085812306159665153,'2019-01-19 16:13:45','2019-01-17 16:14:45',1,2019011716132174,'15908086114','8083e363925848c0af5fa88ab96c9a0a','43e79e0fd1b5598091fe798daed03940e475dded','lkb65617f842ad4c37895a733b8de43cbb'),(1085812306205802498,'2019-01-19 16:13:45','2019-01-17 16:14:46',1,2019011716132131,'15207980992','46f853d9fe994fa69065911834545547','22434704d52d760d7135c8f0ea5ab8a160fd21d9','lkb65617f842ad4c37895a733b8de43cbb'),(1085812314955120641,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132313,'15804646413','d647b5c95fbe439a8cd36406dc2c3714','52588a75b03248e552a459c9bb629ebcddea82c3','lkb65617f842ad4c37895a733b8de43cbb'),(1085812314997063682,'2019-01-23 16:13:45','2019-01-17 16:14:48',1,2019011716132342,'15603623084','bbaeae8f35d74bc49096238b636a22b1','66648d0a13bffba01a62e0cf26b8af6550ce3d67','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315051589633,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132311,'13608240542','554261d9e8284e34adaf2b936c415bb6','295084182092c435655261a4a71d09f9340ccdba','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315118698498,'2019-01-22 16:13:45','2019-01-17 16:14:48',1,2019011716132303,'13207548396','dff1cbecc876463b9bd0f6f80ad5517d','8747680fba795d30e7c12b7b01c2e6bb0af1d99b','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315181613058,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132466,'13508637459','d70bc45d90ac412790096c3eb5d88137','c44026c9d146ffa0ca524bc2a75bf40646c2f5ca','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315227750401,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132463,'13102054317','c6fe8fc55256490b9ea60e9c7393cd6d','14a44c8a876731efe5d58d8fff6acb314e64236e','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315273887745,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132465,'15008728213','f7cec9e7a45a4c8984b8a7ffe19c238d','23b132c22d509f772ae7ab8f0abf75a280fadbea','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315320025089,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132473,'13505402127','30f61c01957842dab1b31052aa866150','f2dba76896b27c9fad4841f94001af6be69dd16b','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315361968130,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132461,'15005817011','abcdea2a1ae4464cb38c404f4757c6c0','1fd4d34ced0464dc5313da1dcb7255ce9aa76fe5','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315408105474,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132429,'15807078088','9acaea6c36784c7f8d13aeafaa1ef35c','194543e0f9751a828660cf3cd081e9d1e531e320','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315454242818,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132447,'13902493197','1a429941a28548e49c6740434d743415','5a51a7ecd7c8faf7359a1b88db406197bc917338','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315504574466,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132496,'15907738112','ad47bbf2cd6f47e2974f0a5ff42fef25','dcdcbf2d99a04054fff4f40bed5aaa4e522ca149','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315546517506,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132405,'13603746122','935083dfd7694add84015577cb28ad4a','a12286d08839a3ebf7d3299cef1c5522b60ba1b5','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315613626370,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132403,'13903371700','7dca220e5a264babb0a2864e868bde21','a86ff54c514809da64f09e00be3b53eba3fb9fe0','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315655569409,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132442,'15305562420','d97591180388479c92d3e83cce39529d','791b822698bd9e3842e88ea94fda3e249f7402c6','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315701706754,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132462,'13108028481','d2a25dabff154762a811f4ff86796eaf','86859c6660c738cf235f04185921c96314858348','lkb65617f842ad4c37895a733b8de43cbb'),(1085812315743649794,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132464,'15101285356','c95f0673865e48eb804c0c66283b6299','fa887b10f98cf4038b0300547e2b5e837ca093b6','lkb65617f842ad4c37895a733b8de43cbb'),(1085812321934442497,'2019-01-23 16:13:45','2019-01-17 16:14:49',1,2019011716132584,'13803808108','92b4f3aa1ddf48feac2d4e993688ccb0','12b58bed00155183537b856aa13951b4e0467b36','lkb65617f842ad4c37895a733b8de43cbb'),(1085812321984774145,'2019-01-22 16:13:45','2019-01-17 16:14:49',1,2019011716132532,'13207078449','d5c383e4279c414786fcebe77b07bb5d','33676c9d5a37325df09299511ddf95e407e3a952','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322056077313,'2019-01-21 16:13:45','2019-01-17 16:14:49',1,2019011716132578,'15300845957','8c09a287dff44c0c9f118d8f8c4d1d0f','b4501d8e0aa4b906a26573708793a0ff3842120e','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322110603265,'2019-01-23 16:13:45','2019-01-17 16:14:49',1,2019011716132508,'15607225099','220e9e6c3e7b43c290712ae0c9dd9431','ff2324b29c799fe4d8ddba3f3117b3ea861ef1d5','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322160934913,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132588,'13005275417','4c25e6235b7c446d89d1260b4c8f9509','ffea10118b367fda4e7292016320e6755f7a18a6','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322202877954,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132538,'15907708429','3d460faceef54cdba5bb9fd005ce9665','6ce3797330c8c6512f5f2b2e12d91881c6e40df7','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322253209601,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132547,'15202451238','b1b5e3e62fd94ec0ab78522f23a8062e','7bc24a105ae0453b954c93223494586b9186ffc6','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322307735553,'2019-01-23 16:13:45','2019-01-17 16:14:49',1,2019011716132543,'15505833453','5bf063c8587e46c28ecb80a7c62a7e5d','797458f45d8479b73a833a2d27797e7305df78c4','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322353872897,'2019-01-21 16:13:45','2019-01-17 16:14:49',1,2019011716132554,'15304886207','acb950a51af34680b18b69db2c806125','45de99186388580e86c46b0c09170f1473730b2d','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322400010241,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132517,'15803480695','b46375f31e1741e28de323c7eb398d71','d689917c0432ab78e9c197192d145209eaeaf9de','lkb65617f842ad4c37895a733b8de43cbb'),(1085812322462924802,'2019-01-21 16:13:45','2019-01-17 16:14:49',1,2019011716132597,'15102331960','c9ee7ddfddd14747b6c1052c424f08dd','caaff11adb17eb398b4db95e510c4b218ba4a230','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328519499777,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132793,'15708618874','e33ce0550e4743aca4bba9d3c82e4673','3435181966276884d72142bb0dac46307132aa31','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328561442818,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132733,'15806124334','b56c9d86a34345629a35e3e960a96927','3cf1b39526ddbb861f0b1d522b70c67700922dc0','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328611774466,'2019-01-22 16:13:45','2019-01-17 16:14:51',1,2019011716132722,'13208408082','18828d76ecf6413c827c4364896342ef','2a967752169896a10a4add1bc99e9053ffc18faa','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328662106114,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132774,'15808703029','dff8b81ddef74f06814dbf4554b1600c','de149dc4e83aac5137e76f8e7b45490dade7a839','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328704049153,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132704,'15803411016','d61b89cf4c3e4aa9aea72724645fcd21','1a8bce3e6d99ec5db5a389206e34150b33003660','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328758575106,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132738,'13401381223','c618c2557b78498f97492c33a891baa9','f46d9d485e84ad0b6d3c2a79997fcd88e430b30b','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328800518146,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132710,'15702264369','2dfc66d88cc34a5fb5075579f1aba76c','d0f308c0391030dcd4ed8e909b1e4866e9997fcf','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328850849793,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132734,'13804424960','a90703ecd5ad48eda4a529c8468b2b1f','1516e44f9ff5a190c8d49766f9ed961cabafa9b8','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328901181441,'2019-01-22 16:13:45','2019-01-17 16:14:51',1,2019011716132703,'13307507232','a4df0cc3c2f841d184c448425f2e03c6','a36ea60df707bb53640b13ec79d7ef5bcb90819d','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328951513089,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132797,'13400996624','207b2aba108c4bb9a40ba02b50982b34','4468495c1eaf750f1bd6fdab4ad81b35ea5583d9','lkb65617f842ad4c37895a733b8de43cbb'),(1085812328993456130,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132788,'15003760459','1c51ebcad66e4d2cb8c857106aef39ff','f890f2ba7ae96f512cbc636f122315678c73d718','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329035399170,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132742,'15106471349','f414b3809c0646c0b01dc658f6ca7250','4cca7d382a9852555ba4c3e7a50075f29e8c2520','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329085730818,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132705,'13400866121','1f585c86d7ea4db59597feb5177b8b42','75a998c7c36912bd4a771c013df8b018d56e1c75','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329131868162,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132768,'13100818329','3082f19758a84e6f9aa2deda4eb23b99','af767a1da3d69bac64ac607db946e794811236d6','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329182199810,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132790,'13606872506','efd553401d1f4a0dbb0900ab0092a12c','9dfe7f2296cfa6e86b6882f85c3b6afa265f2a39','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329224142850,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132731,'15108303971','f0557602fcfc421b98e5ce13488312a2','787875268815519d3b0f3c9883f6134946d20fbf','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329287057409,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132764,'13603540214','f0f460088f054ce3a1f95d498264ea0f','be232198bd21fbde0eda2c5ba5a6b93c4eadc4fc','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329341583361,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132708,'15705413691','c4a775de029440da85d183958291a273','83c922f322f833d4a68743847736208dbc7b6c0f','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329383526401,'2019-01-22 16:13:45','2019-01-17 16:14:51',1,2019011716132746,'13201203133','97ec95a48683415b9c56586dc17ffe6c','e60298ca9d0ed3031582f0242c1c6ac779103ee2','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329433858049,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132792,'13102205251','d101e9af84864e81be9ea68dc7f5c432','2aa199f1c7c01cd6ded80aaac898380d1ee33958','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329471606785,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132727,'15500990200','d72f1a0ca2574532a83134526f9863d6','9bfb6ff155e1b51ed74bd841bde21d1953d8a2e2','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329513549826,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132741,'15304056991','3741c7850d4946d592b92c2cd8ebc67d','e639d13424016907f72f678fec87e66826cf064e','lkb65617f842ad4c37895a733b8de43cbb'),(1085812329555492865,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132728,'15300958355','bfff813d36184f18b1054bdb18c6645b','5c117c1cc559a28e698c7b3a83e26fa4932062a3','lkb65617f842ad4c37895a733b8de43cbb'),(1085812359481851905,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133433,'13004840588','aebd69665625459fa034cf1abd9de540','5e778e84c58caf9afe3ea982d511c0fbbb35d686','lkb65617f842ad4c37895a733b8de43cbb'),(1085812359658012673,'2019-01-21 16:13:45','2019-01-17 16:14:58',1,2019011716133460,'13101130827','6f51b3a52a964466ab0fa59b9ced5832','4bf87e07f8c7004556b768686ae9607a51961413','lkb65617f842ad4c37895a733b8de43cbb'),(1085812359725121537,'2019-01-21 16:13:45','2019-01-17 16:14:58',1,2019011716133493,'15302322955','b6ca8609d24742d4bfe64426c8012f0c','4625b3c36bbc6f9b3714b6e0da2ef10df407df9f','lkb65617f842ad4c37895a733b8de43cbb'),(1085812359960002562,'2019-01-23 16:13:45','2019-01-17 16:14:58',1,2019011716133463,'15604292461','44b88943dae2474c82b2b1d9aed0ed77','e66c0b817f1937dcdc42d8501066364d049f8efc','lkb65617f842ad4c37895a733b8de43cbb'),(1085812360245215233,'2019-01-22 16:13:45','2019-01-17 16:14:58',1,2019011716133456,'13201803824','461da72918334c79bfea3d0e223aad5f','738f51a54f0d749b65c6668a2876656ca4fc5dbc','lkb65617f842ad4c37895a733b8de43cbb'),(1085812360303935490,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133482,'13701740619','45893bcb0b4942adbad32aa34db6cae9','f5b96139c3cd76690eb39cef20a0c512856e307e','lkb65617f842ad4c37895a733b8de43cbb'),(1085812360379432962,'2019-01-23 16:13:45','2019-01-17 16:14:58',1,2019011716133495,'15600847927','311727bed17c4a1d95b0483ecbd5adf3','a2238131f77cbd7aa5ab4e3b03cc55ec79600a24','lkb65617f842ad4c37895a733b8de43cbb'),(1085812360438153217,'2019-01-22 16:13:45','2019-01-17 16:14:58',1,2019011716133449,'13300477228','7e7b3d487f58465e89abdf36a3e35c9e','e2d15d85c78fcd4e0ea0faef14bd3370ba05e2b5','lkb65617f842ad4c37895a733b8de43cbb'),(1085812360505262082,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133451,'15905613206','41c654c1cc5943f69298510a4cd03f3b','fe0c731f19b22782b715bf44ddbe24404b51c985','lkb65617f842ad4c37895a733b8de43cbb'),(1085812360576565249,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133401,'13901888271','0ddeea43a8df4b59a759982719f5efec','62d14372b6a0f44a1582c2ac95979e693c8e9c65','lkb65617f842ad4c37895a733b8de43cbb'),(1085812391400505345,'2019-01-21 16:13:45','2019-01-17 16:15:06',1,2019011716134232,'15107178957','c84b1ed3901e469599196ea4f64e24a0','8ee4b89c298172c88aebc1f16748cf79ef537acb','lkb65617f842ad4c37895a733b8de43cbb'),(1085812391450836994,'2019-01-19 16:13:45','2019-01-17 16:15:06',1,2019011716134249,'13904027670','77b3215ffc4e45ec97411f8d5e3fd20e','e46f9dfe2fa9d8215c32040b6d7e3e620e3bb7eb','lkb65617f842ad4c37895a733b8de43cbb'),(1085812391513751553,'2019-01-19 16:13:45','2019-01-17 16:15:06',1,2019011716134268,'15900475625','c2156bf805ee43e0b94efb051b2a8a4e','ee2183be62c908fa5b5e0a541781813e913907d5','lkb65617f842ad4c37895a733b8de43cbb'),(1085812391564083202,'2019-01-19 16:13:45','2019-01-17 16:15:06',1,2019011716134277,'15800195654','16e08828dfd44f3bbe36605aae2c39ed','cc2aa4777568c92a1472b3ac6b671561e5c480e0','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436308918273,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135227,'13507541032','2b8971dc9e67460fa93352239cc83077','bd1a9d4c89486292dde913eb7466947bad09eeb9','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436359249921,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135248,'15005846349','33f22bbce38e46a29739a8349856835a','723d5153110bd279268911810d4ad52052dc3970','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436417970177,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135208,'13106134302','acfe4b967bf647a28bb3363ab83cbe6a','99e49b8f526daea900392de10ee57e8ecb165500','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436480884737,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135284,'13908776364','abea7b5f94c348c7b06488b8acf8fff9','131901f73a7be08414fe38a543ccf30e7a54f646','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436531216385,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135256,'13507752803','5d17916f8fa34f96bf53837965b148a1','b7a55eed7a82f028b602621c13f3b019a8481c39','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436581548033,'2019-01-23 16:13:45','2019-01-17 16:15:17',1,2019011716135283,'15505171523','6c3e7c868e414d8bb3edbd1277a13b50','9717d279c55207a1286324798cec1c4f01d8761f','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436644462593,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135286,'15106983525','d5e064ca243a4e33b0abdf4bdd22654f','d8d8bd08666c0a9143b636d04ddae3bde517e964','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436707377153,'2019-01-22 16:13:45','2019-01-17 16:15:17',1,2019011716135282,'13301191533','10c926d974e6459babcaf04fb3bed24b','686fcd2bb348dd84f11f3c4f76ce733510bca5e0','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436753514497,'2019-01-23 16:13:45','2019-01-17 16:15:17',1,2019011716135274,'13802978733','fa014063219940e197b22e3e9169ff88','27f26bccef52967b82ee340b82c0862f76a3dfa3','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436799651842,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135318,'13600088970','c2d89fac403049b3a73cafb006cdbd79','610eb16fcd7faf43577100f686cc3dea89658044','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436854177794,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135300,'13604815553','5965c15921554484893969a9ceb0768d','4ec95a35b16597e74f479443e21a612cd6d31462','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436925480962,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135364,'13406214948','62de20ae09a74d61beaf66428998f7b4','434a401218892587b6031970b9cec69778ab15e4','lkb65617f842ad4c37895a733b8de43cbb'),(1085812436971618306,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135312,'15006911941','d29225ad57e24df4b278599daa8791c6','62ddc0198d7d5de6ab407f9ccdb857de772b9dbe','lkb65617f842ad4c37895a733b8de43cbb');

#
# Structure for table "user_ext"
#

CREATE TABLE `user_ext` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status_id` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态(1:正常，0:禁用)',
  `user_no` bigint(20) NOT NULL COMMENT '用户编号',
  `user_type` tinyint(3) NOT NULL DEFAULT '1' COMMENT '用户类型(1用户，2讲师)',
  `mobile` varchar(11) NOT NULL DEFAULT '' COMMENT '用户手机',
  `sex` tinyint(3) unsigned DEFAULT '3' COMMENT '性别(1男，2女，3保密)',
  `age` int(11) DEFAULT NULL COMMENT '年龄',
  `nickname` varchar(50) DEFAULT NULL COMMENT '昵称',
  `head_img_url` varchar(255) DEFAULT NULL COMMENT '头像地址',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_mobile` (`mobile`),
  UNIQUE KEY `uk_user_no` (`user_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户教育信息';

#
# Data for table "user_ext"
#

INSERT INTO `user_ext` VALUES (1064776676098445314,'2019-01-23 16:13:45','2018-11-20 15:06:36',1,2018112015051635,2,'13800138001',3,0,'领课','http://static-dev.roncoo.com/course/598d71f93ede4c4a9ed54f91d6291cf9.ico','测试讲师'),(1085798859821170690,'2019-01-23 16:13:45','2019-01-17 15:19:54',1,2019011715195672,1,'13800138002',1,18,'小白','http://static-dev.roncoo.com/course/ebe919da49f14529a4fd7e9d8453a552.jpg','测试用户-小白'),(1085800044892405761,'2019-01-23 16:13:45','2019-01-17 15:24:36',1,2019011715243822,1,'13800138003',3,18,'小黑','http://static-dev.roncoo.com/course/2391cd733afc40db92754c3a501f9e60.jpg','测试用户-小黑'),(1085812051808681985,'2019-01-23 16:13:45','2019-01-17 16:13:45',1,2019011716122152,1,'15608104734',3,NULL,NULL,NULL,NULL),(1085812051879985154,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122117,1,'15800445127',3,NULL,NULL,NULL,NULL),(1085812051926122498,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122184,1,'13908746859',3,NULL,NULL,NULL,NULL),(1085812051984842754,'2019-01-22 16:13:45','2019-01-17 16:13:45',1,2019011716122141,1,'13308332002',3,NULL,NULL,NULL,NULL),(1085812052039368705,'2019-01-21 16:13:45','2019-01-17 16:13:45',1,2019011716122142,1,'15305588034',3,NULL,NULL,NULL,NULL),(1085812052098088961,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122185,1,'13606532150',3,NULL,NULL,NULL,NULL),(1085812052156809218,'2019-01-21 16:13:45','2019-01-17 16:13:45',1,2019011716122125,1,'15106826361',3,NULL,NULL,NULL,NULL),(1085812052223918081,'2019-01-23 16:13:45','2019-01-17 16:13:45',1,2019011716122167,1,'15706855969',3,NULL,NULL,NULL,NULL),(1085812052282638337,'2019-01-19 16:13:45','2019-01-17 16:13:45',1,2019011716122137,1,'13000853620',3,NULL,NULL,NULL,NULL),(1085812052345552898,'2019-01-21 16:13:45','2019-01-17 16:13:45',1,2019011716122171,1,'13105856276',3,NULL,NULL,NULL,NULL),(1085812227243835393,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130317,1,'15806337393',3,NULL,NULL,NULL,NULL),(1085812227294167042,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130397,1,'13904392530',3,NULL,NULL,NULL,NULL),(1085812227344498689,'2019-01-21 16:13:45','2019-01-17 16:14:27',1,2019011716130381,1,'15106318490',3,NULL,NULL,NULL,NULL),(1085812227403218946,'2019-01-21 16:13:45','2019-01-17 16:14:27',1,2019011716130398,1,'15100773352',3,NULL,NULL,NULL,NULL),(1085812227487105025,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130385,1,'13900024339',3,NULL,NULL,NULL,NULL),(1085812227545825281,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130307,1,'13403887970',3,NULL,NULL,NULL,NULL),(1085812227600351233,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130336,1,'13503248417',3,NULL,NULL,NULL,NULL),(1085812227650682882,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130331,1,'13401408294',3,NULL,NULL,NULL,NULL),(1085812227701014529,'2019-01-23 16:13:45','2019-01-17 16:14:27',1,2019011716130368,1,'15608518945',3,NULL,NULL,NULL,NULL),(1085812227759734786,'2019-01-23 16:13:45','2019-01-17 16:14:27',1,2019011716130369,1,'15600942688',3,NULL,NULL,NULL,NULL),(1085812227805872130,'2019-01-19 16:13:45','2019-01-17 16:14:27',1,2019011716130382,1,'13703097625',3,NULL,NULL,NULL,NULL),(1085812269891518465,'2019-01-21 16:13:45','2019-01-17 16:14:37',1,2019011716131319,1,'15004957077',3,NULL,NULL,NULL,NULL),(1085812269950238722,'2019-01-19 16:13:45','2019-01-17 16:14:37',1,2019011716131344,1,'13003175931',3,NULL,NULL,NULL,NULL),(1085812270017347586,'2019-01-21 16:13:45','2019-01-17 16:14:37',1,2019011716131300,1,'13102660903',3,NULL,NULL,NULL,NULL),(1085812270080262146,'2019-01-23 16:13:45','2019-01-17 16:14:37',1,2019011716131392,1,'15606015028',3,NULL,NULL,NULL,NULL),(1085812270143176705,'2019-01-22 16:13:45','2019-01-17 16:14:37',1,2019011716131380,1,'13201226377',3,NULL,NULL,NULL,NULL),(1085812270201896961,'2019-01-21 16:13:45','2019-01-17 16:14:37',1,2019011716131345,1,'13107474574',3,NULL,NULL,NULL,NULL),(1085812306017058818,'2019-01-23 16:13:45','2019-01-17 16:14:45',1,2019011716132153,1,'15706671982',3,NULL,NULL,NULL,NULL),(1085812306071584769,'2019-01-19 16:13:45','2019-01-17 16:14:45',1,2019011716132123,1,'15803502689',3,NULL,NULL,NULL,NULL),(1085812306134499329,'2019-01-19 16:13:45','2019-01-17 16:14:45',1,2019011716132166,1,'15904061817',3,NULL,NULL,NULL,NULL),(1085812306176442369,'2019-01-19 16:13:45','2019-01-17 16:14:45',1,2019011716132174,1,'15908086114',3,NULL,NULL,NULL,NULL),(1085812306230968322,'2019-01-19 16:13:45','2019-01-17 16:14:46',1,2019011716132131,1,'15207980992',3,NULL,NULL,NULL,NULL),(1085812314976092161,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132313,1,'15804646413',3,NULL,NULL,NULL,NULL),(1085812315030618113,'2019-01-23 16:13:45','2019-01-17 16:14:48',1,2019011716132342,1,'15603623084',3,NULL,NULL,NULL,NULL),(1085812315093532673,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132311,1,'13608240542',3,NULL,NULL,NULL,NULL),(1085812315152252929,'2019-01-22 16:13:45','2019-01-17 16:14:48',1,2019011716132303,1,'13207548396',3,NULL,NULL,NULL,NULL),(1085812315202584578,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132466,1,'13508637459',3,NULL,NULL,NULL,NULL),(1085812315252916225,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132463,1,'13102054317',3,NULL,NULL,NULL,NULL),(1085812315299053570,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132465,1,'15008728213',3,NULL,NULL,NULL,NULL),(1085812315345190914,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132473,1,'13505402127',3,NULL,NULL,NULL,NULL),(1085812315387133953,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132461,1,'15005817011',3,NULL,NULL,NULL,NULL),(1085812315429076994,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132429,1,'15807078088',3,NULL,NULL,NULL,NULL),(1085812315479408642,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132447,1,'13902493197',3,NULL,NULL,NULL,NULL),(1085812315529740289,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132496,1,'15907738112',3,NULL,NULL,NULL,NULL),(1085812315588460546,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132405,1,'13603746122',3,NULL,NULL,NULL,NULL),(1085812315630403586,'2019-01-19 16:13:45','2019-01-17 16:14:48',1,2019011716132403,1,'13903371700',3,NULL,NULL,NULL,NULL),(1085812315680735234,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132442,1,'15305562420',3,NULL,NULL,NULL,NULL),(1085812315722678273,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132462,1,'13108028481',3,NULL,NULL,NULL,NULL),(1085812315768815618,'2019-01-21 16:13:45','2019-01-17 16:14:48',1,2019011716132464,1,'15101285356',3,NULL,NULL,NULL,NULL),(1085812321963802625,'2019-01-23 16:13:45','2019-01-17 16:14:49',1,2019011716132584,1,'13803808108',3,NULL,NULL,NULL,NULL),(1085812322022522881,'2019-01-22 16:13:45','2019-01-17 16:14:49',1,2019011716132532,1,'13207078449',3,NULL,NULL,NULL,NULL),(1085812322089631746,'2019-01-21 16:13:45','2019-01-17 16:14:49',1,2019011716132578,1,'15300845957',3,NULL,NULL,NULL,NULL),(1085812322131574785,'2019-01-23 16:13:45','2019-01-17 16:14:49',1,2019011716132508,1,'15607225099',3,NULL,NULL,NULL,NULL),(1085812322177712130,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132588,1,'13005275417',3,NULL,NULL,NULL,NULL),(1085812322228043778,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132538,1,'15907708429',3,NULL,NULL,NULL,NULL),(1085812322282569729,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132547,1,'15202451238',3,NULL,NULL,NULL,NULL),(1085812322328707074,'2019-01-23 16:13:45','2019-01-17 16:14:49',1,2019011716132543,1,'15505833453',3,NULL,NULL,NULL,NULL),(1085812322374844417,'2019-01-21 16:13:45','2019-01-17 16:14:49',1,2019011716132554,1,'15304886207',3,NULL,NULL,NULL,NULL),(1085812322429370370,'2019-01-19 16:13:45','2019-01-17 16:14:49',1,2019011716132517,1,'15803480695',3,NULL,NULL,NULL,NULL),(1085812322488090625,'2019-01-21 16:13:45','2019-01-17 16:14:49',1,2019011716132597,1,'15102331960',3,NULL,NULL,NULL,NULL),(1085812328536276994,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132793,1,'15708618874',3,NULL,NULL,NULL,NULL),(1085812328594997249,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132733,1,'15806124334',3,NULL,NULL,NULL,NULL),(1085812328636940289,'2019-01-22 16:13:45','2019-01-17 16:14:51',1,2019011716132722,1,'13208408082',3,NULL,NULL,NULL,NULL),(1085812328678883330,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132774,1,'15808703029',3,NULL,NULL,NULL,NULL),(1085812328733409281,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132704,1,'15803411016',3,NULL,NULL,NULL,NULL),(1085812328775352322,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132738,1,'13401381223',3,NULL,NULL,NULL,NULL),(1085812328825683969,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132710,1,'15702264369',3,NULL,NULL,NULL,NULL),(1085812328876015617,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132734,1,'13804424960',3,NULL,NULL,NULL,NULL),(1085812328926347265,'2019-01-22 16:13:45','2019-01-17 16:14:51',1,2019011716132703,1,'13307507232',3,NULL,NULL,NULL,NULL),(1085812328968290305,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132797,1,'13400996624',3,NULL,NULL,NULL,NULL),(1085812329018621954,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132788,1,'15003760459',3,NULL,NULL,NULL,NULL),(1085812329068953601,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132742,1,'15106471349',3,NULL,NULL,NULL,NULL),(1085812329110896642,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132705,1,'13400866121',3,NULL,NULL,NULL,NULL),(1085812329157033985,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132768,1,'13100818329',3,NULL,NULL,NULL,NULL),(1085812329198977025,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132790,1,'13606872506',3,NULL,NULL,NULL,NULL),(1085812329257697281,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132731,1,'15108303971',3,NULL,NULL,NULL,NULL),(1085812329308028930,'2019-01-19 16:13:45','2019-01-17 16:14:51',1,2019011716132764,1,'13603540214',3,NULL,NULL,NULL,NULL),(1085812329366749186,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132708,1,'15705413691',3,NULL,NULL,NULL,NULL),(1085812329408692225,'2019-01-22 16:13:45','2019-01-17 16:14:51',1,2019011716132746,1,'13201203133',3,NULL,NULL,NULL,NULL),(1085812329450635265,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132792,1,'13102205251',3,NULL,NULL,NULL,NULL),(1085812329488384001,'2019-01-23 16:13:45','2019-01-17 16:14:51',1,2019011716132727,1,'15500990200',3,NULL,NULL,NULL,NULL),(1085812329538715649,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132741,1,'15304056991',3,NULL,NULL,NULL,NULL),(1085812329580658689,'2019-01-21 16:13:45','2019-01-17 16:14:51',1,2019011716132728,1,'15300958355',3,NULL,NULL,NULL,NULL),(1085812359611875329,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133433,1,'13004840588',3,NULL,NULL,NULL,NULL),(1085812359699955713,'2019-01-21 16:13:45','2019-01-17 16:14:58',1,2019011716133460,1,'13101130827',3,NULL,NULL,NULL,NULL),(1085812359758675969,'2019-01-21 16:13:45','2019-01-17 16:14:58',1,2019011716133493,1,'15302322955',3,NULL,NULL,NULL,NULL),(1085812360048082945,'2019-01-23 16:13:45','2019-01-17 16:14:58',1,2019011716133463,1,'15604292461',3,NULL,NULL,NULL,NULL),(1085812360270381057,'2019-01-22 16:13:45','2019-01-17 16:14:58',1,2019011716133456,1,'13201803824',3,NULL,NULL,NULL,NULL),(1085812360337489922,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133482,1,'13701740619',3,NULL,NULL,NULL,NULL),(1085812360404598785,'2019-01-23 16:13:45','2019-01-17 16:14:58',1,2019011716133495,1,'15600847927',3,NULL,NULL,NULL,NULL),(1085812360480096257,'2019-01-22 16:13:45','2019-01-17 16:14:58',1,2019011716133449,1,'13300477228',3,NULL,NULL,NULL,NULL),(1085812360547205121,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133451,1,'15905613206',3,NULL,NULL,NULL,NULL),(1085812360601731074,'2019-01-19 16:13:45','2019-01-17 16:14:58',1,2019011716133401,1,'13901888271',3,NULL,NULL,NULL,NULL),(1085812391425671170,'2019-01-21 16:13:45','2019-01-17 16:15:06',1,2019011716134232,1,'15107178957',3,NULL,NULL,NULL,NULL),(1085812391492780034,'2019-01-19 16:13:45','2019-01-17 16:15:06',1,2019011716134249,1,'13904027670',3,NULL,NULL,NULL,NULL),(1085812391547305985,'2019-01-19 16:13:45','2019-01-17 16:15:06',1,2019011716134268,1,'15900475625',3,NULL,NULL,NULL,NULL),(1085812391606026241,'2019-01-19 16:13:45','2019-01-17 16:15:06',1,2019011716134277,1,'15800195654',3,NULL,NULL,NULL,NULL),(1085812436334084097,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135227,1,'13507541032',3,NULL,NULL,NULL,NULL),(1085812436384415746,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135248,1,'15005846349',3,NULL,NULL,NULL,NULL),(1085812436451524609,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135208,1,'13106134302',3,NULL,NULL,NULL,NULL),(1085812436506050562,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135284,1,'13908776364',3,NULL,NULL,NULL,NULL),(1085812436564770817,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135256,1,'13507752803',3,NULL,NULL,NULL,NULL),(1085812436610908162,'2019-01-23 16:13:45','2019-01-17 16:15:17',1,2019011716135283,1,'15505171523',3,NULL,NULL,NULL,NULL),(1085812436665434114,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135286,1,'15106983525',3,NULL,NULL,NULL,NULL),(1085812436728348673,'2019-01-22 16:13:45','2019-01-17 16:15:17',1,2019011716135282,1,'13301191533',3,NULL,NULL,NULL,NULL),(1085812436778680321,'2019-01-23 16:13:45','2019-01-17 16:15:17',1,2019011716135274,1,'13802978733',3,NULL,NULL,NULL,NULL),(1085812436824817666,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135318,1,'13600088970',3,NULL,NULL,NULL,NULL),(1085812436900315138,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135300,1,'13604815553',3,NULL,NULL,NULL,NULL),(1085812436950646786,'2019-01-19 16:13:45','2019-01-17 16:15:17',1,2019011716135364,1,'13406214948',3,NULL,NULL,NULL,NULL),(1085812436996784129,'2019-01-21 16:13:45','2019-01-17 16:15:17',1,2019011716135312,1,'15006911941',3,NULL,NULL,NULL,NULL);

#
# Structure for table "user_log_login"
#

CREATE TABLE `user_log_login` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `user_no` bigint(20) NOT NULL COMMENT '用户编号',
  `client_id` char(34) NOT NULL DEFAULT '' COMMENT '客户端ID',
  `login_status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '登录状态(1成功，0失败)',
  `login_ip` varchar(255) DEFAULT NULL COMMENT '登录IP',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户错误登录日志';

#
# Data for table "user_log_login"
#

INSERT INTO `user_log_login` VALUES (1084709569598996481,'2019-01-14 15:11:27',2018112209531803,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085010326441312257,'2019-01-15 11:06:33',2018112209531803,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085010895650308098,'2019-01-15 11:08:49',2018112209531803,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085093928868921345,'2019-01-15 16:38:45',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085093943121166337,'2019-01-15 16:38:49',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085093965367754754,'2019-01-15 16:38:54',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085094019247783937,'2019-01-15 16:39:07',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085094349477920769,'2019-01-15 16:40:26',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085094367425347585,'2019-01-15 16:40:30',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085094382990409729,'2019-01-15 16:40:34',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085094417782161410,'2019-01-15 16:40:42',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085381197748125698,'2019-01-16 11:40:16',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085426224125853697,'2019-01-16 14:39:11',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085426236079620097,'2019-01-16 14:39:14',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085426260465303554,'2019-01-16 14:39:19',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085426263883661314,'2019-01-16 14:39:20',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085426266433798145,'2019-01-16 14:39:21',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085426268958769154,'2019-01-16 14:39:21',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085426308246814722,'2019-01-16 14:39:31',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085426341608308737,'2019-01-16 14:39:39',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085426849794375682,'2019-01-16 14:41:40',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085428708382752770,'2019-01-16 14:49:03',2018033111202589416,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1085452960699924482,'2019-01-16 16:25:25',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085461079207329793,'2019-01-16 16:57:41',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085461296656826370,'2019-01-16 16:58:33',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085466370116304898,'2019-01-16 17:18:42',2019010217393444,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085467282893324289,'2019-01-16 17:22:20',2019011617221757,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085470305757577218,'2019-01-16 17:34:21',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085471045565693953,'2019-01-16 17:37:17',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085474922662871042,'2019-01-16 17:52:41',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085475504119234561,'2019-01-16 17:55:00',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085796496481861634,'2019-01-17 15:10:30',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085798949201788930,'2019-01-17 15:20:15',2019011715195672,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085799501927170050,'2019-01-17 15:22:27',2019011715195672,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085799598937227265,'2019-01-17 15:22:50',2019011715195672,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085800185737134081,'2019-01-17 15:25:10',2019011715243822,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085802007197532162,'2019-01-17 15:32:24',2019011715195672,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085802508521717762,'2019-01-17 15:34:24',2019011715243822,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085802556890431490,'2019-01-17 15:34:35',2019011715243822,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085814835576979457,'2019-01-17 16:23:23',2019011716132797,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085814966057582594,'2019-01-17 16:23:54',2019011716132473,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085815112036139010,'2019-01-17 16:24:29',2019011716131345,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085815381725691906,'2019-01-17 16:25:33',2019011716135227,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085827320904302594,'2019-01-17 17:13:00',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1085827417671090177,'2019-01-17 17:13:23',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086093510910406658,'2019-01-18 10:50:44',2019011716131319,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086094174961004545,'2019-01-18 10:53:23',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086095853265612802,'2019-01-18 11:00:03',2019011716132704,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086095935402668033,'2019-01-18 11:00:22',2019011716132166,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086096113786417154,'2019-01-18 11:01:05',2019011716133451,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086098550706401282,'2019-01-18 11:10:46',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086194192271273986,'2019-01-18 17:30:49',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197195531350017,'2019-01-18 17:42:45',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197202313539585,'2019-01-18 17:42:46',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197205945806849,'2019-01-18 17:42:47',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197257296670722,'2019-01-18 17:42:59',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197567272513538,'2019-01-18 17:44:13',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197617331531777,'2019-01-18 17:44:25',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197622360502273,'2019-01-18 17:44:26',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197627968286721,'2019-01-18 17:44:28',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197632766570497,'2019-01-18 17:44:29',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197637455802369,'2019-01-18 17:44:30',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197642388303873,'2019-01-18 17:44:31',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086197646800711682,'2019-01-18 17:44:32',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086198004675506178,'2019-01-18 17:45:58',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086199090790526977,'2019-01-18 17:50:16',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086199511361777666,'2019-01-18 17:51:57',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086201827603247105,'2019-01-18 18:01:09',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1086202408002646017,'2019-01-18 18:03:27',2018112015051635,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1087531985207554050,'2019-01-22 10:06:43',2018033111202589416,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1087541051933847554,'2019-01-22 10:42:45',2019011716122184,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1087541112751255553,'2019-01-22 10:42:59',2019011715195672,'lkb65617f842ad4c37895a733b8de43cbb',0,'127.0.0.0'),(1087541152752332801,'2019-01-22 10:43:09',2019011715195672,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1087601551795286018,'2019-01-22 14:43:09',2018112209531803,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1087601557394681858,'2019-01-22 14:43:11',2018112209531803,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1087601557990273026,'2019-01-22 14:43:11',2018112209531803,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0'),(1087601558871076866,'2019-01-22 14:43:11',2018112209531803,'lkb65617f842ad4c37895a733b8de43cbb',1,'127.0.0.0');

#
# Structure for table "user_log_modified"
#

CREATE TABLE `user_log_modified` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `user_no` bigint(20) NOT NULL COMMENT '用户编号',
  `mobile_old` char(11) NOT NULL DEFAULT '' COMMENT '原手机号',
  `mobile_new` char(11) NOT NULL DEFAULT '' COMMENT '新手机',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户修改日志';

#
# Data for table "user_log_modified"
#

